/********************************************************************************************************\

	Mission:	
	Script:		"Bon_1Sulu"
	Descript:	<DESCRIPTION>

	Created by:		David Ferrell 04/10/2000
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG> log its big its heavy its wood

\********************************************************************************************************/

#include "Bon_1Sulu.h"

#include "MissionText.h"
#include "MissionMaps.h"

#include "VictoryCondition.h"
#include "PlayerTeam.h"
#include "ExcelsiorTeam.h"
#include "KlingonTeam.h"
#include "RebelTeam.h"

#include "Bon_1SuluVictory.h"
#include "AsteroidStationTeam.h"

DEFINE_SCRIPT_CLASS( tBon_1Sulu );

tBon_1Sulu::tBon_1Sulu()
{
}
//---------------------------------------------------------------------------------------------
// returns mission specs used by Dynaverse to build campaigns
void tBon_1Sulu::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kHistoricalMission;//kCampaignMission or kHistorical;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kShortBriefing_msg];
	Specs->fPlayerRace =  kSpecFed;
	Specs->fEnemyRace = kSpecISC;
	Specs->fNumShips = kMissSpecNoShip;
	Specs->fMinBPV = 100;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 0;
	Specs->fMaxDate = 99;
	Specs->fWait = kUniqueMission;
	Specs->fMenuStates = kNoMenuButtons;
	Specs->fBandwidthPart = kAllBand;
	Specs->fGenericFlags = kNoGenericFlags;

		// must create the teams in the script
	const tTeamSpec& team1 = mCreateTeamSpec(	"Team 1", static_cast< eTeamID >( kPlayerTeam ),
													1.0f,
													kFalse,
													kPrimaryTeam,
													1.0f,
													kSpecAnyRace,
													kAnyRace,
													typeid( tPlayerTeam ) );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Team 2", static_cast< eTeamID >( kExcelsiorTeam ),
													1.0f,
													kFalse,
													kNPCTeam,
													1.0f,
													kSpecFed,
													kAnyRace,
													typeid( tExcelsiorTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Team 3", static_cast< eTeamID >( kAsteroidStationTeam ),
													1.0f,
													kFalse,
													kNPCTeam,
													1.0f,
													kSpecFed,
													kAnyRace,
													typeid( tAsteroidStationTeam ) );

	const tTeamSpec& team4 = mCreateTeamSpec(	"Team 4", static_cast< eTeamID >( kKlingonTeam ),
													1.0f,
													kFalse,
													kNPCTeam,
													1.0f,
													kSpecFed,
													kAnyRace,
													typeid( tKlingonTeam ) );

	const tTeamSpec& team5 = mCreateTeamSpec(	"Team 5", static_cast< eTeamID >( kRebelTeam ),
													1.0f,
													kFalse,
													kNPCTeam,
													1.0f,
													kSpecFed,
													kAnyRace,
													typeid( tRebelTeam ) );

	//After teams are created set them up 
	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
	Specs->mSetupTeam( team4 );
	Specs->mSetupTeam( team5 );
}

//---------------------------------------------------------------------------------------------
// called at the start of mission initialization - use to set prestige points 
// and override mission defaults such as:
//		allied race
//		enemy race
//		system name
// and also returns map index to use
int32 tBon_1Sulu::mInitializeStart( tDynaverseScriptInfo& info )
{
	// pick a map
	return 1;
}

//---------------------------------------------------------------------------------------------
// return kTrue if players ship should be created for this mission
iTruth tBon_1Sulu::mUsePlayerShip( tShipInGame& Ship )
{
	return kTrue;
}
//---------------------------------------------------------------------------------------------
// called at the end of mission initialization - use to return briefing message
int32 tBon_1Sulu::mInitializeFinished( void )
{
	// return the index to the briefing message we want to use

	return( kBriefing_msg );

}

//---------------------------------------------------------------------------------------------
// called after all ships have been created and mission is ready to start.
// use to set callback events and change default ship configuration
void tBon_1Sulu::mStartMission( void )
{
	tScript::mStartMission();

	const int kRelationsCount = 5;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kExcelsiorTeam,
		kAsteroidStationTeam,
		kKlingonTeam,
		kRebelTeam
	};


	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr		= kPlayerTeam,
		//Excl		= kExcelsiorTeam,
		//Astd		= kAsteroidStationTeam,
		//Klin		= kKlingonTeam,
		//Rebl		= kRebelTeam,

		//			Plyr	Excl	Astd	Klin	Rebl
		/*Plyr*/	"--",	"AI",	"AI",	"HI",	"HI",
		/*Excl*/	"AI",	"--",	"AI",	"HI",	"HI",
		/*Astd*/	"AI",	"AI",	"--",	"AI",	"AI",
		/*Klin*/	"HI",	"HI",	"AI",	"--",	"WC",
		/*Rebl*/	"HI",	"HI",	"AI",	"WD",	"--",

	};

	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);

}

//---------------------------------------------------------------------------------------------
// called whenever a ship is created after a mission has already started
void tBon_1Sulu::mNewInternalShip( tShipInfo* Ship )
{
}

//---------------------------------------------------------------------------------------------
// called at end of mission only if player is still alive
void tBon_1Sulu::mGetDebriefingList( eVictoryLevels VictoryLevel )
{
}

//---------------------------------------------------------------------------------------------
// called at the end of every mission
int32 tBon_1Sulu::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}
void tBon_1Sulu::mASCIIOverrides( tMapOverrides* Map )
{
	tScript::mASCIIOverrides( Map );

	Map->fTacticalMapIcon['G'] = kObjectPlayerShip;

	Map->fTacticalMapIcon['M'] = kObjectAsteroid;
}
void tBon_1Sulu::mDefineBriefings( void )
{
	for ( int32 j = kFederation; j <= kMirak; j++ )
	{
		fBriefingIndex[kPlayerTeam][j] = kBriefing_msg;
	}
}

