//	<Name>	Bon_1SuluVictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Bon_1SuluVictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Bon_1Sulu.h"
#include "Bon_1SuluVictory.h"
#include "MissionText.h"
//#include "EnemyTeam.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
//#include "PlayerTeamShipGameOverState.h"

#include "PlayerTeamAstoundiingVictoryState.h"
#include "PlayerTeamVictoryState.h"
#include "PlayerTeamDrawState.h"
#include "PlayerTeamDefeatState.h"

              
tBon_1SuluVictoryState::tBon_1SuluVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tBon_1SuluVictory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{

}

void tBon_1SuluVictoryState::mBeginState()
{
	fPlayerDead = false;
	fAstoundingVictory = false;
	fVictory = false;
	fDraw = false;

}

void tBon_1SuluVictoryState::mEndState()
{
}

eVictoryLevels tBon_1SuluVictoryState::mCalcVictoryStatus( eTeamID ID )
{

	if( fAstoundingVictory )
	{
		return kAstoundingVictory;
	}
	else if( fVictory )
	{
		return kVictory;
	}
	else if( fDraw )
	{
		return kDraw;
	}
	else if( ! fPlayerDead )
	{
		return kDefeat;
	}
	else
	{
		return kDevastatingDefeat;
	}

}
void tBon_1SuluVictoryState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if( ship->mGetOriginalTeam() == playerTeam->mGetTeam() )
	{
		fPlayerDead = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );		
	}

}
void tBon_1SuluVictoryState::mOnCapture( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if( ship->mGetOriginalTeam() == playerTeam->mGetTeam() )
	{
		fPlayerDead = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );		
	}

}

void tBon_1SuluVictoryState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if( ship->mGetOriginalTeam() == playerTeam->mGetTeam() )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );		
	}
}
void tBon_1SuluVictoryState::mOnTimedInterval( int32 timerID )
{

}
void tBon_1SuluVictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{
	if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamAstoundiingVictoryState ) &&
		eventType == kStartingNewState )
	{
		fAstoundingVictory = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );	
	}
	else if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamVictoryState ) &&
		eventType == kStartingNewState )
	{
		fVictory = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );	
	}
	else if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamDrawState ) &&
		eventType == kStartingNewState )
	{
		fDraw = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );	
	}
}
