//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_1Sulu.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"


#include "MissionText.h"
#include "ScriptInterface.h"
#include "Excelsior.h"
#include "RebelTeamShip.h"
#include "KlingonTeamShip.h"
#include "AsteroidStation.h"

#include "PlayerTeamAstoundiingVictoryState.h"
#include "PlayerTeamVictoryState.h"
#include "PlayerTeamDrawState.h"
#include "PlayerTeamDefeatState.h"

tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fDeepScanON = false;
	fAsteroidScanned = false;
	fAsylumRequested = false;
	fAyslumGranted = false;
	fAsylumDenied = false;
	fBOPScanned = false;
	fKlingonHostile = false;
	fRequestedReinforcement = false;
	fBOPEscaped = false;
	fKlingonDestroyed = false;
	fBOPDestroyed = false;
	fOnOurWay = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 5.0f );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlayerTeam ) );
	tTeamInfo* asteroidTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kAsteroidStationTeam ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tTeamInfo* rebelTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kRebelTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator ship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *ship;
	ship = klingonTeam->mGetFirstShip();
	tShipInfo* klingonShip = *ship;
	ship = rebelTeam->mGetFirstShip();
	tShipInfo* rebelShip = *ship;

	ship = asteroidTeam->mGetFirstShip();
	tShipInfo* asteroidBase = *ship;
	ship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *ship;

	if( timerID == kDeepScanONID )
	{
		if( fDeepScanON )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kBeginningScan_msg, kScienceScriptMessage );
			mSetTimedInterval( kTimerTurnsSet, kCheckDeepScanID, 0.5f );
		}
	}
	else if( timerID == kCheckDeepScanID )
	{
		if( fDeepScanON )
		{
			if( ( playerShip->mGetShipTargetID() == asteroidBase->mGetShipID() ) 
				&& !fAsteroidScanned  
				&& ( ( playerShip->mGetTacticalDistance( asteroidBase ) ) < 10 ) )
			{
				fAsteroidScanned = true;
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kAsteroidScanned_msg );

				if( fBOPScanned )
				{
					playerTeam->mGotoCommState( rebelShip->mGetShipID(), tRebelTeamShip::kAskAboutAsteroidProof );
				}
			}
			else if( rebelShip
				&&( playerShip->mGetShipTargetID() == rebelShip->mGetShipID() ) 
				&& !fBOPScanned  
				&& ( ( playerShip->mGetTacticalDistance( rebelShip ) ) < 10 ) )
			{
				fBOPScanned = true;
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kBOPScanned_msg );

				if( fAsteroidScanned )
				{
					playerTeam->mGotoCommState( rebelShip->mGetShipID(), tRebelTeamShip::kAskAboutAsteroidProof );
				}
			}
	
			mSetTimedInterval( kTimerTurnsSet, kCheckDeepScanID, 0.5f );
		}
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu1_Start, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;
			break;
			case 1:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartScience, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartScience_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;
			break;
			case 2:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluHail, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartSuluHail_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;
			break;
			case 3:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStation, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStartSuluStationDestroyed_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;
			break;
			case 4:
				if( excelsior )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailEarlyCommState );
				}
			break;
			case 5:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailEarly2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 6:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_HailEarly3, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailEarly3_msg );
				if( excelsior )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailMaruCommState );
				}
			break;
			case 7:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_MaruStory2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 8:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				++fChapter;
			break;
			case 9:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_MaruStory4, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory4_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				++fChapter;
			break;
			case 10:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory5_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 11:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_MaruStory6, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory6_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				++fChapter;
			break;
			case 12:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory7_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 4.0f );
				++fChapter;
			break;
			case 13:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_MaruStory8, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory8_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 13.0f );
				++fChapter;
			break;
			case 14:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory9_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 15:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_MaruStory10, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMaruStory10_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 15.0f );
				++fChapter;
			break;
			case 16:
				if( excelsior )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kBlankCommState );
				}
			break;
			case 17:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kDistressSignal1_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				++fChapter;
			break;
			case 18:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_DistressSignal2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kDistressSignal2_msg );
			break;
			case 19:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kExcelsiorLeft_msg );
				mSetTimedInterval( kTimerTurnsSet, kCheckVoicePlayingID, 1.0f );
				++fChapter;
			break;
			case 20:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kTwoKlingonsEntered_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
				++fChapter;
				if( asteroidBase )
				{
					playerTeam->mGotoCommState( asteroidBase->mGetShipID(), tAsteroidStation::kReinforceCommState );
				}
			break;
			case 21:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStarfleetPolicy_msg );
				if( rebelShip )
				{
					playerTeam->mGotoCommState( rebelShip->mGetShipID(), tRebelTeamShip::kHailRebel );
				}
				if( klingonShip )
				{
					playerTeam->mGotoCommState( klingonShip->mGetShipID(), tKlingonTeamShip::kHailKlingon );
				}
			break;
			case 22:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailBop2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fAsylumRequested = true;;
				++fChapter;
			break;
			case 23:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailBop3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 4.0f );
				++fChapter;
			break;
			case 24:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailBop4_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;		
			case 25:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailBop5_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;

			break;
			case 26:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailBop6_msg );
				if( rebelShip && !( fBOPScanned && fAsteroidScanned ) )
				{
					playerTeam->mGotoCommState( rebelShip->mGetShipID(), tRebelTeamShip::kAskAboutAsteroid );
				}
				else if( rebelShip && fBOPScanned && fAsteroidScanned )
				{
					playerTeam->mGotoCommState( rebelShip->mGetShipID(), tRebelTeamShip::kAskAboutAsteroidProof );
				}
				if( asteroidBase && ! fRequestedReinforcement )
				{
					playerTeam->mGotoCommState( asteroidBase->mGetShipID(), tAsteroidStation::kHailCommState );
				}
				else if( asteroidBase )
				{
					playerTeam->mGotoCommState( asteroidBase->mGetShipID(), tAsteroidStation::kAskAdviceCommState );
				}
			break;
			case 27:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kRebelDeny2_msg );
				if( rebelShip && !( fBOPScanned && fAsteroidScanned ) )
				{
					playerTeam->mGotoCommState( rebelShip->mGetShipID(), tRebelTeamShip::kGrantAsylum );
				}
			break;
			case 28:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu1_StartSuluStationDestroyed, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kKlingonTargetingUs_msg );
			break;
			case 29:
				if( fOnOurWay == false )
				{
					//fMissionInfo->mPlayVoiceSample( kSndSulu1_OnOurWay, kTrue );
					fOnOurWay = true;
				}
			break;
			case 30:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_Advice2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kAdvice2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;
			break;
			case 31:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kAdvice3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 32:
				//fMissionInfo->mPlayVoiceSample( kSndSulu1_Advice4, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kAdvice4_msg );
			break;
			case 33:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kGotHim2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 34:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kGotHim3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;
			break;
			case 35:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kGotHim4_msg );
			break;
		}
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )// != 0 )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.2f );
		}
	}
	else if( timerID == kAstoundingVictoryID )
	{
		fChildActor->mGotoState( typeid( tPlayerTeamAstoundiingVictoryState ) );
	}
	else if( timerID == kVictoryID )
	{
		fChildActor->mGotoState( typeid( tPlayerTeamVictoryState ) );
	}
	else if( timerID == kDrawID )
	{
		fChildActor->mGotoState( typeid( tPlayerTeamDrawState ) );
	}	
	else if( timerID == kDefeatID )
	{
		fChildActor->mGotoState( typeid( tPlayerTeamDefeatState ) );
	}
}
void tPlayerTeamInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlayerTeam ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tShipIterator kship = klingonTeam->mGetFirstShip();
	tShipInfo* klingonShip = *kship;

	if( buttonID == kHailEarly_btn )
	{
		//fMissionInfo->mPlayVoiceSample( kSndSulu1_HailEarly1, kTrue );
		fChapter = 5;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 2.5f );
	}
	else if( buttonID == kHailMaruStory_btn )
	{
		fChapter = 7;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
	}
	else if( buttonID == kHailRebel_btn )
	{
		fChapter = 22;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 5.0f );
	}
	else if( buttonID == kAskRebelAboutAsteroid_btn )
	{
		fChapter = 27;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 4.0f );
	}
	else if( buttonID == kGrantAsylum_btn )
	{
		fAyslumGranted = true;
		if( ! fKlingonHostile && klingonShip )
		{
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kKlingonTeam ), static_cast< eTeamID>( kPlayerTeam ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kKlingonTeam ), static_cast< eTeamID>( kExcelsiorTeam ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
			fChapter = 28;
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 2.0f );
			playerTeam->mGotoCommState( klingonShip->mGetShipID(), tKlingonTeamShip::kNoResponse );
		}
	}
	else if(  buttonID == kRequestReinforce_btn )
	{
		fChapter = 29;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.1f );
		fRequestedReinforcement = true;
	}
	else if(  buttonID == kRequestAdvice_btn )
	{
		fChapter = 30;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 8.0f );
	}
	else if( buttonID == kAskRebelAboutAsteroidProof_btn )
	{
		fChapter = 33;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 5.0f );
	}
	else if( buttonID == kDenyAsylum_btn )
	{
			fAsylumDenied = true;
	}
	else if( buttonID == kHailRightHere_btn )
	{
		//fMissionInfo->mPlayVoiceSample( kSndSulu1_RightHere, kTrue );
	}
}
void tPlayerTeamInitialState::mAtDistance( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator eship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *eship;
	eTeamID team = ship->mGetTeam();

	if( team == playerTeam->mGetTeam() )
	{
		fChapter = 17;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.5f );
		if( excelsior )
		{
			playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kBlankCommState );
		}
	}
	
}
void tPlayerTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tTeamInfo* rebelTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kRebelTeam ) );

	if( ship->mGetTeam() == excelsiorTeam->mGetTeam() )
	{
		fChapter = 19;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.5f );
	}
	else if( ship->mGetTeam() == rebelTeam->mGetTeam() )
	{
		fBOPEscaped = true;
		if( fKlingonDestroyed || ! fKlingonHostile )
		{
			if( fAyslumGranted )
			{
				mSetTimedInterval( kTimerSecondsSet, kVictoryID, 3.0f );
			}
		}
		if( ! fAyslumGranted && ! fKlingonHostile )
		{
				mSetTimedInterval( kTimerSecondsSet, kDrawID, 3.0f );
		}
	}

}
void tPlayerTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanONID, 0.75f );
}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tTeamInfo* rebelTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kRebelTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );

	if( ship->mGetTeam() == rebelTeam->mGetTeam() )
	{
		fBOPDestroyed = true;
		if( ! fKlingonHostile || fKlingonDestroyed )
		{
			if( fAyslumGranted )
			{
				mSetTimedInterval( kTimerSecondsSet, kDrawID, 3.0f );
			}
			else if( fAsylumDenied )
			{
				mSetTimedInterval( kTimerSecondsSet, kAstoundingVictoryID, 3.0f );
			}
			else
			{
				mSetTimedInterval( kTimerSecondsSet, kDrawID, 3.0f );
			}
		}
	}
	else if( ship->mGetTeam() == klingonTeam->mGetTeam() )
	{
		fKlingonDestroyed = true;

		if( fBOPEscaped )
		{
			if( fAyslumGranted )
			{
				mSetTimedInterval( kTimerSecondsSet, kVictoryID, 3.0f );
			}
			else
			{
				mSetTimedInterval( kTimerSecondsSet, kDrawID, 3.0f );
			}
		}
	}

}