//	<Name>	Bon_2SuluVictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Bon_2SuluVictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Bon_2Sulu.h"
#include "Bon_2SuluVictory.h"
#include "MissionText.h"
//#include "EnemyTeam.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
//#include "PlayerTeamShipGameOverState.h"

//#include "PlayerTeamAstoundiingVictoryState.h"
//#include "PlayerTeamVictoryState.h"
//#include "PlayerTeamDrawState.h"
//#include "PlayerTeamDefeatState.h"

              
tBon_2SuluVictoryState::tBon_2SuluVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tBon_2SuluVictory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{

}

void tBon_2SuluVictoryState::mBeginState()
{
	fPlayerDead = false;
	fAsteroidScanned = false;
	fExcelsiorDestroyed = false;
	fExcelsiorDisengaged = false;
	fAllKlingonsDestroyed = false;
	fKlingonsInPlay = 3;
}

void tBon_2SuluVictoryState::mEndState()
{
}

eVictoryLevels tBon_2SuluVictoryState::mCalcVictoryStatus( eTeamID ID )
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );

	fAsteroidScanned = playerTeam->mGetAsteroidScanned();
	
	if( fPlayerDead )
	{
		return kDevastatingDefeat;
	}
	else if( fExcelsiorDestroyed )
	{
		return kDefeat;
	}
	else if( fAllKlingonsDestroyed && ! fExcelsiorDestroyed && fAsteroidScanned )
	{
		return kAstoundingVictory;
	}
	else if( fExcelsiorDisengaged && ! fExcelsiorDestroyed && fAsteroidScanned )
	{
		return kVictory;
	}
	else
	{
		return kDraw;
	}

}
int32 tBon_2SuluVictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = teamID->mShipsRemainingInPlay();

	return teamShipsInPlay;
}
void tBon_2SuluVictoryState::mCheckAllTeams( tShipInfo* ship )
{

	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );


	if( ship->mGetTeam() == kKlingonTeam )
	{
		fKlingonsInPlay = mShipsInPlay( targetTeam );
	}
	if( fKlingonsInPlay == 0 )
	{
		fAllKlingonsDestroyed = true;
		if( fExcelsiorDestroyed )
		{
			gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
		}
		else
		{
			gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );
		}
	}

}
void tBon_2SuluVictoryState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kKlingonTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kExcelsiorTeam ) );

	if( ship->mGetOriginalTeam() == playerTeam->mGetTeam() )
	{
		fPlayerDead = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );		
	}
	else if( ship->mGetOriginalTeam() == excelsiorTeam->mGetTeam() )
	{
		fExcelsiorDestroyed = true;
	}

	mCheckAllTeams( ship );

}
void tBon_2SuluVictoryState::mOnCapture( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if( ship->mGetOriginalTeam() == playerTeam->mGetTeam() )
	{
		fPlayerDead = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );		
	}

}

void tBon_2SuluVictoryState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kExcelsiorTeam ) );

	if( ship->mGetOriginalTeam() == playerTeam->mGetTeam() )
	{
		mSetTimedInterval( kTimerSecondsSet, kPlayerDisengagedID, 4.0f );
	}
	else if( ship->mGetOriginalTeam() == excelsiorTeam->mGetTeam() )
	{
		fExcelsiorDisengaged = true;
	}
}
void tBon_2SuluVictoryState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kPlayerDisengagedID )
	{
		if( fExcelsiorDisengaged || ( ! fExcelsiorDestroyed && fAllKlingonsDestroyed ) )
		{
			gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );
		}
		else
		{
			gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
		}
	}
}
void tBon_2SuluVictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{
/*	if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamAstoundiingVictoryState ) &&
		eventType == kStartingNewState )
	{
		fAstoundingVictory = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );	
	}
	else if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamVictoryState ) &&
		eventType == kStartingNewState )
	{
		fVictory = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );	
	}
	else if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamDrawState ) &&
		eventType == kStartingNewState )
	{
		fDraw = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );	
	}
*/
}
