//	<Name>	Bon_2SuluVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( Bon_2SuluVictoryState_h )
#define Bon_2SuluVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "Bon_2SuluVictory.h"

class tBon_2SuluVictoryState : public tChildActorVictoryState<tBon_2SuluVictory>
{
public:
   enum eTimeIDs
   {
		kPlayerDisengagedID,
		kDetectedID,
		kExcelsiorBreaksDownID,
		kExcelsiorFixedID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
   };

   tBon_2SuluVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );
	virtual void mCheckAllTeams( tShipInfo* ship );

protected:

	bool	fPlayerDead;
	bool	fAsteroidScanned;
	bool	fExcelsiorDestroyed;
	bool	fExcelsiorDisengaged;
	bool	fAllKlingonsDestroyed;
	int32	fKlingonsInPlay;
};

#endif

