//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_2Sulu.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"


#include "MissionText.h"
#include "ScriptInterface.h"
#include "Excelsior.h"
//#include "RebelTeamShip.h"
#include "KlingonTeamShip.h"
#include "AsteroidStation.h"
#include "KlingonTeam.h"
#include "KlingonTeamCruiser.h"

//#include "PlayerTeamAstoundiingVictoryState.h"
//#include "PlayerTeamVictoryState.h"
//#include "PlayerTeamDrawState.h"
//#include "PlayerTeamDefeatState.h"

tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fDeepScanON = false;
	fAsteroidScanned = false;
	fKlingonsHostile = false;
	fExcelsiorBrokeDown = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 5.0f );
	mSetTimedInterval( kTimerTurnsSet, kDetectedID, 4.5f );//must change in ExcelsiorInitialState if changed here
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	tTeamInfo* asteroidTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kAsteroidStationTeam ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator ship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *ship;
	ship = asteroidTeam->mGetFirstShip();
	tShipInfo* asteroidBase = *ship;
	ship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *ship;
	ship = klingonTeam->mGetFirstShip();
	tShipCustomIDEval x( tKlingonTeam::kCruiserID );
	ship.mAddEvaluator( &x );
	tShipInfo* klingonShip = *ship;

	if( timerID == kDeepScanONID )
	{
		if( fDeepScanON )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kBeginningScan_msg, kScienceScriptMessage );
			mSetTimedInterval( kTimerTurnsSet, kCheckDeepScanID, 0.5f );

		}
	}
	else if( timerID == kDetectedID )
	{
		fChapter = 13;
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.1f );
		mSetTimedInterval( kTimerTurnsSet, kExcelsiorBreaksDownID, 0.5f );//must change in ExcelsiorInitialState if changed here
	}
	else if( timerID == kExcelsiorBreaksDownID )
	{
		fChapter = 8;		
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		fExcelsiorBrokeDown = true;
		mSetTimedInterval( kTimerTurnsSet, kExcelsiorFixedID, 8.0f );//must change in ExcelsiorInitialState if changed here
//		if( excelsior )
//		{
//			playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailEarlyCommState );
//		}
		if( klingonShip )
		{
			playerTeam->mGotoCommState( klingonShip->mGetShipID(), tKlingonTeamCruiser::kTauntCommState );
		}

	}
	else if( timerID == kExcelsiorFixedID )
	{		
		fChapter = 15;		
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.2f );
		if( klingonShip )
		{
			playerTeam->mGotoCommState( klingonShip->mGetShipID(), tKlingonTeamCruiser::kBlankCommState );
		}
	}
	else if( timerID == kCheckDeepScanID )
	{
		if( fDeepScanON )
		{
			if( ( playerShip->mGetShipTargetID() == asteroidBase->mGetShipID() ) 
				&& !fAsteroidScanned  
				&& ( ( playerShip->mGetTacticalDistance( asteroidBase ) ) < 10 ) )
			{
				fAsteroidScanned = true;
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kAsteroidScanned_msg );

				playerTeam->mSetAsteroidScanned();
			}

			mSetTimedInterval( kTimerTurnsSet, kCheckDeepScanID, 0.5f );
		}
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart1, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart1_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
				++fChapter;
			break;
			case 1:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				++fChapter;
			break;
			case 2:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart3, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 3:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart4, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart4_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 4:
				//fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart5, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart5_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 5.0f );
				++fChapter;
			break;
			case 5:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart6, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart6_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 6:
				//fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart7, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart7_msg );
				if( excelsior )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailEarlyCommState );
				}
			break;
			case 7:
			//intentionally blank
			break;
			case 8:
				//fMissionInfo->mPlayVoiceSample( kSndSulu2_kSuluExcelsiorSabot, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kSuluExcelsiorSabot_msg );
				if( excelsior )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailBrokeCommState );
				}
			break;
			case 9:
			//intentionally blank
			break;
			case 10:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_HailBroke2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailBroke2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;
			break;
			case 11:
				//fMissionInfo->mPlayVoiceSample( kSndSulu2_HailBroke3, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailBroke3_msg );
			break;
			case 12:
			//intentionally blank
			break;
			case 13:
				//fMissionInfo->mPlayVoiceSample( kSndSulu2_SuluBeenDetected , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kSuluBeenDetected_msg );
			break;
			case 14:
			//intentionally blank
			break;
			case 15:
				if( excelsior )
				{
					//fMissionInfo->mPlayVoiceSample( kSndSulu2_SuluExcelFixed , kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kSuluExcelFixed_msg );
				}
			break;
			case 16:
			//intentionally blank
			break;
		}
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )// != 0 )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.2f );
		}
	}

}
void tPlayerTeamInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlayerTeam ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tShipIterator kship = klingonTeam->mGetFirstShip();
	tShipInfo* klingonShip = *kship;

	if( buttonID == kHailEarly_btn )
	{
		//fMissionInfo->mPlayVoiceSample( kSndSulu2_HailEarly, kTrue );
	}
	else if( buttonID == kHailBroke_btn )
	{
		//fMissionInfo->mPlayVoiceSample( kSndSulu2_HailBroke1, kTrue );
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
		fChapter = 10;
	}
	else if( buttonID == kHailBroke_btn )
	{
				fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kKlingonTeam ), static_cast< eTeamID>( kExcelsiorTeam ), kTeamHostile, kGoalIgnore, 1.0, kFalse );
	}
}
void tPlayerTeamInitialState::mAtDistance( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator eship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *eship;
	eTeamID team = ship->mGetTeam();

	if( team == playerTeam->mGetTeam() )
	{
		fChapter = 17;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.5f );
		if( excelsior )
		{
			playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kBlankCommState );
		}
	}
	
}
void tPlayerTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tPlayerTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanONID, 0.75f );
}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );

}