//	<Name>	Bon_3SuluVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( Bon_3SuluVictoryState_h )
#define Bon_3SuluVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "Bon_3SuluVictory.h"

class tBon_3SuluVictoryState : public tChildActorVictoryState<tBon_3SuluVictory>
{
public:
   enum eTimerIDs
   {
		kGameOverID,
 	    kPlayerDisengagedID,
		kTrackDistanceID,
		kFirstWaveID,
		kSecondWaveID,
		kThirdWaveID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
   };

   tBon_3SuluVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );
	virtual void mCheckAllTeams( tShipInfo* ship );

protected:

	bool	fPlayerDead;
	bool	fExcelsiorDestroyed;
	bool	fExcelsiorDisengaged;
	bool	fAllKlingonsDestroyed;
	int32	fKlingonsInPlay;
	bool	fPlayerDisengaged;
};

#endif

