//	<Name>	KlingonTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Excelsior.h"
#include "KlingonTeamInitialState.h"
#include "KlingonTeamShip.h"
#include "KlingonTeamCruiser.h"
#include "KlingonTeamHeavyCruiser.h"
#include "KlingonTeam.h"
#include "KlingonTeamFireShip.h"
#include "ScriptInterface.h"
#include "MissionInfo.h"
#include "TeamInfo.h"
#include "Bon_3Sulu.h"

void tKlingonTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kFirstWaveID, 4.0f );	//if you change here must change in playerteaminitialstate first wave
}

void tKlingonTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tKlingonTeam* klingonTeam = dynamic_cast<tKlingonTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) ) );
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator ship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *ship;

	if( timerID == kFirstWaveID )
	{

		fChildActor->mCreateShip( typeid( tKlingonTeamFireShip ), "K-FSPh", kStartPosition_Z, tTeamInfo::kNoMetaShipID, kFireShip1ID, 0, 0, -1, -1, NULL, kStartPositionOffsetW );
		fChildActor->mCreateShip( typeid( tKlingonTeamCruiser ), "K-D6", kStartPosition_Z, tTeamInfo::kNoMetaShipID,kCruiserID, 0, 0, -1, -1, NULL, kStartPositionOffsetE );
		mSetTimedInterval( kTimerTurnsSet, kSecondWaveID, 6.0f );
		klingonTeam->mIncWave();
		if( excelsior )
		{
			playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailSuluFightCommState );
		}
	}
	else if( timerID == kSecondWaveID )
	{
		fChildActor->mCreateShip( typeid( tKlingonTeamFireShip ), "K-FSPh", kStartPosition_W, tTeamInfo::kNoMetaShipID, kFireShip2ID, 0, 0, -1, -1, NULL, kStartPositionOffsetS );
		fChildActor->mCreateShip( typeid( tKlingonTeamShip ), "K-F5", kStartPosition_W, tTeamInfo::kNoMetaShipID, kF5ID, 0, 0, -1, -1, NULL, kStartPositionOffsetE );
		fChildActor->mCreateShip( typeid( tKlingonTeamShip ), "K-E4", kStartPosition_W, tTeamInfo::kNoMetaShipID, kF4ID, 0, 0, -1, -1, NULL, kStartPositionOffsetW );
		mSetTimedInterval( kTimerTurnsSet, kThirdWaveID, 4.0f );
		klingonTeam->mIncWave();
	}
	if( timerID == kThirdWaveID )
	{
		fChildActor->mCreateShip( typeid( tKlingonTeamFireShip ), "K-FSPh", kStartPosition_R, tTeamInfo::kNoMetaShipID, kFireShip3ID, 0, 0, -1, -1, NULL, kStartPositionOffsetW );
		fChildActor->mCreateShip( typeid( tKlingonTeamHeavyCruiser ), "K-D7C", kStartPosition_R, tTeamInfo::kNoMetaShipID, kHeavyCruiserID, 0, 0, -1, -1, NULL, kStartPositionOffsetE );
		klingonTeam->mIncWave();
	}
}
void tKlingonTeamInitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{

}
void tKlingonTeamInitialState::mOnDisengaged( tShipInfo* ship )
{

}