//	<Name>	PlayerTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_3Sulu.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"

#include "PlayerTeamInitialState.h"
#include "Bon_3SuluVictory.h"
#include "MissionText.h"
#include "ShipScriptDescription.h"

//#include "PlayerTeamAstoundiingVictoryState.h"
//#include "PlayerTeamVictoryState.h"
//#include "PlayerTeamDrawState.h"
//#include "PlayerTeamDefeatState.h"

tClassAllocator<tPlayerTeam> gPlayerTeamAllocator;

tPlayerTeam::tPlayerTeam()
{
	fExcelsiorDestroyed = false;
}
void tPlayerTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tBon_3SuluVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}
void tPlayerTeam::mSetupDebriefingList( eVictoryLevels VictoryLevel )
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );

	if( fExcelsiorDestroyed )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kExcelsiorDestroyed_msg );
	}
	if( VictoryLevel == kAstoundingVictory )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kAstoundingVictory_msg );
	}
	if( VictoryLevel == kVictory )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kVictory_msg );
	}
	else if( VictoryLevel == kDraw )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kDraw_msg );
	}
	else if( VictoryLevel == kDefeat )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kDefeat_msg );
	}
	else if( VictoryLevel == kDevastatingDefeat )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kDevastatingDefeat_msg );
	}
}
void tPlayerTeam::mCreateShipsForTeam()
{
	mCreateShip( typeid( tPlayerTeamShip ), "F-CAI", kStartPosition_G, tTeamInfo::kNoMetaShipID, -1, 0, 0, -1, -1, "1731 Valiant", kDefaultShipOptions );
}
void tPlayerTeam::mSetupState()
{
	mRegisterState( new tPlayerTeamInitialState( ) );
//	mRegisterState( new tPlayerTeamAstoundiingVictoryState( ) );
//	mRegisterState( new tPlayerTeamVictoryState( ) );
//	mRegisterState( new tPlayerTeamDrawState( ) );
//	mRegisterState( new tPlayerTeamDefeatState( ) );

	mGotoState( typeid( tPlayerTeamInitialState ) );

}
void tPlayerTeam::mSetupCommState()
{

}
void tPlayerTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();

	tShipIterator ship = mGetFirstShip();

	if ( mIsTeamHumanControlled() )
	{
		ship->mSetShipPlayerControlled();
	}

}
void tPlayerTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
/*		mCreateShip( typeid( tPlayerTeamShip ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_G + shipScriptDescription.fTeamID,
				 -1, 0, 0, -1, -1, //Default data,so we can set the custom name
				 shipScriptDescription.fCustomName.c_str() );

*/
}
void tPlayerTeam::mSetExcelsiorDestroyed()
{
	fExcelsiorDestroyed = true;
}
bool tPlayerTeam::mGetWasExcelsiorDestroyed()
{
	return	fExcelsiorDestroyed;
}