//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_3Sulu.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"


#include "MissionText.h"
#include "ScriptInterface.h"
#include "Excelsior.h"
#include "KlingonTeamShip.h"
//#include "AsteroidStation.h"
#include "KlingonTeam.h"
#include "KlingonTeamCruiser.h"
#include "KlingonTeamInitialState.h"

//#include "PlayerTeamAstoundiingVictoryState.h"
//#include "PlayerTeamVictoryState.h"
//#include "PlayerTeamDrawState.h"
//#include "PlayerTeamDefeatState.h"

tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fDeepScanON = false;
	fAsteroidScanned = false;
	fKlingonsHostile = false;
	fExcelsiorBrokeDown = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 5.0f );
	mSetTimedInterval( kTimerTurnsSet, kFirstWaveID, 4.0f );//must change in PlayerTeamInitialState & klinkteam & excelsior if changed here
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlanetTeam ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator ship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *ship;
	ship = planetTeam->mGetFirstShip();
	tShipInfo* planet = *ship;
	ship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *ship;
	ship = klingonTeam->mGetFirstShip();
	tShipCustomIDEval x( tKlingonTeamInitialState::kCruiserID );
	tShipInfo* klingonShip = *ship;

	if( timerID == kDeepScanONID )
	{
		if( fDeepScanON )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kBeginningScan_msg, kScienceScriptMessage );
			mSetTimedInterval( kTimerTurnsSet, kCheckDeepScanID, 0.5f );

		}
	}
	else if( timerID == kFirstWaveID )
	{
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.2f );
		fChapter = 13;
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart1, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart1_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
				++fChapter;
			break;
			case 1:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				++fChapter;
			break;
			case 2:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart3, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 3:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart4, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart4_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 4:
				//fMissionInfo->mPlayVoiceSample( kSndSulu3_kStart5, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart5_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 5.0f );
				++fChapter;
			break;
			case 5:
				if( excelsior )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailEarlyCommState );
				}
			break;
			case 6:
				//fMissionInfo->mPlayVoiceSample( kSndSulu3_kStory2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				++fChapter;
			break;
			case 7:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart7, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 8:
				//fMissionInfo->mPlayVoiceSample( kSndSulu3_kStory4, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory4_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 8.0f );
				++fChapter;
			break;
			case 9:
//**********	fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart7, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory5_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 10:
				//fMissionInfo->mPlayVoiceSample( kSndSulu3_kStory6, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory6_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 15.0f );
				++fChapter;
			break;
			case 11:
//*********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart7, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory7_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 12:
				//fMissionInfo->mPlayVoiceSample( kSndSulu3_kStory8, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory8_msg );
			break;
			case 13:
				//fMissionInfo->mPlayVoiceSample( kSndSulu3_KlingonsPortBow, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kKlingonsPortBow );
				++fChapter;
			break;
			case 14:
				//Intentionally blank
			break;
			
		}
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )// != 0 )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.2f );
		}
	}

}
void tPlayerTeamInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlayerTeam ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tShipIterator kship = klingonTeam->mGetFirstShip();
	tShipInfo* klingonShip = *kship;

	if( buttonID == kHailEarly_btn )
	{
		//fMissionInfo->mPlayVoiceSample( kSndSulu3_HailEarly, kTrue );
	}
	else if( buttonID == kHailStory_btn )
	{
//***** fMissionInfo->mPlayVoiceSample( kSndSulu3_Story1, kTrue );
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
		fChapter = 6;
	}
	else if( buttonID == kHailSuluFight_btn )
	{
		//fMissionInfo->mPlayVoiceSample( kSndSulu3_TakeCareofFreight, kTrue );	
	}

}
void tPlayerTeamInitialState::mAtDistance( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator eship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *eship;
	eTeamID team = ship->mGetTeam();

/*	if( team == playerTeam->mGetTeam() )
	{
		fChapter = 17;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.5f );
		if( excelsior )
		{
			playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kBlankCommState );
		}
	}
*/	
}
void tPlayerTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tPlayerTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanONID, 0.75f );
}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	
	if( ship->mGetTeam() == excelsiorTeam->mGetTeam() )
	{
		playerTeam->mSetExcelsiorDestroyed();
	}
}