//	<Name>	Bon_4SuluVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( Bon_4SuluVictoryState_h )
#define Bon_4SuluVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "Bon_4SuluVictory.h"

class tBon_4SuluVictoryState : public tChildActorVictoryState<tBon_4SuluVictory>
{
public:
   enum eTimerIDs
   {
		kSuluInCommandID,
		kRebelMutinyID,
		kKlingonsArriveID,
		kPresidentID,
		kPlayerDisengagedID,
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kDeepScanONID,
		kCheckDeepScanID,
		kGameOverID,
   };

   tBon_4SuluVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );
	virtual void mCheckAllTeams( tShipInfo* ship );

protected:

	bool	fPlayerDead;
	bool	fExcelsiorDestroyed;
	bool	fExcelsiorDisengaged;
	bool	fAllKlingonsDestroyed;
	int32	fKlingonsInPlay;
	bool	fPlayerDisengaged;
};

#endif

