//	<Name>	ExcelsiorInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_4Sulu.h"
#include "ShipInfo.h"
#include "Excelsior.h"
#include "ExcelsiorInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"

const float kSuluInCommandTimer = 7.0f;
const float kMutinyTimer		= 9.5f;

tExcelsiorInitialState::tExcelsiorInitialState( )
{

}

void tExcelsiorInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kRebelMutinyID, kMutinyTimer );//must change in Excel & PlayerTeamInitialState if changed here
}
void tExcelsiorInitialState::mEndState()
{
}

void tExcelsiorInitialState::mOnTimedInterval( int32 timerID )
{
	int32 X, Y;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	fMissionInfo->mGetGridPosition( 'R', &X, &Y );

	if( timerID == kRebelMutinyID )
	{
		fChildActor->mClearCommands();
		fChildActor->mSetFinalDestination( X, Y );
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tExcelsior::kBlankCommState );
//		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
		fChildActor->mSetShipMaxSpeed( 20 );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kExcelsiorTeam ), static_cast< eTeamID>( kKlingonTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );

		mSetTimedInterval( kTimerTurnsSet, kSuluInCommandID, kSuluInCommandTimer );//number of turns for Sulu to regain control of Excelsior
	}
	else if( timerID == kSuluInCommandID )
	{
		fChildActor->mClearCommands();
		fChildActor->mSetShipMaxSpeed( 32 );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kKlingonTeam ), static_cast< eTeamID>( kExcelsiorTeam ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tExcelsior::kBlankCommState );
		//fMissionInfo->mPlayVoiceSample( kSndSulu4_SuluInCommand , kTrue );
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kSuluInCommand_msg );
	}

}
void tExcelsiorInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{

}
void tExcelsiorInitialState::mOnDeath( tShipInfo* ship )
{
}
void tExcelsiorInitialState::mAtDestination( tShipInfo* ship )
{
}
void tExcelsiorInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{

}
void tExcelsiorInitialState::mAtDistance( tShipInfo* ship )
{
}
