//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Bon_4Sulu.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"


#include "MissionText.h"
#include "ScriptInterface.h"
#include "Excelsior.h"
#include "KlingonTeamShip.h"
#include "KlingonTeam.h"
#include "KlingonTeamCruiser.h"
#include "KlingonTeamInitialState.h"

const float kMutinyTimer	=	4.1f;
const float kSuluInCommandTimer = 5.0f;

//#include "PlayerTeamAstoundiingVictoryState.h"
//#include "PlayerTeamVictoryState.h"
//#include "PlayerTeamDrawState.h"
//#include "PlayerTeamDefeatState.h"

tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fDeepScanON = false;
	fAsteroidScanned = false;
	fKlingonsHostile = false;
	fExcelsiorBrokeDown = false;
	fStartedStory = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 5.0f );
	mSetTimedInterval( kTimerTurnsSet, kPresidentID, 5.0f );//must change if rendevous time is changed
}
void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlanetTeam ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator ship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *ship;
	ship = planetTeam->mGetFirstShip();
	tShipInfo* planet = *ship;
	ship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *ship;
	ship = klingonTeam->mGetFirstShip();
	tShipCustomIDEval x( tKlingonTeamInitialState::kCruiserID );
	tShipInfo* klingonShip = *ship;

	if( timerID == kDeepScanONID )
	{
		if( fDeepScanON )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kBeginningScan_msg, kScienceScriptMessage );
			mSetTimedInterval( kTimerTurnsSet, kCheckDeepScanID, 0.5f );
		}
	}
	else if( timerID == kSuluInCommandID )
	{
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.2f );	
		fChapter = 23;
	}
	else if( timerID == kPresidentID )
	{
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.5f );
		mSetTimedInterval( kTimerTurnsSet, kKlingonsArriveID, kMutinyTimer ); // must change if Klingons arrive sooner or later
		fChapter = 12;
	}
	else if( timerID == kKlingonsArriveID )
	{
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.5f );
		fChapter = 14;
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
	//			fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart1, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart1_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
				++fChapter;
			break;
			case 1:
	//			fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				++fChapter;
			break;
			case 2:
	//			fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart3, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 3:
	//			fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart4, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart4_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 4:
				//fMissionInfo->mPlayVoiceSample( kSndSulu4_kStart5, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kStart5_msg );
				if( excelsior )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailEarlyCommState );
				}
			break;
			case 5:
			//intentionally blank
			break;
			case 6:
			//	fMissionInfo->mPlayVoiceSample( kSndSulu4_kStory2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 16.0f );
				++fChapter;
			break;
			case 7:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart7, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory3_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				++fChapter;
			break;
			case 8:
				//fMissionInfo->mPlayVoiceSample( kSndSulu4_kStory4, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory4_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
				++fChapter;
			break;
			case 9:
//********		fMissionInfo->mPlayVoiceSample( kSndSulu2_kStart7, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory5_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
				++fChapter;
			break;
			case 10:
				//fMissionInfo->mPlayVoiceSample( kSndSulu4_kStory6, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), 	kStory6_msg );
			break;
			case 11:
			//intentionally blank
			break;
			case 12:
				//fMissionInfo->mPlayVoiceSample( kSndSulu4_PresArrived, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kPresArrived_msg );
				if( excelsior && ! fStartedStory )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailStoryCommState );
				}
				++fChapter;
			break;
			case 13:
			//intentionally blank
			break;
			case 14:
	//			fMissionInfo->mPlayVoiceSample( kSndSulu2_HailBroke2, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kKlingonsArrive_msg );
				mSetTimedInterval( kTimerTurnsSet, kCheckVoicePlayingID, 0.5f );
				fChapter = 16;
			break;
			case 15:
			//intentionally blank
			break;
			case 16:
	//			fMissionInfo->mPlayVoiceSample( kSndSulu4_SuluBeenDetected , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kExcelsiorCap1_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				++fChapter;
			break;
			case 17:
	//			fMissionInfo->mPlayVoiceSample( kSndSulu4_SuluExcelFixed , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kExcelsiorCap2_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 30.0f );
				++fChapter;
			break;
			case 18:
	//			fMissionInfo->mPlayVoiceSample( kSndSulu4_SuluExcelFixed , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kSuluTime1_msg );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 4.0f );
				++fChapter;
			break;
			case 19:
				//fMissionInfo->mPlayVoiceSample( kSndSulu4_SuluTime2 , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kSuluTime2_msg );
				if( excelsior )
				{
					playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kHailRebelsOrSuluCommState );
					mSetTimedInterval( kTimerTurnsSet, kSuluInCommandID, kSuluInCommandTimer );
				}
				++fChapter;
			break;
			case 20:
			//intentionally blank
			break;
			case 21:
				//fMissionInfo->mPlayVoiceSample( kSndSulu4_HailSulu, kTrue );
			break;
			case 22:
			//intentionally blank
			break;
			case 23:
			if( excelsior )
			{
//				playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kBlankCommState );
//				fMissionInfo->mPlayVoiceSample( kSndSulu4_SuluInCommand , kTrue );
//				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kSuluInCommand_msg );
			}
			break;
		}
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )// != 0 )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.2f );
		}
	}

}
void tPlayerTeamInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlayerTeam ) );
//	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
//	tShipIterator kship = klingonTeam->mGetFirstShip();
//	tShipInfo* klingonShip = *kship;
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator pship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *pship;

	if( buttonID == kHailEarly_btn )
	{
		//fMissionInfo->mPlayVoiceSample( kSndSulu4_HailEarly, kTrue );
	}
	else if( buttonID == kHailStory_btn )
	{
//*****	fMissionInfo->mPlayVoiceSample( kSndSulu4_Story1, kTrue );
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
		fChapter = 6;
		fStartedStory = true;
	}
	else if( ( buttonID == kHailSulu_btn ) || ( buttonID == kHailSulu2_btn ) )
	{
		fChapter = 21;
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHailSulu_msg );
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.5f );
	}
	if( buttonID == kHailSulu2_btn )
	{
		if( excelsior )
		{
			playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kBlankCommState );
		}
	}
}
void tPlayerTeamInitialState::mAtDistance( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	tShipIterator eship = excelsiorTeam->mGetFirstShip();
	tShipInfo* excelsior = *eship;
	eTeamID team = ship->mGetTeam();

/*	if( team == playerTeam->mGetTeam() )
	{
		fChapter = 17;
		mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.5f );
		if( excelsior )
		{
			playerTeam->mGotoCommState( excelsior->mGetShipID(), tExcelsior::kBlankCommState );
		}
	}
*/	
}
void tPlayerTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tPlayerTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanONID, 0.75f );
}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	tTeamInfo* excelsiorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExcelsiorTeam ) );
	
	if( ship->mGetTeam() == excelsiorTeam->mGetTeam() )
	{
		playerTeam->mSetExcelsiorDestroyed();
	}
}