/********************************************************************************************************\

	Mission:	Multiplayer Demonstration
	Script:		"Dem_Multi"
	Descript:	A demonstration for Erik to show Interplay

	Created by:		Daniel J. Suleski	07/11/00
	Last Updated:	<LOG>

\********************************************************************************************************/
#include "MissionText.h"
#include "MissionMaps.h"
#include "CommonTeam.h"
#include "Dem_Multi.h"
#include "NPCTeam.h"
#include "VictoryCondition.h"
#include "WorldConditions.h"

#include "teamtracker.h"
#include "scriptstructs.h"
DEFINE_SCRIPT_CLASS( tDem_Multi );



tDem_Multi::tDem_Multi()
{}

tVictoryCondition* tDem_Multi::mSetupVictoryCondition()
{
	return NULL;
}

//Register all you states here. Then mGotoState on the first state to run
void tDem_Multi::mSetupState()
{}

//Register all you comm states here. 
void tDem_Multi::mSetupCommState()
{}

//---------------------------------------------------------------------------------------------
// called by script interface - 
// should return whatever team is considered to be the primary enemy
int32 tDem_Multi::mGetEnemyTeamID( void )
{
	return fPlayersTeam;
}

//---------------------------------------------------------------------------------------------
// returns mission specs used by Dynaverse to build campaigns
void tDem_Multi::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kMultiplayerMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fSectorType = kAllSectors;
	Specs->fPlayerRace = kSpecAnyRace;
	Specs->fEnemyRace = kSpecAnyRace;
	Specs->fNumShips = kMissSpecAllShips;
	Specs->fMinBPV = 0;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 9999;
	Specs->fMaxDate = 9999;
	Specs->fWait = 6;
	Specs->fMenuStates = kNoMenuButtons | kEnableSupplyDock;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Team 1",
												kTeam1,
												0.0f,
												kTrue,
												kPlayableTeam,
												0.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Team 2",
												kTeam2,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Team 3",
												kTeam3,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team4 = mCreateTeamSpec(	"Team 4",
												kTeam4,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team5 = mCreateTeamSpec(	"Team 5",
												kTeam5,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team6 = mCreateTeamSpec(	"Team 6",
												kTeam6,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team7 = mCreateTeamSpec(	"NPC Team",
												kTeam7,
												1.0f,
												kTrue,
												kNPCTeam,
												1.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tNPCTeam ),
												kTagG );

	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
	Specs->mSetupTeam( team4 );
	Specs->mSetupTeam( team5 );
	Specs->mSetupTeam( team6 );
	Specs->mSetupTeam( team7 );
}

//---------------------------------------------------------------------------------------------
// called at the start of mission initialization - use to set prestige points 
// and override mission defaults such as:
//		allied race
//		enemy race
//		system name
// and also returns map index to use
int32 tDem_Multi::mInitializeStart( tDynaverseScriptInfo& info )
{
	// pick a map
	return 1;
}

//---------------------------------------------------------------------------------------------
// called to create ships before or during the mission
// Mode is user supplied value( expect for 0, which is initial setup call )
void tDem_Multi::mCreateExternalShips( int32 Mode )
{}

//---------------------------------------------------------------------------------------------
// called at the end of mission initialization - use to return briefing message
int32 tDem_Multi::mInitializeFinished( void )
{
	// return the index to the briefing message we want to use
	return( kBriefing_msg );
}

//---------------------------------------------------------------------------------------------
// called whenever a ship is created after a mission has already started
void tDem_Multi::mNewInternalShip( tShipInfo* Ship )
{}

//---------------------------------------------------------------------------------------------
// called at end of mission only if player is still alive
void tDem_Multi::mGetDebriefingList( eVictoryLevels VictoryLevel )
{}

//---------------------------------------------------------------------------------------------
// called at the end of every mission
int32 tDem_Multi::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}

void tDem_Multi::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 7;
	int32 tagList[kRelationsCount] =
	{
		kTagA,
		kTagB,
		kTagC,
		kTagD,
		kTagE,
		kTagF,
		kTagG,
	};

	std::string relationships[kRelationsCount][kRelationsCount] =
	{
		//		 A     B     C     D     E     F     G
		/*A   */ "AI", "WD", "WD", "WD", "WD", "WD", "FI",
		/*B   */ "WD", "AI", "WD", "WD", "WD", "WD", "FI",
		/*C   */ "WD", "WD", "AI", "WD", "WD", "WD", "FI",
		/*D   */ "WD", "WD", "WD", "AI", "WD", "WD", "FI",
		/*E   */ "WD", "WD", "WD", "WD", "AI", "WD", "FI",
		/*F   */ "WD", "WD", "WD", "WD", "WD", "AI", "FI",
		/*G   */ "FI", "FI", "FI", "FI", "FI", "FI", "AI",
	};

	fMissionInfo->mSetTagRelations( tagList, ( std::string* )relationships, kRelationsCount );

	//
	//	The last thing that should be done before the mission actually starts is to check if the game
	//	has already been won.  This can most likely happen as a result of all teams having the same
	//	team tag.  Therefore, everyone is allied.
	//
	gWC.mCheckForGameEnd();

}

void tDem_Multi::mNewTeam( const tTeamScriptDescription& teamScriptDescription )
{
	switch ( teamScriptDescription.fTeamTag )
	{
	case kTagA:
	case kTagB:
	case kTagC:
	case kTagD:
	case kTagE:
	case kTagF:
		{
			mMission()->mSetupTeam(	teamScriptDescription.fTeam,
									teamScriptDescription.fTeamTag,
									teamScriptDescription.fRace,
									teamScriptDescription.fHumanControlled,
									typeid( tCommonTeam ) );
		}
		break;

	case kTagG:
		{
			mMission()->mSetupTeam(	teamScriptDescription.fTeam,
									teamScriptDescription.fTeamTag,
									teamScriptDescription.fRace,
									teamScriptDescription.fHumanControlled,
									typeid( tNPCTeam ) );
		}
		break;
	}
}
