//	<Name>	EnemyTeamCruiser.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Dem_Press1.h"
#include "EnemyTeam.h"
#include "EnemyTeamCruiser.h"
#include "EnemyTeamCruiserInitialState.h"
#include "MissionText.h"

tClassAllocator<tEnemyTeamCruiser> gEnemyTeamCruiserAllocator;

void tEnemyTeamCruiser::mSetupState()
{
	mRegisterState( new tEnemyTeamCruiserInitialState( ) );

	mGotoState( typeid( tEnemyTeamCruiserInitialState ) );
}

void tEnemyTeamCruiser::mSetupCommState()
{
	tTeamInfo* playerTeam  = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	eRaceName  enemyRace;
	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( kEnemyTeam );
	enemyRace = kFederation;//enemyTeam->mGetRace();

	if( ( enemyRace == kFederation ) || ( enemyRace == kHydran ) )
	{
		playerTeam->mRegisterCommMessage( kHailorDemandCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailFedHyd1_msg, kHailFedHyd3_msg );  
		playerTeam->mRegisterCommMessage( kHailorDemandCommState, kNoStateChange, mGetShipID(), kSurrender_btn, kEarlySurrenderFedHyd_msg );  

		playerTeam->mRegisterCommMessage( kLateHailorDemandCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailFedHyd1_msg, kHailFedHyd3_msg );  
		playerTeam->mRegisterCommMessage( kLateHailorDemandCommState, kNoStateChange, mGetShipID(), kSurrender_btn, kLateSurrenderFedHyd_msg );  
	}
	else if( ( enemyRace == kKlingon ) || ( enemyRace == kRomulan ) || ( enemyRace == kLyran ) )
	{
		playerTeam->mRegisterCommMessage( kHailorDemandCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailKliRomLyr1_msg, kHailKliRomLyr3_msg );  
		playerTeam->mRegisterCommMessage( kHailorDemandCommState, kNoStateChange, mGetShipID(), kSurrender_btn, kEarlySurrenderKliRomLyr_msg );  

		playerTeam->mRegisterCommMessage( kLateHailorDemandCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailKliRomLyr1_msg, kHailKliRomLyr3_msg );  
		playerTeam->mRegisterCommMessage( kLateHailorDemandCommState, kNoStateChange, mGetShipID(), kSurrender_btn, kLateSurrenderKliRomLyr_msg );  
	}
	else if( ( enemyRace == kGorn ) || ( enemyRace == kMirak ) )
	{
		playerTeam->mRegisterCommMessage( kHailorDemandCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailGorMirak1_msg, kHailGorMirak3_msg );  
		playerTeam->mRegisterCommMessage( kHailorDemandCommState, kNoStateChange, mGetShipID(), kSurrender_btn, kEarlySurrenderGorMirak_msg );  

		playerTeam->mRegisterCommMessage( kLateHailorDemandCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailGorMirak1_msg, kHailGorMirak3_msg );  
		playerTeam->mRegisterCommMessage( kLateHailorDemandCommState, kNoStateChange, mGetShipID(), kSurrender_btn, kLateSurrenderGorMirak_msg );  
	}
	playerTeam->mGotoCommState( mGetShipID(), kHailorDemandCommState );
}
void tEnemyTeamCruiser::mSetupShip()
{

	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( kEnemyTeam );
	tShipIterator pship = enemyTeam->mGetFirstShip();
	++pship;
	++pship;
	tShipInfo* freighter = *pship;

	if( freighter )
	{
		mDefendEntity( freighter, 10, 10, kAbsolutePriority);
	}

	mSetShipCallbackEvents( kNotifyDamage );

}

