//	<Name>	EnemyTeamCruiserInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Dem_Press1.h"
#include "ShipInfo.h"
#include "EnemyTeam.h"
#include "EnemyTeamCruiser.h"
#include "EnemyTeamCruiserInitialState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tEnemyTeamCruiserInitialState::tEnemyTeamCruiserInitialState( )
{
}

void tEnemyTeamCruiserInitialState::mBeginState()
{

}
void tEnemyTeamCruiserInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kFreighterDestroyed )
	{
		fMissionInfo->mDisplayMessage( kPlayerTeam,  kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		fChildActor->mSetPercentageFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
	}

}
void tEnemyTeamCruiserInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( kEnemyTeam );
	tShipIterator pship = enemyTeam->mGetFirstShip();
	tShipCustomIDEval x( tEnemyTeam::kFreighterID );
	pship.mAddEvaluator( &x );
//	++pship;
//	++pship;
	tShipInfo* freighter = *pship;
	float timerLength;

	timerLength = ( float ) fMissionInfo->mRandomInt32( 10, 35 );

	if ( ship == freighter )
	{
		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
		mSetTimedInterval( kTimerSecondsSet, kFreighterDestroyed, timerLength );
	}
}
void tEnemyTeamCruiserInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* playerTeam  = fMissionInfo->mGetTeamHandle( kPlayerTeam );

	if( ( ( damagedShip->mGetShipID() ) == ( fChildActor->mGetShipID() ) ) 
		&& ( ( fChildActor->mGetDamagePercent() )  > 50.0 ) )
	{
		playerTeam->mGotoCommState(  fChildActor->mGetShipID(), tEnemyTeamCruiser::kLateHailorDemandCommState );
	}
	else
	{
		fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	}
}