//	<Name>	FreighterTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Dem_Press1.h"
#include "ShipInfo.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipInitialState.h"
#include "FreighterTeamShipReachedPlanetState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tFreighterTeamShipInitialState::tFreighterTeamShipInitialState( )
{
}

void tFreighterTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckPlanetDistanceID, 9.0f );		// Set timer for 1st Check on planet
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
}
void tFreighterTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	int32 rangeThisInterval = 0;
	int32 enemyOneRangeThisInterval = 0;
	int32 enemyTwoRangeThisInterval = 0;

	tTeamInfo* planetTeam  = fMissionInfo->mGetTeamHandle( kPlanetTeam );
	tShipIterator pship = planetTeam->mGetFirstShip();
	tShipInfo* planet = *pship;

	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( kEnemyTeam );
	pship = enemyTeam->mGetFirstShip();
	tShipInfo* enemyOne = *pship;
	++pship;
	tShipInfo* enemyTwo = *pship;


	rangeThisInterval = fChildActor->mGetTacticalDistance( planet );
	enemyOneRangeThisInterval = fChildActor->mGetTacticalDistance( enemyOne );
	enemyTwoRangeThisInterval = fChildActor->mGetTacticalDistance( enemyTwo );

	if( ( timerID == kCheckPlanetDistanceID ) && ( fChildActor->mInPlay() ) )
	{
		if( rangeThisInterval < 15 ) 
		{
			fMissionInfo->mDisplayMessage( kPlayerTeam,kPriObjectiveFailed_msg, kScienceScriptMessage );
			fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
			fChildActor->mGotoState( typeid( tFreighterTeamShipReachedPlanetState ) );
		}
		else
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckPlanetDistanceID, 0.1f );
		}
	}
	else if( timerID == kCheckDistanceID )
	{
		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );

		if( ( enemyOneRangeThisInterval > 15 ) && enemyOne && ( rangeThisInterval < 100 ) )
		{
			enemyOne->mSetPercentageFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
			fMissionInfo->mDisplayMessage( kPlayerTeam, kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		}
		if( ( enemyTwoRangeThisInterval > 15 ) && enemyTwo && ( rangeThisInterval < 100 ) )
		{
			enemyTwo->mSetPercentageFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
			fMissionInfo->mDisplayMessage( kPlayerTeam, kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		}


	}//timerID = kCheckDistanceID
}