//	<Name>	FreighterTeamShipReachedPlanetState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Dem_Press1.h"
#include "ShipInfo.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipReachedPlanetState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tFreighterTeamShipReachedPlanetState::tFreighterTeamShipReachedPlanetState( )
{
}

void tFreighterTeamShipReachedPlanetState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
}
void tFreighterTeamShipReachedPlanetState::mOnTimedInterval( int32 timerID )
{
	int32 rangeThisInterval = 0;
	int32 enemyOneRangeThisInterval = 0;
	int32 enemyTwoRangeThisInterval = 0;

	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( kEnemyTeam );
	tShipIterator pship = enemyTeam->mGetFirstShip();
	tShipInfo* enemyOne = *pship;
	++pship;
	tShipInfo* enemyTwo = *pship;

	enemyOneRangeThisInterval = fChildActor->mGetTacticalDistance( enemyOne );
	enemyTwoRangeThisInterval = fChildActor->mGetTacticalDistance( enemyTwo );


	if( timerID == kCheckDistanceID )
	{
		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );

		if( ( enemyOneRangeThisInterval > 15 ) && enemyOne && ( rangeThisInterval < 100 ) )
		{
			enemyOne->mSetPercentageFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
			fMissionInfo->mDisplayMessage( kPlayerTeam, kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		}
		if( ( enemyTwoRangeThisInterval > 15 ) && enemyTwo && ( rangeThisInterval < 100 ) )
		{
			enemyTwo->mSetPercentageFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
			fMissionInfo->mDisplayMessage( kPlayerTeam, kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		}


	}//timerID = kCheckDistanceID
}