//	<Name>	MissionText.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionText.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
	// kMissionTitle_msg
	"ISC 1", //to keep",

	//kShortBriefing_msg,
	">Prevent the enemy ships from reaching the planet.  If possible discover how the enemy is " \
	"able to circumvent our minefield<" \
	"We have a crisis situation in this system.  To prevent aggression by our enemies, we've " \
	"blockaded the system with micro-mines.  But they've found a way to circumvent them.\n\n" \
	"They claim that the planet is suffering from a plague, but after careful examination, " \
	"the Concordium has determined that these claims have been exaggerated for political purposes.\n\n" \
	"Your primary mission is to enforce the ISC mandate by preventing the enemy from delivering " \
	"their 'so-called' medicine to the colony.  Your secondary mission is to discover what they're using to " \
	"circumvent our minefield. Look for something unusual, and then scan it.\n\n" \
	"Dismissed.",

	// kBriefing_msg
	">Prevent the Federation ships from reaching the planet.  If possible discover how the enemy is " \
	"able to circumvent our minefield<" \
	"We have a crisis situation at [SYSTEM_NAME].  To prevent aggression by the Federation, we've " \
	"blockaded the system with micro-mines.  But they've found a way to circumvent them.\n\n" \
	"The Federation claim that the planet is suffering from a plague, but after careful examination, " \
	"the Concordium has determined that these claims have been exaggerated for political purposes.\n\n" \
	"Your primary mission is to enforce the ISC mandate by preventing the Federation from delivering " \
	"their 'so-called' medicine to the colony.  Your secondary mission is to discover what they're using to " \
	"circumvent our minefield. Look for something unusual, and then scan it.\n\n" \
	"Dismissed.",

	
	//kPlanet_name,
	"[SYSTEM_NAME] colony",
	//kMineController_name,
	"Mine Controller",
	//kStarting1_msg,
	"ISC CAPTAIN: PACIFICATION CAMPAIGN RECORD, GALACTIC DATE",
//	"ISC Captain: Pacification campaign record, Galactic Date [STARDATE]. We are guarding [SYSTEM_NAME] against " \
	"an alien incursion. Our orders are to destroy all ships before they reach the planet, and discover what " \
	"technology they're using to resist our micro-mine field.",
	//kStarting2_msg,
	"Science Officer: I'm reading two Federation cruisers and...a freighter at extreme range.  They are dead ahead.\n\n" \
	"Weapons Officer: That makes no sense. A freighter would slow them down, and they[0]would need speed to " \
	"accomplish this mission. I recommend investigating it further.",

	//kNavigationChatter_msg,
	"Navigation: Our minefield shields are working normally",
	//kScienceChatter_msg,
	"Science Officer: If we use our deep scanners at close range, we may be able to determine how they are defeating our " \
	"micro-mines.",
	//kCommunicationsChatter_msg,
	"Communications:  The colony is trying to hail them and beg for help.  As intelligence indicated, they are " \
	"complaining about a plague.",
	//kSecurityChatter_msg,
	"The Federation are said to be suprisingly good fighters.",

	//kHail_btn,
	"Hail",
	//kSurrender_btn,
	"Demand Surrender",
	//kNoResponse,
	"Communications: No response [PLAYER_RANK]",
	//kHailFedHyd1_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: What kind of peacekeeper would let thousands of innocent colonists die?[0]\n" \
	"ISC Captain: If you're so concerned with life, why do you spend so much time at war?",
	//kHailFedHyd2_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: Please, we're not here to challenge your authority; we just want to help the " \
	"colonists. Please stand aside.\n\n" \
	"ISC Captain: Helping the colonists and challenging our authority is the same thing, Request denied.",
	//kHailFedHyd3_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: Please, have mercy on the thousands of women and children in the colony" \
	"threatened with disease.\n\n" \
	"ISC Captain: War has engulfed the galaxy for decades. Where was your mercy when your enemies needed it?",
	//kEarlySurrenderFedHyd,
	"ISC Captain: Surrender or be destroyed.\n\n" \
	"Federation Captain: It's a little premature, Commander. We're not that badly damaged.",
	//kLateSurrenderFedHyd,
	"ISC Captain: Surrender or be destroyed.[0]\n" \
	"Federation Captain: Oh, what a thing it is to die with unbent pride and a clenched fist, and a star " \
	"burning in one's eyes. Kill us if you dare to show the galaxy that you are butchers, for we shall not surrender.",

	//kHailKliRomLyr1_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: The name of the ISC means nothing to us. And your orders mean less than nothing.\n\n" \
	"ISC Captain: So be it.",
	//kHailKliRomLyr2_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: In the opinion of the Federation Empire, there is nothing disputed about it. It is ours.\n\n" \
	"ISC Captain: Willfulness will be punished.",
	//kHailKliRomLyr3_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: And why should we listen to the word of an intruder?\n\n"  \
	"ISC Captain: We are here on the authority of the Organians. We are not intruders.",
	//kEarlySurrenderKliRomLyr,
	"ISC Captain: Surrender or be destroyed.\n\n" \
	"Federation Captain: We shall see who's widow will weep this day.",
	//kLateSurrenderKliRomLyr,
	"ISC Captain: Surrender or be destroyed.\n\n" \
	"Federation Captain: You have no idea about the virtues of defiance and sacrifice. If it is our fate to " \
	"die today, we will teach you that lesson.",

	//kHailGorMirak1_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: Ha!\n\n" \
	"ISC Captain: I take it that is a no.",
	//kHailGorMirak2_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: Would you order the sun to fade? Our purpose burns just as bright.\n\n" \
	"ISC Captain: Poetry from a barbarian. A shame you have to die.",
	//kHailGorMirak3_msg,
	"ISC Captain: This is a disputed system. In the name of the ISC, we order you to leave the system at once.\n\n" \
	"Federation Captain: Tyrant! We are not leaving our lawful territory." \
	"ISC Captain: Then you will be destroyed.",
	//kEarlySurrenderGorMirak_msg,
	"ISC Captain: Surrender or be destroyed.\n\n" \
	"Federation Captain: We choose neither. Today, we kill.",
	//kLateSurrenderGorMirak_msg,
	"ISC Captain: Surrender or be destroyed.\n\n" \
	"Federation Captain: We are at our most dangerous when we are bloodied. Do your worst.",

	//kScannedFreighter_msg,
	"Science Officer: The vessel has a device that is deflecting our micro-mine field within an 150,000kilometer " \
	"radius of the ship. Destroy the freighter and they'll be susceptible to our micro-mines.",
	//kScannedCruiser_msg,
	"Science Officer: The vessel matches known perimeters. No sign of any technology that would enable it " \
	"to avoid our minefield.",

	//kFreighterDestroyed_msg,
	"Science Officer: The Federation Freighter was destroyed by our micro-mines.",
	//kPriObjectiveFailed_msg,
	"Science Officer: The Federation have entered transport range of the planet. They have transported something to " \
	"the surface and received several dozen individuals in return.",
	//kEnemyDestroyedByMines_msg,
	"Science Officer: Federation ship destroyed by micro-mines, [PLAYER_RANK]!",

	// kAstoundingVictory_msg
	"Astounding Victory\n\n" \
	"Congratulations. You achieved all of your major objectives on this mission. The cause of peace in our " \
	"galaxy has received a major advance, thanks to your courage and dedication.",

	// kVictory_msg
	"Victory\n\n" \
	"You achieved your major objective. Congratulations. However, you failed to determine how they were " \
	"negating our minefield. This information would have been invaluable.  Do not neglect it, next time.",

	// kDraw_msg
	"Draw",

	// kDefeat_msg
	"Defeat\n\n"
	"The enemy succeeded in breaking our blockade and delivering their so-called medicine. This is not acceptable. " \
	"This will only serve to embolden them.",

	// kDevastatingDefeat_msg
	"DevastatingDefeat\n\n"
	"Not only was our blockade broken but you also allowed some of the enemy to escape.  Perhaps reeducation in the " \
	"ways of keeping peace, is in order.",
};

