//	<Name>	PlayerTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Dem_Press1.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"
#include "PromisesVictory.h"
#include "MissionText.h"
#include "ShipScriptDescription.h"

tClassAllocator<tPlayerTeam> gPlayerTeamAllocator;

tPlayerTeam::tPlayerTeam()
{
	fEnemyFreighterScanned = false;
	fEnemyCruiser1Scanned = false;
	fEnemyCruiser2Scanned = false;
}
void tPlayerTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tPromisesVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tPlayerTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, victoryLevel + kAstoundingVictory_msg );
}
void tPlayerTeam::mCreateShipsForTeam()
{
	mCreateShip( typeid( tPlayerTeamShip ), "I-DN", kStartPosition_G );
}
void tPlayerTeam::mSetupState()
{
	mRegisterState( new tPlayerTeamInitialState() );

	mGotoState( typeid( tPlayerTeamInitialState ) );
}

void tPlayerTeam::mSetEnemyFreighterScanned(bool setValue )
{
	fEnemyFreighterScanned = setValue;
}
bool tPlayerTeam::mGetEnemyFreighterScanned()
{
	return fEnemyFreighterScanned;
}
void tPlayerTeam::mSetEnemyCruiser1Scanned(bool setValue )
{
	fEnemyCruiser1Scanned = setValue;
}
bool tPlayerTeam::mGetEnemyCruiser1Scanned()
{
	return fEnemyCruiser1Scanned;
}
void tPlayerTeam::mSetEnemyCruiser2Scanned(bool setValue )
{
	fEnemyCruiser2Scanned = setValue;
}
bool tPlayerTeam::mGetEnemyCruiser2Scanned()
{
	return fEnemyCruiser2Scanned;
}
void tPlayerTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();

	tShipIterator ship = mGetFirstShip();

	Assert( *ship != NULL );
	if ( *ship != NULL )
	{
		if ( mIsTeamHumanControlled() )
		{
			ship->mSetShipPlayerControlled();
		}
	}
}
void tPlayerTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
		mCreateShip( typeid( tPlayerTeamShip ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_G + shipScriptDescription.fTeamID,
				 -1, 0, 0, -1, -1, //Default data,so we can set the custom name
				 shipScriptDescription.fCustomName.c_str() );

}