//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Dem_Press1.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"
//#include "PlayerTeamFrScannedState.h"

#include "MissionText.h"
#include "ScriptInterface.h"
#include "SFCAssert.h"

tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fDeepScanON = false;
	fFreighterScanned = false;
	fCruiser1Scanned = false;
	fCruiser2Scanned = false;
	fRandomMessage = 0;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	mSetTimedInterval( kTimerSecondsSet, kChatterID, 40.0f );
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( gScriptInterface.mPlayersTeam() );
	Assert( playerTeam );
	if( playerTeam == NULL )
	{
		return;
	}

	fFreighterScanned = playerTeam->mGetEnemyFreighterScanned();
	fCruiser1Scanned = playerTeam->mGetEnemyCruiser1Scanned();
	fCruiser2Scanned = playerTeam->mGetEnemyCruiser2Scanned();


	if( timerID == kChatterID )
	{
		switch( fRandomMessage )
		{
			case 0:
				fMissionInfo->mDisplayMessage( kPlayerTeam,  kNavigationChatter_msg );
			break;	
			case 1:
				fMissionInfo->mDisplayMessage( kPlayerTeam,  kScienceChatter_msg );
			break;
			case 2:
				fMissionInfo->mDisplayMessage( kPlayerTeam,  kCommunicationsChatter_msg );
			break;
			case 3:
				fMissionInfo->mDisplayMessage( kPlayerTeam,  kSecurityChatter_msg );
			break;		


		}
		fRandomMessage++;
		if ( fRandomMessage < 3 )
		{
			mSetTimedInterval( kTimerSecondsSet, kChatterID, ( 25.0f + dice) );
		}
	}
	if( timerID == kStartingID )
	{
		fMissionInfo->mDisplayMessage( kPlayerTeam,  kStarting1_msg );
		mSetTimedInterval( kTimerSecondsSet, kStarting2ID, 10.0f );
	}
	else if( timerID == kStarting2ID )
	{
		fMissionInfo->mDisplayMessage( kPlayerTeam,  kStarting2_msg );
	}

}

