//	<Name>	PlayerTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Dem_Press1.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamShipInitialState.h"
//#include "PlayerTeamShipFrScannedState.h"

#include "MissionText.h"
#include "ScriptInterface.h"
#include "SFCAssert.h"

tPlayerTeamShipInitialState::tPlayerTeamShipInitialState( )
{
	fDeepScanON = false;
	fFreighterScanned = false;
	fCruiser1Scanned = false;
	fCruiser2Scanned = false;
}

void tPlayerTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
}
void tPlayerTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	int32 rangeToFreighterThisInterval = 100;
	int32 randgToCruiser1ThisInterval = 100;
	int32 randgToCruiser2ThisInterval = 100;

//	tTeamInfo* freighterTeam  = fMissionInfo->mGetTeamHandle( kFreighterTeam );
	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( kEnemyTeam );

//	tShipIterator ship = freighterTeam->mGetFirstShip();
//	tShipInfo* freighter = *ship;
	
	tShipIterator ship = enemyTeam->mGetFirstShip();
	tShipInfo* cruiser1 = *ship;
	++ship;
	tShipInfo* cruiser2 = *ship;
	++ship;
	tShipInfo* freighter = *ship;

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( kPlayerTeam ) );
	Assert( playerTeam );
	if( playerTeam == NULL )
	{
		return;
	}

	fFreighterScanned = playerTeam->mGetEnemyFreighterScanned();
	fCruiser1Scanned = playerTeam->mGetEnemyCruiser1Scanned();
	fCruiser2Scanned = playerTeam->mGetEnemyCruiser2Scanned();

	 if( timerID == kCheckDistanceID )
	{
		rangeToFreighterThisInterval = fChildActor->mGetTacticalDistance( freighter );
		randgToCruiser1ThisInterval = fChildActor->mGetTacticalDistance( cruiser1 );
		randgToCruiser2ThisInterval = fChildActor->mGetTacticalDistance( cruiser2 );

		if( ( freighter ) && !fFreighterScanned && ( rangeToFreighterThisInterval < 10 ) && ( fDeepScanON ) && ( ( fChildActor->mGetShipTargetID() ) == freighter->mGetShipID() ) )
		{
			fMissionInfo->mDisplayMessage( kPlayerTeam, kScannedFreighter_msg, kScienceScriptMessage );
			playerTeam->mSetEnemyFreighterScanned( true );
		}
		if( ( cruiser1 ) && !fCruiser1Scanned && ( randgToCruiser1ThisInterval < 10 ) && ( fDeepScanON ) && ( ( fChildActor->mGetShipTargetID() ) == cruiser1->mGetShipID() ) )
		{
			fMissionInfo->mDisplayMessage( kPlayerTeam, kScannedCruiser_msg, kScienceScriptMessage );
			playerTeam->mSetEnemyCruiser1Scanned( true );
		}
		if( ( cruiser2 ) && !fCruiser2Scanned && ( randgToCruiser2ThisInterval < 10 ) && ( fDeepScanON ) && ( ( fChildActor->mGetShipTargetID() ) == cruiser2->mGetShipID() ) )
		{
			fMissionInfo->mDisplayMessage( kPlayerTeam, kScannedCruiser_msg, kScienceScriptMessage );
			playerTeam->mSetEnemyCruiser2Scanned( true );
		}
		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 1.0f );

	}
}
void tPlayerTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
}
