//	<Name>	AllyShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "AllyShip.h"
#include "AllyShipBaseState.h"
#include "MissionText.h"
#include "NPC1Team.h"
#include "Dem_Press2.h"

tClassAllocator<tAllyShip> gAllyShipAllocator;

tAllyShip::tAllyShip() :
	fFirstOfferMade( false ),
	fFirstOfferISC( true ),
	fFirstDecisionFinished( false ),
	fSecondOfferMade( false ),
	fSecondOfferISC( true ),
	fSecondDecisionFinished( false ),
	fAttackedAlly( false )
{}
void tAllyShip::mSetupState()
{
	mRegisterState( new tAllyShipBaseState() );
	mGotoState( typeid( tAllyShipBaseState ) );
}
void tAllyShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	k_HAIL_BaseCommState, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally3_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	k_HAIL_AttackedAllyCommState, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally4_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	k_REINFORCEALLIANCE_BaseCommState, kBlankCommState, mGetShipID(),
										k_REINFORCEALLIANCE_Ally_btn, k_REINFORCEALLIANCE_Ally2_1_msg, k_REINFORCEALLIANCE_Ally2_4_msg );
	playerTeam->mRegisterCommMessage(	k_REINFORCEALLIANCE_FriendsCommState, kBlankCommState, mGetShipID(),
										k_REINFORCEALLIANCE_Ally_btn, k_REINFORCEALLIANCE_Ally3_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	k_REINFORCEALLIANCE_EnemiesCommState, kBlankCommState, mGetShipID(),
										k_REINFORCEALLIANCE_Ally_btn, k_REINFORCEALLIANCE_Ally4_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	k_REQUESTASSISTANCE_FriendsCommState, kBlankCommState, mGetShipID(),
										k_REQUESTASSISTANCE_Ally_btn, k_REQUESTASSISTANCE_Ally2_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	k_REQUESTASSISTANCE_EnemiesCommState, kBlankCommState, mGetShipID(),
										k_REQUESTASSISTANCE_Ally_btn, k_REQUESTASSISTANCE_Ally1_msg, kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), k_HAIL_BaseCommState );
}
void tAllyShip::mSetupShip()
{
	int32		gridX = 0 , gridY = 0;
	tTeamInfo*	organiaTeam = fMissionInfo->mGetTeamHandle( kNPC1Team );
	Assert( organiaTeam );
	if ( !organiaTeam )
		return;
	tShipInfo*	organia = organiaTeam->mFindShipCustomID( tNPC1Team::kOrgania );

	if ( organia )
	{
		organia->mGetGridPosition( &gridX , &gridY );
		mTrackTacticalDistance( 300.0, gridX, gridY );
	}
	
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;
	tShipIterator	playerShip = playerTeam->mGetFirstShip();
	Assert( *playerShip != NULL );
	tShipInPlayEval	x;
	playerShip.mAddEvaluator( &x );
	if ( *playerShip != NULL )
		mDefendEntity( *playerShip, 50.0f, 10.0f, kAbsolutePriority );
	mSetShipCallbackEvents( kNotifyDamage );
}

bool tAllyShip::mFirstOfferMade( void )
{
	return fFirstOfferMade;
}
bool tAllyShip::mFirstOfferISC( void )
{
	return fFirstOfferISC;
}
bool tAllyShip::mFirstDecisionFinished( void )
{
	return fFirstDecisionFinished;
}
bool tAllyShip::mSecondOfferMade( void )
{
	return fSecondOfferMade;
}
bool tAllyShip::mSecondOfferISC( void )
{
	return fSecondOfferISC;
}
bool tAllyShip::mSecondDecisionFinished( void )
{
	return fSecondDecisionFinished;
}
bool tAllyShip::mAttackedAlly( void )
{
	return fAttackedAlly;
}

void tAllyShip::mSetFirstOfferMade( bool x )
{
	fFirstOfferMade = x;
}
void tAllyShip::mSetFirstOfferISC( bool x )
{
	fFirstOfferISC = x;
}
void tAllyShip::mSetFirstDecisionFinished( bool x )
{
	fFirstDecisionFinished = x;
}
void tAllyShip::mSetSecondOfferMade( bool x )
{
	fSecondOfferMade = x;
}
void tAllyShip::mSetSecondOfferISC( bool x )
{
	fSecondOfferISC = x;
}
void tAllyShip::mSetSecondDecisionFinished( bool x )
{
	fSecondDecisionFinished = x;
}
void tAllyShip::mSetAttackedAlly( bool x )
{
	fAttackedAlly = x;
}