//	<Name>	AllyShip.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( AllyShip_h )
#define AllyShip_h

#include "ShipInfo.h"

class tAllyShip : public tShipInfo
{
public:

	tAllyShip::tAllyShip();

	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	enum eTimerIDs
	{
		kFirstOfferID = 1500,
		kFirstOfferDecisionID,
		kSecondOfferID,
		kSecondOfferDecisionID,
	};

	enum eCommStates
	{
		k_HAIL_BaseCommState,
		k_HAIL_AttackedAllyCommState,
			//
			//	- HAIL
			//

		k_REINFORCEALLIANCE_BaseCommState,
		k_REINFORCEALLIANCE_FriendsCommState,
		k_REINFORCEALLIANCE_EnemiesCommState,
			//
			//	- REINFORCE ALLIANCE
			//

		k_REQUESTASSISTANCE_FriendsCommState,
		k_REQUESTASSISTANCE_EnemiesCommState,
			//
			//	- REQUEST ASSISTANCE
			//

		kBlankCommState,
	};

	bool	mFirstOfferMade( void );
	bool	mFirstOfferISC( void );
	bool	mFirstDecisionFinished( void );
	bool	mSecondOfferMade( void );
	bool	mSecondOfferISC( void );
	bool	mSecondDecisionFinished( void );
	bool	mAttackedAlly( void );

	void	mSetFirstOfferMade( bool x );
	void	mSetFirstOfferISC( bool x );
	void	mSetFirstDecisionFinished( bool x );
	void	mSetSecondOfferMade( bool x );
	void	mSetSecondOfferISC( bool x );
	void	mSetSecondDecisionFinished( bool x );
	void	mSetAttackedAlly( bool x );

private:

	bool	fFirstOfferMade;
	bool	fFirstOfferISC;
	bool	fFirstDecisionFinished;
	bool	fSecondOfferMade;
	bool	fSecondOfferISC;
	bool	fSecondDecisionFinished;
	bool	fAttackedAlly;
};

#endif

