/********************************************************************************************************\

	File Name:	AttackTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Dem_Press4.h"
#include "AttackTeam.h"
#include "AttackTeamInitialState.h"
//#include "AttackTeamShip.h"
#include "ShipScriptDescription.h"
#include "AttackVictoryCondition.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "WorldConditions.h"

tClassAllocator<tAttackTeam> gAttackTeamAllocator;

tAttackTeam::tAttackTeam()
{
	gWC.mAddAttackTeam();
}

void tAttackTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tAttackVictoryCondition( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tAttackTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	if( victoryLevel == kAstoundingVictory )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kAttackAstoundingVictory_msg );
	} 
	else if( victoryLevel == kVictory )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kAttackVictory_msg );
	} 
	else if( victoryLevel == kDraw )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kAttackDraw_msg );
	} 
	else if( victoryLevel == kDefeat )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kAttackDefeat_msg );
	} 
	else
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kAttackDevastatingDefeat_msg );
	}
}

void tAttackTeam::mSetupState()
{
	mRegisterState( new tAttackTeamInitialState() );

	mGotoState( typeid( tAttackTeamInitialState ) );
}
void tAttackTeam::mSetupCommState()
{
}
void tAttackTeam::mCreateShipsForTeam()
{
	tTeamInfo* defendTeam = fMissionInfo->mGetTeamHandle( kDefendTeam1 );
	tTeamInfo* defend2Team = fMissionInfo->mGetTeamHandle( kDefendTeam2 );
	tTeamInfo* defend3Team = fMissionInfo->mGetTeamHandle( kDefendTeam3 );

	if( !( mIsTeamHumanControlled() ) )
	{
		int32 defendBPV = defendTeam->mGetCombatBPV();
		int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
		int32 numberOfShip = fMissionInfo->mRandomInt32( 1, 4 );
		int32 dice = fMissionInfo->mRandomInt32( 0, 1 );

		if( defend2Team )
		{
			defendBPV += ( defend2Team->mGetCombatBPV() );
		}
		if( defend3Team )
		{
			defendBPV += ( defend2Team->mGetCombatBPV() );
		}
		int32 attackBPV; 
		if( diffLevel == 0 )
		{
			attackBPV = defendBPV * 1.1;
		}
		else if( diffLevel == 1 )
		{
			attackBPV = defendBPV * 1.3;
		}
		else if( diffLevel == 2 )
		{
			attackBPV = defendBPV * 1.6;
		}
		
		mCreateShip( typeid( tShipInfo ), "L-CA", ( kStartPosition_M + dice ) | kGroupAround );	
		mCreateShip( typeid( tShipInfo ), "L-DD", ( kStartPosition_Q + dice ) | kGroupAround );			
		mCreateShip( typeid( tShipInfo ), "L-DW", ( kStartPosition_U + dice ) | kGroupAround );			

	}
	
}
void tAttackTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();

	tShipIterator ship = mGetFirstShip();

	Assert( *ship != NULL );
	if ( *ship != NULL && mIsTeamHumanControlled() )
	{
		ship->mSetShipPlayerControlled();
	}
}
/*

	HELPER NOTE:	This function must be overridden with nothing exactly how it is for the single
					player missions.

*/
void tAttackTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	if( mIsTeamHumanControlled() )
	{
		mCreateShip( typeid( tShipInfo ), 
					 shipScriptDescription.fClassName.c_str(), 
					 kStartPosition_M,// + shipScriptDescription.fTeamID,
					 -1, 0, 0, -1, -1, //Default data,so we can set the custom name
					 shipScriptDescription.fCustomName.c_str() );
	}
}