//	<Name>	AttackTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Dem_Press4.h"
#include "ShipInfo.h"
#include "AttackTeam.h"
//#include "PlayerTeamShip.h"
#include "AttackTeamInitialState.h"
#include "WorldConditions.h"

#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"

tAttackTeamInitialState::tAttackTeamInitialState( )
{
}

void tAttackTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tAttackTeamInitialState::mEndState()
{
}
void tAttackTeamInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedAttackTeamStart_msg );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliAttackTeamStart_msg );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomAttackTeamStart_msg );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrAttackTeamStart_msg );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorAttackTeamStart_msg );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirAttackTeamStart_msg );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydAttackTeamStart_msg );
			break;
		}

	}//startingid
	else if( timerID == kFreighterDiedID )
	{
		int32 freightersDestroyed = gWC.mGetFreightersDestroyed();
		int32 totalOrigFreighters = gWC.mGetFreightersOriginal();

		if( freightersDestroyed == 1 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackOneFreighterDestroyed, kScienceScriptMessage );
		}
		else if( freightersDestroyed == 3 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackThreeFreightersDestroyed, kScienceScriptMessage );
		}
		else if( freightersDestroyed == totalOrigFreighters )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackAllFreightersDestroyed, kScienceScriptMessage );
		}
	}

}
void tAttackTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( kFreighterTeam );

	if( freighterTeam->mGetTeam() == ship->mGetTeam() )
	{
		mSetTimedInterval( kTimerSecondsSet, kFreighterDiedID, 1.0f );
	}
}

