//	<Name>	AttackVictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "AttackVictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Dem_Press4.h"
#include "AttackVictoryCondition.h"
#include "MissionText.h"
#include "AttackTeam.h"
//#include "TeamScouted.h"
#include "WorldConditions.h"

tAttackVictoryState::tAttackVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tAttackVictoryCondition>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{
	fThisTeamShipsInPlay = 1;
}

void tAttackVictoryState::mBeginState()
{
}

void tAttackVictoryState::mEndState()
{
}

eVictoryLevels tAttackVictoryState::mCalcVictoryStatus( eTeamID ID )
{
	int32 destroyedFreighters = gWC.mGetFreightersDestroyed();
	int32 attackTeamsRemaining = gWC.mGetAttackTeams();
	int32 escapedFreighters = gWC.mGetFreightersEscaped();
	int32 originalNumberFreighters = gWC.mGetFreightersOriginal();

	if( attackTeamsRemaining > 0 )
	{
		destroyedFreighters = originalNumberFreighters - escapedFreighters;
	}

	if( destroyedFreighters > 4 )
	{ 
		return kAstoundingVictory;
	}
	else if( destroyedFreighters > 2 )
	{
		return kVictory;
	}
	else if( destroyedFreighters == 2 )
	{
		return kDraw;
	}
	else if( destroyedFreighters == 1 )
	{
		return kDefeat;
	}
	else
	{
		return kDevastatingDefeat;
	}
}
int32 tAttackVictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = 0;

	tShipIterator ship = teamID->mGetFirstShip();
	tShipInfo* shipToCheck = *ship;


	for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship ) )
	{
		if ( shipToCheck->mInPlay() )
		{
			++teamShipsInPlay;
		}
	}

	return teamShipsInPlay;
}
void tAttackVictoryState::mCheckAllTeams( tShipInfo* ship )
{
	eTeamID		teamID = ship->mGetTeam();


	if( fTeam )
	{
		if( fTeam->mGetTeam() == ship->mGetTeam() )
		{
			fThisTeamShipsInPlay = mShipsInPlay( fTeam );
		}
	}

	if( fThisTeamShipsInPlay == 0 && fTeam->mGetTeam() == ship->mGetTeam() )
	{
		gWC.mRemoveAttackTeam();
		fMissionInfo->mDisplayMessage( teamID, kAllYourShipsDead_msg, kNonCommScriptMessage );
		gWC.mCheckForGameEnd();
	}

}
void tAttackVictoryState::mOnDeath( tShipInfo* ship )
{

	mCheckAllTeams( ship );
}
void tAttackVictoryState::mOnCapture( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}

void tAttackVictoryState::mOnDisengaged( tShipInfo* ship )
{
	eTeamID		teamID = ship->mGetTeam();

	if( fTeam )
	{
		if( fTeam->mGetTeam() == ship->mGetTeam() && fTeam->mIsTeamHumanControlled() )
		{
			gWC.mRemoveAttackTeam();
			fMissionInfo->mDisplayMessage( teamID, kYouHaveDisengaged_msg, kNonCommScriptMessage );
			gWC.mCheckForGameEnd();
		}
	}
}
void tAttackVictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{

}
void tAttackVictoryState::mOnTimedInterval( int32 timerID )
{
}