//	<Name>	AttackVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( AttackVictoryState_h )
#define AttackVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "AttackVictoryCondition.h"

class tAttackVictoryState : public tChildActorVictoryState<tAttackVictoryCondition>
{
public:
   enum eTimeIDs
   {
		kStartingID,
   };

   tAttackVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );

	virtual void mCheckAllTeams( tShipInfo* ship );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );
	virtual void mOnTimedInterval( int32 timerID );

protected:

	int32 	fThisTeamShipsInPlay;
};

#endif

