//	<Name>	DefendTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Dem_Press4.h"
#include "ShipInfo.h"
#include "DefendTeam.h"
//#include "PlayerTeamShip.h"
#include "DefendTeamInitialState.h"
#include "WorldConditions.h"

#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"

tDefendTeamInitialState::tDefendTeamInitialState( )
{
}

void tDefendTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tDefendTeamInitialState::mEndState()
{
}
void tDefendTeamInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedDefendTeamStart_msg );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliDefendTeamStart_msg );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomDefendTeamStart_msg );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrDefendTeamStart_msg );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorDefendTeamStart_msg );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirDefendTeamStart_msg );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydDefendTeamStart_msg );
			break;
		}

	}//startingid
	else if( timerID == kFreighterDiedID )
	{
		int32 freightersDestroyed = gWC.mGetFreightersDestroyed();
		int32 totalOrigFreighters = gWC.mGetFreightersOriginal();

		if( freightersDestroyed == 1 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kDefendOneFreighterDestroyed, kScienceScriptMessage );
		}
		else if( freightersDestroyed == 3 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kDefendThreeFreightersDestroyed, kScienceScriptMessage );
		}
		else if( freightersDestroyed == totalOrigFreighters )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kDefendAllFreightersDestroyed, kScienceScriptMessage );
		}
	}

}
void tDefendTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( kFreighterTeam );

	if( freighterTeam->mGetTeam() == ship->mGetTeam() )
	{
		mSetTimedInterval( kTimerSecondsSet, kFreighterDiedID, 1.0f );
	}
}
