//	<Name>	DefendVictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "DefendVictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Dem_Press4.h"
#include "DefendVictoryCondition.h"
#include "MissionText.h"
#include "DefendTeam.h"
//#include "TeamScouted.h"
#include "WorldConditions.h"

tDefendVictoryState::tDefendVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tDefendVictoryCondition>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{
	fThisTeamShipsInPlay = 1;
}

void tDefendVictoryState::mBeginState()
{
}

void tDefendVictoryState::mEndState()
{
}

eVictoryLevels tDefendVictoryState::mCalcVictoryStatus( eTeamID ID )
{
	int32 destroyedFreighters = gWC.mGetFreightersDestroyed();
	int32 attackTeamsRemaining = gWC.mGetAttackTeams();
	int32 escapedFreighters = gWC.mGetFreightersEscaped();
	int32 originalNumberFreighters = gWC.mGetFreightersOriginal();

	if( attackTeamsRemaining > 0 )
	{
		destroyedFreighters = originalNumberFreighters - escapedFreighters;
	}

	if( destroyedFreighters > 4 )
	{ 
		return kDevastatingDefeat;
	}
	else if( destroyedFreighters > 2 )
	{
		return kDefeat;
	}
	else if( destroyedFreighters == 2 )
	{
		return kDraw;
	}
	else if( destroyedFreighters == 1 )
	{
		return kVictory;
	}
	else
	{
		return kAstoundingVictory;
	}
}
int32 tDefendVictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = 0;

	tShipIterator ship = teamID->mGetFirstShip();
	tShipInfo* shipToCheck = *ship;


	for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship ) )
	{
		if ( shipToCheck->mInPlay() )
		{
			++teamShipsInPlay;
		}
	}

	return teamShipsInPlay;
}
void tDefendVictoryState::mCheckAllTeams( tShipInfo* ship )
{
	eTeamID		teamID = ship->mGetTeam();


	if( fTeam )
	{
		if( fTeam->mGetTeam() == ship->mGetTeam() )
		{
			fThisTeamShipsInPlay = mShipsInPlay( fTeam );
		}
	}

	if( fThisTeamShipsInPlay == 0 && fTeam->mGetTeam() == ship->mGetTeam() )
	{
		gWC.mRemoveDefendTeam();
		fMissionInfo->mDisplayMessage( teamID, kAllYourShipsDead_msg, kNonCommScriptMessage );
		gWC.mCheckForGameEnd();
	}

}
void tDefendVictoryState::mOnDeath( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}
void tDefendVictoryState::mOnCapture( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}

void tDefendVictoryState::mOnDisengaged( tShipInfo* ship )
{
	eTeamID		teamID = ship->mGetTeam();

	if( fTeam )
	{
		if( fTeam->mGetTeam() == ship->mGetTeam() && fTeam->mIsTeamHumanControlled() )
		{
			gWC.mRemoveDefendTeam();
			fMissionInfo->mDisplayMessage( teamID, kYouHaveDisengaged_msg, kNonCommScriptMessage );
			gWC.mCheckForGameEnd();
		}
	}
}
void tDefendVictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{

}
void tDefendVictoryState::mOnTimedInterval( int32 timerID )
{
}