/********************************************************************************************************\

	Mission:	<MISSION TITLE>
	Script:		"Dem_Press4"
	Descript:	<DESCRIPTION>

	Created by:		<NAME>		mm/dd/yy
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG>

\********************************************************************************************************/

#include "MissionText.h"
#include "MissionMaps.h"
#include "Dem_Press4.h"
#include "DefendTeam.h"
#include "AttackTeam.h"
#include "FreighterTeam.h"

DEFINE_SCRIPT_CLASS( tDem_Press4 );

tDem_Press4::tDem_Press4()
{}

tVictoryCondition* tDem_Press4::mSetupVictoryCondition()
{
	return NULL;
}

void tDem_Press4::mSetupState()
{
}
void tDem_Press4::mSetupCommState()
{
}
int32 tDem_Press4::mGetEnemyTeamID( void )
{
	return fPlayersTeam;
}
void tDem_Press4::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kMultiplayerMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kFedDefendBriefing_msg];
	Specs->fSectorType = kAllSectors;
	Specs->fPlayerRace = kSpecAnyRace;
	Specs->fEnemyRace = kSpecAnyRace;
	Specs->fNumShips = kMissSpecNoShip;
	Specs->fMinBPV = 0;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 0;
	Specs->fMaxDate = 9999;
	Specs->fWait = 6;
	Specs->fMenuStates = kNoMenuButtons;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Defend Team1", kDefendTeam1, 1.0f, kTrue,
																		kPlayableTeam,//kPrimaryTeam,
																		1.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
													kSpecAnyRace, kAnyRace, typeid( tDefendTeam ) );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Attack Team1", kAttackTeam1, 1.0f, kTrue,
																		kPlayableTeam,//kPrimaryOpponentTeam,
																		1.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		240, 1200 ),
												kSpecAnyRace, kAnyEnemyOf | kDefendTeam1, typeid( tAttackTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Defend Team2", kDefendTeam2, 1.0f, kFalse,
																		kPlayableTeam,//kPrimaryTeam,
																		0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
													kSpecAnyRace, kAnyAllyOf | kDefendTeam1, typeid( tDefendTeam ) );

	const tTeamSpec& team4 = mCreateTeamSpec(	"Defend Team3", kDefendTeam3, 1.0f, kFalse,
																		kPlayableTeam,//kPrimaryTeam,
																		0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
													kSpecAnyRace,  kAnyAllyOf | kDefendTeam1, typeid( tDefendTeam ) );

	const tTeamSpec& team5 = mCreateTeamSpec(	"Attack Team2", kAttackTeam2, 1.0f, kFalse,
																		kPlayableTeam,//kPrimaryOpponentTeam,
																		0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		240, 1200 ),
												kSpecAnyRace, kAnyEnemyOf | kDefendTeam1, typeid( tAttackTeam ) );

	const tTeamSpec& team6 = mCreateTeamSpec(	"Attack Team3", kAttackTeam3, 1.0f, kFalse,
																		kPlayableTeam,//kPrimaryOpponentTeam,
																		0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		240, 1200 ),
												kSpecAnyRace, kAnyEnemyOf | kDefendTeam1, typeid( tAttackTeam ) );


	const tTeamSpec& team7 = mCreateTeamSpec(	"Freighter Team", kFreighterTeam, 1.0f, kTrue,
																		kNPCTeam,
																		1.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		240, 1200 ),
												kSpecAnyRace, kSameAs | kDefendTeam1, typeid( tFreighterTeam ) );
	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
	Specs->mSetupTeam( team4 );
	Specs->mSetupTeam( team5 );
	Specs->mSetupTeam( team6 );
	Specs->mSetupTeam( team7 );
}
int32 tDem_Press4::mInitializeStart( tDynaverseScriptInfo& info )
{
	return 1;
}
void tDem_Press4::mCreateExternalShips( int32 Mode )
{
}
int32 tDem_Press4::mInitializeFinished( void )
{
	return kFedDefendBriefing_msg;
}
void tDem_Press4::mNewInternalShip( tShipInfo* Ship )
{
}
void tDem_Press4::mGetDebriefingList( eVictoryLevels VictoryLevel )
{
}
int32 tDem_Press4::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}
void tDem_Press4::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 7;
	int32 tagList[kRelationsCount] =
	{
		kDefendTeam1,	//Def1
		kDefendTeam2,	//Def2
		kDefendTeam3,	//Def3
		kAttackTeam1,	//Atk1
		kAttackTeam2,	//Atk2
		kAttackTeam3,	//Atk3
		kFreighterTeam	//Frtr
	};

	std::string relationships[kRelationsCount][kRelationsCount] =
	{
		//			Def1	Def2	Def3	Atk1	Atk2	Atk3	Frtr
		/*Def1*/	"--",	"AI",	"AI",	"WD",	"WD",	"WD",	"AI",
		/*Def2*/	"AI",	"--",	"AI",	"WD",	"WD",	"WD",	"AI",
		/*Def3*/	"AI",	"AI",	"--",	"WD",	"WD",	"WD",	"AI",
		/*Atk1*/	"WD",	"WD",	"WD",	"--",	"AI",	"AI",	"WD",
		/*Atk2*/	"WD",	"WD",	"WD",	"AI",	"--",	"AI",	"WD",
		/*Atk3*/	"WD",	"WD",	"WD",	"AI",	"AI",	"--",	"WD",
		/*Frtr*/	"AI",	"AI",	"AI",	"WI",	"WI",	"WI",	"--",
	};

	fMissionInfo->mSetTeamRelations( tagList, ( std::string* )relationships, kRelationsCount );

}

void tDem_Press4::mNewTeam( const tTeamScriptDescription& teamScriptDescription )
{
	tScript::mNewTeam( teamScriptDescription );	
}
