//	<Name>	Enemy2Ship.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Enemy2Ship.h"
#include "Enemy2ShipBaseState.h"
#include "Dem_Press5.h"
#include "MissionText.h"
#include "TeamInfo.h"

tClassAllocator<tEnemy2Ship> gEnemy2ShipAllocator;

tEnemy2Ship::tEnemy2Ship() : fIsSurrendered( false ), fAttackedSurrenderedVessel( false )
{}

void tEnemy2Ship::mSetupState()
{
	mRegisterState( new tEnemy2ShipBaseState() );
	mGotoState( typeid( tEnemy2ShipBaseState ) );
}
void tEnemy2Ship::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kBlankCommState, mGetShipID(),
										k_WESURRENDER_Player_btn, k_WESURRENDER_Player1_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState1, kBlankCommState, mGetShipID(),
										k_YOUSURRENDER_Enemy_btn, k_YOUSURRENDER_Enemy1_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState2, kBlankCommState, mGetShipID(),
										k_WESURRENDER_PlayerForReal_btn, k_WESURRENDER_Player2_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_YOUSURRENDER_Enemy_btn, k_YOUSURRENDER_Enemy2_msg, kNoRandomMsg );

	//
	//	Gorn ship.
	//
	playerTeam->mRegisterCommMessage(	kCommState3, kBlankCommState, mGetShipID(),
										k_WESURRENDER_PlayerForReal_btn, k_WESURRENDER_Player2_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState3, kBlankCommState, mGetShipID(),
										k_YOUSURRENDER_EnemyForReal_btn, k_YOUSURRENDER_Enemy3_KlingonRomulanGornMirak_msg, kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState2 );
}
void tEnemy2Ship::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}


bool tEnemy2Ship::mIsSurrendered( void )
{
	return fIsSurrendered;
}
bool tEnemy2Ship::mAttackedSurrenderedVessel( void )
{
	return fAttackedSurrenderedVessel;
}
void tEnemy2Ship::mSetIsSurrendered( bool x )
{
	fIsSurrendered = x;
}
void tEnemy2Ship::mSetAttackedSurrenderedVessel( bool x )
{
	fAttackedSurrenderedVessel = x;
}
