/********************************************************************************************************\

	File Name:	Enemy2ShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Enemy2ShipBaseState.h"
#include "Dem_Press5.h"
#include "TeamInfo.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemy2ShipBaseState::mBeginState()
{}
void tEnemy2ShipBaseState::mEndState()
{}

void tEnemy2ShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemy2ShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if ( ( !damagedShip ) || ( !hostileShip ) )
		return;
	float	hullDamage = damagedShip->mGetDamagePercent();
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	if ( hostileShip && ( fChildActor->mGetCustomID() == damagedShip->mGetCustomID() ) )
	{
		//
		//	Set the flag for the player attacking a surrendered ship.
		//
		if (	( fChildActor->mIsSurrendered() ) &&
				( hostileShip->mGetTeam() == kPlayerTeam )	)
		{
			fChildActor->mSetAttackedSurrenderedVessel( true );
		}

		//
		//	Change comm state according to damage taken.
		//
		if ( fChildActor->mAttackedSurrenderedVessel() )
		{
			playerTeam->mGotoCommState( fChildActor->mGetShipID(), tEnemy2Ship::kCommState1 );
		}
		else
		{
			if ( hullDamage < 10.0f )
			{
				playerTeam->mGotoCommState( fChildActor->mGetShipID(), tEnemy2Ship::kCommState2 );
			}
			else
			{
				playerTeam->mGotoCommState( fChildActor->mGetShipID(), tEnemy2Ship::kCommState3 );
			}
		}
	}

	fChildActor->mSetShipCallbackEvents( kNotifyDamage );
}
void tEnemy2ShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemy2ShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemy2ShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemy2ShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemy2ShipBaseState::mOnFlashingButtonPressed()
{}
void tEnemy2ShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemy2ShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemy2ShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tEnemy2ShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tEnemy2ShipBaseState::mOnHostChanged()
{}
void tEnemy2ShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tEnemy2ShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemy2ShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


