//	<Name>	Enemy3Ship.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Enemy3Ship.h"
#include "Enemy3ShipBaseState.h"
#include "Dem_Press5.h"
#include "MissionText.h"
#include "TeamInfo.h"

tClassAllocator<tEnemy3Ship> gEnemy3ShipAllocator;

tEnemy3Ship::tEnemy3Ship() : fIsSurrendered( false ), fAttackedSurrenderedVessel( false )
{}

void tEnemy3Ship::mSetupState()
{
	mRegisterState( new tEnemy3ShipBaseState() );
	mGotoState( typeid( tEnemy3ShipBaseState ) );
}
void tEnemy3Ship::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_WESURRENDER_Player_btn, k_WESURRENDER_Player1_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_YOUSURRENDER_Enemy_btn, k_YOUSURRENDER_Enemy1_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState2, kBlankCommState, mGetShipID(),
										k_WESURRENDER_PlayerForReal_btn, k_WESURRENDER_Player2_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_YOUSURRENDER_Enemy_btn, k_YOUSURRENDER_Enemy2_msg, kNoRandomMsg );

	//
	//	Hydran ship.
	//
	playerTeam->mRegisterCommMessage(	kCommState3, kBlankCommState, mGetShipID(),
										k_WESURRENDER_PlayerForReal_btn, k_WESURRENDER_Player2_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState3, kBlankCommState, mGetShipID(),
										k_YOUSURRENDER_EnemyForReal_btn, k_YOUSURRENDER_Enemy3_FederationLyranHydran_msg, kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState2 );
}
void tEnemy3Ship::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}


bool tEnemy3Ship::mIsSurrendered( void )
{
	return fIsSurrendered;
}
bool tEnemy3Ship::mAttackedSurrenderedVessel( void )
{
	return fAttackedSurrenderedVessel;
}
void tEnemy3Ship::mSetIsSurrendered( bool x )
{
	fIsSurrendered = x;
}
void tEnemy3Ship::mSetAttackedSurrenderedVessel( bool x )
{
	fAttackedSurrenderedVessel = x;
}
