/********************************************************************************************************\

	File Name:	EnemyShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShipBaseState.h"
#include "Dem_Press5.h"
#include "TeamInfo.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemyShipBaseState::mBeginState()
{}
void tEnemyShipBaseState::mEndState()
{}

void tEnemyShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if ( ( !damagedShip ) || ( !hostileShip ) )
		return;
	float	hullDamage = damagedShip->mGetDamagePercent();
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	if ( hostileShip && ( fChildActor->mGetCustomID() == damagedShip->mGetCustomID() ) )
	{
		//
		//	Set the flag for the player attacking a surrendered ship.
		//
		if (	( fChildActor->mIsSurrendered() ) &&
				( hostileShip->mGetTeam() == kPlayerTeam )	)
		{
			fChildActor->mSetAttackedSurrenderedVessel( true );
		}

		//
		//	Change comm state according to damage taken.
		//
		if ( fChildActor->mAttackedSurrenderedVessel() )
		{
			playerTeam->mGotoCommState( fChildActor->mGetShipID(), tEnemyShip::kCommState1 );
		}
		else
		{
			if ( hullDamage < 10.0f )
			{
				playerTeam->mGotoCommState( fChildActor->mGetShipID(), tEnemyShip::kCommState2 );
			}
			else
			{
				playerTeam->mGotoCommState( fChildActor->mGetShipID(), tEnemyShip::kCommState3 );
			}
		}
	}

	fChildActor->mSetShipCallbackEvents( kNotifyDamage );
}
void tEnemyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShipBaseState::mOnFlashingButtonPressed()
{}
void tEnemyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tEnemyShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tEnemyShipBaseState::mOnHostChanged()
{}
void tEnemyShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tEnemyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


