//	<Name>	Freighter.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Freighter.h"
#include "FreighterBaseState.h"
#include "Dem_Press5.h"
#include "MissionText.h"
#include "TeamInfo.h"

tClassAllocator<tFreighter> gFreighterAllocator;

tFreighter::tFreighter() : fAttackedAlly( false ), fShipsDestroyed( 0 ), fDiplomatRescued( false )
{}

void tFreighter::mSetupState()
{
	mRegisterState( new tFreighterBaseState() );
	mGotoState( typeid( tFreighterBaseState ) );
}
void tFreighter::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter1_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter2_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState3, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter3_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState4, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter4_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState5, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter5_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState6, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter6_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState7, kNoStateChange, mGetShipID(),
										k_DROPSHIELDS_Freighter_btn, k_DROPSHIELDS_Freighter_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState7, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter1_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState8, kNoStateChange, mGetShipID(),
										k_DROPSHIELDS_Freighter_btn, k_DROPSHIELDS_Freighter_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState8, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter2_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState9, kNoStateChange, mGetShipID(),
										k_DROPSHIELDS_Freighter_btn, k_DROPSHIELDS_Freighter_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState9, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter3_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState10, kNoStateChange, mGetShipID(),
										k_DROPSHIELDS_Freighter_btn, k_DROPSHIELDS_Freighter_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState10, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter4_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState11, kNoStateChange, mGetShipID(),
										k_DROPSHIELDS_Freighter_btn, k_DROPSHIELDS_Freighter_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState11, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter5_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState12, kNoStateChange, mGetShipID(),
										k_DROPSHIELDS_Freighter_btn, k_DROPSHIELDS_Freighter_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState12, kNoStateChange, mGetShipID(),
										k_HAIL_Freighter_btn, k_HAIL_Freighter6_msg, kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState9 );
}
void tFreighter::mSetupShip()
{
	mSetFinalDestination();
	mSetShipCallbackEvents( kNotifyDamage );
	mAddItemToStores( kTransporterItem, kTransDiplomat, 1 );
}


bool tFreighter::mAttackedAlly( void )
{
	return fAttackedAlly;
}
bool tFreighter::mDiplomatRescued( void )
{
	return fDiplomatRescued;
}
int32 tFreighter::mShipsDestroyed( void )
{
	return fShipsDestroyed;
}
void tFreighter::mSetAttackedAlly( bool x )
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	fAttackedAlly = x;

	if ( x )
	{
		if ( fDiplomatRescued )
			playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
		else
			playerTeam->mGotoCommState( mGetShipID(), kCommState7 );
	}
}
void tFreighter::mSetDiplomatRescued( bool x )
{
	fDiplomatRescued = x;
}
void tFreighter::mIncreaseShipsDestroyed( void )
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( kPlayerTeam );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	fShipsDestroyed++;

	//
	//	Can perform check operation here since ship and state have 1 to 1 relationship.
	//
	if ( fShipsDestroyed >= 3 && !fAttackedAlly )
	{
		if ( fDiplomatRescued )
			playerTeam->mGotoCommState( mGetShipID(), kCommState3 );
		else
			playerTeam->mGotoCommState( mGetShipID(), kCommState9 );
	}
}