/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC 2\n\n",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"><Transport a diplomat from the freighter to your ship.",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].  We are on route to " \
	"[SYSTEM_NAME] to intercept a diplomatic envoy.  If we find enemy vessels in the system, we are " \
	"ordered to destroy them, but securing the diplomats are our primary objective.\n\n[3]" \
	"Communications Officer: [PLAYER_RANK], distress call from the transport.  Three commando " \
	"cruisers are pursuing the transport.  The transport was blindsided - there was no sign " \
	"of them entering the system, or even decloaking.  Odd.\n\n[0]",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Congratulations.  You have the ambassador. Now the hard part begins.\n\n" \
	"We want an alliance with one of three powers: the Hydrans, the Federation, or the Romulans.  Each " \
	"race has equal advantages; it will be up to you to determine which homeworld your crew is likely to " \
	"reach.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebVictory_msg,
	"Surrendering your ship is an automatic court martial.  You'll be reduced a step in rank, and lose " \
	"much of the respect and authority you've previously earned.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"\n\n",
	
	//	kDebDefeat_msg,
	"We lost the quad - our best shot at gaining an alliance with one of the powers of this " \
	"quadrant.  This is a fatal blow to our efforts.  I cannot understate how damaging this failure " \
	"is.  At least you were able to take some of their ships though.\n\n" \
	"You're removed from the special forces, pending an investigation.\n\n" \
	"Dismissed.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"We lost the quad - our best shot at gaining an alliance with one of the powers of this " \
	"quadrant.  This is a fatal blow to our efforts.  I cannot understate how damaging this failure is.\n\n" \
	"You're removed from the special forces, pending an investigation.\n\n" \
	"Dismissed.\n\n",

	//
	//	Comm buttons
	//
	
	//	k_HAIL_Freighter_btn,
	"HAIL",

	//	k_DROPSHIELDS_Freighter_btn,
	"DROP SHIELDS",
	
	//	k_WESURRENDER_Player_btn,
	"WE SURRENDER",

	//	k_WESURRENDER_PlayerForReal_btn,
	"WE SURRENDER",
	
	//	k_YOUSURRENDER_Enemy_btn,
	"YOU SURRENDER",
	
	//	k_YOUSURRENDER_EnemyForReal_btn,
	"YOU SURRENDER",

	//
	//	Comm messages
	//
	
	//	k_HAIL_Freighter1_msg,
	"Communications Officer: They're not answering our hails.\n\n",
	
	//	k_HAIL_Freighter2_msg,
	"Captain: The diplomats are ready to be transferred.\n\n",
	
	//	k_HAIL_Freighter3_msg,
	"Captain: We're in good shape.  Please help us stay that way.\n\n",
	
	//	k_HAIL_Freighter4_msg,
	"Captain: Hull is getting weak quickly.  We won't be that way for much longer.\n\n",
	
	//	k_HAIL_Freighter5_msg,
	"Captain: We've taken some damage.  Requesting assistance.\n\n",
	
	//	k_HAIL_Freighter6_msg,
	"Captain: Mayday.  Requesting assistance.\n\n",

	//	k_DROPSHIELDS_Freighter_msg,
	"[PLAYER_NAME]: Drop your shields so that we can transport the diplomats over to our ship.\n\n" \
	"Freighter Captain: Of course, [PLAYER_RANK].\n\n",
	
	//	k_WESURRENDER_Player1_msg,
	"Communications Officer: No response.\n\n",
	
	//	k_WESURRENDER_Player2_msg,
	"[PLAYER_NAME]: We surrender to you.  We're on a diplomatic mission.  This surrender will prove that...\n\n" \
	"Enemy Captain: Very wise.\n\n",
	
	//	k_YOUSURRENDER_Enemy1_msg,
	"Communications Officer: No response.\n\n",
	
	//	k_YOUSURRENDER_Enemy2_msg,
	"Enemy Commander: We refuse.  The battle is not over yet.\n\n",
	
	//	k_YOUSURRENDER_Enemy3_FederationLyranHydran_msg,
	"Enemy Commander: Very well.  We surrender.\n\n",
	
	//	k_YOUSURRENDER_Enemy3_KlingonRomulanGornMirak_msg,
	"Enemy Commander: You'll never take us alive!\n\n" \
	"Weapons Officer: They self-destructed rather than surrender to us?!?!\n\n",
	
	//	k_YOUSURRENDER_Enemy4_msg,
	"First Officer: All enemies have been dealt with.  We just have to get the diplomat to complete " \
	"the mission.\n\n",
	
	//	k_YOUSURRENDER_Enemy5_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n",

	// kVictory_msg,
	"Victory!\n",

	// kDraw_msg,
	"Draw.\n",

	// kDefeat_msg,
	"Defeat\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kEvent4_1_msg,
	"Science Officer: We're now within transporter range of the transport.  The transport needs to lower" \
	"its shields.\n\n",
	
	//	kEvent5_1_msg,
	"Science Officer: Beaming over the diplomatic team.\n\n",
	
	//	kEvent5_2_msg,
	"First Officer: Primary objective completed.  All we need to do is destroy all enemy ships to " \
	"complete the mission.\n\n",
	
	//	kEvent5_3_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",
	
	//	kEvent6_1_msg,
	"First Officer: All enemies have been dealt with.  We just have to get the diplomat to complete " \
	"the mission.\n\n",
	
	//	kEvent6_2_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",
	
	//	kEvent7_1_msg,
	"Science Officer: I'm detecting a hidden enemy base deep beneath the planet's surface.  They " \
	"probably hid the fleet on the blind spot on the planet's magnetic pole -- it's very strong.\n\n",
	
	//	kEvent7_2_msg,
	"Science Officer: I am still reading the enemy base deep beneath the planet's surface.  They " \
	"have raised a forcefield to repel out attack.\n\n",
	
	//	kEvent8_1_msg,
	"Science Officer: We have devastated a huge area of the planet's surface.  No sign of anything " \
	"unusual, but I haven't done a deep scan.\n\n",
	
	//	kEvent8_2_msg,
	"Science Officer: They've put up a shield around their installation.  Our weapons won't be able to " \
	"blast through it.\n\n",
	
	//	kEvent10_1_msg,
	"First Officer: All enemies have been dealt with.  We just have to get the diplomat to complete " \
	"the mission.\n\n",
	
	//	kEvent10_2_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",
	
	//	kEvent11_1_msg,
	"Security Officer: Boarding action successful.  The ship is ours.  Let's have it leave the system.\n\n",
	
	//	kEvent11_2_msg,
	"First Officer: All enemies have been dealt with.  We just have to get the diplomat to complete the " \
	"mission.\n\n",
	
	//	kEvent11_3_msg,
	"First Officer: All enemy ships have been dealt with.  All mission objectives accomplished.\n\n",
	
	//	kEvent12_1_msg,
	"Science Officer: The freighter has been destroyed.  Mission aborted.",
	
	//	kEvent13_1_msg,
	"Science Officer: Leaving the system, Captain.\n\n",
	
	//	kEvent14_1_msg,
	"Science Officer: We have left the system.\n\n",

	//
	//	Custom messages
	//
	
	//	kCustom1_msg
	"First Officer: Enemy ship defeated.\n\n",

	//	kCustom2_msg,
	"Enemy Captain: What's the big idea?  We were going to leave peacefully and you fire upon us?  You " \
	"give us no choice -- you will pay for that!\n\n",

	//	kCustom3_msg,
	"First Officer: Transport destroyed.  It's O.K. though since we already have the diplomats onboard.\n\n",

	//	kCustom4_msg,
	"Transporter Chief: There is no reason to take the diplomats off of our vessel yet, [PLAYER_RANK].\n\n",
};


