/********************************************************************************************************\

	File Name:	PlanetBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Dem_Press5.h"
#include "MissionText.h"
#include "PlanetBaseState.h"
#include "ScriptInterface.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlanetBaseState::mBeginState()
{}
void tPlanetBaseState::mEndState()
{}

void tPlanetBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlanetBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlanetBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlanetBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlanetBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlanetBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlanetBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if ( ( !damagedShip ) || ( !hostileShip ) )
		return;

	if ( fChildActor->mGetCustomID() == damagedShip->mGetCustomID() )
	{
		if ( hostileShip )
		{
			if ( hostileShip->mGetTeam() == kPlayerTeam )
			{
				if ( fChildActor->mScannedPlanet() )
				{
					fMissionInfo->mDisplayMessage( kPlayerTeam, kEvent8_2_msg );
				}
				else
				{
					fMissionInfo->mDisplayMessage( kPlayerTeam, kEvent8_1_msg );
				}
			}
		}
		fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	}
}
void tPlanetBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if ( !ship )
		return;

	if ( deepScanOn )
	{
		//
		//	Check if the player's scan target is the same as the fChildActor as well.
		//
		if ( ship->mGetShipTargetID() == fChildActor->mGetShipID() )
		{			
			if ( fChildActor->mScannedPlanet() )
			{
				fMissionInfo->mDisplayMessage( kPlayerTeam, kEvent7_2_msg );
			}
			else
			{
				fMissionInfo->mDisplayMessage( kPlayerTeam, kEvent7_1_msg );
			}
			fChildActor->mSetScannedPlanet( true );
		}
	}
}
void tPlanetBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlanetBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlanetBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlanetBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlanetBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetBaseState::mOnFlashingButtonPressed()
{}
void tPlanetBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlanetBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlanetBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlanetBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlanetBaseState::mOnHostChanged()
{}
void tPlanetBaseState::mOnTimedInterval( int32 timerID )
{}
void tPlanetBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlanetBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


