/********************************************************************************************************\

	Mission:	<MISSION TITLE>
	Script:		"His_NextGen"
	Descript:	<DESCRIPTION>

	Created by:		<NAME>		mm/dd/yy
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG>

\********************************************************************************************************/

#include "CommonDefs.h"
#include "EnemyTeam.h"
#include "MissionText.h"
#include "MissionMaps.h"
#include "PlayerTeam.h"
#include "His_NextGen.h"
#include "AllyTeam.h"

DEFINE_SCRIPT_CLASS( tHis_NextGen );

tHis_NextGen::tHis_NextGen()
{}

void tHis_NextGen::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kHistoricalMission;//kCampaignMission or kHistorical;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fPlayerRace =  kSpecFed;
	Specs->fEnemyRace = kSpecISC;
	Specs->fNumShips = kMissSpecNoShip;
	Specs->fMinBPV = 100;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 0;
	Specs->fMaxDate = 99;
	Specs->fWait = kUniqueMission;
	Specs->fMenuStates = kNoMenuButtons;
	Specs->fBandwidthPart = kAllBand;
	Specs->fGenericFlags = kNoGenericFlags;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Player Team",
												static_cast< eTeamID >( kPlayerTeam ),
												kMaxChance,
												kTrue,
												kPrimaryTeam,
												kMinChance,
												kSpecFed,
												kAnyRace,
												typeid( tPlayerTeam ),
												kNoTeamTag,
												Messages[kMissionTitle_msg] );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Enemy Team",
												static_cast< eTeamID >( kEnemyTeam ),
												kMaxChance,
												kTrue,
												kNPCTeam,
												kMaxChance,
												kSpecFed,
												kAnyRace,
												typeid( tEnemyTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Ally Team",
												static_cast< eTeamID >( kAllyTeam ),
												kMaxChance,
												kTrue,
												kNPCTeam,
												kMaxChance,
												kSpecFed,
												kAnyRace,
												typeid( tAllyTeam ) );


	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
}

int32 tHis_NextGen::mInitializeStart( tDynaverseScriptInfo& info )
{
	return 1;
}

int32 tHis_NextGen::mInitializeFinished( void )
{
	return kBriefing_msg;
}

void tHis_NextGen::mNewInternalShip( tShipInfo* Ship )
{}

void tHis_NextGen::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 3;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kEnemyTeam,
		kAllyTeam,
	};


	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr = kPlayerTeam,
		//Nme  = kEnemyTeam,
		//Aly  = kAllyTeam
	
		//	     Plyr  NME   Aly
		/*Plyr*/ "--", "WD", "AI",
		/*Nme */ "WD", "--", "WD",
		/*Aly*/	 "AI", "WD", "--",
	};
	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}


void tHis_NextGen::mASCIIOverrides( tMapOverrides* Map )
{
	tScript::mASCIIOverrides( Map );

	Map->fTacticalMapIcon['G'] = kObjectPlayerShip;
}

void tHis_NextGen::mDefineBriefings( void )
{
	for ( int32 i = kFederation; i <= kMirak; i++ )
	{
		fBriefingIndex[kPlayerTeam][i] = kBriefing_msg;
	}
}
