/********************************************************************************************************\

	Mission:	<MISSION TITLE>
	Script:		"E3_SinglePlanets"
	Descript:	<DESCRIPTION>

	Created by:		Daniel J. Suleski	05/03/00
	Last Updated:	<INITIALS>			mm/dd/yy
					<LOG>

\********************************************************************************************************/

#include "EnemyTeam.h"
#include "MissionText.h"
#include "MissionMaps.h"
#include "PlayerNPCTeam.h"
#include "PlayerTeam.h"
#include "NPC1Team.h"
#include "E3_SinglePlanets.h"


DEFINE_SCRIPT_CLASS( tE3_SinglePlanets );

tE3_SinglePlanets::tE3_SinglePlanets()
{}

/*

	HELPER NOTE:	You may be able to register states here; however it is suggested that you do not.  Use
					only if you must and know how.

*/
void tE3_SinglePlanets::mSetupState()
{}

/*

	HELPER NOTE:	You may be able to register comm states here; however it is suggested that you do not.
					Use only if you must and know how.

*/
void tE3_SinglePlanets::mSetupCommState()
{}

/*

	HELPER NOTE:	This function should return whom you consider to be the primary enemy.  Perhaps useful
					in multiplayer scripts, but single player missions do not seem to actively use it.

*/
int32 tE3_SinglePlanets::mGetEnemyTeamID( void )
{
	return fPlayersTeam;
}

/*

	HELPER NOTE:	Set the mission specs here.  For the time being, every mission type must be
					kMultiplayerMission until informed otherwise.

*/
void tE3_SinglePlanets::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kMultiplayerMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fSectorType = kAllSectors;
	Specs->fPlayerRace = kSpecAnyRace;
	Specs->fEnemyRace = kSpecAnyRace;
	Specs->fNumShips = kMissSpecNoShip;
	Specs->fMinBPV = 0;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 9999;
	Specs->fMaxDate = 9999;
	Specs->fWait = 6;
	Specs->fMenuStates = kNoMenuButtons;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Player Team",
												static_cast< eTeamID >( kPlayerTeam ),
												1.0f,
												kFalse,
												kPlayableTeam,
												1.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, kMaxBPV ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tPlayerTeam ) );

	const tTeamSpec& team4 = mCreateTeamSpec(	"NPC 1 Team",
												static_cast< eTeamID >( kNPC1Team ),
												1.0f,
												kFalse,
												kNPCTeam,
												1.0f,
												tStrength(	0, 0,
															kClassFrigate,
															kClassFrigate,
															0, kMaxBPV ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tNPC1Team ) );

	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team4 );
}

/*

	HELPER NOTE:	Return the map you want to use for single player missions.  In multiplayer missions,
					you could examine which map was picked by the player.  For example:

						if ( info.fPreferedMap == 3 )
							;	//	the 3rd map was picked

					Also note that the index into the array of maps starts at 1, NOT 0!

*/
int32 tE3_SinglePlanets::mInitializeStart( tDynaverseScriptInfo& info )
{
	return 1;
}

/*

	HELPER NOTE:	Called when the player starts the mission.  It will be further explained, if necessary,
					when it is better fleshed out.

*/
void tE3_SinglePlanets::mCreateExternalShips( int32 Mode )
{}

/*

	HELPER NOTE:	Return the briefing message index that you want to use from MissionText.h

*/
int32 tE3_SinglePlanets::mInitializeFinished( void )
{
	return kBriefing_msg;
}

/*

	HELPER NOTE:	Called when a new ship enters the mission while in-game.  The Ship parameter holds
					the ship information for this specified ship.

*/
void tE3_SinglePlanets::mNewInternalShip( tShipInfo* Ship )
{}

/*

	HELPER NOTE:	Leave blank until informed otherwise.

*/
void tE3_SinglePlanets::mGetDebriefingList( eVictoryLevels VictoryLevel )
{}

int32 tE3_SinglePlanets::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}

/*

	HELPER NOTE:	This is where you set up the teams' relationships and goals.  Read on and edit as
					you see necessary for this mission.

*/
void tE3_SinglePlanets::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 2;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kNPC1Team,
	};


	/*

		HELPER NOTE:	Below is the initial relationship / goal table.  Each letter has a meaning and each
						meaning has a meaning???

		Relationship Lookup
		- = kTeamSelfAware	//	use this parameter with itself
		A = kTeamAllied		//	cannot fire upon an ally
		F = kTeamFriendly
		N = kTeamNeutral
		H = kTeamHostile	//	will not fire / capture / cripple until provoked
		W = kTeamWar		//	will seek out and destroy / capture / cripple the enemy
		P = kTeamPassive

		Relationship Lookup
		- = kGoalIgnore		//	use this parameter with itself
		I = kGoalIgnore
		C = kGoalCripple
		X = kGoalCapture	//	do not have too many ships target a ship for capturing (accidently destroys it).
		D = kGoalDestroy

	*/
	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr = kPlayerTeam,
		//PNPC = kPlayerNPCTeam,
		//Nme  = kEnemyTeam,
		//NPC1 = kNPC1Team,

		//	     Plyr   NPC1
		/*Plyr*/ "--", "FI",
		/*PNPC*/ "FI", "--",
	};
	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}



