#include "His_WrathOfKhan.h"

#include "MissionText.h"
#include "MissionMaps.h"

//#include "VictoryCondition.h"
#include "KhanTeam.h"
#include "EnterpriseTeam.h"
#include "WoKVictory.h"

DEFINE_SCRIPT_CLASS( tHis_WrathOfKhan );

tHis_WrathOfKhan::tHis_WrathOfKhan()
{
}

tVictoryCondition* tHis_WrathOfKhan::mSetupVictoryCondition()
{
	fWoKVictory = new tWoKVictory();	
	gEventMgr.mRegisterActor( fWoKVictory );							
	return fWoKVictory;	
}

//Register all you states here. Then mGotoState on the first state to run
void tHis_WrathOfKhan::mSetupState()
{
}

//Register all you comm states here. 
void tHis_WrathOfKhan::mSetupCommState()
{
}

//---------------------------------------------------------------------------------------------
// called by script interface - 
// should return whatever team is considered to be the primary enemy
int32 tHis_WrathOfKhan::mGetEnemyTeamID( void )
{
	return fPlayersTeam;// ***** What does this do???????????????***************
}

//---------------------------------------------------------------------------------------------
// returns mission specs used by Dynaverse to build campaigns
void tHis_WrathOfKhan::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kHistoricalMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg].mCharStr();
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fSectorType = kAllSectors;
	Specs->fPlayerRace = kAllRaceMission;
	Specs->fEnemyRace = kFedMission;
	Specs->fNumShips = MissSpecOneShip;
	Specs->fMinBPV = 0;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 9999;
	Specs->fMaxDate = 9999;
	Specs->fWait = 0;
	Specs->fMenuStates = kNoMenuButtons;
}

//---------------------------------------------------------------------------------------------
// called at the start of mission initialization - use to set prestige points 
// and override mission defaults such as:
//		allied race
//		enemy race
//		system name
// and also returns map index to use
int32 tHis_WrathOfKhan::mInitializeStart( tDynaverseScriptInfo& info )
{
	// must set up the races of the teams in the script
	fMissionInfo->mSetupTeam( fPlayersTeam, info.fPlayerRace, typeid(tEnterpriseTeam) );
	fMissionInfo->mSetupTeam( kKhanTeam, info.fPlayerRace, typeid( tKhanTeam ) );

	// setup team relations and target goals
	fMissionInfo->mSetTeamRelations( kKhanTeam, fPlayersTeam, kTeamAtWar, kGoalDestroy, 1.0 );
	fMissionInfo->mSetTeamRelations( fPlayersTeam, kKhanTeam, kTeamAtWar, kGoalDestroy, 1.0 );

	// pick a map
	return 1;
}

//---------------------------------------------------------------------------------------------
// return kTrue if players ship should be created for this mission
iTruth tHis_WrathOfKhan::mUsePlayerShip( tShipInGame& Ship )
{
	return kFalse;
}

//---------------------------------------------------------------------------------------------
// called to create ships before or during the mission
// Mode is user supplied value( expect for 0, which is initial setup call )
void tHis_WrathOfKhan::mCreateMissionShips( int32 Mode )
{
	tTeamInfo* khanTeam = fMissionInfo->mGetTeamHandle( kKhanTeam );
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fPlayersTeam );

//	playerTeam->mCreateShip( typeid( tShipInfo ),"F-CA+", kStartPosition_G );

//	khanTeam->mCreateShip( typeid( tShipInfo ),"F-NCL", kStartPosition_Z );
}

//---------------------------------------------------------------------------------------------
// called at the end of mission initialization - use to return briefing message
int32 tHis_WrathOfKhan::mInitializeFinished( void )
{
	// return the index to the briefing message we want to use
	return( kBriefing_msg );
}

//---------------------------------------------------------------------------------------------
// called after all ships have been created and mission is ready to start.
// use to set callback events and change default ship configuration
void tHis_WrathOfKhan::mStartMission( void )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fPlayersTeam );
	playerTeam->mGetFirstShip()->mSetShipPlayerControlled();
}

//---------------------------------------------------------------------------------------------
// called whenever a ship is created after a mission has already started
void tHis_WrathOfKhan::mNewMissionShip( tShipInfo* Ship )
{
}

//---------------------------------------------------------------------------------------------
// called at end of mission only if player is still alive
void tHis_WrathOfKhan::mGetDebriefingList( eVictoryLevels VictoryLevel )
{
	fMissionInfo->mAddToDebriefingList( VictoryLevel + kAstoundingVictory_msg );
}

//---------------------------------------------------------------------------------------------
// called at the end of every mission
int32 tHis_WrathOfKhan::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}


