//	<Name>	KhanTeamShipBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "KhanTeamShipBaseState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"
#include "MissionText.h"
#include "His_WrathOfKhan.h"

tKhanTeamShipBaseState::tKhanTeamShipBaseState()
{

}
void tKhanTeamShipBaseState::mOnCapture( tShipInfo* ship )
{
	fMissionInfo->mDisplayMessage( kEnergySource_msg, kScienceScriptMessage );
	fChildActor->mSetTimedInterval( kTimerTurnsSet, kGoingToExplodeID, 4 );
}

void tKhanTeamShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* khanTeam ;
	khanTeam = fMissionInfo->mGetTeamHandle( kKhanTeam );

	if ( ( damagedShip = fChildActor) && ( fChildActor->mGetDamagePercent() > 70 ) )
	{
		fChildActor->mSetTimedInterval( kTimerTurnsSet, kGoingToExplodeID, 4 );
	}
	else
	{
		fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	}
}

void tKhanTeamShipBaseState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo* enterpriseTeam = gScriptInterface.mPlayersTeam();
	tShipInfo* playerShip = enterpriseTeam->mGetFirstShip();


	if ( timerID == kGoingToExplodeID)
	{
		fChildActor->mDamageSystem( kDamageExcessDamageSystem, 100 );
		fChildActor->mDamageSystem( kDamageInternalsWithPoints, 5000 );
		fMissionInfo->mDisplayMessage( kGenesisExplodes_msg, kNonCommScriptMessage );

		if( fChildActor->mGetTacticalDistance( playerShip ) > 60 )
		{
			fMissionInfo->mDisplayMessage( kEnterpriseEscapes_msg, kNonCommScriptMessage );
		}
		else	// enterprise destroyed
		{
			fMissionInfo->mDisplayMessage( kEnterpriseDestroyed_msg, kNonCommScriptMessage );
			playerShip->mDestoryShip();
		}
	}
}