//	<Name>	KhanTeamShipGenesisState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "KhanTeamShipGenesisState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "His_WrathOfKhan.h"
#include "KhanTeam.h"
#include "KhanTeamShip.h"
#include "MissionText.h"
#include "EnterpriseTeamShip.h"
                               
tKhanTeamShipGenesisState::tKhanTeamShipGenesisState( )
{

}

void tKhanTeamShipGenesisState::mBeginState()
{
	tTeamInfo* khanTeam ;
	khanTeam = fMissionInfo->mGetTeamHandle( kKhanTeam );
	tTeamInfo* playerTeam = gScriptInterface.mPlayersTeam();

	fMissionInfo->mSetTeamRelations( fChildActor->mGetTeam(), playerTeam->mGetTeam(), kTeamAllied, kGoalIgnore, 1.0, kTrue );
    mSetTimedInterval( kTimerSecondsSet, kReliantScanableID, 8.0f);
	ReliantScanable = true;

	fMissionInfo->mDisplayMessage( kReliantDisabled_msg, kScienceScriptMessage );

}

void tKhanTeamShipGenesisState::mEndState()
{
}

void tKhanTeamShipGenesisState::mOnTimedInterval( int32 timerID )
{
	tKhanTeamShipBaseState::mOnTimedInterval( timerID );

	tTeamInfo* playerTeam = gScriptInterface.mPlayersTeam();
	tShipInfo* playersShip;
    playersShip = playerTeam->mGetFirstShip();


	if ( timerID == kReliantScanableID ) 
	{
		fMissionInfo->mDisplayMessage( kEnergySource_msg, kScienceScriptMessage );

		if( ( ReliantScanable == true ) && ( playersShip->mGetDeepScanStatus() ) )
		{
			ReliantScanable = false;
			fMissionInfo->mDisplayMessage( kReliantScanned_msg, kScienceScriptMessage );
			mSetTimedInterval( kTimerSecondsSet, kKhanFinal1ID, 5.0f);
		}
	}
	else if ( timerID == kKhanFinal1ID )
	{
			fMissionInfo->mDisplayMessage( kKhanFinal1_msg );
			mSetTimedInterval( kTimerSecondsSet, kKhanFinal2ID, 3.0f);
	}
	else if ( timerID == kKhanFinal2ID )
	{
			fMissionInfo->mDisplayMessage( kKhanFinal2_msg );
			mSetTimedInterval( kTimerSecondsSet, kKhanFinal3ID, 4.0f);	
	}
		else if ( timerID == kKhanFinal3ID )
	{
			fMissionInfo->mDisplayMessage( kKhanFinal3_msg );
	}
}
void tKhanTeamShipGenesisState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tKhanTeamShipBaseState::mOnDamage( damagedShip, hostileShip, damageType );	
}
void tKhanTeamShipGenesisState::mOnDeepScan(tShipInfo *ship, iTruth deepScanOn )
{
	tTeamInfo* playerTeam = gScriptInterface.mPlayersTeam();
	tShipInfo* playersShip;
    playersShip = playerTeam->mGetFirstShip();

	if( ReliantScanable == true )
	{
		ReliantScanable = false;
		fMissionInfo->mDisplayMessage( kReliantScanned_msg, kScienceScriptMessage );
		mSetTimedInterval( kTimerSecondsSet, kKhanFinal1ID, 5.0f);
	}
	else
	{
		playersShip->mSetShipCallbackEvents( kNotifyDeepScan );
	}
}