//	<Name>	KhanTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "KhanTeamShipInitialState.h"
#include "KhanTeamShipAttackState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "His_WrathOfKhan.h"
#include "KhanTeam.h"
#include "KhanTeamShip.h"
#include "MissionText.h"
                               
tKhanTeamShipInitialState::tKhanTeamShipInitialState( )
{
}

void tKhanTeamShipInitialState::mBeginState()
{
    mSetTimedInterval( kTimerSecondsSet, kGameBeginingID, 2.0f );	// Timer for Entering Nebula Msg
    mSetTimedInterval( kTimerSecondsSet, kSlowingDownID, 6.0f );	// Timer for Slowing Down Msg
    mSetTimedInterval( kTimerTurnsSet, kWaitedToLongID, (float) ( fMissionInfo->mRandomInt32( 3, 4 ) ) );
}

void tKhanTeamShipInitialState::mEndState()
{
}

void tKhanTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	tKhanTeamShipBaseState::mOnTimedInterval( timerID );

    tTeamInfo* khanTeam;

	khanTeam = fMissionInfo->mGetTeamHandle( kKhanTeam );
	
	tTeamInfo* playerTeam = gScriptInterface.mPlayersTeam();

	if ( timerID == kGameBeginingID )
	{
		fMissionInfo->mDisplayMessage( kStarting_msg, kNonCommScriptMessage  );
	}
	else if ( timerID == kSlowingDownID )
	{
		fMissionInfo->mSetTeamRelations( fChildActor->mGetTeam(), playerTeam->mGetTeam(), kTeamHostile, kGoalIgnore, 1.0 );
		fMissionInfo->mDisplayMessage( kSlowingDown_msg, kScienceScriptMessage );
		khanTeam->mGotoCommState( tKhanTeam::kTauntorPleadCommState );
	}
	else if ( timerID == kWaitedToLongID )
	{
		fChildActor->mDamageSystem( kDamageWeaponsAndSystems, 0.0 );
		fChildActor->mGotoState( typeid( tKhanTeamShipAttackState ) );
	}
}
void tKhanTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{
	//tMonsterTeam::kSciProbeCommState, kEndingState
	if( //( typeid( actor ) == typeid( tMonsterTeam ) ) &&
		( state == (tKhanTeam::kTauntCommState) ) &&			
		(eventType == kStartingNewState) )
	{
		fChildActor->mGotoState( typeid( tKhanTeamShipAttackState ) );
	}
		if( //( typeid( actor ) == typeid( tMonsterTeam ) ) &&
		( state == (tKhanTeam::kPleadCommState) ) &&			
		(eventType == kStartingNewState) )
	{
		fMissionInfo->mDisplayMessage( kKhanPleaded_msg  );
	}
}