//	<Name>	WoKVictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "WoKVictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "His_WrathOfKhan.h"
#include "WoKVictory.h"
#include "MissionText.h"

                               
tWoKVictoryState::tWoKVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tWoKVictory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{

}

void tWoKVictoryState::mBeginState()
{

}

void tWoKVictoryState::mEndState()
{
}

eVictoryLevels tWoKVictoryState::mCalcVictoryStatus()
{

    if( ( fChildActor->mGetReliantDestroyed() ) && ( !( fChildActor->mGetEnterpriseDestroyed() ) ) )
	{
		return kVictory;
	}
	else if ( ( fChildActor->mGetReliantDestroyed() ) && ( fChildActor->mGetEnterpriseDestroyed() )  )
	{
		return kDraw;
	}
	else if ( ( ! ( fChildActor->mGetReliantDestroyed() ) ) && ( ! ( fChildActor->mGetEnterpriseDestroyed() ) ) )
	{
		return kDefeat;
	}
	else
	{
		return kDevastatingDefeat;
	}
	
}

void tWoKVictoryState::mOnDeath( tShipInfo* ship )
{
	if( ship->mGetTeam() == kKhanTeam )
	{
		fChildActor->mSetReliantDestroyed( true );
		gScriptInterface.mSetGameStatus( kPlayerWins );
	}
	else
	{
		fChildActor->mSetEnterpriseDestroyed( true );
		gScriptInterface.mSetGameStatus( kPlayerLoses );
	}
}

void tWoKVictoryState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( gScriptInterface.mPlayersTeamID() );

	if ( ( ship->mGetTeam() ) == ( ! (kKhanTeam) ) )//( playerTeam->mGetTeam() ) )
	{
		gScriptInterface.mSetGameStatus( kPlayerLoses );
	}
}
