//	<Name>	His_theDuel

#if !defined( His_theDuel_h )
#define His_theDuel

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	// the first 6 team types are reserved for player teams.
	kReserved = kTeam6,

	// add all non-player teams (enemy, allied, monsters, etc...) after this point.
	kEnemyTeam,
};

class tVictoryCondition;

class tHis_theDuel : public tScript
{
public:
	enum eCommStates
	{
		kCommSabotagedState,
		kCommRepairedState,
	};

	tHis_theDuel();

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual tVictoryCondition* mSetupVictoryCondition();

	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateMissionShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mStartMission();
	virtual void	mNewMissionShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();

protected:
	tVictoryCondition* fVictoryCondition;
};

#endif

