/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"

class tBaseVictory : public tVictoryCondition
{
public:
	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState();

	enum eTimerIDs
	{
		kRandChatID = 1000,
		kScanID,
		kEndGameID,
	};

	//
	//	Accessors.
	//
	bool mGetFreighterDestroyed();
	int32 mGetEnemyShipsDestroyed();
	bool mGetSignalled();
	bool mGetDeserted();
	bool mFreighterScanned();


	//
	//	Modifiers.
	//
	void mSetFreighterDestroyed(bool x);
	void mIncEnemyShipsDestroyed();
	void mDisableWeapons();
	void CreateOrganian();
	void mSetSignalled(bool x);
	void mSetDeserted(bool x);
	void mSetFreighterScanned(bool x);

private:

	//
	//	Victory attributes.
	//
	bool fFreighterDestroyed;
	int32 fEnemyShipsDestroyed;
	bool fSignalled;
	bool fDeserted;
	bool fFreighterScanned;

};

#endif



