/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg
	"ISC_10Criminals",

	//
	//	Description message
	//
	"Protect the Organians from an Alliance reprisal.",


	//
	//	Briefing message
	//

	// kBriefing_msg
	"The Alliance wishes to make a retributive strike against the Organians. Stop them.",

	// kLongBriefing_msg
	">The Alliance wishes to make a retributive strike against the Organians. Stop them.\n\n<" \
	"Despite their recent desperation attacks, intelligence indicates that the alliance " \
	"against the ISC is in complete disarray. Now we come to a harder matter; \n[0]" \
	"the Alliance, realizing that they cannot defeat us, has decided to engage in " \
	"a battle against the Organians. You will head to Organia to stop them. We believe " \
	"they have some experimental technology that they will attempt to use against the Glory. "\
	"You must find that technology and eliminate it before it comes into play.\n[0]" \
	"This will probably be the last major mission of the war. Just do it. Dismissed.[0]",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We are enroute to Organia " \
	"to protect the Organians from the wrath of the Alliance. We're not sure how they plan to capture " \
	"the Organians...[1]",


	//
	//	Debriefing messages
	//
	// kDebVictory_msg,
	"Congratulations. You successfully kept the enemy from capturing the Organians. You performed " \
	"flawlessly. You're not responsible for what the Organians chose to do - or for the news we just " \
	"received.",
	// kDebDefeat_msg,
	"You have failed in this mission. The enemy were able to get to Organia. However, this failure pales " \
	"in comparison to the news we've just received.",

	// kDebCommon_msg,
	"An alien race has just invaded the Organian system, and wiped out those Organians who had not " \
	"surrendered themselves to the Alliance. Organia is dead.\n[0]" \
	"This new race manipulates energy as easily as our transporters manipulate matter, which is how they " \
	"were able to deal with beings of such immense power. The Organian race is now fuel in the engines of " \
	"the invaders.\n[0]" \
	"We have known for some time that the Organians went to Andromeda during their recent disappearance, " \
	"and they have warned us of a grave and imminent threat. The Andromedans are that threat. We now " \
	"believe that we, the ISC, were used by the Organians to teach the galaxy to unite against a common foe. " \
	"It was manipulative, but given the price they just paid, I can find it in my heart to forgive them. " \
	"The pacification is over. I don't know when the Andromedans will arrive in force, but when they do, " \
	"the real war will begin. Get some rest.\n[0]" \
	"Dismissed.",



	//
	//	Comm buttons
	//
	"HAIL",

	//
	//	Comm messages
	//
	// kNoResponse_msg
	"Communications Officer: No response.",

	// kHailEnemy_msg
	"[PLAYER_NAME]: The Organians have done nothing to you! Why are you doing this?[0]" \
	"[TEAM3_RACE]: They are charged with war crimes against the galactic alliance, "\
	"unwarranted interference in galactic affairs, bringing war and devastation to " \
	"untold numbers of people by assisting the ISC.[0]" \
	"[PLAYER_NAME]: How dare you impugn a race as ancient and noble as the Organians?!?[0]" \
	"[TEAM3_RACE]: In matters of justice, nobility and antiquity are not defenses.",

	// kHailRand1_msg
	"[TEAM3_RACE]: We will not be deterred! The Organians will be subject to our justice.",

	// kHailRand2_msg
	"[TEAM3_RACE]: Leave, while you're still able.",

	// kHailRand3_msg
	"[TEAM3_RACE]: You want peace? After today, you shall have it - on our terms.",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!",

	//	kVictory_msg,
	"Victory!",

	//	kDraw_msg,
	"Draw.",

	//	kDefeat_msg,
	"Defeat!",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat!",

	//	kLeftEarly_msg,
	"Forfeit",

	//
	//	Random chatter
	//

		//kChatter1_msg
	"Helm: That's a formidable fleet out there. But we don't need to beat it, " \
	"just whatever they're using to contain the Organians.",

	//kChatter2_msg
	"Engineer: The sooner we get to Organia, the better.",
	
	//kChatter3_msg
	"Security Officer: We're expendable. The Organians aren't. Remember that, [PLAYER_RANK]. " \
	"Not that I want to 'expend', of course.",

	//kChatter4_msg
	"Communications Officer: I don't really see the need to communicate with primitives, but we're ready.",

	//kChatter5_msg
	"Weapons Officer: I suddenly find myself wishing we had allies on this mission.",

	//kChatter6_msg
	"Science Officer: I doubt the Organians will intervene. That's our job.",


	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	//	kFreighterDestroyed_msg
	"Weapons Officer: The freighter has been destroyed.[0]" \
	"Science Officer: I believe the freighter contained the device that they " \
	"planned to use to capture the Organians.[0]" \
	"First Officer: We've accomplished our mission then.[1]" \
	"Science Officer: [PLAYER_RANK], it's the Organians!",

	//	kFreighterReachesPlanet_msg,
	"Science Officer: The freighter has now arrived at the planet. It's firing a burst of " \
	"neutrino energy. Here come the Organians...",

	//	kOrganianSurrender1_msg,
	"Organian: We know why you have come. Further violence is unneccessary. Our leadership " \
	"agrees to accompany the alliance and be subject to their justice. All weapons will no " \
	"longer function.[1]" \
	"[PLAYER_NAME]: Does that mean we've lost?[0]" \
	"Organian: Do not look at it in such primitive terms. You may not have achieved your goals today, " \
	"it is true, but against that which is yet to come, this day is transcendent.",

	//	kOrganianSurrender2_msg,
	"Organian: We will not permit any further bloodshed. Our leadership agrees to accompany " \
	"the alliance and be subject to their justice. All weapons will no" \
	"longer function.[1]" \
	"[PLAYER_NAME]: Does that mean we lost?[0]" \
	"Organian: That is for your command to decide. Life is victory. But against that which is " \
	"yet to come, today's concepts of good and evil are meaningless.",
	
	//	kScanningFreighter_msg,
	"Science Officer: I am detecting odd readings inside the freighter. I believe it's some " \
	"sort of specialized energy storage system. Probably for the Organians.",

	//	kOutOfScanRange_msg
	"Science Officer: Target is not within scanning range, sir.",
	
	//	kNothingAbnormal_msg,
	"Science Officer: I detect nothing abnormal, sir.",

	
	//	kLeavingSystem_msg,
	"Science Officer: Leaving the system, Captain.",

	//	kLeftSystem_msg,
	"Science Officer: We've left the system.",

	//
	//	Custom messages
	//


	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"The War Criminals",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Disconnect.\n\n",

	//
	//	Not localized as of 11/19/00
	//

	//	kStartExtra_msg,
	"Science Officer: [PLAYER_RANK], I am detecting a fleet with a dreadnought, escorted by several " \
	"cruisers and smaller ships... and a freighter.[3]" \
	"[PLAYER_NAME]: We're outgunned. But we will find a way to win.",
};



