/********************************************************************************************************\

	File Name:	PlayerNPCTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "CommonDefs.h"
#include "PlayerNPCTeam.h"
#include "PlayerNPCTeamBaseState.h"
#include "Organia.h"
#include "ShipScriptDescription.h"
#include "ISC_10Criminals.h"
#include "ShipList_API.h"


tClassAllocator<tPlayerNPCTeam> gPlayerNPCTeamAllocator;


void tPlayerNPCTeam::mSetupState()
{
	mRegisterState( new tPlayerNPCTeamBaseState() );
	mGotoState( typeid( tPlayerNPCTeamBaseState ) );
}

void tPlayerNPCTeam::mSetupCommState()
{}

void tPlayerNPCTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tPlayerNPCTeam::mCreateShipsForTeam\n");

	gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

	// Well! Here, the Enhanced ShipList API won't be useful except to find an alternate PL1 from within the race chosen.
	// Keep plain PL1 available as backup. This will be good for mods.

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;

        // Green Colony World.
        std::string worldType = "PL1";
        switch (race) {
            case kFederation: worldType = "F-PL1"; break;
            case kKlingon: worldType = "K-PL1"; break;
			case kRomulan: worldType = "R-PL1"; break;
			case kGorn: worldType = "G-PL1"; break;
			case kLyran: worldType = "L-PL1"; break;
			case kHydran: worldType = "H-PL1"; break;
			case kISC: worldType = "I-PL1"; break;
            case kMirak: worldType = "Z-PL1"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
			mCreateShip(
				typeid( tOrgania ), 
				p1.shipCode.c_str(), 
				kStartPosition_M, 
				kNoMetaShipID,
				kOrgania, 
				0, 0, -1, -1, 
				"Organia", 
				kDefaultShipOptions );
		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tPlayerNPCTeam::mCreateShipsForTeam\n");
}

void tPlayerNPCTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tPlayerNPCTeam::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tOrgania ), 
		"PL1", 
		kStartPosition_M, 
		kNoMetaShipID,
		kOrgania, 
		0, 0, -1, -1, 
		"Organia", 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tPlayerNPCTeam::mOldCreateShipsForTeam\n");
}


void tPlayerNPCTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlayerNPCTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tPlayerNPCTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tPlayerNPCTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}


