//	<Name>	EnemyTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "EnemyTeam.h"
//#include "NPCTeamShip.h"
#include "ShipScriptDescription.h"
#include "ISC_1Peace.h"
#include "MissionText.h"
#include "EnemyTeamShip.h"
#include "ShipList_API.h"

tClassAllocator<tEnemyTeam> gEnemyTeamAllocator;

tEnemyTeam::tEnemyTeam() : tTeamInfo()
{
}

void tEnemyTeam::mSetupState()
{
}

void tEnemyTeam::mSetupCommState()
{
}


void tEnemyTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Entering: tEnemyTeam::mCreateShipsForTeam\n");
   	gST.mCompleteNarrowedList();

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	int32 playerBPV = playerTeam->mGetCombatBPV();
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();

	int32 nPCBPV; 
	if( diffLevel == 0 )
	{
		nPCBPV = playerBPV * 0.6;
	}
	else if( diffLevel == 1 )
	{
		nPCBPV = playerBPV * 0.8;
	}
	else if( diffLevel == 2 )
	{
		nPCBPV = playerBPV * 1.0;
	}

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.selectWarShips(gST.narrowed_sl);
		sl = gST.mFilterShipListToSingleRace( sl, mGetRace() );
		sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

		fShiplistCount = sl.Subset( sl.kSubsetBPV, int(0.825 * nPCBPV), int(1.175 * nPCBPV), true);
        gST.mDebug_fprintf("subset for BPV range (%d - %d) completed. ships: %d\n",
	        int(0.825 * nPCBPV), int(1.175 * nPCBPV), fShiplistCount);

		Ship aShip;
		if ((sl.size() > 0) && (sl.SelectRandomShip(aShip))) {
			gST.mDebug_fprintf("aShip %s selected. BPV: %d  YFA: %d  YLA %d\n",
				aShip.shipCode.c_str(), aShip.bpv, aShip.yearFirstAvail, aShip.yearLastAvail);
			gST.mTrackOrions( aShip );

            mCreateShip(
                typeid( tEnemyTeamShip ),
                aShip.shipCode.c_str(),
                kStartPosition_J,
                kNoMetaShipID,
                -1, 0, 0, -1, -1, NULL,
                kDefaultShipOptions );
		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tEnemyTeam::mCreateShipsForTeam\n");
}


void tEnemyTeam::mOldCreateShipsForTeam()
{

	gST.mDebug_fprintf("---- Entering: tEnemyTeam::mOldCreateShipsForTeam\n");

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	int32 playerBPV = playerTeam->mGetCombatBPV();
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();

	int32 nPCBPV; 
	if( diffLevel == 0 )
	{
		nPCBPV = playerBPV * 0.6;
	}
	else if( diffLevel == 1 )
	{
		nPCBPV = playerBPV * 0.8;
	}
	else if( diffLevel == 2 )
	{
		nPCBPV = playerBPV * 1.0;
	}
	mCreateShip( typeid( tEnemyTeamShip ), nPCBPV, kClassFrigate, kClassHeavyBattlecruiser, 0, kStartPosition_J,
				-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tEnemyTeam::mOldCreateShipsForTeam\n");
}


void tEnemyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
   gST.mDebug_fprintf("--- Entering: tEnemyTeam::mCreateNewShip: %s\n", 
	   shipScriptDescription.fClassName.c_str());
   gST.mInitializeSL();
   gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
   	gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
		shipScriptDescription.fClassName.c_str());

   	gST.mDebug_fprintf("--- Finished: tEnemyTeam::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
}

