//	<Name>	EnemyTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_1Peace.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"
#include "MissionText.h"
#include "EnemyTeamShip.h"
#include "EnemyTeamShipInitialState.h"
#include "PlayerTeam.h"
#include "ShipList_API.h"

tEnemyTeamShipInitialState::tEnemyTeamShipInitialState( )
{
}

void tEnemyTeamShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tEnemyTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tEnemyTeamShipInitialState::mBeginState\n");
}

void tEnemyTeamShipInitialState::mEndState()
{
}
void tEnemyTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{
}	
void tEnemyTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if ( ( damagedShip->mGetTeam() == fChildActor->mGetTeam() ) && ( ( hostileShip->mGetTeam() ) == playerTeam->mGetTeam() ) )
	{
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tEnemyTeamShip::kHailCommState );
	}
}
void tEnemyTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if( buttonID == kHailLyran_btn )
	{
		fChildActor->mClearCommands();
		fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( playerTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
	}
}

void tEnemyTeamShipInitialState::mOnTimedInterval( int32 timerID )	
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tEnemyTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);
		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tEnemyTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}