//	<Name>	FedTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "sfcAssert.h"

#include "ISC_1Peace.h"
#include "MissionText.h"
#include "FedTeamShip.h"
#include "FedTeamShipInitialState.h"

tClassAllocator<tFedTeamShip> gFedTeamShipAllocator;

void tFedTeamShip::mSetupState()
{
	mRegisterState( new tFedTeamShipInitialState( ) );
	
	mGotoState( typeid( tFedTeamShipInitialState ) );
}

void tFedTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	//Fed CommStates
	playerTeam->mRegisterCommMessage( kHailCommState, kPowerOrPeaceCommState, mGetShipID(), kTruce_btn, kHailedFed_msg );
	playerTeam->mRegisterCommMessage( kPowerOrPeaceCommState, kWarCommState, mGetShipID(), kPowerToFed_btn, kPowerOfferedFed_msg );
	playerTeam->mRegisterCommMessage( kPowerOrPeaceCommState, kPowerOrReassureCommState, mGetShipID(), kPeace_btn, kPeaceOfferedFed_msg );
	playerTeam->mRegisterCommMessage( kPowerOrReassureCommState, kWarCommState, mGetShipID(), kPowerToFed_btn, kPowerOfferedFed_msg );
	playerTeam->mRegisterCommMessage( kPowerOrReassureCommState, kTruceCommState, mGetShipID(), kReassureFed_btn, kReassureOfferedFed_msg );
	playerTeam->mRegisterCommMessage( kTruceCommState, kBlankCommState, mGetShipID(), kPower_btn, kPowerAfterTruceFed_msg );
	playerTeam->mRegisterCommMessage( kTruceCommState, kBlankCommState, mGetShipID(), kHail_btn, kAllianceFed_msg );
	playerTeam->mRegisterCommMessage( kWarCommState, kNoStateChange, mGetShipID(), kHail_btn, kNoResponse_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );
}

void tFedTeamShip::mSetupShip()
{
	mSetFinalDestination();
	mSetShipCallbackEvents(  kNotifyDamage );
}
