//	<Name>	FedTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_1Peace.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"
#include "MissionText.h"
#include "FedTeam.h"
#include "FedTeamShip.h"
#include "FedTeamShipInitialState.h"
#include "PlayerTeam.h"
#include "ShipList_API.h"

tFedTeamShipInitialState::tFedTeamShipInitialState( )
{
}

void tFedTeamShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tFedTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tFedTeamShipInitialState::mBeginState\n");
}

void tFedTeamShipInitialState::mEndState()
{
}
void tFedTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{
}	
void tFedTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if ( ( damagedShip->mGetTeam() == fChildActor->mGetTeam() ) && ( ( hostileShip->mGetTeam() ) == playerTeam->mGetTeam() ) )
	{
		playerTeam->mClearCommands();
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tFedTeamShip::kWarCommState );
	}
}
void tFedTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if( buttonID == kReassureFed_btn )
	{
		fChildActor->mClearCommands();
		fChildActor->mDisengage( kByMapEdge , kAbsolutePriority  );
	}
	else if ( buttonID == kPowerToFed_btn )
	{
		fChildActor->mClearCommands();
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kFedAttack_msg );
		fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( playerTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
	}
}	

void tFedTeamShipInitialState::mOnTimedInterval( int32 timerID )	
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kFedTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tFedTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);
		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tFedTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}