//	<Name>	KlingonTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "ISC_1Peace.h"
#include "KlingonTeamShip.h"
#include "sfcAssert.h"
#include "MissionText.h"
//#include "ShipInfo.h"

#include "KlingonTeamShipInitialState.h"

tClassAllocator<tKlingonTeamShip> gKlingonTeamShipAllocator;

void tKlingonTeamShip::mSetupState()
{
	mRegisterState( new tKlingonTeamShipInitialState( ) );
	
	mGotoState( typeid( tKlingonTeamShipInitialState ) );
}

void tKlingonTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	//Klingon CommStates
	//inital Hail state
	playerTeam->mRegisterCommMessage( kHailCommState, kPowerOrPeaceCommState, mGetShipID(), kTruce_btn, kHailedKlingon_msg );
	//after Hail you can choose to offer power or peace
	playerTeam->mRegisterCommMessage( kPowerOrPeaceCommState, kPowCommState, mGetShipID(), kPower_btn, kPowerOfferedOnceKlingon_msg );
	playerTeam->mRegisterCommMessage( kPowerOrPeaceCommState, kPeaCommState, mGetShipID(), kPeace_btn, kPeaceOfferedKlingon_msg );
	//after you offer Power on the first round you can either offer power again or offer reassurance
	playerTeam->mRegisterCommMessage( kPowCommState, kTruceCommState, mGetShipID(), kPowerTwiceKlingon_btn, kPowerOfferedTwiceKlingon_msg );
	playerTeam->mRegisterCommMessage( kPowCommState, kPowReCommState, mGetShipID(), kReassure_btn, kReassuranceOfferedKlingon_msg );
	//after you offer Peace	on the first round you can either offer power or reassurance
	playerTeam->mRegisterCommMessage( kPeaCommState, kPeaPowCommState, mGetShipID(), kPower_btn, kPowerOfferedOnceKlingon_msg );	
	playerTeam->mRegisterCommMessage( kPeaCommState, kWarCommState, mGetShipID(), kReassureKlingon_btn, kReassuranceOfferedKlingon_msg );
	//after you have offered power then reassurance you can either offer peace or power	
	playerTeam->mRegisterCommMessage( kPowReCommState, kTruceCommState, mGetShipID(), kPowerTwiceKlingon_btn, kPowerOfferedTwiceKlingon_msg );
	playerTeam->mRegisterCommMessage( kPowReCommState, kWarCommState, mGetShipID(), kPeaceTwiceKlingon_btn, kPeaceOfferedKlingon_msg );	
	//after you offer Peace 1st then Power you can either offer Reassurance or Power	
	playerTeam->mRegisterCommMessage( kPeaPowCommState, kTruceCommState, mGetShipID(), kPowerTwiceKlingon_btn, kPowerOfferedTwiceKlingon_msg );
	playerTeam->mRegisterCommMessage( kPeaPowCommState, kWarCommState, mGetShipID(), kReassureKlingon_btn, kReassuranceOfferedKlingon_msg );
	//after a truce
	playerTeam->mRegisterCommMessage( kTruceCommState, kWarCommState, mGetShipID(), kPeaceAfterTruceKlingon_btn, kPeaceAfterTruceKlingon_msg );
	playerTeam->mRegisterCommMessage( kTruceCommState, kBlankCommState, mGetShipID(), kReassure_btn, kReassureAfterKlingon_msg );
	//At War
	playerTeam->mRegisterCommMessage( kWarCommState, kNoStateChange, mGetShipID(), kHail_btn, kGross_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );
}

void tKlingonTeamShip::mSetupShip()
{
	int32 x = 0, y = 0;

	fMissionInfo->mGetGridPosition( 'G', &x, &y );

	mSetFinalDestination( x, y );
	mSetShipCallbackEvents(  kNotifyDamage );
}
