//	<Name>	KlingonTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_1Peace.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"
#include "MissionText.h"
#include "KlingonTeamShip.h"
#include "KlingonTeamShipInitialState.h"
#include "PlayerTeam.h"
#include "ShipList_API.h"

tKlingonTeamShipInitialState::tKlingonTeamShipInitialState( )
{
	fKlingonTruce = false;
}

void tKlingonTeamShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tKlingonTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tKlingonTeamShipInitialState::mBeginState\n");
}

void tKlingonTeamShipInitialState::mEndState()
{
}
void tKlingonTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{
}	
void tKlingonTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if ( fKlingonTruce && ( damagedShip->mGetTeam() == fChildActor->mGetTeam() ) && ( ( hostileShip->mGetTeam() ) == playerTeam->mGetTeam() ) )
	{
		fChildActor->mClearCommands();
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tKlingonTeamShip::kWarCommState );
	}
}
void tKlingonTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if( buttonID == kPowerTwiceKlingon_btn )
	{
		fKlingonTruce = true;
		fChildActor->mClearCommands();
		fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( playerTeam->mGetTeam() ), kTeamHostile, kGoalIgnore, 1.0, kTrue );	
		fChildActor->mDisengage( kByMapEdge , kAbsolutePriority  );
	}
	else if( ( buttonID == kReassureKlingon_btn) || ( buttonID == kPeaceAfterTruceKlingon_btn) || ( buttonID == kPeaceTwiceKlingon_btn) )
	{
		fChildActor->mClearCommands();
		fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( playerTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );	
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kKlingonAttack_msg );
	}

}

void tKlingonTeamShipInitialState::mOnTimedInterval( int32 timerID )	
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tKlingonTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);
		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tKlingonTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}