//	<Name>	PeaceVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PeaceVictoryState_h )
#define PeaceVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "PeaceVictory.h"

class tPeaceVictoryState : public tChildActorVictoryState<tPeaceVictory>
{
public:
   enum eTimeIDs
   {
		kStartingID,
		kOrganian1ID,
		kOrganian2ID,
		kUltimatumID,
		kNonCompliance,
		kDeepScanONID,
   };

   tPeaceVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );
	virtual void mCheckAllTeams( tShipInfo* ship );

protected:
	
	int32 fNPCsDestroyed;
	int32 fNumberofTruces;
	bool  fRomTruce;
	int32 fFedsInPlay;
	int32 fRomsInPlay;
	int32 fKlingonsInPlay;
	int32 fLyransInPlay;
	int32 fPlayerShipsInPlay;
};

#endif

