//	<Name>	RomulanTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "ISC_1Peace.h"
#include "RomulanTeamShip.h"
#include "sfcAssert.h"
#include "MissionText.h"

#include "RomulanTeamShipInitialState.h"

tClassAllocator<tRomulanTeamShip> gRomulanTeamShipAllocator;

void tRomulanTeamShip::mSetupState()
{
	mRegisterState( new tRomulanTeamShipInitialState( ) );
	
	mGotoState( typeid( tRomulanTeamShipInitialState ) );
}

void tRomulanTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	//Romulan CommStates  
	playerTeam->mRegisterCommMessage( kHailCommState, kNoStateChange, mGetShipID(), kTruce_btn, kHailedRomulan_msg );
	playerTeam->mRegisterCommMessage( kRomReadyCommState, kTruceCommState, mGetShipID(), kHailRomReady_btn, kRomReady_msg );
	playerTeam->mRegisterCommMessage( kTruceCommState, kNoStateChange, mGetShipID(), kHail_btn, kNoResponse_msg );
	playerTeam->mRegisterCommMessage( kWarCommState, kNoStateChange, mGetShipID(), kHail_btn, kNoResponse_msg );

	playerTeam->mGotoCommState( mGetShipID(), kBlankCommState );
}

void tRomulanTeamShip::mSetupShip()
{
	mSetFinalDestination();
	mSetShipCallbackEvents(  kNotifyDamage );
}
