//	<Name>	RomulanTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_1Peace.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"
#include "MissionText.h"
#include "RomulanTeamShip.h"
#include "RomulanTeamShipInitialState.h"
#include "PlayerTeam.h"
#include "ShipList_API.h"

tRomulanTeamShipInitialState::tRomulanTeamShipInitialState( )
{
	fISCAtWarWithFeds = false;
	fISCAtWarWithKlingons = false;
}

void tRomulanTeamShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tRomulanTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tRomulanTeamShipInitialState::mBeginState\n");
}

void tRomulanTeamShipInitialState::mEndState()
{
}
void tRomulanTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{
}	
void tRomulanTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if ( ( damagedShip->mGetTeam() == fChildActor->mGetTeam() ) && ( ( hostileShip->mGetTeam() ) == playerTeam->mGetTeam() ) )
	{
		playerTeam->mGotoCommState( kRomulanTeam, tRomulanTeamShip::kWarCommState );
	}
}
void tRomulanTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if( buttonID == kHailRomReady_btn )
	{
		fChildActor->mClearCommands();
		fChildActor->mDisengage( kByMapEdge , kAbsolutePriority  );
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kRomulanDisengaging_msg );

	}
	else if( ( buttonID == kReassureKlingon_btn) || ( buttonID == kPeaceAfterTruceKlingon_btn) || ( buttonID == kPeaceTwiceKlingon_btn) )
	{
		fISCAtWarWithKlingons = true;
	}
	else if ( buttonID == kPowerToFed_btn )
	{
		fISCAtWarWithFeds = true;
	}

	if( ( fISCAtWarWithKlingons ) && ( fISCAtWarWithFeds ) )
	{
		playerTeam->mGotoCommState( kRomulanTeam, tRomulanTeamShip::kWarCommState );
		fChildActor->mClearCommands();
		fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( playerTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );	
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kRomulanAttack_msg );
	}
}

void tRomulanTeamShipInitialState::mOnTimedInterval( int32 timerID )	
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kRomulanTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tRomulanTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);
		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tRomulanTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}