//	<Name>	EnemyTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_2Promises.h"
#include "EnemyTeam.h"
#include "EnemyTeamInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"


tEnemyTeamInitialState::tEnemyTeamInitialState( )
{
}

void tEnemyTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tEnemyTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) 
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tEnemyTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tEnemyTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}


void tEnemyTeamInitialState::mOnDeath( tShipInfo* ship )
{
}
void tEnemyTeamInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
}
