//	<Name>	FreighterTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_2Promises.h"
#include "ShipInfo.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipInitialState.h"
#include "FreighterTeamShipReachedPlanetState.h"
#include "EnemyTeam.h"
#include "MissionText.h"
#include "ScriptInterface.h"


tFreighterTeamShipInitialState::tFreighterTeamShipInitialState( )
{
}

void tFreighterTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckPlanetDistanceID, 9.0f );		// Set timer for 1st Check on planet
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
}
void tFreighterTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	int32 rangeThisInterval = 0;
	int32 enemyOneRangeThisInterval = 0;
	int32 enemyTwoRangeThisInterval = 0;

	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
	tTeamInfo* planetTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlanetTeam ) );
	tShipIterator pship = planetTeam->mGetFirstShip();
	tShipInfo* planet = *pship;

	tShipIterator pship2 = enemyTeam->mGetFirstShip();
	tShipCustomIDEval x( tEnemyTeam::kEnemyOneID );
	pship2.mAddEvaluator( &x );
	tShipInfo* enemyOne = *pship2;

	tShipIterator pship3 = enemyTeam->mGetFirstShip();
	tShipCustomIDEval y( tEnemyTeam::kEnemyTwoID );
	pship3.mAddEvaluator( &y );
	tShipInfo* enemyTwo = *pship3;

	rangeThisInterval = fChildActor->mGetTacticalDistance( planet );

	if( enemyOne )
	{
		enemyOneRangeThisInterval = fChildActor->mGetTacticalDistance( enemyOne );
	}
	if( enemyTwo )
	{
		enemyTwoRangeThisInterval = fChildActor->mGetTacticalDistance( enemyTwo );
	}

	if( ( timerID == kCheckPlanetDistanceID ) && ( fChildActor->mInPlay() ) )
	{
		if( rangeThisInterval < 15 ) 
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),kPriObjectiveFailed_msg, kScienceScriptMessage );
			fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
			fChildActor->mGotoState( typeid( tFreighterTeamShipReachedPlanetState ) );
		}
		else
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckPlanetDistanceID, 0.1f );
		}
	}
	else if( timerID == kCheckDistanceID )
	{
		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );

		if( enemyOne && ( enemyOneRangeThisInterval > 15 ) && ( rangeThisInterval < 100 ) )
		{
			enemyOne->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		}
		if( enemyTwo && ( enemyTwoRangeThisInterval > 15 ) && ( rangeThisInterval < 100 ) )
		{
			enemyTwo->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		}


	}//timerID = kCheckDistanceID
}