//	<Name>	FreighterTeamShipReachedPlanetState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_2Promises.h"
#include "ShipInfo.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipReachedPlanetState.h"

#include "MissionText.h"
#include "ScriptInterface.h"
#include "EnemyTeam.h"

tFreighterTeamShipReachedPlanetState::tFreighterTeamShipReachedPlanetState( )
{
}

void tFreighterTeamShipReachedPlanetState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
}
void tFreighterTeamShipReachedPlanetState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
	int32 rangeThisInterval = 0;
	int32 enemyOneRangeThisInterval = 0;
	int32 enemyTwoRangeThisInterval = 0;

	tShipIterator pship = enemyTeam->mGetFirstShip();
	tShipCustomIDEval x( tEnemyTeam::kEnemyOneID );
	pship.mAddEvaluator( &x );
	tShipInfo* enemyOne = *pship;

	tShipIterator pship2 = enemyTeam->mGetFirstShip();
	tShipCustomIDEval y( tEnemyTeam::kEnemyTwoID );
	pship2.mAddEvaluator( &y );
	tShipInfo* enemyTwo = *pship2;


	if( enemyOne )
	{
		enemyOneRangeThisInterval = fChildActor->mGetTacticalDistance( enemyOne );
	}
	if( enemyTwo )
	{
		enemyTwoRangeThisInterval = fChildActor->mGetTacticalDistance( enemyTwo );
	}


	if( timerID == kCheckDistanceID )
	{
		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );

		if( enemyOne && ( enemyOneRangeThisInterval > 15 ) && ( rangeThisInterval < 100 ) )
		{
			enemyOne->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		}
		if( enemyTwo && ( enemyTwoRangeThisInterval > 15 ) && ( rangeThisInterval < 100 ) )
		{
			enemyTwo->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0, kFalse ); //destroys ship
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kEnemyDestroyedByMines_msg, kScienceScriptMessage );
		}


	}//timerID = kCheckDistanceID
}