//	<Name>	PlayerTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_2Promises.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamShipInitialState.h"
#include "EnemyTeam.h"

#include "MissionText.h"
#include "ScriptInterface.h"
#include "SFCAssert.h"

tPlayerTeamShipInitialState::tPlayerTeamShipInitialState( )
{
	fDeepScanON = false;
	fFreighterScanned = false;
	fCruiser1Scanned = false;
	fCruiser2Scanned = false;
}

void tPlayerTeamShipInitialState::mBeginState()
{
}
void tPlayerTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	int32 rangeToFreighterThisInterval = 100;
	int32 randgToCruiser1ThisInterval = 100;
	int32 randgToCruiser2ThisInterval = 100;


	tTeamInfo* enemyTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );

	tShipIterator pship = enemyTeam->mGetFirstShip();
	tShipCustomIDEval x( tEnemyTeam::kEnemyOneID );
	pship.mAddEvaluator( &x );
	tShipInfo* cruiser1 = *pship;

	tShipIterator pShip2 = enemyTeam->mGetFirstShip();
	tShipCustomIDEval y( tEnemyTeam::kEnemyTwoID );
	pShip2.mAddEvaluator( &y );
	tShipInfo* cruiser2 = *pShip2;
	
	tShipIterator pShip3 = enemyTeam->mGetFirstShip();
	tShipCustomIDEval z( tEnemyTeam::kFreighterID );
	pShip3.mAddEvaluator( &z );
	tShipInfo* freighter = *pShip3;
	

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	Assert( playerTeam );
	if( playerTeam == NULL )
	{
		return;
	}

	fFreighterScanned = playerTeam->mGetEnemyFreighterScanned();
	fCruiser1Scanned = playerTeam->mGetEnemyCruiser1Scanned();
	fCruiser2Scanned = playerTeam->mGetEnemyCruiser2Scanned();

	 if( timerID == kCheckDistanceID )
	{
		rangeToFreighterThisInterval = fChildActor->mGetTacticalDistance( freighter );
		randgToCruiser1ThisInterval = fChildActor->mGetTacticalDistance( cruiser1 );
		randgToCruiser2ThisInterval = fChildActor->mGetTacticalDistance( cruiser2 );

		if( ( freighter ) && !fFreighterScanned && ( rangeToFreighterThisInterval < 10 ) && ( fDeepScanON ) && ( ( fChildActor->mGetShipTargetID() ) == freighter->mGetShipID() ) )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kScannedFreighter_msg, kScienceScriptMessage );
			playerTeam->mSetEnemyFreighterScanned( true );
		}
		if( ( cruiser1 ) && !fCruiser1Scanned && ( randgToCruiser1ThisInterval < 10 ) && ( fDeepScanON ) && ( ( fChildActor->mGetShipTargetID() ) == cruiser1->mGetShipID() ) )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kScannedCruiser_msg, kScienceScriptMessage );
			playerTeam->mSetEnemyCruiser1Scanned( true );
		}
		if( ( cruiser2 ) && !fCruiser2Scanned && ( randgToCruiser2ThisInterval < 10 ) && ( fDeepScanON ) && ( ( fChildActor->mGetShipTargetID() ) == cruiser2->mGetShipID() ) )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kScannedCruiser_msg, kScienceScriptMessage );
			playerTeam->mSetEnemyCruiser2Scanned( true );
		}
		if( fDeepScanON )
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 1.0f );
		}

	}
	else if( kDeepScanONID )
	{
		if( fDeepScanON )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kScanning_msg, kScienceScriptMessage );
			mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
		}
	}
}
void tPlayerTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanONID, 0.75f );
}
