//	<Name>	PromisesVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PromisesVictoryState_h )
#define PromisesVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "PromisesVictory.h"

class tPromisesVictoryState : public tChildActorVictoryState<tPromisesVictory>
{
public:
   enum eTimeIDs
   {
		kStartingID,
		kStarting2ID,
		kCheckPlanetDistanceID,
		kCheckDistanceID,
		kChatterID,
		kDeepScanONID,
		kFreighterDestroyed,
   };

   tPromisesVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );

protected:
	
	int32 fEnemyCruisersDestoyed;
	bool  fEnemyFreighterDestroyed;
	bool  fPrimaryObjectiveMet;
	bool  fFreighterScanned;
	bool  fEnemyOneDestroyed;
	bool  fEnemyTwoDestroyed;
	bool  fEnemyOneCaptured;
	bool  fEnemyTwoCaptured;
	bool  fEnemyFreighterCaptured;
	int32	fPlayerShipsInPlay;
};

#endif

