//	<Name>	BaseVictory.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"
#include "VictoryCondition.h"


tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

tBaseVictory::tBaseVictory( ) :
	fPrisonersRetrieved( true ),
	fPrisonersRescued( false ),
	fPrisonersReachPlanet( false ),
	fPrisonShipDestroyed( false ),
	fEnemiesDestroyed( 0 ),
	fPrisonersTaken( false ),
	fSuppliesTaken( false )
{}
tBaseVictory::tBaseVictory( tTeamInfo* team ) : tVictoryCondition( team ),
	fPrisonersRetrieved( true ),
	fPrisonersRescued( false ),
	fPrisonersReachPlanet( false ),
	fPrisonShipDestroyed( false ),
	fEnemiesDestroyed( 0 ),
	fPrisonersTaken( false ),
	fSuppliesTaken( false )
{}

void tBaseVictory::mSetupState()
{
	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( 300, 225, 75, 0, -75 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );	

	mSetTimedInterval( kTimerSecondsSet, kRandChatID, 20.0f );
}

//
//	Accessors.
//
bool tBaseVictory::mPrisonersRetrieved( void )
{
	return fPrisonersRetrieved;
}
bool tBaseVictory::mPrisonersRescued( void )
{
	return fPrisonersRescued;
}
bool tBaseVictory::mPrisonersReachPlanet( void )
{
	return fPrisonersReachPlanet;
}
bool tBaseVictory::mPrisonShipDestroyed( void )
{
	return fPrisonShipDestroyed;
}
int32 tBaseVictory::mEnemiesDestroyed( void )
{
	return fEnemiesDestroyed;
}
bool tBaseVictory::mPrisonersTaken( void )
{
	return fPrisonersTaken;
}
bool tBaseVictory::mSuppliesTaken( void )
{
	return fSuppliesTaken;
}

//
//	Modifiers.
//
void tBaseVictory::mSetPrisonersRetrieved( bool x )
{
	fPrisonersRetrieved = x;
}
void tBaseVictory::mSetPrisonersRescued( bool x )
{
	fPrisonersRescued = x;
}
void tBaseVictory::mSetPrisonersReachPlanet( bool x )
{
	fPrisonersReachPlanet = x;
}
void tBaseVictory::mSetPrisonShipDestroyed( bool x )
{
	fPrisonShipDestroyed = x;
}
void tBaseVictory::mIncreaseEnemiesDestroyed( void )
{
	fEnemiesDestroyed++;
}
void tBaseVictory::mSetPrisonersTaken( bool x )
{
	fPrisonersTaken = x;
}
void tBaseVictory::mSetSuppliesTaken( bool x )
{
	fSuppliesTaken = x;
}
