//	<Name>	BaseVictory.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


class tBaseVictory : public tVictoryCondition
{
public:
	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState();

	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	bool	mPrisonersRetrieved( void );
	bool	mPrisonersRescued( void );
	bool	mPrisonersReachPlanet( void );
	bool	mPrisonShipDestroyed( void );
	int32	mEnemiesDestroyed( void );
	bool	mPrisonersTaken( void );
	bool	mSuppliesTaken( void );

	//
	//	Modifiers.
	//
	void	mSetPrisonersRetrieved( bool x );
	void	mSetPrisonersRescued( bool x );
	void	mSetPrisonersReachPlanet( bool x );
	void	mSetPrisonShipDestroyed( bool x );
	void	mIncreaseEnemiesDestroyed( void );
	void	mSetPrisonersTaken( bool x );
	void	mSetSuppliesTaken( bool x );

private:

	//
	//	Victory attributes.
	//
	bool	fPrisonersRetrieved;
	bool	fPrisonersRescued;
	bool	fPrisonersReachPlanet;
	bool	fPrisonShipDestroyed;
	int32	fEnemiesDestroyed;
	bool	fPrisonersTaken;
	bool	fSuppliesTaken;
};

#endif

