/********************************************************************************************************\

	File Name:	FreighterTeamState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FreighterTeamState.h"
#include "ShipList_API.h"
#include "ISC_3IronCage.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tFreighterTeamState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tFreighterTeamState::mEndState()
{}

void tFreighterTeamState::mOnDeath( tShipInfo* ship )
{}
void tFreighterTeamState::mOnCapture( tShipInfo* ship )
{}
void tFreighterTeamState::mOnDisengaged( tShipInfo* ship )
{}
void tFreighterTeamState::mAtDistance( tShipInfo* ship )
{}
void tFreighterTeamState::mAtDestination( tShipInfo* ship )
{}
void tFreighterTeamState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFreighterTeamState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFreighterTeamState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFreighterTeamState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFreighterTeamState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFreighterTeamState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFreighterTeamState::mOnEndOrbit( tShipInfo* ship )
{}
void tFreighterTeamState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFreighterTeamState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFreighterTeamState::mOnFlashingButtonPressed()
{}
void tFreighterTeamState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFreighterTeamState::mOnChangingShip( tShipInfo* ship )
{}
void tFreighterTeamState::mOnSpecialTransport( tShipInfo* ship )
{}

void tFreighterTeamState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFreighterTeamState::mOnHostChanged()
{}
void tFreighterTeamState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFreighterTeamState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


void tFreighterTeamState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kFreighterTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tFreighterTeamState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tFreighterTeamState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}