//	<Name>	NPC1Team.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipScriptDescription.h"
#include "tclient.h"
#include "NPC1Team.h"
#include "Planet.h"
#include "PlanetBaseState.h"
#include "NPC1TeamBaseState.h"
#include "ShipList_API.h"


tClassAllocator<tNPC1Team> gNPC1TeamAllocator;

void tNPC1Team::mSetupState()
{
	mRegisterState( new tNPC1TeamBaseState() );
	mGotoState( typeid( tNPC1TeamBaseState ) );
}

void tNPC1Team::mSetupCommState()
{}


void tNPC1Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tNPC1Team::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        // Ok! I-PL2 could be missing from he shiplist
        std::string shiptype = "I-PL2";
        Ship p1;
        if (! gST.narrowed_sl.Find(shiptype, p1)) {
#ifdef OP
			gST.mDebug_fprintf("oops! The planet %s is not in the shiplist! replace it!\n", p1.shipCode.c_str());
            ShipList planet_sl = gST.narrowed_sl;

            std::list< eRace >  raceList;
            raceList.push_back(p1.race);
            fShiplistCount = planet_sl.Subset(raceList);
            gST.mDebug_fprintf("subset for race (%d) filter completed. planets: %d\n", p1.race, fShiplistCount);

            std::list< eEnhancedClassTypes >  planetClassTypeList;
            planetClassTypeList.push_back(p1.enhancedShipClass);
            fShiplistCount = planet_sl.Subset(planetClassTypeList, true);
            gST.mDebug_fprintf("subset for planet class filter completed. ships: %d\n", fShiplistCount);

            std::list< eEnhancedRoles >  planetRolesList;
            gST.mDebug_fprintf("Selecting a colony world.\n");
            planetRolesList.push_back(kArmedWorld);
            planetRolesList.push_back(kHomeWorld);
            fShiplistCount = planet_sl.Subset(planetRolesList, false);

            gST.mDebug_fprintf("subset for planet eEnhancedRoles completed. ships: %d\n", fShiplistCount);

            {
            SHIP_LIST_ITER(planet_sl)
                std::string badplanet = "";
                switch (p1.race) {
                    case kKlingon: badplanet = "K-PE"; break;
                    case kRomulan: badplanet = "R-PE"; break;
                    case kLyran: badplanet = "L-PE"; break;
                    case kGorn: badplanet = "G-PE"; break;
                    case kHydran: badplanet = "H-PE"; break;
                    case kMirak: badplanet = "Z-PE"; break;
                    case kISC: badplanet = "I-PE"; break;
                    default: break;
                }
                for (;;) {
                    if (gST.mGetModelSize(iter->geometry) > 151) {
                        iter = planet_sl.erase(iter);
                        if (iter != planet_sl.end()) continue; else break;
                    }
                    if (badplanet.compare(iter->shipCode) == 0) {
                        iter = planet_sl.erase(iter);
                        if (iter != planet_sl.end()) continue; else break;
                    }
                    break;
                }
            SHIP_LIST_ITER_END
            }

            gST.mDebug_fprintf("Filtered planets that are too large for mission. planets: %d\n", planet_sl.size());
            gST.listShiplistContent(planet_sl);

            // failure test
            if (planet_sl.size() == 0) {
                mOldCreateShipsForTeam();
                gST.mDebug_fprintf("--- Finished: tOTDTeam::mCreateShipsForTeam\n");
                return;
            }

            // select replacement planet.
            planet_sl.SelectRandomShip(p1);
            gST.mDebug_fprintf("Replacement planet selected! %s:  %d BPV\n", p1.shipCode.c_str(), p1.bpv);
            shiptype = p1.shipCode.c_str();
        }

        // create planet
        mCreateShip(
            typeid( tPlanet ),
            shiptype.c_str(),
            kStartPosition_M,
            kNoMetaShipID,
            kPlanet, 
			0, 0, -1, -1,
            NULL,
            kCanAddToFleetUponCapture );

#else //OP
        mOldCreateShipsForTeam();
#endif //OP

    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tNPC1Team::mCreateShipsForTeam\n");
}


void tNPC1Team::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tNPC1Team::mOldCreateShipsForTeam\n");

	mCreateShip(	typeid( tPlanet ), "PL2", kStartPosition_M, kNoMetaShipID, kPlanet,
					0, 0, -1, -1, NULL, kCanAddToFleetUponCapture );

	gST.mDebug_fprintf("---- Finished: tNPC1Team::mOldCreateShipsForTeam\n");
}


void tNPC1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tNPC1Team::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tNPC1Team::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}