//	<Name>	NonISCShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISC_3IronCage.h"
#include "MissionText.h"
#include "NonISCShip.h"
#include "NonISCShipBaseState.h"
#include "ScriptInterface.h"
#include "TeamInfo.h"

tClassAllocator<tNonISCShip> gNonISCShipAllocator;

void tNonISCShip::mSetupState()
{
	mRegisterState( new tNonISCShipBaseState() );

	mGotoState( typeid( tNonISCShipBaseState ) );
}

void tNonISCShip::mSetupCommState()
{
	tTeamInfo*	enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNonISCTeam ) );
	Assert( enemyTeam );
	if( !enemyTeam )
		return;
	eRaceName	enemyRace = enemyTeam->mGetRace();

	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , k_HAIL_NonISC_btn , k_HAIL_NonISC1_msg , k_HAIL_NonISC3_msg );

	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange , mGetShipID() , k_HAIL_NonISC_btn , k_HAIL_NonISC1_msg , k_HAIL_NonISC3_msg );
	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange , mGetShipID() , k_DEMANDSURRENDER_FederationHydran_btn , k_DEMANDSURRENDER_FederationHydran1_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState3 , kNoStateChange , mGetShipID() , k_HAIL_NonISC_btn , k_HAIL_NonISC1_msg , k_HAIL_NonISC3_msg );
	playerTeam->mRegisterCommMessage( kCommState3 , kNoStateChange , mGetShipID() , k_DEMANDSURRENDER_FederationHydran_btn , k_DEMANDSURRENDER_FederationHydran2_msg, kNoRandomMsg );

	switch ( enemyRace )
	{
	case kFederation:
	case kHydran:
		{
			playerTeam->mGotoCommState( mGetShipID(), kCommState2 );
		}
		break;

	case kKlingon:
	case kRomulan:
	case kLyran:
	case kGorn:
	case kMirak:
		{
			playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
		}
		break;

	default:
		{
			playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
		}
		break;
	}
}

void tNonISCShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}