//	<Name>	NonISCTeamBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "FreighterTeam.h"
#include "ISC_3IronCage.h"
#include "NonISCTeamBaseState.h"
#include "PlayerNPCTeam.h"
#include "ShipList_API.h"

void tNonISCTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );


	tTeamInfo*	enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNonISCTeam ) );
	Assert( enemyTeam );
	if ( !enemyTeam )
		return;
	eRaceName	enemyRace = enemyTeam->mGetRace();

	tTeamInfo*	nonISCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNonISCTeam ) );
	tTeamInfo*	freighterTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kFreighterTeam ) );
	Assert( nonISCTeam && freighterTeam );
	if ( ( !nonISCTeam ) || ( !freighterTeam ) )
		return;

	switch ( enemyRace )
	{
	case kFederation:
	case kKlingon:
	case kLyran:
	case kGorn:
	case kMirak:
		{
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kNonISCTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalCapture, 1.0 );
		}
		break;

	case kRomulan:
	case kHydran:
		{
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kNonISCTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalDestroy, 1.0 );
		}
		break;

	default:
		{
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kNonISCTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalCapture, 1.0 );
		}
	}

	tShipIterator prisonShip = freighterTeam->mGetFirstShip();
	tShipIterator supplyShip = freighterTeam->mGetFirstShip();
	tShipCustomIDEval b( tFreighterTeam::kPrisonFreighter ), c( tFreighterTeam::kSupplyFreighter );
	prisonShip.mAddEvaluator( &b );
	supplyShip.mAddEvaluator( &c );

	tShipInPlayEval x, y;	
	prisonShip.mAddEvaluator( &x );
	supplyShip.mAddEvaluator( &y );

	tShipIterator tempShip2 = nonISCTeam->mGetFirstShip();
	tShipInPlayEval z;
	tempShip2.mAddEvaluator( &z );
	if ( ( *prisonShip != NULL ) && ( *tempShip2 != NULL ) )
	{
		tempShip2->mSetShipTarget( *prisonShip, kAbsolutePriority );
	}
	if ( ( *supplyShip != NULL ) && ( *tempShip2 != NULL ) )
	{
		for ( tempShip2++ ; *tempShip2 != NULL ; tempShip2++ )
		{
			tempShip2->mSetShipTarget( *supplyShip, kAbsolutePriority );
		}
	}
}

void tNonISCTeamBaseState::mEndState()
{}

void tNonISCTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kNonISCTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tNonISCTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tNonISCTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}