//	<Name>	PlayerFreighter.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "FreighterTeam.h"
#include "ISC_3IronCage.h"
#include "MissionText.h"
#include "NPC1Team.h"
#include "PlayerNPCFreighter.h"
#include "PlayerNPCFreighterBaseState.h"
#include "PlayerNPCTeam.h"
#include "TeamInfo.h"
#include "NonISCTeam.h"

tClassAllocator<tPlayerNPCFreighter> gPlayerFreighterAllocator;

tPlayerNPCFreighter::tPlayerNPCFreighter() : fOwnedEnemy( false )
{}

void tPlayerNPCFreighter::mSetupState()
{
	mRegisterState( new tPlayerNPCFreighterBaseState() );

	mGotoState( typeid( tPlayerNPCFreighterBaseState ) );
}

void tPlayerNPCFreighter::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange, mGetShipID() , k_HAIL_Freighter_btn , k_HAIL_Freighter1_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange, mGetShipID() , k_HAIL_Freighter_btn , k_HAIL_Freighter2_msg , kNoRandomMsg );
	
	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}

void tPlayerNPCFreighter::mSetupShip()
{
	int32		gridX = 0 , gridY = 0;
	tTeamInfo*	planetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNPC1Team ) );
	Assert( planetTeam );
	if ( !planetTeam )
		return;
	tShipInfo*	planet = planetTeam->mFindShipCustomID( tNPC1Team::kPlanet );

	//
	//	Make the freighters move towards the planet.
	//
	if ( planet )
	{
		planet->mGetGridPosition( &gridX , &gridY );
		mSetFinalDestination( gridX , gridY );
		mTrackTacticalDistance( 20.0 , gridX , gridY );
	}
	mSetShipMaxSpeed( 7 );

	switch ( mGetCustomID() )
	{
	case tFreighterTeam::kPrisonFreighter:
		{
			mChangeName( kPrisonShip_nam );
		}
		break;

	case tFreighterTeam::kSupplyFreighter:
		{
			mChangeName( kSupplyShip_nam );
		}
		break;
	}
}


bool tPlayerNPCFreighter::mOwnedEnemy( void )
{
	return fOwnedEnemy;
}
void tPlayerNPCFreighter::mSetOwnedEnemy( bool x )
{
	fOwnedEnemy = x;
}