//	<Name>	PlayerFreighterBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "FreighterTeam.h"
#include "ISC_3IronCage.h"
#include "NonISCTeamBaseState.h"
#include "NonISCTeamKillState.h"
#include "NPC1Team.h"
#include "PlayerNPCFreighter.h"
#include "PlayerNPCFreighterBaseState.h"
#include "PlayerNPCTeam.h"

void tPlayerNPCFreighterBaseState::mBeginState()
{}

void tPlayerNPCFreighterBaseState::mEndState()
{}

void tPlayerNPCFreighterBaseState::mOnCapture( tShipInfo* ship )
{
	int32		gridX = 0 , gridY = 0;
	tTeamInfo*	planetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNPC1Team ) );
	tTeamInfo*	nonISCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNonISCTeam ) );
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( planetTeam && nonISCTeam && playerTeam );
	if ( ( !planetTeam ) || ( !nonISCTeam ) || ( !playerTeam ) )
		return;

	tShipInfo*	planet = planetTeam->mFindShipCustomID( tNPC1Team::kPlanet );

	if ( ship->mGetCustomID() == fChildActor->mGetCustomID() )
	{
		fChildActor->mSetOwnedEnemy( !fChildActor->mOwnedEnemy() );

		//
		//	If the enemy currently has the freighter.
		//
		if ( fChildActor->mOwnedEnemy() )
		{
			playerTeam->mGotoCommState( ship->mGetShipID(), tPlayerNPCFreighter::kCommState2 );
			fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );

			//
			//	If the Non-ISC team captured the prison ship, then send the Non-ISC team to kill
			//	the player ship.
			//
			if ( ship->mGetCustomID() == tFreighterTeam::kPrisonFreighter )
			{
				nonISCTeam->mGotoState( typeid( tNonISCTeamKillState ) );
			}
		}
		//
		//	Otherwise, if the player owns the freighter.
		//
		else
		{
			playerTeam->mGotoCommState( ship->mGetShipID(), tPlayerNPCFreighter::kCommState1 );

			//
			//	Make the freighters move towards the planet.
			//
			if ( planet )
			{
				planet->mGetGridPosition( &gridX , &gridY );
				fChildActor->mSetFinalDestination( gridX , gridY );
				fChildActor->mTrackTacticalDistance( 25.0 , gridX , gridY );
			}

			//
			//	If the player recaptured the prison ship, then the Non-ISC team should concentrate
			//	on reclaiming it yet again.
			//
			if ( ship->mGetCustomID() == tFreighterTeam::kPrisonFreighter )
			{
				nonISCTeam->mGotoState( typeid( tNonISCTeamBaseState ) );
			}
		}
	}
}

void tPlayerNPCFreighterBaseState::mAtDistance( tShipInfo* ship )
{
	//
	//	Since a ship has reached the planet, just stall the ships in their tracks.
	//
	if ( ship->mGetCustomID() == fChildActor->mGetCustomID() )
	{
		ship->mSetShipMaxSpeed( 0 );
	}
}

void tPlayerNPCFreighterBaseState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* nonISCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNonISCTeam ) );
	Assert( nonISCTeam );
	if ( !nonISCTeam )
		return;

	if ( ship->mGetCustomID() == fChildActor->mGetCustomID() )
	{
		if ( ship->mGetCustomID() == tFreighterTeam::kPrisonFreighter )
		{
			nonISCTeam->mGotoState( typeid( tNonISCTeamKillState ) );
		}
	}
}