//	<Name>	PlayerLightCruiserCL.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISC_3IronCage.h"
#include "MissionText.h"
#include "PlayerNPCLightCruiser.h"
#include "PlayerNPCLightCruiserBaseState.h"
#include "PlayerNPCLightCruiserInterceptState.h"
#include "TeamInfo.h"

tClassAllocator<tPlayerNPCLightCruiser> gPlayerNPCLightCruiserAllocator;

void tPlayerNPCLightCruiser::mSetupState()
{
	mRegisterState( new tPlayerNPCLightCruiserBaseState() );
	mRegisterState( new tPlayerNPCLightCruiserInterceptState() );

	mGotoState( typeid( tPlayerNPCLightCruiserBaseState ) );
}

void tPlayerNPCLightCruiser::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally3_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState1 , kCommState6 , mGetShipID() , k_INTERCEPTENEMY_Ally_btn , k_INTERCEPTENEMY_Ally3_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally4_1_msg , k_HAIL_Ally4_3_msg );
	playerTeam->mRegisterCommMessage( kCommState2 , kCommState7 , mGetShipID() , k_INTERCEPTENEMY_Ally_btn , k_INTERCEPTENEMY_Ally3_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState3 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally5_1_msg , k_HAIL_Ally4_3_msg );
	playerTeam->mRegisterCommMessage( kCommState3 , kCommState8 , mGetShipID() , k_INTERCEPTENEMY_Ally_btn , k_INTERCEPTENEMY_Ally3_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState4 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally6_1_msg , k_HAIL_Ally6_3_msg );
	playerTeam->mRegisterCommMessage( kCommState4 , kNoStateChange , mGetShipID() , k_INTERCEPTENEMY_Ally_btn , k_INTERCEPTENEMY_Ally2_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState5 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally6_1_msg , k_HAIL_Ally6_3_msg );
	playerTeam->mRegisterCommMessage( kCommState5 , kNoStateChange , mGetShipID() , k_INTERCEPTENEMY_Ally_btn , k_INTERCEPTENEMY_Ally1_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState6 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally3_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState7 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally4_1_msg , k_HAIL_Ally4_3_msg );

	playerTeam->mRegisterCommMessage( kCommState8 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally5_1_msg , k_HAIL_Ally5_3_msg );

	playerTeam->mRegisterCommMessage( kCommState9 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally6_1_msg , k_HAIL_Ally6_1_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}

void tPlayerNPCLightCruiser::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}

