//	<Name>	PlayerLightCruiserCLBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "FreighterTeam.h"
#include "ISC_3IronCage.h"
#include "MissionText.h"
#include "NonISCTeam.h"
#include "PlayerNPCLightCruiser.h"
#include "PlayerNPCLightCruiserBaseState.h"
#include "PlayerNPCLightCruiserInterceptState.h"
#include "PlayerNPCTeam.h"
#include "TeamInfo.h"

void tPlayerNPCLightCruiserBaseState::mBeginState()
{
	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kFreighterTeam ) );
	Assert( freighterTeam );
	if ( !freighterTeam )
		return;

	tShipIterator	prisonShip = freighterTeam->mGetFirstShip();
	tShipIterator	supplyShip = freighterTeam->mGetFirstShip();
	tShipCustomIDEval	b( tFreighterTeam::kPrisonFreighter ), c( tFreighterTeam::kSupplyFreighter );
	tShipInPlayEval		x, y;
	prisonShip.mAddEvaluator( &b );		prisonShip.mAddEvaluator( &x );
	supplyShip.mAddEvaluator( &c );		supplyShip.mAddEvaluator( &y );

	if ( ( *supplyShip != NULL ) && ( *prisonShip != NULL ) )
	{
		fChildActor->mDefendEntity( *prisonShip, 50.0, 25.0, kAbsolutePriority );
	}
}

void tPlayerNPCLightCruiserBaseState::mEndState()
{}

void tPlayerNPCLightCruiserBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if ( fChildActor->mGetCustomID() == damagedShip->mGetCustomID() )
	{
		tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
		Assert( playerTeam );
		if ( !playerTeam )
			return;

		float hullIntegrity = fChildActor->mGetDamagePercent();

		if ( hullIntegrity == 0.0f )
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState1 );
		}
		else if ( hullIntegrity < 30.0f )
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState2 );
		}
		else if ( hullIntegrity < 60.0f )
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState3 );
		}
		else if ( hullIntegrity < 80.0f )
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState4 );
		}
		else
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState5 );
		}
	}
}

void tPlayerNPCLightCruiserBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* nonISCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNonISCTeam ) );
	Assert( nonISCTeam );
	if ( !nonISCTeam )
		return;
	tShipIterator	aTargetShip = nonISCTeam->mGetFirstShip();

	tShipInPlayEval	inPlayEval;
	aTargetShip.mAddEvaluator( &inPlayEval );

	switch ( buttonID )
	{
	case k_HAIL_Ally_btn:
		{}
		break;

	case k_INTERCEPTENEMY_Ally_btn:
		{
			if ( *aTargetShip != NULL )
			{
				if ( fChildActor->mGetDamagePercent() < 60.0f )
				{
					fChildActor->mGotoState( typeid( tPlayerNPCLightCruiserInterceptState ) );
				}
			}
			else
			{
				if ( fChildActor->mGetDamagePercent() < 80.0f )
				{
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kCustom4_msg );
				}
			}
		}
		break;
	}
}
