//	<Name>	PlayerLightCruiserCLInterceptState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISC_3IronCage.h"
#include "PlayerNPCLightCruiserInterceptState.h"
#include "TeamInfo.h"

void tPlayerNPCLightCruiserInterceptState::mBeginState()
{
	tTeamInfo* nonISCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNonISCTeam ) );
	Assert( nonISCTeam );
	if ( !nonISCTeam )
		return;

	tShipIterator targetShip = nonISCTeam->mGetFirstShip();
	Assert( *targetShip != NULL );

	tShipInPlayEval	inPlayEval;
	targetShip.mAddEvaluator( &inPlayEval );

	if ( *targetShip != NULL )
	{
		fChildActor->mSetShipTarget( *targetShip , kAbsolutePriority );
	}
}

void tPlayerNPCLightCruiserInterceptState::mEndState()
{}

void tPlayerNPCLightCruiserInterceptState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if ( fChildActor->mGetCustomID() == damagedShip->mGetCustomID() )
	{
		tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
		Assert( playerTeam );
		if ( !playerTeam )
			return;

		float hullIntegrity = fChildActor->mGetDamagePercent();

		if ( hullIntegrity == 0.0f )
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState6 );
		}
		else if ( hullIntegrity < 30.0f )
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState7 );
		}
		else if ( hullIntegrity < 60.0f )
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState8 );
		}
		else
		{
			playerTeam->mGotoCommState( damagedShip->mGetShipID(), tPlayerNPCLightCruiser::kCommState9 );
		}
	}
}
