//	<Name>	PlayerTeamBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISC_3IronCage.h"
#include "MissionText.h"
#include "PlayerTeamBaseState.h"
#include "ShipList_API.h"

void tPlayerTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if ( deepScanOn )
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kScanning_msg );
}

void tPlayerTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tPlayerTeamBaseState::mEndState()
{}

void tPlayerTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tPlayerTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tPlayerTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}