//	<Name>	DryDockTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "ShipScriptDescription.h"
#include "DryDockTeam.h"
#include "DryDockTeamShip.h"
#include "ShipList_API.h"
#include "DryDockTeamInitialState.h"

tClassAllocator<tDryDockTeam> gDryDockTeamAllocator;

void tDryDockTeam::mSetupState()
{
	mRegisterState( new tDryDockTeamInitialState( ) );
	mGotoState( typeid( tDryDockTeamInitialState ) );
}

void tDryDockTeam::mSetupCommState()
{
}


void tDryDockTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tDryDockTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        // FRDs
        std::list< eEnhancedClassTypes >  FRDClassTypeList;
        FRDClassTypeList.push_back(kEClassFleetRepairDock);
        fShiplistCount = sl.Subset(FRDClassTypeList, true);
        gST.mDebug_fprintf("subset for FRD class filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        Ship s1, s2, s3, s4;
        if (sl.size() > 0) {
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            sl.SelectRandomShip(s2);
            gST.mDebug_fprintf("s2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s2.shipCode.c_str(), s2.bpv, s2.yearFirstAvail, s2.yearLastAvail);
            gST.mTrackOrions( s2 );

            sl.SelectRandomShip(s3);
            gST.mDebug_fprintf("s3 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s3.shipCode.c_str(), s3.bpv, s3.yearFirstAvail, s3.yearLastAvail);
            gST.mTrackOrions( s3 );

            sl.SelectRandomShip(s4);
            gST.mDebug_fprintf("s4 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s4.shipCode.c_str(), s4.bpv, s4.yearFirstAvail, s4.yearLastAvail);
            gST.mTrackOrions( s4 );

			mCreateShip(	typeid( tDryDockTeamShip ), s1.shipCode.c_str(), kStartPosition_J, kNoMetaShipID,
							-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			mCreateShip(	typeid( tDryDockTeamShip ), s2.shipCode.c_str(), kStartPosition_K, kNoMetaShipID,
							-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			mCreateShip(	typeid( tDryDockTeamShip ), s3.shipCode.c_str(), kStartPosition_L, kNoMetaShipID,
							-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			mCreateShip(	typeid( tDryDockTeamShip ), s4.shipCode.c_str(), kStartPosition_M, kNoMetaShipID,
							-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tDryDockTeam::mCreateShipsForTeam\n");
}


void tDryDockTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tDryDockTeam::mOldCreateShipsForTeam\n");

	//******************************All of these need to be changed to ISC FRDS******************************!!!!!!!!!!!
	mCreateShip(	typeid( tDryDockTeamShip ), "I-FRD", kStartPosition_J, kNoMetaShipID,
					-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	mCreateShip(	typeid( tDryDockTeamShip ), "I-FRD", kStartPosition_K, kNoMetaShipID,
					-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	mCreateShip(	typeid( tDryDockTeamShip ), "I-FRD", kStartPosition_L, kNoMetaShipID,
					-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	mCreateShip(	typeid( tDryDockTeamShip ), "I-FRD", kStartPosition_M, kNoMetaShipID,
					-1, 0, 0, -1, -1, NULL, kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tDryDockTeam::mOldCreateShipsForTeam\n");
}

void tDryDockTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tDryDockTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tDryDockTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}
