//	<Name>	DryDockTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_4Resolve.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"
#include "MissionText.h"
#include "DryDockTeam.h"
#include "DryDockTeamInitialState.h"
#include "PlayerTeam.h"
#include "ShipList_API.h"

tDryDockTeamInitialState::tDryDockTeamInitialState( )
{
}

void tDryDockTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tDryDockTeamInitialState::mEndState()
{
}

void tDryDockTeamInitialState::mOnTimedInterval( int32 timerID )	
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDryDockTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tDryDockTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);
		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tDryDockTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}