//	<Name>	EnemyTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_4Resolve.h"
#include "MissionText.h"
#include "EnemyTeamShip.h"
#include "EnemyTeamShipInitialState.h"

tClassAllocator<tEnemyTeamShip> gEnemyTeamShipAllocator;

void tEnemyTeamShip::mSetupState()
{
	mRegisterState( new tEnemyTeamShipInitialState( ) );
	mGotoState( typeid( tEnemyTeamShipInitialState ) );
}

void tEnemyTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	playerTeam->mRegisterCommMessage( kHailOrDemandCommState, kNoStateChange, mGetShipID(), kHail_btn, kHail1_msg, kHail4_msg );
	playerTeam->mRegisterCommMessage( kHailOrDemandCommState, kNoStateChange, mGetShipID(), kDemand_btn, kDemandEarly_msg );

	playerTeam->mRegisterCommMessage( kLateHailorDemandCommState, kNoStateChange, mGetShipID(), kHail_btn, kHail1_msg, kHail4_msg );
	playerTeam->mRegisterCommMessage( kLateHailorDemandCommState, kNoStateChange, mGetShipID(), kDemand_btn, kDemandLate_msg );

	playerTeam->mGotoCommState( static_cast< eTeamID>( mGetShipID() ), kHailOrDemandCommState );
}
void tEnemyTeamShip::mSetupShip()
{
	tTeamInfo* dryDockTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDryDockTeam ) );
	tShipIterator ship = dryDockTeam->mGetFirstShip();
	tShipInfo* dryDockTarget = *ship;

	mSetShipTarget( dryDockTarget, kAbsolutePriority );
	mSetShipCallbackEvents( kNotifyDamage );
}

