//	<Name>	EnemyTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_4Resolve.h"
#include "EnemyTeamShip.h"
#include "EnemyTeamShipInitialState.h"


#include "ScriptInterface.h"
#include "MissionInfo.h"
#include "TeamInfo.h"
#include "ShipList_API.h"


void tEnemyTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kSetTargetID, 2.0f );

    gST.mDebug_fprintf("--- Starting: tEnemyTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tEnemyTeamShipInitialState::mBeginState\n");
}

void tEnemyTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo* dryDockTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDryDockTeam ) );
	tShipIterator ship = dryDockTeam->mGetFirstShip();
	tShipInfo* dryDockTarget = *ship;

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	ship = playerTeam->mGetFirstShip();
	tShipInPlayEval inPlayEval;
	ship.mAddEvaluator( &inPlayEval );
	tShipInfo* playersShip = *ship;

	int32 	dice = fMissionInfo->mRandomInt32( 0, 4);
	if( timerID == kSetTargetID )
	{
		if( dice == 4 )
		{
			fChildActor->mSetShipTarget( playersShip, kMediumPriority );
			mSetTimedInterval( kTimerTurnsSet, kSetTargetID, 2.0f );
		}
		else
		{
			fChildActor->mSetShipTarget( dryDockTarget, kAbsolutePriority );
			mSetTimedInterval( kTimerTurnsSet, kSetTargetID, 2.0f );
		}
	}

	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tEnemyTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tEnemyTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tEnemyTeamShipInitialState::mOnDamagemOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* playerTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if( ( ( damagedShip->mGetShipID() ) == ( fChildActor->mGetShipID() ) ) 
		&& ( ( fChildActor->mGetDamagePercent() )  > 50.0 ) )
	{
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tEnemyTeamShip::kLateHailorDemandCommState );
	}
	else
	{
		fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	}
}

