//	<Name>	ExplosiveFreighterShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//


#include "ISC_4Resolve.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "MissionText.h"
#include "ExplosiveFreighterShip.h"
#include "ExplosiveFreighterShipInitialState.h"
#include "ShipList_API.h"


tExplosiveFreighterShipInitialState::tExplosiveFreighterShipInitialState( )
{
}

void tExplosiveFreighterShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tExplosiveFreighterShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tExplosiveFreighterShipInitialState::mBeginState\n");
}

void tExplosiveFreighterShipInitialState::mEndState()
{
}

void tExplosiveFreighterShipInitialState::mDoesShipBlowUP( tTeamInfo* teamID )
{
	int32 range;

	tShipIterator pship = teamID->mGetFirstShip();
	tShipInfo* ship = *pship;

	for( ship; ship != NULL; ship = *( ++pship ) )
	{
		range = fChildActor->mGetTacticalDistance( ship );
		if ( range < 13 )//15
		{
			ship->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0f, kFalse );
		}
		else if ( range < 22 )//*******************************************************************************8
		{
			ship->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.2f, kFalse );
		}
		else if( range < 30 )//**********************************************************************************
		{
			ship->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.5f, kFalse );//Needs to be adjusted once DamageSystem is fixed
		}
	}
}

void tExplosiveFreighterShipInitialState::mAtDestination( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	tTeamInfo* dryDockTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDryDockTeam ) );
//	tTeamInfo* legendaryCaptainTeam = fMissionInfo->mGetTeamHandle( kLegendaryCaptainTeam );
	tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );

	//Once at final destination the Freighter Blows up it's anti-matter bombs and destroys all ships in 15 range
	if( ship->mGetActorID() == fChildActor->mGetActorID() )
	{
		mDoesShipBlowUP( playerTeam );
		mDoesShipBlowUP( dryDockTeam );
//		mDoesShipBlowUP( legendaryCaptainTeam );
		mDoesShipBlowUP( enemyTeam );

		fChildActor->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0, kFalse );
	}

}

void tExplosiveFreighterShipInitialState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tExplosiveFreighterShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tExplosiveFreighterShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
