//	<Name>	ExplosiveFreighterTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "ShipScriptDescription.h"
#include "SFCAssert.h"
#include "ISC_4Resolve.h"
#include "ExplosiveFreighterTeam.h"
#include "ExplosiveFreighterShip.h"
#include "FreighterTeam.h"
#include "ShipList_API.h"


tClassAllocator<tExplosiveFreighterTeam> gExplosiveFreighterTeamAllocator;

void tExplosiveFreighterTeam::mSetupState()
{

}

void tExplosiveFreighterTeam::mSetupCommState()
{
}


void tExplosiveFreighterTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tExplosiveFreighterTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );


        std::list< eEnhancedClassTypes >  ClassTypeList;
        ClassTypeList.push_back(kEClassSmallFreighter);
        ClassTypeList.push_back(kEClassPriorityTransport);
        fShiplistCount = sl.Subset(ClassTypeList, true);
        gST.mDebug_fprintf("subset for small freighter classes filter completed. ships: %d\n", fShiplistCount);

		{
        std::list< eEnhancedRoles >  RolesList;
        RolesList.push_back(kCargo);
        fShiplistCount = sl.Subset(RolesList, true);
        gST.mDebug_fprintf("subset for cargo eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);
		}

		{
        std::list< eEnhancedRoles >  RolesList;
        RolesList.push_back(kQship);
        fShiplistCount = sl.Subset(RolesList, false);
        gST.mDebug_fprintf("filter out qships completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);
		}

        Ship s1;
        if (sl.size() > 0) {
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			tFreighterTeam* freighterTeam = dynamic_cast<tFreighterTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kFreighterTeam ) ) );
			Assert( freighterTeam );
			if( freighterTeam == NULL )
			{
				return;
			}

			int32 dice = freighterTeam->mGetDice();
			if( dice == 0 )
			{
				mCreateShip(	typeid( tExplosiveFreighterShip ), s1.shipCode.c_str(), kStartPosition_U, kNoMetaShipID,
								kExplosiveFreighterID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			}
			else if( dice == 1 )
			{
				mCreateShip(	typeid( tExplosiveFreighterShip ), s1.shipCode.c_str(), kStartPosition_V, kNoMetaShipID,
								kExplosiveFreighterID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			}
			else
			{
				mCreateShip(	typeid( tExplosiveFreighterShip ), s1.shipCode.c_str(), kStartPosition_T, kNoMetaShipID,
								kExplosiveFreighterID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			}

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tExplosiveFreighterTeam::mCreateShipsForTeam\n");
}


void tExplosiveFreighterTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tExplosiveFreighterTeam::mOldCreateShipsForTeam\n");

	tFreighterTeam* freighterTeam = dynamic_cast<tFreighterTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kFreighterTeam ) ) );
	Assert( freighterTeam );
	if( freighterTeam == NULL )
	{
		return;
	}
	
	int32 dice = freighterTeam->mGetDice();

	if( dice == 0 )
	{
		mCreateShip(	typeid( tExplosiveFreighterShip ), "I-FSPh", kStartPosition_U, kNoMetaShipID,
						kExplosiveFreighterID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( dice == 1 )
	{
		mCreateShip(	typeid( tExplosiveFreighterShip ), "I-FSPh", kStartPosition_V, kNoMetaShipID,
						kExplosiveFreighterID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else
	{
		mCreateShip(	typeid( tExplosiveFreighterShip ), "I-FSPh", kStartPosition_T, kNoMetaShipID,
						kExplosiveFreighterID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}

	gST.mDebug_fprintf("---- Finished: tExplosiveFreighterTeam::mOldCreateShipsForTeam\n");
}


void tExplosiveFreighterTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tExplosiveFreighterTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tExplosiveFreighterTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}