//	<Name>	FreighterTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "ShipScriptDescription.h"
#include "FreighterTeam.h"
#include "FreighterTeamShip.h"
#include "ExplosiveFreighterShip.h"
#include "ShipList_API.h"

tClassAllocator<tFreighterTeam> gFreighterTeamAllocator;

void tFreighterTeam::mSetupState()
{

}

void tFreighterTeam::mSetupCommState()
{
}


void tFreighterTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tFreighterTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );


        std::list< eEnhancedClassTypes >  ClassTypeList;
        ClassTypeList.push_back(kEClassSmallFreighter);
        ClassTypeList.push_back(kEClassPriorityTransport);
        fShiplistCount = sl.Subset(ClassTypeList, true);
        gST.mDebug_fprintf("subset for small freighter classes filter completed. ships: %d\n", fShiplistCount);

		{
        std::list< eEnhancedRoles >  RolesList;
        RolesList.push_back(kCargo);
        fShiplistCount = sl.Subset(RolesList, true);
        gST.mDebug_fprintf("subset for cargo eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);
		}

		{
        std::list< eEnhancedRoles >  RolesList;
        RolesList.push_back(kQship);
        fShiplistCount = sl.Subset(RolesList, false);
        gST.mDebug_fprintf("filter out qships completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);
		}

        Ship s1, s2;
        if (sl.size() > 0) {
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            sl.SelectRandomShip(s2);
            gST.mDebug_fprintf("s2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s2.shipCode.c_str(), s2.bpv, s2.yearFirstAvail, s2.yearLastAvail);
            gST.mTrackOrions( s2 );


			fDice = fMissionInfo->mRandomInt32( 0, 2);
			if( fDice == 0 )
			{
				mCreateShip(	typeid( tFreighterTeamShip ), s1.shipCode.c_str(), kStartPosition_T, kNoMetaShipID,
								kFreighterOneID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				mCreateShip(	typeid( tFreighterTeamShip ), s2.shipCode.c_str(), kStartPosition_V, kNoMetaShipID,
								kFreighterTwoID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			}
			else if( fDice == 1 )
			{
				mCreateShip(	typeid( tFreighterTeamShip ), s1.shipCode.c_str(), kStartPosition_T, kNoMetaShipID,
								kFreighterOneID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				mCreateShip(	typeid( tFreighterTeamShip ), s2.shipCode.c_str(), kStartPosition_U, kNoMetaShipID,
								kFreighterTwoID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			}
			else
			{
				mCreateShip(	typeid( tFreighterTeamShip ), s1.shipCode.c_str(), kStartPosition_U, kNoMetaShipID,
								kFreighterOneID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
				mCreateShip(	typeid( tFreighterTeamShip ), s2.shipCode.c_str(), kStartPosition_V, kNoMetaShipID,
								kFreighterTwoID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
			}

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tFreighterTeam::mCreateShipsForTeam\n");
}


void tFreighterTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tFreighterTeam::mOldCreateShipsForTeam\n");

	fDice = fMissionInfo->mRandomInt32( 0, 2);

	if( fDice == 0 )
	{
		mCreateShip(	typeid( tFreighterTeamShip ), "I-FSPh", kStartPosition_T, kNoMetaShipID,
						kFreighterOneID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
		mCreateShip(	typeid( tFreighterTeamShip ), "I-FSPh", kStartPosition_V, kNoMetaShipID,
						kFreighterTwoID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( fDice == 1 )
	{
		mCreateShip(	typeid( tFreighterTeamShip ), "I-FSPh", kStartPosition_T, kNoMetaShipID,
						kFreighterOneID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
		mCreateShip(	typeid( tFreighterTeamShip ), "I-FSPh", kStartPosition_U, kNoMetaShipID,
						kFreighterTwoID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else
	{
		mCreateShip(	typeid( tFreighterTeamShip ), "I-FSPh", kStartPosition_U, kNoMetaShipID,
						kFreighterOneID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
		mCreateShip(	typeid( tFreighterTeamShip ), "I-FSPh", kStartPosition_V, kNoMetaShipID,
						kFreighterTwoID, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}

	gST.mDebug_fprintf("---- Finished: tFreighterTeam::mOldCreateShipsForTeam\n");
}

int32 tFreighterTeam::mGetDice()
{
	return fDice;
}

void tFreighterTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tFreighterTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tFreighterTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}