//	<Name>	FreighterTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//


//#include "Uni_4Resolve.h"
//#include "ShipInfo.h"
//#include "ScriptInterface.h"

#include "MissionText.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipInitialState.h"
#include "ShipList_API.h"


tFreighterTeamShipInitialState::tFreighterTeamShipInitialState( )
{
}

void tFreighterTeamShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tFreighterTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tFreighterTeamShipInitialState::mBeginState\n");
}

void tFreighterTeamShipInitialState::mEndState()
{
}
void tFreighterTeamShipInitialState::mAtDestination( tShipInfo* ship )
{
	if( ship->mGetActorID() == fChildActor->mGetActorID() )
	{
		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
	}
}

void tFreighterTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tFreighterTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );

		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tFreighterTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
