//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "ISC_4Resolve.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamInitialState.h"
#include "MissionText.h"
#include "ShipList_API.h"


tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fRandomMessage = 0;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	int32 dice = fMissionInfo->mRandomInt32( 0, 7 );

	if( timerID == kChatterID )
	{
		switch( fRandomMessage )
		{
			case 0:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kSecurityChatter_msg );
			break;	
			case 1:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kEngineerChatter_msg );
			break;
			case 2:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kNavigationChatter_msg );
			break;
		}
		fRandomMessage++;
		if ( fRandomMessage < 2 )
		{
			mSetTimedInterval( kTimerSecondsSet, kChatterID, (18.0f + dice) );
		}
	}

	if( timerID == kStartingID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),   kStarting1_msg, kNonCommScriptMessage );
		mSetTimedInterval( kTimerSecondsSet, kStarting2ID, 15.0f );
	}

	if( timerID == kStarting2ID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kStarting2_msg );
		mSetTimedInterval( kTimerSecondsSet, kChatterID, (18.0f + dice) );
	}


	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tPlayerTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tPlayerTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}

}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* explosiveFreighterTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kExplosiveFreighterTeam ) );
	tShipIterator pship = explosiveFreighterTeam->mGetFirstShip();
	tShipInfo* explosiveFreighter = *pship;

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	Assert( playerTeam );
	if( playerTeam == NULL )
	{
		return;
	}

	if( explosiveFreighter 
	&&( ship->mGetShipID() == explosiveFreighter->mGetShipID() )
	&& !(	playerTeam->mGetfExplosiveFreighterScanned() ) )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kUnexpectedBOOM_msg, kScienceScriptMessage );		
	}
}


