//	<Name>	ResolveVictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ResolveVictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "ISC_4Resolve.h"
#include "ResolveVictory.h"
#include "MissionText.h"
#include "EnemyTeam.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
//#include "FreighterTeamShipReachedPlanetState.h"

              
tResolveVictoryState::tResolveVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tResolveVictory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{
	fEnemyShipsInPlay = 4;
	fDryDockShipsInPlay = 4;
	fPlayerShipsInPlay = 1;
}

void tResolveVictoryState::mBeginState()
{

}

void tResolveVictoryState::mEndState()
{
}

eVictoryLevels tResolveVictoryState::mCalcVictoryStatus( eTeamID ID )
{

	if( ( fEnemyShipsInPlay == 0 ) && ( fDryDockShipsInPlay == 4 )  )
	{
		return kAstoundingVictory;
	}
	else if( ( fEnemyShipsInPlay == 0 ) && ( fDryDockShipsInPlay > 2 ) )
	{
		return kVictory;
	}
	else if( ( fEnemyShipsInPlay == 0 ) && ( fDryDockShipsInPlay > 0 )  )
	{
		return kDefeat;
	}
	else
	{
		return kDevastatingDefeat;
	}




}
int32 tResolveVictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = teamID->mShipsRemainingInPlay();

	return teamShipsInPlay;
}
void tResolveVictoryState::mCheckAllTeams( tShipInfo* ship )
{
	eRaceName  playerRace;
	tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
	tTeamInfo* dryDockTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDryDockTeam ) );
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	Assert( playerTeam );

	playerRace = playerTeam->mGetRace();


	if( ship->mGetOriginalTeam() == kEnemyTeam )
	{
		fEnemyShipsInPlay = mShipsInPlay( enemyTeam );
	}
	else if( ship->mGetOriginalTeam() == kDryDockTeam )
	{
		fDryDockShipsInPlay = mShipsInPlay( dryDockTeam );
	}
	else if( ship->mGetOriginalTeam() == ( playerTeam->mGetTeam() ) )
	{
		fPlayerShipsInPlay = mShipsInPlay( playerTeam );
	}
	if( fEnemyShipsInPlay == 0 )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );
	}
	if( fPlayerShipsInPlay == 0 )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerDestroyed );
	}

}
void tResolveVictoryState::mOnDeath( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}
void tResolveVictoryState::mOnCapture( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	mCheckAllTeams( ship );

	if( ( ship->mGetTeam() ) == ( playerTeam->mGetTeam() ) )
	{
		mAddToBonusPrestige( 30 );
	}
}

void tResolveVictoryState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if ( ( ship->mGetOriginalTeam() ) == ( playerTeam->mGetTeam() ) ) 
	{
		fPlayerShipsInPlay = mShipsInPlay( playerTeam );

		if( fPlayerShipsInPlay == 0 )
		{
			if( fEnemyShipsInPlay == 0 )
			{
				gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );
			}
			else
			{
				gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
			}
		}
	}

}
void tResolveVictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{

}