//	<Name>	ResolveVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ResolveVictoryState_h )
#define ResolveVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "ResolveVictory.h"

class tResolveVictoryState : public tChildActorVictoryState<tResolveVictory>
{
public:
   enum eTimeIDs
   {
		kCheckDistanceID,
		kWaitedToLongID,
		kJobDoneID,
		kDeepScanONID,
		kEnemyArrivalID,
		kLastEnemyArrivalID,
		kSetTargetID,
		kStartingID,
		kStarting2ID,
		kChatterID,
   };

   tResolveVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );

	virtual void mCheckAllTeams( tShipInfo* ship );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );

protected:

	int32 fEnemyShipsInPlay;
	int32 fDryDockShipsInPlay;
	int32 fPlayerShipsInPlay;

};

#endif

