/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"

tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

tBaseVictory::tBaseVictory( ) :
	fDeserted ( false ) ,
	fApproachWarning ( false ) ,
	fISCDefensePlatformsDestroyed ( 0 ) ,
	fCruisersDestroyed ( 0 )
{}

tBaseVictory::tBaseVictory( tTeamInfo* team ) : tVictoryCondition( team ),
	fDeserted ( false ) ,
	fApproachWarning ( false ) ,
	fISCDefensePlatformsDestroyed ( 0 ) ,
	fCruisersDestroyed ( 0 )
{}

void tBaseVictory::mSetupState()
{
	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( 300, 225, 75, 0, -75 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );	
}

//
//	Accessors.
//
bool tBaseVictory::mDeserted( void )
{
	return fDeserted;
}
bool tBaseVictory::mApproachWarning( void )
{
	return fApproachWarning;
}
int32 tBaseVictory::mISCDefensePlatformsDestroyed( void )
{
	return fISCDefensePlatformsDestroyed;
}
int32 tBaseVictory::mCruisersDestroyed( void )
{
	return fCruisersDestroyed;
}

//
//	Modifiers.
//
void tBaseVictory::mSetDeserted( bool x )
{
	fDeserted = x;
}
void tBaseVictory::mSetApproachWarning( bool x )
{
	fApproachWarning = x;
}
void tBaseVictory::mIncreaseISCDefensePlatformsDestroyed( void )
{
	fISCDefensePlatformsDestroyed++;
}
void tBaseVictory::mIncreaseCruisersDestroyed( void )
{
	fCruisersDestroyed++;
}
