/********************************************************************************************************\

	File Name:	Cruiser4.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Cruiser4.h"
#include "Cruiser4BaseState.h"
#include "ISC_5Accuse.h"
#include "MissionText.h"
#include "NPCTeam1.h"
#include "TeamInfo.h"


tClassAllocator<tCruiser4> gCruiser4Allocator;

tCruiser4::tCruiser4() :
	fSaboteurCaptured ( false ),
	fInstruction1 ( 0 ),
	fInstruction2 ( 0 )
{}

void tCruiser4::mSetupState()
{
	mRegisterState( new tCruiser4BaseState() );

	mGotoState( typeid( tCruiser4BaseState ) );
}

void tCruiser4::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	while ( ( fInstruction2 = fMissionInfo->mRandomInt32( 0, 3 ) ) == ( fInstruction1 = fMissionInfo->mRandomInt32( 0, 3 ) ) )
		;	//	do nothing

	//
	//	Redundant, but easier to understand.
	//
	TextMessages lStates[4][2] =
	{
		k_CREATEDISSENSION_Cruiser_btn, k_CREATEDISSENSION_Cruiser1_msg,
		k_DROPSHIELDS_Cruiser_btn, k_DROPSHIELDS_Cruiser1_msg,
		k_CRIPPLEWEAPONS_Cruiser_btn, k_CRIPPLEWEAPONS_Cruiser1_msg,
		k_SABOTAGEENGINES_Cruiser_btn, k_SABOTAGEENGINES_Cruiser1_msg,
	};

	playerTeam->mRegisterCommMessage( kBeforeCapturedCommState , kBlankCommState1 , mGetShipID() , lStates[fInstruction1][0] , lStates[fInstruction1][1] , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kBeforeCapturedCommState , kBlankCommState2 , mGetShipID() , lStates[fInstruction2][0] , lStates[fInstruction2][1] , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kAfterCapturedCommState , kNoStateChange , mGetShipID() , k_HAIL_Cruiser_btn , k_HAIL_Cruiser_msg , kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kBeforeCapturedCommState );
}

void tCruiser4::mSetupShip()
{
	int32		gridX = 0 , gridY = 0;
	tTeamInfo*	planetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNPCTeam1 ) );
	Assert( planetTeam );
	if ( !planetTeam )
		return;

	tShipInfo*	planet = planetTeam->mFindShipCustomID( tNPCTeam1::kPlanet );

	//
	//	Make the freighters move towards the planet.
	//
	if ( planet )
	{
		planet->mGetGridPosition( &gridX , &gridY );
		mSetFinalDestination( gridX , gridY );
		mTrackTacticalDistance( 25.0 , gridX , gridY );
	}
	mSetShipMaxSpeed( 7 );
}

bool tCruiser4::mSaboteurCaptured( void )
{
	return fSaboteurCaptured;
}
int32 tCruiser4::mInstruction1( void )
{
	return fInstruction1;
}
int32 tCruiser4::mInstruction2( void )
{
	return fInstruction2;
}

void tCruiser4::mSetSaboteurCaptured( bool x )
{
	fSaboteurCaptured = x;
}
void tCruiser4::mSetInstruction1( int32 x )
{
	fInstruction1 = x;
}
void tCruiser4::mSetInstruction2( int32 x )
{
	fInstruction2 = x;
}