/********************************************************************************************************\

	File Name:	Cruiser6BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Cruiser6BaseState.h"
#include "EnemyTeam1.h"
#include "EnemyTeam2.h"
#include "ISC_5Accuse.h"
#include "MissionText.h"
#include "TeamInfo.h"


void tCruiser6BaseState::mBeginState()
{}
void tCruiser6BaseState::mEndState()
{}

void tCruiser6BaseState::mOnDeath( tShipInfo* ship )
{}
void tCruiser6BaseState::mOnCapture( tShipInfo* ship )
{}
void tCruiser6BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCruiser6BaseState::mAtDistance( tShipInfo* ship )
{}
void tCruiser6BaseState::mAtDestination( tShipInfo* ship )
{}
void tCruiser6BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	if ( !targetShip )
		return;

	if ( targetShip->mGetCustomID() == fChildActor->mGetCustomID() )
	{
		tTeamInfo*	team1 = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kEnemyTeam1 ) );
		tTeamInfo*	team2 = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kEnemyTeam2 ) );

		switch ( buttonID )
		{
		case k_CREATEDISSENSION_Cruiser_btn:
			{
				mChangeAI( k_CREATEDISSENSION_Cruiser_btn, team2->mFindShipCustomID( tEnemyTeam2::kCruiser6 ), team1 );
			}
			break;

		case k_DROPSHIELDS_Cruiser_btn:
			{
				mChangeAI( k_DROPSHIELDS_Cruiser_btn, team2->mFindShipCustomID( tEnemyTeam2::kCruiser6 ), team1 );
			}
			break;

		case k_CRIPPLEWEAPONS_Cruiser_btn:
			{
				mChangeAI( k_CRIPPLEWEAPONS_Cruiser_btn, team2->mFindShipCustomID( tEnemyTeam2::kCruiser6 ), team1 );
			}
			break;

		case k_SABOTAGEENGINES_Cruiser_btn:
			{
				mChangeAI( k_SABOTAGEENGINES_Cruiser_btn, team2->mFindShipCustomID( tEnemyTeam2::kCruiser6 ), team1 );
			}
			break;
		}
	}
}
void tCruiser6BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCruiser6BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCruiser6BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCruiser6BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCruiser6BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCruiser6BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCruiser6BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCruiser6BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCruiser6BaseState::mOnFlashingButtonPressed()
{}
void tCruiser6BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCruiser6BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCruiser6BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCruiser6BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCruiser6BaseState::mOnHostChanged()
{}
void tCruiser6BaseState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo*		playerNPCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerNPCTeam ) );
	tTeamInfo*		playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tShipIterator	platform = playerTeam->mGetFirstShip();	//	new default target
	tShipInPlayEval	inPlayEval;
	platform.mAddEvaluator( &inPlayEval );

	if ( timerID == tCruiser6::kJudasTimerID )
	{
		tShipIterator	tempShip = playerNPCTeam->mGetFirstShip();
		tShipInPlayEval	inPlayEval;
		tempShip.mAddEvaluator( &inPlayEval );

		if ( *tempShip != NULL )
		{
			fChildActor->mSetShipTarget( *tempShip, kAbsolutePriority );
		}
		else
		{
			fChildActor->mSetShipTarget( *( playerTeam->mGetFirstShip() ), kMediumPriority );
		}

		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kCustom2_msg );
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tCruiser6::kAfterCapturedCommState );
	}
}
void tCruiser6BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCruiser6BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

void tCruiser6BaseState::mChangeAI( int32 buttonID , tShipInfo* subject , tTeamInfo* object )
{
	tShipIterator	newTargetShip = object->mGetFirstShip();
	tShipInPlayEval	inPlayEval;
	newTargetShip.mAddEvaluator( &inPlayEval );

	switch ( buttonID )
	{
	case k_CREATEDISSENSION_Cruiser_btn:
		{
			if ( *newTargetShip != NULL )
			{
				subject->mSetShipTarget( *newTargetShip, kAbsolutePriority );
				fChildActor->mSetTimedInterval( kTimerTurnsSet, tCruiser6::kJudasTimerID, 5.0f );
			}
		}
		break;

	case k_DROPSHIELDS_Cruiser_btn:
		{
			subject->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
		}
		break;

	case k_CRIPPLEWEAPONS_Cruiser_btn:
		{
			subject->mSetSystemHealthFromOrig( kAllWeaponsHardPoint, 0.0f );
		}
		break;

	case k_SABOTAGEENGINES_Cruiser_btn:
		{
			subject->mSetSystemHealthFromOrig( kAllEnginesHardPoint, 0.0f );
		}
		break;
	}
}