/********************************************************************************************************\

	File Name:	EnemyTeam2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyTeam2BaseState.h"
#include "ISC_5Accuse.h"
#include "ShipList_API.h"


void tEnemyTeam2BaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tEnemyTeam2BaseState::mEndState()
{}

void tEnemyTeam2BaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyTeam2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyTeam2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyTeam2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyTeam2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyTeam2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyTeam2BaseState::mOnFlashingButtonPressed()
{}
void tEnemyTeam2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyTeam2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyTeam2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tEnemyTeam2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tEnemyTeam2BaseState::mOnHostChanged()
{}

void tEnemyTeam2BaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam2 ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tEnemyTeam2BaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tEnemyTeam2BaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tEnemyTeam2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyTeam2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}
