/********************************************************************************************************\

	File Name:	NPCTeam1BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "NPCTeam1BaseState.h"
#include "ISC_5Accuse.h"
#include "ShipList_API.h"


void tNPCTeam1BaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tNPCTeam1BaseState::mEndState()
{}

void tNPCTeam1BaseState::mOnDeath( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mOnCapture( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mAtDistance( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mAtDestination( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tNPCTeam1BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tNPCTeam1BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tNPCTeam1BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tNPCTeam1BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPCTeam1BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPCTeam1BaseState::mOnFlashingButtonPressed()
{}
void tNPCTeam1BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tNPCTeam1BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tNPCTeam1BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tNPCTeam1BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tNPCTeam1BaseState::mOnHostChanged()
{}

void tNPCTeam1BaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kNPCTeam1 ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tNPCTeam1BaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tNPCTeam1BaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tNPCTeam1BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tNPCTeam1BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}
