/********************************************************************************************************\

	File Name:	PlayerNPCTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerNPCTeamBaseState.h"
#include "ISC_5Accuse.h"
#include "ShipList_API.h"


void tPlayerNPCTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tPlayerNPCTeamBaseState::mEndState()
{}

void tPlayerNPCTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlayerNPCTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerNPCTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerNPCTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerNPCTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPCTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPCTeamBaseState::mOnFlashingButtonPressed()
{}
void tPlayerNPCTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerNPCTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlayerNPCTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPlayerNPCTeamBaseState::mOnHostChanged()
{}

void tPlayerNPCTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerNPCTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tPlayerNPCTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tPlayerNPCTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tPlayerNPCTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerNPCTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}
