/********************************************************************************************************\

	File Name:	AllianceShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllianceShipBaseState.h"
#include "ShipList_API.h"
#include "ISC_6Immunity.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAllianceShipBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tAllianceShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tAllianceShipBaseState::mBeginState\n");
}

void tAllianceShipBaseState::mEndState()
{}

void tAllianceShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tAllianceShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tAllianceShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAllianceShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tAllianceShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tAllianceShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAllianceShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAllianceShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAllianceShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAllianceShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAllianceShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAllianceShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAllianceShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllianceShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllianceShipBaseState::mOnFlashingButtonPressed()
{}
void tAllianceShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAllianceShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAllianceShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tAllianceShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAllianceShipBaseState::mOnHostChanged()
{}

void tAllianceShipBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tAllianceShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tAllianceShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tAllianceShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAllianceShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


