/********************************************************************************************************\

	File Name:	AllianceShipGeneratedBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllianceShipGeneratedAfterState.h"
#include "AllianceShipGeneratedBaseState.h"
#include "ShipList_API.h"
#include "ISC_6Immunity.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAllianceShipGeneratedBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tAllianceShipGeneratedBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tAllianceShipGeneratedBaseState::mBeginState\n");
}

void tAllianceShipGeneratedBaseState::mEndState()
{}

void tAllianceShipGeneratedBaseState::mOnDeath( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mOnCapture( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mAtDistance( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mAtDestination( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAllianceShipGeneratedBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAllianceShipGeneratedBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAllianceShipGeneratedBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAllianceShipGeneratedBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllianceShipGeneratedBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllianceShipGeneratedBaseState::mOnFlashingButtonPressed()
{}
void tAllianceShipGeneratedBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAllianceShipGeneratedBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAllianceShipGeneratedBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tAllianceShipGeneratedBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAllianceShipGeneratedBaseState::mOnHostChanged()
{}

void tAllianceShipGeneratedBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tAllianceShipGeneratedBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);

		gST.mDebug_fprintf("--- Finished: tAllianceShipGeneratedBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tAllianceShipGeneratedBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAllianceShipGeneratedBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


