/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"


tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tBaseVictory::tBaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tBaseVictory::tBaseVictory( ) :	fBaseCaptured( false ), fBaseDestroyed( false ),
								fShipsDefeated( 0 ), fShipsDestroyed( 0 )
{}
tBaseVictory::tBaseVictory( tTeamInfo* team) :	tVictoryCondition( team ),
												fBaseCaptured( false ), fBaseDestroyed( false ),
												fShipsDefeated( 0 ), fShipsDestroyed( 0 )
{}
/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tBaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tBaseVictory::mSetupState()
{
	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( 300, 225, 75, 0, -75 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );	

	mSetTimedInterval( kTimerSecondsSet, kRandChatID, 20.0f );
	mSetTimedInterval( kTimerTurnsSet, kReinforcementsTimerID, 15.0f );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives.

	bool
	tBaseVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tBaseVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/
//
//	Accessors.
//
bool tBaseVictory::mBaseCaptured( void )
{
	return fBaseCaptured;
}
bool tBaseVictory::mBaseDestroyed( void )
{
	return fBaseDestroyed;
}
int32 tBaseVictory::mShipsDefeated( void )
{
	return fShipsDefeated;
}
int32 tBaseVictory::mShipsDestroyed( void )
{
	return fShipsDestroyed;
}

//
//	Modifiers.
//
void tBaseVictory::mSetBaseCaptured( bool x )
{
	fBaseCaptured = x;
}
void tBaseVictory::mSetBaseDestroyed( bool x )
{
	fBaseDestroyed = x;
}
void tBaseVictory::mIncreaseShipsDefeated( void )
{
	fShipsDefeated++;
}
void tBaseVictory::mIncreaseShipsDestroyed( void )
{
	fShipsDestroyed++;
}

