/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	enum eTimerIDs
	{
		kRandChatID = 1000,
		kReinforcementsTimerID,
	};

	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/
	bool	mBaseCaptured( void );
	bool	mBaseDestroyed( void );
	int32	mShipsDefeated( void );
	int32	mShipsDestroyed( void );

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/
	void	mSetBaseCaptured( bool x );
	void	mSetBaseDestroyed( bool x );
	void	mIncreaseShipsDefeated( void );
	void	mIncreaseShipsDestroyed( void );

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	bool	fBaseCaptured;
	bool	fBaseDestroyed;
	int32	fShipsDefeated;
	int32	fShipsDestroyed;

};

#endif



