//	<Name>	Starbase.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISC_6Immunity.h"
#include "MissionText.h"
#include "Starbase.h"
#include "StarbaseBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tStarbase> gStarbaseAllocator;

void tStarbase::mSetupState()
{
	mRegisterState( new tStarbaseBaseState() );
	mGotoState( typeid( tStarbaseBaseState ) );
}
void tStarbase::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kBaseCommState, kNoStateChange, mGetShipID(), k_HAIL_btn, k_HAIL_msg, kNoRandomMsg );
	playerTeam->mGotoCommState( mGetShipID(), kBaseCommState );
}
void tStarbase::mSetupShip()
{
	//
	//	Shut down the starbase for a little while.
	//
	mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
	mSetSystemHealthFromOrig( kAllEnginesHardPoint, 0.0f );
	mSetSystemHealthFromOrig( kAllWeaponsHardPoint, 0.0f );
	mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.0f );

	//
	//	Give the starbase only 10 marines onboard to fight.
	//
	mAddItemToStores( kMarines, static_cast< eAccessShipStores_SubTypes >( 0 ), 10 );
}


