//	<Name>	AllyShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "AllyShip.h"
#include "AllyShipBaseState.h"
#include "ISC_7BattleGrave.h"
#include "MissionText.h"
#include "TeamInfo.h"

tClassAllocator<tAllyShip> gAllyShipAllocator;

tAllyShip::tAllyShip() : fAttackedAlly( false )
{}

void tAllyShip::mSetupState()
{
	mRegisterState( new tAllyShipBaseState() );
	mGotoState( typeid( tAllyShipBaseState ) );
}
void tAllyShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally1_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , k_ATTACKTARGET_Ally_btn , k_ATTACKTARGET_Ally1_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally2_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange , mGetShipID() , k_ATTACKTARGET_Ally_btn , k_ATTACKTARGET_Ally2_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState3 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally3_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState3 , kNoStateChange , mGetShipID() , k_ATTACKTARGET_Ally_btn , k_ATTACKTARGET_Ally2_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState4 , kNoStateChange , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally4_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState4 , kNoStateChange , mGetShipID() , k_ATTACKTARGET_Ally_btn , k_ATTACKTARGET_Ally2_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState5 , kBlankCommState , mGetShipID() , k_HAIL_Ally_btn , k_HAIL_Ally5_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState5 , kBlankCommState , mGetShipID() , k_ATTACKTARGET_Ally_btn , k_ATTACKTARGET_Ally3_msg , kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState2 );
}
void tAllyShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}


bool tAllyShip::mAttackedAlly( void )
{
	return fAttackedAlly;
}
void tAllyShip::mSetAttackedAlly( bool x )
{
	fAttackedAlly = x;
}