/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"


tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tBaseVictory::tBaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tBaseVictory::tBaseVictory( ) : fDeserted( false ), fTransponderDestroyed( false ),
								fAllianceDestroyed( 0 ), fBasesDestroyed( 0 ),
								fWave( 0)
{}
tBaseVictory::tBaseVictory( tTeamInfo* team ) : tVictoryCondition( team ),
												fDeserted( false ), fTransponderDestroyed( false ),
												fAllianceDestroyed( 0 ), fBasesDestroyed( 0 ),
												fWave( 0)
{}
/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tBaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tBaseVictory::mSetupState()
{
	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( 300, 225, 75, 0, -75 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );

	mSetTimedInterval( kTimerSecondsSet, kRandChatID, 20.0f );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives.

	bool
	tBaseVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tBaseVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/
//
//	Accessors.
//
bool tBaseVictory::mDeserted( void )
{
	return fDeserted;
}
bool tBaseVictory::mTransponderDestroyed( void )
{
	return fTransponderDestroyed;
}
int32 tBaseVictory::mAllianceDestroyed( void )
{
	return fAllianceDestroyed;
}
int32 tBaseVictory::mBasesDestroyed( void )
{
	return fBasesDestroyed;
}
int32 tBaseVictory::mWave( void )
{
	return fWave;
}

//
//	Modifiers.
//
void tBaseVictory::mSetDeserted( bool x )
{
	fDeserted = x;
}
void tBaseVictory::mSetTransponderDestroyed( bool x )
{
	fTransponderDestroyed = x;
}
void tBaseVictory::mIncreaseAllianceDestroyed( void )
{
	fAllianceDestroyed++;
}
void tBaseVictory::mIncreaseBasesDestroyed( void )
{
	fBasesDestroyed++;
}
void tBaseVictory::mSetCountWave( int32 x = -1 )
{
	if ( x == -1 )
	{
		fWave++;
	}
	else
	{
		fWave = x;
	}
}