/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/
	bool	mDeserted( void );
	bool	mTransponderDestroyed( void );
	int32	mAllianceDestroyed( void );
	int32	mBasesDestroyed( void );
	int32	mWave( void );

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/
	void	mSetDeserted( bool x );
	void	mSetTransponderDestroyed( bool x );
	void	mIncreaseAllianceDestroyed( void );
	void	mIncreaseBasesDestroyed( void );
	void	mSetCountWave( int32 );

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	bool	fDeserted;
	bool	fTransponderDestroyed;
	int32	fAllianceDestroyed;
	int32	fBasesDestroyed;
	int32	fWave;
};

#endif



