//	<Name>	EnemyShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "EnemyShip.h"
#include "EnemyShipBaseState.h"
#include "ISC_7BattleGrave.h"
#include "MissionText.h"
#include "ScriptInterface.h"

tClassAllocator<tEnemyShip> gEnemyShipAllocator;

void tEnemyShip::mSetupState()
{
	mRegisterState( new tEnemyShipBaseState() );
	mGotoState( typeid( tEnemyShipBaseState ) );
}
void tEnemyShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , k_HAIL_Enemy_btn , k_HAIL_Enemy1_1_msg , k_HAIL_Enemy1_2_msg );
	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , k_DEMANDSURRENDER_Enemy_btn , k_DEMANDSURRENDER_Enemy1_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange , mGetShipID() , k_HAIL_Enemy_btn , k_HAIL_Enemy1_1_msg , k_HAIL_Enemy1_2_msg );
	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange , mGetShipID() , k_DEMANDSURRENDER_Enemy_btn , k_DEMANDSURRENDER_Enemy2_msg , kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState3 , kNoStateChange , mGetShipID() , k_HAIL_Enemy_btn , k_HAIL_Enemy1_1_msg , k_HAIL_Enemy1_2_msg );
	playerTeam->mRegisterCommMessage( kCommState3 , kNoStateChange , mGetShipID() , k_DEMANDSURRENDER_Enemy_btn , k_DEMANDSURRENDER_Enemy3_msg , kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}
void tEnemyShip::mSetupShip()
{
	mSetShipMaxSpeed( fMissionInfo->mRandomInt32( 10, 15 ) );
	mSetShipCallbackEvents( kNotifyDamage );
}


