/********************************************************************************************************\

	File Name:	TransponderBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "TransponderBaseState.h"
#include "ISC_7BattleGrave.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTransponderBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tTransponderBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tTransponderBaseState::mBeginState\n");
}

void tTransponderBaseState::mEndState()
{}

void tTransponderBaseState::mOnDeath( tShipInfo* ship )
{}
void tTransponderBaseState::mOnCapture( tShipInfo* ship )
{}
void tTransponderBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTransponderBaseState::mAtDistance( tShipInfo* ship )
{}
void tTransponderBaseState::mAtDestination( tShipInfo* ship )
{}
void tTransponderBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTransponderBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTransponderBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTransponderBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTransponderBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTransponderBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTransponderBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTransponderBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransponderBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransponderBaseState::mOnFlashingButtonPressed()
{}
void tTransponderBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTransponderBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTransponderBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tTransponderBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTransponderBaseState::mOnHostChanged()
{}

void tTransponderBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tTransponderBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );

		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tTransponderBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tTransponderBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTransponderBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


