/********************************************************************************************************\

	File Name:	Enemy2TeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Enemy2TeamBaseState.h"
#include "ISC_8Diplomacy.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemy2TeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tEnemy2TeamBaseState::mEndState()
{}

void tEnemy2TeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemy2TeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemy2TeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemy2TeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemy2TeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemy2TeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemy2TeamBaseState::mOnFlashingButtonPressed()
{}
void tEnemy2TeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemy2TeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemy2TeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tEnemy2TeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tEnemy2TeamBaseState::mOnHostChanged()
{}

void tEnemy2TeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemy2Team ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tEnemy2TeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tEnemy2TeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tEnemy2TeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemy2TeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


