/********************************************************************************************************\

	File Name:	Enemy3Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Enemy3Ship.h"
#include "Enemy3Team.h"
#include "Enemy3TeamBaseState.h"
#include "ISC_8Diplomacy.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"


tClassAllocator<tEnemy3Team> gEnemy3TeamAllocator;

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tEnemy3Team::mSetupState()
{
	mRegisterState( new tEnemy3TeamBaseState() );
	mGotoState( typeid( tEnemy3TeamBaseState ) );
}

void tEnemy3Team::mSetupCommState()
{}


void tEnemy3Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tEnemy3Team::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

		ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, kHydran );
		sl = gST.stripOutRestricted( sl );

		std::list< eEnhancedRoles >  commandoRolesList;
        commandoRolesList.push_back(kCommando);
        fShiplistCount = sl.Subset(commandoRolesList);
        gST.mDebug_fprintf("subset for commando class eEnhancedRoles completed. ships: %d\n", fShiplistCount);

		std::list< eEnhancedClassTypes >  shipClassTypeList;
		shipClassTypeList.push_back(kEClassMediumMonster);
		for (int32 i = kEClassLightCruiser; i <= kEClassMediumCruiser; i++) {
			shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
		}
		fShiplistCount = sl.Subset(shipClassTypeList, true);
		gST.mDebug_fprintf("subset for ship classes filter completed. ships: %d\n", fShiplistCount);

		if (sl.size() > 0) {

			Ship s1;
			sl.SelectRandomShip(s1);
			gST.mDebug_fprintf("ship %s selected. BPV: %d  YFA: %d  YLA %d\n",
				s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
			gST.mTrackOrions( s1 );

			mCreateShip(
				typeid( tEnemy3Ship ), 
				s1.shipCode.c_str(), 
				kStartPosition_X, 
				kNoMetaShipID,
				kEnemy3Ship, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}
	gST.mDebug_fprintf("--- Finished: tEnemy3Team::mCreateShipsForTeam\n");
}

void tEnemy3Team::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tEnemy3Team::mOldCreateShipsForTeam\n");

	mCreateShip(	typeid( tEnemy3Ship ), "H-CAT", kStartPosition_X, kNoMetaShipID, kEnemy3Ship,
					0, 0, -1, -1, NULL, kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tEnemy3Team::mOldCreateShipsForTeam\n");
}


void tEnemy3Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemy3Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mDebug_fprintf("--- Entering: tEnemy3Team::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
	gST.mInitializeSL();
	gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
   	gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
		shipScriptDescription.fClassName.c_str());

   	gST.mDebug_fprintf("--- Finished: tEnemy3Team::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
}
