//	<Name>	EnemyShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "EnemyShip.h"
#include "EnemyShipBaseState.h"
#include "MissionText.h"
#include "ISC_8Diplomacy.h"
#include "TeamInfo.h"

tClassAllocator<tEnemyShip> gEnemyShipAllocator;

tEnemyShip::tEnemyShip() : fIsSurrendered( false ), fAttackedSurrenderedVessel( false )
{}

void tEnemyShip::mSetupState()
{
	mRegisterState( new tEnemyShipBaseState() );
	mGotoState( typeid( tEnemyShipBaseState ) );
}
void tEnemyShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_WESURRENDER_Player_btn, k_WESURRENDER_Player1_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_YOUSURRENDER_Enemy_btn, k_YOUSURRENDER_Enemy1_msg, kNoRandomMsg );

	playerTeam->mRegisterCommMessage(	kCommState2, kBlankCommState, mGetShipID(),
										k_WESURRENDER_PlayerForReal_btn, k_WESURRENDER_Player2_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_YOUSURRENDER_Enemy_btn, k_YOUSURRENDER_Enemy2_msg, kNoRandomMsg );

	//
	//	Klingon ship.
	//
	playerTeam->mRegisterCommMessage(	kCommState3, kBlankCommState, mGetShipID(),
										k_WESURRENDER_PlayerForReal_btn, k_WESURRENDER_Player2_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState3, kBlankCommState, mGetShipID(),
										k_YOUSURRENDER_EnemyForReal_btn, k_YOUSURRENDER_Enemy3_KlingonRomulanGornMirak_msg, kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState2 );
}
void tEnemyShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}


bool tEnemyShip::mIsSurrendered( void )
{
	return fIsSurrendered;
}
bool tEnemyShip::mAttackedSurrenderedVessel( void )
{
	return fAttackedSurrenderedVessel;
}
void tEnemyShip::mSetIsSurrendered( bool x )
{
	fIsSurrendered = x;
}
void tEnemyShip::mSetAttackedSurrenderedVessel( bool x )
{
	fAttackedSurrenderedVessel = x;
}

