/********************************************************************************************************\

	File Name:	NPC1TeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "NPC1TeamBaseState.h"
#include "ISC_8Diplomacy.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tNPC1TeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tNPC1TeamBaseState::mEndState()
{}

void tNPC1TeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tNPC1TeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tNPC1TeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tNPC1TeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tNPC1TeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPC1TeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tNPC1TeamBaseState::mOnFlashingButtonPressed()
{}
void tNPC1TeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tNPC1TeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tNPC1TeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tNPC1TeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tNPC1TeamBaseState::mOnHostChanged()
{}

void tNPC1TeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kNPC1Team ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tNPC1TeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tNPC1TeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tNPC1TeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tNPC1TeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}

