/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"
#include "ISC_9B1Homeworld.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_9B1Homeworld",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Bringen Sie einen Diplomaten auf eine gegnerische Hauptwelt.\n\n",
	
	// kBriefingA_msg
	"Sie befinden sich im Heimatsektor von [TEAM2_RACE]. Ihre Mission ist einfach. " \
	"Bringen Sie den Diplomaten sicher auf den Planeten. Verwickeln Sie den Gegner unter keinen Umstnden " \
	"in einen Kampf. Setzen Sie Ihre diplomatische Immunitt mit berlegung ein.\n\n" \
	"Es hngt nun alles von Ihnen ab. Viel Glck.\n\n Wegtreten.",

	// kBriefingB_msg
	"Sie befinden sich im Heimatsektor von [TEAM2_RACE]. Diese nchste Operation ist von ausschlaggebender Bedeutung.\n\n" \
	"Mit unseren neu gewonnenen Verbndeten erffnen Sie einen Pfad durch die Verteidigungslinien zur " \
	"Vorbereitung eines Bodenangriffs. Wenn die Verteidigungslinien ausgeschaltet sind, eskortieren Sie " \
	"zwei Transportschiffe, die mehrere Einheiten unserer besten Infanterie bergen. Bringen Sie beide " \
	"auf den Planeten, und sie werden die Eroberung bernehmen. Wenn die [TEAM2_RACE_PLURAL] befriedet sind, " \
	"wird sich der Rest des Quadranten nach und nach ebenfalls anschlieen.\n\n" \
	"Es hngt nun alles von Ihnen ab. Viel Glck.\n\n Wegtreten.",
	
	// kBriefingC_msg
	"Sie befinden sich im Heimatsektor von [TEAM2_RACE]. Diese nchste Operation ist von ausschlaggebender Bedeutung.\n\n" \
	"Mit unseren neu gewonnenen Verbndeten erffnen Sie einen Pfad durch die Verteidigungslinien zur " \
	"Vorbereitung eines Bodenangriffs. Wenn die Verteidigungslinien ausgeschaltet sind, eskortieren Sie " \
	"drei Transportschiffe, die mehrere Einheiten unserer besten Infanterie bergen. Bringen Sie zwei der Transportschiffe " \
	"auf den Planeten und das dritte auf den bewohnten Mond von [TEAM2_RACE], und sie werden " \
	"sie unterwerfen. Wenn die [TEAM2_RACE_PLURAL] befriedet sind, wird sich der Rest des Quadranten " \
	"nach und nach ebenfalls anschlieen.\n\n Es hngt nun alles von Ihnen ab. Viel Glck.\n\n Wegtreten.",

	// kBriefingD_msg
	"Sie befinden sich im Heimatsektor von [TEAM2_RACE]. Wir haben Ihnen von dieser Mission abgeraten, " \
	"aber da Sie ein Freiwilliger sind...\n\n Sie werden im Alleingang und ohne Verstrkung einen " \
	"Weg durch die Verteidigungslinien bahnen, um den Bodenangriff vorzubereiten. Wenn Sie " \
	"einen Weg durch die Verteidigungslinien gefunden haben, eskortieren Sie zwei Transportschiffe mit mehreren Einheiten " \
	"unserer besten Infanterie. Bringen Sie beide auf den Planeten, und sie werden die Eroberung bernehmen. Wenn die " \
	"[TEAM2_RACE_PLURAL] einmal befriedet sind, wird sich der Rest des Quadranten nach und nach ebenfalls anschlieen.\n\n" \
	"Es hngt nun alles von Ihnen ab. Viel Glck.\n\n Wegtreten.",

	// kBriefingE_msg
	"Sie befinden sich im Heimatsektor von [TEAM2_RACE]. Wir haben Ihnen von dieser Mission abgeraten, " \
	"aber da Sie ein Freiwilliger sind...\n\n Sie werden im Alleingang und ohne Verstrkung einen "
	"Weg durch die Verteidigungslinien bahnen, um den Bodenangriff vorzubereiten. " \
	"Wenn Sie die Verteidigungslinien durchbrechen knnen, werden Sie drei Transportschiffe eskortieren, die " \
	"mehrere Einheiten unserer besten Infanterie bergen. Bringen Sie zwei davon auf den Planeten, und das " \
	"dritte auf den bewohnten Mond, und sie werden die Eroberung bernehmen. Wenn die [TEAM2_RACE_PLURAL] " \
	"einmal befriedet sind, wird sich der Rest des Quadranten nach und nach ebenfalls anschlieen.\n\n Es hngt nun alle " \
	"von Ihnen ab. Viel Glck.\n\n Wegtreten.",


	//
	//	Starting message
	//
	
	//	kStartFedDiplomacy_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE].\n[0]Wir sind auf " \
	"der Erde angekommen, dem groen spirituellen Zentrum der Vereinigten Fderation der Planeten. Unser Ziel " \
	"ist es, einen Kampf zu vermeiden und ein paar Diplomaten sicher auf den Planeten zu bringen.[0]" \
	"Unsere Kommunikationsfhigkeiten werden der Schlssel zu dieser Mission sein.\n\n",

	// kStartHydranDiplomacy_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE].[0]Wir sind auf " \
	"Hydra angekommen, der Hauptwelt des Hydranischen Commonwealth. Unser Ziel ist es, einen " \
	"Kampf zu vermeiden und ein paar Diplomaten sicher auf den Planeten zu bringen.[0] Unsere Kommunikationsfhigkeiten " \
	"werden der Schlssel zu dieser Mission sein.\n\n", 

	// kStartRomulanDiplomacy_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE].[0] Wir sind auf " \
	"Romulus angekommen, der Hauptwelt des Romulanischen Imperiums. Unser Ziel ist es, einen " \
	"Kampf zu vermeiden und ein paar Diplomaten sicher auf den Planeten zu bringen.[0] Unsere Kommunikationsfhigkeiten " \
	"werden der Schlssel zu dieser Mission sein.\n\n",

	// kStartHostileGeneric_msg
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir sind im " \
	"[SYSTEM_NAME] angekommen, um die [TEAM2_RACE_PLURAL] zu unterwerfen. Wir mssen die " \
	"Verteidungseinrichtungen des Systems schwchen, bevor zwei Transportschiffe eintreffen, die wir dann sicher "
	"auf die Oberflche des Planeten eskortieren sollen.\n\n",

	// kStartHostileKorM_msg
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir sind im " \
	"[SYSTEM_NAME] angekommen, um die [TEAM2_RACE_PLURAL] zu unterwerfen. Wir mssen die " \
	"Verteidungseinrichtungen des Systems schwchen, bevor drei Transportschiffe eintreffen, von denen wir " \
	"zwei sicher auf die Oberflche des Planeten und das andere auf den " \
	"befestigten Mond des Planeten geleiten sollen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebFedAlly_msg
	"Herzlichen Glckwunsch. Sie werden sich freuen zu hren, dass die Diplomaten ihr Ziel erreicht haben.[0] " \
	"Das ISK und die einzig intelligente Kultur im Quadranten, die Fderation, " \
	"sind nun Verbndete. Und von diesem Erfolg knnen Sie den Lwenanteil fr sich verbuchen. Gute Arbeit.[0]" \
	"Ihre nchste Mission wird offensiverer Natur sein. Wir mssen eine der " \
	"Festungen des Gegnern erobern. Sie werden unseren neuen Verbndeten bei " \
	"einem Kampf auf einer gegnerischen Heimatwelt zur Seite stehen. Weitere Instruktionen erhalten Sie, wenn Sie " \
	"das System erreicht haben.\n\n [0]Wegtreten.",

	//	kDebHydranAlly_msg
	"Herzlichen Glckwunsch. Sie werden sich freuen zu hren, dass die Diplomaten ihr Ziel erreicht haben.[0]" \
	"Das ISK und die Hydraner sind nun Verbndete. Es sind an sich lustige kleine Kreaturen, " \
	"aber ihr Mut und ihre Entschlossenheit sind hchst bewunderungswrdig. Und ohne Sie htten wir das " \
	"nicht geschafft. Gute Arbeit.[0] Ihre nchste Mission wird offensiverer " \
	"Natur sein. Wir mssen eine der gegnerischen Festungen einnehmen. Sie werden unseren " \
	"neuen Verbndeten bei einem Kampf auf einer gegnerischen Heimatwelt zur Seite stehen. Weitere Instruktionen erhalten Sie, "
	"wenn Sie das System erreicht haben. [0]Wegtreten.",

	//	kDebRomulanAlly_msg
	"Herzlichen Glckwunsch. Sie werden sich freuen zu hren, dass die Diplomaten ihr Ziel erreicht haben.[0]" \
	"Das ISK und die Romulaner sind nun Verbndete. Ich bin nicht sicher, inwieweit wir ihnen trauen knnen, und " \
	"diese Tal Shi'ar erinnern mich an lebende Tote, aber ein Verbndeter ist ein Verbndeter. Gute Arbeit.[0]" \
	"Ihre nchste Mission wird offensiverer Natur sein. Wir mssen eine der " \
	"Festungen des Gegners erobern. Sie werden unseren neuen Verbndeten bei einem Angriff auf eine " \
	"gegnerische Heimatwelt beistehen. Weitere Instruktionen erhalten Sie, wenn Sie das System erreicht haben. [0]Wegtreten.",

	//	kDebFedAttack_msg
	"Herzlichen Glckwunsch. Sie haben soeben jede Chance auf eine Allianz mit " \
	"der Fderation zunichte gemacht. Wissen Sie noch nicht einmal, dass man einen Gegner gren sollte, wenn man sich " \
	"auf einer diplomatischen Mission befindet? Haben all diese Kmpfe Ihr Hirn weich gemacht?[0]" \
	"Vielleicht, wenn wir ihnen eine offizielle Entschuldigung anbieten ... mglicherweise knnen wir den Karren noch mal aus dem Dreck ziehen und es erneut versuchen.\n\n" \
	"Sie knnen wegtreten.\n\n",
	
	//	kDebHydranAttack_msg
	"Herzlichen Glckwunsch. Sie haben soeben jede Chance auf eine Allianz mit den Hydranern zunichte gemacht. " \
	"Wissen Sie noch nicht einmal, dass man einen Gegner gren sollte, wenn man sich auf einer diplomatischen " \
	"Mission befindet? Haben all diese Kmpfe Ihr Hirn weich gemacht?[0]" \
	"Vielleicht, wenn wir ihnen eine offizielle Entschuldigung anbieten ... mglicherweise knnen wir den Karren noch mal aus dem Dreck ziehen und es erneut versuchen.\n\n" \
	"Sie knnen wegtreten.\n\n",

	//	kDebRomulanAttack_msg
	"Herzlichen Glckwunsch. Sie haben soeben jede Chance auf eine Allianz mit den " \
	"Romulanern zunichte gemacht. Wissen Sie noch nicht einmal, dass man einen Gegner gren sollte, wenn man sich auf einer " \
	"diplomatischen Mission befindet? Haben all diese Kmpfe Ihr Hirn weich gemacht?[0]" \
	"Vielleicht, wenn wir ihnen eine offizielle Entschuldigung anbieten ... mglicherweise knnen wir den Karren noch mal aus dem Dreck ziehen und es erneut versuchen.\n\n" \
	"Sie knnen wegtreten.\n\n",

	//	kDebFailGeneric_msg
	"Nun gut, wir hatten Sie gebeten, den Planeten einzunehmen, aber Sie haben es nicht geschafft, die beiden " \
	"Transportschiffe einzuschleusen. [0]Als Ergebnis dieses Fehlschlags sind unsere Verbndeten " \
	"aus der Allianz ausgestiegen. Mglicherweise knnen wir doch noch einen Sieg auf " \
	"[SYSTEM_NAME] verbuchen, aber es wird nun wesentlich schwieriger werden.[0]\n\n" \
	"Wegtreten.\n\n",


	//	kDebFailKorM_msg
	"Nun gut, wir hatten Sie gebeten, den Planeten einzunehmen, aber Sie haben es nicht geschafft, die beiden " \
	"Transportschiffe einzuschleusen.[0] Als Ergebnis dieses Fehlschlags sind unsere Verbndeten " \
	"aus der Allianz ausgestiegen. Mglicherweise knnen wir doch noch einen Sieg auf "
	"[SYSTEM_NAME] verbuchen, aber es wird nun wesentlich schwieriger werden.[0]\n\n" \
	"Wegtreten.",


	//	kDebHostileSuccess_msg
	"Gute Arbeit. Die Heimatwelt von [TEAM2_RACE] ist unser. Der Rest der Galaxis " \
	"beginnt, ber eine diplomatische Lsung nachzudenken. Mglicherweise knnen wir doch noch Ordnung und " \
	"Frieden in diesen Quadranten bringen.[0]\n\n Wir sollten uns als nchstes mit den Organiern beraten, " \
	"um zu besprechen, was getan werden muss. Es ist noch nicht vorbei.[0]\n\n Wegtreten.",


	//
	//	Comm buttons
	//
	//	kHail_btn
	"RUFEN",
	//	kRequestAssistance_btn
	"VERSTRKUNG ANFORDERN",

	// kAttackTarget_btn
	"ZIEL ANGREIFEN",

	// kDefendMe_btn
	"MICH VERTEIDIGEN",
	
	//kSetAsTarget_btn
	"ALS ZIEL ERFASSEN",

	// kDemandSurrender_btn
	"KAPITULATION FORDERN",

	// kLowerShields_btn
	"SCHILDE SENKEN",
	//
	//	Comm messages
	//

	//	kCommDummy_msg
	"",

	// kNoResponce_msg
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.",

	//	kHailDiplomacyFed_msg
	"Captain der Fderation: Willkommen in unserem Heimatsektor, [PLAYER_RANK]. Fhlen Sie sich " \
	"wie zu Hause.",

	//	kHailDiplomacyHydran_msg
	"Captain der Hydraner: Willkommen auf Hydra, [PLAYER_RANK]. Genieen Sie Ihren Aufenthalt hier.",

	// kHailDiplomacyRomulan_msg
	"Romulanischer Commander: Willkommen auf Romulus. Sie werden keinen schneren Planeten " \
	"in der ganzen Galaxis finden.",

	// kAllyHull100_msg
	"Captain: Wir sind hervorragend in Form. Nennen Sie uns ein Ziel mit Prioritt 1.",

	//	kAllyHullGT70_msg
	"Captain: Die Hlle ist bei XXX%. Bis jetzt sind wir noch gut in Form.",
	
	//	kAllyHullGT40_msg
	"Captain: Heute ist nicht mein Tag. Ich bin noch nicht bereit, um in den Flammen zu enden.",

	// kAllyHullLT40_msg
	"Captain: Mayday. Wir brauchen Verstrkung.",

	// kFedNotUnderAttack_msg
	"Captain der Fderation: Ich verstehe nicht. Wir werden doch gar nicht angegriffen.",
	// kHydranNotUnderAttack_msg
	"Captain der Hydraner: Ich verstehe nicht. Wir werden doch gar nicht angegriffen.",
	// kRomulanNotUnderAttack_msg
	"Romulanischer Commander: Unsere Sensoren registrieren keinerlei Angreifer. Bitte Meldung besttigen.",

	// kAttackHullGT30_msg
	"Captain: Besttigt. Wir werden unser Bestes tun, [PLAYER_SHIP_NAME].",

	// kAttackHullLT30_msg
	"Captain: Wir sind beinahe erledigt, aber vielleicht knnen wir noch einen letzten Angriff starten.",

	// kDefendAllyAttacked_msg	
	"Captain: Nachdem ihr uns angegriffen habt? Wenn ihr vernichtet werdet, dann mit unserem Segen!",

	// kDefendHullGT30_msg
	"Captain: Besttigt. Wir werden unser Bestes tun, [PLAYER_SHIP_NAME].",
	
	//	kDefendHullLT30_msg
	"Captain: Positiv. Die Linie wird hier gezogen werden.",

	// kHailEnemyCapitalTaken_msg
	"Governeur des ISK: Wir sind noch dabei, uns hier unten ein wenig einzurichten. Sie knnen uns natrlich jederzeit gerne einen Besuch abstatten.",


	// kHailEnemyCapitalDiplomacy_msg
	"[PLAYER_NAME]: Wir sind hier auf einer diplomatischen Mission. Bleiben Sie bitte stehen.\n\n[0]" \
	"Fhrer [TEAM2_RACE]: Gren Sie uns, wenn Sie in Transporterreichweite kommen, [PLAYER_SHIP_NAME], " \
	"und senken Sie die Schilde.",
	
	// kHailEnemyCapitalLowerShields_msg
	"Fhrer [TEAM2_RACE]: Wir senken die Schilde fr den Transport Ihres Diplomaten, [PLAYER_SHIP_NAME].",

	// kHailEnemyCapitalDoplomacyAttacked_msg
	"[PLAYER_NAME]: Wir sind hier auf einer diplomatischen Mission. Bleiben Sie bitte stehen.[0]" \
	"Fhrer [TEAM2_RACE]: Diplomaten greifen normalerweise weder Schiffe noch Einrichtungen an. " \
	"Anfrage abgelehnt!",
	
	//HailEnemyCapitalHostile_msg
	"[PLAYER_NAME]: Sie htten sich bei unseren Bemhungen um Frieden " \
	"in der Galaxis etwas kooperativer zeigen sollen. Von nun ab weht ein rauher Wind.[0]" \
	"Fhrer [TEAM2_RACE]: Rauhe Winde sind immer noch besser, als von Auenweltlern versklavt zu werden.",

	// kHailEnemyRandom1_msg
	"[PLAYER_NAME]: Dieses System wird sich das ISK schon bald einverleiben. Das Unvermeidliche zu akzeptieren, " \
	"ist ein Zeichen von Reife.[0]" \
	"Captain der [TEAM2_RACE]: Dann nennen Sie mich eben unreif. Gerade so lange, bis ich die " \
	"Gelegenheit erhalte, Sie am Ende dieses Tages als 'tot' zu bezeichnen.",

	// kHailEnemyRandom2_msg
	"[PLAYER_NAME]: Dieses System wird sich das ISK schon bald einverleiben. Ergeben Sie sich " \
	"jetzt, und der bergang zu einer neuen Ordnung wird wesentlich leichter fallen.[0]" \
	"Captain der [TEAM2_RACE]: Ist Ihnen schon mal in den Sinne gekommen, dass einige von uns " \
	"gar keinen einfachen bergang mchten?[0]" \
	"[PLAYER_NAME]: Wir wissen, dass professionelle Aggressoren wie " \
	"Sie Schwierigkeiten haben, sich einer neuen Ordnung anzupassen. Aber wir " \
	"verfgen ber hervorragende Psychologen.[0]" \
	"Captain der [TEAM2_RACE]: Psychologen? STIIIIIRB!",

	// kHailEnemyRandom3_msg
	"[PLAYER_NAME]: Dieses System wird sich das ISK schon bald einverleiben. Kommen Sie zu uns, und helfen Sie, " \
	"Ihr Volk mit so wenig Blutvergieen wie mglich darauf vorzubereiten.[0]" \
	"Captain der [TEAM2_RACE]: Ich habe auch die Absicht, das Blutvergieen minimal zu halten. Und zwar indem ich nur das Ihre vergiee.[0]" \
	"[PLAYER_NAME]: Wie unhflich! Die [TEAM2_RACE_PLURAL] haben noch eine Menge ber Diplomatie zu lernen!",

 
	// kDemandSurrenderGT50_msg
	"[PLAYER_NAME]: Ergeben Sie sich, oder sehen Sie Ihrer Vernichtung entgegen.[0]" \
	"Captain der [TEAM2_RACE]: Das erscheint mit aber ein wenig voreilig, Commander. " \
	"So gravierend sind unsere Schden auch wieder nicht.",

	//	kDemandSurrenderGT5_msg
	"[PLAYER_NAME]: Ergeben Sie sich, oder sehen Sie Ihrer Vernichtung entgegen.[0]" \
	"Captain der [TEAM2_RACE]: Ich habe bessere Tage gesehen. Aber es ist noch nicht vorbei.",

	//	kDemandSurrenderLT5_msg
	"[TEAM2_RACE]: berlass dein Heimatsystem niemals dem Gegner, ohne bis zum letzten Atemzug zu kmpfen. Das steht sogar in der Verfassung.",

	// kHailFedStarbase
	"Captain der Fderation: Willkommen auf der Erde, [PLAYER_RANK]. Kommen Sie herber, und lassen Sie es sich gut gehen.",

	// kHailHydranStarbase
	"Captain der Hydraner: Willkommen auf Hydra, [PLAYER_RANK]. Sie werden in unserer Atmosphre vielleicht ein wenig Atemnot haben, aber wir sind ein sehr gastfreundliches Volk.",

	// kHailRomulanStarbase
	"Captain der Romulaner: Willkommen auf Romulus.",

	// kLowerShieldsNoCode_msg
	"Kommunikationsoffizier: Wir mssten ihre Prfix-Codes kennen, [PLAYER_RANK].",

	// kLowerShieldsFalse_msg
	"Kommunikationsoffizier: Schilde gesenkt, [PLAYER_RANK].",

	// kLowerShieldsTrue_msg
	"Kommunikationsoffizier: Sie haben ihren Prfix-Code gendert. Wirkungslos, [PLAYER_RANK] ",

	//
	//	Victory rating
	//

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//
	"F-DEF",
	"K-DEF",
	"R-DEF",
	"L-DEF",
	"H-DEF",
	"G-DEF",
	"I-DEF",
	"Z-DEF",

	//
	//	Event dialog
	//
	// kTransportWarning_msg,
	"Kommunikationsoffizier: Die Transportschiffe setzen sich in Bewegung. " \
	"Die Captains befrchten, von der gegnerischen Verstrkung berrascht zu werden.",
	
	// kTransportsArrive_msg,
	"Kommunikationsoffizier: Die Transportschiffe haben das System erreicht.[0]" \
	"Sie beginnen, sich in Bewegung zu setzen.",

	// kTransportDestroyed_msg,
	"Wissenschaftsoffizier: Eines der Transportschiffe wurde zerstrt. Damit ist es unmglich geworden, unser Ziel zu erreichen. Mission abgebrochen.[0]",

	// kTransportReachesPlanet_msg,
	"Sicherheitsoffizier: Eines der Transportschiffe hat den Planeten erreicht. Die Bodentruppen schwrmen aus.[0]",
	
	// kPlanetTaken_msg,
	"Erster Offizier: Der Planet ist unser. Primrziel erreicht.[0]",

	// kTransportReachesMoon_msg,
	"Sicherheitsoffizier: Eines der Transportschiffe hat den Mond erreicht. Die Bodentruppen schwrmen aus.[0]",
	
	// kPlanetAndMoon_msg,
	"Erster Offizier: Wir haben sowohl den Planeten als auch den Mond erobert. Alle Einsatzziele wurden erreicht. Mission erfolgreich abgeschlossen.[0]",

	// kNeedPlanet_msg
	"Erster Offizier: Jetzt mssen wir nur noch den Planeten erobern, dann knnen wir die Mission erfolgreich abschlieen.[0]",
	//
	//	Custom messages
	//
	//	kScriptIniHeader
	"ISC_9B1Homeworld",
	// kDiplomatBeamed,
	"DIPLOMAT_BEAMED",
	// kSectorRace,
	"SECTOR_RACE",
	//	kAllianceFed
	"ALLIANCE_FEDERATION",
	//	kAllianceForged
	"ALLIANCE_FORGED",
	//	kAllianceHydran
	"ALLIANCE_HYDRAN",
	//	kAllianceRomulan,
	"ALLIANCE_ROMULAN",
	// kCodeKnown
	"CODE_KNOWN",
	// kShieldsLowered
	"SHIELDS_LOWERED",

//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Richtung Heimatwelt, Teil I",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,	Forfeit
	"Mission eingebt",

#else		/////////////////////////////////////////////////////////////////////////////////////

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_9B1Homeworld",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Deliver a diplomat to an enemy capital.\n\n",
	
	// kBriefingA_msg
	"You've entered the [TEAM2_RACE] home sector. Your mission is simple. " \
	"Safely deliver the diplomat to the planet. Do not, under any circumstances, " \
	"engage the enemy in combat. Use your diplomatic immunity wisely.\n\n" \
	"Everything rest on your shoulders. Good luck.\n\nDismissed.",

	// kBriefingB_msg
	"You've entered the [TEAM2_RACE] home sector. This next operation is critical.\n\n" \
	"With our newly acquired allies, you will clear a path through the defenses in " \
	"preparation for a ground assault. When the defenses are cleared, you will escort " \
	"a pair of transports containing several units of our best infantry. Get both of " \
	"them to the planet, and they'll take it. With the [TEAM2_RACE_PLURAL] pacified, " \
	"the rest of the quadrant will fall into line.\n\n" \
	"Everything rests on your shoulders. Good luck.\n\nDismissed.",
	
	// kBriefingC_msg
	"You've entered the [TEAM2_RACE] home sector. This next operation is critical.\n\n" \
	"With our newly acquired allies, you will clear a path through the defenses in " \
	"preparation for a ground assault. When the defenses are cleared, you will escort " \
	"three transports containing several units of our best infantry. Get two transports " \
	"to the planet, and the third to the inhabited [TEAM2_RACE] moon, and they'll " \
	"subdue them. With the [TEAM2_RACE_PLURAL] pacified, the rest of the quadrant " \
	"will fall into line.\n\nEverything rests on your shoulders. Good luck.\n\nDismissed.",

	// kBriefingD_msg
	"You've entered the [TEAM2_RACE] home sector. We didn't recommend this mission, " \
	"but since you've volunteered...\n\nActing alone, without reinforcements, you will " \
	"clear a path through the defenses in preparation for a ground assault. If you can " \
	"clear the defenses, you will escort a pair of transports containing several units of " \
	"our best infantry. Get both of them to the planet, and they'll take it. With the " \
	"[TEAM2_RACE_PLURAL] pacified, the rest of the quadrant will fall into line.\n\n" \
	"Everything rests on your shoulders. Good luck.\n\nDismissed.",

	// kBriefingE_msg
	"You've entered the [TEAM2_RACE] home sector. We didn't recommend this mission, " \
	"but since you've volunteered...\n\nActing alone, without reinforcements, you will "
	"clear a path through the defenses in preparation for a ground assault. " \
	"If you can clear the defenses, you will escort three transports containing " \
	"several units of our best infantry. Get two of them to the planet, and the " \
	"third to the inhabited moon, and they'll take them. With the [TEAM2_RACE_PLURAL] " \
	"pacified, the rest of the quadrant will fall into line.\n\nEverything rests on " \
	"your shoulders. Good luck.\n\nDismissed.",


	//
	//	Starting message
	//
	
	//	kStartFedDiplomacy_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].[0]We have arrived at " \
	"Earth, the great enlightened center of the United Federation of Planets. Our goal " \
	"is to avoid combat and deliver a team of diplomats safely to the planet.[0]" \
	"Our communication skills will be the key to this mission.\n\n",

	// kStartHydranDiplomacy_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].[0]We have arrived " \
	"at Hydra, the capital world of the Hydran Commonwealth. Our goal is to avoid " \
	"combat and deliver a team of diplomats safely to the planet.[0] Our communication " \
	"skills will be the key to this mission.\n\n", 

	// kStartRomulanDiplomacy_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].[0] We have arrived " \
	"at Romulus, the capital world of the Romulan Empire. Our goal is to avoid " \
	"combat and deliver a team of diplomats safely to the planet.[0] Our communication " \
	"skills will be the key to this mission.\n\n",

	// kStartHostileGeneric_msg
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We have arrived " \
	"at [SYSTEM_NAME] in order to subdue the [TEAM2_RACE_PLURAL].[2] We must weaken " \
	"the system's defenses before two transports arrive, then safely escort "
	"both transports to the planet's surface.\n\n",

	// kStartHostileKorM_msg
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We have arrived " \
	"at [SYSTEM_NAME] in order to subdue the [TEAM2_RACE_PLURAL].[2]We must weaken " \
	"the system's defenses before three transports arrive, then safely escort " \
	"two transports to the planet's surface and one transport to the planet's " \
	"fortified moon.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebFedAlly_msg
	"Congratulations. You'll be happy to know that the diplomats pulled it off.\n\n" \
	"The ISC and the only enlightened culture in the quadrant, the Federation, " \
	"are now allies. You deserve the lion's share of the credit. Well done.\n\n" \
	"Your next mission will be more offensive in nature. We need to capture " \
	"one of the enemy strongholds. You will be to join our new allies in an " \
	"assault on an enemy homeworld. We'll brief you further when you reach " \
	"the system.\n\nDismissed.",

	//	kDebHydranAlly_msg
	"Congratulations. You'll be happy to know that the diplomats pulled it off.\n\n" \
	"The ISC and the Hydrans are now allies. They're funny little creatures, " \
	"but you have to admire their pluck and resolve. And we couldn't have done " \
	"it without you. Well done.\n\nYour next mission will be more offensive in " \
	"nature. We need to capture one of the enemy strongholds. Your will join our " \
	"new allies in an assault on an enemy homeworld. We'll brief you further "
	"when you reach the system.\n\nDismissed.",

	//	kDebRomulanAlly_msg
	"Congratulations. You'll be happy to know that the diplomats pulled it off.\n\n" \
	"The ISC and the Romulans are now allies. I'm not sure we can trust them, and " \
	"those Tal Shi'ar remind me of gravewalkers, but an ally is an ally. Well done.\n\n" \
	"Your next mission will be more offensive in nature. We need to capture one " \
	"of the enemy strongholds. You will join our new allies in an assault on an " \
	"enemy homeworld. We'll brief you further when you reach the system.\n\nDismissed.",

	//	kDebFedAttack_msg
	"Congratulations. You just destroyed any chance of an alliance with " \
	"the Federation. Don't you know enough to hail an enemy when you're " \
	"engaged in a diplomatic mission? Has all this fighting rotted your brain?\n\n" \
	"Maybe if we offer a formal apology... maybe we can salvage this, and try again.\n\n" \
	"You're dismissed.\n\n",
	
	//	kDebHydranAttack_msg
	"Congratulations. You just destroyed any chance of an alliance with the Hydrans. " \
	"Don't you know enough to hail an enemy when you're engaged in a diplomatic " \
	"mission? Has all this fighting rotted your brain?\n\n" \
	"Maybe if we offer a formal apology... maybe we can salvage this, and try again.\n\n" \
	"You're dismissed.\n\n",

	//	kDebRomulanAttack_msg
	"Congratulations. You just destroyed any chance of an alliance with the " \
	"Romulans. Don't you know enough to hail an enemy when you're engaged in " \
	"a diplomatic mission? Has all this fighting rotted your brain?\n\n" \
	"Maybe if we offer a formal apology... maybe we can salvage this, and try again.\n\n" \
	"You're dismissed.\n\n",

	//	kDebFailGeneric_msg
	"Well, we asked you to take the planet, but you failed to deliver the two " \
	"transports.\n\nAs a result of this failure, our allies have pulled out " \
	"out of their alliance with us. We may yet be able to claim victory at " \
	"[SYSTEM_NAME], but it will be much more difficult.\n\n" \
	"Dismissed.\n\n",


	//	kDebFailKorM_msg
	"Well, we asked you to take the planet, but you failed to deliver the two " \
	"transports.\n\nAs a result of this failure, our allies have pulled " \
	"out of their alliance with us. We may yet be able to claim victory at "
	"[SYSTEM_NAME], but it will be much more difficult.\n\n" \
	"Dismissed.",


	//	kDebHostileSuccess_msg
	"Well done. The [TEAM2_RACE] homeworld is ours. The rest of the galaxy " \
	"is beginning to consider a diplomatic solution. We may yet bring order and " \
	"peace to this quadrant yet.\n\nWe should consult with the Organians next " \
	"to see what needs to be done. It's not over yet.\n\nDismissed.",


	//
	//	Comm buttons
	//
	//	kHail_btn
	"HAIL",
	//	kRequestAssistance_btn
	"REQUEST ASSISTANCE",

	// kAttackTarget_btn
	"ATTACK TARGET",

	// kDefendMe_btn
	"DEFEND ME",
	
	//kSetAsTarget_btn
	"SET AS TARGET",

	// kDemandSurrender_btn
	"DEMAND SURRENDER",

	// kLowerShields_btn
	"LOWER SHIELDS",
	//
	//	Comm messages
	//

	//	kCommDummy_msg
	"",

	// kNoResponce_msg
	"Communications Officer: They're not answering our hails.",

	//	kHailDiplomacyFed_msg
	"Federation Captain: Welcome to our home sector, [PLAYER_RANK]. Take it easy " \
	"on the furniture, won't you?",

	//	kHailDiplomacyHydran_msg
	"Hydran Captain: Welcome to Hydra, [PLAYER_RANK]. Enjoy your stay.",

	// kHailDiplomacyRomulan_msg
	"Romulan Commander: Welcome to Romulus. You won't find a more beautiful planet " \
	"anywhere in the galaxy.",

	// kAllyHull100_msg
	"Captain: We're in good shape. Give us a priority target.",

	//	kAllyHullGT70_msg
	"Captain: Hull is at XXX%. We're in good shape so far.",
	
	//	kAllyHullGT40_msg
	"Captain: This is not my day. But I'm not ready to burn yet.",

	// kAllyHullLT40_msg
	"Captain: Mayday. Requesting assistance.",

	// kFedNotUnderAttack_msg
	"Federation Captain: I don't understand. We're not under attack.",
	// kHydranNotUnderAttack_msg
	"Hydran Captain: I don't understand. We're not under attack.",
	// kRomulanNotUnderAttack_msg
	"Romulan Commander: Our sensors do not show any attackers. Please confirm your report.",

	// kAttackHullGT30_msg
	"Captain: Acknowledged. We'll do our best, [PLAYER_SHIP_NAME]",

	// kAttackHullLT30_msg
	"Captain: We're almost finished, but perhaps we can muster one final attack.",

	// kDefendAllyAttacked_msg	
	"Captain: After you attacked us? They can kill you with our blessing!",

	// kDefendHullGT30_msg
	"Captain: Acknowledged. We'll do our best, [PLAYER_SHIP_NAME].",
	
	//	kDefendHullLT30_msg
	"Captain: Affirmative. The line will be drawn here.",

	// kHailEnemyCapitalTaken_msg
	"ISC Governor: We're still setting up down here. You're welcome to come visit, of course.",


	// kHailEnemyCapitalDiplomacy_msg
	"[PLAYER_NAME]: We're here on a diplomatic mission. Please stand down.\n\n[0]" \
	"[TEAM2_RACE] Leader: Hail us when you get in transporter range, [PLAYER_SHIP_NAME] " \
	"and we'll lower our shields.",
	
	// kHailEnemyCapitalLowerShields_msg
	"[TEAM2_RACE] Leader: We're lowering shields for transport of your diplomat, [PLAYER_SHIP_NAME]",

	// kHailEnemyCapitalDoplomacyAttacked_msg
	"[PLAYER_NAME]: We're here on a diplomatic mission. Please stand down.[0]" \
	"[TEAM2_RACE] Leader: Diplomats don't attack our ships or installations. " \
	"Request denied!",
	
	//HailEnemyCapitalHostile_msg
	"[PLAYER_NAME]: You should have been more supportive of our efforts to pacify " \
	"the galaxy. Now things get ugly.[0]" \
	"[TEAM2_RACE] Leader: Ugliness is preferable to alien tyranny.",

	// kHailEnemyRandom1_msg
	"[PLAYER_NAME]: This system will soon be joined to the ISC. Accepting the " \
	"inevitable is a sign of maturity.[0]" \
	"[TEAM2_RACE] Captain: Call me immature then. Just as long as I get " \
	"a chance to call you 'dead' by the end of the day.",

	// kHailEnemyRandom2_msg
	"[PLAYER_NAME]: This system will soon be joined to the ISC. Surrender " \
	"now and the transition to the new order will be easier.[0]" \
	"[TEAM2_RACE] Captain: Has it occurred to you that some of us " \
	"don't want an easy transition?[0]" \
	"[PLAYER_NAME]: We understand that professional aggressors such as " \
	"yourself will have difficulty coping with the new order. But " \
	"excellent counseling services are available.[0]" \
	"[TEAM2_RACE] Captain: Counseling service? DIIIIIIIIIIIIE!!!!",

	// kHailEnemyRandom3_msg
	"[PLAYER_NAME]: This system will soon be joined to the ISC. Join us and help " \
	"your people prepare with minimal bloodshed.[0]" \
	"[TEAM2_RACE] Captain: I intend that there will be minimal bloodshed. Just yours.[0]" \
	"[PLAYER_NAME]: How rude! The [TEAM2_RACE_PLURAL] has a lot to learn about diplomacy!",

 
	// kDemandSurrenderGT50_msg
	"[PLAYER_NAME]: Surrender or be destroyed.[0]" \
	"[TEAM2_RACE] Captain: It's a little premature, Commander. " \
	"We're not that badly damaged.",

	//	kDemandSurrenderGT5_msg
	"[PLAYER_NAME]: Surrender or be destroyed.[0]" \
	"[TEAM2_RACE] Captain: I've had better days. But it isn't over yet.",

	//	kDemandSurrenderLT5_msg
	"[TEAM2_RACE]: Never surrender your home system without fighting to the last breath. It's in the constitution.",

	// kHailFedStarbase
	"Federation Captain: Welecome to Earth, [PLAYER_RANK]. Come by and enjoy yourself.",

	// kHailHydranStarbase
	"Hydran Captain: Welcome to Hydran, [PLAYER_RANK]. You may find the atmosphere a bit difficult to breathe, but our hospitality is good.",

	// kHailRomulanStarbase
	"Romulan Captain: Welcome to Romulus.",

	// kLowerShieldsNoCode_msg
	"Communications Officer: We'd need to know their prefix codes, [PLAYER_RANK].",

	// kLowerShieldsFalse_msg
	"Communications Officer: Shields lowered, [PLAYER_RANK].",

	// kLowerShieldsTrue_msg
	"Communications Officer: They changed the prefix code. No effect, [PLAYER_RANK].",

	//
	//	Victory rating
	//

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//
	"F-DEF",
	"K-DEF",
	"R-DEF",
	"L-DEF",
	"H-DEF",
	"G-DEF",
	"I-DEF",
	"Z-DEF",

	//
	//	Event dialog
	//
	// kTransportWarning_msg,
	"Communications Officer: The transports are beginning to make their move. " \
	"Their captains are afraid that they'll be caught by enemy reinforcements.",
	
	// kTransportsArrive_msg,
	"Communications Officer: The transports have arrived in the system.[0]" \
	"They're beginning to make their move.",

	// kTransportDestroyed_msg,
	"Science Officer: One of the transports has been destroyed. We'll never take our objective now. Mission aborted.[0]",

	// kTransportReachesPlanet_msg,
	"Security Officer: One of the transports has reached the planet. Deploying ground forces.[0]",
	
	// kPlanetTaken_msg,
	"First Officer: The planet is ours. Primary objective achieved.[0]",

	// kTransportReachesMoon_msg,
	"Security Officer: One of the transports has reached the moon. Deploying ground forces.[0]",
	
	// kPlanetAndMoon_msg,
	"First Officer: We have captured both the planet and the moon. All objectives complete. Mission accomplished.[0]",

	// kNeedPlanet_msg
	"First Officer: All we need to do is capture the planet, and the mission will be achieved.[0]",
	//
	//	Custom messages
	//
	//	kScriptIniHeader
	"ISC_9B1Homeworld",
	// kDiplomatBeamed,
	"DIPLOMAT_BEAMED",
	// kSectorRace,
	"SECTOR_RACE",
	//	kAllianceFed
	"ALLIANCE_FEDERATION",
	//	kAllianceForged
	"ALLIANCE_FORGED",
	//	kAllianceHydran
	"ALLIANCE_HYDRAN",
	//	kAllianceRomulan,
	"ALLIANCE_ROMULAN",
	// kCodeKnown
	"CODE_KNOWN",
	// kShieldsLowered
	"SHIELDS_LOWERED",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Homeworld Bound, Part I",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",

#endif
};
