/********************************************************************************************************\

	File Name:	PlayerNPC1TeamAllyAttackedState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyTeam.h"
#include "PlayerNPC1TeamAllyAttackedState.h"
#include "PlayerNPC1Team.h"
#include "MissionText.h"
#include "ISC_9B1Homeworld.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerNPC1TeamAllyAttackedState::mBeginState()
{
	
	tTeamInfo * PlayerTeam;
	tTeamInfo * EnemyTeam;
	EnemyTeam = fMissionInfo->mGetTeamHandle((eTeamID)kEnemyTeam);
	tShipIterator starbase = EnemyTeam->mGetFirstShip();
	for(starbase; *starbase != NULL; starbase++)
	{
		if(starbase->mGetCustomID() == tEnemyTeam::kEnemyStarBase)
			break;
	}

	PlayerTeam = fMissionInfo->mGetTeamHandle((eTeamID)kPlayerTeam);
	tShipIterator ship = fChildActor->mGetFirstShip();
	for(ship; *ship != NULL; ship++)
	{
		PlayerTeam->mGotoCommState((*ship)->mGetShipID(), tISC_9B1Homeworld::kCommState3);
		ship->mSetShipTarget(*starbase, kAbsolutePriority);
	}

}
void tPlayerNPC1TeamAllyAttackedState::mEndState()
{}

void tPlayerNPC1TeamAllyAttackedState::mOnDeath( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnCapture( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mAtDistance( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mAtDestination( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	
//	char msg[1024];
	eRaceName race;

	if( targetShip->mGetTeam() == fChildActor->mGetTeam() )
	{

		race = fMissionInfo->mGetTeamHandle(targetShip->mGetTeam())->mGetRace();
		switch(buttonID)
		{
		case kHail_btn:
				break;
		case kRequestAssistance_btn:
		case kDefendMe_btn:
		case kAttackTarget_btn:
			fMissionInfo->mDisplayMessage((eTeamID)kPlayerTeam, kDefendAllyAttacked_msg);
			break;
		}
		
	}


}
void tPlayerNPC1TeamAllyAttackedState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnFlashingButtonPressed()
{}
void tPlayerNPC1TeamAllyAttackedState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlayerNPC1TeamAllyAttackedState::mOnPlayerLeaving( int playerNumber )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnHostChanged()
{}
void tPlayerNPC1TeamAllyAttackedState::mOnTimedInterval( int32 timerID )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerNPC1TeamAllyAttackedState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

