/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );

	virtual void	mScheduleNextMission( tVictoryCondition* VictoryCondition );

	bool mRandomChat(void);
	void mSetRandomChat(bool x);
	bool mAtEdgeOfMap(void);
	void mSetAtEdgeOfMap(bool x);
	bool mAttacker();
	void mSetAttacker(bool x);
	int32 mTransportTimer();
	void mIncTransportTimer();
	void mSetTransportTimer(int32 x);



/*

	HELPER NOTE:	Below is where the list of the ship custom IDs go.  An example follows.

		enum eCustomIDs
		{
			kPlayerNPCBS1,
			kPlayerNPCBS2,
		};

	Also note that this enum will likely be removed once ships are assigned through the engine.

*/
	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
		kPlayerShip4,
		kPlayerShip5,
		kPlayerShip6,
	};

	tShipInfo * fAITarget;

		enum eTimerIDs
	{
		kEventTimerID = 1000,
	};

	bool fAttacker;
	bool fRandomChat;
	bool fAtEdgeOfMap;
	int32 fTransportTimer;
	 

};

#endif
