/********************************************************************************************************\

	File Name:	TransportTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "PlayerTeam.h"
#include "TransportTeam.h"
#include "TransportTeamBaseState.h"
#include "ISC_9B1Homeworld.h"
#include "MissionText.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTransportTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tTransportTeamBaseState::mEndState()
{}
void tTransportTeamBaseState::mOnDeath( tShipInfo* ship )
{
	if(ship->mGetTeam() == kTransportTeam)
		fMissionInfo->mDisplayMessage((eTeamID) kPlayerTeam, kTransportDestroyed_msg);

}
void tTransportTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTransportTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tTransportTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTransportTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTransportTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTransportTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTransportTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransportTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransportTeamBaseState::mOnFlashingButtonPressed()
{}
void tTransportTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTransportTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTransportTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tTransportTeamBaseState::mOnHostChanged()
{}
void tTransportTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* transportTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTransportTeam ) );
        if (transportTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (transportTeam->mIsTeamHumanControlled()) return;            // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tTransportTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(transportTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tTransportTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }

}
void tTransportTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTransportTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

