/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	/*

		HELPER NOTE:	If you want random chatter, do not remove kRandChatID

	*/
	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	/*
	

		bool mBSed( void );

	*/
	bool mCapitalTaken();
	int32 mDestroyedAlly();
	int32 mPlanetTransportsArrived();
	int32 mMoonTransportsArrived();

	void mSetCapitalTaken(bool x);
	void mIncDestroyedAlly();
	void mIncPlanetTransportsArrived();
	void mIncMoonTransportsArrived();

	// Custom
	bool mTransportArrived( int32 transportID );
	void mSetTransportArrived( int32 transportID, bool arrived );
	void mAddPlanetTransportsDestroyed();
	int32 mGetPlanetTransportsDestroyed();

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	bool fCapitalTaken;
	int32 fDestroyedAlly;
	int32 fPlanetTransportsArrived;
	int32 fMoonTransportsArrived;

	bool fMoonTransportArrived;
	bool fPlanetTransport1Arrived;
	bool fPlanetTransport2Arrived;
	bool fPlanetTransport3Arrived;
	int32 fPlanetTransportsDestroyed;

};

#endif



