/********************************************************************************************************\

	File Name:	EnemyStarBase.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyStarBase.h"
#include "EnemyStarBaseBaseState.h"
#include "EnemyTeam.h"
#include "MissionText.h"
#include "ISC_9B2Homeworld.h"


tClassAllocator<tEnemyStarBase> gEnemyStarBaseAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tEnemyStarBase::mSetupState()
{
	mRegisterState( new tEnemyStarbaseBaseState() );
	mGotoState( typeid( tEnemyStarbaseBaseState ) );
}

void tEnemyStarBase::mSetupCommState()
{
	tISC_9B2Homeworld * script = (tISC_9B2Homeworld * ) gScriptInterface.fScript;

	tTeamInfo * PlayerTeam = fMissionInfo->mGetTeamHandle((eTeamID)kPlayerTeam);
	Assert(PlayerTeam);
		if(script->fDiplomatBeamed)
	{
		switch(script->fSectorRace)
		{
		case kFederation:
			PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState1, kNoStateChange , mGetShipID() , kHail_btn , kHailFedStarbase_msg, kNoRandomMsg );
			PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState1, kNoStateChange , mGetShipID() , kRequestAssistance_btn , kFedNotUnderAttack_msg, kNoRandomMsg );

			break;
		case kHydran:
			PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState1, kNoStateChange , mGetShipID() , kHail_btn , kHailHydranStarbase_msg,kNoRandomMsg );
			PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState1, kNoStateChange , mGetShipID() , kRequestAssistance_btn , kHydranNotUnderAttack_msg, kNoRandomMsg );

			break;
		case kRomulan:
			PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState1, kNoStateChange , mGetShipID() , kHail_btn , kHailRomulanStarbase_msg, kNoRandomMsg );
			PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState1, kNoStateChange , mGetShipID() , kRequestAssistance_btn , kRomulanNotUnderAttack_msg, kNoRandomMsg );
			break;
		}
		PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState2, kNoStateChange , mGetShipID() , kHail_btn , kNoResponse_msg, kNoRandomMsg );
		PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState2, kNoStateChange , mGetShipID() , kRequestAssistance_btn , kNoResponse_msg, kNoRandomMsg );

	}
	else
	{
		PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState1, kNoStateChange , mGetShipID() , kSetAsTarget_btn , kCommDummy_msg, kNoRandomMsg );
		PlayerTeam->mRegisterCommMessage( tISC_9B2Homeworld::kCommState1, kNoStateChange , mGetShipID() , kLowerShields_btn , kCommDummy_msg, kNoRandomMsg );
	}
		
	PlayerTeam->mGotoCommState(mGetShipID(), tISC_9B2Homeworld::kCommState1);

}

void tEnemyStarBase::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
	mSetShipCallbackEvents( kNotifyTransportedItem );
}
