/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"
#include "ISC_9B2Homeworld.h"

//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_9B2Homeworld",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Destroy an enemy capital world with the help of allies.\n\n",	

	// kBriefingA_msg
	"You've entered the [TEAM2_RACE] home sector. Your mission is simple. " \
	"Safely deliver the diplomat to the planet. Do not, under any circumstances, " \
	"engage the enemy in combat. Use your diplomatic immunity wisely.\n\n" \
	"Everything rest on your shoulders. Good luck.\n\nDismissed.",

	// kBriefingB_msg
	"You've entered the [TEAM2_RACE] home sector. This next operation is critical.\n\n" \
	"With our newly acquired allies, you will clear a path through the defenses in " \
	"preparation for a ground assault. When the defenses are cleared, you will escort " \
	"a trio of transports containing several units of our best infantry. Get two of " \
	"them to the planet, and they'll take it. With the [TEAM2_RACE_PLURAL] pacified, " \
	"the rest of the quadrant will fall into line.\n\n" \
	"Everything rests on your shoulders. Good luck.\n\nDismissed.",
	
	// kBriefingC_msg
	"You've entered the [TEAM2_RACE] home sector. This next operation is critical.\n\n" \
	"With our newly acquired allies, you will clear a path through the defenses in " \
	"preparation for a ground assault. When the defenses are cleared, you will escort " \
	"four transports containing several units of our best infantry. Get two transports " \
	"to the planet, and a third to the inhabited [TEAM2_RACE] moon, and they'll " \
	"subdue them. With the [TEAM2_RACE_PLURAL] pacified, the rest of the quadrant " \
	"will fall into line.\n\nEverything rests on your shoulders. Good luck.\n\nDismissed.",

	// kBriefingD_msg
	"You've entered the [TEAM2_RACE] home sector. We didn't recommend this mission, " \
	"but since you've volunteered...\n\nActing alone, without reinforcements, you will " \
	"clear a path through the defenses in preparation for a ground assault. If you can " \
	"clear the defenses, you will escort a trio of transports containing several units of " \
	"our best infantry. Get two of them to the planet, and they'll take it. With the " \
	"[TEAM2_RACE_PLURAL] pacified, the rest of the quadrant will fall into line.\n\n" \
	"Everything rests on your shoulders. Good luck.\n\nDismissed.",

	// kBriefingE_msg
	"You've entered the [TEAM2_RACE] home sector. We didn't recommend this mission, " \
	"but since you've volunteered...\n\nActing alone, without reinforcements, you will "
	"clear a path through the defenses in preparation for a ground assault. " \
	"If you can clear the defenses, you will escort four transports containing " \
	"several units of our best infantry. Get two of them to the planet, and a " \
	"third to the inhabited moon, and they'll take them. With the [TEAM2_RACE_PLURAL] " \
	"pacified, the rest of the quadrant will fall into line.\n\nEverything rests on " \
	"your shoulders. Good luck.\n\nDismissed.",


	//
	//	Starting message
	//
	
	//	kStartFedDiplomacy_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].[0]We have arrived at " \
	"Earth, the great enlightened center of the United Federation of Planets. Our goal " \
	"is to avoid combat and deliver a team of diplomats safely to the planet.[0]" \
	"Our communication skills will be the key to this mission.\n\n",

	// kStartHydranDiplomacy_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].[0]We have arrived " \
	"at Hydra, the capital world of the Hydran Commonwealth. Our goal is to avoid " \
	"combat and deliver a team of diplomats safely to the planet.[0] Our communication " \
	"skills will be the key to this mission.\n\n", 

	// kStartRomulanDiplomacy_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE].[0] We have arrived " \
	"at Romulus, the capital world of the Romulan Empire. Our goal is to avoid " \
	"combat and deliver a team of diplomats safely to the planet.[0] Our communication " \
	"skills will be the key to this mission.\n\n",

	// kStartHostileGeneric_msg
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We have arrived " \
	"at [SYSTEM_NAME] in order to subdue the [TEAM2_RACE_PLURAL].[2] We must weaken " \
	"the system's defenses before two transports arrive, then safely escort "
	"both transports to the planet's surface.\n\n",

	// kStartHostileKorM_msg
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. We have arrived " \
	"at [SYSTEM_NAME] in order to subdue the [TEAM2_RACE_PLURAL].[2]We must weaken " \
	"the system's defenses before three transports arrive, then safely escort " \
	"two transports to the planet's surface and one transport to the planet's " \
	"fortified moon.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebFedAlly_msg
	"Congratulations. You'll be happy to know that the diplomats pulled it off.\n\n" \
	"The ISC and the only enlightened culture in the quadrant, the Federation, " \
	"are now allies. You deserve the lion's share of the credit. Well done.\n\n" \
	"Your next mission will be more offensive in nature. We need to capture " \
	"one of the enemy strongholds. You duty will be to join our new allies in an " \
	"assault on an enemy homeworld. We'll brief you further when you reach " \
	"the system.\n\nDismissed.",

	//	kDebHydranAlly_msg
	"Congratulations. You'll be happy to know that the diplomats pulled it off.\n\n" \
	"The ISC and the Hydrans are now allies. They're funny little creatures, " \
	"but you have to admire their pluck and resolve. And we couldn't have done " \
	"it without you. Well done.\n\nYour next mission will be more offensive in " \
	"nature. We need to capture one of the enemy strongholds. Your duty will join our " \
	"new allies in an assault on an enemy homeworld. We'll brief you further "
	"when you reach the system.\n\nDismissed.",

	//	kDebRomulanAlly_msg
	"Congratulations. You'll be happy to know that the diplomats pulled it off.\n\n" \
	"The ISC and the Romulans are now allies. I'm not sure we can trust them, and " \
	"those Tal Shi'ar remind me of gravewalkers, but an ally is an ally. Well done.\n\n" \
	"Your next mission will be more offensive in nature. We need to capture one " \
	"of the enemy strongholds. You will join our new allies in an assault on an " \
	"enemy homeworld. We'll brief you further when you reach the system.\n\nDismissed.",

	//	kDebFedAttack_msg
	"Congratulations. You just destroyed any chance of an alliance with " \
	"the Federation. Don't you know enough to hail an enemy when you're " \
	"engaged in a diplomatic mission? Has all this fighting rotted your brain?\n\n" \
	"Maybe if we offer a formal apology... maybe we can salvage this, and try again.\n\n" \
	"You're dismissed.\n\n",
	
	//	kDebHydranAttack_msg
	"Congratulations. You just destroyed any chance of an alliance with the Hydrans. " \
	"Don't you know enough to hail an enemy when you're engaged in a diplomatic " \
	"mission? Has all this fighting rotted your brain?\n\n" \
	"Maybe if we offer a formal apology... maybe we can salvage this, and try again.\n\n" \
	"You're dismissed.\n\n",

	//	kDebRomulanAttack_msg
	"Congratulations. You just destroyed any chance of an alliance with the " \
	"Romulans. Don't you know enough to hail an enemy when you're engaged in " \
	"a diplomatic mission? Has all this fighting rotted your brain?\n\n" \
	"Maybe if we offer a formal apology... maybe we can salvage this, and try again.\n\n" \
	"You're dismissed.\n\n",

	//	kDebFailGeneric_msg
	"Well, we asked you to take the planet, but you failed to deliver the two " \
	"transports.\n\nAs a result of this failure, our allies have pulled out " \
	"out of their alliance with us. We may yet be able to claim victory at " \
	"[SYSTEM_NAME], but it will be much more difficult.\n\n" \
	"Dismissed.\n\n",


	//	kDebFailKorM_msg
	"Well, we asked you to take the planet, but you failed to deliver the two " \
	"transports.\n\n As a result of this failure, our allies have pulled " \
	"out of their alliance with us. We may yet be able to claim victory at "
	"[SYSTEM_NAME], but it will be much more difficult.\n\n" \
	"Dismissed.",


	//	kDebHostileSuccess_msg
	"Well done. The [TEAM2_RACE] homeworld is ours. The rest of the galaxy " \
	"is beginning to consider a diplomatic solution. We may yet bring order and " \
	"peace to this quadrant yet.\n\nWe should consult with the Organians next " \
	"to see what needs to be done. It's not over yet.\n\nDismissed.",


	//
	//	Comm buttons
	//
	//	kHail_btn
	"HAIL",
	//	kRequestAssistance_btn
	"REQUEST ASSISTANCE",

	// kAttackTarget_btn
	"ATTACK TARGET",

	// kDefendMe_btn
	"DEFEND ME",
	
	//kSetAsTarget_btn
	"SET AS TARGET",

	// kDemandSurrender_btn
	"DEMAND SURRENDER",

	// kLowerShields_btn
	"LOWER SHIELDS",
	//
	//	Comm messages
	//

	//	kCommDummy_msg
	"",

	// kNoResponce_msg
	"Communications Officer: They're not answering our hails.",

	//	kHailDiplomacyFed_msg
	"Federation Captain: Welcome to our home sector, [PLAYER_RANK]. Take it easy " \
	"on the furniture, won't you?",

	//	kHailDiplomacyHydran_msg
	"Hydran Captain: Welcome to Hydra, [PLAYER_RANK]. Enjoy your stay.",

	// kHailDiplomacyRomulan_msg
	"Romulan Commander: Welcome to Romulus. You won't find a more beautiful planet " \
	"anywhere in the galaxy.",

	// kAllyHull100_msg
	"Captain: We're in good shape. Give us a priority target.",

	//	kAllyHullGT70_msg
	"Captain: Hull is at XXX%. We're in good shape so far.",
	
	//	kAllyHullGT40_msg
	"Captain: This is not my day. But I'm not ready to burn yet.",

	// kAllyHullLT40_msg
	"Captain: Mayday. Requesting assistance.",

	// kFedNotUnderAttack_msg
	"Federation Captain: I don't understand. We're not under attack.",
	// kHydranNotUnderAttack_msg
	"Hydran Captain: I don't understand. We're not under attack.",
	// kRomulanNotUnderAttack_msg
	"Romulan Commander: Our sensors do not show any attackers. Please confirm your report.",

	// kAttackHullGT30_msg
	"Captain: Acknowledged. We'll do our best, [PLAYER_SHIP_NAME]",

	// kAttackHullLT30_msg
	"Captain: We're almost finished, but perhaps we can muster one final attack.",

	// kDefendAllyAttacked_msg	
	"Captain: After you attacked us? They can kill you with our blessing!",

	// kDefendHullGT30_msg
	"Captain: Acknowledged. We'll do our best, [PLAYER_SHIP_NAME].",
	
	//	kDefendHullLT30_msg
	"Captain: Affirmative. The line will be drawn here.",

	// kHailEnemyCapitalTaken_msg
	"ISC Governor: We're still setting up down here. You're welcome to come visit, of course.",


	// kHailEnemyCapitalDiplomacy_msg
	"[PLAYER_NAME]: We're here on a diplomatic mission. Please stand down.\n\n[0]" \
	"[TEAM2_RACE] Leader: Hail us when you get in transporter range, [PLAYER_SHIP_NAME] " \
	"and we'll lower our shields.",
	
	// kHailEnemyCapitalLowerShields_msg
	"[TEAM2_RACE] Leader: We're lowering shields for transport of your diplomat, [PLAYER_SHIP_NAME]",

	// kHailEnemyCapitalDoplomacyAttacked_msg
	"[Player Name]: We're here on a diplomatic mission. Please stand down.[0]" \
	"[TEAM2_RACE] Leader: Diplomats don't attack our ships or installations. " \
	"Request denied!",
	
	//HailEnemyCapitalHostile_msg
	"[PLAYER_NAME]: You should have been more supportive of our efforts to pacify " \
	"the galaxy. Now things get ugly.[0]" \
	"[TEAM2_RACE] Leader: Ugliness is preferable to alien tyranny.",

	// kHailEnemyRandom1_msg
	"[PLAYER_NAME]: This system will soon be joined to the ISC. Accepting the " \
	"inevitable is a sign of maturity.[0]" \
	"[TEAM2_RACE] Captain: Call me immature then. Just as long as I get " \
	"a chance to call you 'dead' by the end of the day.",

	// kHailEnemyRandom2_msg
	"[PLAYER_NAME]: This system will soon be joined to the ISC. Surrender " \
	"now and the transition to the new order will be easier.[0]" \
	"[TEAM2_RACE] Captain: Has it occurred to you that some of us " \
	"don't want an easy transition?[0]" \
	"[PLAYER_NAME]: We understand that professional aggressors such as " \
	"yourself will have difficulty coping with the new order. But " \
	"excellent counseling services are available.[0]" \
	"[TEAM2_RACE] Captain: Counseling service? DIIIIIIIIIIIIE!!!!",

	// kHailEnemyRandom3_msg
	"[PLAYER_NAME]: This system will soon be joined to the ISC. Join us and help " \
	"your people prepare with minimal bloodshed.[0]" \
	"[TEAM2_RACE] Captain: I intend that there will be minimal bloodshed. Just yours.[0]" \
	"[PLAYER_NAME]: How rude! The [TEAM2_RACE] has a lot to learn about diplomacy!",

 
	// kDemandSurrenderGT50_msg
	"[PLAYER_NAME]: Surrender or be destroyed.[0]" \
	"[TEAM2_RACE] Captain: It's a little premature, Commander. " \
	"We're not that badly damaged.",

	//	kDemandSurrenderGT5_msg
	"[PLAYER_NAME]: Surrender or be destroyed.[0]" \
	"[TEAM2_RACE] Captain: I've had better days. But it isn't over yet.",

	//	kDemandSurrenderLT5_msg
	"[TEAM2_RACE]: Never surrender your home system without fighting to the last breath. It's in the constitution.",

	// kHailFedStarbase
	"Federation Captain: Welecome to Earth, [PLAYER_RANK]. Come by and enjoy yourself.",

	// kHailHydranStarbase
	"Hydran Captain: Welcome to Hydran, [PLAYER_RANK]. You may find the atmosphere a bit difficult to breathe, but our hospitality is good.",

	// kHailRomulanStarbase
	"Romulan Captain: Welcome to Romulus.",

	// kLowerShieldsNoCode_msg
	"Communications Officer: We'd need to know their prefix codes, [PLAYER_RANK].",

	// kLowerShieldsFalse_msg
	"Communications Officer: Shields lowered, [PLAYER_RANK].",

	// kLowerShieldsTrue_msg
	"Communications Officer: They changed the prefix code. No effect, [PLAYER_RANK].",

	//
	//	Victory rating
	//

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//
	"F-DEF",
	"K-DEF",
	"R-DEF",
	"L-DEF",
	"H-DEF",
	"G-DEF",
	"I-DEF",
	"Z-DEF",

	//
	//	Event dialog
	//
	// kTransportWarning_msg,
	"Communications Officer: The transports are beginning to make their move. " \
	"Their captains are afraid that they'll be caught by enemy reinforcements.",
	
	// kTransportsArrive_msg,
	"Communications Officer: The transports have arrived in the system.[0]" \
	"They're beginning to make their move.",

	// kTransportDestroyed_msg,
	"Science Officer: One of the transports has been destroyed before it could deliver its troops. We'll never take our objective now. Mission aborted.[0]",

	// kOneTransportDestroyed_msg,
	"Science Officer: One of the transports has been destroyed before it could deliver its troops.",

	// kManyTransportDestroyed_msg,
	"Science Officer: Another of the transports has been destroyed before it could deliver its troops. We'll never take our objective now. Mission aborted.[0]",

    // kArrivedTransportDestroyed,
    "Science Office: A transport that already delivered the troops has been destroyed.",

    // kMoonTransportDestroyed,
    "Science Office: One of the transport has been destroyed before it could reach its destination, the moon.",

	// kTransportReachesPlanet_msg,
	"Security Officer: One of the transports has reached the planet. Deploying ground forces.[0]",
	
	// kPlanetTaken_msg,
	"First Officer: The planet is ours. Primary objective achieved.[0]",

	// kTransportReachesMoon_msg,
	"Security Officer: One of the transports has reached the moon. Deploying ground forces.[0]",
	
	// kPlanetAndMoon_msg,
	"First Officer: We have captured both the planet and the moon. All objectives complete. Mission accomplished.[0]",

	// kNeedPlanet_msg
	"First Officer: All we need to do is capture the planet, and the mission will be achieved.[0]",
	//
	//	Custom messages
	//
	//	kScriptIniHeader
	"ISC_9B2Homeworld",
	// kDiplomatBeamed,
	"DIPLOMAT_BEAMED",
	// kSectorRace,
	"SECTOR_RACE",
	//	kAllianceFed
	"ALLIANCE_FEDERATION",
	//	kAllianceForged
	"ALLIANCE_FORGED",
	//	kAllianceHydran
	"ALLIANCE_HYDRAN",
	//	kAllianceRomulan,
	"ALLIANCE_ROMULAN",
	// kCodeKnown
	"CODE_KNOWN",
	// kShieldsLowered
	"SHIELDS_LOWERED",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Homeworld Bound, Part II",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
};
