/********************************************************************************************************\

	File Name:	PlanetTransport.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlanetTransport.h"
#include "PlanetTransportBaseState.h"
#include "TransportTeam.h"
#include "ISC_9B2Homeworld.h"
tClassAllocator<tPlanetTransport> gPlanetTransportAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tPlanetTransport::mSetupState()
{
	mRegisterState( new tPlanetTransportBaseState() );
	mGotoState( typeid( tPlanetTransportBaseState ) );
}

/*

	HELPER NOTE:	Here is an example of how you could use this function.  Remember that those ships
					that are implicitly created should be done on the team level; those ships that you
					explicitly create could be done here and probably should.  Here is an example:

	void
	tPlanetTransport::mSetupCommState( void )
	{
		mRegisterCommMessage( kBSCommState1 , kNoStateChange , mGetShipID() , k_BS_1_btn , k_BS_1_msg , kNoRandomMsg );
		mRegisterCommMessage( kBSCommState1 , kBlankCommState , mGetShipID() , k_BS_2_btn , k_BS_2_msg , kNoRandomMsg );
		mRegisterCommMessage( kBSCommState1 , kBSCommState2 , mGetShipID() , k_BS_3_btn , k_BS_3_msg , k_BS_7_msg );

		mRegisterCommMessage( kBSCommState2 , kNoStateChange , mGetShipID() , k_BS_4_btn , k_BS_8_msg , kNoRandomMsg );

		mGotoCommState( kBSCommState1 );
	}
*/
void tPlanetTransport::mSetupCommState()
{}

void tPlanetTransport::mSetupShip()
{
	int32 X, Y;

	tTeamInfo * enemy = fMissionInfo->mGetTeamHandle((eTeamID) kEnemyTeam);
	Assert(enemy);
	if(!enemy)
		return;
	float distance;
	if(enemy->mGetRace() == kHydran)
	{
		distance = 25.0;
	}
	else
	{
		distance = 15.0;
	}
	mSetShipMaxSpeed(15);

	tShipIterator planet = enemy->mGetFirstShip();
	(*planet)->mGetGridPosition(&X, &Y);
	mTrackTacticalDistance(distance, X, Y, kTrue);
	mSetFinalDestination(X, Y);
	mSetShipCallbackEvents( kNotifyTransportedItem );
}
