/********************************************************************************************************\

	File Name:	PlanetTransportBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlanetTransportBaseState.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlanetTransportBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tPlanetTransportBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tPlanetTransportBaseState::mBeginState\n");
}
void tPlanetTransportBaseState::mEndState()
{}

void tPlanetTransportBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlanetTransportBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlanetTransportBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlanetTransportBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlanetTransportBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetTransportBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetTransportBaseState::mOnFlashingButtonPressed()
{}
void tPlanetTransportBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlanetTransportBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlanetTransportBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlanetTransportBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlanetTransportBaseState::mOnHostChanged()
{}
void tPlanetTransportBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tMoonTransportBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tMoonTransportBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tPlanetTransportBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlanetTransportBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

