/********************************************************************************************************\

	File Name:	MoonTransportBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MoonTransportBaseState.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMoonTransportBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tMoonTransportBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tMoonTransportBaseState::mBeginState\n");
}
void tMoonTransportBaseState::mEndState()
{}

void tMoonTransportBaseState::mOnDeath( tShipInfo* ship )
{}
void tMoonTransportBaseState::mOnCapture( tShipInfo* ship )
{}
void tMoonTransportBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMoonTransportBaseState::mAtDistance( tShipInfo* ship )
{}
void tMoonTransportBaseState::mAtDestination( tShipInfo* ship )
{}
void tMoonTransportBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMoonTransportBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMoonTransportBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMoonTransportBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMoonTransportBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMoonTransportBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMoonTransportBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMoonTransportBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMoonTransportBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMoonTransportBaseState::mOnFlashingButtonPressed()
{}
void tMoonTransportBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMoonTransportBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMoonTransportBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tMoonTransportBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tMoonTransportBaseState::mOnHostChanged()
{}
void tMoonTransportBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMoonTransportBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );

        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMoonTransportBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMoonTransportBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMoonTransportBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

