/********************************************************************************************************\

	File Name:	CommonDefs.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonDefs_h )
#define CommonDefs_h


#include "tbasic.h"

// The number of bonus prestige points awarded for obtaining Sevrin's secret.
const int32 PRESTIGE_SECRET_SECURED = 75;

// The number of bonus prestige points awarded for hailing the sun.
const int32 PRESTIGE_HAILED_SUN = 75;

// The number of bonus prestige points to award for defeating the enemy and securing/protecting the secret.
const int32 PRESTIGE_VICTORY = 100;

// The number of prestige points to award for deep scanning objects relevant to the mission.
const int32 PRESTIGE_DEEP_SCAN = 10;

// The number of enemy ships to be faced.
const int32 NUM_ENEMY_SHIPS = 2;

// The maximum speed of ships in SFC2 generally.
const int32 MAX_SHIP_SPEED = 31;

// The maximum speed of the transport.
const int32 MAX_TRANSPORT_SPEED = 5;

// The maximum speed a ship should observe in the dust clouds.
const int32 MAX_DUST_CLOUD_SPEED = 10;

// The range beyond which communications is impossible due to pulsar interference.
const float	COMMUNICATION_RANGE = 50.0f;

// The range at which Sevrin will transmit his message.
const float	SECRET_TRANSMISSION_RANGE = 10.0f;

// The damage percent beyond which the enemy ship will surrender if asked.
const float SURRENDER_THRESHOLD = 80.0f;

// The interval to be used for the deep scan timer.
const float SCAN_TIMER_INTERVAL = 0.75f;


#endif