/********************************************************************************************************\

	File Name:	SunTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "SunTeam.h"
#include "SunTeamBaseState.h"
#include "SunShip.h"
#include "ISC_X3M1BTemple.h"
#include "ShipList_API.h"

tClassAllocator<tSunTeam> gSunTeamAllocator;

void tSunTeam::mSetupState()
{
	mRegisterState( new tSunTeamBaseState() );
	mGotoState( typeid( tSunTeamBaseState ) );
}

void tSunTeam::mSetupCommState()
{}

void tSunTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Entering: tSunTeam::mCreateShipsForTeam\n");

	gST.mDebug_fprintf("Creating sunship (N-PULS), the classic way.\n");

	int32 x = 0, y = 0;
	fMissionInfo->mGetGridPosition( 'J', &x, &y );
	fMissionInfo->mCreateMapObject(	'~', x, y );

	mCreateShip(	
		typeid( tSunShip ), 
		"N-PULS", 
		kStartPosition_J,
		tTeamInfo::kNoMetaShipID, 
		kSunShip1, 
		0, 0, -1, -1, 
		Messages[kSunName].c_str(), 
		kDefaultShipOptions );


	gST.mDebug_fprintf("--- Finished: tSunTeam::mCreateShipsForTeam\n");
}

void tSunTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}


void tSunTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mDebug_fprintf("--- Entering: tSunTeam::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
	gST.mInitializeSL();
	gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
   	gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
		shipScriptDescription.fClassName.c_str());

   	gST.mDebug_fprintf("--- Finished: tSunTeam::mCreateNewShip: %s\n", 
		shipScriptDescription.fClassName.c_str());
}
