/*
	EnemyShip.cpp

	This module contains the definition of the tEnemyShip class, which does
	little more than initially configure the enemy ship correctly.
*/

#include "ISC_X4M1BThief.h"
#include "TeamInfo.h"
#include "MissionText.h"
#include "EnemyShip.h"
#include "EnemyShipBaseState.h"

tClassAllocator<tEnemyShip> gEnemyShipAllocator;

void tEnemyShip::mSetupState()
{
	mRegisterState( new tEnemyShipBaseState() );
	mGotoState( typeid( tEnemyShipBaseState ) );
}

/*
	This method sets up the comm states for the enemy ship. Rather than
	use the older comm states, it is easier to leverage version 3 of the
	SFC2 API and configure both buttons simply to generate events without
	displaying any text. The handling may then be done elsewhere.
*/

void tEnemyShip::mSetupCommState()
{
	int32 iShipID = mGetShipID();
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kPlayerTeam));
	playerTeam->mRegisterCommMessage(kCommState1, kNoStateChange, iShipID, k_HAIL_Enemy_btn, kNoMsg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState1, kNoStateChange, iShipID, k_DS_Enemy_btn, kNoMsg, kNoRandomMsg);
	playerTeam->mGotoCommState(iShipID, kCommState1);
}

void tEnemyShip::mSetupShip()
{}
