/*
	EnemyShip.h

	This module contains the declaration of the tEnemyShip class, which does
	little more than initially configure the enemy ship correctly.
*/

#if !defined( EnemyShip_h )
#define EnemyShip_h

#include "ShipInfo.h"

class tEnemyShip : public tShipInfo
{
public:
	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	// Valid comm states for the enemy ship.
	enum eCommStates
	{
		// Attacked after having surrendered.
		kCommState1,	
		// Surrendered or been disabled.
		kCommState2,	
		// Ship not previously hailed.
		kCommState3,	
		// Ship previously hailed.
		kCommState4,	
		// Ship has been captured.
		kCommState5,	

		kBlankCommState,
	};
};

#endif
