/*
	ISC_X4M1BThief.h

	This module contains the declaration of the tISC_X4M1BThief class,
	which is the main class for the script.
*/

#if !defined( ISC_X4M1BThief_h )
#define ISC_X4M1BThief_h

#include "ScriptInterface.h"

// The following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)

enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kTransportTeam,
	kEnemyTeam,
	kPlatformTeam,
	kDraftTeam1,
	kDraftTeam2,
};

/*
	The main class for the script. It provides the backbone, so to speak,
	of the script framework.
*/

class tVictoryCondition;

class tISC_X4M1BThief : public tScript
{
public:

	tISC_X4M1BThief();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif
