/*
	MissionMaps.cpp

	This module contains definitions for the map data for the mission. 
	The symbols used in the map(s) correspond to objects as follows:

		Pos	Object
		---	------
		G	Player Ship
		H	ISC Transport #1
		I	ISC Transport #2
		J	ISC Transport #3
		K	ISC Transport #4
		L	ISC Defense Platform #1
		M	ISC Defense Platform #1
		N	ISC Defense Platform #1
		O	ISC Defense Platform #1
		P	Enemy Destroyer #1
		Q	Enemy Destroyer #2

	NB:	The script assumes that the starting positions of the transports
		and defense platforms are consecutive. It allows creation of them
		via a simple for loop.
*/

#include "tclient.h"
#include "MissionMaps.h"

int32 TotalMaps = 1;
const char* MapTypes[] = { "ISC Transport Yards" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "ISC Transport Yards",
   "// ISC Transport Yards Map",
   " +____1____2____3____4____5+",
   " |............j............|",
   " |............n............|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |............N........G...|",
   " |............J.......g....|",
   " |.........................|",
   "2|.........................|",
   " |.........................|",
   " |im....IM.........OK....ok|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |............L............|",
   " |............H............|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.....P......l............|",
   "5|............h............|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};
