/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_msg,

	//
	// Description message
	//
	kDescription_msg,

	//
	//	Starting message
	//
	kStart_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//

	k_HAIL_Transport_btn,
	k_HAIL_Enemy_btn,
	k_DS_Enemy_btn,

	//
	//	Comm messages
	//

	k_HAIL_Transport_Unmanned_msg,
	k_HAIL_Transport_Theirs_msg,
	k_HAIL_Transport_Ours_Healthy_msg,
	k_HAIL_Transport_Ours_Hit_msg,
	k_HAIL_Transport_Ours_Hurting_msg,
	k_HAIL_Transport_Ours_Dying_msg,

	k_HAIL_Nme_After_Surrender_msg,
	k_HAIL_Nme_First_Contact_msg,
	k_HAIL_Nme_Random_Response_1_msg,
	k_HAIL_Nme_Random_Response_2_msg,
	k_HAIL_Nme_Random_Response_3_msg,
	k_HAIL_Nme_After_Capture_msg,

	k_DS_Nme_After_Surrender_msg,
	k_DS_Nme_Random_Decline_1_msg,
	k_DS_Nme_Random_Decline_2_msg,
	k_DS_Nme_Random_Decline_3_msg,
	k_DS_Nme_Surrendering_msg,
	k_DS_Nme_Self_Destruct_msg,
	k_DS_Nme_After_Capture_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	kTransportCapturedByEnemy,
	kTransportCapturedByPlayerInitial,
	kTransportCapturedByPlayerSubsequent,
	kTransportDisengaged,
	kNoTransportsLeft,
	kDefensePlatformDestroyed,
	kTransportHeadingForCover,
	kTransportFollowingForCover,

	//
	//	Strings for use in code
	//

	kPlatformName,
	kPlatformClass,
	kTransportNameFormat,
	kTransportClass,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif