/********************************************************************************************************\

	File Name:	PlatformTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlatformTeamBaseState.h"
#include "ISC_X4M1BThief.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlatformTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tPlatformTeamBaseState::mEndState()
{}

void tPlatformTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlatformTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlatformTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlatformTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlatformTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlatformTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlatformTeamBaseState::mOnFlashingButtonPressed()
{}
void tPlatformTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlatformTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlatformTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlatformTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlatformTeamBaseState::mOnHostChanged()
{}

void tPlatformTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tEnemyTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tEnemyTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tPlatformTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlatformTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}
