/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"
#include "ScriptInterface.h"
#include "ISC_X4M2BBomber.h"


tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  You should
					do this for both constructors until informed otherwise.  For example:

	tTeam1BaseVictory::tTeam1BaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tBaseVictory::tBaseVictory() :
	fAsteroidTimer(0),
	fRepairTimer(0),
	fDestroyerTimer(0),
	fReachedAsteroidA(false),
	fOrbitingAsteroidA(false),
	fReachedAsteroidB(false),
	fRepairsMade(false),
	fTalkedToEnemy(false),
	fFreighterDestroyed(false),
	fAtEdgeOfMap(false),
	fEnemyDefeated(0)

{}
tBaseVictory::tBaseVictory( tTeamInfo* team ):
	fAsteroidTimer(0),
	fRepairTimer(0),
	fDestroyerTimer(0),
	fReachedAsteroidA(false),
	fOrbitingAsteroidA(false),
	fReachedAsteroidB(false),
	fRepairsMade(false),
	fTalkedToEnemy(false),
	fFreighterDestroyed(false),
	fAtEdgeOfMap(false),
	fEnemyDefeated(0)
{}

/*

	HELPER NOTE:
	Really, the only items in this function that you could change are the values passed into
	the tBaseVictoryState constructor.  These values are the capture bonus and prestige
	points awarded according to the player's victory status -- starting at
	kAstoundingVictory and working its way down to kDevastatingDefeat.

*/
void tBaseVictory::mSetupState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( playerTeam, kPlayerTeam, kPlayerTeam, 0, 300 , 225 , 75 , 0 , -75 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );
}



/*

	HELPER NOTE:
	The following is simply an example of setting and modifying
	the current victory condition objectives.

*/
int32 tBaseVictory::mAsteroidTimer(void)
{
	return fAsteroidTimer;
}
int32 tBaseVictory::mRepairTimer(void)
{
	return fRepairTimer;
}
int32 tBaseVictory::mDestroyerTimer(void)
{
	return fDestroyerTimer;
}
bool tBaseVictory::mReachedAsteroidA(void)
{
	return fReachedAsteroidA;
}
bool tBaseVictory::mOrbitingAsteroidA(void)
{
	return fOrbitingAsteroidA;
}
bool tBaseVictory::mReachedAsteroidB(void)
{
	return fReachedAsteroidB;
}

bool tBaseVictory::mRepairsMade(void)
{
	return fRepairsMade;
}

bool tBaseVictory::mTalkedToEnemy(void)
{
	return fTalkedToEnemy;
}

bool tBaseVictory::mFreighterDestroyed(void)
{
	return fFreighterDestroyed;
}
bool tBaseVictory::mAtEdgeOfMap(void)
{
	return fAtEdgeOfMap;
}
int32 tBaseVictory::mEnemyDefeated(void)
{
	return fEnemyDefeated;
}


	
//
//	Modifiers.
//


void tBaseVictory::mIncAsteroidTimer(void)
{
	fAsteroidTimer++;
}
void tBaseVictory::mIncRepairTimer(void)
{
	fRepairTimer++;
}
void tBaseVictory::mIncDestoyerTimer(void)
{
	fDestroyerTimer++;
}
void tBaseVictory::mSetReachedAsteroidA(bool x)
{
	fReachedAsteroidA = x;
}

void tBaseVictory::mSetOrbitingAsteroidA(bool x)
{
	fOrbitingAsteroidA = x;
}
void tBaseVictory::mSetReachedAsteroidB(bool x)
{
	fReachedAsteroidB = x;
}
void tBaseVictory::mSetRepairsMade(bool x)
{
	fRepairsMade= x;
}
void tBaseVictory::mSetTalkedToEnemy(bool x)
{
	fTalkedToEnemy = x;
}
void tBaseVictory::mSetFreighterDestroyed(bool x)
{
	fFreighterDestroyed = x;
}

void tBaseVictory::mSetAtEdgeOfMap(bool x)
{
	fAtEdgeOfMap = x;
}
void tBaseVictory::mIncEnemyDefeated(void)
{
	fEnemyDefeated++;
}

