/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );


	//
	//	Accessors.
	//
	

	int32 mAsteroidTimer(void);
	int32 mRepairTimer(void);
	int32 mDestroyerTimer(void);
	bool mReachedAsteroidA(void);
	bool mOrbitingAsteroidA(void);
	bool mReachedAsteroidB(void);
	bool mRepairsMade(void);
	bool mTalkedToEnemy(void);
	bool mFreighterDestroyed(void);
	bool mAtEdgeOfMap(void);
	int32 mEnemyDefeated(void);
	


	

	//
	//	Modifiers.
	//
	void mIncAsteroidTimer(void);
	void mIncRepairTimer(void);
	void mIncDestoyerTimer(void);
	void mSetReachedAsteroidA(bool x);
	void mSetOrbitingAsteroidA(bool x);
	void mSetReachedAsteroidB(bool x);
	void mSetRepairsMade(bool x);
	void mSetTalkedToEnemy(bool x);
	void mSetFreighterDestroyed(bool x);
	void mSetAtEdgeOfMap(bool x);
	void mIncEnemyDefeated(void);
	
private:

	//
	//	Victory attributes.
	//
	int32 fAsteroidTimer;
	int32 fRepairTimer;
	int32 fDestroyerTimer;
	bool fReachedAsteroidA;
	bool fOrbitingAsteroidA;
	bool fReachedAsteroidB;
	bool fRepairsMade;
	bool fTalkedToEnemy;
	bool fFreighterDestroyed;
	bool fAtEdgeOfMap;
	int32 fEnemyDefeated;

	
};

#endif



