/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_X4M2BBomber",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	">Bei dieser Mission muss ein Frachter eskortiert werden, der an zwei Basisstationen Halt macht.<" \
	"In dieser Mission werden Sie einen Frachter eskortieren. Sie bringen den Frachter " \
	"durch das [SYSTEM_NAME]. Wir verfgen ber zwei verborgene Basen auf den Asteroiden A und B. Sie " \
	"machen mit dem Frachter auf beiden Basen halt, um Nachschub an Bord zu nehmen, bevor Sie sich aus dem " \
	"System begeben. \n\nWir gehen davon aus, dass einer unserer Gegner versuchen wird, Sie zu stoppen. Obwohl Gewalt " \
	"uns ein Greuel ist, wrden wir es begren, wenn Sie sie vernichten knnten.\n\nWegtreten.",
	//
	//	Debriefing messages
	//
	// kDebNoAsteroidA
	"Sie hatten zwei Anlaufpunkte, die Sie besuchen sollten, um diese Mission zum Abschluss zu bringen. Sie haben " \
	"noch nicht einmal den ersten erreicht. Absolut inakzeptabel. Der Frachter enthielt einige wichtige " \
	"Versorgungsgter und ist ein ernstzunehmender Verlust.\n\n",
	
	//	kDebNoAsteroidB
	"Nun gut, Sie haben es bis zu einem der Anlaufpunkte geschafft, konnten jedoch die " \
	"Mission nicht zum Abschluss bringen. Als Ergebnis haben wir den Frachter verloren. Es ist eine Schande.\n\n",
	// kDebSuccess
	"Herzlichen Glckwunsch. Diese Mission enthielt eine unerwartete Herausforderung, die Sie in bewundernswerter Weise " \
	"bewltigt haben. Wir waren aufgrund dieser Lieferung in der Lage, unsere Kommunikationstechnologie " \
	"erheblich auszubauen und zu verbessern. Auch unsere Basen wurden modernisiert. Es wird nun einfacher werden, " \
	"Meldungen zwischen den Frontlinien und unserer Heimat im Konkordium zu bertragen.\n\nGute Arbeit.\n\n",
	// kDebDismissed
	"Wegtreten.\n\n",
	//
	//	Comm buttons
	//
	// kEnemyHail_btn
	"RUFEN",

	// kDemandSurrender_btn
	"KAPITULATION FORDERN",

	// kOrbitAsteroidA_btn
	"UMLAUFBAHN ASTEROID A",

	// kOrbitAsteroidB_btn
	"UMLAUFBAHN ASTEROID B",

	// kPlayerHail_msg
	"[PLAYER_NAME]: Hier spricht [PLAYER_RANK] [PLAYER_NAME] von der [PLAYER_SHIP_NAME]. Was glauben Sie, was Sie " \
	"hier machen?",
	// kFedDialog_msg
	"Captain der Fderation: Ich frchte, es handelt sich um einen Computerfehler. Wir konnten in unserem Computer " \
	"keine Aufzeichnungen ber ein Abkommen finden, mit dem Ihnen die Gerichtsbarkeit in diesem " \
	"Quadranten in irgendeiner Weise bertragen worden wre, noch nicht einmal einen Eintrag, dass Sie berhaupt versucht htten, mit unseren " \
	"Leuten zu verhandeln.\n" \
	"[PLAYER_NAME]: Die Diplomatie der Fderation ist dafr bekannt, dass sie eine Front fr Ihre expansionslsternen Ambitionen ist.\n" \
	"Captain der Fderation: Ich mchte diese Lge nicht auch noch mit einer Antwort auszeichnen.",

	// kKlingonDialog_msg,
	"Klingonischer Commander: Klingonen gehen, wohin sie mchten. Und wir greifen an, wen wir mchten. " \
	"Und wir tten, wen wir mchten. Wir setzen den gesamten Kosmos in Brand und verwenden die Schiffe " \
	"unserer Gegner als Anmachholz. Das ist so unsere Art.\n" \
	"[PLAYER_NAME]: Eine farbenfrohe Metapher, um eine berholte Art der Lebensfhrung zu beschreiben.\n" \
	"Klingonischer Commander: Nur ber meine Leiche.",

	// kRomulanDialog_msg,
	"Romulanischer Commander: Sie erwarten nicht von mir, dass ich darauf antworte, oder? Unsere Einstze " \
	"sind Geheimsache, ebenso wie die Ihren.\n"\
	"[PLAYER_NAME]: Das ist gegenstandslos. Im Namen der organischen Regierung...\n" \
	"Romulanischer Commander: Politik, Captain? Und ich dachte wirklich, es ging Ihnen um ein " \
	"nettes, intimes, kleines Scharmtzel unter Soldaten.\n",
	
	// kLyranDialog_msg
	"Lyranischer Commander: Ich werde Dir gleich die Kehle durchbeien! Genau das werde ich tun! Einfach und " \
	"unmissverstndlich. Wie meine linke Klaue mitten in Deinem Herzen!\n" \
	"[PLAYER_NAME]: Einfach und unmissverstndlich? Sind das die Grenzen Deiner Visionen?\n" \
	"Lyranischer Commander: Du wirst sterben wie ein mirakischer Straenkter!\n",

	// kHyrdranDialog_msg
	"Captain der Hydraner: Ich befrchte, Sie mssen sich an meinen Vorgesetzten wenden, um " \
	"an diese Informationen zu gelangen.\n" \
	"[PLAYER_NAME]: Das ist aber eine recht drftige Entschuldigung.\n" \
	"Captain der Hydraner: Die Befehlskette ist niemals eine Entschuldigung! Nun ja, diesmal ist sie eine, " \
	"aber im Normalfall fordert sie den hchsten Respekt!\n",

	// kGornDialog_msg
	"Commander der Gorn: Ich bin beauftragt, auf das Schrfste gegen die Einmischung des ISK in die " \
	"Angelegenheiten dieses Quadranten zu protestieren, indem ich alle ISK-Schiffe und Basen zerstre, auf die ich treffe. Irgendwelche " \
	"Fragen?\n\n" \
	"[PLAYER_NAME]: Ich wsste meine Zeit besser zu nutzen, als mich mit Primitivlingen abzugeben. " \
	"Sie sind berechenbar und mit Ihrem erbrmlichen Armut an Intellekt schon wieder bemitleidenswert.\n" \
	"Commander der Gorn: Das hrte sich wie eine Beleidigung an. Das wirst Du bereuen.\n",
	// kMirakDialog_msg
	"Captain der Miraker: Die Motive der Miraker sind nicht schwer zu verstehen, insbesondere von " \
	"unseren Gegnern. Ihre Anwesenheit im Universium gilt mir als eine persnliche Beleidigung. Wir gedenken, das zu ndern.\n" \
	"[PLAYER_NAME]: Welch eine leere Drohung.\n" \
	"Captain der Miraker: Solche Dinge sagt man besser erst, nachdem man den " \
	"Widersacher gettet hat. Denn nichts kann einen mehr rgern, als bei seinem letzten Atemzug ein Idiot zu sein.\n",
	// kNoResponse_msg
	"Kommunikationsoffizier: Keine Reaktion. Sie sind nicht gerade gesprchig heute.",
	
	// kMaintainSilence_msg
	"Kommunikationsoffizier: Ich habe soeben ein codiertes Signal empfangen, dass im Subraum Funkstille herrschen soll.",

	// kStillRepairing_msg
	"Kommunikationsoffizier: Sie sind noch mit den Reparaturen beschftigt.",

	// kSafeVoyage_msg
	"Stations-Commander: Gute Reise, [PLAYER_SHIP_NAME].",

	// kUtility_msg
	"Nicht initialisierte Programmmeldung",


	// kInOrbit_msg
	"Kommunikationsoffizier: Der Frachter meldet, dass genau das gerade passiert.",

	// kWillOrbitA_msg
	"Kommunikationsoffizier: Der Frachter setzt Kurs auf Asteroid A. Maximale Geschwindigkeit.",

	// kCannotComply_msg
	"Kommunikationsoffizier: Es wird nicht funktionieren. Sie haben die Reparaturen noch nicht abgeschlossen.",
	
	//kWillOrbitB_msg
	"Kommunikationsoffizier: Der Frachter setzt Kurs auf Asteroid B. Maximale Geschwindigkeit.",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:",
	
	//	kRandChat2_msg,
	"Ingenieur:",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:",
	
	//	kRandChat4_msg,
	"Navigation:",
		
	//	kRandChat5_msg,
	"Waffenoffizier:",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
		//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, " \
	"[STARDATE]. Wir eskortieren einen " \
	"Frachter durch den [SYSTEM_NAME]-Sektor. Unsere Mission " \
	"besteht darin, im Laufe der Mission auf den Asteroiden A und B " \
	"zu landen, um Nachschub aufzunehmen, " \
	"und dann nach ...",
	// kStart2_msg
	"[9]Kommunikationsoffizier: [PLAYER_RANK]," \
	"ich erhalte gerade einen Bericht von dem" \
	"Frachter. Irgend jemand hat an Bord eine Bombe gelegt. " \
	"Sie wird in etwas mehr als zwei Minuten hoch gehen.",
	// kStart3_msg
	"[9]Sicherheitsoffizier: Auf Asteroid A sollte es " \
	"die Mglichkeit geben, sie zu entschrfen, wenn wir sie" \
	"rechtzeitig in die Umlaufbahn bringen knnen.",
	// kStart4_msg
	"[9]Wissenschaftsoffizier: Ein leichter Kreuzer der [TEAM3_RACE] " \
	"ist in das System eingedrungen. Wahrscheinlich " \
	"wollen sie Zeuge ihrer Handwerksknste werden.",

	// kAsteroidTimer75_msg
	"Sicherheitsoffizier: Wir haben eine Minute, um den Frachter in die Umlaufbahn zu bringen.",
	// kAsteroidTimer105_msg
	"Sicherheitsoffizier: Wir haben 30 Sekunden, um den Frachter in die Umlaufbahn zu bringen.",
	// kAsteroidTimer135_msg
	"Wissenschaftsoffizier: Die Bombe hat den Frachter zerstrt. Mission abgebrochen.",
	// kReachAsteroidA_msg
	"Wissenschaftsoffizier: Der Frachter hat Asteroid A erreicht.\n\n" \
	"Chefingenieur: Techniker der Basis entfernen die Bombe und reparieren die Systeme.",
	//
	// kRepairsMade_msg
	"Chefingenieur: Die Bombe konnte sicher entfernt werden, und alle betroffenen Systeme" \
	"des Frachter sind wieder vollkommen funktionstchtig. Wir knnen unseren Weg zu Asteroid B fortsetzen.",
	// kLeaveAsteroidA_msg
	"Wissenschaftsoffizier: Der Frachter verlsst die Umlaufbahn, [PLAYER_RANK].",
	// kReachAsteroidB_msg
	"Wissenschaftsoffizier: Der Frachter hat Asteroid B erreicht. Jetzt knnen wir den " \
	"Frachter fr den Rest der Reise sichern. Mission erfllt.",
	// kEnemyDestroyed_msg
	"",
	//kDestroyerGenerated_msg
	"Wissenschaftsoffizier: Die Sensoren registrieren einen feindlichen Zerstrer, Captain.",
	// kFreighterDestroyed_msg
	"Wissenschaftsoffizier: Der Frachter wurde zerstrt. Mission abgebrochen.",
	// kLeavingSystem_msg
	"Wissenschaftsoffizier: Wir verlassen das System, Captain.",
	// kLeftSystem_msg
	"Wissenschaftsoffizier: Wir haben das System verlassen.",
	//kFreighterDisengaged,
	"Wissenschaftsoffizier: Der Frachter wurde deaktiviert, Captain.",


	//	Custom messages
	//

//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Bombenstimmung",

	//	kPlayerTeamBriefing_msg,
	"test",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...",

	//	kDisconnect_msg,
	"Mission eingebt\n\n",


};

#else

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_X4M2BBomber",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	">This is a freighter escort mission, with stops at two bases.\n\n<" \
	"This is a freighter escort mission. You will take the freighter " \
	"through [SYSTEM_NAME]. We have a pair of hidden bases in Asteroids A and B. You " \
	"will stop the freighter at both bases for resupply before heading out of the " \
	"system. \n\n" \
	"We expect that one of our enemies may attempt to stop you.  Though violence " \
	"horrifies us, we would appreciate it if you obliterated them.\n\n" \
	"Dismissed.",

	//
	//	Debriefing messages
	//
	// kDebNoAsteroidA
	"You had two waypoints that you had to visit to complete this mission. You didn't " \
	"even reach the first one. Unacceptable. The freighter contained some key " \
	"supplies and is a serious loss.\n\n",
	
	//	kDebNoAsteroidB
	"Well, you made it to one of the waypoints, but you failed to complete the " \
	"mission. As a result, we lost the freighter. A pity.\n\n",

	// kDebSuccess
	"Congratulations. This mission had an unexpected challenge, but you dealt with it " \
	"admirably. We were able to build some major advancements in our communications " \
	"technology because of that shipment. Our bases are better. It will be easier to " \
	"send messages between the front lines, and our home in the Concordium.\n\nWell done.\n\n",

	// kDebDismissed
	"Dismissed.\n\n",

	//
	//	Comm buttons
	//
	// kEnemyHail_btn
	"HAIL",

	// kDemandSurrender_btn
	"DEMAND SURRENDER",

	// kOrbitAsteroidA_btn
	"ORBIT ASTEROID A",

	// kOrbitAsteroidB_btn
	"ORBIT ASTEROID B",

	// kPlayerHail_msg
	"[PLAYER_NAME]: This is [PLAYER_RANK] [PLAYER_NAME] of the [PLAYER_SHIP_NAME]. What do you think you're " \
	"doing here?",
	// kFedDialog_msg
	"Federation Captain: I'm afraid it's a computer failure. We failed to find any " \
	"record in our computer of a treaty that gives you any jurisdiction in this " \
	"quadrant whatsoever, or any records of even an attempt to negotiate with our " \
	"people.\n\n" \
	"[PLAYER_NAME]: Federation diplomacy is known to be a front for your imperial ambitions.\n\n" \
	"Federation Captain: I won't even dignify that lie with a response.\n\n",

	// kKlingonDialog_msg,
	"Klingon Commander: Klingons go where they please. We attack whom we please. " \
	"We kill whom we please. We light fires across the cosmos, using the ships of " \
	"our enemies as kindling. It is our way.\n" \
	"[PLAYER_NAME]: A colorful metaphor to describe an obsolete way of life.\n" \
	"Klingon Commander: Over my dead body.",

	// kRomulanDialog_msg,
	"Romulan Commander: You do not expect me to answer that, do you? Our missions " \
	"are classified, as are yours.\n"\
	"[PLAYER_NAME]: It doesn't matter. By the authority of the Organian directive...\n" \
	"Romulan Commander: Politics Captain? And here I thought we were going to have " \
	"a nice, intimate little military encounter.",
	
	// kLyranDialog_msg
	"Lyran Commander: I'm about to kill you! That's what I'm doing here! Simple and " \
	"to the point. Like my left claw through your heart!\n" \
	"[PLAYER_NAME]: Simple and to the point? Is that the limits of your intelligence?\n" \
	"Lyran Commander: You will die like a Mirak dog!",

	// kHyrdranDialog_msg
	"Hydran Captain: I'm afraid you'll have to go through my commanding officer to " \
	"get that information.\n" \
	"[PLAYER_NAME]: You give me noghting but a flimsy excuse.\n" \
	"Hydran Captain: The chain of command is not an excuse! Well, this time it is, " \
	"but normally it demands the highest respect!",

	// kGornDialog_msg
	"Gorn Commander: I am on a mission to protest the ISC interference in this " \
	"quadrant's affairs by destroying any ISC ship or base that I encounter. Any " \
	"questions?\n" \
	"[PLAYER_NAME]: I should have known better than to speak with primitives. " \
	"You are predictable, and pitiable in your abject poverty of intellect.\n" \
	"Gorn Commander: That sounded like an insult. You will regret that.",

	// kMirakDialog_msg
	"Mirak Captain: The motives of the Mirak are not hard to fathom, especially by " \
	"our enemies. Your presence in the universe offends me. We intend to remove it.\n" \
	"[PLAYER_NAME]: A hollow threat.\n" \
	"Mirak Captain: It is better to say such things after one has killed the " \
	"opponent. For nothing is more damning than to be a fool in one's final moments.\n",

	// kNoResponse_msg
	"Communications Officer: No response. They're not talkative today.",
	
	// kMaintainSilence_msg
	"Communications Officer: I just received a coded pulse to maintain subspace silence.",

	// kStillRepairing_msg
	"Communications Officer: They're still working on repairs.",

	// kSafeVoyage_msg
	"Station Commander: Safe voyage, [PLAYER_SHIP_NAME].",

	// kUtility_msg
	"Unitialized Utility message",


	// kInOrbit_msg
	"Communications Officer: The freighter reports it's already doing that.",

	// kWillOrbitA_msg
	"Communications Officer: The freighter is setting course for Asteroid A. Maximum speed.",

	// kCannotComply_msg
	"Communications Officer: It cannot comply. It's still making repairs.",
	
	//kWillOrbitB_msg
	"Communications Officer: The freighter is setting course for Asteroid B. Maximum speed.",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:",
	
	//	kRandChat2_msg,
	"Engineer:",
		
	//	kRandChat3_msg,
	"Security Officer:",
	
	//	kRandChat4_msg,
	"Navigation:",
		
	//	kRandChat5_msg,
	"Weapons Officer:",
	
	//	kRandChat6_msg,
	"Science Officer:",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
		//
	//	Starting message
	//
	
	//	kStart_msg,
	"[PLAYER_NAME]: Record of the Pacification " \
	"Campaign, [STARDATE]. We are escorting a " \
	"freighter through the [SYSTEM_NAME] sector. Our mission " \
	"is to stop off at Asteroids A and B during " \
	"the course of the mission for resupply, " \
	"then proceed to...",

	// kStart2_msg
	"Communications Officer: [PLAYER_RANK]," \
	"I'm receiving a report from the " \
	"freighter. Someone's planted a bomb aboard. " \
	"It will detonate in just over two minutes." ,

	// kStart3_msg
	"Security Officer: Asteroid A should have " \
	"the facilities to disarm it, if we can get " \
	"it into orbit in time.",

	// kStart4_msg
	"Science Officer: A [TEAM3_RACE] light cruiser " \
	"has entered the system. Probably " \
	"to witness their handiwork.",

	// kAsteroidTimer75_msg
	"Security Officer: We have one minute to get the freighter into orbit.",
	// kAsteroidTimer105_msg
	"Security Officer: We have thirty seconds to get the freighter into orbit.",
	// kAsteroidTimer135_msg
	"Science Officer: The bomb has destroyed the freighter. Mission aborted.",
	// kReachAsteroidA_msg
	"Science Officer: The freighter has reached Asteroid A.\n" \
	"Chief Engineer: Technicians from the base are removing the bomb and repairing systems.",
	//
	// kRepairsMade_msg
	"Chief Engineer: The bomb has been safely removed and all affected systems " \
	"on the freighter have been restored to normal. We can now proceed to Asteroid B.",
	// kLeaveAsteroidA_msg
	"Science Officer: The freighter is leaving orbit, [PLAYER_RANK].",
	// kReachAsteroidB_msg
	"Science Officer: The freighter has reached Asteroid B. We can now secure the " \
	"freighter for the rest of the voyage. Mission accomplished.",
	// kEnemyDestroyed_msg
	"",
	//kDestroyerGenerated_msg
	"Science Officer: An enemy destroyer has appeared on sensors, Captain.",
	// kFreighterDestroyed_msg
	"Science Officer: The freighter has been destroyed. Mission aborted.",
	// kLeavingSystem_msg
	"Science Officer: Leaving the system, Captain.",
	// kLeftSystem_msg
	"Science Officer: We've left the system.",

	"Science Officer: The freighter has disengaged, Captain.",


	//	Custom messages
	//


	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Bomber Men",

	//	kPlayerTeamBriefing_msg,
	"test",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
};

#endif