/********************************************************************************************************\

	File Name:	EnemyShipCapturedState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShipCapturedState.h"
#include "ISC_x4m3bFoxtrot.h"
#include "CommonDefs.h"
/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemyShipCapturedState::mBeginState()
{
	fChildActor->mClearCommands();

	//	Set final destination to planet (center of map).
	fChildActor->mSetFinalDestination( gMapCenterX , gMapCenterY );
	fChildActor->mTrackTacticalDistance( 20.0 , gMapCenterX , gMapCenterY );
}
void tEnemyShipCapturedState::mEndState()
{}

void tEnemyShipCapturedState::mOnDeath( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mOnCapture( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mAtDistance( tShipInfo* ship )
{
	//	Stop engines.
	if ( ship && ship->mGetCustomID() == fChildActor->mGetCustomID() )
	{
		ship->mSetShipMaxSpeed( 0 );
	}
}
void tEnemyShipCapturedState::mAtDestination( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyShipCapturedState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyShipCapturedState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyShipCapturedState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyShipCapturedState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShipCapturedState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShipCapturedState::mOnFlashingButtonPressed()
{}
void tEnemyShipCapturedState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyShipCapturedState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mOnSpecialTransport( tShipInfo* ship )
{}
void tEnemyShipCapturedState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tEnemyShipCapturedState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tEnemyShipCapturedState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tEnemyShipCapturedState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tEnemyShipCapturedState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tEnemyShipCapturedState::mOnHostChanged()
{}
void tEnemyShipCapturedState::mOnTimedInterval( int32 timerID )
{}
void tEnemyShipCapturedState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyShipCapturedState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

