/********************************************************************************************************\

	File Name:	EnemyShipDisengageState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShipDisengageState.h"
#include "EnemyTeam.h"
#include "TraitorTeam.h"
#include "ISC_x4m3bFoxtrot.h"
#include "CommonDefs.h"
#include "MissionText.h"
#include "PlayerTeam.h"

void tEnemyShipDisengageState::mBeginState()
{
	fChildActor->mClearCommands();
	fChildActor->mSetShipAIControlled(false);
	fChildActor->mSetShipMaxSpeed(31);
	fChildActor->mSetShipThrust(31);
	fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
	
	if (fChildActor->mGetCustomID() == tTraitorTeam::kTraitor)
	{
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>(kPlayerTeam), kTraitorLeavingSystem_msg);
		fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	}
}
void tEnemyShipDisengageState::mEndState()
{}
void tEnemyShipDisengageState::mOnDeath( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mOnCapture( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mAtDistance( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mAtDestination( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyShipDisengageState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyShipDisengageState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyShipDisengageState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyShipDisengageState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShipDisengageState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShipDisengageState::mOnFlashingButtonPressed()
{}
void tEnemyShipDisengageState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyShipDisengageState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mOnSpecialTransport( tShipInfo* ship )
{}
void tEnemyShipDisengageState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tEnemyShipDisengageState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tEnemyShipDisengageState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tEnemyShipDisengageState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tEnemyShipDisengageState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tEnemyShipDisengageState::mOnHostChanged()
{}
void tEnemyShipDisengageState::mOnTimedInterval( int32 timerID )
{}
void tEnemyShipDisengageState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyShipDisengageState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

