/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	kMissionTitle_msg,
	kDescription_msg,
	kBriefing_msg,
	kStart_msg,

	//
	//	Debriefing messages
	//
	
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDefeat_msg,
	
	//
	//	Comm buttons
	//

	kHail_btn,
	kDemandSurrender_btn,
	kRequestAssistance_btn,
	kGetTraitor_btn,

	//
	//	Comm messages
	//

	kBlankMessage,
	kInitTraitorHail_msg,
	kTraitorHail_msg,
	kHailTraitorCaptured_msg,
	kNoResponse_msg,
	kAlreadyCaptured_msg,
	kEnemyHail_msg,
	kCapturedEnemyHail_msg,
	kNoAnswer_msg,
	kPriorityTarg_msg,
	kGoodShape_msg,
	kNotMyDay_msg,
	kMayday_msg,
	kAcknowledged_msg,
	kTwoWoundedVets_msg,
	kFinalAttack_msg,
	kLineInSpace_msg,
	kDieWithBlessing_msg,
	kKillTraitor_msg,
	kTraitorDefeated_msg,

	//
	//	Victory rating
	//

	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,
	kLeftEarly_msg,

	//
	//	Random chatter
	//

	//	No random chatter this mission.


	//
	//	Titles (or names) of ships and objects
	//
	kPlanet_name,
	kTraitorShip1_name,
	kTraitorShip2_name,
	kTraitorShip3_name,
	kTraitorShip4_name,
	kTraitorShip5_name,

	//
	//	Event dialog
	//

	kAllObjectivesAchieved_msg,
	kAllWeCanDoHere_msg,
	kCapturedTraitor_msg,
	kKilledTraitor_msg,
	kDisabledTraitor_msg,
	kTraitorLeavingSystem_msg,
	kCapturedCommander_msg,
	kKilledCommander_msg,
	kCapturedEnemy_msg,
	kKilledEnemy_msg,
	kEnemyEscaped_msg,
	kTraitorEscaped_msg,
	kScanningTooFar_msg,
	kScanMovedAway_msg,
	kStartScan_msg,
	kScanningTraitor_msg,
	kScanningCommander_msg,
	kScanOther_msg,
	kLeaving_msg,
	kLeft_msg,

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif

