/********************************************************************************************************\

	File Name:	PlayerShipBaseState.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerShipBaseState_h )
#define PlayerShipBaseState_h
#define SHIP_SCAN_DISTANCE			10	//	Has to conform to text in kScanningTooFar_msg
#define SCANNER_DELAY (0.75f)
#define SCANNER_CHECK (0.5f)

#include "ChildActorState.h"
#include "PlayerShip.h"


class tPlayerShipBaseState : public tChildActorState<tPlayerShip>
{
public:

	//
	//	Serialization events
	//
	virtual void mBeginState();
	virtual void mEndState();

	//
	//	Ship events
	//
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mAtDistance( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus );
	virtual void mOnProbeLaunch( tShipInfo* ship );
	virtual void mOnBeginOrbit( tShipInfo* ship );
	virtual void mOnEndOrbit( tShipInfo* ship );
	virtual void mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnFlashingButtonPressed();
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );
	virtual void mOnChangingShip( tShipInfo* ship );
	virtual void mOnSpecialTransport( tShipInfo* ship );
	virtual void mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value );
	virtual void mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent );
	virtual void mOnShipStoresUpdate( tShipInfo* ship, eShipUpdateType type, 
									  eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value );
	virtual void mOnShipStoresUpdate( tShipInfo* ship, eShipUpdateType type,
									  eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value );

	//
	//	System events
	//
	virtual void mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID );
	virtual void mOnHostChanged();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType );
	virtual void mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType );

	enum	// Timer States
	{
		kScannerDelay = 1000,
		kScannerCheck,
	};

	int32  fScanTargetID;
	iTruth fTraitorScanned;
	iTruth fCommanderScanned;
	iTruth fCannonScanned;
	iTruth fFodderScanned;
	iTruth fScanning;
	iTruth fGotCloseToPlanet;

	iTruth mTargetScanned(void);
	iTruth mCheckForScanTarget(void);
};

#endif



