/********************************************************************************************************\

	File Name:	AttackTeam3InitialState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AttackTeam3InitialState.h"
#include "MissionText.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAttackTeam3InitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}
void tAttackTeam3InitialState::mEndState()
{}

void tAttackTeam3InitialState::mOnDeath( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mOnCapture( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mOnDisengaged( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mAtDistance( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mAtDestination( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttackTeam3InitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttackTeam3InitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttackTeam3InitialState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttackTeam3InitialState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mOnEndOrbit( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackTeam3InitialState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackTeam3InitialState::mOnFlashingButtonPressed()
{}
void tAttackTeam3InitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttackTeam3InitialState::mOnChangingShip( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttackTeam3InitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttackTeam3InitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttackTeam3InitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttackTeam3InitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAttackTeam3InitialState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAttackTeam3InitialState::mOnHostChanged()
{}
void tAttackTeam3InitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid
}
void tAttackTeam3InitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttackTeam3InitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

