//	<Name>	AttackTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_10Patrol.h"
#include "ShipInfo.h"
#include "AttackTeamShip.h"
#include "AttackTeamShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

tAttackTeamShipInitialState::tAttackTeamShipInitialState( )
{
	fDeepScanON = false;
}

void tAttackTeamShipInitialState::mBeginState()
{
}

void tAttackTeamShipInitialState::mEndState()
{
}

void tAttackTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kDeepScanOnID && fDeepScanON )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kScanning_msg, kScienceScriptMessage );
//		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	}
}
void tAttackTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	fChildActor->mSetShipCallbackEvents(  kNotifyDamage );
	fThisShipWorldID = fChildActor->mGetThisShipID();

	if( fChildActor->mGetShipID() == damagedShip->mGetShipID() )
	{
		if( damagedShip->mGetDamagePercent() == 100 )
		{
			gWC.mSetAttackDamageCond( fThisShipWorldID, 4 );
		}
		else if( damagedShip->mGetDamagePercent() > 75 )
		{
			gWC.mSetAttackDamageCond( fThisShipWorldID, 3 );
		}
		else if( damagedShip->mGetDamagePercent() > 50 )
		{
			gWC.mSetAttackDamageCond( fThisShipWorldID, 2 );
		}
		else if( damagedShip->mGetDamagePercent() > 25 )
		{
			gWC.mSetAttackDamageCond( fThisShipWorldID, 1 );
		}
	
	}
}
void tAttackTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
}
void tAttackTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanOnID, 0.75f );
}