/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 5;
const char* MapTypes[] = {	"Met_10Patrol Map",
							"Met_10Patrol Map -- Sun",
							"Met_10Patrol Map -- Asteroids",
							"Met_10Patrol Map -- Nebula" ,
							"Met_10Patrol Map -- BlackHole" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_10Patrol",
   "// Met_10Patrol Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|....).........................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |...A..........................|",
   " |.............a............a...|",
   " |.................A............|",
   "1|..a.....*..............a......|",
   " |.................h.i..........|",
   " |.......*.........g.......*....|",
   " |..............................|",
   " |...................a........A.|",
   "2|..........*...................|",
   " |............X.....W...........|",
   " |...........................a..|",
   " |...............Y..............|",
   " |..............................|",
   "3|..............................|",
   " |...*................Z.........|",
   " |............a.................|",
   " |..............................|",
   " |..A.............a.............|",
   "4|..............................|",
   " |...a.........G......A.........|",
   " |..............................|",
   " |......*...H.....I...a.........|",
   " |...........................A..|",
   "5|.......................*......|",
   " |..A.......x w.................|",
   " |...........y................a.|",
   " |.....A........................|",
   " |........................*.....|",
   "6|............a.................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.C............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- BlackHole",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|............X.....W...........|",
   " |..............................|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |.....................B........|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



