//	<Name>	AttackTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_11ConvoyRaid.h"
#include "ShipInfo.h"
#include "AttackTeam.h"
//#include "PlayerTeamShip.h"
#include "AttackTeamInitialState.h"
#include "WorldConditions.h"

#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"

tAttackTeamInitialState::tAttackTeamInitialState( )
{
}

void tAttackTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tAttackTeamInitialState::mEndState()
{
}
void tAttackTeamInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCAttackTeamStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid
	else if( timerID == kFreighterDiedID )
	{
		int32 freightersDestroyed = gWC.mGetFreightersDestroyed();
		int32 totalOrigFreighters = gWC.mGetFreightersOriginal();
		int32 disengagedFreighters = gWC.mGetFreightersEscaped();

		if( freightersDestroyed == ( totalOrigFreighters - disengagedFreighters ) )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackAllFreightersDestroyed, kScienceScriptMessage );
		}
		else if( freightersDestroyed == 3 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackThreeFreightersDestroyed, kScienceScriptMessage );
		}
		else if( freightersDestroyed == 1 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackOneFreighterDestroyed, kScienceScriptMessage );
		}
	}
	else if( timerID == kDeepScanOnID && fDeepScanON )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kScanning_msg, kScienceScriptMessage );
//		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	}
}
void tAttackTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kFreighterTeam ) );

	if( freighterTeam )
	{
		if( freighterTeam->mGetTeam() == ship->mGetTeam() )
		{
			mSetTimedInterval( kTimerSecondsSet, kFreighterDiedID, 1.0f );
		}
	}
}
void tAttackTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanOnID, 0.75f );
}
