//	<Name>	DefendTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_11ConvoyRaid.h"
#include "ShipInfo.h"
#include "DefendTeam.h"
//#include "PlayerTeamShip.h"
#include "DefendTeamInitialState.h"
#include "WorldConditions.h"

#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"

tDefendTeamInitialState::tDefendTeamInitialState( )
{
}

void tDefendTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tDefendTeamInitialState::mEndState()
{
}
void tDefendTeamInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCDefendTeamStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid
	else if( timerID == kFreighterDiedID )
	{
		int32 freightersDestroyed = gWC.mGetFreightersDestroyed();
		int32 totalOrigFreighters = gWC.mGetFreightersOriginal();
		int32 disengagedFreighters = gWC.mGetFreightersEscaped();

		if( freightersDestroyed == ( totalOrigFreighters - disengagedFreighters ) )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kDefendAllFreightersDestroyed, kScienceScriptMessage );
			gWC.mCheckForGameEnd();
		}
		else if( freightersDestroyed == 3 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kDefendThreeFreightersDestroyed, kScienceScriptMessage );
		}
		if( freightersDestroyed == 1 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kDefendOneFreighterDestroyed, kScienceScriptMessage );
		}
	}
	else if( timerID == kDeepScanOnID && fDeepScanON )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kScanning_msg, kScienceScriptMessage );
//		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	}
}
void tDefendTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kFreighterTeam ) );
	tTeamInfo* qShipTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kQShipTeam ) );

	if( freighterTeam )
	{
		if( freighterTeam->mGetTeam() == ship->mGetOriginalTeam() )
		{
			mSetTimedInterval( kTimerSecondsSet, kFreighterDiedID, 1.0f );
			gWC.mFreighterDestroyed();
			gWC.mCheckForGameEnd();
		}
	}
	if( qShipTeam )
	{
		if( qShipTeam->mGetTeam() == ship->mGetOriginalTeam() )
		{
			gWC.mRemoveQShip();
			gWC.mCheckForGameEnd();
		}
	}
}
void tDefendTeamInitialState::mOnDisengaged( tShipInfo* ship )
{

	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kFreighterTeam ) );
	tTeamInfo* attackTeam1 = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAttackTeam1 ) );
	tTeamInfo* attackTeam2 = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAttackTeam2 ) );
	tTeamInfo* attackTeam3 = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAttackTeam3 ) );


	if( freighterTeam )
	{
		if( freighterTeam->mGetTeam() == ship->mGetTeam() )
		{
			gWC.mFreighterEscaped();
			gWC.mCheckForGameEnd();
		}
		else if( freighterTeam->mGetTeam() == ship->mGetOriginalTeam() )
		{
			if( attackTeam1 )
			{
				if( attackTeam1->mGetTeam() == ship->mGetTeam() )
				{
					gWC.mFreighterDestroyed();
				}
			}
			if( attackTeam2 )
			{
				if( attackTeam2->mGetTeam() == ship->mGetTeam() ) 
				{
					gWC.mFreighterDestroyed();
				}
			}
			if( attackTeam3 )
			{
				if( attackTeam3->mGetTeam() == ship->mGetTeam() )
				{
					gWC.mFreighterDestroyed();
				}
			}

			gWC.mCheckForGameEnd();
		}
	}
}
void tDefendTeamInitialState::mOnCapture( tShipInfo* ship )
{
	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kFreighterTeam ) );

	if( freighterTeam )
	{
		if( freighterTeam->mGetTeam() == ship->mGetOriginalTeam() )
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kAttackTeam1 ), kCapturedFreighter_msg, kScienceScriptMessage );
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kAttackTeam2 ), kCapturedFreighter_msg, kScienceScriptMessage );
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kAttackTeam3 ), kCapturedFreighter_msg, kScienceScriptMessage );
		}
	}
}
void tDefendTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanOnID, 0.75f );
}