/********************************************************************************************************\

	File Name:	FreighterTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Met_12ConvoyEscort.h"
#include "FreighterTeam.h"
//#include "FreighterTeamInitialState.h"
#include "FreighterTeamShip.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "WorldConditions.h"

#define		kSmallFtrBPV		0
#define		kLargeFtrBPV		51
#define		kSmallArmedFtrBPV	38
#define		kMediumMerBPV		42
#define		kLargeArmedFtrBPV	71
#define		kLargeMerBPV		78

tClassAllocator<tFreighterTeam> gFreighterTeamAllocator;

tFreighterTeam::tFreighterTeam()
{
}
void tFreighterTeam::mSetupVictoryCondition()
{
}
void tFreighterTeam::mSetupState()
{
}
void tFreighterTeam::mSetupCommState()
{
}
void tFreighterTeam::mCreateShipsForTeam()
{
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	int32 freighterBPV;
	int32 dice = fMissionInfo->mRandomInt32( 1, 100 );
	int32 numberOfFreighters = 4;
	int32 numberOfQShips = 0;
	int32 QShipDice = fMissionInfo->mRandomInt32( 1, 100 );
	int32 merchantShipDice = fMissionInfo->mRandomInt32( 1, 100 );

	gWC.mSetFrtrSizeDice( merchantShipDice );

	if( QShipDice > 90 )
	{
		numberOfQShips = 2;
	}
	else if( QShipDice > 75 )
	{
		numberOfQShips = 1;
	}

	gWC.mSetNumQShips( numberOfQShips );

	if( dice > 75 )
	{
		numberOfFreighters = 6;
	}
	else if( dice > 25 )
	{
		numberOfFreighters = 5;
	}
	
	numberOfFreighters -= numberOfQShips;

	for( int i = 0; i < numberOfFreighters; ++i )
	{
		gWC.mAddFreighter();
	}

	if( diffLevel == 0 && ( merchantShipDice < 60 ) )
	{
		freighterBPV = kSmallFtrBPV;
	}
	else if( diffLevel == 0 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kSmallArmedFtrBPV;
	}
	else if( diffLevel == 0 )
	{
		freighterBPV = kMediumMerBPV;
	}
	else if( diffLevel == 1 && ( merchantShipDice < 70 ) )
	{
		freighterBPV = kSmallFtrBPV;
	}
	else if( diffLevel == 1 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kSmallArmedFtrBPV;
	}
	else if( diffLevel == 1 )
	{
		freighterBPV = kMediumMerBPV;
	}
	else if( diffLevel == 2 && ( merchantShipDice < 60 ) )
	{
		freighterBPV = kLargeFtrBPV;
	}
	else if( diffLevel == 2 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kLargeArmedFtrBPV;
	}
	else if( diffLevel == 2 )
	{
		freighterBPV = kLargeMerBPV;
	}



	mCreateShip( typeid( tFreighterTeamShip ),
						  freighterBPV,
						  kClassFreighter, 
						  10, 
						  kStartPosition_K, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );

	mCreateShip( typeid( tFreighterTeamShip ),
						  freighterBPV,
						  kClassFreighter, 
						  10, 
						  kStartPosition_L, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );

	if( numberOfFreighters > 2 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_M, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ));
	}
	if( numberOfFreighters > 3 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_N, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ));
	}
	if( numberOfFreighters > 4 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_O, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
	}
	if( numberOfFreighters == 6 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_O, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
	}



	
	
/*	
	
	
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	int32 freighterBPV;
	int32 dice = fMissionInfo->mRandomInt32( 1, 100 );
	int32 numberOfFreighters = 4;
	int32 numberOfQShips = 0;
	int32 QShipDice = fMissionInfo->mRandomInt32( 1, 100 );
	int32 merchantShipDice = fMissionInfo->mRandomInt32( 1, 100 );

	gWC.mSetFrtrSizeDice( merchantShipDice );

	if( QShipDice > 90 )
	{
		numberOfQShips = 2;
	}
	else if( QShipDice > 75 )
	{
		numberOfQShips = 1;
	}

	gWC.mSetNumQShips( numberOfQShips );

	if( dice > 75 )
	{
		numberOfFreighters = 6;
	}
	else if( dice > 25 )
	{
		numberOfFreighters = 5;
	}
	
	numberOfFreighters -= numberOfQShips;

	for( int i = 0; i < numberOfFreighters; ++i )
	{
		gWC.mAddFreighter();
	}

	if( diffLevel == 0 && ( merchantShipDice < 60 ) )
	{
		freighterBPV = kSmallFtrBPV;
	}
	else if( diffLevel == 0 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kSmallArmedFtrBPV;
	}
	else if( diffLevel == 0 )
	{
		freighterBPV = kMediumMerBPV;
	}
	else if( diffLevel == 1 && ( merchantShipDice < 70 ) )
	{
		freighterBPV = kSmallFtrBPV;
	}
	else if( diffLevel == 1 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kSmallArmedFtrBPV;
	}
	else if( diffLevel == 1 )
	{
		freighterBPV = kMediumMerBPV;
	}
	else if( diffLevel == 2 && ( merchantShipDice < 60 ) )
	{
		freighterBPV = kLargeFtrBPV;
	}
	else if( diffLevel == 2 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kLargeArmedFtrBPV;
	}
	else if( diffLevel == 2 )
	{
		freighterBPV = kLargeMerBPV;
	}



	mCreateShip( typeid( tFreighterTeamShip ),
						  freighterBPV,
						  kClassFreighter, 
						  10, 
						  kStartPosition_K, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );

	mCreateShip( typeid( tFreighterTeamShip ),
						  freighterBPV,
						  kClassFreighter, 
						  10, 
						  kStartPosition_L, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );

	if( numberOfFreighters > 2 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_M, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ));
	}
	if( numberOfFreighters > 3 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_N, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ));
	}
	if( numberOfFreighters > 4 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_O, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
	}
	if( numberOfFreighters == 6 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_O, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
	}
	
	
	
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	int32 freighterBPV;
	int32 dice = fMissionInfo->mRandomInt32( 1, 100 );
	int32 numberOfFreighters = 4;
	int32 numberOfQShips = 0;
	int32 QShipDice = fMissionInfo->mRandomInt32( 1, 100 );
	int32 merchantShipDice = fMissionInfo->mRandomInt32( 1, 100 );

	if( QShipDice > 90 )
	{
		numberOfQShips = 2;
	}
	else if( QShipDice > 75 )
	{
		numberOfQShips = 1;
	}

	gWC.mSetNumQShips( numberOfQShips );

	if( dice > 75 )
	{
		numberOfFreighters = 6;
	}
	else if( dice > 25 )
	{
		numberOfFreighters = 5;
	}
	
	numberOfFreighters -= numberOfQShips;

	for( int i = 0; i < numberOfFreighters; ++i )
	{
		gWC.mAddFreighter();
	}

	if( diffLevel == 0 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kSmallFtrBPV;
	}
	else if( diffLevel == 0 )
	{
		freighterBPV = kMediumMerBPV;
	}
	else if( diffLevel == 1 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kSmallFtrBPV;
	}
	else if( diffLevel == 1 )
	{
		freighterBPV = kMediumMerBPV;
	}
	else if( diffLevel == 2 && ( merchantShipDice < 80 ) )
	{
		freighterBPV = kSmallFtrBPV;
	}
	else if( diffLevel == 2 )
	{
		freighterBPV = kLargeMerBPV;
	}

	mCreateShip( typeid( tFreighterTeamShip ),
						  freighterBPV,
						  kClassFreighter, 
						  10, 
						  kStartPosition_K, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );

	mCreateShip( typeid( tFreighterTeamShip ),
						  freighterBPV,
						  kClassFreighter, 
						  10, 
						  kStartPosition_L, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );

	if( numberOfFreighters > 2 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_M, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
	}
	if( numberOfFreighters > 3 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_N, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
	}
	if( numberOfFreighters > 4 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_O, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
	}
	if( numberOfFreighters == 6 )
	{
		mCreateShip( typeid( tFreighterTeamShip ),
							  freighterBPV,
							  kClassFreighter, 
							  10, 
							  kStartPosition_O, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
	}
*/
}
void tFreighterTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tFreighterTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
}