/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 4;
const char* MapTypes[] = {	"Convoy Escort Map",
							"Convoy Escort Map -- Asteroids",
							"Convoy Escort Map -- Nebula",
							"Convoy Escort Map -- BlackHole" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Convoy Raid",
   "// Convoy Escort Map",
   " +____1____2____3____4____5____6____7____8+",
   " |..................jp....................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|.................lkm....................|",
   " |.................ngi....................|",
   " |..................ho....................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |..............W.........................|",
   " |..............QT...........X............|",
   " |..........................RU............|",
   "3|........................................|",
   " |................v.......................|",
   " |...............sy.......................|",
   " |........................................|",
   " |..................JO....................|",
   "4|.................LGI....................|",
   " |..................KM...t................|",
   " |.................NHP..qw................|",
   " |........................................|",
   " |...............ru.......................|",
   "5|...............x........................|",
   " |........................................|",
   " |.........................V..............|",
   " |........................SY..............|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Convoy Escort Map -- Asteroids",
   " +____1____2____3____4____5____6____7____8+",
   " |.................njp....................|",
   " |.................a......................|",
   " |...*...a.........................*......|",
   " |........................................|",
   "1|.................lkm....................|",
   " |..................gi...........A........|",
   " |..................ho....................|",
   " |........................................|",
   " |.........*..............................|",
   "2|.......................*................|",
   " |........................................|",
   " |.......A......W.........................|",
   " |..............QT...........X............|",
   " |...*.................A....RU............|",
   "3|........................................|",
   " |................v.......................|",
   " |...............sy................*......|",
   " |........................................|",
   " |..................JO....................|",
   "4|.....*...........LGI....................|",
   " |..................KM...t................|",
   " |...A.............NHP..qw................|",
   " |........................................|",
   " |...............ru...................a...|",
   "5|...............x........................|",
   " |.....a..................................|",
   " |.........................V..............|",
   " |........................SY..............|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |..........*.............................|",
   " |................................*.......|",
   " |........................................|",
   "7|................*..........A............|",
   " |........................................|",
   " |.......A................................|",
   " |........................................|",
   " |...............................a........|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Convoy Escort Map -- Nebula",
   " +____1____2____3____4____5____6____7____8+",
   " |.................njp....................|",
   " |.C......................................|",
   " |........................................|",
   " |........................................|",
   "1|.................lkm....................|",
   " |..................gi....................|",
   " |..................ho....................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |..............W.........................|",
   " |..............QT...........X............|",
   " |..........................RU............|",
   "3|........................................|",
   " |................v.......................|",
   " |...............sy.......................|",
   " |........................................|",
   " |..................JO....................|",
   "4|.................LGI....................|",
   " |..................KM...t................|",
   " |.................NHP..qw................|",
   " |........................................|",
   " |...............ru.......................|",
   "5|...............x........................|",
   " |........................................|",
   " |.........................V..............|",
   " |........................SY..............|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Convoy Escort Map -- BlackHole",
   " +____1____2____3____4____5____6____7____8+",
   " |..................jp....................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|.................lkm....................|",
   " |.................ngi....................|",
   " |..................ho....................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |..............W.........................|",
   " |..............QT...........X............|",
   " |..........................RU............|",
   "3|....B...................................|",
   " |................v.......................|",
   " |...............sy.......................|",
   " |........................................|",
   " |..................JO....................|",
   "4|.................LGI....................|",
   " |..................KM...t................|",
   " |.................NHP..qw................|",
   " |........................................|",
   " |...............ru.......................|",
   "5|...............x........................|",
   " |........................................|",
   " |.........................V..............|",
   " |........................SY..............|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};



