/********************************************************************************************************\

	File Name:	QShipTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Met_12ConvoyEscort.h"
#include "QShipTeam.h"
//#include "QShipTeamInitialState.h"
#include "QShipTeamShip.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "WorldConditions.h"


tClassAllocator<tQShipTeam> gQShipTeamAllocator;

tQShipTeam::tQShipTeam()
{
}
void tQShipTeam::mSetupVictoryCondition()
{
}
void tQShipTeam::mSetupState()
{
}
void tQShipTeam::mSetupCommState()
{
}
void tQShipTeam::mCreateShipsForTeam()
{
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	int32 numberOfQShips = gWC.mGetNumQShips();
	int32 qShipSizeDice = gWC.mGetFrtrSizeDice();
	int32 qShipBPV = 0;
	eRaceName  freighterRace;
	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kFreighterTeam ) );
	freighterRace = freighterTeam->mGetRace();


	if( numberOfQShips > 0 )
	{
		switch( freighterRace )
			{
				case kFederation:
					if( diffLevel < 2 && ( qShipSizeDice < 80 ) )
					{
						mCreateShip( typeid( tQShipTeamShip ), "F-FQS", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "F-MMQ", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else if( qShipSizeDice < 80 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "F-FQL", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "F-MLQ", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kKlingon:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "K-FQS", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "K-FQL", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kRomulan:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "R-FQS", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "R-FQL", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kLyran:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "L-FQS", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "L-FQL", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kGorn:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "G-FQS", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "G-FQL", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kMirak:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "Z-FQS", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "Z-FQL", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kHydran:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "H-FQS", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "H-FQL", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kISC:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "I-FQS", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "I-FQL", kStartPosition_P, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
			}	
	}
	
	if( numberOfQShips == 2 )
	{
		switch( freighterRace )
			{
				case kFederation:
					if( diffLevel < 2 && ( qShipSizeDice < 80 ) )
					{
						mCreateShip( typeid( tQShipTeamShip ), "F-FQS", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "F-MMQ", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else if( qShipSizeDice < 80 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "F-FQL", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "F-MLQ", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kKlingon:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "K-FQS", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "K-FQL", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kRomulan:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "R-FQS", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "R-FQL", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kLyran:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "L-FQS", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "L-FQL", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kGorn:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "G-FQS", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "G-FQL", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kMirak:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "Z-FQS", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "Z-FQL", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kHydran:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "H-FQS", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "H-FQL", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
				case kISC:
					if( diffLevel < 2 )
					{
						mCreateShip( typeid( tQShipTeamShip ), "I-FQS", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
					else
					{
						mCreateShip( typeid( tQShipTeamShip ), "I-FQL", kStartPosition_O, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kStartPositionCanBeOffset | kDeathUponCapture ) );
					}
				break;
			}	
	}

}
void tQShipTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tQShipTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
}