//	<Name>	DefendTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_13Monster.h"
#include "ShipInfo.h"
#include "DefendTeam.h"
#include "DefendTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"

tDefendTeamInitialState::tDefendTeamInitialState( )
{
}

void tDefendTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}

void tDefendTeamInitialState::mEndState()
{
}
void tDefendTeamInitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydDefendTeamStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCDefendTeamStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid

}
void tDefendTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* monsterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kMonsterTeam ) );

	if( monsterTeam )
	{
		if( monsterTeam->mGetTeam() == ship->mGetOriginalTeam() )
		{
			gWC.mMonsterDestroyed();
			gWC.mCheckForGameEnd();
		}
	}
}
void tDefendTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* monsterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kMonsterTeam ) );

	if( monsterTeam )
	{
		if( monsterTeam->mGetTeam() == ship->mGetOriginalTeam() )
		{
			gWC.mMonsterEscaped();
			gWC.mCheckForGameEnd();
		}
	}
}
void tDefendTeamInitialState::mOnCapture( tShipInfo* ship )
{
}
