/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*
	G-L are fixed starting positions for the 6 teams
*/
int32 TotalMaps = 5;
const char* MapTypes[] = {	"Monster Map",
							"Monster Map -- Sun",
							"Monster Map -- Asteroids",
							"Monster Map -- Nebula",
							"Monster Map -- BlackHole" };

/*
	Legend:
			Starting Positions			Ending Positions			Planets			
			Start1 --> G				End1 --> g					Earth --> 1
			Start2 --> H				End2 --> h					Ringed Earth --> 2
			Start3 --> I				End3 --> i					Mars --> 3
			Start4 --> J				End4 --> j					Jupiter --> 4
			Start5 --> K				End5 --> k					Organia --> 5
			Start6 --> L				End6 --> l					Saturn --> 6
			Start7 --> M				End7 --> m					Night City --> 7
			Start8 --> N				End8 --> n					Fire --> 8
			Start9 --> O				End9 --> o					Ice --> 9
			Start10 --> P				End10 --> p					Gas --> 0
			Start11 --> Q				End11 --> q					
			Start12 --> R				End12 --> r					
			Start13 --> S				End13 --> s					
			Start14 --> T				End14 --> t					
			Start15 --> U				End15 --> u					
			Start16 --> V				End16 --> v					
			Start17 --> W				End17 --> w					
			Start18 --> X				End18 --> x					
			Start19 --> Y				End19 --> y					
			Start20 --> Z				End20 --> z					

			Celestial Bodies			Asteroids					Black Holes
			Moon --> @					SmallAsteroid --> [			SmallBlackHole --> :
			Sun1 --> (					LargeAsteroid --> ]			LargeBlackHole --> ,
			Sun2 --> )					IceAsteroid --> *			
			Sun3 --> !
			
			Nebulas						Dust Clouds					Other
			Nebula1 --> &				LightDustCloud --> <		WormHole --> %
			Nebula2 --> ?				HeavyDustCloud --> >		Fissure --> $
																	Corpse --> #
*/
const char* MapLines[]=
{
   "Monster",
   "// Monster Map",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |...................GJ...................|",
   " |..........LI.......M.......HK...........|",
   "2|...........O...............N............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|...................T....................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|.......n...........................i....|",
   " |.......kh............................l..|",
   " |.......................................o|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |....................t...................|",
   " |....................m...................|",
   "8|....................gj..................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Monster Map -- Sun",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |...................GJ...................|",
   " |..........LI.......M.......HK...........|",
   "2|...........O...............N............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|...................T....................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|.......n...........................i....|",
   " |.......kh............................l..|",
   " |.......................................o|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|.....!..................................|",
   " |........................................|",
   " |........................................|",
   " |....................t...................|",
   " |....................m...................|",
   "8|....................gj..................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Monster Map -- Asteroids",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |.......a....................*...........|",
   "1|................a.......................|",
   " |........................................|",
   " |......................A.................|",
   " |...................GJ...................|",
   " |.......A..LI.......M.......HK...........|",
   "2|...........O...............N............|",
   " |.................A......................|",
   " |...............................*........|",
   " |........................................|",
   " |..........a.............................|",
   "3|...................T.................A..|",
   " |........................................|",
   " |........................................|",
   " |...A.....*..............................|",
   " |.................*..........a...........|",
   "4|........................................|",
   " |.......A................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|.......n..............a.........A..i....|",
   " |.......kh............................l..|",
   " |................*......................o|",
   " |........................................|",
   " |......a.................................|",
   "6|..........A.............................|",
   " |..............................*.........|",
   " |........................................|",
   " |.......*.........................A......|",
   " |........................................|",
   "7|........................................|",
   " |..................*...........a.........|",
   " |........................................|",
   " |.......a............t...................|",
   " |...(.................m..A................|",
   "8|....................gj..................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Monster Map -- Nebula",
   " +____1____2____3____4____5____6____7____8+",
   " |C.......................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |...................GJ...................|",
   " |..........LI.......M.......HK...........|",
   "2|...........O...............N............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|...................T....................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|.......n...........................i....|",
   " |.......kh............................l..|",
   " |.......................................o|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |....................t...................|",
   " |....................m...................|",
   "8|....................gj..................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
  "// Monster Map -- BlackHole",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |...................GJ...................|",
   " |..........LI.......M.......HK...........|",
   "2|...........O...............N............|",
   " |........................................|",
   " |.................B......................|",
   " |........................................|",
   " |........................................|",
   "3|...................T....................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|.......n...........................i....|",
   " |.......kh............................l..|",
   " |.......................................o|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |....................t...................|",
   " |....................m...................|",
   "8|....................gj..................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};
