/********************************************************************************************************\

	File Name:	MonsterTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Met_13Monster.h"
#include "MonsterTeam.h"
#include "MonsterVictoryCondition.h"
#include "MonsterTeamShip.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "WorldConditions.h"

tClassAllocator<tMonsterTeam> gMonsterTeamAllocator;

tMonsterTeam::tMonsterTeam()
{
}
void tMonsterTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tMonsterVictoryCondition( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tMonsterTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
}

void tMonsterTeam::mSetupState()
{
//	mRegisterState( new tMonsterTeamInitialState() );

//	mGotoState( typeid( tMonsterTeamInitialState ) );
}
void tMonsterTeam::mSetupCommState()
{
}
void tMonsterTeam::mCreateShipsForTeam()
{
/*
	tTeamInfo* defendTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam1 ) );

	int32 defendBPV = defendTeam->mGetCombatBPV();

	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	int32 monsterModifier = defendBPV * diffLevel / 15;
	int32 dice = fMissionInfo->mRandomInt32( 1, 70 );
	int32 numberOfMonsters = 1;

	if( ( dice + monsterModifier ) > 90 )
	{
		numberOfMonsters = 2;
	}
	
	dice = fMissionInfo->mRandomInt32( 1, 30 );
	
	dice += monsterModifier;

	if( dice < 10 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-SSS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-SSS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 20 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-AMS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );

		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-AMS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 30 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-MTS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-MTS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 40 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-SGS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-SGS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}	
	else if( dice < 50 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-SSM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-SSM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}	
	else if( dice < 55 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-AMM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-AMM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 60 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-MTM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-MTM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 65 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-SGM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-SGM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 70 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-LCS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );

		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-LCS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 75 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-SSL", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-LCS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 80 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-MTL", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-MTL", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 84 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-AML", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-AML", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 88 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-LCM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-LCM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 92 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-SGL", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-SGL", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else if( dice < 95 )
	{
		mCreateShip( typeid( tMonsterTeamShip ), "M-LCL", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		if( numberOfMonsters == 2 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-LCL", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}
	else
	{
		dice = fMissionInfo->mRandomInt32( 1, 100 );
		gWC.mPlanetKillerTrue();
		if( dice < 50 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-DMS", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
		else if( dice < 80 )
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-DMM", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
		else
		{
			mCreateShip( typeid( tMonsterTeamShip ), "M-DML", kStartPosition_T, kNoMetaShipID, -1, 0, 0, -1, -1, NULL, static_cast<eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
		}
	}

	if( numberOfMonsters == 2 )
	{
		gWC.mAddMonster();
	}
*/
}
void tMonsterTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tMonsterTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	mCreateShip( typeid( tMonsterTeamShip ),
					shipScriptDescription.fClassName.c_str(),
					kStartPosition_T,
					shipScriptDescription.fMetaDatabaseID,
					-1,
					0,
					0,
					-1,
					-1,
					shipScriptDescription.fCustomName.c_str(),
					static_cast< eShipOptions>( kDeathUponCapture | kStartPositionCanBeOffset ) );
}