//	<Name>	MonsterTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_13Monster.h"
#include "ShipInfo.h"
#include "MonsterTeamShip.h"
#include "MonsterTeamShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

tMonsterTeamShipInitialState::tMonsterTeamShipInitialState( )
{
	fTrackingDistance = 20;
	fteam1InRange = false;
	fteam2InRange = false;
	fteam3InRange = false;
}

void tMonsterTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kCheckDistanceID, 60.0f );
}

void tMonsterTeamShipInitialState::mEndState()
{
}

void tMonsterTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kCheckDistanceID )
	{
		tTeamInfo* defendTeam1 = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kDefendTeam1 ) );
		tTeamInfo* defendTeam2 = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kDefendTeam2 ) );
		tTeamInfo* defendTeam3 = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kDefendTeam3 ) );
		tTeamInfo* monsterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kMonsterTeam ) );
		tShipInfo* targetShip;

		fteam1InRange = false;
		fteam2InRange = false;
		fteam3InRange = false;
		if( defendTeam1 )
		{
			tShipIterator ship = defendTeam1->mGetFirstShip();
			tShipInfo* shipToCheck = *ship;


			for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship ) )
			{
				if( fChildActor->mGetTacticalDistance( shipToCheck ) < fTrackingDistance )
				{
					fteam1InRange = true;
					targetShip = shipToCheck;
				}
			}
			if( fteam1InRange )
			{
//				fChildActor->mClearCommands();
//				fChildActor->mSetShipMaxSpeed( 10 /*+ fDice*/ );
				fMissionInfo->mSetTeamRelations( static_cast<eTeamID>( kMonsterTeam ), static_cast<eTeamID>( kDefendTeam1 ), kTeamAtWar, kGoalDestroy, 1.0, kFalse );
				fChildActor->mSetShipTarget( targetShip, kAbsolutePriority);
			}
			else
			{
//				fChildActor->mClearCommands();
//				fChildActor->mSetShipMaxSpeed( 10 /*+ fDice*/ );
				fMissionInfo->mSetTeamRelations( static_cast<eTeamID>( kMonsterTeam ), static_cast<eTeamID>( kDefendTeam1 ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
				fChildActor->mSetFinalDestination();
			}
		}
	mSetTimedInterval( kTimerSecondsSet, kCheckDistanceID, 3.0f );
	}//	kCheckDistanceID
}
void tMonsterTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{

}
void tMonsterTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
}
void tMonsterTeamShipInitialState::mAtDestination( tShipInfo* ship )
{
	if( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
	}
}
void tMonsterTeamShipInitialState::mOnDisengaged( tShipInfo* ship )
{
}