/********************************************************************************************************\

	File Name:	Met_15BaseDefense.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_15BaseDefense_h )
#define Met_15BaseDefense_h

#include "ScriptInterface.h"

enum eCustomIDs
{
	kDefender1 = 1000,
	kDefender2,
	kDefender3,
	kOTD,
	kAttacker1,
	kAttacker2,
	kAttacker3,
};

enum eTeamTypes
{
	kAttackTeam1 = kTeam1,
	kAttackTeam2,
	kAttackTeam3,
	kDefendTeam1,
	kDefendTeam2,
	kDefendTeam3 = kDefendTeam2,
	kStarbaseTeam,
};

enum eTags
{
	kAttackTag = kTagA,
	kDefendTag = kTagB,
};

enum ePrestigeValues
{
	kPrestigeDestroyShip = 75,
	kPrestigeCaptureShip = 30,
	kPrestigeDestroyOTD = 100,
	kPrestigeCaptureOTD = 200,
};

class tVictoryCondition;

class tMet_15BaseDefense : public tScript
{
public:

	tMet_15BaseDefense();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );

	iMissSpecRace	mTranslateHexIntoRace( tMetaLocationSpec hex );
};

#endif


