/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_15BaseDefense",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Angriff auf die Basis",
	
	//	kTeamTitleDefend_msg,
	"Verteidigung der Basis",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Zerstren Sie die Basis.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"Sie befinden sich in gegnerischem Territorium. Zerstren Sie die gegnerische Basis um jeden Preis.\n\n",
	
	//	kTeamBriefingDefend_msg,
	"Der Gegner droht, Ihre Basis zu zerstren. Verteidigen Sie sie um jeden Preis.\n\n",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unsere Befehle lauten, die Basis der [TEAM4_RACE] in diesem Sektor zu zerstren.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Wir nhern uns einer Basis der [TEAM4_RACE]. Wir haben den Auftrag, " \
	"diese Basis um jeden Preis zu zerstren. Auf diese Weise strken wir die Fderation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Dies ist ein guter Moment, um zuzuschlagen. Obwohl wir uns im gegnerischen Raum befinden, sind wir Klingonen mit unserer " \
	"brutalen Kraft immer im Vorteil. Daher wird die Zerstrung der Basis der [TEAM4_RACE_PLURAL] in diesem Sektor ein Kinderspiel werden.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einer Angriffsmission. Unsere Befehle lauten, den Gegner anzugreifen und " \
	"seine Basis zu zerstren.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sollen die Basis der [TEAM4_RACE] in diesem Sektor zerstren.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einer Angriffsmission fr das Knigreich. Es wurde uns befohlen, die Basis des Gegners zu zerstren.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir sollen die Basis der [TEAM4_RACE] in diesem Sektor zerstren.\n\n" \
	
	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Wir befinden uns im Territorium der [TEAM4_RACE]. Unsere Mission besteht darin, die " \
	"Basis des Gegners zu zerstren. Fr ein Volk wie das ISK wre es allerdings wesentlich beeindruckender, wenn wir die Basis erobern wrden.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir sind auf der Jagd nach den mickrigen [TEAM4_RACE_PLURAL]. Wir haben es auf ihre kostbare Basis abgesehen. Und wir werden ihre Basis zerstren.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Unser Auftrag lautet, unsere Basis gegen die herannahenden Angreifer zu verteidigen.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. Gegnerische Streitkrfte sind in unseren Sektor eingedrungen. Ihr Ziel kann eigentlich nur unsere Basis sein. Wir mssen ihn um " \
	"jeden Preis beschtzen.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Die Sensoren zeigen, dass der Gegner in den Sektor eingedrungen ist und unseren nahe gelegenen Planeten bedroht.\n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Wir befinden uns auf einem Verteidigungseinsatz. Unsere Befehle lauten, den Gegner anzugreifen, bevor er die Gelegenheit hat, " \
	"unsere Basis zu zerstren.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Wir sollen die Basis der [TEAM1_RACE_PLURAL] zerstren, bevor sie einen Angriff auf unsere Basis starten.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Wir befinden uns auf einer Verteidigungsmission fr das Knigreich. Wir sollen unsere Basis mit allen verfgbaren Mitteln verteidigen.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Wir haben den Befehl, unsere Basis vor den [TEAM1_RACE_PLURAL] zu verteidigen, die soeben in das System eingedrungen sind.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Bericht des Befriedungsfeldzugs, galaktisches Datum [STARDATE]. Diese [TEAM1_RACE_PLURAL] glauben, dass sie das ISK berwltigen knnen. Doch wir sind ihnen " \
	"berlegen. Wir werden sie stoppen, bevor sie die Chance haben, unsere Basis auch nur anzukratzen.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Wir jagen die [TEAM1_RACE_PLURAL]. Wir werden ihnen das Fell abziehen. Wir werden sie vernichten und unsere Basis schtzen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Gute Arbeit. Die gegnerische Basis wurde zerstrt.\n\n",

	//	kDebLoserAttack_msg,
	"Unglcklicherweise war Ihr Versuch, die Basis zu zerstren, nicht von Erfolg gekrnt.\n\n",

	//	kDebWinnerDefend_msg,
	"Herzlichen Glckwunsch. Sie konnten die Basis erfolgreich verteidigen.\n\n",

	//	kDebLoserDefend_msg,
	"Unglcklicherweise hat der Gegner die wichtigsten Teile der Basis in Schutt und Asche gelegt. Leben Sie fr die noch kommenden Kmpfe.",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Drcken Sie T, um zuzuschauen.\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden!\n\n",

	// kDefeat_msg,
	"Niederlage!\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage!\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann:\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur:\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier:\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Verteidigerschiff zerstrt.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Verteidigerschiff erobert.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Verteidigerschiff deaktiviert.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Angreifendes Schiff zerstrt.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Angreifendes Schiff erobert.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Angreifendes Schiff deaktiviert.\n\n",
	
	//	kOTDDestroyed_msg,
	"Raumbasis zerstrt.\n\n",
	
	//	kOTDCaptured_msg,
	"Raumbasis erobert.\n\n",
	
	//	kOTDDisengaged_msg,
	"Raumbasis deaktiviert.\n\n",

	//
	//	Custom messagess
	//

#else		///////////////////////////////////////////////////////////////////////////////////
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_15BaseDefense",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Base Assault",
	
	//	kTeamTitleDefend_msg,
	"Base Defense",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Destroy the base.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"You have entered enemy territory. Destroy the enemy base at all costs.\n\n",
	
	//	kTeamBriefingDefend_msg,
	"Enemies are threatening to destroy your base. Defend it at all costs.\n\n",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to destroy the [TEAM4_RACE] base located in this sector.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are closing in on a [TEAM4_RACE] base. We are under orders to " \
	"destroy this base at all costs. Doing so will strengthen the Federation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. This is a good time to strike. Although we are in enemy space, we Klingons always have the advantage " \
	"with our brute strength. Therefore, killing the [TEAM4_RACE_PLURAL] base in this sector will be simple.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire, Stardate [STARDATE] on assault mission. Our orders are to engage the enemy and " \
	"destroy their base.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire, Stardate [STARDATE]. We are to destroy the [TEAM4_RACE] base in this sector.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, Stardate [STARDATE].  On a base assault for the Kingdom. We are to destroy the enemy base.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Commander's log, Stardate [STARDATE]. We are to destroy the [TEAM4_RACE] base located in this sector.\n\n" ,
	
	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. In [TEAM4_RACE] territory. Our mission is to destroy the " \
	"enemy base. Although, capturing the base would be even more impressive for a race such as the ISC.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We will hunt down the puny [TEAM4_RACE_PLURAL] starbase and destroy it.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to defend our base from incoming attackers.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. Enemy forces have entered our sector. Their target must be our base. We must protect " \
	"it at all costs.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. Sensors show that the enemy has entered the sector and threatens our nearby planet.\n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire, Stardate [STARDATE], on defense. Our orders are to engage the enemy and before they get a chance to " \
	"destroy our base.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire, Stardate [STARDATE]. We are to destroy the [TEAM1_RACE_PLURAL] before they can strike at our base.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, Stardate [STARDATE].  On a base defense for the Kingdom. We are to protect our base with everything we have.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Commander's log, Stardate [STARDATE]. We are to defend our base from the [TEAM1_RACE_PLURAL], who have just entered the system.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. Those [TEAM1_RACE_PLURAL] think that they can overcome the ISC. We are " \
	"superior. We will stop them before they have a chance to scathe our base.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We must destroy the [TEAM1_RACE_PLURAL] and protect our base.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Job well done. The enemy base has been destroyed.\n\n",

	//	kDebLoserAttack_msg,
	"Unfortunately, you were unsuccessful in your attempt to destroy the base.\n\n",

	//	kDebWinnerDefend_msg,
	"Congratulations. You successfully defended the base.\n\n",

	//	kDebLoserDefend_msg,
	"Unfortunately, the enemy got the best of the base. Live to fight another day.",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw!\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Defender ship destroyed.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Defender ship captured.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Defender ship disengaged.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Attacker ship destroyed.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Attacker ship captured.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Attacker ship disengaged.\n\n",
	
	//	kOTDDestroyed_msg,
	"Starbase destroyed.\n\n",
	
	//	kOTDCaptured_msg,
	"Starbase captured.\n\n",
	
	//	kOTDDisengaged_msg,
	"Starbase disengaged.\n\n",

	//
	//	Custom messagess
	//
#endif
};
