/********************************************************************************************************\

	File Name:	OTDBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OTDBaseState.h"
#include "Met_15BaseDefense.h"
#include "MissionText.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tOTDBaseState::mBeginState()
{}
void tOTDBaseState::mEndState()
{}

void tOTDBaseState::mOnDeath( tShipInfo* ship )
{
	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		for ( int32 i = kAttackTeam1; i <= kDefendTeam3; i++ )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( i ), kOTDDestroyed_msg, kNonCommScriptMessage );
		}
	}
}
void tOTDBaseState::mOnCapture( tShipInfo* ship )
{
	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		for ( int32 i = kAttackTeam1; i <= kDefendTeam3; i++ )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( i ), kOTDCaptured_msg, kNonCommScriptMessage );
		}
	}
}
void tOTDBaseState::mOnDisengaged( tShipInfo* ship )
{
	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		for ( int32 i = kAttackTeam1; i <= kDefendTeam3; i++ )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( i ), kOTDDisengaged_msg, kNonCommScriptMessage );
		}
	}
}
void tOTDBaseState::mAtDistance( tShipInfo* ship )
{}
void tOTDBaseState::mAtDestination( tShipInfo* ship )
{}
void tOTDBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOTDBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOTDBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOTDBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOTDBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOTDBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOTDBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOTDBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOTDBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOTDBaseState::mOnFlashingButtonPressed()
{}
void tOTDBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOTDBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOTDBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOTDBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOTDBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOTDBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOTDBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOTDBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOTDBaseState::mOnHostChanged()
{}
void tOTDBaseState::mOnTimedInterval( int32 timerID )
{}
void tOTDBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOTDBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

