/********************************************************************************************************\

	File Name:	DefendShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefendShipBaseState.h"
#include "Met_16ShipDefense.h"
#include "MissionText.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDefendShipBaseState::mBeginState()
{}
void tDefendShipBaseState::mEndState()
{}

void tDefendShipBaseState::mOnDeath( tShipInfo* ship )
{
	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		for ( int32 i = kAttackTeam1; i <= kDefendTeam3; i++ )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( i ), kDefendShipDestroyed_msg, kNonCommScriptMessage );
		}
	}
}
void tDefendShipBaseState::mOnCapture( tShipInfo* ship )
{
	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		for ( int32 i = kAttackTeam1; i <= kDefendTeam3; i++ )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( i ), kDefendShipCaptured_msg, kNonCommScriptMessage );
		}
	}
}
void tDefendShipBaseState::mOnDisengaged( tShipInfo* ship )
{
	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		for ( int32 i = kAttackTeam1; i <= kDefendTeam3; i++ )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( i ), kDefendShipDisengaged_msg, kNonCommScriptMessage );
		}
	}
}
void tDefendShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tDefendShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tDefendShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefendShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefendShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefendShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefendShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefendShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefendShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefendShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefendShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefendShipBaseState::mOnFlashingButtonPressed()
{}
void tDefendShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefendShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDefendShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefendShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefendShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefendShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefendShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefendShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tDefendShipBaseState::mOnHostChanged()
{}
void tDefendShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tDefendShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefendShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

