/********************************************************************************************************\

	File Name:	AttackTeam2InitialState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AttackTeam2InitialState.h"
#include "MissionText.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAttackTeam2InitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}
void tAttackTeam2InitialState::mEndState()
{}

void tAttackTeam2InitialState::mOnDeath( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mOnCapture( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mOnDisengaged( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mAtDistance( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mAtDestination( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttackTeam2InitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttackTeam2InitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttackTeam2InitialState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttackTeam2InitialState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mOnEndOrbit( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackTeam2InitialState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackTeam2InitialState::mOnFlashingButtonPressed()
{}
void tAttackTeam2InitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttackTeam2InitialState::mOnChangingShip( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttackTeam2InitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttackTeam2InitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttackTeam2InitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttackTeam2InitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAttackTeam2InitialState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAttackTeam2InitialState::mOnHostChanged()
{}
void tAttackTeam2InitialState::mOnTimedInterval( int32 timerID )
{

	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid
}
void tAttackTeam2InitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttackTeam2InitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

