/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 5;
const char* MapTypes[] = {	"Met_19Scan Map",
							"Met_19Scan Map -- Sun",
							"Met_19Scan Map -- Asteroids",
							"Met_19Scan Map -- Nebula" ,
							"Met_19Scan Map -- BlackHole" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_19Scan",
   "// Met_19Scan Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |......A.......................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..........*...................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W..a........|",
   " |.....hi.......................|",
   " |......g........Y..............|",
   " |..............................|",
   "3|.......Z......................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |...................A..........|",
   "4|..............................|",
   " |..a...........................|",
   " |..............................|",
   " |.............G................|",
   " |..............................|",
   "5|..........H.....I.............|",
   " |..........x w........*........|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_19Scan Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |......A...................(...|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..........*...................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W..a........|",
   " |.....hi.......................|",
   " |......g........Y..............|",
   " |..............................|",
   "3|.......Z......................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |...................A..........|",
   "4|..............................|",
   " |..a...........................|",
   " |..............................|",
   " |.............G................|",
   " |..............................|",
   "5|..........H.... I.............|",
   " |..........x w........*........|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_19Scan Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |...A..........................|",
   " |.............a............a...|",
   " |.................A............|",
   "1|..a.....*..............a......|",
   " |.................,,,..........|",
   " |.......*.........,.......*....|",
   " |..............................|",
   " |...................a........A.|",
   "2|..........*...................|",
   " |............X.....W......hi...|",
   " |.........................g.a..|",
   " |...............Y..............|",
   " |..............................|",
   "3|..............................|",
   " |...*................Z.........|",
   " |............a.................|",
   " |..............................|",
   " |..A.............a.............|",
   "4|..............................|",
   " |...a.........G......A.........|",
   " |..............................|",
   " |......*...H.....I...a.........|",
   " |...........................A..|",
   "5|.......................*......|",
   " |..A.......x w.................|",
   " |...........y................a.|",
   " |.....A........................|",
   " |........................*.....|",
   "6|............a.................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_19Scan Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.C........a......*............|",
   " |..............................|",
   " |...A......................a...|",
   "1|..............................|",
   " |..............................|",
   " |..........*...................|",
   " |......a.......................|",
   " |.........g....................|",
   "2|.........hi...................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y........A.....|",
   " |..............................|",
   "3|...........Z..................|",
   " |....A.........................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|.....................A........|",
   " |.............G................|",
   " |...a....*.....................|",
   " |..........H.....I......a......|",
   " |......A.......................|",
   "5|..............................|",
   " |..........x w.........*.......|",
   " |...........y...............A..|",
   " |....a.........................|",
   " |........*............a........|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_19Scan Map -- BlackHole",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |......hi.......Y..............|",
   " |.......g......................|",
   "3|..............................|",
   " |.....................B........|",
   " |.......Z......................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|.................G............|",
   " |..........x w.................|",
   " |...........y..H.....I.........|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



