//	<Name>	ScanShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ScanShipInitialState_h )
#define ScanShipInitialState_h

#include "ChildActorState.h"
#include "ScanShip.h"

class tScanShipInitialState : public tChildActorState<tScanShip>
{
public:
	enum eTimerIDs
	{
		kStartingID = 100,
		kEndingID,
		kDeepScanOnID,
		kCheckDistanceID,
		kGameOverCheckID,
		kFiredProbeID,
	};

	tScanShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnProbeLaunch( tShipInfo* ship );


protected:

	int32 fThisShipWorldID;
	bool	fDeepScanON;
};

#endif

