/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 5;
const char* MapTypes[] = {	"Scout Map",
							"Scout Map -- Sun",
							"Scout Map -- Asteroids",
							"Scout Map -- Nebula",
							"Scout Map -- BlackHole" };

const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Scout",
   "// Scout Map",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|....................g...................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|........................................|",
   " |........................................|",
   " |....................Z...................|",
   " |........................................|",
   " |........................................|",
   "5|...............X.........Y..............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |....................G...................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Scout Map -- Sun",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |...............................)........|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|....................g...................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|........................................|",
   " |........................................|",
   " |....................Z...................|",
   " |........................................|",
   " |........................................|",
   "5|...............X.........Y..............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |....................G...................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Scout Map -- Asteroids",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |.......a....................*...........|",
   "1|................a.......................|",
   " |........................................|",
   " |......................A.................|",
   " |..........................a.............|",
   " |.......A................................|",
   "2|........................................|",
   " |........................................|",
   " |...............................*........|",
   " |...............A........................|",
   " |..........a.............................|",
   "3|....................g................A..|",
   " |........................................|",
   " |........................................|",
   " |...A.....*..............................|",
   " |.................*..........a...........|",
   "4|........................................|",
   " |.......A................................|",
   " |....................Z...................|",
   " |........................................|",
   " |........................................|",
   "5|...............X......a..Y......A.......|",
   " |........................................|",
   " |................*.......................|",
   " |........................................|",
   " |......a.................................|",
   "6|..........A.............................|",
   " |..............................*.........|",
   " |....................G...................|",
   " |.......*.........................A......|",
   " |........................................|",
   "7|........................................|",
   " |..................*...........a.........|",
   " |........................................|",
   " |.......a................................|",
   " |.......................A................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
  "// Scout Map -- Nebula",
   " +____1____2____3____4____5____6____7____8+",
   " |C.......................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|....................g...................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|........................................|",
   " |........................................|",
   " |....................Z...................|",
   " |........................................|",
   " |........................................|",
   "5|...............X.........Y..............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |....................G...................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Scout Map -- BlackHole",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|....................g...................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|........................................|",
   " |........................................|",
   " |....................Z...................|",
   " |........................................|",
   " |........................................|",
   "5|...............X.........Y..............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |.............................B..........|",
   "6|........................................|",
   " |........................................|",
   " |....................G...................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};



