/********************************************************************************************************\

	File Name:	Attacker1State.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Attacker1State.h"
#include "Met_3Ambushee.h"
#include "MissionText.h"
#include "CommonDefs.h"

void tAttacker1State::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kSitrep_timer, 0.1f );
}

void tAttacker1State::mEndState()
{}

void tAttacker1State::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kSitrep_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kAttackerTeam1 ), kStart_Attacker_msg );
		}
		break;

	default:
		break;
	}
}

void tAttacker1State::mOnDeath( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kDefenderTeam:
		fChildActor->mAddToPrestige( kPrestigeShipKilled );
		break;

	case kAttackerTeam1:
		fChildActor->mAddToPrestige( -kPrestigeShipKilled );
		break;

	default:
		break;
	}
}

void tAttacker1State::mOnCapture( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kDefenderTeam:
		fChildActor->mAddToPrestige( kPrestigeShipCaptured );
		break;

	case kAttackerTeam1:
		fChildActor->mAddToPrestige( -kPrestigeShipCaptured );
		break;

	default:
		break;
	}
}

void tAttacker1State::mOnDisengaged( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kDefenderTeam:
		fChildActor->mAddToPrestige( kPrestigeShipDisengaged );
		break;

	case kAttackerTeam1:
		fChildActor->mAddToPrestige( -kPrestigeShipDisengaged );
		break;

	default:
		break;
	}
}

void tAttacker1State::mAtDistance( tShipInfo* ship )
{}
void tAttacker1State::mAtDestination( tShipInfo* ship )
{}
void tAttacker1State::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttacker1State::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttacker1State::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttacker1State::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttacker1State::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttacker1State::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttacker1State::mOnEndOrbit( tShipInfo* ship )
{}
void tAttacker1State::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttacker1State::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttacker1State::mOnFlashingButtonPressed()
{}
void tAttacker1State::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttacker1State::mOnChangingShip( tShipInfo* ship )
{}
void tAttacker1State::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttacker1State::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttacker1State::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttacker1State::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttacker1State::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAttacker1State::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAttacker1State::mOnHostChanged()
{}

void tAttacker1State::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttacker1State::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

