/********************************************************************************************************\

	File Name:	Attacker1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Attacker1Team.h"
#include "Attacker1State.h"
#include "Attacker1Ship.h"
#include "ShipScriptDescription.h"
#include "Attacker1Victory.h"
#include "CommonVictory.h"
#include "MissionText.h"

tClassAllocator<tAttacker1Team> gAttacker1TeamAllocator;

tAttacker1Team::tAttacker1Team()
{
	fHasWon = false;
	fKilledTarget = false;
	fPrestige = 0;
	fBPVScore = 0;
	fShipsLost = 0;
	fShipsKilled = 0;
}

void tAttacker1Team::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );

	//fVictoryCondition = new tAttacker1Victory( this );
	//gEventMgr.mRegisterActor( fVictoryCondition );
}

void tAttacker1Team::mSetupState()
{
	mRegisterState( new tAttacker1State() );
	mGotoState( typeid( tAttacker1State ) );
}

void tAttacker1Team::mSetupCommState()
{}

void tAttacker1Team::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	switch( victoryLevel )
	{
	case kAstoundingVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kWinner_msg );
		break;

	case kVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kVictory_msg );
		break;

	case kDraw:
		fMissionInfo->mAddToDebriefingList( fTeam, kDraw_msg );
		break;

	case kDevastatingDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kLoser_msg );
		break;

	default:
		fMissionInfo->mAddToDebriefingList( fTeam, kDefault_msg );
		break;
	}
}

void tAttacker1Team::mCreateShipsForTeam()
{}

void tAttacker1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAttacker1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	mCreateShip( typeid( tAttacker1Ship ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_H,
				 shipScriptDescription.fMetaDatabaseID,
				 -1, 0, 0, -1,
				 -1, 
				 shipScriptDescription.fCustomName.c_str(),
				 kDefaultShipOptions );
}

void tAttacker1Team::mScheduleNextMission( tVictoryCondition* VictoryCondition )
{
	fMissionScheduler.fVictoryLevel = VictoryCondition->mCalcVictoryStatus( mGetTeam() );
	fMissionScheduler.fPrestige = VictoryCondition->mGetPrestigePoints( fMissionScheduler.fVictoryLevel );
	fMissionScheduler.fBonusPrestige = VictoryCondition->mGetBonusPrestige();
	fMissionScheduler.fNextMissionScore = 0;
	fMissionScheduler.fNextMissionTitle = "";
}