/********************************************************************************************************\

	File Name:	Attacker1VictoryState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Attacker1VictoryState.h"
#include "MissionText.h"
#include "Attacker1Team.h"
#include "ScriptInterface.h"
#include "ShipInfo.h"
#include "Attacker1Victory.h"
#include "Met_3Ambushee.h"
#include "CommonDefs.h"
#include "DefenderTeam.h"
#include "Attacker1Team.h"
#include "Attacker2Team.h"
#include "WorldConditions.h"

//
//	Serialization events
//
tAttacker1VictoryState::tAttacker1VictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tAttacker1Victory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{}
void tAttacker1VictoryState::mBeginState()
{}
void tAttacker1VictoryState::mEndState()
{}

eVictoryLevels tAttacker1VictoryState::mCalcVictoryStatus( eTeamID ID )
{
	return kDraw;
}

void tAttacker1VictoryState::mOnDeath( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	tDefenderTeam* defenderTeam = dynamic_cast<tDefenderTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kDefenderTeam ) ) );
	ASSERT( defenderTeam );
	if( !defenderTeam ) return;

	tAttacker1Team* attackerTeam1 = dynamic_cast<tAttacker1Team*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAttackerTeam1 ) ) );
	ASSERT( attackerTeam1 );
	if( !attackerTeam1 ) return;

	// Attack Team 2 may not exist, so don't assert or bail out if it's not there
	tAttacker2Team* attackerTeam2 = dynamic_cast<tAttacker2Team*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAttackerTeam2 ) ) );

	switch( ship->mGetTeam() )
	{
	case kDefenderTeam:
		{
			mAddToPrestige( kPrestigeShipKilled );

			if( gWC.mIsTeamDead( 1 ) )
			{
				gScriptInterface.mSetGameStatus( static_cast<eTeamID>( kAttackerTeam1 ), kPlayerWins );
			}
			
		}
		break;

	case kAttackerTeam1:
		{
			mAddToPrestige( -kPrestigeShipKilled );

			if( !attackerTeam1->mShipsRemainingInPlay() )
			{
				gWC.mSetTeamDead( 2 );
				gScriptInterface.mSetGameStatus( static_cast<eTeamID>( kAttackerTeam1 ), kPlayerDestroyed );
			}
		}
		break;
	}
}

void tAttacker1VictoryState::mOnCapture( tShipInfo* ship )
{

}

void tAttacker1VictoryState::mOnDisengaged( tShipInfo* ship )
{

}

void tAttacker1VictoryState::mAtDistance( tShipInfo* ship )
{}
void tAttacker1VictoryState::mAtDestination( tShipInfo* ship )
{}
void tAttacker1VictoryState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttacker1VictoryState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttacker1VictoryState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttacker1VictoryState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttacker1VictoryState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttacker1VictoryState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttacker1VictoryState::mOnEndOrbit( tShipInfo* ship )
{}
void tAttacker1VictoryState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttacker1VictoryState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttacker1VictoryState::mOnFlashingButtonPressed()
{}
void tAttacker1VictoryState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttacker1VictoryState::mOnChangingShip( tShipInfo* ship )
{}
void tAttacker1VictoryState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttacker1VictoryState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttacker1VictoryState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttacker1VictoryState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
													eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttacker1VictoryState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
													eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

//
//	System events
//
void tAttacker1VictoryState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAttacker1VictoryState::mOnHostChanged()
{}
void tAttacker1VictoryState::mOnTimedInterval( int32 timerID )
{}
void tAttacker1VictoryState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttacker1VictoryState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}
