/********************************************************************************************************\

	File Name:	Attacker2Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Attacker2Team.h"
#include "Attacker2State.h"
#include "Attacker2Ship.h"
#include "ShipScriptDescription.h"
#include "Attacker2Victory.h"
#include "CommonVictory.h"
#include "MissionText.h"

tClassAllocator<tAttacker2Team> gAttacker2TeamAllocator;

tAttacker2Team::tAttacker2Team()
{
	fHasWon = false;
	fKilledTarget = false;
	fPrestige = 0;
	fBPVScore = 0;
	fShipsLost = 0;
	fShipsKilled = 0;
}

void tAttacker2Team::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );

	//fVictoryCondition = new tAttacker2Victory( this );
	//gEventMgr.mRegisterActor( fVictoryCondition );
}

void tAttacker2Team::mSetupState()
{
	mRegisterState( new tAttacker2State() );
	mGotoState( typeid( tAttacker2State ) );
}

void tAttacker2Team::mSetupCommState()
{}

void tAttacker2Team::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	switch( victoryLevel )
	{
	case kAstoundingVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kWinner_msg );
		break;

	case kVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kVictory_msg );
		break;

	case kDraw:
		fMissionInfo->mAddToDebriefingList( fTeam, kDraw_msg );
		break;

	case kDevastatingDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kLoser_msg );
		break;

	default:
		fMissionInfo->mAddToDebriefingList( fTeam, kDefault_msg );
		break;
	}
}

void tAttacker2Team::mCreateShipsForTeam()
{}

void tAttacker2Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAttacker2Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	mCreateShip( typeid( tAttacker2Ship ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_I,
				 shipScriptDescription.fMetaDatabaseID,
				 -1, 0, 0, -1,
				 -1, 
				 shipScriptDescription.fCustomName.c_str(),
				 kDefaultShipOptions );
}

void tAttacker2Team::mScheduleNextMission( tVictoryCondition* VictoryCondition )
{
	fMissionScheduler.fVictoryLevel = VictoryCondition->mCalcVictoryStatus( mGetTeam() );
	fMissionScheduler.fPrestige = VictoryCondition->mGetPrestigePoints( fMissionScheduler.fVictoryLevel );
	fMissionScheduler.fBonusPrestige = VictoryCondition->mGetBonusPrestige();
	fMissionScheduler.fNextMissionScore = 0;
	fMissionScheduler.fNextMissionTitle = "";
}