/********************************************************************************************************\

	File Name:	DefenderState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefenderState.h"
#include "Met_3Ambushee.h"
#include "MissionText.h"
#include "CommonDefs.h"

void tDefenderState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kSitrep_timer, 0.1f );
}

void tDefenderState::mEndState()
{}

void tDefenderState::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kSitrep_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kDefenderTeam ), kStart_Defender_msg );
		}
		break;

	default:
		break;
	}
}

void tDefenderState::mOnDeath( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kDefenderTeam:
		fChildActor->mAddToPrestige( -kPrestigeShipKilled );
		break;

	case kAttackerTeam1:
		fChildActor->mAddToPrestige( kPrestigeAttackerShipKilled );
		break;

	case kAttackerTeam2:
		fChildActor->mAddToPrestige( kPrestigeAttackerShipKilled );
		break;

	default:
		break;
	}
}

void tDefenderState::mOnCapture( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kDefenderTeam:
		fChildActor->mAddToPrestige( -kPrestigeShipCaptured );
		break;

	case kAttackerTeam1:
		fChildActor->mAddToPrestige( kPrestigeAttackShipCaptured );
		break;

	case kAttackerTeam2:
		fChildActor->mAddToPrestige( kPrestigeAttackShipCaptured );
		break;

	default:
		break;
	}
}

void tDefenderState::mOnDisengaged( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	/*
		Should not penalize ambushee for running from 2:1 odds
	case kDefenderTeam:
		fChildActor->mAddToPrestige( -kPrestigeShipDisengaged );
		break;
	*/
	case kAttackerTeam1:
		fChildActor->mAddToPrestige( kPrestigeShipDisengaged );
		break;

	case kAttackerTeam2:
		fChildActor->mAddToPrestige( kPrestigeShipDisengaged );
		break;

	default:
		break;
	}
}

void tDefenderState::mAtDistance( tShipInfo* ship )
{}
void tDefenderState::mAtDestination( tShipInfo* ship )
{}
void tDefenderState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefenderState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefenderState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefenderState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefenderState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefenderState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefenderState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefenderState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenderState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenderState::mOnFlashingButtonPressed()
{}
void tDefenderState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefenderState::mOnChangingShip( tShipInfo* ship )
{}
void tDefenderState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefenderState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefenderState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefenderState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefenderState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefenderState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDefenderState::mOnHostChanged()
{}

void tDefenderState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefenderState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

