/********************************************************************************************************\

	File Name:	DefenderTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "DefenderTeam.h"
#include "DefenderState.h"
#include "ShipScriptDescription.h"
#include "DefenderShip.h"
#include "DefenderVictory.h"
#include "DefenderVictoryState.h"
#include "CommonVictory.h"
#include "MissionText.h"

tClassAllocator<tDefenderTeam> gDefenderTeamAllocator;

tDefenderTeam::tDefenderTeam()
{
	fHasWon = false;
	fDisengaged = false;
	fKilledAttacker = false;
	fPrestige = 0;
	fBPVScore = 0;
	fShipsLost = 0;
	fShipsKilled = 0;
}

void tDefenderTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );

	//fVictoryCondition = new tDefenderVictory( this );
	//gEventMgr.mRegisterActor( fVictoryCondition );
}


void tDefenderTeam::mSetupState()
{
	mRegisterState( new tDefenderState() );
	mGotoState( typeid( tDefenderState ) );
}

void tDefenderTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	switch( victoryLevel )
	{
	case kAstoundingVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kWinner_msg );
		break;

	case kVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kVictory_msg );
		break;

	case kDraw:
		fMissionInfo->mAddToDebriefingList( fTeam, kDraw_msg );
		break;

	case kDevastatingDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kLoser_msg );
		break;

	default:
		fMissionInfo->mAddToDebriefingList( fTeam, kDefault_msg );
		break;
	}
}

void tDefenderTeam::mSetupCommState()
{}

void tDefenderTeam::mCreateShipsForTeam()
{}

void tDefenderTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tDefenderTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	mCreateShip( typeid( tDefenderShip ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_G,
				 shipScriptDescription.fMetaDatabaseID,
				 -1, 0, 0, -1,
				 -1, 
				 shipScriptDescription.fCustomName.c_str(),
				 kDefaultShipOptions );
}

void tDefenderTeam::mScheduleNextMission( tVictoryCondition* VictoryCondition )
{
	fMissionScheduler.fVictoryLevel = VictoryCondition->mCalcVictoryStatus( mGetTeam() );
	fMissionScheduler.fPrestige = VictoryCondition->mGetPrestigePoints( fMissionScheduler.fVictoryLevel );
	fMissionScheduler.fBonusPrestige = VictoryCondition->mGetBonusPrestige();
	fMissionScheduler.fNextMissionScore = 0;
	fMissionScheduler.fNextMissionTitle = "";
}