/********************************************************************************************************\

	File Name:	DefenderTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( DefenderTeam_h )
#define DefenderTeam_h

#include "TeamInfo.h"

class tDefenderTeam : public tTeamInfo
{
public:

	tDefenderTeam();
	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();
	virtual void mSetupVictoryCondition();
	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{};

	iTruth	mHasWon()					{ return fHasWon; }
	void	mSetWon( iTruth x )			{ fHasWon = x; }

	int32	mGetPrestige()				{ return fPrestige; }
	void	mAddToPrestige( int32 x )	{ fPrestige += x; }

	int32	mGetBPVScore()				{ return fBPVScore; }
	void	mAddToBPVScore( int32 x )	{ fBPVScore += x; }

	iTruth	mKilledAttacker()			{ return fKilledAttacker; }
	void	mSetKilledAttacker()		{ fKilledAttacker = true; }

	iTruth	mDisengaged()				{ return fDisengaged; }
	void	mSetDisengaged()			{ fDisengaged = true; }

	int32	mShipsLost()				{ return fShipsLost; }
	void	mIncShipLost()				{ fShipsLost++; }

	int32	mShipsKilled()				{ return fShipsKilled; }
	void	mIncShipsKilled()			{ fShipsKilled++; }

protected:
	iTruth	fHasWon;
	iTruth	fDisengaged;
	iTruth	fKilledAttacker;
	int32	fPrestige;
	int32	fBPVScore;
	int32	fShipsLost;
	int32	fShipsKilled;

};

#endif
