/********************************************************************************************************\

	File Name:	WorldConditions.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"
#include "Met_3Ambushee.h"

class tWorldConditions gWC;

tWorldConditions::tWorldConditions()
{
	fTeam1Alive = false;
	fTeam2Alive = false;
	fTeam3Alive = false;
}

void tWorldConditions::mCheckForGameEnd( void )
{}

int32 tWorldConditions::mAssessTeamDamage( eTeamID teamID )
{
	tMissionInfo* thisMission = gScriptInterface.mMission();
	ASSERT( thisMission );
	if( !thisMission ) return -1;

	tTeamInfo* thisTeam = thisMission->mGetTeamHandle( static_cast<eTeamID>( teamID ) );
	ASSERT( thisTeam );
	if( !thisTeam ) return -1;

	int32 teamDamage = 0;
	tShipIterator shipI = thisTeam->mGetFirstShip();
	
	while( *shipI )
	{
		teamDamage += shipI->mGetDamagePercent();
		shipI++;
	}

	return teamDamage;
}

iTruth tWorldConditions::mIsTeamDead( int32 team )
{
	ASSERT( team > 0 && team < 4 );
	if( team < 1 || team > 3 ) return kTrue;

	switch( team )
	{
	case 1:
		return fTeam1Alive;
		break;

	case 2:
		return fTeam2Alive;
		break;

	case 3:
		return fTeam3Alive;
		break;

	default:
		return kFalse;
		break;
	}
}

void tWorldConditions::mSetTeamDead( int32 team )
{
	ASSERT( team > 0 && team < 4 );
	if( team < 1 || team > 3 ) return;

	switch( team )
	{
	case 1:
		fTeam1Alive = true;
		break;

	case 2:
		fTeam2Alive = true;
		break;

	case 3:
		fTeam3Alive = true;
		break;

	default:
		break;
	}
}