/********************************************************************************************************\

	File Name:	Attacker2State.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Attacker2State.h"
#include "CommonDefs.h"
#include "Met_4Ambusher.h"
#include "MissionText.h"

void tAttacker2State::mBeginState()
{}
void tAttacker2State::mEndState()
{}

void tAttacker2State::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kLog_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kAttacker2 ), kAttackerStart_msg );
			break;
		}

	default:
		break;
	}
}

void tAttacker2State::mOnDeath( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kAttacker2:
		fChildActor->mAddToPrestige( -kShipKilled );
		break;

	case kDefender:
		fChildActor->mAddToPrestige( kShipKilled );
		break;

	default:
		break;
	}
}

void tAttacker2State::mOnCapture( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kAttacker2:
		fChildActor->mAddToPrestige( -kShipCapped );
		break;

	case kDefender:
		fChildActor->mAddToPrestige( kShipCapped );
		break;

	default:
		break;
	}
}

void tAttacker2State::mOnDisengaged( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kAttacker2:
		fChildActor->mAddToPrestige( -kShipLeft );
		break;

	case kDefender:
		fChildActor->mAddToPrestige( kShipLeft );
		break;

	default:
		break;
	}
}

void tAttacker2State::mAtDistance( tShipInfo* ship )
{}
void tAttacker2State::mAtDestination( tShipInfo* ship )
{}
void tAttacker2State::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttacker2State::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttacker2State::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttacker2State::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttacker2State::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttacker2State::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttacker2State::mOnEndOrbit( tShipInfo* ship )
{}
void tAttacker2State::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttacker2State::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttacker2State::mOnFlashingButtonPressed()
{}
void tAttacker2State::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttacker2State::mOnChangingShip( tShipInfo* ship )
{}
void tAttacker2State::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttacker2State::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttacker2State::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttacker2State::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttacker2State::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAttacker2State::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAttacker2State::mOnHostChanged()
{}

void tAttacker2State::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttacker2State::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

