/********************************************************************************************************\

	File Name:	AttackerTeam1.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AttackerTeam1.h"
#include "CommonVictory.h"
#include "Attacker1State.h"
#include "AttackerShip1.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "Met_4Ambusher.h"

tClassAllocator<tAttackerTeam1> gAttackerTeam1Allocator;

tAttackerTeam1::tAttackerTeam1()
{
	fPrestige = 0;
	fNumEnemiesKilled = 0;
	fShipsLost = 0;
}

void tAttackerTeam1::mSetupState()
{
	mRegisterState( new tAttacker1State() );
	mGotoState( typeid( tAttacker1State ) );
}

void tAttackerTeam1::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tAttackerTeam1::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	switch( victoryLevel )
	{
	case kAstoundingVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_AstoundingVictory_msg );
		break;

	case kVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_Victory_msg );
		break;

	case kDraw:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_Draw_msg );
		break;

	case kDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_Defeat_msg );
		break;	

	case kDevastatingDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_DevastatingDefeat_msg );
		break;

	default:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_Unknown_msg );
		break;
	}
}

void tAttackerTeam1::mSetupCommState()
{}

void tAttackerTeam1::mCreateShipsForTeam()
{}

void tAttackerTeam1::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAttackerTeam1::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	mCreateShip( typeid( tAttackerShip1 ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_H,
				 shipScriptDescription.fMetaDatabaseID,
				 -1, 0, 0, -1,
				 -1, 
				 shipScriptDescription.fCustomName.c_str(),
				 kDefaultShipOptions );
}

void tAttackerTeam1::mScheduleNextMission( tVictoryCondition* VictoryCondition )
{
	fMissionScheduler.fVictoryLevel = VictoryCondition->mCalcVictoryStatus( mGetTeam() );
	fMissionScheduler.fPrestige = VictoryCondition->mGetPrestigePoints( fMissionScheduler.fVictoryLevel );
	fMissionScheduler.fBonusPrestige = VictoryCondition->mGetBonusPrestige();
	fMissionScheduler.fNextMissionScore = 0;
	fMissionScheduler.fNextMissionTitle = "";
}