/********************************************************************************************************\

	File Name:	AttackerTeam2.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AttackerTeam2.h"
#include "CommonVictory.h"
#include "Attacker2State.h"
#include "AttackerShip2.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "Met_4Ambusher.h"

tClassAllocator<tAttackerTeam2> gAttackerTeam2Allocator;

tAttackerTeam2::tAttackerTeam2()
{
	fPrestige = 0;
	fNumEnemiesKilled = 0;
	fShipsLost = 0;
}


void tAttackerTeam2::mSetupState()
{
	mRegisterState( new tAttacker2State() );
	mGotoState( typeid( tAttacker2State ) );
}

void tAttackerTeam2::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tAttackerTeam2::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	switch( victoryLevel )
	{
	case kAstoundingVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_AstoundingVictory_msg );
		break;

	case kVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_Victory_msg );
		break;

	case kDraw:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_Draw_msg );
		break;

	case kDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_Defeat_msg );
		break;	

	case kDevastatingDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_DevastatingDefeat_msg );
		break;

	default:
		fMissionInfo->mAddToDebriefingList( fTeam, kDeb_Unknown_msg );
		break;
	}
}

void tAttackerTeam2::mSetupCommState()
{}

void tAttackerTeam2::mCreateShipsForTeam()
{}

void tAttackerTeam2::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAttackerTeam2::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	mCreateShip( typeid( tAttackerShip2 ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_I,
				 shipScriptDescription.fMetaDatabaseID,
				 -1, 0, 0, -1,
				 -1, 
				 shipScriptDescription.fCustomName.c_str(),
				 kDefaultShipOptions );
}

void tAttackerTeam2::mScheduleNextMission( tVictoryCondition* VictoryCondition )
{
	fMissionScheduler.fVictoryLevel = VictoryCondition->mCalcVictoryStatus( mGetTeam() );
	fMissionScheduler.fPrestige = VictoryCondition->mGetPrestigePoints( fMissionScheduler.fVictoryLevel );
	fMissionScheduler.fBonusPrestige = VictoryCondition->mGetBonusPrestige();
	fMissionScheduler.fNextMissionScore = 0;
	fMissionScheduler.fNextMissionTitle = "";
}