/********************************************************************************************************\

	File Name:	DefenderState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefenderState.h"
#include "CommonDefs.h"
#include "Met_4Ambusher.h"
#include "MissionText.h"

void tDefenderState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kLog_timer, 0.1f );
}

void tDefenderState::mEndState()
{}

void tDefenderState::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kLog_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kDefender ), kDefenderStart_msg );
			break;
		}

	default:
		break;
	}
}

void tDefenderState::mOnDeath( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kDefender:
		fChildActor->mAddToPrestige( -kShipKilled );
		break;

	case kAttacker1:
		fChildActor->mAddToPrestige( kPrestigeAttackerShipKilled );
		break;

	case kAttacker2:
		fChildActor->mAddToPrestige( kPrestigeAttackerShipKilled );
		break;

	default:
		break;
	}
}

void tDefenderState::mOnCapture( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kDefender:
		fChildActor->mAddToPrestige( -kShipCapped );
		break;

	case kAttacker1:
		fChildActor->mAddToPrestige( kPrestigeAttackShipCaptured );
		break;

	case kAttacker2:
		fChildActor->mAddToPrestige( kPrestigeAttackShipCaptured );
		break;

	default:
		break;
	}
}

void tDefenderState::mOnDisengaged( tShipInfo* ship )
{
	ASSERT( ship );
	if( !ship ) return;

	switch( ship->mGetTeam() )
	{
	case kDefender:
		fChildActor->mAddToPrestige( -kShipLeft );
		break;

	case kAttacker1:
		fChildActor->mAddToPrestige( kShipLeft );
		break;

	case kAttacker2:
		fChildActor->mAddToPrestige( kShipLeft );
		break;

	default:
		break;
	}
}

void tDefenderState::mAtDistance( tShipInfo* ship )
{}
void tDefenderState::mAtDestination( tShipInfo* ship )
{}
void tDefenderState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefenderState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefenderState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefenderState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefenderState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefenderState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefenderState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefenderState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenderState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenderState::mOnFlashingButtonPressed()
{}
void tDefenderState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefenderState::mOnChangingShip( tShipInfo* ship )
{}
void tDefenderState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefenderState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefenderState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefenderState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefenderState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefenderState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDefenderState::mOnHostChanged()
{}

void tDefenderState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefenderState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

