/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 5;
const char* MapTypes[] = {	"Met_6Patrol Map",
							"Met_6Patrol Map -- Sun",
							"Met_6Patrol Map -- Asteroids",
							"Met_6Patrol Map -- Nebula",
							"Met_6Patrol Map -- BlackHole" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_6Patrol",
   "// Met_6Patrol Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_6Patrol Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x w.................|",
   " |...........y...........(......|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_6Patrol Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |....A.........a...............|",
   " |........................A.....|",
   "1|........*.....................|",
   " |.................h.i..........|",
   " |.......*.........g.......*....|",
   " |..............................|",
   " |..............................|",
   "2|..........*.........a.........|",
   " |...a........X.....W...........|",
   " |..............................|",
   " |...............Y........A.....|",
   " |..Z......*....................|",
   "3|....*..*....................*.|",
   " |...........A........a.........|",
   " |.........................*....|",
   " |.......a.......a...*..*.......|",
   " |....A.........................|",
   "4|.........................A....|",
   " |.............G................|",
   " |...................a..........|",
   " |.....**...H.....I.............|",
   " |.......................*.....a|",
   "5|..............................|",
   " |..........x w........A........|",
   " |...A.......y............*.....|",
   " |..............................|",
   " |....a.........................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_6Patrol Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.C............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
  "// Met_6Patrol Map -- BlackHole",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |.......B.......Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6"
   "///",
   0
};



