/********************************************************************************************************\

	File Name:	AttackTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AttackTeamBaseState.h"
#include "MissionText.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAttackTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
}
void tAttackTeamBaseState::mEndState()
{}

void tAttackTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tAttackTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tAttackTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAttackTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tAttackTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tAttackTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttackTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttackTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttackTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttackTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttackTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttackTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAttackTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackTeamBaseState::mOnFlashingButtonPressed()
{}
void tAttackTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttackTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAttackTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttackTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttackTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttackTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttackTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAttackTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tAttackTeamBaseState::mOnHostChanged()
{}
void tAttackTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if ( timerID == kStartingID )
	{
		eRaceName  playerRace = kNoRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		if ( playerTeam )
			playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedStartAttack_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliStartAttack_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomStartAttack_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrStartAttack_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorStartAttack_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirStartAttack_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydStartAttack_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCStartAttack_msg, kNonCommScriptMessage );
			break;
			default:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kStartAttack_msg, kNonCommScriptMessage );
			break;
		}
	}
}
void tAttackTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttackTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

