/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{

#ifdef _GERMAN
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_10Search",

	//kTitle2
	"Auf der Suche nach...",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Wir haben einige hchst erfreuliche Neuigkeiten: Unsere Forscher glauben, dass sie die Position der " \
	"Heimatwelt der U-Ianna gefunden haben. Die potenziellen Entdeckungen, die dort auf uns warten, sind unvorstellbar.\n" \

	"Ihre Mission besteht darin, zum Sektor [SYSTEM_NAME] zu fliegen und ein Forschungsteam zu dem " \
	"Planeten zu bringen. Langstreckenscans haben besttigt, dass es zwei Planeten in diesem System gibt, die sich merkwrdig nahe " \
	"sind; sorgen Sie in jedem Fall dafr, dass das Team auf dem richtigen landet.\n" \

	"Viel Glck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"Logbuch des [PLAYER_RANK], Sternendatum [STARDATE]. Sektor [SYSTEM_NAME] liegt tief in den unerforschen Weiten des Raums, " \
	"aber wenn unsere Wissenschaftler recht haben, wird die Reise sich lohnen.\n",

	
	//kInitialSitrep_msg,
	"Erster Offizier: Wir sind im System angekommen.\n" \

	"Wissenschaftsoffizier: Die Sensoren registrieren irgend etwas da drauen, [PLAYER_RANK]... eine Lebensform mit " \
	"unbekannter Klassifizierung.\n" \

	"Kommunikationsoffizier: [PLAYER_RANK], ich empfangen eine bertragung von dem Weltraumwesen.\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_HomeworldFound_msg,
	"Ich gratuliere zu der erfolgreichen Mission. Das Archologenteam, das Sie auf " \
	"der Heimatwelt der U-Ianna abgesetzt haben, hat etwas sehr Interessantes entdeckt: eine vollkommen funktionstchtige " \
	"Psionik-Maschine. Wir glauben jetzt, dass die U-Ianna dieses Gert verwendet haben, um ihre Geisteskrfte " \
	"zu kanalisieren und um Informationen und Fhigkeiten auszutauschen. Wir glauben auch, dass sie die mentale " \
	"Energie ihres gesamten Volkes zu einem einzigen Wesen zusammenfassen konnten, das diese Kraft fokussieren konnte, um " \
	"die geistigen Fhigkeiten anderer zu kontrollieren. Sie knnen sich die Implikationen einer solchen Technologie sicher vorstellen.\n" \

	"Und Sie knnen darauf wetten, dass wir sie bald nutzen werden.\n\nGute Arbeit.\n",

	//kDeb_HomeworldNotFound_msg,
	"Unglcklicherweise ist es Ihnen nicht gelungen, die Heimatwelt der U-Ianna zu finden. Wir mssen nun eine weitere " \
	"Expedition ausschicken. Vielleicht werden die ja ihrer Aufgabe gerecht.\n\n",

	//kDeb_BeamedSilly_msg,
	"Sie haben das Forschungsteam WOHIN gebeamt!?\n" \
	"Macht nichts, halten Sie sich nicht mit Erklrungen auf. Verschwinden Sie nur ganz fix aus meinem Bro.\n\nWegtreten.\n",

	//kDeb_PlayerDied_msg
	"Ihre Einheiten sind vernichtet worden.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"RUFEN",

	//kButton_Mock,
	"VERSPOTTEN",

	//kButton_Praise,
	"LOBEN",

	//kButton_Peace,
	"FRIEDFERTIGKEIT VORGEBEN",
	
	//kButton_Threaten,
	"BEDROHEN",

	//kButton_ClaimSystem,
	"STERNSYSTEM BEANSPRUCHEN",

	//kButton_Organian,
	"ORGANIER",

	//kButton_Metron,
	"METRONS",

	//
	//	Comm messages
	//
	
	//kHail_msg,
	"Weltraummonster: Ich bin der Paladin des Gedankens, der Beschtzer der Heimatwelt der U-Ianna. Ihr dringt " \
	"in unseren Raum ein. Macht euch auf der Stelle davon.\n" \

	"[PLAYER_NAME]: Paladin, die U-Ianna sind seit tausend Jahren tot. Wir mchten nur auf friedliche Weise " \
	"ihre ehemalige Heimat besuchen.\n" \

	"Paladin: Unsinn! Die U-Ianna knnen nicht vergangen sein. Das wrde ich wissen.\n",

	//kMock_msg,
	"[PLAYER_NAME]: Ein schner Beschtzer bist Du! Dein Volk verschwindet direkt unter Deiner Nase.\n" \

	"Paladin: Du verschwendest meine Zeit. Mach dich davon!\n\n",

	//kPraise_msg,
	"[PLAYER_NAME]: Paladin, Du handelst Deinem Volk gegenber gerecht, indem Du es beschtzt. Die Hingabe der U-Ianna " \
	"an die Ideale des Friedens erinnert mich an eine andere hoch entwickelte Spezies, die wir getroffen haben.\n" \

	"Paladin: Aha? Und wer soll das sein?\n\n",

	//kOrganian_msg,
	"Paladin: Die Organier!? Dieser hochnsige, intrigante Abklatsch einer hheren Lebensform? Du beleidigst mich.\n\n",

	//kMetron_msg,
	"Paladin: Ah, die Metrons. Wirklich ein gutes Beispiel fr eine entwickelte Spezies.\n\n",

	//kThreaten_msg,
	"[PLAYER_NAME]: Schau, Paladin, langsam bin ich diese Unterhaltung leid. Geh zur Seite, oder Du wirst " \
	"vernichtet.\n" \

	"Paladin: (Lacht) Wir haben Angriffen von wesentlich fhigeren Vlkern als dem Deinen standgehalten, einschlielich " \
	"mehrerer mit Waffen der Delta-Klasse.\n" \

	"[PLAYER_NAME]: Waffen der 'Delta-Klasse'? Erzhl' mir mehr darber.\n" \

	"Paladin: Ich denke nicht daran.\n\n",

	//kClaimSystem_msg,
	"[PLAYER_NAME]: Paladin! Wir melden in aller Form unseren Anspruch auf dieses Sternsystem an, und ich fordere Dich auf, Dich aus " \
	"unserem Raum zurckzuziehen.\n" \

	"Erster Offizier: (beginnt zu sprechen, stockt und starrt [PLAYER_NAME] an)\n" \

	"[PLAYER_NAME]: (leise, zum Ersten Offizier gewandt) Haben Sie eine bessere Idee?\n" \

	"Paladin: Hmm... Einen Moment, ich durchsuche die galaktischen Aufzeichnungen.\n\n",

	//kClaimSystem_2_msg,
	"Paladin: Meine Aufzeichnungen besagen, dass der legale Anspruch auf dieses System whrend " \
	"zweihundert galaktischer Rotationen nicht aktualisiert wurde. Entsprechend dem Gesetz der U-Ianna habe ich keine Wahl als " \
	"Euren Anspruch vorbehaltlich einer Berufung zu akzeptieren. Ich ziehe mich zurck.\n" \

	"Erster Offizier: Das glaube ich einfach nicht.\n" \

	"[PLAYER_NAME]: Ja, ja, man sollte niemals die Macht der Brokratie unterschtzen.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	//	kVictory_msg,
	"Sieg!\n\n",

	//	kDraw_msg,
	"Unentschieden\n\n",

	//	kDefeat_msg,
	"Niederlage\n\n",

	//	kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//	kLeftEarly_msg,
	"Mission eingebt\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	// kPlanet1Name
	"Planet #1",

	// kPlanet2name
	"Planet #2",

	//kHomeworldName
	"Heimatwelt der U-Ianna",

	//
	//	Event dialog
	//
	
	//kDiscoverFeedback_msg
	"[PLAYER_NAME]: Was war das?\n" \

	"Wissenschaftsoffizier: Es scheint, als sei diese Kreatur in der Lage, die Energie unserer Waffen gegen uns zu wenden.\n" \

	"[PLAYER_NAME]: Haben wir dem etwas entgegenzusetzen?\n" \

	"Wissenschaftsoffizier: Ich kenne keine wirksame Methode dagegen, [PLAYER_RANK].\n\n",

	//kScanRangeNotice_msg
	"Wissenschaftsoffizier: Wir mssen innerhalb der Reichweite 20 sein, um den Planeten scannen zu knnen, [PLAYER_RANK].\n\n",

	//kPlanet1Scanned_msg,
	"Wissenschaftsoffizier: Ich registriere starke U-Ianna-Energiesignaturen auf diesem Planeten.\n\n",

	//kPlanet2Scanned_msg,
	"Wissenschaftsoffizier: Ich kann nichts Interessantes auf diesem Planeten entdecken.\n\n",

	//kScannedPaladin_msg,
	"Wissenschaftsoffizier: Ich wei nicht, was ich mit diesen Werten anfangen soll. Ich haben noch nie zuvor " \
	"eine Lebensform wie diese gesehen.\n\n",
	
	//BeamingTeam_msg
	"Transporterraum: Brcke, Transporterraum; Forschungsteam hat das Schiff verlassen.\n\n",

	//kBeamedBackUp_msg
	"Transporterraum: Brcke, Transporterraum: Forschungsteam wurde an Bord gebeamt.\n\n",

	//kNothingHere_msg,
	"Landetrupp: Landetrupp an [PLAYER_SHIP_NAME]... hier unten gibt's nur ghnende Leere.\n\n",

	//kFoundHomeworld_msg,
	"Landetrupp: Landetrupp an [PLAYER_SHIP_NAME]... Jackpot, [PLAYER_RANK]. Wir haben die " \
	"Heimatwelt der U-Ianna gefunden!\n\n",
	
	//kBeamedSomewhereSilly_msg
	"Transporterraum: Brcke, hier spricht Transporterraum 2... das Forschungsteam wurde gebeamt.\n" \

	"Erster Offizier: Ich bin zugegebenermaen neugierig, was Ihre Wahl der Ziele fr das Team betrifft, [PLAYER_RANK].\n\n",

	//kDoom_msg
	"Wissenschaftsoffizier: [PLAYER_RANK], Ich registriere eine massive Energiewelle, die von dem Planeten ausgeht... " \
	"Irgendeine Waffe feuert auf uns!\n\n",


	//
	//	Custom messages
	//

	//kScanning_msg
	"Wissenschaftsoffizier: Wir scannen...\n\n",

#else
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Mir_10Search",

	//kTitle2
	"In Search of...",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"We have some exciting news: our scientists believe they may have discovered the location of " \
	"the U-Ianna homeworld. The potential discoveries that await us defy the imagination.\n" \

	"Your mission is to travel to [SYSTEM_NAME], where you will transport a survey team to " \
	"the planet. Long range scans confirm that there are two planets in the system in oddly close proximity " \
	"to each other; make sure you send the team to the right one.\n" \

	"Good luck.\n\n",

	//
	//	Starting message
	//
	
	//kCaptainsLog_msg,
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. [SYSTEM_NAME] is a long way into the Unexplored region, " \
	"but if our scientists are correct, the trip will be worth it.\n",

	
	//kInitialSitrep_msg,
	"First Officer: Now entering the system.\n" \

	"Science Officer: Sensors registering something out there, [PLAYER_RANK]... a lifeform of " \
	"unknown classification.\n" \

	"Communications Officer: I'm receiving a transmission from the space creature.\n",

	//
	//	Debriefing messages
	//
	
	//kDeb_HomeworldFound_msg,
	"Congratulations on a successful mission. The archaeological team you placed on " \
	"the U-Ianna home world has discovered something very interesting: a fully functional " \
	"Psionic Engine. We now believe that the U-Ianna used this device to integrate their " \
	"minds, sharing information and skills. We also believe they could channel the mental " \
	"energy of their entire race into a single being, who could focus that power to control the " \
	"minds of others. You can imagine the implications of such technology.\n" \

	"And, you can bet we'll be using it soon.\n\nGood work.\n",

	//kDeb_HomeworldNotFound_msg,
	"Unfortunately you failed to locate the U-Ianna homeworld. We'll have to send out a second " \
	"expedition now. Maybe they'll get the job done right.\n\n",

	//kDeb_BeamedSilly_msg,
	"You beamed the survey team WHERE!?\n" \
	"Never mind, don't bother explaining. Just get out of my office.\n\nDismissed.\n",

	//kDeb_PlayerDied_msg
	"Your forces were destroyed.\n\n",

	//
	//	Comm buttons
	//
	
	//kButton_Hail,
	"HAIL",

	//kButton_Mock,
	"MOCK",

	//kButton_Praise,
	"PRAISE",

	//kButton_Peace,
	"CLAIM PEACEFUL",
	
	//kButton_Threaten,
	"THREATEN",

	//kButton_ClaimSystem,
	"CLAIM STAR SYSTEM",

	//kButton_Organian,
	"ORGANIANS",

	//kButton_Metron,
	"METRONS",

	//
	//	Comm messages
	//
	
	//kHail_msg,
	"Space Monster: I am the Paladin of Thought; protector of the U-Ianna homeworld. You are trespassing " \
	"in our space. Leave at once.\n" \

	"[PLAYER_NAME]: Paladin, the U-Ianna have been dead for a thousand years. We only wish to peacefully " \
	"visit their former home.\n" \

	"Paladin: Nonsense! The U-Ianna could not have passed. I would know of it.\n",

	//kMock_msg,
	"[PLAYER_NAME]: Some protector you are! Your people disappeared from right under your nose.\n" \

	"Paladin: You waste my time. Be gone!\n\n",

	//kPraise_msg,
	"[PLAYER_NAME]: Paladin, you do your people great justice by protecting them. The U-Ianna dedication " \
	"to the ideals of peace reminds me of another highly evolved species we have encountered.\n" \

	"Paladin: Oh? And who would that be?\n\n",

	//kOrganian_msg,
	"Paladin: The Organians!? Those stuck-up, meddlesome excuses for higher life forms? You insult me.\n\n",

	//kMetron_msg,
	"Paladin: Ah, the Metrons. Truly a fine example of an evolved species.\n\n",

	//kThreaten_msg,
	"[PLAYER_NAME]: Look, Paladin, I'm getting tired of this small talk. Stand aside or you will be " \
	"destroyed.\n" \

	"Paladin: (laughs) We have withstood attacks by far more capable races than yourselves; including " \
	"several with Delta-Class weaponry.\n" \

	"[PLAYER_NAME]: \"Delta-Class\" weapons? Tell me more about this.\n" \

	"Paladin: I think not.\n\n",

	//kClaimSystem_msg,
	"[PLAYER_NAME]: Paladin! We formally lay claim to this star system, and demand you stand down " \
	"from our space.\n" \

	"First Officer: (begins to speak, stops, and stares at [PLAYER_NAME])\n" \

	"[PLAYER_NAME]: (low, to First officer) You got a better idea?\n" \

	"Paladin: hmm... A moment while I search the galactic records.\n\n",

	//kClaimSystem_2_msg,
	"Paladin: My records show that the legal claim to this system has not been updated " \
	"in two hundred galactic rotations. According to U-Ianna law, I have no choice but to " \
	"accept your claim, pending appeal. I am standing down.\n" \

	"First Officer: I don't believe it.\n" \

	"[PLAYER_NAME]: Never underestimate the power of bureaucracy.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	//	kVictory_msg,
	"Victory!\n\n",

	//	kDraw_msg,
	"Draw\n\n",

	//	kDefeat_msg,
	"Defeat\n\n",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//	kLeftEarly_msg,
	"Forfeit\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	
	// kPlanet1Name
	"Planet #1",

	// kPlanet2name
	"Planet #2",

	//kHomeworldName
	"U-Ianna Homeworld",

	//
	//	Event dialog
	//
	
	//kDiscoverFeedback_msg
	"[PLAYER_NAME]: What was that?\n" \

	"Science Officer: It seems that the creature is capable of turning our weapon energy back on us.\n" \

	"[PLAYER_NAME]: Can we counter this?\n" \

	"Science Officer: I know of no way to do so, [PLAYER_RANK].\n\n",

	//kScanRangeNotice_msg
	"Science Officer: We'll need to be within range 20 of the planet to scan it, [PLAYER_RANK].\n\n",

	//kPlanet1Scanned_msg,
	"Science Officer: I'm detecting strong U-Ianna energy signatures on this planet.\n\n",

	//kPlanet2Scanned_msg,
	"Science Officer: I'm not detecting anything interesting on this planet.\n\n",

	//kScannedPaladin_msg,
	"Science Officer: I don't know what to make of these readings. I've never seen a " \
	"lifeform like this one before.\n\n",
	
	//BeamingTeam_msg
	"Transporter Room: Bridge, Transporter Room: survey team away.\n\n",

	//kBeamedBackUp_msg
	"Transporter Room: Bridge, Transporter Room: survey team has been beamed aboard.\n\n",

	//kNothingHere_msg,
	"Landing Party: Landing party to [PLAYER_SHIP_NAME]... there's nothing here.\n\n",

	//kFoundHomeworld_msg,
	"Landing Party: Landing party to [PLAYER_SHIP_NAME]... jackpot, [PLAYER_RANK]. We've found the " \
	"U-Ianna homeworld!\n\n",
	
	//kBeamedSomewhereSilly_msg
	"Transporter Room: Bridge, this is Transporter Room 2... the survey team has been beamed.\n" \

	"First Officer: I have to admit I'm curious about your choice of destinations for the team, [PLAYER_RANK].\n\n",

	//kDoom_msg
	"Science Officer: [PLAYER_RANK], I'm reading a massive energy wave from the planet... " \
	"Some kind of weapon is firing on us!\n\n",

	//
	//	Custom messages
	//

	//kScanning_msg
	"Science Officer: Scanning...\n\n",
#endif
};



