/********************************************************************************************************\

	File Name:	Paladin.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Paladin.h"
#include "PaladinBaseState.h"
#include "Mir_10Search.h"
#include "MissionText.h"

tClassAllocator<tPaladin> gPaladinAllocator;

void tPaladin::mSetupState()
{
	mRegisterState( new tPaladinBaseState() );
	mGotoState( typeid( tPaladinBaseState ) );
}

void tPaladin::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	// Initial hail state
	playerTeam->mRegisterCommMessage( kCommState_1,
									  kCommState_2,
									  mGetShipID(),
									  kButton_Hail,
									  kHail_msg,
									  kNoRandomMsg );

	// First fork in the road
	// Wrong choice
	playerTeam->mRegisterCommMessage( kCommState_2,
									  kCommState_1,
									  mGetShipID(),
									  kButton_Mock,
									  kMock_msg,
									  kNoRandomMsg );

	// Right choice
	playerTeam->mRegisterCommMessage( kCommState_2,
									  kCommState_3,
									  mGetShipID(),
									  kButton_Praise,
									  kPraise_msg,
									  kNoRandomMsg );

	// Next fork in the road
	// Wrong choice
	playerTeam->mRegisterCommMessage( kCommState_3,
									  kCommState_1,
									  mGetShipID(),
									  kButton_Organian,
									  kOrganian_msg,
									  kNoRandomMsg );

	// Right choice
	playerTeam->mRegisterCommMessage( kCommState_3,
									  kCommState_4,
									  mGetShipID(),
									  kButton_Metron,
									  kMetron_msg,
									  kNoRandomMsg );

	// Last decision
	// Wrong choice
	playerTeam->mRegisterCommMessage( kCommState_4,
									  kCommState_1,
									  mGetShipID(),
									  kButton_Threaten,
									  kThreaten_msg,
									  kNoRandomMsg );

	// Right choice
	playerTeam->mRegisterCommMessage( kCommState_4,
									  kNoMsg,
									  mGetShipID(),
									  kButton_ClaimSystem,
									  kClaimSystem_msg,
									  kNoRandomMsg );


	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tPaladin::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}
