/********************************************************************************************************\

	File Name:	PaladinBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PaladinBaseState.h"
#include "Mir_10Search.h"
#include "PlayerTeam.h"
#include "PlayerShip.h"
#include "MissionText.h"

void tPaladinBaseState::mBeginState()
{}
void tPaladinBaseState::mEndState()
{}

void tPaladinBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( ( !damagedShip ) || ( !hostileShip ) )
		return;

	if( ( damagedShip->mGetTeam() != kPaladinTeam ) || ( hostileShip->mGetTeam() != kPlayerTeam ) )
		return;

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
	if( !playerTeam )
			return;

	if( !playerTeam->mDiscoveredFeedback() )
	{
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kDiscoverFeedback_msg );
	}

	tShipIterator playerShipsI = playerTeam->mGetFirstShip();
	for( int32 curShip = 1; curShip < 4; curShip++ )
	{
		tPlayerShip* thisShip = (tPlayerShip*)*playerShipsI;
		if( thisShip )
		{
			if( hostileShip->mGetShipID() == thisShip->mGetShipID() )
			{
				thisShip->mTakeFeedbackDamage();
			}
		}
		playerShipsI++;
	}
}

void tPaladinBaseState::mOnDeath( tShipInfo* ship )
{}
void tPaladinBaseState::mOnCapture( tShipInfo* ship )
{}
void tPaladinBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPaladinBaseState::mAtDistance( tShipInfo* ship )
{}
void tPaladinBaseState::mAtDestination( tShipInfo* ship )
{}
void tPaladinBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}



void tPaladinBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPaladinBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPaladinBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPaladinBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPaladinBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPaladinBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPaladinBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPaladinBaseState::mOnFlashingButtonPressed()
{}
void tPaladinBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPaladinBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPaladinBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPaladinBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPaladinBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPaladinBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPaladinBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPaladinBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPaladinBaseState::mOnHostChanged()
{}
void tPaladinBaseState::mOnTimedInterval( int32 timerID )
{}
void tPaladinBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPaladinBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

