/********************************************************************************************************\

	File Name:	PlanetTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlanetTeam.h"
#include "PlanetTeamBaseState.h"
#include "Planet.h"
#include "ShipList_API.h"
#include "ShipScriptDescription.h"

tClassAllocator<tPlanetTeam> gPlanetTeamAllocator;

void tPlanetTeam::mSetupState()
{
	mRegisterState( new tPlanetTeamBaseState() );
	mGotoState( typeid( tPlanetTeamBaseState ) );
}

void tPlanetTeam::mSetupCommState()
{}

void tPlanetTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tPlanetTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL12";
        switch (race) {
            case kFederation: worldType = "F-PL12"; break;
            case kKlingon: worldType = "K-PL12"; break;
            case kRomulan: worldType = "R-PL12"; break;
            case kGorn: worldType = "G-PL12"; break;
            case kLyran: worldType = "L-PL12"; break;
            case kHydran: worldType = "H-PL12"; break;
            case kISC: worldType = "I-PL12"; break;
            case kMirak: worldType = "Z-PL12"; break;

            default: break;
        }

        std::string planet2Type = "PL13";
        switch (race) {
            case kFederation: planet2Type = "F-PL13"; break;
            case kKlingon: planet2Type = "K-PL13"; break;
            case kRomulan: planet2Type = "R-PL13"; break;
            case kGorn: planet2Type = "G-PL13"; break;
            case kLyran: planet2Type = "L-PL13"; break;
            case kHydran: planet2Type = "H-PL13"; break;
            case kISC: planet2Type = "I-PL13"; break;
            case kMirak: planet2Type = "Z-PL13"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1, p2;
        if (sl.Find(worldType, p1) && sl.Find(planet2Type, p2)) {
            gST.mDebug_fprintf("Planet1 chosen: %s\n", p1.shipCode.c_str());
            mCreateShip(
                typeid( tPlanet ),
                p1.shipCode.c_str(),
                kStartPosition_H,
                kNoMetaShipID,
                kPlanet1,
                0,0,0,0,
                "Planet 1",
                kDefaultShipOptions );

            gST.mDebug_fprintf("Planet2 chosen: %s\n", p2.shipCode.c_str());
            mCreateShip( typeid( tPlanet ),
                 p2.shipCode.c_str(),
                 kStartPosition_I,
                 kNoMetaShipID,
                 kPlanet2,
                 0,0,0,0,
                 "Planet 2",
                 kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tPlanetTeam::mCreateShipsForTeam\n");
}


void tPlanetTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tPlanetTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tPlanet ),
				 "PL12",
				 kStartPosition_H,
				 kNoMetaShipID,
				 kPlanet1,
				 0,0,0,0,
				 "Planet 1",
				 kDefaultShipOptions );

	mCreateShip( typeid( tPlanet ),
				 "PL13",
				 kStartPosition_I,
				 kNoMetaShipID,
				 kPlanet2,
				 0,0,0,0,
				 "Planet 2",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tPlanetTeam::mOldCreateShipsForTeam\n");
}

void tPlanetTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlanetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tPlanetTeam", shipScriptDescription );
}

