/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mDiscoveredFeedback()			{ return fDiscoveredFeedback; }
	void	mSetDiscoveredFeedback()		{ fDiscoveredFeedback = true; }

	iTruth	mScannedPlanet1()				{ return fScannedPlanet1; }
	void	mSetPlanet1Scanned()			{ fScannedPlanet1 = true; }

	iTruth	mScannedPlanet2()				{ return fScannedPlanet2; }
	void	mSetPlanet2Scanned()			{ fScannedPlanet2 = true; }

	iTruth	mScannedPaladin()				{ return fScannedPaladin; }
	void	mSetPaladinScanned()			{ fScannedPaladin = true; }

	iTruth	mGotScanRangeNotice()			{ return fGotScanRangeNotice; }
	void	mSetGotScanRangeNotice()		{ fGotScanRangeNotice = true; }

	iTruth	mBeamedToPlanet()				{ return fBeamedToPlanet; }
	void	mSetBeamedToPlanet()			{ fBeamedToPlanet = true; }

	iTruth	mDiscoveredHomeworld()			{ return fDiscoveredHomeworld; }
	void	mSetDiscoveredHomeworld()		{ fDiscoveredHomeworld = true; }

	iTruth	mBeamedSilly()					{ return fBeamedSilly; }
	void	mSetBeamedSilly()				{ fBeamedSilly = true; }

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	iTruth	fDiscoveredFeedback;
	iTruth	fScannedPlanet1;
	iTruth	fScannedPlanet2;
	iTruth	fScannedPaladin;
	iTruth	fGotScanRangeNotice;
	iTruth	fBeamedToPlanet;
	iTruth	fDiscoveredHomeworld;
	iTruth	fBeamedSilly;
	iTruth	fDied;
};

#endif
