/********************************************************************************************************\

	File Name:	AllyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AllyTeam.h"
#include "AllyTeamBaseState.h"
#include "AllyShip.h"
#include "ShipList_API.h"


tClassAllocator<tAllyTeam> gAllyTeamAllocator;

void tAllyTeam::mSetupState()
{
	mRegisterState( new tAllyTeamBaseState() );
	mGotoState( typeid( tAllyTeamBaseState ) );
}

void tAllyTeam::mSetupCommState()
{}

void tAllyTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tAllyTeam::mCreateShipsForTeam\n");
	gST.mInitializeSL();
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

		{
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassMediumMonster);
        for (int32 i = kEClassHeavyCruiser; i <= kEClassNewHeavyCruiser; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for CA ship classes filter completed. ships: %d\n", fShiplistCount);
		}
		gST.listShiplistContent( sl );

		if (sl.size() > 0) {
			Ship s1, s2, s3;
			sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			sl.SelectRandomShip(s2);
            gST.mDebug_fprintf("s2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s2.shipCode.c_str(), s2.bpv, s2.yearFirstAvail, s2.yearLastAvail);
            gST.mTrackOrions( s2 );

			sl.SelectRandomShip(s3);
            gST.mDebug_fprintf("s3 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s3.shipCode.c_str(), s3.bpv, s3.yearFirstAvail, s3.yearLastAvail);
            gST.mTrackOrions( s3 );

            mCreateShip(
                typeid( tAllyShip ),
                s1.shipCode.c_str(),
                kStartPosition_W,
                kNoMetaShipID,
                kAlly1,
                0, 0, 0, 0,
                "Ally Ship #1",
                kDefaultShipOptions );

			mCreateShip(
                typeid( tAllyShip ),
                s2.shipCode.c_str(),
                kStartPosition_H,
                kNoMetaShipID,
                kAlly2,
                0, 0, 0, 0,
                "Ally Ship #2",
                kDefaultShipOptions );

            mCreateShip(
                typeid( tAllyShip ),
                s3.shipCode.c_str(),
                kStartPosition_Y,
                kNoMetaShipID,
                kAlly3,
                0, 0, 0, 0,
                "Ally Ship #3",
                kDefaultShipOptions );

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}
	gST.mDebug_fprintf("--- Finished: tAllyTeam::mCreateShipsForTeam\n");
}

void tAllyTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Entering: tAllyTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tAllyShip ),
				 170,
				 kClassHeavyCruiser,
				 0,
				 kStartPosition_W,
				 kAlly1,
				 0,0,0,0,
				 "Ally Ship #1",
				 kDefaultShipOptions );

	mCreateShip( typeid( tAllyShip ),
				 170,
				 kClassHeavyCruiser,
				 0,
				 kStartPosition_H,
				 kAlly2,
				 0,0,0,0,
				 "Ally Ship #2",
				 kDefaultShipOptions );

	mCreateShip( typeid( tAllyShip ),
				 170,
				 kClassHeavyCruiser,
				 0,
				 kStartPosition_Y,
				 kAlly3,
				 0,0,0,0,
				 "Ally Ship #3",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tAllyTeam::mOldCreateShipsForTeam\n");
}

void tAllyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAllyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tAllyTeam", shipScriptDescription );
}

