/********************************************************************************************************\

	File Name:	LyranTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "LyranTeam.h"
#include "LyranTeamBaseState.h"
#include "LyranShip.h"
#include "ShipList_API.h"

tClassAllocator<tLyranTeam> gLyranTeamAllocator;

void tLyranTeam::mSetupState()
{
	mRegisterState( new tLyranTeamBaseState() );
	mGotoState( typeid( tLyranTeamBaseState ) );
}

void tLyranTeam::mSetupCommState()
{}

void tLyranTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tLyranTeam::mCreateShipsForTeam\n");
	gST.mInitializeSL();
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

		{
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassMediumMonster);
        for (int32 i = kEClassHeavyCruiser; i <= kEClassNewHeavyCruiser; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for CA ship classes filter completed. ships: %d\n", fShiplistCount);
		}
		gST.listShiplistContent( sl );

		if (sl.size() > 0) {
			Ship s1;
			sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            mCreateShip(
                typeid( tLyranShip ),
                s1.shipCode.c_str(),
                kStartPosition_V,
                kNoMetaShipID,
                kLyran1,
                0, 0, 0, 0,
                "Ally Ship #1",
                kDefaultShipOptions );
		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}
	gST.mDebug_fprintf("--- Finished: tLyranTeam::mCreateShipsForTeam\n");
}

void tLyranTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Entering: tLyranTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tLyranShip ),
				 170,
				 kClassHeavyCruiser,
				 0,
				 kStartPosition_V,
				 kLyran1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tLyranTeam::mOldCreateShipsForTeam\n");
}

void tLyranTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tLyranTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tLyranTeam", shipScriptDescription );
}

