/********************************************************************************************************\

	File Name:	MineShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MineShipBaseState.h"
#include "Mir_2Dance.h"

void tMineShipBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kRange_timer, 2.5f );
}

void tMineShipBaseState::mEndState()
{}

void tMineShipBaseState::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kRange_timer:
		{
			tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
			if( !playerTeam )
				return;

			tShipIterator playerShips = playerTeam->mGetFirstShip();
			tShipInfo* ship1 = *playerShips;
			playerShips++;
			tShipInfo* ship2 = *playerShips;
			playerShips++;
			tShipInfo* ship3 = *playerShips;

			int32 DetonateRange = 5;

			if( ( ship1 ) && ( fChildActor->mGetTacticalDistance( ship1 ) < DetonateRange ) )
			{
				fChildActor->mDestroyShip();
			}
			else if( ( ship2 ) && ( fChildActor->mGetTacticalDistance( ship2 ) < DetonateRange ) )
			{
				fChildActor->mDestroyShip();
			}
			else if( ( ship3 ) && ( fChildActor->mGetTacticalDistance( ship3 ) < DetonateRange ) )
			{
				fChildActor->mDestroyShip();
			}
			else
			{
				mSetTimedInterval( kTimerSecondsSet, kRange_timer, 2.5f );
			}
		}
		break;

	default:
		break;
	}
}

void tMineShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tMineShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tMineShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMineShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tMineShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tMineShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMineShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMineShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMineShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMineShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMineShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMineShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMineShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMineShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMineShipBaseState::mOnFlashingButtonPressed()
{}
void tMineShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMineShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMineShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMineShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMineShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMineShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMineShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMineShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMineShipBaseState::mOnHostChanged()
{}

void tMineShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMineShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

