/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	int32	mGetAlliesDead();
	int32	mGetAlliesEscaped();
	void	mIncAlliesDead();
	void	mIncAlliesEscaped();
	iTruth	mScannedDBox( int32 box );
	iTruth	mScannedMBox( int32 box );
	void	mSetScannedDBox( int32 box );
	void	mSetScannedMBox( int32 box );
	iTruth	mScannedPulsar();
	void	mSetPulsarScanned();
	iTruth	mAllyRepaired( int32 ally );
	void	mSetAllyRepaired( int32 ally );
	iTruth	mLyranRepaired();
	void	mSetLyranRepaired();

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = kTrue; }

protected:
	int32	fAlliesDead;
	int32	fAlliesEscaped;
	iTruth	fScannedPulsar;
	iTruth	fScannedDBox1;
	iTruth	fScannedDBox2;
	iTruth	fScannedDBox3;
	iTruth	fScannedDBox4;
	iTruth	fScannedMBox1;
	iTruth	fScannedMBox2;
	iTruth	fScannedMBox3;
	iTruth	fScannedMBox4;
	iTruth	fScannedMBox5;
	iTruth	fScannedMBox6;
	iTruth	fAlly1Repaired;
	iTruth	fAlly2Repaired;
	iTruth	fAlly3Repaired;
	iTruth	fLyranRepaired;
	iTruth	fDied;
	
};

#endif
