/********************************************************************************************************\

	File Name:	Monster.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Monster.h"
#include "MonsterBaseState.h"
#include "Mir_4Playtime.h"
#include "MissionText.h"

tClassAllocator<tMonster> gMonsterAllocator;

void tMonster::mSetupState()
{
	mRegisterState( new tMonsterBaseState() );
	mGotoState( typeid( tMonsterBaseState ) );
}

void tMonster::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailMonsters_msg,
									  kNoRandomMsg );

}

void tMonster::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
	mSetShipCallbackEvents( kNotifyAtDestination );
}
