/********************************************************************************************************\

	File Name:	MonsterTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MonsterTeamBaseState.h"
#include "Mir_4Playtime.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMonsterTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tMonsterTeamBaseState::mEndState()
{}

void tMonsterTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMonsterTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMonsterTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMonsterTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMonsterTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMonsterTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMonsterTeamBaseState::mOnFlashingButtonPressed()
{}
void tMonsterTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMonsterTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMonsterTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMonsterTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMonsterTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMonsterTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMonsterTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMonsterTeamBaseState::mOnHostChanged()
{}
void tMonsterTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kMonsterTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMonsterTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMonsterTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMonsterTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMonsterTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

