/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mPlayedWithMonsters()		{ return fPlayedWithMonsters; }
	void	mSetPlayedWithMonsters()	{ fPlayedWithMonsters = true; }

	iTruth	mAtWarWithMonsters()		{ return fAtWarWithMonsters; }
	void	mSetAtWarWithMonsters()		{ fAtWarWithMonsters = true; }

	iTruth	mScannedRock1()				{ return fScannedRock1; }
	iTruth	mScannedRock2()				{ return fScannedRock2; }
	void	mSetRock1Scanned()			{ fScannedRock1 = true; }
	void	mSetRock2Scanned()			{ fScannedRock2 = true; }

	iTruth	mScannedSpecialRock()		{ return fScannedSpecialRock; }
	void	mSetSpecialRockScanned()	{ fScannedSpecialRock = true; }

	iTruth	mScannedMonster1()			{ return fScannedMonster1; }
	void	mSetMonster1Scanned()		{ fScannedMonster1 = true; }

	iTruth	mScannedMonster2()			{ return fScannedMonster2; }
	void	mSetMonster2Scanned()		{ fScannedMonster2 = true; }

	iTruth	mScannedPlanet()			{ return fScannedPlanet; }
	void	mSetPlanetScanned()			{ fScannedPlanet = true; }

	iTruth	mScannedFeedingMonster()	{ return fScannedFeedingMonster; }
	void	mSetFeedingMonsterScanned()	{ fScannedFeedingMonster = true; }

	iTruth	mMonstersFeeding()				{ return fMonstersFeeding; }
	void	mSetMonstersFeeding( iTruth x )	{ fMonstersFeeding = x; }		

	iTruth	mBeamedToPlanet()			{ return fBeamedToPlanet; }
	void	mSetBeamedToPlanet()		{ fBeamedToPlanet = true; }

	iTruth	mBeamedToRock()				{ return fBeamedToRock; }
	void	mSetBeamedToRock()			{ fBeamedToRock = true; }

	iTruth	mBeamedSomewhereStupid()	{ return fBeamedSomewhereStupid; }
	void	mSetBeamedSomewhereStupid()	{ fBeamedSomewhereStupid = true; }

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	iTruth	fPlayedWithMonsters;
	iTruth	fAtWarWithMonsters;
	iTruth	fScannedRock1;
	iTruth	fScannedRock2;
	iTruth	fScannedSpecialRock;
	iTruth	fScannedMonster1;
	iTruth	fScannedMonster2;
	iTruth	fScannedFeedingMonster;
	iTruth	fScannedPlanet;
	iTruth	fMonstersFeeding;
	iTruth	fBeamedToPlanet;
	iTruth	fBeamedToRock;
	iTruth	fBeamedSomewhereStupid;
	iTruth	fDied;
};

#endif
