/********************************************************************************************************\

	File Name:	PlanetTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlanetTeam.h"
#include "PlanetTeamBaseState.h"
#include "Planet.h"
#include "ShipList_API.h"


tClassAllocator<tPlanetTeam> gPlanetTeamAllocator;

void tPlanetTeam::mSetupState()
{
	mRegisterState( new tPlanetTeamBaseState() );
	mGotoState( typeid( tPlanetTeamBaseState ) );
}

void tPlanetTeam::mSetupCommState()
{}

void tPlanetTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tPlanetTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL13";
        switch (race) {
            case kFederation: worldType = "F-PL13"; break;
            case kKlingon: worldType = "K-PL13"; break;
            case kRomulan: worldType = "R-PL13"; break;
            case kGorn: worldType = "G-PL13"; break;
            case kLyran: worldType = "L-PL13"; break;
            case kHydran: worldType = "H-PL13"; break;
            case kISC: worldType = "I-PL13"; break;
            case kMirak: worldType = "Z-PL13"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Planet chosen: %s\n", p1.shipCode.c_str());
            mCreateShip(
                typeid( tPlanet ),
                p1.shipCode.c_str(),
                kStartPosition_J,
                kNoMetaShipID,
                kPlanet,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tPlanetTeam::mCreateShipsForTeam\n");
}

void tPlanetTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tPlanetTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tPlanet ),
				 "PL13",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kPlanet,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tPlanetTeam::mOldCreateShipsForTeam\n");
}

void tPlanetTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlanetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tPlanetTeam", shipScriptDescription );
}

