/********************************************************************************************************\

	File Name:	HydranTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "HydranTeam.h"
#include "HydranTeamBaseState.h"
#include "HydranMoon.h"
#include "ShipList_API.h"

tClassAllocator<tHydranTeam> gHydranTeamAllocator;

void tHydranTeam::mSetupState()
{
	mRegisterState( new tHydranTeamBaseState() );
	mGotoState( typeid( tHydranTeamBaseState ) );
}

void tHydranTeam::mSetupCommState()
{}

void tHydranTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tHydranTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL0";
        switch (race) {
            case kFederation: worldType = "F-PL0"; break;
            case kKlingon: worldType = "K-PL0"; break;
            case kRomulan: worldType = "R-PL0"; break;
            case kGorn: worldType = "G-PL0"; break;
            case kLyran: worldType = "L-PL0"; break;
            case kHydran: worldType = "H-PL0"; break;
            case kISC: worldType = "I-PL0"; break;
            case kMirak: worldType = "Z-PL0"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Hydran chosen: %s\n", p1.shipCode.c_str());
            mCreateShip(
                typeid( tHydranMoon ),
                p1.shipCode.c_str(),
                kStartPosition_K,
                kNoMetaShipID,
                kHydranMoon,
				0,0,0,0,
				"Hydran Moon",
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tHydranTeam::mCreateShipsForTeam\n");
}

void tHydranTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tHydranTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tHydranMoon ),
				 "PL0",
				 kStartPosition_K,
				 kNoMetaShipID,
				 kHydranMoon,
				 0,0,0,0,
				 "Hydran Moon",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tHydranTeam::mOldCreateShipsForTeam\n");
}

void tHydranTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tHydranTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tHydranTeam", shipScriptDescription );
}

