/********************************************************************************************************\

	File Name:	KlingonTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "KlingonTeam.h"
#include "KlingonTeamBaseState.h"
#include "KlingonMoon.h"
#include "ShipList_API.h"

tClassAllocator<tKlingonTeam> gKlingonTeamAllocator;

void tKlingonTeam::mSetupState()
{
	mRegisterState( new tKlingonTeamBaseState() );
	mGotoState( typeid( tKlingonTeamBaseState ) );
}

void tKlingonTeam::mSetupCommState()
{}

void tKlingonTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tKlingonTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL0";
        switch (race) {
            case kFederation: worldType = "F-PL0"; break;
            case kKlingon: worldType = "K-PL0"; break;
            case kRomulan: worldType = "R-PL0"; break;
            case kGorn: worldType = "G-PL0"; break;
            case kLyran: worldType = "L-PL0"; break;
            case kHydran: worldType = "H-PL0"; break;
            case kISC: worldType = "I-PL0"; break;
            case kMirak: worldType = "Z-PL0"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Klingon chosen: %s\n", p1.shipCode.c_str());
            mCreateShip(
                typeid( tKlingonMoon ),
                p1.shipCode.c_str(),
                kStartPosition_J,
                kNoMetaShipID,
                kKlingonMoon,
				0,0,0,0,
				"Klingon Moon",
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tKlingonTeam::mCreateShipsForTeam\n");
}

void tKlingonTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tKlingonTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tKlingonMoon ),
				"PL0",
				kStartPosition_J,
				kNoMetaShipID,
				kKlingonMoon,
				0,0,0,0,
				"Klingon Moon",
				kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tKlingonTeam::mOldCreateShipsForTeam\n");
}

void tKlingonTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tKlingonTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tKlingonTeam", shipScriptDescription );
}

