/********************************************************************************************************\

	File Name:	LyranTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "LyranTeam.h"
#include "LyranTeamBaseState.h"
#include "LyranMoon.h"
#include "ShipList_API.h"

tClassAllocator<tLyranTeam> gLyranTeamAllocator;

void tLyranTeam::mSetupState()
{
	mRegisterState( new tLyranTeamBaseState() );
	mGotoState( typeid( tLyranTeamBaseState ) );
}

void tLyranTeam::mSetupCommState()
{}

void tLyranTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tLyranTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL0";
        switch (race) {
            case kFederation: worldType = "F-PL0"; break;
            case kKlingon: worldType = "K-PL0"; break;
            case kRomulan: worldType = "R-PL0"; break;
            case kGorn: worldType = "G-PL0"; break;
            case kLyran: worldType = "L-PL0"; break;
            case kHydran: worldType = "H-PL0"; break;
            case kISC: worldType = "I-PL0"; break;
            case kMirak: worldType = "Z-PL0"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Lyran chosen: %s\n", p1.shipCode.c_str());
            mCreateShip(
                typeid( tLyranMoon ),
                p1.shipCode.c_str(),
                kStartPosition_I,
                kNoMetaShipID,
                kLyranMoon,
				0,0,0,0,
				"Lyran Moon",
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tLyranTeam::mCreateShipsForTeam\n");
}

void tLyranTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tLyranTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tLyranMoon ),
				 "PL0",
				 kStartPosition_I,
				 kNoMetaShipID,
				 kLyranMoon,
				 0,0,0,0,
				 "Lyran Moon",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tLyranTeam::mOldCreateShipsForTeam\n");
}

void tLyranTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tLyranTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tLyranTeam", shipScriptDescription );
}

