/********************************************************************************************************\

	Mission:	"What's So Funny, Part II"
	Script:		"Mir_5BFunny2"
	Descript:	<DESCRIPTION>

	Created by:		Scott Bruno		08/14/00
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG>
					FS				10/07/2012
					Era correct.... never mind, these are just planets.
					Stealing parts from planet(s) doesn't screw up mission.

\********************************************************************************************************/

#include "MissionText.h"
#include "MissionMaps.h"
#include "Mir_5BFunny2.h"
#include "PlayerTeam.h"
#include "MirakTeam.h"
#include "LyranTeam.h"
#include "KlingonTeam.h"
#include "HydranTeam.h"
#include "PlanetTeam.h"
#include "ShipList_API.h"

DEFINE_SCRIPT_CLASS( tMir_5BFunny2 );

tMir_5BFunny2::tMir_5BFunny2()
{}

int32 tMir_5BFunny2::mGetEnemyTeamID( void )
{
	return kTeam1;
}

void tMir_5BFunny2::mScriptSpecs( tMissionSpec* Specs )
{
	gST.mOpenDebugFile();

	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fMissionType = kUniqueCampaignMission;
	Specs->fMetaLocationSpec = tMetaLocationSpec( 0, kAnyRaceHex, kAnyTerrainHex );
	Specs->fMinDate = kMinDate;
	Specs->fMaxDate = kMaxDate;
	Specs->fBandwidthPart = kAllBand;
	Specs->fGenericFlags = kStopMetaMovement;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Player Team",
												static_cast< eTeamID >( kPlayerTeam ),
												kMaxChance,
												kTrue,
												kPrimaryTeam,
												kMaxChance,
												kSpecMirak,
												kAnyRace,
												typeid( tPlayerTeam ),
												kNoTeamTag,
												Messages[kTitle2] );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Mirak Team",
												static_cast< eTeamID >( kMirakTeam ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecMirak,
												kAnyRace,
												typeid( tMirakTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Lyran Team",
												static_cast< eTeamID >( kLyranTeam ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecLyran,
												kAnyRace,
												typeid( tLyranTeam ) );

	const tTeamSpec& team4 = mCreateTeamSpec(	"Klingon Team",
												static_cast< eTeamID >( kKlingonTeam ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecKling,
												kAnyRace,
												typeid( tKlingonTeam ) );

	const tTeamSpec& team5 = mCreateTeamSpec(	"Hydran Team",
												static_cast< eTeamID >( kHydranTeam ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecHydran,
												kAnyRace,
												typeid( tHydranTeam ) );

	const tTeamSpec& team6 = mCreateTeamSpec(	"Planet Team",
												static_cast< eTeamID >( kPlanetTeam ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecFed | kSpecKling | kSpecRomulan | kSpecLyran | kSpecGorn | kSpecHydran | kSpecMirak | kSpecISC,
												kAnyRace,
												typeid( tPlanetTeam ) );

	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
	Specs->mSetupTeam( team4 );
	Specs->mSetupTeam( team5 );
	Specs->mSetupTeam( team6 );
}

/*

	HELPER NOTE:	Return the map you want to use for single player missions.  In multiplayer missions,
					you could examine which map was picked by the player.  For example:

						if ( info.fPreferedMap == 3 )
							;	//	the 3rd map was picked

					Also note that the index into the array of maps starts at 1, NOT 0!

*/
int32 tMir_5BFunny2::mInitializeStart( tDynaverseScriptInfo& info )
{
	return 1;
}

/*

	HELPER NOTE:	Called when the player starts the mission.  It will be further explained, if necessary,
					when it is better fleshed out.

*/
void tMir_5BFunny2::mCreateExternalShips( int32 Mode )
{}

/*

	HELPER NOTE:	Return the briefing message index that you want to use from MissionText.h

*/
int32 tMir_5BFunny2::mInitializeFinished( void )
{
	return kBriefing_msg;
}

/*

	HELPER NOTE:	Called when a new ship enters the mission while in-game.  The Ship parameter holds
					the ship information for this specified ship.

*/
void tMir_5BFunny2::mNewInternalShip( tShipInfo* Ship )
{}

/*

	HELPER NOTE:	Leave blank until informed otherwise.

*/
void tMir_5BFunny2::mGetDebriefingList( eVictoryLevels VictoryLevel )
{}

int32 tMir_5BFunny2::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}

/*

	HELPER NOTE:	This is where you set up the teams' relationships and goals.  Read on and edit as
					you see necessary for this mission.

*/
void tMir_5BFunny2::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 6;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kMirakTeam,
		kLyranTeam,
		kKlingonTeam,
		kHydranTeam,
		kPlanetTeam,
	};


	/*

		HELPER NOTE:	Below is the initial relationship / goal table.  Each letter has a meaning and each
						meaning has a meaning???

		Relationship Lookup
		- = kTeamSelfAware	//	use this parameter with itself
		A = kTeamAllied		//	cannot fire upon an ally
		F = kTeamFriendly
		N = kTeamNeutral
		H = kTeamHostile	//	will not fire / capture / cripple until provoked
		W = kTeamWar		//	will seek out and destroy / capture / cripple the enemy
		P = kTeamPassive

		Relationship Lookup
		- = kGoalIgnore		//	use this parameter with itself
		I = kGoalIgnore
		C = kGoalCripple
		X = kGoalCapture	//	do not have too many ships target a ship for capturing (accidently destroys it).
		D = kGoalDestroy

	*/
	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr = kPlayerTeam,
		//Mirk = kMirakTeam,
		//Lyrn = kLyranTeam,
		//Klin = kKlingonTeam,
		//Hydr = kHydranTeam,
		//Plan = kPlanetTeam,

		//	     Plyr  Mirk  Lyrn  Klin  Hydr  Plan
		/*Plyr*/ "--", "AI", "AI", "AI", "AI", "AI",
		/*Mirk*/ "AI", "--", "NI", "NI", "NI", "NI",
		/*Lyrn*/ "AI", "NI", "--", "NI", "NI", "NI",
		/*Klin*/ "AI", "NI", "NI", "--", "NI", "NI",
		/*Hydr*/ "AI", "NI", "NI", "NI", "--", "NI",
		/*Plan*/ "AI", "NI", "NI", "NI", "NI", "--",
	};
	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}

void tMir_5BFunny2::mASCIIOverrides( tMapOverrides* Map )
{
	tScript::mASCIIOverrides( Map );

	Map->fTacticalMapIcon['G'] = kObjectPlayerShip;
	Map->fTacticalMapIcon['L'] = kObjectPlanet;
	Map->fTacticalMapIcon['H'] = kObjectPlanet;
	Map->fTacticalMapIcon['I'] = kObjectPlanet;
	Map->fTacticalMapIcon['J'] = kObjectPlanet;
	Map->fTacticalMapIcon['K'] = kObjectPlanet;
	
}

tMapTerrain tMir_5BFunny2::mAssignMapTerrainTypes( int32 Map )
{
	switch ( Map )
	{
	case 0:
		{
			return tMapTerrain( kTerrainSpace, kPlanetHomeWorld, kBaseStarbase );
		}
		break;
	default:
		{}
		break;
	}
	return tMapTerrain();
}

void tMir_5BFunny2::mDefineTeamShipStrengths( void )
{
	mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );
	mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );
	mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );	
}

void tMir_5BFunny2::mDefineBriefings( void )
{
	fBriefingIndex[kPlayerTeam][kMirak] = kBriefing_msg;
}