/********************************************************************************************************\

	File Name:	MirakTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MirakTeam.h"
#include "MirakTeamBaseState.h"
#include "MirakMoon.h"
#include "ShipList_API.h"

tClassAllocator<tMirakTeam> gMirakTeamAllocator;

void tMirakTeam::mSetupState()
{
	mRegisterState( new tMirakTeamBaseState() );
	mGotoState( typeid( tMirakTeamBaseState ) );
}


void tMirakTeam::mSetupCommState()
{}

void tMirakTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tMirakTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL0";
        switch (race) {
            case kFederation: worldType = "F-PL0"; break;
            case kKlingon: worldType = "K-PL0"; break;
            case kRomulan: worldType = "R-PL0"; break;
            case kGorn: worldType = "G-PL0"; break;
            case kLyran: worldType = "L-PL0"; break;
            case kHydran: worldType = "H-PL0"; break;
            case kISC: worldType = "I-PL0"; break;
            case kMirak: worldType = "Z-PL0"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Mirak chosen: %s\n", p1.shipCode.c_str());
            mCreateShip(
                typeid( tMirakMoon ),
                p1.shipCode.c_str(),
                kStartPosition_H,
                kNoMetaShipID,
                kMirakMoon,
				0,0,0,0,
				"Mirak Moon",
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tMirakTeam::mCreateShipsForTeam\n");
}

void tMirakTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tMirakTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tMirakMoon ),
				 "PL0",
				 kStartPosition_H,
				 kNoMetaShipID,
				 kMirakMoon,
				 0,0,0,0,
				 "Mirak Moon",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tMirakTeam::mOldCreateShipsForTeam\n");
}

void tMirakTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tMirakTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tMirakTeam", shipScriptDescription );
}

