/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"
#include "CommonDefs.h"

class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	int32	mGetBeamTarget()							{ return fBeamTarget; }
	void	mSetBeamTarget( eBeamTarget target )		{ fBeamTarget = target; }
	
	iTruth	mScannedPlanet()							{ return fScannedPlanet; }
	void	mSetScannedPlanet()							{ fScannedPlanet = true; }
	
	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	eBeamTarget fBeamTarget;
	iTruth	fScannedPlanet;
	iTruth	fDied;
};

#endif
