/********************************************************************************************************\

	File Name:	EnemyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShip.h"
#include "EnemyShipBaseState.h"
#include "Mir_6Wheel.h"
#include "MissionText.h"
#include "EnemyTeam.h"
tClassAllocator<tEnemyShip> gEnemyShipAllocator;

void tEnemyShip::mSetupState()
{
	mRegisterState( new tEnemyShipBaseState() );
	mGotoState( typeid( tEnemyShipBaseState ) );
}

void tEnemyShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( tEnemyTeam::kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( tEnemyTeam::kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Explain,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( tEnemyTeam::kCommState_3,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Yes,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( tEnemyTeam::kCommState_3,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_No,
									  kNoMsg,
									  kNoRandomMsg );


	playerTeam->mGotoCommState( mGetShipID(), tEnemyTeam::kCommState_1 );


}

void tEnemyShip::mSetupShip()
{}
