/********************************************************************************************************\

	File Name:	WheelTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "WheelTeamBaseState.h"
#include "Mir_6Wheel.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tWheelTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tWheelTeamBaseState::mEndState()
{}

void tWheelTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tWheelTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tWheelTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tWheelTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tWheelTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tWheelTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tWheelTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tWheelTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tWheelTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tWheelTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tWheelTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tWheelTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tWheelTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tWheelTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tWheelTeamBaseState::mOnFlashingButtonPressed()
{}
void tWheelTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tWheelTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tWheelTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tWheelTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tWheelTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tWheelTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tWheelTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tWheelTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tWheelTeamBaseState::mOnHostChanged()
{}
void tWheelTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kWheelTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tWheelTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tWheelTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tWheelTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tWheelTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

