/********************************************************************************************************\

	File Name:	EnemyShip1BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShip1BaseState.h"
#include "ShipList_API.h"
#include "CommonDefs.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemyShip1BaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tEnemyShip2BaseState::mBeginState\n");
 #ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
 #endif
    gST.mDebug_fprintf("--- Finished: tEnemyShip2BaseState::mBeginState\n");
}

void tEnemyShip1BaseState::mEndState()
{}

void tEnemyShip1BaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyShip1BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyShip1BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyShip1BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyShip1BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShip1BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShip1BaseState::mOnFlashingButtonPressed()
{}
void tEnemyShip1BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyShip1BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tEnemyShip1BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tEnemyShip1BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tEnemyShip1BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tEnemyShip1BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tEnemyShip1BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tEnemyShip1BaseState::mOnHostChanged()
{}
void tEnemyShip1BaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tEnemyShip1BaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		int32 BPVinc = CD.mCustomUpgradeFighters( fChildActor );
		fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished:tEnemyShip1BaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tEnemyShip1BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyShip1BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

