/********************************************************************************************************\

	File Name:	EnemyShip2.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShip2.h"
#include "EnemyShip2BaseState.h"
#include "MissionText.h"
#include "Mir_7Gates.h"
#include "PlayerTeam.h"

tClassAllocator<tEnemyShip2> gEnemyShip2Allocator;

void tEnemyShip2::mSetupState()
{
	mRegisterState( new tEnemyShip2BaseState() );
	mGotoState( typeid( tEnemyShip2BaseState ) );
}

void tEnemyShip2::mSetupCommState()
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
	if( !playerTeam )
			return;
	

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_3,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_3,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_WeSurrender,
									  kNoMsg,
									  kNoRandomMsg );

	switch( playerTeam->mGetCurrentCommState() )
	{
	case 1:
		playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
		break;

	case 2:
		playerTeam->mGotoCommState( mGetShipID(), kCommState_2 );
		break;

	case 3:
		playerTeam->mGotoCommState( mGetShipID(), kCommState_3 );
		break;

	default:
		break;
	}
}

void tEnemyShip2::mSetupShip()
{}
