/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:
	void mKillTeam();

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	int32	mGetCurrentCommState()				{ return fCurrentCommState; }
	void	mSetCurrentCommState( int32 state)	{ fCurrentCommState = state; }
	

	iTruth	mNoticedRespawn()					{ return fNoticedRespawn; }
	void	mSetNoticedRespawn()				{ fNoticedRespawn = true; }

	iTruth	mScannedPlanet()					{ return fScannedPlanet; }
	void	mSetPlanetScanned()					{ fScannedPlanet = true; }

	iTruth	mScannedEnemy()						{ return fScannedEnemy; }
	void	mSetScannedEnemy()					{ fScannedEnemy = true; }

	iTruth	mHasInformation()					{ return fHasInformation; }
	void	mSetHasInformation()				{ fHasInformation = true; }

	iTruth	mBeamedTeamToPlanet()				{ return fBeamedTeamToPlanet; }
	void	mSetBeamedTeamToPlanet()			{ fBeamedTeamToPlanet = true; }

	iTruth	mSurrendered()						{ return fSurrendered; }
	void	mSetSurrendered()					{ fSurrendered = true; }

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	int32	fCurrentCommState;
	iTruth	fNoticedRespawn;
	iTruth	fScannedPlanet;
	iTruth	fScannedEnemy;
	iTruth	fHasInformation;
	iTruth	fBeamedTeamToPlanet;
	iTruth	fSurrendered;
	iTruth	fDied;
	
};

#endif
