/********************************************************************************************************\

	File Name:	BaseBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BaseBaseState.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tBaseBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tBaseBaseState::mBeginState\n");
 #ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
 #endif
    gST.mDebug_fprintf("--- Finished: tBaseBaseState::mBeginState\n");
}
void tBaseBaseState::mEndState()
{}

void tBaseBaseState::mOnDeath( tShipInfo* ship )
{}
void tBaseBaseState::mOnCapture( tShipInfo* ship )
{}
void tBaseBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tBaseBaseState::mAtDistance( tShipInfo* ship )
{}
void tBaseBaseState::mAtDestination( tShipInfo* ship )
{}
void tBaseBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tBaseBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tBaseBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBaseBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBaseBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBaseBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBaseBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tBaseBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseBaseState::mOnFlashingButtonPressed()
{}
void tBaseBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBaseBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tBaseBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tBaseBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tBaseBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tBaseBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tBaseBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tBaseBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBaseBaseState::mOnHostChanged()
{}
void tBaseBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tBaseBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tBaseBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}

void tBaseBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBaseBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

