/********************************************************************************************************\

	File Name:	BaseTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseTeam.h"
#include "BaseTeamBaseState.h"
#include "Base.h"
#include "ShipList_API.h"


tClassAllocator<tBaseTeam> gBaseTeamAllocator;

tBaseTeam::tBaseTeam()
{
	fTransportLaunched = false;
}

void tBaseTeam::mSetupState()
{
	mRegisterState( new tBaseTeamBaseState() );
	mGotoState( typeid( tBaseTeamBaseState ) );
}

void tBaseTeam::mSetupCommState()
{}

void tBaseTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tBaseTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        int32 fShiplistCount;
        ShipList sl = gST.stripOutRestricted( gST.narrowed_sl );
        sl = gST.mFilterShipListToSingleRace( sl, race );
        sl = gST.stripOutSPECIAL( sl );

        std::list< eEnhancedClassTypes >  BATSClassTypeList;
        BATSClassTypeList.push_back(kEClassBattleStation);
        fShiplistCount = sl.Subset(BATSClassTypeList, true);
        gST.mDebug_fprintf("subset for BATS filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        if (sl.size() > 0)
        {
            Ship s1;
            sl.SelectRandomShip(s1);
            gST.mTrackOrions( s1 );
            gST.mDebug_fprintf("BATS %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);

            mCreateShip( typeid( tBase ),
                         s1.shipCode.c_str(),
                         kStartPosition_I,
                         kNoMetaShipID,
                         kBase,
                         0,0,0,0,
                         "Medical Outpost",
                         kDefaultShipOptions );

        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tBaseTeam::mCreateShipsForTeam\n");
}

void tBaseTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tBaseTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tBase ),
				 "L-BATS",
				 kStartPosition_I,
				 kNoMetaShipID,
				 kBase,
				 0,0,0,0,
				 "Medical Outpost",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tBaseTeam::mOldCreateShipsForTeam\n");
}

void tBaseTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tBaseTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tBaseTeam", shipScriptDescription );
}

