/********************************************************************************************************\

	File Name:	LyranShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranShipBaseState.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tLyranShipBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tLyranShipBaseState::mBeginState\n");
 #ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
 #endif
    gST.mDebug_fprintf("--- Finished: tLyranShipBaseState::mBeginState\n");
}
void tLyranShipBaseState::mEndState()
{}

void tLyranShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tLyranShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tLyranShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tLyranShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tLyranShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tLyranShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tLyranShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tLyranShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tLyranShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tLyranShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tLyranShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tLyranShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tLyranShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLyranShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLyranShipBaseState::mOnFlashingButtonPressed()
{}
void tLyranShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tLyranShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tLyranShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tLyranShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tLyranShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tLyranShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tLyranShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tLyranShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tLyranShipBaseState::mOnHostChanged()
{}
void tLyranShipBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tLyranShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tLyranShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}

void tLyranShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tLyranShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

