/********************************************************************************************************\

	File Name:	PlanetBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlanetBaseState.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlanetBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tPlanetBaseState::mBeginState\n");
 #ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
 #endif
    gST.mDebug_fprintf("--- Finished: tPlanetBaseState::mBeginState\n");
}
void tPlanetBaseState::mEndState()
{}

void tPlanetBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlanetBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlanetBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlanetBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlanetBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlanetBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlanetBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlanetBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlanetBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlanetBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlanetBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlanetBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlanetBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlanetBaseState::mOnFlashingButtonPressed()
{}
void tPlanetBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlanetBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlanetBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlanetBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPlanetBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPlanetBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPlanetBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPlanetBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPlanetBaseState::mOnHostChanged()
{}
void tPlanetBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tPlanetBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tPlanetBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}

void tPlanetBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlanetBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

