/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};


	iTruth	mBaseCaptured()			{ return fBaseCaptured; }
	void	mSetBaseCaptured()		{ fBaseCaptured = true; }

	iTruth	mBaseDestroyed()		{ return fBaseDestroyed; }
	void	mSetBaseDestroyed()		{ fBaseDestroyed = true; }

	iTruth	mTransportDead()		{ return fTransportDead; }
	void	mSetTransportDead()		{ fTransportDead = true; }

	iTruth	mTransportLaunched()	{ return fTransportLaunched; }
	void	mSetTransportLaunched()	{ fTransportLaunched = true; }

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	iTruth	fBaseCaptured;
	iTruth	fBaseDestroyed;
	iTruth	fTransportDead;
	iTruth	fTransportLaunched;
	iTruth	fDied;
};

#endif
