/********************************************************************************************************\

	File Name:	BackupTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BackupTeamBaseState.h"
#include "Mir_9Edge.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tBackupTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tBackupTeamBaseState::mEndState()
{}

void tBackupTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tBackupTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tBackupTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tBackupTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tBackupTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tBackupTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tBackupTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tBackupTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBackupTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBackupTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBackupTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBackupTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tBackupTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBackupTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBackupTeamBaseState::mOnFlashingButtonPressed()
{}
void tBackupTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBackupTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tBackupTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tBackupTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tBackupTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tBackupTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tBackupTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tBackupTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBackupTeamBaseState::mOnHostChanged()
{}
void tBackupTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBackupTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tBackupTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tBackupTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tBackupTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBackupTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

