/********************************************************************************************************\

	File Name:	InvasionTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "InvasionTeam.h"
#include "InvasionTeamBaseState.h"
#include "InvasionShip.h"
#include "ShipList_API.h"

tClassAllocator<tInvasionTeam> gInvasionTeamAllocator;

void tInvasionTeam::mSetupState()
{
	mRegisterState( new tInvasionTeamBaseState() );
	mGotoState( typeid( tInvasionTeamBaseState ) );
}

void tInvasionTeam::mSetupCommState()
{}

void tInvasionTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tInvasionTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

	{
	// crap. We need to strip out LDR ships because we're choosing SPECIALs.  FS, 20121012
	std::list< eEnhancedRoles >  LDRList;
	LDRList.push_back(kRoleLDR);
	int32 fShiplistCount = gST.narrowed_sl.Subset(LDRList, false);
	gST.mDebug_fprintf("stripping out LDR ships completed. ships: %d\n", fShiplistCount);
	}

	if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
		std::string InvasionShip1Type = gST.mImprovedHardcodedShip( "L-CWG", mGetRace(), kEClassLightCruiser, kEClassHeavyWarDestroyer, kCommando, false );
        std::string InvasionShip2Type = gST.mImprovedHardcodedShip( "L-CWG", mGetRace(), kEClassLightCruiser, kEClassHeavyWarDestroyer, kCommando, false );

		mCreateShip( typeid( tInvasionShip ),
					 InvasionShip1Type.c_str(),
					 kStartPosition_K,
					 kNoMetaShipID,
					 kInvasion1,
					 0,0,0,0,
					 "Invasion Force",
					 kDefaultShipOptions );

		mCreateShip( typeid( tInvasionShip ),
					 InvasionShip2Type.c_str(),
					 kStartPosition_K,
					 kNoMetaShipID,
					 kInvasion2,
					 0,0,0,0,
					 "Invasion Force",
					 kDefaultShipOptions );
	} else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tInvasionTeam::mCreateShipsForTeam\n");
}


void tInvasionTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tInvasionTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tInvasionShip ),
				 "L-CWG",
				 kStartPosition_K,
				 kNoMetaShipID,
				 kInvasion1,
				 0,0,0,0,
				 "Invasion Force",
				 kDefaultShipOptions );

	mCreateShip( typeid( tInvasionShip ),
				 "L-CWG",
				 kStartPosition_K,
				 kNoMetaShipID,
				 kInvasion2,
				 0,0,0,0,
				 "Invasion Force",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tInvasionTeam::mOldCreateShipsForTeam\n");
}

void tInvasionTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tInvasionTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tInvasionTeam", shipScriptDescription );
}

