/********************************************************************************************************\

	File Name:	CommonDefs.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonDefs_h )
#define CommonDefs_h

#include "ScriptInterface.h"

//
//	Renaming of the physical teams to make more sense with the current script.
//
enum eTeamTypes
{
	kPlayerTeam1 = kTeam1,
	kPlayerTeam2,
	kPlayerTeam3,
	kPlayerTeam4,
	kPlayerTeam5,
	kPlayerTeam6,
	kAITeam1Team,
	kAITeam2Team,
	kStarbase1Team,
	kStarbase2Team,
	kPuckTeam,
};

//
//	Values given to ships that can create a more straightforward approach to finding a ship.
//
enum eCustomIDs
{
	kPlayerShip = 1000,
	kStarbase1,
	kStarbase2,
	kPuck,
};

//
//	Renaming of the team tags that associate a physical team with its proper team class.
//
enum eTagTypes
{
	kTeam1Tag = kTagA,
	kTeam2Tag = kTagB,
	kStarbase1Tag = kTagC,
	kStarbase2Tag = kTagD,
	kPuckTag = kTagE,
};

//
//	Number of physical teams with ships controlled by AI.
//
enum eNPCTeams
{
	kNumHardCodedNPCTeams = 1,
};

//
//	Values given to timers throughout the script.
//
enum eTimerIDs
{
	kCheckInGoalTimerID = 1000,
};

//
//	Various constants used throughout the script.  There are found here for easier access.
//
enum eGameConstants
{
	kNumHitsForWin = 3,				//	Number of times the puck needs to hit the starbase for the game to end.
	kPuckLimboTime = 5,				//	Number of seconds the puck should "hand" around a starbase for it to blow up and count as a hit.
	kPuckDistanceForScore = 25,		//	Distance the puck must be from a starbase for a "score".
};

#endif