/********************************************************************************************************\

	File Name:	PuckTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "CommonDefs.h"
#include "MissionText.h"
#include "Puck.h"
#include "PuckTeam.h"
#include "PuckTeamBaseState.h"
#include "VictoryCondition.h"
#include "WorldConditions.h"


tClassAllocator<tPuckTeam> gPuckTeamAllocator;

/*

	HELPER NOTE:	The victory condition for this team is specific to this team and only to this team.

*/
void tPuckTeam::mSetupVictoryCondition()
{}

void tPuckTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{}

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tPuckTeam::mSetupState()
{
	mRegisterState( new tPuckTeamBaseState() );
	mGotoState( typeid( tPuckTeamBaseState ) );
}

/*

	HELPER NOTE:	The comm states should include the team they apply for when registered.

*/
void tPuckTeam::mSetupCommState()
{}

/*

	HELPER NOTE:	In this function, you will create the ships for the team described by the file name.
					It is a good idea to give each of these ships a custom ID so that it can be referred
					to later (i.e. victory condition).  The custom IDs are listed in the matching header file.
					The ships can be created in one of two ways.  There are examples of both below.  One last
					thing, when you create these ships, you have to remember to include their class headers at
					the top of this file; otherwise, this file will not compile.

	//
	//	CREATE SHIP #1: Creates a ship based on the team's BPV.
	//
	mCreateShip(	typeid( tPlayerNPCBS1 ),
					nPCBPV,
					kClassHeavyBattlecruiser,
					0,
					kStartPosition_G,
					kPlayerNPCBS1 );

	//
	//	CREATE SHIP #2: Creates a ship based on one of the spec records found in the spec chart.
	//
	mCreateShip( typeid( tPlayerNPCBS1 ), "PL3" , kStartPosition_J, kPlayerNPCBS2 );

*/
void tPuckTeam::mCreateShipsForTeam()
{
	//
	//	Create the puck and place it is in the center of the map.
	//
	mCreateShip(	typeid( tPuck ), "N-PUCK", kStartPosition_Q, kNoMetaShipID,
					kPuck, 0, 0, -1, -1, NULL, kDefaultShipOptions );
}

/*

	HELPER NOTE:	This is where the event notification messages can be set for the ships that have
					been supplied by the multiplayer engine.  Also, if the team is controlled by a
					player, then one of that team's ships should be set to player control.  Also, the
					parent function must ALWAYS be called at the start of this function as you see
					below.  For example:

	tShipIterator ship = mGetFirstShip();
	Assert( *ship != NULL );
	if ( *ship != NULL )
	{
		if ( mIsTeamHumanControled() )
		{
			ship->mSetShipPlayerControlled();
		}
	}

	for( ;
		 *ship != NULL;
		 ++ship )
	{
		ship->mSetShipCallbackEvents( kNotifyDamage );
	}

*/
void tPuckTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();

	//
	//	Set a timer to check if the puck on this team should explode.
	//
	mSetTimedInterval( kTimerSecondsSet, kCheckInGoalTimerID, kPuckLimboTime );
}