/********************************************************************************************************\

	File Name:	Team1ShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ScriptInterface.h"
#include "Team1ShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTeam1ShipBaseState::mBeginState()
{}
void tTeam1ShipBaseState::mEndState()
{}

void tTeam1ShipBaseState::mOnDeath( tShipInfo* ship )
{
	if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
	{
		if ( fChildActor->mGetTeam() == ship->mGetTeam() )
		{
			tTeamInfo* team = gScriptInterface.mMission()->mGetTeamHandle( ship->mGetTeam() );
			Assert( team );
			if ( team )
			{
				team->mCreateShip(	typeid( tTeam1Ship ),
									ship->mGetClassName(),
									kStartPosition_O,
									tTeamInfo::kNoMetaShipID,
									ship->mGetCustomID(),
									0, 0, -1, -1, NULL,
									kDefaultShipOptions );
			}
		}
	}
}
void tTeam1ShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tTeam1ShipBaseState::mOnDisengaged( tShipInfo* ship )
{
	if ( !ship )
		return;

	if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
	{
		ship->mDestroyShipSilently();
	}
}
void tTeam1ShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam1ShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam1ShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam1ShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam1ShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam1ShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam1ShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam1ShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam1ShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam1ShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam1ShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam1ShipBaseState::mOnFlashingButtonPressed()
{}
void tTeam1ShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam1ShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam1ShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam1ShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam1ShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam1ShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam1ShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam1ShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTeam1ShipBaseState::mOnHostChanged()
{}
void tTeam1ShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam1ShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam1ShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

