/********************************************************************************************************\

	File Name:	Team2ShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ScriptInterface.h"
#include "Team2ShipBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTeam2ShipBaseState::mBeginState()
{}
void tTeam2ShipBaseState::mEndState()
{}

void tTeam2ShipBaseState::mOnDeath( tShipInfo* ship )
{
	if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
	{
		if ( fChildActor->mGetTeam() == ship->mGetTeam() )
		{
			tTeamInfo* team = gScriptInterface.mMission()->mGetTeamHandle( ship->mGetTeam() );
			Assert( team );
			if ( team )
			{
				team->mCreateShip(	typeid( tTeam2Ship ),
									ship->mGetClassName(),
									kStartPosition_S,
									tTeamInfo::kNoMetaShipID,
									ship->mGetCustomID(),
									0, 0, -1, -1, NULL,
									kDefaultShipOptions );
			}
		}
	}
}
void tTeam2ShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tTeam2ShipBaseState::mOnDisengaged( tShipInfo* ship )
{
	if ( !ship )
		return;

	if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
	{
		ship->mDestroyShipSilently();
	}
}
void tTeam2ShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tTeam2ShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tTeam2ShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTeam2ShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTeam2ShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTeam2ShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTeam2ShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTeam2ShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTeam2ShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTeam2ShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam2ShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTeam2ShipBaseState::mOnFlashingButtonPressed()
{}
void tTeam2ShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTeam2ShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTeam2ShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTeam2ShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTeam2ShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTeam2ShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTeam2ShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTeam2ShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTeam2ShipBaseState::mOnHostChanged()
{}
void tTeam2ShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tTeam2ShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTeam2ShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

