/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();

	/*

		HELPER NOTE:	Make certain to call this in each and every place the game could possibly end.
						You should try to limit yourself to the teams' victory states though.

	*/
	void mCheckForGameEnd( void );

/*

	HELPER NOTE:	Place your world conditions here.  A world condition is usually a flag or a count
					of some object that determines the state the world is in (e.g. should the game end?,
					should the next team come into play?, etc).

*/
//
//	World condition accessors.
//
public:

	void	mIncrementTotalTeam1Teams();
	void	mIncrementTotalTeam2Teams();
	void	mIncrementTeam1Score();
	void	mIncrementTeam2Score();
	void	mSetStarbase1Destroyed( bool x );
	void	mSetStarbase2Destroyed( bool x );
	void	mSetStarbase1Invincible( bool x );
	void	mSetStarbase2Invincible( bool x );

	int32	mTotalTeam1Teams();
	int32	mTotalTeam2Teams();
	int32	mTeam1Score();
	int32	mTeam2Score();
	bool	mStarbase1Destroyed();
	bool	mStarbase2Destroyed();
	bool	mStarbase1Invincible();
	bool	mStarbase2Invincible();

//
//	World condition flags.
//
private:

	int32	fTotalTeam1Teams;
	int32	fTotalTeam2Teams;
	int32	fTeam1Score;
	int32	fTeam2Score;
	bool	fStarbase1Destroyed;
	bool	fStarbase2Destroyed;
	bool	fStarbase1Invincible;
	bool	fStarbase2Invincible;
};

extern tWorldConditions gWC;

#endif
