/********************************************************************************************************\

	File Name:	CommonTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonTeamBaseState.h"
#include "worldconditions.h"

void tCommonTeamBaseState::mBeginState()
{
	mSetTimedInterval(kTimerTurnsSet, kShipType_timer, 0.2f );
}

void tCommonTeamBaseState::mEndState()
{}

void tCommonTeamBaseState::mOnTimedInterval( int32 timerID )
{
	static iTruth beenHere = kFalse;
	
	if( !beenHere )
	{
		if( timerID == kShipType_timer )
		{
			tShipIterator iShips = fChildActor->mGetFirstShip();
			if( *iShips )
			{
				
				const char *shipClass = iShips->mGetClassName();
				std::string message( "You are in command of a " );
				message += shipClass;
				
				fMissionInfo->mDebugMessage( message.c_str() );
				
				beenHere = kTrue;
			}
		}
	}
}

void tCommonTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonTeamBaseState::mOnFlashingButtonPressed()
{}
void tCommonTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCommonTeamBaseState::mOnHostChanged()
{}

void tCommonTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

