//	<Name>	MissionMaps.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionMaps.h"

#if defined ( _GERMAN )

/*
	G-Z are random starting positions for the 6 teams
*/
int32 TotalMaps = 14;
const char* MapTypes[] = {	"Offener Weltraum - K",
							"Offener Weltraum - M",
							"Offener Weltraum - G",
							"Planeten - K",
							"Planeten - M",
							"Planeten - G",
							"Asteroidenfeld - M",
							"Asteroidenfeld - G",
							"Asteroidengrtel - G",
							"Nebel - K",
							"Nebel - M",
							"Nebel - G",
							"Schwarzes Loch - M",
							"Schwarzes Loch - G" };


const char* MapLines[]=
{
   "Mul_14TimedBattle",

   "// Offener Weltraum - K",
   " +____1____2____3+",
   " |...............|",
   " |...............|",
   " |...............|",
   " |...............|",
   "1|...............|",
   " |...............|",
   " |...I...........|",
   " |...G...........|",
   " |...H...........|",
   "2|...............|",
   " |...............|",
   " |...............|",
   " |...............|",
   " |...............|",
   "3|...............|",
   " +---------------+",
   "      1    2    3",

   "// Offener Weltraum - M",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.VWX.....................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |..........PQR............|",
   " |.........................|",
   "2|.........................|",
   " |.........................|",
   " |.......I........J........|",
   " |.......G........L........|",
   " |.......H........K........|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |..........MNO............|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.................STU.....|",
   " |.........................|",
   " |.........................|",
   "5|.YZ......................|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Offener Weltraum - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |........................................|",
   " |........................................|",
   "4|h..............G.........H.............g|",
   " |........................................|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",

   "// Planeten - K",
   " +____1____2____3+",
   " |...............|",
   " |...............|",
   " |...............|",
   " |...............|",
   "1|.....I....J....|",
   " |...............|",
   " |......1........|",
   " |h..G........H.g|",
   " |...............|",
   "2|...............|",
   " |.....L....K....|",
   " |...............|",
   " |...............|",
   " |...............|",
   "3|...............|",
   " +---------------+",
   "      1    2    3",

   "// Planeten - M",
   " +____1____2____3____4____5+",
   " |..........l....k.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.......3.................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "2|..........I....J.........|",
   " |.........................|",
   " |.........................|",
   " |h......G.........H......g|",
   " |.........................|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|...............8.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|..........i.....j........|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Planeten - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........(...............................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |........................................|",
   " |........................................|",
   "4|h..............G.........H.............g|",
   " |........................................|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........8...............................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |..................................9.....|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   
   "// Asteroidenfeld - M",
    " +____1____2____3____4____5+",
   " |..........l....k.........|",
   " |...A...*.................|",
   " |.............a...A.......|",
   " |.....a................a..|",
   "1|........A.......A........|",
   " |....a............a....a..|",
   " |............*.....*......|",
   " |.a.A..*...a...........A..|",
   " |...................a.....|",
   "2|.a........I....J.........|",
   " |....*........a....*...A..|",
   " |...........A..........a..|",
   " |h.A....G.........H......g|",
   " |.*...a....A....A....a....|",
   "3|.........................|",
   " |..a.......L....K.......a.|",
   " |....A...a..........A.....|",
   " |.........................|",
   " |.....a.....*....a....A...|",
   "4|...A........A...........A|",
   " |..*..............*...a...|",
   " |....................a....|",
   " |..........a..............|",
   " |......*.........A........|",
   "5|..........i.....j....A...|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Asteroidenfeld - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |.......*..................A.............|",
   " |............A*.........*......A.........|",
   "1|........................................|",
   " |....a..........a...A................*...|",
   " |........................................|",
   " |..........................A.............|",
   " |..A........*............................|",
   "2|................................A.......|",
   " |......A...........*.....................|",
   " |........................................|",
   " |..a.....*......a...........A........a...|",
   " |........................................|",
   "3|.....a.....a......A..........*....A.....|",
   " |............................a...........|",
   " |...a..........A...I....J.......a.....*..|",
   " |........*...a.......A...................|",
   " |................................a.......|",
   "4|h..A.........a.G...a.*...H.........a...g|",
   " |......*..........................A......|",
   " |.........A....a.........................|",
   " |.....A............L....K.....a..*.......|",
   " |........................................|",
   "5|...*..a..*......a........A.....a....A...|",
   " |........................................|",
   " |a..........a........*...........a.....*.|",
   " |...a........A.............a.........A...|",
   " |.A..............a......A........a.......|",
   "6|........................................|",
   " |..........a.......*..........a...A......|",
   " |........................................|",
   " |....a.......*.......a..A.......a.......*|",
   " |................*.......................|",
   "7|..a.....a...............................|",
   " |...................A............a.......|",
   " |............A..........*...........A....|",
   " |........................................|",
   " |...a....................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",

  
   "// Asteroidengrtel - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |.......................................]|",
   " |....................................*...|",
   "1|....................................].[.|",
   " |................................[......*|",
   " |.........................]..]......*....|",
   " |.....*.]..]...[...[..[.........].]....[.|",
   " |..............]........]....*...........|",
   "2|...[...]............]........[..[..[..].|",
   " |...........[..].[..*......*.............|",
   " |.]..]....].............]......]..[..*..]|",
   " |..*....[..................[..[.......[..|",
   " |.....[...........................]..]..[|",
   "3|[.]...................................].|",
   " |....]..................................*|",
   " |.[.*..............I....J................|",
   " |*..]....................................|",
   " |........................................|",
   "4|h..............G.........H.............g|",
   " |........................................|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |.......................................*|",
   " |.....................................].[|",
   " |.........................]....[..].[....|",
   "7|....................]..[...[...[....[..[|",
   " |.................[....]..[..]..........*|",
   " |.............]....].....................|",
   " |...]....[..]...]........................|",
   " |*..[.][...[.............................|",
   "8|][*.[.............i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
  
   "Nebel - K",
   " +____1____2____3+",
   " |..............&|",
   " |.VWX...........|",
   " |...............|",
   " |...............|",
   "1|......PQR......|",
   " |...............|",
   " |....G.....J....|",
   " |....H.....K....|",
   " |....I.....L....|",
   "2|...............|",
   " |......MNO......|",
   " |...........STU.|",
   " |...............|",
   " |..YZ...........|",
   "3|...............|",
   " +---------------+",
   "      1    2    3",

   "// Nebel - M",
   " +____1____2____3____4____5+",
   " |&.........l....k.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "2|..........I....J.........|",
   " |.........................|",
   " |.........................|",
   " |h......G.........H......g|",
   " |.........................|",
   "3|.........................|",
   " |..........L....K.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|..........i.....j........|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Nebel - G",
   " +____1____2____3____4____5____6____7____8+",
   " |&................l......k...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |..................I....J................|",
   " |........................................|",
   " |........................................|",
   "4|h..............G.........H.............g|",
   " |........................................|",
   " |........................................|",
   " |..................L....K................|",
   " |........................................|",
   "5|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",

   "      1    2    3",
   "// Schwarzes Loch - M",
   " +____1____2____3____4____5+",
   " |..........l....k.........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |..........I....J.........|",
   " |.........................|",
   "2|.........................|",
   " |.........................|",
   " |.........................|",
   " |h....G......,......H....g|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |..........L....K.........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|..........i.....j........|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Schwarzes Loch - G",
   " +____1____2____3____4____5____6____7____8+",
   " |.................l......k...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |..................I....J................|",
   "3|........................................|",
   " |........................................|",
   " |........................................|",
   " |....................,...................|",
   " |........................................|",
   "4|h............G.............H...........g|",
   " |....................,...................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "5|..................L....K................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|..................i.....j...............|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};

#else

/*
	G-Z are random starting positions for the 6 teams
*/
int32 TotalMaps = 14;
const char* MapTypes[] = {	"Open Space - S",
							"Open Space - M",
							"Open Space - L",
							"Planets - S",
							"Planets - M",
							"Planets - L",
							"Asteroid Field - M",
							"Asteroid Field - L",
							"Asteroid Belt - L",
							"Nebula - S",
							"Nebula - M",
							"Nebula - L",
							"Black Hole - M",
							"Black Hole - L" };


const char* MapLines[]=
{
   "Mul_14TimedBattle",

   "// Open Space - S",
   " +____1____2____3+",
   " |...............|",
   " |.VWX...........|",
   " |...............|",
   " |...............|",
   "1|......PQR......|",
   " |...............|",
   " |....G.....J....|",
   " |....H.....K....|",
   " |....I.....L....|",
   "2|...............|",
   " |......MNO......|",
   " |...........STU.|",
   " |...............|",
   " |..YZ...........|",
   "3|...............|",
   " +---------------+",
   "      1    2    3",

   "// Open Space - M",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |...VWX.....PQR...........|",
   "2|.........................|",
   " |.........................|",
   " |.......I........J........|",
   " |.......G........L........|",
   " |.......H........K........|",
   "3|.........................|",
   " |..........MNO............|",
   " |...............STU.......|",
   " |.........................|",
   " |......YZ.................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Open Space - L",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |.........VWX......PQR...................|",
   " |........................................|",
   " |........................................|",
   "4|...............G.........J..............|",
   " |...............H.........K..............|",
   " |...............I.........L..............|",
   " |........................................|",
   " |...................MNO..................|",
   "5|.........................STU............|",
   " |............YZ..........................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",

   "// Planets - S",
   " +____1____2____3+",
   " |...............|",
   " |.VWX...........|",
   " |...............|",
   " |...............|",
   "1|......PQR......|",
   " |...............|",
   " |....G.....J....|",
   " |....H.....K....|",
   " |....I.....L....|",
   "2|...............|",
   " |......MNO......|",
   " |...........STU.|",
   " |...............|",
   " |..YZ...........|",
   "3|.............8.|",
   " +---------------+",
   "      1    2    3",

   "// Planets - M",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |...VWX.....PQR...........|",
   "2|.........................|",
   " |.........................|",
   " |.......I........J........|",
   " |.......G........L........|",
   " |.......H........K........|",
   "3|.........................|",
   " |..........MNO............|",
   " |...............STU.......|",
   " |.........................|",
   " |......YZ.................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.....................8...|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Planets - L",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |..7.....................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |.........VWX......PQR...................|",
   " |........................................|",
   " |........................................|",
   "4|...............G.........J..............|",
   " |...............H.........K..............|",
   " |...............I.........L..............|",
   " |........................................|",
   " |...................MNO..................|",
   "5|.........................STU............|",
   " |............YZ..........................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |....................................8...|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",

   "// Asteroid Field - M",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.............a...........|",
   " |.a.......a.............a.|",
   " |.....a...................|",
   "1|..A.......A.....a........|",
   " |......................A..|",
   " |.A.......................|",
   " |.................a.......|",
   " |...VWX.....PQR.......A...|",
   "2|.........................|",
   " |.........................|",
   " |.......I........J.....a..|",
   " |.A.....G........L........|",
   " |.......H........K........|",
   "3|.........................|",
   " |.a........MNO.........a..|",
   " |...............STU.......|",
   " |.........................|",
   " |......YZ.................|",
   "4|.............a....a....a.|",
   " |.a...........A...........|",
   " |...A.............A.......|",
   " |..............a.....a....|",
   " |......a..................|",
   "5|..A........a.............|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Asteroid Field - L",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |..a................................a....|",
   " |..................a.....................|",
   " |.........................a.....a........|",
   "1|...A....................................|",
   " |..........a..........A..................|",
   " |...............a..............A.........|",
   " |.......................a...........a....|",
   " |...A....................................|",
   "2|...........A............................|",
   " |.................A......a....a..........|",
   " |........................................|",
   " |..a........a............................|",
   " |............................a...........|",
   "3|................................A.......|",
   " |........................................|",
   " |..A......VWX......PQR...................|",
   " |........................................|",
   " |.................................a......|",
   "4|...............G.........J..............|",
   " |......A........H.........K..............|",
   " |...............I.........L.........A....|",
   " |........................................|",
   " |...a...............MNO..................|",
   "5|.........................STU............|",
   " |............YZ..........................|",
   " |........................................|",
   " |....a...................................|",
   " |...............................A........|",
   "6|........................A..a.........a..|",
   " |...............................a........|",
   " |....a.....A.......A.....................|",
   " |............................a...........|",
   " |.............a..........................|",
   "7|.........................a..............|",
   " |........................................|",
   " |...a......................a.............|",
   " |..........a.......a.................a...|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",

   "// Asteroid Belt - L",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |.......................................]|",
   " |....................................*...|",
   "1|....................................].[.|",
   " |................................[......*|",
   " |.........................]..]......*....|",
   " |.....*.]..]...[...[..[.........].]....[.|",
   " |..............]........]....*...........|",
   "2|...[...]............]........[..[..[..].|",
   " |...........[..].[..*......*.............|",
   " |.]..]....].............]......]..[..*..]|",
   " |..*....[..................[..[.......[..|",
   " |.....[...........................]..]..[|",
   "3|[.]...................................].|",
   " |....]......VWX.....PQR.................*|",
   " |.[.*....................................|",
   " |*..]....................................|",
   " |...............G.........J..............|",
   "4|...............H.........K..............|",
   " |...............I.........L..............|",
   " |........................................|",
   " |..................MNO...................|",
   " |..........................STU...........|",
   "5|...........YZ...........................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |.......................................*|",
   " |.....................................].[|",
   " |.........................]....[..].[....|",
   "7|....................]..[...[...[....[..[|",
   " |.................[....]..[..]..........*|",
   " |.............]....].....................|",
   " |...]....[..]...]........................|",
   " |*..[.][...[.............................|",
   "8|][*.[...................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",

   "// Nebula - S",
   " +____1____2____3+",
   " |..............&|",
   " |.VWX...........|",
   " |...............|",
   " |...............|",
   "1|......PQR......|",
   " |...............|",
   " |....G.....J....|",
   " |....H.....K....|",
   " |....I.....L....|",
   "2|...............|",
   " |......MNO......|",
   " |...........STU.|",
   " |...............|",
   " |..YZ...........|",
   "3|...............|",
   " +---------------+",
   "      1    2    3",

   "// Nebula - M",
   " +____1____2____3____4____5+",
   " |........................&|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |...VWX.....PQR...........|",
   "2|.........................|",
   " |.........................|",
   " |.......I........J........|",
   " |.......G........L........|",
   " |.......H........K........|",
   "3|.........................|",
   " |..........MNO............|",
   " |...............STU.......|",
   " |.........................|",
   " |......YZ.................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Nebula - L",
   " +____1____2____3____4____5____6____7____8+",
   " |.......................................&|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |.........VWX......PQR...................|",
   " |........................................|",
   " |........................................|",
   "4|...............G.........J..............|",
   " |...............H.........K..............|",
   " |...............I.........L..............|",
   " |........................................|",
   " |...................MNO..................|",
   "5|.........................STU............|",
   " |............YZ..........................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",

   "// Black Hole - M",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |......,..................|",
   " |.........................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |...VWX.....PQR...........|",
   "2|.........................|",
   " |.........................|",
   " |.......I........J........|",
   " |.......G........L........|",
   " |.......H........K........|",
   "3|.........................|",
   " |..........MNO............|",
   " |...............STU.......|",
   " |.........................|",
   " |......YZ.................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |....................,....|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",

   "// Black Hole - L",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |...,....................................|",
   "1|........................................|",
   " |........................................|",
   " |.................................,......|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|........................................|",
   " |........................................|",
   " |.........VWX......PQR...................|",
   " |........................................|",
   " |........................................|",
   "4|...............G.........J..............|",
   " |...............H.........K..............|",
   " |...............I.........L..............|",
   " |........................................|",
   " |...................MNO..................|",
   "5|.........................STU............|",
   " |............YZ..........................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|................................,.......|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |.....,..................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};

#endif

