/********************************************************************************************************\

	File Name:	StarbaseBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "Mul_2BaseAssault.h"
#include "StarbaseBaseState.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tStarbaseBaseState::mBeginState()
{}
void tStarbaseBaseState::mEndState()
{}

void tStarbaseBaseState::mOnDeath( tShipInfo* ship )
{
	//
	//	The starbase has been destroyed, so inform the participants so.
	//
	if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
	{
		for ( int32 i = kPlayerTeam1; i <= kPlayerTeam6; i++ )
		{
			tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( i ) );
			if ( !team )
				continue;

			if ( team->mGetTag() == kAttackTag )
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( i ), kBaseDiedFromAttackers_msg, kNonCommScriptMessage );
			else
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( i ), kBaseDiedFromDefenders_msg, kNonCommScriptMessage );
		}
	}
}
void tStarbaseBaseState::mOnCapture( tShipInfo* ship )
{}
void tStarbaseBaseState::mOnDisengaged( tShipInfo* ship )
{
	//
	//	It is not possible for a starbase to disengage.  So this event is not necessary to capture.
	//
}
void tStarbaseBaseState::mAtDistance( tShipInfo* ship )
{}
void tStarbaseBaseState::mAtDestination( tShipInfo* ship )
{}
void tStarbaseBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tStarbaseBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tStarbaseBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tStarbaseBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tStarbaseBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tStarbaseBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tStarbaseBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tStarbaseBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tStarbaseBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tStarbaseBaseState::mOnFlashingButtonPressed()
{}
void tStarbaseBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tStarbaseBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tStarbaseBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tStarbaseBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tStarbaseBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tStarbaseBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tStarbaseBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tStarbaseBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tStarbaseBaseState::mOnHostChanged()
{}
void tStarbaseBaseState::mOnTimedInterval( int32 timerID )
{}
void tStarbaseBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tStarbaseBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

