/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();

	/*

		HELPER NOTE:	Make certain to call this in each and every place the game could possibly end.
						You should try to limit yourself to the teams' victory states though.

	*/
	void mCheckForGameEnd( void );

/*

	HELPER NOTE:	Place your world conditions here.  A world condition is usually a flag or a count
					of some object that determines the state the world is in (e.g. should the game end?,
					should the next team come into play?, etc).

*/
//
//	World condition accessors and modifiers.
//
public:
	
	int32	mTotalAttackTeams();
	int32	mTotalDefendTeams();
	int32	mTotalAttackShips();
	int32	mTotalDefendShips();
	int32	mAttackShipsDestroyed();
	int32	mDefendShipsDestroyed();
	bool	mStarbaseDestroyed();


	void	mIncrementTotalAttackTeams();
	void	mIncrementTotalDefendTeams();
	void	mIncrementTotalAttackShips();
	void	mIncrementTotalDefendShips();
	void	mIncrementAttackShipsDestroyed();
	void	mIncrementDefendShipsDestroyed();
	void	mSetStarbaseDestroyed( bool x );


//
//	World condition flags.
//
private:

	int32	fTotalAttackTeams;
	int32	fTotalDefendTeams;
	int32	fTotalAttackShips;
	int32	fTotalDefendShips;
	int32	fAttackShipsDestroyed;
	int32	fDefendShipsDestroyed;

	bool	fStarbaseDestroyed;

};

extern tWorldConditions gWC;

#endif
