/********************************************************************************************************\

	File Name:	CommonShip3BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonShip3BaseState.h"
#include "CommonShip4.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonShip3BaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kInvincibility_TID, 0.5f );
}
void tCommonShip3BaseState::mEndState()
{}

void tCommonShip3BaseState::mOnDeath( tShipInfo* ship )
{
	if ( !ship )
		return;

	eTeamID		teamID = ship->mGetTeam();
	tTeamInfo*	team = fMissionInfo->mGetTeamHandle( teamID );

	Assert( team );
	if ( !team )
		return;

	if ( fChildActor->mGetTeam() == teamID )
	{
		if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
		{

			//
			//	The Ship3 is lost, so spawn a Ship4.
			//
			gWC.mSetShip3Destroyed( teamID, true );
			team->mCreateShip(	typeid( tCommonShip4 ),
								gClassNames[static_cast< int32 >( team->mGetRace() )][3],
								kStartPosition_G + ship->mGetTeam(),
								tTeamInfo::kNoMetaShipID,
								kShip4,
								0, 0, -1, -1, NULL,
								kDefaultShipOptions );
		}
	}
}
void tCommonShip3BaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonShip3BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonShip3BaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonShip3BaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonShip3BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonShip3BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonShip3BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonShip3BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonShip3BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonShip3BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonShip3BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonShip3BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip3BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip3BaseState::mOnFlashingButtonPressed()
{}
void tCommonShip3BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonShip3BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonShip3BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonShip3BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCommonShip3BaseState::mOnHostChanged()
{}
void tCommonShip3BaseState::mOnTimedInterval( int32 timerID )
{
	switch ( timerID )
	{
	case kInvincibility_TID:
		{
			fChildActor->mSetTargetable( kTrue );
		}
		break;
	}
}
void tCommonShip3BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonShip3BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


