/********************************************************************************************************\

	File Name:	CommonShip4BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonShip5.h"
#include "CommonShip4BaseState.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonShip4BaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kInvincibility_TID, 0.5f );
}
void tCommonShip4BaseState::mEndState()
{}

void tCommonShip4BaseState::mOnDeath( tShipInfo* ship )
{
	if ( !ship )
		return;

	eTeamID		teamID = ship->mGetTeam();
	tTeamInfo*	team = fMissionInfo->mGetTeamHandle( teamID );

	Assert( team );
	if ( !team )
		return;

	if ( fChildActor->mGetTeam() == teamID )
	{
		if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
		{

			//
			//	The Heavy Cruiser is lost, so spawn a Ship5.
			//
			gWC.mSetShip4Destroyed( teamID, true );
			team->mCreateShip(	typeid( tCommonShip5 ),
								gClassNames[static_cast< int32 >( team->mGetRace() )][4],
								kStartPosition_G + ship->mGetTeam(),
								tTeamInfo::kNoMetaShipID,
								kShip5,
								0, 0, -1, -1, NULL,
								kDefaultShipOptions );
		}
	}
}
void tCommonShip4BaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonShip4BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonShip4BaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonShip4BaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonShip4BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonShip4BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonShip4BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonShip4BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonShip4BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonShip4BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonShip4BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonShip4BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip4BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip4BaseState::mOnFlashingButtonPressed()
{}
void tCommonShip4BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonShip4BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonShip4BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonShip4BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCommonShip4BaseState::mOnHostChanged()
{}
void tCommonShip4BaseState::mOnTimedInterval( int32 timerID )
{
	switch ( timerID )
	{
	case kInvincibility_TID:
		{
			fChildActor->mSetTargetable( kTrue );
		}
		break;
	}
}
void tCommonShip4BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonShip4BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


