/********************************************************************************************************\

	File Name:	CommonShip5BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonShip5BaseState.h"
#include "CommonShip6.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonShip5BaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kInvincibility_TID, 0.5f );
}
void tCommonShip5BaseState::mEndState()
{}

void tCommonShip5BaseState::mOnDeath( tShipInfo* ship )
{
	if ( !ship )
		return;

	eTeamID		teamID = ship->mGetTeam();
	tTeamInfo*	team = fMissionInfo->mGetTeamHandle( teamID );

	Assert( team );
	if ( !team )
		return;

	if ( fChildActor->mGetTeam() == teamID )
	{
		if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
		{

			//
			//	The Ship5 is lost, so spawn a Ship6.
			//
			gWC.mSetShip5Destroyed( teamID, true );
			team->mCreateShip(	typeid( tCommonShip6 ),
								gClassNames[static_cast< int32 >( team->mGetRace() )][5],
								kStartPosition_G + ship->mGetTeam(),
								tTeamInfo::kNoMetaShipID,
								kShip6,
								0, 0, -1, -1, NULL,
								kDefaultShipOptions );
		}
	}
}
void tCommonShip5BaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonShip5BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonShip5BaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonShip5BaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonShip5BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonShip5BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonShip5BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonShip5BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonShip5BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonShip5BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonShip5BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonShip5BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip5BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip5BaseState::mOnFlashingButtonPressed()
{}
void tCommonShip5BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonShip5BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonShip5BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonShip5BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCommonShip5BaseState::mOnHostChanged()
{}
void tCommonShip5BaseState::mOnTimedInterval( int32 timerID )
{
	switch ( timerID )
	{
	case kInvincibility_TID:
		{
			fChildActor->mSetTargetable( kTrue );
		}
		break;
	}
}
void tCommonShip5BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonShip5BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


