/********************************************************************************************************\

	File Name:	CommonShip6BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonShip6BaseState.h"
#include "ScriptInterface.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonShip6BaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kInvincibility_TID, 0.5f );
}
void tCommonShip6BaseState::mEndState()
{}

void tCommonShip6BaseState::mOnDeath( tShipInfo* ship )
{}
void tCommonShip6BaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonShip6BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonShip6BaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonShip6BaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonShip6BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonShip6BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonShip6BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonShip6BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonShip6BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonShip6BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonShip6BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonShip6BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip6BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonShip6BaseState::mOnFlashingButtonPressed()
{}
void tCommonShip6BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonShip6BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonShip6BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonShip6BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tCommonShip6BaseState::mOnHostChanged()
{}
void tCommonShip6BaseState::mOnTimedInterval( int32 timerID )
{
	switch ( timerID )
	{
	case kInvincibility_TID:
		{
			fChildActor->mSetTargetable( kTrue );
		}
		break;
	}
}
void tCommonShip6BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonShip6BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


