/********************************************************************************************************\

	File Name:	CommonBaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "ScriptInterface.h"
#include "CommonBaseVictory.h"
#include "CommonBaseVictoryState.h"


tClassAllocator<tCommonBaseVictory> gCommonBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tCommonBaseVictory::tCommonBaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tCommonBaseVictory::tCommonBaseVictory()
{}
tCommonBaseVictory::tCommonBaseVictory( tTeamInfo* team ) : tVictoryCondition( team )
{}

/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tCommonBaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tCommonBaseVictory::mSetupState()
{
	tTeamInfo*	team = mGetTeam();

	tCommonBaseVictoryState* commonBaseVictoryState = new tCommonBaseVictoryState( 100 , 100 , 0 , 0 , 0 );
	mRegisterState( commonBaseVictoryState );
	mGotoState( typeid( tCommonBaseVictoryState ) );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives.

	bool
	tCommonBaseVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tCommonBaseVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/
