/********************************************************************************************************\

	File Name:	AttackShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AttackShipBaseState.h"
#include "MissionText.h"
#include "Mul_9TeamAssault.h"
#include "ScriptInterface.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAttackShipBaseState::mBeginState()
{}
void tAttackShipBaseState::mEndState()
{}

void tAttackShipBaseState::mOnDeath( tShipInfo* ship )
{
	if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
	{
		if ( fChildActor->mGetTeam() == ship->mGetTeam() )
		{
			tTeamInfo* team = gScriptInterface.mMission()->mGetTeamHandle( ship->mGetTeam() );
			Assert( team );
			if ( team )
			{
				team->mCreateShip(	typeid( tAttackShip ),
									ship->mGetClassName(),
									kStartPosition_O,
									tTeamInfo::kNoMetaShipID,
									ship->mGetCustomID(),
									0, 0, -1, -1, NULL,
									kDefaultShipOptions );
			}
		}
	}
}
void tAttackShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tAttackShipBaseState::mOnDisengaged( tShipInfo* ship )
{
	if ( !ship )
		return;

	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		ship->mDestroyShipSilently();
	}
}
void tAttackShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tAttackShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tAttackShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAttackShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAttackShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAttackShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAttackShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAttackShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAttackShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAttackShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAttackShipBaseState::mOnFlashingButtonPressed()
{}
void tAttackShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAttackShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAttackShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAttackShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAttackShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAttackShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAttackShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAttackShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAttackShipBaseState::mOnHostChanged()
{}
void tAttackShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tAttackShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAttackShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

