/********************************************************************************************************\

	File Name:	ISC_9B3Homeworld.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( ISC_9B3Homeworld_h )
#define ISC_9B3Homeworld_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kEnemyTeam,
	kPlayerNPC1Team,
	kTransportTeam,
};

class tVictoryCondition;

class tISC_9B3Homeworld : public tScript
{
public:

	enum eCommStates
	{
		kCommState1,
		kCommState2,
		kCommState3,
		kCommState4,
		kCommState5,


	};

	tISC_9B3Homeworld();

	virtual void mSetupState();
	virtual void mSetupCommState();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();

	virtual char * GetDynamicMessage( char * buffer, int32 msg, char * fstr, char * rstr);


	bool fDiplomatBeamed;
	int32 fSectorRace;
	bool fAllianceFed;
	bool fAllianceForged;
	bool fAllianceHydran;
	bool fAllianceRomulan;
	bool fCodeKnown;
	bool fShieldsLowered;


};

#endif


