/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//

	kMissionTitle_msg,
	kBriefing_msg,
	kBriefingA_msg,
	kBriefingB_msg,
	kBriefingC_msg,
	kBriefingD_msg,
	kBriefingE_msg,

	//
	//	Starting message
	//
	
	kStartFedDiplomacy_msg,
	kStartHydranDiplomacy_msg,
	kStartRomulanDiplomacy_msg,
	kStartHostileGeneric_msg,
	kStartHostileKorM_msg,

	//
	//	Debriefing messages
	//
	
	kDebFedAlly_msg,
	kDebHydranAlly_msg,
	kDebRomulanAlly_msg,
	kDebFedAttack_msg,
	kDebHydranAttack_msg,
	kDebRomulanAttack_msg,
	kDebFailGeneric_msg,
	kDebFailKorM_msg,
	kDebHostileSuccess_msg,

	//
	//	Comm buttons
	//
	kHail_btn,
	kRequestAssistance_btn,
	kAttackTarget_btn,
	kDefendMe_btn,
	kSetAsTarget_btn,
	kDemandSurrender_btn,
	kLowerShields_btn,

	//
	//	Comm messages
	//

	kCommDummy_msg,
	kNoResponse_msg,
	kHailDiplomacyFed_msg,
	kHailDiplomacyHydran_msg,
	kHailDiplomacyRomulan_msg,
	kAllyHull100_msg,
	kAllyHullGT70_msg,
	kAllyHullGT40_msg,
	kAllyHullLT40_msg,
	kFedNotUnderAttack_msg,
	kHydranNotUnderAttack_msg,
	kRomulanNotUnderAttack_msg,
	kAttackHullGT30_msg,
	kAttackHullLT30_msg,
	kDefendAllyAttacked_msg,
	kDefendHullGT30_msg,
	kDefendHullLT30_msg,
	kHailEnemyCapitalTaken_msg,
	kHailEnemyCapitalDiplomacy_msg,
	kHailEnemyCapitalLowerShields_msg,
	kHailEnemyCapitalDiplomacyAttacked_msg,
	kHailEnemyCapitalHostile_msg,
	kHailEnemyRandom1_msg,
	kHailEnemyRandom2_msg,
	kHailEnemyRandom3_msg,
	kDemandSurrenderGT50_msg,
	kDemandSurrenderGT5_msg,
	kDemandSurrenderLT5_msg,
	kHailFedStarbase_msg,
	kHailHydranStarbase_msg,
	kHailRomulanStarbase_msg,
	kLowerShieldsNoCode_msg,
	kLowerShieldsFalse_msg,
	kLowerShieldsTrue_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kDefPlatFed,
	kDefPlatKlingon,
	kDefPlatRomulan,
	kDefPlatLyran,
	kDefPlatHydran,
	kDefPlatGorn,
	kDefPlatISC,
	kDefPlatMirak,

	//
	//	Event dialog
	//
	kTransportWarning_msg,
	kTransportsArrive_msg,
	kTransportDestroyed_msg,
	kTransportReachesPlanet_msg,
	kPlanetTaken_msg,
	kTransportReachesMoon_msg,
	kPlanetAndMoon_msg,
	kNeedPlanet_msg,

	//
	//	Custom messages
	//
		
	kIniHeader,
	kDiplomatBeamed,
	kSectorRace,
	kAllianceFed,
	kAllianceForged,
	kAllianceHydran,
	kAllianceRomulan,
	kCodeKnown,
	kShieldsLowered,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif
