/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"
#include "ScriptInterface.h"
#include "ISC_X3M2BGlass.h"


tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  You should
					do this for both constructors until informed otherwise.  For example:

	tTeam1BaseVictory::tTeam1BaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tBaseVictory::tBaseVictory() :
	fAbandoned(false),
	fTalkedToBlackHole(false),
	fTalkedToStar1(false),
	fTalkedToStar2(false),
	fTalkedToStar3(false),
	fTalkedToStar4(false),
	fScannedBlackHole(false),
	fScannedStar1(false),
	fScannedStar2(false),
	fScannedStar3(false),
	fScannedStar4(false)

{}
tBaseVictory::tBaseVictory( tTeamInfo* team ) : tVictoryCondition( team ),
	fAbandoned(false),
	fTalkedToBlackHole(false),
	fTalkedToStar1(false),
	fTalkedToStar2(false),
	fTalkedToStar3(false),
	fTalkedToStar4(false),
	fScannedBlackHole(false),
	fScannedStar1(false),
	fScannedStar2(false),
	fScannedStar3(false),
	fScannedStar4(false)
{}

/*

	HELPER NOTE:	Really, the only items in this function that you could change are the values passed into
					the tBaseVictoryState constructor.  These values are the capture bonus and prestige
					points awarded according to the player's victory status -- starting at
					kAstoundingVictory and working its way down to kDevastatingDefeat.

*/
void tBaseVictory::mSetupState()
{
	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( 350, 0 , 0 , 0 , 0 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );

	mSetTimedInterval(kTimerSecondsSet,kStartID, 20.0 );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives.

	bool
	tTeam1BaseVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tTeam1BaseVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/
	bool tBaseVictory::mAbandoned()
	{
		return fAbandoned;
	}
	bool tBaseVictory::mTalkedToBlackHole()
	{
		return fTalkedToBlackHole;
	}
	bool tBaseVictory::mTalkedToStar1()
	{
		return fTalkedToStar1;
	}
	bool tBaseVictory::mTalkedToStar2()
	{
		return fTalkedToStar2;
	}
	bool tBaseVictory::mTalkedToStar3()
	{
		return fTalkedToStar3;
	}
	bool tBaseVictory::mTalkedToStar4()
	{
		return fTalkedToStar4;
	}

	bool tBaseVictory::mScannedBlackHole()
	{
		return fScannedBlackHole;
	}
	bool tBaseVictory::mScannedStar1()
	{
		return fScannedStar1;
	}
	bool tBaseVictory::mScannedStar2()
	{
		return fScannedStar2;
	}
	bool tBaseVictory::mScannedStar3()
	{
		return fScannedStar3;
	}
	bool tBaseVictory::mScannedStar4()
	{
		return fScannedStar4;
	}


	//
	//	Modifiers.
	//
	void tBaseVictory::mSetAbandoned( bool x)
	{
		fAbandoned = x;
	}
	void tBaseVictory::mSetTalkedToBlackHole( bool x)
	{
		fTalkedToBlackHole = x;
	}
	void tBaseVictory::mSetTalkedToStar1( bool x)
	{
		fTalkedToStar1 = x;
	}
	void tBaseVictory::mSetTalkedToStar2( bool x)
	{
		fTalkedToStar2 = x;
	}
	void tBaseVictory::mSetTalkedToStar3( bool x)
	{
		fTalkedToStar3 = x;
	}
	void tBaseVictory::mSetTalkedToStar4( bool x)
	{
		fTalkedToStar4 = x;
	}

	void tBaseVictory::mSetScannedBlackHole( bool x)
	{
		fScannedBlackHole = x;
	}
	void tBaseVictory::mSetScannedStar1( bool x)
	{
		fScannedStar1 = x;
	}
	void tBaseVictory::mSetScannedStar2( bool x)
	{
		fScannedStar2 = x;
	}
	void tBaseVictory::mSetScannedStar3( bool x)
	{
		fScannedStar3 = x;
	}
	void tBaseVictory::mSetScannedStar4( bool x)
	{
		fScannedStar4 = x;
	}
