/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_X3M2BGlass",

	//
	//	Description message
	//
	"Scan stars for intelligence",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"A science mission in the Rim of Ghosts star cluster.",


	// kBriefingFed_msg,
	"Dr. Sevrin's invention may have given us the ability to solve an old stellar mystery.\n[0]" \
	"The Rim of Ghosts is a star cluster which has periodically given strange transmissions " \
	"during X-Ray bursts. Attempts to investigate the system has shown that it's empty - no ships, " \
	"no planets, no derelicts, nothing to suggest there might be a civilization. But if there are " \
	"lifeforms in one of the stars, that might explain the transmissions.[0]" \
	"Your mission is to investigate each star and make contact with the civilization if it exists.\n[0]" \
	"There is a wormhole at the heart of the cluster, so be careful.\n[0]" \
	"Dismissed.\n\n",
	// kBriefingKlingon_msg,

	"I wish to inform you that this mission is not a punishment. Scientific missions are normally " \
	"punishment, but this one is different.\n[0]" \
	"The Rim of Ghosts is a star cluster which has periodically given strange transmissions during " \
	"X-Ray bursts. When we've investigated the system, we've found nothing - no ships, no planets, " \
	"no derelicts, no civilization. But if there are lifeforms within one of the stars, that might " \
	"explain the transmissions. Your mission is to investigate each star and make contact with the " \
	"civilization if it exists.\n[0]" \
	"There is a black hole at the heart of the cluster, so be careful. Qapla.",

	// kBriefingRomulan_msg,
	"",
	// kBriefingLyran_msg,
	"",
	// kBriefingHydran_msg,
	"The Transcendant Sun, the Wind of Haunts, and the Burning Air cults have gathered " \
	"together to request a mission of exploration.\n[0]" \
	"The Rim of Ghosts is a star cluster which has periodically given strange transmissions " \
	"during X-Ray bursts. When we've investigated the system, we've found nothing - no ships, " \
	"no planets, no derelicts, no civilization. But if there are lifeforms within one of the " \
	"stars, that might explain the transmissions. Your mission is to investigate each star and " \
	"make contact with the civilization if it exists.\n[0]" \
	"There is a black hole at the heart of the cluster, so be careful.\n\n Dismissed.",
	
	// kBriefingGorn_msg,
	"The Rim of Ghosts is a star cluster which has periodically given strange transmissions " \
	"during X-Ray bursts. When we've investigated the system, we've found nothing - no ships, " \
	"no planets, no derelicts, no civilization.\n[0]" \
	"But if there are lifeforms within one of the stars, that might explain the transmissions. " \
	"The technology we recently acquired from Dr. Sevrin may allow us to find the answer. " \
	"Your mission is to investigate each star and make contact with the civilization if it exists.\n[0]" \
	"There is a black hole at the heart of the cluster, so be careful.\n\n Dismissed.",
	
	// kBriefingISC_msg,
	"The Rim of Ghosts is a star cluster which has periodically given strange transmissions " \
	"during X-Ray bursts. Attempts by this quadrant's powers have found nothing there - no ships, "\
	"no planets, no derelicts, no civilization.\n[0]" \
	"But if there are lifeforms within one of the stars, that might explain the transmissions. " \
	"The technology we recently acquired from Dr. Sevrin may allow us to find the answer. Your " \
	"mission is to investigate each star and make contact with the civilization if it exists.\n[0]" \
	"There is a black hole at the heart of the cluster, so be careful.\n\n Good luck.",
	// kMirak
	"",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"",
	//	kStartFed_msg,
	"[PLAYER_NAME]: Captain's Log, [STARDATE].[0]" \
	"Our goal is to make first contact with possible aliens on [SYSTEM_NAME], " \
	"'talking' with each star until we find out who or what is responsible for the " \
	"emissions we've seen at irregular intervals.\n[0]" \
	"Science Officer: [PLAYER_RANK], we've plotted the emissions. They correspond " \
	"with peak X-Ray emissions from the system's wormhole. They're using the X-Rays " \
	"as a carrier. That implies some knowledge of stellar physics.\n[0]",
	//	kStartKlingon_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].[0] Our goal is to make first contact with possible " \
	"aliens in the [SYSTEM_NAME] system, 'talking' with each star until we find out who or what is " \
	"is responsible for the emissions we've seen at irregular intervals.\n[0]" \
	"Science Officer: [PLAYER_RANK], we've plotted the emissions. They correspond with peak " \
	"X-Ray emissions from the system's wormhole. They're using the X-Rays as a carrier. That implies some knowledge of stellar physics.\n[0]" \
	"[PLAYER_NAME]: Bah! So what? I just hope the ISC will show up so this mission doesn't get too boring.\n[0]",
	//	kStartRomulan_msg,
	"",
	//	kStartLyran_msg,
	"",
	//	kStartHydran_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].[0] Our goal is to make first contact with possible " \
	"aliens on in the [SYSTEM_NAME] system, 'talking' with each star until we find out who or what is " \
	"responsible for the emissions we've seen at irregular intervals.\n[0]" \
	"Science Officer: [PLAYER_RANK], we've plotted the emissions. They correspond with peak " \
	"X-Ray emissions from the system's wormhole. They're using the X-Rays as a carrier. That implies " \
	"some knowledge of stellar physics.\n[0]" \
	"[PLAYER_NAME]: That's good to know.\n[0]",
	
	//	kStartGorn_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].[0] Our goal is to make first contact with possible aliens " \
	"on [SYSTEM_NAME], 'talking' with each star until we find out who or what is responsible for " \
	"the emissions we've seen at irregular intervals.\n[0]" \
	"Science Officer: [PLAYER_RANK], we've plotted the emissions. They correspond with peak X-Ray " \
	"emissions from the system's wormhole. They're using the X-Rays as a carrier. " \
	"That implies some knowledge of stellar physics.\n[0]",

	//	kStartISC_msg,
	"[PLAYER_NAME]: Pacification record, [STARDATE]. Our goal is to make first contact with possible aliens " \
	"on [SYSTEM_NAME], 'talking' with each star until we find out who or what is responsible for " \
	"the emissions we've seen at irregular intervals.",

	// kISCStart2_msg,
	"Science Officer: [PLAYER_RANK], we've plotted the emissions. They correspond with peak X-Ray " \
	"emissions from the system's wormhole. They're using the X-Rays as a carrier. " \
	"That implies some knowledge of stellar physics.",

	//	kStartMirak_msg,
	"",

	//
	//	Debriefing messages
	//
	// kDebNoHoleNoStar4_msg
	"You failed to find and make contact with the civilization who had produced " \
	"those transmissions. That's a mission failure in our book.\n\n" \
	"Dismissed.",

	// kDebNoHoleStar4_msg,
	"You failed to find and make contact with the civilization who had produced those " \
	"transmissions. I realize that completing the mission would have required you to get " \
	"dangerously close to the wormhole, so we cannot and do not fault your decision to " \
	"safeguard your ship.\n\n" \
	"Dismissed.",

	// kDebTalkedToHole_msg,
	"Congratulations on making contact with the civilization of the black hole. " \
	"That's one of the most amazing scientific discoveries of the last century.\n\n"
	"Dismissed.",
	
	// kDebNoTalkToAllStars_msg,
	"There's only one thing I can find fault with; you failed to attempt contact " \
	"with all of the stars. It's possible, given that they were all blue pulsars " \
	"with a high carbon content, that there could have been civilizations on each star. " \
	"Multiple civilizations. Be more thorough next time.\n\n"
	"Dismissed",

	// kDebTalkedToStars_msg
	"It'll take us years to sift through the data, but we've managed to piece together " \
	"some rough background on your aliens. The race were immortal psionics, carbon beings " \
	"born in a star who transcended their physical form, but were unable to escape when " \
	"their sun collapsed. They were able to crudely manipulate the wormhole's X-Ray emissions " \
	"with telekinesis, occasionally getting out pieces of information when the wormhole's " \
	"emissions were at a peak. They had some contact with stellar intelligences on one of the " \
	"stars, but otherwise they've been alone, utterly alone.\n\n"
	"Dismissed",

	// kDebKlingon_msg,
	//
	"Although it's not nearly as exciting as a good war.\n\n",
	//	Comm buttons
	//
	// kHail_btn,
	"HAIL",

	//
	//	Comm messages
	//
	// kUtility_msg,
	"Empty Utility Message",
	// kDistanceOver15K_msg,
	"Communications Officer: X-Ray emissions from the hole are making it " \
	"impossible to pick up a translation. I'd suggest closing to a " \
	"distance of 12,000 tactical units.\n",
	
	// kNoIntelligencePossible_msg,
	"Communications Officer: There are no patterns that the " \
	"computer recognizes as indicating intelligence.\n",
	
	// kStar1Dialog_msg,
	"Communications Officer: A crackling noise... An expression of... surprise, perhaps? " \
	"The computer indicates a sixty-five percent chance of erroneous translation.\n[0]" \
	"Science Officer: The computer indicates that these transmissions do not have " \
	"the power or vocabulary to be responsible for the emissions. We'll have to look " \
	"elsewhere.\n[0]",

	// kStar1Rand1_msg,
	"Communications Officer: A crunching sound, followed by what sounds like a pop.\n",

	// kStar1Rand2_msg,
	"Communications Officer: Random noise, [PLAYER_RANK].\n",
	
	// kStar1Rand3_msg,
	"Communications Officer: A stream of six intense buzzing sounds, followed by a crackle, " \
	"and a very loud pop.\n",
	
	// kStar4Dialog_msg,
	"Communications Officer: We have acknowledgement. 'The hole'... 'Ziggurat'... " \
	"the translator is reprocessing... correction... not ziggurat, but 'pillar of darkness ' "
	"... speaks... No... not 'speaks'...  'message'...\n[0]" \
	"Science Officer: The computer indicates that these transmissions do not have " \
	"the power or vocabulary to be responsible for the emissions. We'll have to look elsewhere.\n[0]" \
	"Communications Officer: Another acknowledgement. Again, 'the hole'... 'Prison'... " \
	"'Starforce darkness'... 'the hole'... 'Voice?' 'Voice?' 'Hole?'\n[0]" \
	"Science Officer: The wormhole? What about the wormhole?\n[0]",

	// kStar4Rand1_msg,
	"Communications Officer: Acknowledgement... Chorus emissions... computer estimates twenty percent " \
	"are X-Rays... 'Rare'...\n[0] 'Pillar of Darkness'...?\n",

	// kStar4Rand2_msg,
	"Communications Officer: Acknowledgement... Silence?\n",


	// kStar4Rand3_msg,
	"Communications Officer: Acknowledgement.... Hole? Elsewhere Prison?\n",

	// kDistanceOver5K_msg,
	"Communications Officer: X-Ray emissions from the hole are making it " \
	"impossible to pick up a translation. Suggest closing to a distance of " \
	"5,000 kilometers.\n[0]" \
	"Science Officer: That would extremely dangerous, [PLAYER_RANK]. " \
	"This is an unsurveyed wormhole. At that range, dimensional stability " \
	"could be very fragile.\n[0]",
	
	// kHoleDialog_msg,
	"Communications Officer: A coherent message stream, [PLAYER_RANK]!\n" \
	"[PLAYER_NAME]: Put it on speaker!\n[0]" \
	"Science Officer: Spacial and temporal instability is increasing, [PLAYER_RANK]\n[0]" \
	"[Noise]: Hello....\n" \
	"[PLAYER_NAME]: Hello. This is [PLAYER_RANK][PLAYER_NAME] of the [PLAYER_SHIP_NAME]. " \
	"Who am I addressing?\n[0]" \
	"Communications Officer: It's trying to download data into our computers! " \
	"I can't stop it! Racial history... culture... language... law...\n[0]" \
	"Science Officer: [PLAYER_RANK], space is stabilizing... as if being held together by " \
	"some outside force... but barely!\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"Astounding Victory",

	//	kVictory_msg,
	"Victory",

	//	kDraw_msg,
	"Draw",

	//	kDefeat_msg,
	"Defeat",

	//	kDevastatingDefeat_msg,
	"Devastating Defeat",

	//	kLeftEarly_msg,
	"Disconnect.",

	//
	//	Random chatter
	//

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	// kScanOutOfRange_msg,
	"... still out of scan range.\n",

	// kScanNoFurtherInfo_msg,
	"Science Officer: No further information available, [PLAYER_RANK]. Recommend securing deep scan to save power.\n",

	// kScanningStars1and2_msg,
	"Science Officer: A Type O blue dwarf, currently in its contraction stage. " \
	"There's plenty of carbon here.\n",
	
	// kScanningStars3and4_msg,
	"Science Officer: A Type O blue dwarf, currently in its contraction stage. " \
	"Many elements have been produced by fusion, including large quantities of carbon.\n",
	// kScanningHole_msg,
	"Science Officer: This wormhole has only recently collapsed, within the last " \
	"5,000 years. It is emitting large quantities of X-Rays, as is to be expected.[0]" \
	"It's theoretically possible that some race could have lived on whatever body " \
	"was present before the rift formed... but now?\n[0]" \
	"Weapons Officer: I suppose there are no impossibilities, just varying levels " \
	"of improbablities.\n",

	// kHoleWarning_msg,
	"Science Officer: We're getting dangerously close to the wormhole.\n",

	// kLeavingSystem_msg,
	"Science Officer: Leaving the system, Captain.\n",


	// kLeftSystem_msg,
	"Science Officer: We've left the system.\n",

	// kWaitingTooLong_msg,




	//kWaitingTooLong_msg,
	"Computer: Warning! Spacial instability reaching critical levels!\n",
	//kWaitingTooLong1,
	"Computer: Warning! Spacial instability reaching critical levels! Interdimensional breakdown is imminent.\n",
	//kWaitingTooLong2,
	"Computer: Warning! Spacial instability reaching critical levels! Estimate 15 seconds to spatial breakdown!\n",
	//kWaitingTooLong3,
	"Computer: Warning! Spacial instability reaching critical levels! Estimate 5 seconds to spatial breakdown!\n",
	//kWaitingTooLong4,
	"Computer: Warning! Ship destruction imminent!\n",
	//kWaitingTooLong5,
	"",

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Through A Glass",

	//	kPlayerTeamBriefing_msg,
	"Test",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",
};



