/********************************************************************************************************\

	File Name:	CommonDefs.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonDefs_h )
#define CommonDefs_h

#include "tbasic.h"

enum eVictoryChoice
{
	kChooseNone,
	kChooseYouth,
	kChooseKnowledge,
	kChoosePrestige,
	kChooseVictory
};

// The range beyond which communications is impossible due to pulsar interference.
const float	COMMUNICATION_RANGE = 50.0f;

// The interval to be used for the deep scan timer.
const float SCAN_TIMER_INTERVAL = 0.75f;

// The damage percent beyond which the enemy ship will surrender if asked.
const float SURRENDER_THRESHOLD = 80.0f;

// The total number of pulsar stars in the system.
const int32 NUM_PULSARS = 4;

// The number of bonus prestige points awarded for sending the code to the derelict.
const int32 PRESTIGE_TRANSMIT_CODE = 250;

// The number of bonus prestige points awarded for defeating an enemy ship.
const int32 PRESTIGE_ENEMY_DEFEATED = 50;

// The number of prestige points awarded for requesting prestige from the derelict.
const int32 PRESTIGE_CHOSE_PRESTIGE = 300;

// The number of enemy ships.
const int32 NUM_ENEMY_SHIPS = 3;

#endif