/********************************************************************************************************\

	File Name:	EnemyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "CommonDefs.h"
#include "EnemyTeam.h"
#include "EnemyTeamBaseState.h"
#include "MissionText.h"
#include "EnemyShip.h"
#include "ISC_X3M3BStar.h"

tClassAllocator<tEnemyTeam> gEnemyTeamAllocator;

void tEnemyTeam::mSetupState()
{
	mRegisterState( new tEnemyTeamBaseState() );
	mGotoState( typeid( tEnemyTeamBaseState ) );
}

void tEnemyTeam::mSetupCommState()
{}

void tEnemyTeam::mCreateShipsForTeam()
{
	char* pszShipClass;
	tTeamInfo* teamEnemy = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kEnemyTeam));
	eRaceName raceEnemy = teamEnemy->mGetRace();

	switch (raceEnemy)
	{
		case kFederation:
			pszShipClass = "F-NCL";
			break;
		case kKlingon:
			pszShipClass = "K-D6";
			break;
		case kHydran:
			pszShipClass = "H-NEC+";
			break;
		case kGorn:
			pszShipClass = "G-HDD";
			break;
	};

	for (int32 i = 0; i < NUM_ENEMY_SHIPS; i++)
	{
		mCreateShip(typeid(tEnemyShip), pszShipClass, kStartPosition_G, kNoMetaShipID,
					kEnemyShip1 + i, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
}

void tEnemyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

