/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"ISC_X3M3BStar",

	//
	//	Description message
	//
	"Enemy activity near the center of a quaternary system deep in our space bears investigating.\n\n",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"[TEAM2_RACE] activity has uncovered something interesting: the enigmatic system " \
	"[SYSTEM_NAME], which contains four small blue pulsars in close proximity, " \
	"and a mysterious derelict ship at the center of the cluster. We think the " \
	"[TEAM2_RACE] presence may have something to do with the pulsar cluster and with " \
	"the star-speaking technology that we recently \"recovered\". The pulsars " \
	"are the right age to have developed infrastellar lifeforms, and they may " \
	"be the reason for the presence of the pyramid.\n\n" \
	"If there is a secret to be learned in this system, we'd prefer it if we " \
	"learned it, not the natives of this quadrant. Your primary mission is to " \
	"neutralize the [TEAM2_RACE] presence in this sector. Your secondary mission is to " \
	"communicate with the derelict and find out what it knows.\n\n"
	"This is an important mission, so we're sending a cruiser along to bolster " \
	"your forces. Good luck.\n\n",

	//
	//	Starting message
	//
	
	//kStart_msg,
	"[PLAYER_NAME]: Record of the Pacification Campaign, [STARDATE]. It appears " \
	"our enemy is placing some of his hopes on making contact with a derelict " \
	"pyramid in [SYSTEM_NAME]. Our goal is not only to defeat the [TEAM2_RACE], but to " \
	"make contact with this great vessel and learn its secrets.\n\n",

	//
	//	Debriefing messages
	//
	
	//
	//	Comm buttons
	//
	//kEnemy_Hail_btn,
	"HAIL",
	//kEnemy_Surrender_btn,
	"DEMAND SURRENDER",
	//kStar_Hail_btn,
	"HAIL",
	//kDerelict_Hail_btn,
	"HAIL",
	//kDerelict_Code_btn,
	"TRANSMIT CODE",
	//kDerelict_YthPres_btn,
	"PRESTIGE",
	//kDerelict_KnowVic_btn,
	"VICTORY",
	//kDerelict_Youth_btn,
	"REQUEST YOUTH",
	//kDerelict_Prestige_btn,
	"REQUEST PRESTIGE",
	//kDerelict_Knowledge_btn,
	"REQUEST KNOWLEDGE",
	//kDerelict_Victory_btn,
	"REQUEST VICTORY",

	//
	//	Comm messages
	//

	//kEnemy_Already_Surrendered_msg,
	"[TEAM2_RACE] Captain: You've beaten us. Now bother someone else.\n\n",
	//kNothing_To_Talk_About_msg,
	"Security Officer: Nothing really to talk about.\n\n",
	//kEnemy_Hail_Random1_msg,
	"[TEAM2_RACE] Captain: You've already perverted the Organians. We won't let you seduce " \
	"another ancient race with your lies and hypocrisy.\n\n",
	//kEnemy_Hail_Random2_msg,
	"[TEAM2_RACE] Captain: You don't belong in this system. Hell, you don't belong in this " \
	"quadrant. It's time someone showed you the door.\n\n",
	//kEnemy_Hail_Random3_msg,
	"[TEAM2_RACE] Captain: If you think we're going to sit still while you increase your " \
	"technological advantage, you're sadly mistaken.\n\n",
	//kPulsar_Interference_msg,
	"Communications Officer: Interference from the pulsars is making communications impossible. " \
	"We need to get closer.\n\n",

	//kDone_Enough_msg,
	"[TEAM2_RACE] Captain: Haven't you done enough already?\n\n",
	//kEnemy_Surrenders_msg,
	"[TEAM2_RACE] Captain: Very well. We yield.\n\n",
	//kEnemy_No_Surrender_Random1_msg,
	"[TEAM2_RACE] Captain: I'd sooner kiss a Denebian slime devil.\n\n",
	//kEnemy_No_Surrender_Random2_msg,
	"[TEAM2_RACE] Captain: Never!\n\n",
	//kEnemy_No_Surrender_Random3_msg,
	"[TEAM2_RACE] Captain: Surrender? Us? You don't have a clue.\n\n",

	//kStar_Hail1_msg,
	"Star: (a crackling sound, repeated at three intervals)\n[3]" \
	"Science Officer: The universal translator says that the crackling sound represents the " \
	"angle of a triangle. Approximately... fifty four degrees. Interesting. That is an angle " \
	"often employed in the construction of ancient pyramids. There are some other symbols as " \
	"well; something indicating conjunction.\n\n",
	//kStar_Hail2_msg,
	"Star: (a second crackling sound similar to that heard before)\n[3]" \
	"Science Officer: This message seems to be a fragment of a longer message. And it fits " \
	"together with the one which we gathered at the other star.\n\n",
	//kStar_Hail3_msg,
	"Star: (a third crackling sound similar to that heard before)\n[3]" \
	"Science Officer: Another compatible message, [PLAYER_RANK].\n\n",
	//kStar_Hail4_msg,
	"Star: (a fourth crackling sound much like that heard before)\n[3]" \
	"Science Officer: The messages from all four stars seem to fit together to form a pyramid--and " \
	"something that indicates opening the pyramid. Captain, I believe that it is a code of some kind.\n\n",
	//kStar_Same_Sound_msg,
	"Science Officer: The universal translator confirms it to be the exact same sound we heard " \
	"earlier from this star. Either the civilization in the star is inhumanly precise, or it's " \
	"a recorded message.\n\n",

	//kDerelict_Choice_Made_msg,
	"Derelict: The choice has been made. I can learn no more from you.\n\n",
	//kDerelict_Hail_msg,
	"Derelict: The door is closed.\n[1]" \
	"[PLAYER_NAME]: What?\n[1]" \
	"Communications Officer: At least it spoke to us.\n[2]" \
	"Science Officer: Its cryptic response suggests we look for a key. Perhaps the pulsars in " \
	"this sector have something to do with it...\n\n",
	//kDerelict_Hail_Suggest_Code_msg,
	"Derelict: The door is closed.\n[1]" \
	"Communications Officer: What about that code we got from talking with the stars?\n\n",
	//kDerelict_Transmit_Code_msg,
	"Derelict: It is rare to meet those who risk so much to fight among the stars. These " \
	"thoughts I would know. These desires I would sate. What desire is a gift? Prestige and honor? Victory? Make your choice.\n[7]" \
	"[PLAYER_NAME]: What will it cost me?\n[2]" \
	"Derelict: From your choice, I will know you better. If that is a price, that is the cost.\n\n",

	//kDerelict_Chose_Youth_msg,
	"Derelict: The choice is made. Your body will revert to its appearance as it was at the " \
	"threshold of manhood. It will neither age nor grow sick. But cheating death, beyond these " \
	"factors, is up to you.\n\n" \
	"Medical Officer: Hmmm... Captain, would you mind if I performed a few tests on you?\n\n",
	//kDerelict_Chose_Prestige_msg,
	"Derelict: The choice is made. Your family will gain in glory and honor, and you will " \
	"as well. Now go.\n\n",
	//kDerelict_Chose_Knowledge_msg,
	"Derelict: The choice is made. Your crew has become more knowledgeable--junior officers " \
	"have become veterans and veterans have become legends. Now go.\n\n",
	//kDerelict_Chose_Victory_msg,
	"Derelict: The choice is made. All of your enemies in this system have been destroyed.\n\n",
	//kDerelict_Already_Victorious_msg,
	"Derelict: Had you any enemies remaining in this system, I would destroy them. Since you "\
	"do not, you must choose something else.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"An astounding victory cannot occur. You are not reading this. This is not happening.\n\n",

	// kVictoryYouth_msg,
	"This was a very interesting mission indeed. So I'm standing in the presence of an " \
	"immortal? How... interesting.\n\n" \
	"And congratulations on your success. Hopefully we'll be able to send you on more " \
	"than a skirmish against the [TEAM2_RACE] next time.\n\n",

	// kVictoryYouthKlingon_msg,
	"This was a very interesting mission indeed. So I'm standing in the presence of an " \
	"immortal? There are warrior cults who would say you should have asked for glorious " \
	"death in battle. It was a most regrettable oversight, but I will not fault your " \
	"choice. Age is an affront to the Klingon body. You are honing yourself into a fine " \
	"weapon against the [TEAM2_RACE]. And you will be unleashed very soon.\n\n",

	// kVictoryKnowledge_msg,
	"This was a very interesting mission indeed. I understand that the intelligence level " \
	"of your entire crew was raised by the exposure to the derelict. Let's hope it " \
	"translates into future victories.\n\n",

	// kVictoryPrestige_msg,
	"This was a very interesting mission indeed. You have solved a mystery that has gone " \
	"unsolved since the first time [PLAYER_RACE_PLURAL] took to the stars. People notice " \
	"such things.\n\n",

	// kVictoryVictory_msg,
	"This was a very interesting mission indeed. You showed true martial spirit; you " \
	"defeated your enemy and showed the [TEAM2_RACE] you were not to be trifled with.\n\n",

	//	kVictory_msg,
	"Well done, [PLAYER_NAME].\n\nDismissed.\n\n",

	//	kDraw_msg,
	"You succeeded in making contact with the artifact; unfortunately you were less " \
	"successful at driving away the [TEAM2_RACE]. This means we have a draw; you gained knowledge " \
	"of the derelict, but so did they.\n\nI hate draws almost as much as I hate defeat.\n\n" \
	"Dismissed.\n\n",

	//	kDefeat_msg,
	"You managed to drive out the [TEAM2_RACE], but you failed to make contact with the artifact. " \
	"This was not a major failure, but I can't help but be disappointed. Maybe one day, someone " \
	"else will succeed where you failed.\n\nDismissed.\n\n",

	//	kDevastatingDefeat_msg,
	"You failed to stop the [TEAM2_RACE] or to make contact with the artifact. Failing to meet the " \
	"objectives means a complete mission failure.\n\nDismissed.\n\n",

	//	kLeftEarly_msg,
	"Disconnect.",

	//
	//	Titles (or names) of ships and objects
	//
	//kAlliedShipClass,
	"I-CC",
	//kAlliedShipName,
	"Allied Ship",
	//kStar1Class,		// TODO: change the star classes appropriately.
	"PL1",
	//kStar2Class,
	"PL2",
	//kStar3Class,
	"PL3",
	//kStar4Class,
	"PL4",
	//kStar1Name,		// TODO: change the star names to something more meaningful.
	"Star #1",
	//kStar2Name,
	"Star #3",
	//kStar3Name,
	"Star #3",
	//kStar4Name,
	"Star #4",
	//kAlienDerelictClass,	// TODO: change the alien derelict class appropriately.
	"N-D6",
	//kAlienDerelictName,
	"Alien Derelict",

	//
	//	Event dialog
	//

	//k1st_Objective_Complete_msg,
	"Science Officer: All [TEAM2_RACE] ships have been defeated. Primary mission objective accomplished.\n\n",
	//k2nd_Objective_Complete_msg,
	"Science Officer: We've made contact with the alien derelict. Secondary mission objective accomplished.\n\n",
	//kAll_Objectives_Complete_msg,
	"Science Officer: All mission objectives accomplished. Mission complete.\n\n",
	//kDerelict_Scan_Result_msg,
	"Science Officer: The pyramid-shaped derelict has a shell of dwarf star matter. Basic " \
	"elements compressed into a surface far denser than anything our technology can produce. " \
	"As to whether anything is inside, that's anyone's guess. For all we know, this could " \
	"be a shaped, white dwarf.\n\n",
	//kStar_Scan_Result_msg,
	"Science Officer: A blue-white dwarf star. It's hydrogen fuel has largely burned up, " \
	"transformed by fusion to heavier elements... And Captain, the energy signatures of " \
	"those groups of elements match the profiles of beings that live in stellar cores.\n\n",
	//kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Wishing On A Star",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",
};
