/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Met_6PlanetaryDefense\n\n",

	//
	//	Team-specific titles.
	//
	
	//	kTeamTitleAttack_msg,
	"Planetary Assault",
	
	//	kTeamTitleDefend_msg,
	"Planetary Defense",

	//
	//	Briefing message
	//

	// kBriefing_msg,
	"Capture the enemy planet.\n\n" \
	"Dismissed.\n\n",

	//
	//	Team-specific briefings.
	//
	
	//	kTeamBriefingAttack_msg,
	"You are currently in enemy territory. Nearby is a planet that is occupied by [TEAM1_RACE_PLURAL]. Capturing " \
	"this planet will show the [TEAM1_EMPIRE] that we mean business.\n\n" \
	"Dismissed.\n\n",
	
	//	kTeamBriefingDefend_msg,
	"[TEAM4_RACE_PLURAL] are closing in on \"[SYSTEM_NAME] 2\". They show signs of capture. Do not let them " \
	"get close to our military base located on the planet's surface.\n\n" \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStartAttack_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to capture the [TEAM4_RACE] planet located in this sector.\n\n",

	//	kFedStartAttack_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].  We are closing in on a [TEAM4_RACE] planet. We are under orders to " \
	"capture this planet at all costs. Doing so, will strengthen the Federation.\n\n",

	//	kKliStartAttack_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. This is a good time to strike. Our target is to capture the [TEAM4_RACE_PLURAL] planet in " \
	"this sector.\n\n",

	//	kRomStartAttack_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on assault mission. Our orders are to engage the enemy and " \
	"capture their planet.\n\n",

	//	kLyrStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to capture the [TEAM4_RACE] planet in this sector.\n\n",

	//	kHydStartAttack_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. On a planet invasion for the Kingdom. We are to capture the enemy planet.\n\n",

	//	kGorStartAttack_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to capture the [TEAM4_RACE] planet located in this sector.\n\n" \
	"we are to disengage.",

	//	kISCStartAttack_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. In [TEAM4_RACE] territory. Our mission is to capture the " \
	"enemy planet.\n\n",

	//	kMirStartAttack_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We hunt down puny [TEAM4_RACE_PLURAL]. We hunt their precious planet. We capture each and " \
	"every one of them.\n\n",

	//	kStartDefend_msg,
	"[PLAYER_NAME]: [PLAYER_RANK]'s log, Stardate [STARDATE]. Our orders are to defend our planet from incoming attackers.\n\n",

	//	kFedStartDefend_msg,
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. Enemy forces have entered our sector. Their target must be our planet. We must protect " \
	"it at all costs.\n\n",

	//	kKliStartDefend_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. Those filthy [TEAM1_RACE_PLURAL] think that they can overtake the Klingons? How foolish.\n\n",

	//	kRomStartDefend_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire [STARDATE] on defense. Our orders are to engage the enemy and before they get a chance to " \
	"capture our planet.\n\n",

	//	kLyrStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire [STARDATE]. We are to destroy the [TEAM1_RACE_PLURAL] before they can strike at our planet.\n\n",

	//	kHydStartDefend_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].  On a planet defense for the Kingdom. We are to protect our planet with everything we have.\n\n",

	//	kGorStartDefend_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. We are to defend our planet from the [TEAM1_RACE_PLURAL], who have just entered the system.\n\n",

	//	kISCStartDefend_msg,
	"[PLAYER_NAME]: Pacification campaign record, Galactic Date [STARDATE]. Those [TEAM1_RACE_PLURAL] think that they can overcome the ISC. We are " \
	"superior. We will stop them before they have a chance to scathe our planet.\n\n",

	//	kMirStartDefend_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. We hunt [TEAM1_RACE_PLURAL]. We hunt their hides. We destroy them and protect our planet.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebWinnerAttack_msg,
	"Job well done. The enemy planet has been subdued.\n\n",

	//	kDebLoserAttack_msg,
	"Unfortunately, you were unsuccessful in your attempt to subdue the planet.\n\n",

	//	kDebWinnerDefend_msg,
	"Congratulations. You successfully defended the planet.\n\n",

	//	kDebLoserDefend_msg,
	"Unfortunately, the enemy got the best of the planet. Live to fight another day.",

	//
	//	Informative messages
	//
	
	//	kYouAreDead_msg,
	"Press 'T' to spectate.\n",

	//
	//	Comm buttons
	//

	//
	//	Comm messages
	//

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw!\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//	kLeftEarly_msg,
	"Disconnect.\n\n" \
	"You have disconnected early.",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm:\n\n",
	
	//	kRandChat2_msg,
	"Engineer:\n\n",
		
	//	kRandChat3_msg,
	"Security Officer:\n\n",
	
	//	kRandChat4_msg,
	"Navigation:\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer:\n\n",
	
	//	kRandChat6_msg,
	"Science Officer:\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	
	//	kDefendShipDestroyed_msg,
	"Defender ship destroyed.\n\n",
	
	//	kDefendShipCaptured_msg,
	"Defender ship captured.\n\n",
	
	//	kDefendShipDisengaged_msg,
	"Defender ship disengaged.\n\n",
	
	//	kAttackShipDestroyed_msg,
	"Attacker ship destroyed.\n\n",
	
	//	kAttackShipCaptured_msg,
	"Attacker ship captured.\n\n",
	
	//	kAttackShipDisengaged_msg,
	"Attacker ship disengaged.\n\n",
	
	//	kOTDDestroyed_msg,
	"Planet destroyed.\n\n",
	
	//	kOTDCaptured_msg,
	"Planet captured.\n\n",
	
	//	kOTDDisengaged_msg,
	"Planet disengaged.\n\n",

	//
	//	Custom messages
	//

	//
	//	The following have not been translated as of 10/17/00
	//

	//	kPlanet_nam,
	"[SYSTEM_NAME] 2",
};
