/********************************************************************************************************\

	File Name:	CommonDefs.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonDefs_h )
#define CommonDefs_h

#include "CheckPoint.h"

//
//	Labels given to the ships for more convenient identification.
//
enum eCustomIDs
{
	kPlayerShip = 100,
};

//
//	More descriptive labels for the teams.
//
enum eTeams
{
	kPlayerTeam1 = kTeam1,
	kPlayerTeam2,
	kPlayerTeam3,
	kPlayerTeam4,
	kCheckPointTeam,
};

//
//	Labels given for team tags identification.
//
enum eTagTypes
{
	kTeam1Tag = kTagA,
	kTeam2Tag,
	kTeam3Tag,
	kTeam4Tag,
	kCheckPointTeamTag,
};

//
//	The checkpoints defined for each of the maps.  In this case, it is the maximum number of
//	checkpoints on any one map.  1-based index
//
enum eRangePerMap
{
	kMinNumCheckPoints = 1,
	kMaxNumCheckPoints = 10,
	kStartLetterForCheckPoints = 'K',

	kMinNumWormholes = 0,
	kMaxNumWormholes = 0,
	kStartLetterForWormholes = 'U',

	kMinNumBoxes = 0,
	kMaxNumBoxes = 6,
	kStartLetterForBoxes = 'U',

	kMaxVertices_BorderTrack = 10,
	kMaxVertices_SpiderTrack = 24,
	kMaxVertices_8Track = 22,
	kMaxVertices_PlanetTrack = 20,
	kMaxVertices_RelayTrack = 0,
	kMaxVertices = kMaxVertices_SpiderTrack,
};



//
//	Various constants used throughout the script.  There are found here for easier access.
//
enum eGameConstants
{
	kValidDistanceFromCheckPoint = 5,	//	Distance from any one checkpoint for a ship to pass successfully
};


//
//	Externals found in "CommonDefs.h".
//
extern tPoint	gCheckPointPositions[kMaxNumCheckPoints];		//	be careful of the short
extern tPoint	gVertices[kMaxVertices];
extern tPoint	gVertices_BorderTrack[kMaxVertices_BorderTrack];
extern tPoint	gVertices_SpiderTrack[kMaxVertices_SpiderTrack];
extern tPoint	gVertices_8Track[kMaxVertices_8Track];
extern tPoint	gVertices_PlanetTrack[kMaxVertices_PlanetTrack];


#endif
