/********************************************************************************************************\

	File Name:	CommonTeamBaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "ScriptInterface.h"
#include "CommonTeamBaseVictory.h"
#include "CommonTeamBaseVictoryState.h"


tClassAllocator<tCommonTeamBaseVictory> gCommonTeamBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tCommonTeamBaseVictory::tCommonTeamBaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tCommonTeamBaseVictory::tCommonTeamBaseVictory()
{}
tCommonTeamBaseVictory::tCommonTeamBaseVictory( tTeamInfo* team ): tVictoryCondition( team )
{}

/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tCommonTeamBaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tCommonTeamBaseVictory::mSetupState()
{
	tCommonTeamBaseVictoryState* CommonTeamBaseVictoryState = new tCommonTeamBaseVictoryState( 100 , 100 , 0 , 0 , 0 );
	mRegisterState( CommonTeamBaseVictoryState );
	mGotoState( typeid( tCommonTeamBaseVictoryState ) );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives if the world conditions do not appear useful in this specific script.

	bool
	tCommonTeamBaseVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tCommonTeamBaseVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/

