/********************************************************************************************************\

	File Name:	Draw.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Draw_h )
#define Draw_h

#include "drawcanvas.h"

class tDraw: public tDrawCanvas
{
public:

	tDraw( void ): fBorderHeight( 0.0f ), fBorderSpacing( 0.02f ){}

public:

	void	mDefineDrawObjectsForMap_BorderTrack( void );
	void	mDefineDrawObjectsForMap_SpiderTrack( void );
	void	mDefineDrawObjectsForMap_8Track( void );
	void	mDefineDrawObjectsForMap_PlanetTrack( void );

public:

	enum eDrawIDs
	{
		kMapBoundary1,
		kMapBoundary1a,
		kMapBoundary2,
		kMapBoundary2a,
		kMapBoundary3,
		kMapBoundary3a,
		kMapBoundary4,
		kMapBoundary4a,
		kMapBoundary5,
		kMapBoundary5a,
		kMapBoundary6,
		kMapBoundary6a,
		kMapBoundary7,
		kMapBoundary7a,
		kMapBoundary8,
		kMapBoundary8a,
		kMapGoalTop,
		kMapGoalMiddle,
		kMapGoalBottom,

		kMaxDrawObjects,
	};
	tScript3DPrimitive	fPrimitives[kMaxDrawObjects];

	float fBorderHeight;
	float fBorderSpacing;

public:

	int32	mGoalTop( tScript3DPoint Save[], float R = 0.75f, float G = 0.0f, float B = 0.0f );
	int32	mGoalMiddle( tScript3DPoint Save[], float R = 0.5f, float G = 0.0f, float B = 0.0f );
	int32	mGoalBottom( tScript3DPoint Save[], float R = 0.25f, float G = 0.0f, float B = 0.0f );

	int32	mMapBoundary1_BorderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary2_BorderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );

	int32	mMapBoundary1_SpiderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary2_SpiderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary3_SpiderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary4_SpiderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary5_SpiderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary6_SpiderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary7_SpiderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary8_SpiderTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );

	int32	mMapBoundary1_8Track( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary2_8Track( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
	int32	mMapBoundary3_8Track( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );

	int32	mMapBoundary1_PlanetTrack( tScript3DPoint Save[], float R = 0.0f, float G = 0.0f, float B = 0.5f, float offX = 0.0f, float offY = 0.0f, float offZ = 0.0f );
};

extern tDraw gDraw;

#endif
