/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();

	/*

		HELPER NOTE:	Make certain to call this in each and every place the game could possibly end.
						You should try to limit yourself to the teams' victory states though.

	*/
	void	mCheckForGameEnd( void );

	//
	//	After the checkpoints ships are laid out, this function will initialize their positions
	//	for use when tracking their distance from the player ships.
	//
	void	mInitializeCheckPoints();
/*

	HELPER NOTE:	Place your world conditions here.  A world condition is usually a flag or a count
					of some object that determines the state the world is in (e.g. should the game end?,
					should the next team come into play?, etc).

*/
//
//	World condition accessors.
//
public:

	void	mIncrementNumPlayers();
	void	mSetTotalCheckPoints( int32 x );

	int32	mNumPlayers();
	int32	mTotalCheckPoints();

	int32	fMapPicked;

//
//	World condition flags.
//
private:

	int32	fNumPlayers;
	int32	fTotalCheckPoints;

};

extern tWorldConditions gWC;

#endif
