/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_9A2: Operation: Tyr\n\n",

	// *******************
	// Briefing Messages
	// *******************
	"Briefing: Attack and destroy a key ISC Starbase, with the help of four allied vessels." \
	"Issue commands to them using the comm panel.",

	// kFedBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. We're " \
	"glad you could join the fight.\n\n" \
	"War is an incredibly complicated way to " \
	"reach a simple end. The complications are " \
	"over, leaving simplicity. Yours is a simple " \
	"task. In Operation Tyr, you will cut off the " \
	"hand of the ISC with one swift stroke. Your " \
	"primary target is the ISC starbase. Destroy it.\n\n" \
	"The ISC is scrambling its reinforcements, " \
	"and it's readying an impressive array of defenses." \
	"But you won't be entering this fight alone. " \
	"Use your allies well. You're in command of " \
	"the operation.\n\n" \
	"Hopefully when this is over, we'll have taught " \
	"the ISC a well-deserved lesson in humility and be " \
	"ready to begin peaceful relations with them. This " \
	"offensive has had one benefit - it's united the " \
	"galactic powers in a way they've never been before. " \
	"It'd be nice if that alliance lasted.\n\n"  \
	"Everything rest on your shoulders. Good luck. Dismissed.\n\n",


	// kKlingonBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. The real fun is about" \
	"to begin. \n\n" \
	"In Operation Tyr, we aim to maim the major ISC bases " \
	"of operation and cripple their pacification program. "\
	"Your primary target is the ISC starbase. You know what " \
	"to do. I expect the destruction to be spectacular, " \
	"even by your high standards.\n\n " \
	"The ISC is scrambling its reinforcements, and the base " \
	"is heavily defended. But you won't be entering this " \
	"fight alone. Use your allies well. You're in command " \
	"of the operation.\n\n" \
	"When this is over, the ISC will join a long list of " \
	"races humbled by the Klingon empire. I can hardly wait.\n\n" \
	"Everything rests on your shoulders. Good luck. Dismissed.\n\n",

	// kRomulanBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Operation Tyr " \
	"can now begin.\n\n" \
	"In Operation Tyr is an alliance offensive involving " \
	"five allied forces. Its primary target is the ISC starbase " \
	"in [SYSTEM_NAME]. Destroy it completely.\n\n" \
	"The ISC is scrambling its reinforcements, and has " \
	"an impressive array of defenses. But I expect victory, " \
	"not excuses.\n\n" \
	"When this operation is complete, ISC control over the " \
	"sector will be broken and their remaining fleets will " \
	"be fighting without a central command. We should be able " \
	"to mop them up quickly.\n\n" \
	"Everything rests on your shoulders. Good luck. Dismissed.\n\n",

	// kLyranBriefing_msg
	">Destroy the ISC starbase<"
	"You've entered the ISC home sector. Operation Tyr can now begin.\n\n" \
	"Our primary target is the ISC starbase in [SYSTEM_NAME]. " \
	"Destroy it completely.\n\n" \
	"The ISC is scrambling its reinforcements, and has an " \
	"impressive array of defenses. But I am confident of " \
	"your success. Your clan leader has assured us that " \
	"you will not fail. The fortunes of your house will " \
	"ride with you.\n\n" \
	"When this operation is complete, ISC control over " \
	"the sector will be broken and their remaining fleets " \
	"will be fighting without a central command. " \
	"Victory will be certain within weeks.\n\n" \
	"Everything rests on your shoulders. Good luck. Dismissed.\n\n",

	// kHydranBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Very good.\n\n" \
	"Operation Tyr is an alliance offensive involving " \
	"five allied forces. Its primary target is the " \
	"ISC starbase in [SYSTEM_NAME]. Destroy it, and " \
	"we'll be very happy.\n\n" \
	"The ISC is scrambling its reinforcements, and " \
	"has an impressive array of defenses. But you " \
	"also have a very large fleet. It should be a " \
	"smashing good fight.\n\n" \
	"When this operation is complete, ISC control " \
	"over the sector will be broken and their " \
	"remaining fleets will be fighting without " \
	"a central command. That means you can expect to " \
	"attend some rather spectacular victory parties " \
	"in the near future.\n\n" \
	"You are the third leg on which this offensive stands. " \
	"Do not bend or falter. Dismissed.\n\n",

	// kGornBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Operation Tyr can now begin.\n\n" \
	"Your primary target is the ISC starbase in [SYSTEM_NAME]. " \
	"Destroy it completely.\n\n" \
	"The ISC is scrambling its reinforcements, and has an impressive " \
	"array of defenses. But the day will never come when a Gorn can't " \
	"get a kill against an opponent who's back is against " \
	"the wall (nobody mention that one Federation captain, please.)\n\n" \
	"When this operation is complete, ISC control over the sector " \
	"will be broken and their remaining fleets will be fighting " \
	"without a central command. The Gorn will then lead the " \
	"alliance in picking the flesh from their bones and " \
	"trampling their eggs underfoot.\n\n" \
	"Everything rests on your shoulders. Good luck. Dismissed.\n\n",

	// kISCBriefing_msg placeholder
	"ISC Briefing Placeholder",

	// kMirakBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Now we shall show them " \
	"how much we've appreciated their involvement in galactic " \
	"affairs.\n\nOperation Tyr is an offensive involving five "\
	"allied forces. Its primary target is the ISC starbase in " \
	"[SYSTEM_NAME]. Let it burn. Destroy it utterly.\n\n" \
	"The ISC is scrambling its reinforcements, and has " \
	"an impressive array of defenses. But I expect victory, " \
	"not excuses.\n\nWhen this operation is complete, ISC " \
	"control over the sector will be broken and their " \
	"remaining fleets will be fighting without a central " \
	"command. We should be able to mop them up quickly.\n\n" \
	"This has been a long hunt, and we've spent too much of " \
	"it as prey. However, we can now look forward to its end, " \
	"and a return to our war of vengeance against the Lyrans. " \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"Default Start Message: Report if this shows up.\n\n",
	// kFedStart_msg
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. " \
	"This is the big one.\n\n[2]" \
	"If we destroy the ISC base, the ISC will become " \
	"disorganized and we'll be able to bring this war " \
	"to an end. If we fail, the ISC will consolidate  " \
	"their forces and become nearly impossible to dislodge.\n\n[4] " \
	"The window of opportunity is narrow, but I'm " \
	"determined to take advantage of it.\n\n",

	//	kKlingonStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. The ISC threat " \
	"is nearly at an end. All I need to do is to destroy their " \
	"starbase, and our victory will almost be assured.\n\n[2]" \
	"It has been a long, hard war, but such struggle makes the " \
	"victory wine more potent.\n\n",

	//	kRomulanStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire, [STARDATE]. " \
	"The Romulan empire stands on the brink of victory. After so " \
	"long and hard a war, I cannot help but feel a certain exhilaration.\n\n", 

	//	kLyranStart_msg,

	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire, [STARDATE]. " \
	"Our goal is the destruction of the key ISC space station in [SYSTEM_NAME].\n\n[2]" \
	"When this is eliminated, the ISC central command will be " \
	"broken, and we will be able to drive them from the quadrant.\n\n",

	//	kHydranStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. Our goal is the " \
	"destruction of the key ISC space station in [SYSTEM_NAME]. " \
	"When this is eliminated, the ISC central command will be broken, " \
	"and then we'll be able to answer the indignities they've inflicted " \
	"on the Hydran people.\n\n",

	//	kGornStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. Our mission is to " \
	"destroy the key ISC space station in [SYSTEM_NAME]. When this is " \
	"eliminated, ISC's central command will be shattered, and the " \
	"alliance will deal with them with a free and easy hand.\n\n",

	//	kISCStart_msg,		// placeholder
	"",
	//	kMirakStart_msg
	"[PLAYER_NAME]: Hunt record, [STARDATE]. Our goal is the " \
	"destruction of the key ISC space station in [SYSTEM_NAME]. " \
	"When this is eliminated, the ISC central command will be " \
	"broken, and we will hunt down the ISC and take them as trophies.",


	//
	//	Debriefing messages
	//
	
	// kDebBaseDestroyedTrue_msg
	"Well done. The ISC base has been destroyed. Many of their " \
	"pacification fleets are already withdrawing back to ISC " \
	"controlled space beyond the Romulan-Gorn border. We may " \
	"have to launch a punitive invasion in the future; " \
	"the Alliance has yet to decide.\n\n" \
	"Our next step is to determine what we'll do with the ISC's " \
	"sponsors, the Organians. It's not over yet.\n\n",

	// kDebBaseDestroyedFalse_msg
	"The ISC base still stands, and it's being reinforced. " \
	"The allies are reluctant to commit to a new offensive " \
	"in the [SYSTEM_NAME] system. We would welcome further attacks, " \
	"but you'd be on your own. It'd probably be suicide.\n\n",

	// kDebDismissed_msg
	"Dismissed.\n\n",
	//
	//	Comm buttons
	//
	// kHailAlly_btn
	"HAIL",
	// kRequestAssistance_btn
	"ASSIST ME",
	// kDefendMe_btn
	"DEFEND ME",
	// kAttackMyTarget_btn,
	"ATTACK MY TARGET",

	// kDemandSurrender_btn
	"DEMAND SURRENDER",
	// kSetAsTarget_btn
	"SET ALLY TARGET",
	// kLowerShields_btn
	"LOWER SHIELDS",
	//
	//	Comm messages
	//
	// kCommDummy_msg
	"",
	// kCommUtility_msg
	"Un-intialized Utility Message",
	// kNoAnswer_msg
	"Communications Officer: They're not answering our hails.",

	// kISCRandom1_msg
	"ISC Commander: I have nothing to say to primitives.",
	// kISCRandom2_msg
	"ISC Commander: You will not defeat the dream of peace through force of arms.",
	// kISCRandom3_msg
	"ISC Commander: You want destruction? Damn you, we'll give it to you!",
	// kISCRandom4_msg
	"ISC Commander: Tell your command, your crew, and your offspring that the ISC does not surrender to primitives!",
	// kISCRandom5_msg
	"ISC Commander: I will not stand down while you do your butcher's work!",
	// kISCRandom6_msg
	"ISC Commander: This madness must end, but not on your terms! We say no!",


	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw\n\n",

	// kDefeat_msg,
	"Defeat\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: We're here. We're really attacking the ISC base.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: The sooner we take out that base, the better.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly, but I doubt this battle is going to be settled with our transporters.\n\n",
	
	//	kRandChat4_msg,
	"Communications Officer: Things are quiet. They know we're coming.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: That's a lot of armament on that base. Maybe we should send our allies in first to soften it up.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: Sensors show a dreadnought, and a battleship in this sector. Not good.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//
	// kFedRace_txt
	"Federation", 
	// kKlingonRace_txt
	"Klingon", 
	// kRomulanRace_txt
	"Romulan",
	// kLyranRace_txt
	"Lyran", 
	// kHydranRace_txt
	"Hydran", 
	// kGornRace_txt
	"Gorn", 
	// kISCRace_txt
	"ISC",
	// kMirakRace_txt
	"Mirak",
	// kOrionRace_txt
	"Orion",  
	// kTholianRace_txt
	"Tholian",
	//kLDRRace_txt
	"LDR",
	//kWYNRace_txt
	"WYN",
	//kJindarianRace_txt
	"Jindarian",	 
	//kNumMsgs
	"",
};


