/********************************************************************************************************\

	File Name:	PlayerNPC2TeamAllyAttackedState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyTeam.h"
#include "PlayerNPC2TeamAllyAttackedState.h"
#include "PlayerNPC2Team.h"
#include "MissionText.h"
#include "Uni_9A2Tyr.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerNPC2TeamAllyAttackedState::mBeginState()
{
	
	tTeamInfo * PlayerTeam;
	tTeamInfo * EnemyTeam;
	EnemyTeam = fMissionInfo->mGetTeamHandle( (eTeamID) kEnemyTeam);
	tShipIterator starbase = EnemyTeam->mGetFirstShip();
	for(starbase; *starbase != NULL; starbase++)
	{
		if(starbase->mGetCustomID() == tEnemyTeam::kEnemyStarBase)
			break;
	}

	PlayerTeam = fMissionInfo->mGetTeamHandle( (eTeamID) kPlayerTeam);
	tShipIterator ship = fChildActor->mGetFirstShip();
	for(ship; *ship != NULL; ship++)
	{
		PlayerTeam->mGotoCommState((*ship)->mGetShipID(), tUni_9A2Tyr::kCommState3);
		ship->mSetShipTarget(*starbase, kAbsolutePriority);
	}

}
void tPlayerNPC2TeamAllyAttackedState::mEndState()
{}

void tPlayerNPC2TeamAllyAttackedState::mOnDeath( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnCapture( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mAtDistance( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mAtDestination( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	
	char msg[1024];
	eRaceName race;

	if( targetShip->mGetTeam() == fChildActor->mGetTeam() )
	{

		race = fMissionInfo->mGetTeamHandle(targetShip->mGetTeam())->mGetRace();
		switch(buttonID)
		{
		case kHailAlly_btn:
				break;
		case kRequestAssistance_btn:
		case kDefendMe_btn:
		case kAttackMyTarget_btn:
			sprintf(msg, "%s captain: After you attacked us?!? They can kill you with our blessing!\n\n", Messages[kFedRace_txt + race].c_str());
			fMissionInfo->mDisplayMessage( (eTeamID) kPlayerTeam, msg);
			break;
		}
		
	}


}
void tPlayerNPC2TeamAllyAttackedState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnFlashingButtonPressed()
{}
void tPlayerNPC2TeamAllyAttackedState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlayerNPC2TeamAllyAttackedState::mOnPlayerLeaving( int playerNumber )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnHostChanged()
{}
void tPlayerNPC2TeamAllyAttackedState::mOnTimedInterval( int32 timerID )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerNPC2TeamAllyAttackedState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

