/********************************************************************************************************\

	File Name:	PlayerNPC3Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlayerNPC3Team.h"
#include "PlayerNPC3TeamBaseState.h"
#include "PlayerNPC3TeamAllyAttackedState.h"
#include "PlayerNPC3Ship.h"
#include "ShipScriptDescription.h"
#if !defined logging
#define logging
#endif


tClassAllocator<tPlayerNPC3Team> gPlayerNPC3TeamAllocator;

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tPlayerNPC3Team::mSetupState()
{
	mSetAllyAttacked(false);
	mRegisterState( new tPlayerNPC3TeamBaseState() );
	mRegisterState( new tPlayerNPC3TeamAllyAttackedState() );
	mGotoState( typeid( tPlayerNPC3TeamBaseState ) );
}

/*

	HELPER NOTE:	Comm states for ships that you have created should not be set up in here.

*/
void tPlayerNPC3Team::mSetupCommState()
{}

/*

	HELPER NOTE:	In this function, you will create the ships for the team described by the file name.
					It is a good idea to give each of these ships a custom ID so that it can be referred
					to later (i.e. victory condition).  The custom IDs are listed in the matching header file.
					The ships can be created in one of two ways.  There are examples of both below.  One last
					thing, when you create these ships, you have to remember to include their class headers at
					the top of this file; otherwise, this file will not compile.

	//
	//	CREATE SHIP #1: Creates a ship based on the player's BPV.
	//
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( gScriptInterface.mPlayersTeamID() );

	int32 playerBPV = playerTeam->mGetCombatBPV();
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();

	int32 nPCBPV; 
	if( diffLevel == 0 )
	{
		nPCBPV = playerBPV * 0.75;
	}
	else if( diffLevel == 1 )
	{
		nPCBPV = playerBPV * 1.0;
	}
	else if( diffLevel == 2 )
	{
		nPCBPV = playerBPV * 1.25;
	}
	mCreateShip(	typeid( tPlayerNPCBS1 ),
					nPCBPV,
					kClassHeavyBattlecruiser,
					0,
					kStartPosition_Z,
					kPlayerNPCBS1 );

	//
	//	CREATE SHIP #2: Creates a ship based on one of the spec records found in the spec chart.
	//
	mCreateShip( typeid( tPlayerNPCBS1 ), "PL3" , kStartPosition_J, kPlayerNPCBS2 );

*/
void tPlayerNPC3Team::mCreateShipsForTeam()
{

	// Using a known good ship class for testing
/*
	mCreateShip( typeid( tPlayerNPC3Ship ),
		"F-CA" ,
		kStartPosition_H,
		kPlayerNPC3Ship1 );

*/
	
	mCreateShip(	typeid( tPlayerNPC3Ship ),
					kMaxBPV,
					kClassHeavyCruiser,
					0,
					kStartPosition_G + mGetTeam(),
					kPlayerNPC3Ship1 );



}

void tPlayerNPC3Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

/*

	HELPER NOTE:	This function must be overridden with nothing exactly how it is for the single
					player missions.

*/
void tPlayerNPC3Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

bool tPlayerNPC3Team::mAllyAttacked(void)
{
	return fAllyAttacked;
}
void tPlayerNPC3Team::mSetAllyAttacked(bool x)
{
	if(x)
	{
		mGotoState( typeid( tPlayerNPC3TeamAllyAttackedState ) );
	}
	fAllyAttacked = x;
}
