/********************************************************************************************************\

	File Name:	PlayerNPC3TeamAllyAttackedState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyTeam.h"
#include "PlayerNPC3TeamAllyAttackedState.h"
#include "PlayerNPC3Team.h"
#include "MissionText.h"
#include "Uni_9A2Tyr.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerNPC3TeamAllyAttackedState::mBeginState()
{
	
	tTeamInfo * PlayerTeam;
	tTeamInfo * EnemyTeam;
	EnemyTeam = fMissionInfo->mGetTeamHandle( (eTeamID) kEnemyTeam);
	tShipIterator starbase = EnemyTeam->mGetFirstShip();
	for(starbase; *starbase != NULL; starbase++)
	{
		if(starbase->mGetCustomID() == tEnemyTeam::kEnemyStarBase)
			break;
	}

	PlayerTeam = fMissionInfo->mGetTeamHandle( (eTeamID) kPlayerTeam);
	tShipIterator ship = fChildActor->mGetFirstShip();
	for(ship; *ship != NULL; ship++)
	{
		PlayerTeam->mGotoCommState((*ship)->mGetShipID(), tUni_9A2Tyr::kCommState3);
		ship->mSetShipTarget(*starbase, kAbsolutePriority);
	}

}
void tPlayerNPC3TeamAllyAttackedState::mEndState()
{}

void tPlayerNPC3TeamAllyAttackedState::mOnDeath( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnCapture( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mAtDistance( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mAtDestination( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	
	char msg[1024];
	eRaceName race;

	if( targetShip->mGetTeam() == fChildActor->mGetTeam() )
	{

		race = fMissionInfo->mGetTeamHandle(targetShip->mGetTeam())->mGetRace();
		switch(buttonID)
		{
		case kHailAlly_btn:
				break;
		case kRequestAssistance_btn:
		case kDefendMe_btn:
		case kAttackMyTarget_btn:
			sprintf(msg, "%s captain: After you attacked us?!? They can kill you with our blessing!\n\n", Messages[kFedRace_txt + race].c_str());
			fMissionInfo->mDisplayMessage( (eTeamID) kPlayerTeam, msg);
			break;
		}
		
	}


}
void tPlayerNPC3TeamAllyAttackedState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnFlashingButtonPressed()
{}
void tPlayerNPC3TeamAllyAttackedState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlayerNPC3TeamAllyAttackedState::mOnPlayerLeaving( int playerNumber )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnHostChanged()
{}
void tPlayerNPC3TeamAllyAttackedState::mOnTimedInterval( int32 timerID )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerNPC3TeamAllyAttackedState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

