/********************************************************************************************************\

	File Name:	PlayerNPC4Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlayerNPC4Team.h"
#include "PlayerNPC4TeamBaseState.h"
#include "PlayerNPC4TeamAllyAttackedState.h"
#include "PlayerNPC4Ship.h"
#include "ShipScriptDescription.h"


tClassAllocator<tPlayerNPC4Team> gPlayerNPC4TeamAllocator;

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tPlayerNPC4Team::mSetupState()
{
	mSetAllyAttacked(false);
	mRegisterState( new tPlayerNPC4TeamBaseState() );
	mRegisterState( new tPlayerNPC4TeamAllyAttackedState() );
	mGotoState( typeid( tPlayerNPC4TeamBaseState ) );
}

/*

	HELPER NOTE:	Comm states for ships that you have created should not be set up in here.

*/
void tPlayerNPC4Team::mSetupCommState()
{}

/*

	HELPER NOTE:	In this function, you will create the ships for the team described by the file name.
					It is a good idea to give each of these ships a custom ID so that it can be referred
					to later (i.e. victory condition).  The custom IDs are listed in the matching header file.
					The ships can be created in one of two ways.  There are examples of both below.  One last
					thing, when you create these ships, you have to remember to include their class headers at
					the top of this file; otherwise, this file will not compile.

	//
	//	CREATE SHIP #1: Creates a ship based on the player's BPV.
	//
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( gScriptInterface.mPlayersTeamID() );

	int32 playerBPV = playerTeam->mGetCombatBPV();
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();

	int32 nPCBPV; 
	if( diffLevel == 0 )
	{
		nPCBPV = playerBPV * 0.75;
	}
	else if( diffLevel == 1 )
	{
		nPCBPV = playerBPV * 1.0;
	}
	else if( diffLevel == 2 )
	{
		nPCBPV = playerBPV * 1.25;
	}
	mCreateShip(	typeid( tPlayerNPCBS1 ),
					nPCBPV,
					kClassHeavyBattlecruiser,
					0,
					kStartPosition_Z,
					kPlayerNPCBS1 );

	//
	//	CREATE SHIP #2: Creates a ship based on one of the spec records found in the spec chart.
	//
	mCreateShip( typeid( tPlayerNPCBS1 ), "PL3" , kStartPosition_J, kPlayerNPCBS2 );

*/
void tPlayerNPC4Team::mCreateShipsForTeam()
{

	// Using a known good ship class for testing
/*
	mCreateShip( typeid( tPlayerNPC4Ship ),
		"F-CA" ,
		kStartPosition_H,
		kPlayerNPC4Ship1 );

*/
	
	mCreateShip(	typeid( tPlayerNPC4Ship ),
					kMaxBPV,
					kClassHeavyCruiser,
					0,
					kStartPosition_G + mGetTeam(),
					kPlayerNPC4Ship1 );



}

void tPlayerNPC4Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

/*

	HELPER NOTE:	This function must be overridden with nothing exactly how it is for the single
					player missions.

*/
void tPlayerNPC4Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}

bool tPlayerNPC4Team::mAllyAttacked(void)
{
	return fAllyAttacked;
}
void tPlayerNPC4Team::mSetAllyAttacked(bool x)
{
	if(x)
	{
		mGotoState( typeid( tPlayerNPC4TeamAllyAttackedState ) );
	}
	fAllyAttacked = x;
}
