/********************************************************************************************************\

	Mission:	Operation: Tyr
	Script:		"Uni_9A2Tyr"
	Descript:	Assault on an ISC starbase, with allies. In this version
				the player has not obtained the prefix code to lower
				the shields on the ISC starbase.
				shields.

	Created by:		Dutch Blomenkamp mm/dd/yy
	Last Updated:	NDB	07/17/00
					

\********************************************************************************************************/

#include "EnemyTeam.h"
#include "MissionText.h"
#include "MissionMaps.h"
#include "PlayerNPC1Team.h"
#include "PlayerNPC2Team.h"
#include "PlayerNPC3Team.h"
#include "PlayerNPC4Team.h"

#include "PlayerTeam.h"
#include "Uni_9A2Tyr.h"



DEFINE_SCRIPT_CLASS( tUni_9A2Tyr );

tUni_9A2Tyr::tUni_9A2Tyr():
	gShieldsLowered(false),
	gCodeKnown(false)

{}

/*

	HELPER NOTE:	You may be able to register states here; however it is suggested that you do not.  Use
					only if you must and know how.

*/
void tUni_9A2Tyr::mSetupState()
{}

/*

	HELPER NOTE:	You may be able to register comm states here; however it is suggested that you do not.
					Use only if you must and know how.

*/
void tUni_9A2Tyr::mSetupCommState()
{}

/*

	HELPER NOTE:	This function should return whom you consider to be the primary enemy.  Perhaps useful
					in multiplayer scripts, but single player missions do not seem to actively use it.

*/
int32 tUni_9A2Tyr::mGetEnemyTeamID( void )
{
	return fPlayersTeam;
}

/*

	HELPER NOTE:	Set the mission specs here.  For the time being, every mission type must be
					kMultiplayerMission until informed otherwise.

*/
void tUni_9A2Tyr::mScriptSpecs( tMissionSpec* Specs )
{

	Specs->fMissionType = kMultiplayerMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fSectorType = kAllSectors;
	Specs->fPlayerRace = kSpecAnyRace;
	Specs->fEnemyRace = kSpecISC;
	Specs->fNumShips = kMissSpecAllShips;
	Specs->fMinBPV = 600;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 9999;
	Specs->fMaxDate = 9999;
	Specs->fWait = 6;
	Specs->fMenuStates = kEnableSupplyDock;


	Specs->fBandwidthPart = static_cast< eBandwidthPart >( kAllBand | k0Client );

	const tTeamSpec& team1 = mCreateTeamSpec(	"Player Team",
												(eTeamID)kPlayerTeam,
												1.0f,
												kFalse,
												kPlayableTeam, 1.0f,
												tStrength(	0, 0,
																		kClassHeavyCruiser,
																		kClassHeavyCruiser,
																		0, 300 ),
												kSpecAnyRace & ~kSpecISC,
												kAnyRace,
												typeid( tPlayerTeam ) );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Player NPC 1 Team ",
												(eTeamID)kPlayerNPC1Team,
												1.0f,
												kFalse,
												kNPCTeam,
												1.0f,
												tStrength(	0, 0,
																		kClassHeavyCruiser,
																		kClassHeavyCruiser,
																		0, 300 ),
												kSpecAnyRace & ~kSpecISC,
												kBestAllyOf | kPlayerTeam,
												typeid( tPlayerNPC1Team ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Player NPC 2 Team ",
												(eTeamID)kPlayerNPC2Team,
												1.0f,
												kFalse,
												kNPCTeam,
												1.0f,
												tStrength(	0, 0,
																		kClassHeavyCruiser,
																		kClassHeavyCruiser,
																		0, 300 ),
												kSpecAnyRace & ~kSpecISC,
												kBestAllyOf | kPlayerTeam,
												typeid( tPlayerNPC2Team ) );

		const tTeamSpec& team4 = mCreateTeamSpec(	"Player NPC 3 Team ",
												(eTeamID)kPlayerNPC3Team,
												1.0f,
												kFalse,
												kNPCTeam,
												1.0f,
												tStrength(	0, 0,
																		kClassHeavyCruiser,
																		kClassHeavyCruiser,
																		0, 300 ),
												kSpecAnyRace & ~kSpecISC,
												kAnyAllyOf | kPlayerTeam,
												typeid( tPlayerNPC3Team ) );

		const tTeamSpec& team5 = mCreateTeamSpec(	"Player NPC 4 Team ",
												(eTeamID)kPlayerNPC4Team,
												1.0f,
												kFalse,
												kNPCTeam,
												1.0f,
												tStrength(	0, 0,
																		kClassHeavyCruiser,
																		kClassHeavyCruiser,
																		0, 300 ),
												kSpecAnyRace & ~kSpecISC,
												kAnyAllyOf | kPlayerTeam,
												typeid( tPlayerNPC4Team ) );

			
	const tTeamSpec& team6 = mCreateTeamSpec(	"Enemy Team",
												(eTeamID)kEnemyTeam,
												1.0f,
												kFalse,
												kNPCTeam,
												1.0f,
												tStrength(	0, 0,
																		kClassStarBase,
																		kClassStarBase,
																		0, 999 ),
												kSpecISC,
												kAnyRace,
												typeid( tEnemyTeam ) );

	
	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
	Specs->mSetupTeam( team4 );
	Specs->mSetupTeam( team5 );
	Specs->mSetupTeam( team6 );
  


}

/*

	HELPER NOTE:	Return the map you want to use for single player missions.  In multiplayer missions,
					you could examine which map was picked by the player.  For example:

						if ( info.fPreferedMap == 3 )
							;	//	the 3rd map was picked

					Also note that the index into the array of maps starts at 1, NOT 0!

*/
int32 tUni_9A2Tyr::mInitializeStart( tDynaverseScriptInfo& info )
{
	// These are global variables that
	// will be passed back and forth to the campaign,
	// if I'm understanding things correctly.
	// I'm initializing them as they would be if the 
	// player had successfully completed the pre-requisites.
	gCodeKnown = false;
	gShieldsLowered = false;


	return 1;
}

/*

	HELPER NOTE:	Called when the player starts the mission.  It will be further explained, if necessary,
					when it is better fleshed out.

*/
void tUni_9A2Tyr::mCreateExternalShips( int32 Mode )
{}

/*

	HELPER NOTE:	Return the briefing message index that you want to use from MissionText.h

*/
int32 tUni_9A2Tyr::mInitializeFinished( void )
{
	tTeamInfo * PlayerTeam = fMissionInfo->mGetTeamHandle( (eTeamID) kPlayerTeam);
	//Assert(PlayerTeam);
	if(!PlayerTeam)
	{
		return kBriefing_msg;
	}
	else
	{
		return kFedBriefing_msg + PlayerTeam->mGetRace();
	}
}

/*

	HELPER NOTE:	Called when a new ship enters the mission while in-game.  The Ship parameter holds
					the ship information for this specified ship.

*/
void tUni_9A2Tyr::mNewInternalShip( tShipInfo* Ship )
{}

/*

	HELPER NOTE:	Leave blank until informed otherwise.

*/
void tUni_9A2Tyr::mGetDebriefingList( eVictoryLevels VictoryLevel )
{}

int32 tUni_9A2Tyr::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}

/*

	HELPER NOTE:	This is where you set up the teams' relationships and goals.  Read on and edit as
					you see necessary for this mission.

*/
void tUni_9A2Tyr::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 6;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kPlayerNPC1Team,
		kPlayerNPC2Team,
		kPlayerNPC3Team,
		kPlayerNPC4Team,
		kEnemyTeam,
	};


	/*

		HELPER NOTE:	Below is the initial relationship / goal table.  Each letter has a meaning and each
						meaning has a meaning???

		Relationship Lookup
		- = kTeamSelfAware	//	use this parameter with itself
		A = kTeamAllied		//	cannot fire upon an ally
		F = kTeamFriendly
		N = kTeamNeutral
		H = kTeamHostile	//	will not fire / capture / cripple until provoked
		W = kTeamWar		//	will seek out and destroy / capture / cripple the enemy
		P = kTeamPassive

		Relationship Lookup
		- = kGoalIgnore		//	use this parameter with itself
		I = kGoalIgnore
		C = kGoalCripple
		X = kGoalCapture	//	do not have too many ships target a ship for capturing (accidently destroys it).
		D = kGoalDestroy

	*/
	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr = kPlayerTeam,
		//PNPC1 = kPlayerNPC1Team,
		//PNPC2 = kPlayerNPC2Team,
		//PNPC3 = kPlayerNPC3Team,
		//PNPC4 = kPlayerNPC4Team,
		//Nme  = kEnemyTeam,
		

		//			Plyr	PNPC1	PNPC2	PNPC3	PNPC4	Nme
		/*Plyr*/	"--",	"NI",	"NI",	"NI",	"NI",	"WD",
		/*PNPC1*/	"NI",	"--",	"NI",	"NI",	"NI",	"WD",
		/*PNPC2*/	"NI",	"NI",	"--",	"NI",	"NI",	"WD",
		/*PNPC3*/	"NI",	"NI",	"NI",	"--",	"NI",	"WD",
		/*PNPC4*/	"NI",	"NI",	"NI",	"NI",	"--",	"WD",
		/*Nme */	"WD",	"WD",	"WD",	"WD",	"WD",	"--",
	};
	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}
