/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_9C2: Where You're Not Welcome\n\n",

	// *******************
	// Briefing Messages
	// *******************
	"Briefing: You're on a suicide mission against the ISC starbase. Good luck, you'll need it.",

	// kFedBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. This is a desperate gamble, " \
	"make no mistake about it.[0]" \
	"We're hoping you've caught the ISC off guard, that you'll be able to " \
	"destroy their main base, and get out quick. It's probably suicide, but you " \
	"volunteered.[0]" \
	"Good luck. You'll need it.\n\n",


	// kKlingonBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Now the real fun begins.[0]" \
	"Defenses are heavy, but your courage can overcome a few dreadnoughts " \
	"and battlecruisers! The starbase is heavily armed, and you have no " \
	"allies![0]But just tell yourself that it is a good day to die, " \
	"and fight on. Glory! Honor! Duty! The Empire will smile on you![0]" \
	"(mutters under his breath) What complete and utter fools they are...[0]" \
	"Good luck!\n\n",

	// kRomulanBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector, without allied support.[0] We " \
	"have informed your families. I assure you that the Romulan Empire " \
	"will take good care of them after you are gone.[0]" \
	"Die with dignity, my friend.",

	// kLyranBriefing_msg
	">Destroy the ISC starbase<"
	"Against our recommedation, you have entered the ISC home sector.[0]" \
	"This act of suicide is ludicrous, but if we cannot dissuade you, we will bless you." \
	"Your courage honors us; I only wish you had shown more common sense.[0]" \
	"If you manage to succeed in this mission, you will be acclaimed the greatest hero " \
	"in our history. Dismissed.\n\n",

	// kHydranBriefing_msg
	">Destroy the ISC starbase<" \
	"Against our recommendation, you have entered the ISC home sector. I hate to " \
	"see people throw away their lives, but it happens.[0]" \
	"Good luck. It was nice knowing you.\n\n",

	// kGornBriefing_msg
	">Destroy the ISC starbase<"
	"Against our recommedation, you have entered the ISC home sector.[0]" \
	"This act of suicide is truly an inspiring act of courage. Generations to come will " \
	"laud your courage, provided that throwing away some of our bravest and best does not " \
	"weaken us to the point of collapse.[0]" \
	"Good luck. It was good to know you.\n\n",


	// kISCBriefing_msg placeholder
	"ISC Briefing Placeholder",

	// kMirakBriefing_msg
	">Destroy the ISC starbase<" \
	"Against our recommedation, you have entered the ISC home sector. " \
	"You will be lucky to survive, but fortune favors the bold. Go now, " \
	"and destroy their base.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"Default Start Message: Report if this shows up.\n\n",
	// kFedStart_msg
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE].[0] " \
	"They are calling us crazy, but I don't care. This war has lasted long enough. " \
	"I don't care what the odds are, we will take the fight to the ISC, or die.\n\n",

	//	kKlingonStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE].[0] My hatred for the ISC and all they " \
	"represent has reached a boiling point. Either they shall die, or I shall die." \
	"The universe demands a vacuum.\n\n",
	
	//	kRomulanStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire, [STARDATE].[0] " \
	"They say we are engaged on a suicide mission, but I know something that they " \
	"have forgotten - all missions are suicide. Some merely have different outcomes " \
	"one expects.[0]I am determined to take my right as a Romulan officer to inflict " \
	"damage on the enemy, and if I lose my life, so be it.\n\n", 

	//	kLyranStart_msg,

	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire, [STARDATE].[0] " \
	"My children, I have a gift for you. I will give you a universe where the ISC " \
	"does not threaten you. I know the odds, are bleak, but I do not care. One must " \
	"not let fear to extract the claws from one's body.[0] The ISC base will be destroyed\n\n",

	//	kHydranStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE].[0]" \
	"They say this is a suicide mission, but this must be done, so we'll leave it " \
	"to the histriy books as to wether this assault on the ISC is a grave mistake.\n\n",

	//	kGornStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].[0]The ISC must dies. Their " \
	"base must be destroyed. Nothing else needs to be said. Brevity in the face " \
	"of death is the soldier's way.\n\n",

	//	kISCStart_msg,		// placeholder
	"",
	//	kMirakStart_msg
	"[PLAYER_NAME]: Hunt record, [STARDATE].[0]We are engaged in a suicide " \
	"assault against the ISC's main base in this quadrant. Farewell, for this " \
	"is the final log entroy of the captain of the [PLAYER_SHIP_NAME].[0]" \
	"There is darkness and fire ahead, but I shall inflict my wounds, " \
	"and pray that I see them fall before I die.",


	//
	//	Debriefing messages
	//
	
	// kDebBaseDestroyedTrue_msg
	"I cannot believe it! You actually destroyed the ISC base and escapted. This is " \
	"unbelievable!\n[0]The ISC is now scattering as a result of this unforeseen defeat." \
	"We have a window of opportunity to defeat them for good. We will also have to " \
	"decide what to do about their patrons, the Organians.\n[0]" \
	"Congratulations. Against all hope, victory.\n\n",

	// kDebBaseDestroyedFalse_msg
	"The ISC base still stands. Their battlecruisers are rallying for the attack. This " \
	"foolhardy gesture of yours may cost us dearly!\n\n",

	// kDebDismissed_msg
	"Dismissed.\n\n",
	//
	//	Comm buttons
	//
	// kHail_btn
	"HAIL",
	// kDemandSurrender_btn
	"DEMAND SURRENDER",

	// kLowerShields_btn
	"LOWER SHIELDS",
	//
	//	Comm messages
	//
	// kCommDummy_msg
	"",
	// kCommUtility_msg
	"Un-intialized Utility Message",
	// kNoAnswer_msg
	"Communications Officer: They're not answering our hails.",

	// kISCRandom1_msg
	"ISC Commander: I have nothing to say to primitives.",
	// kISCRandom2_msg
	"ISC Commander: You will not defeat the dream of peace through force of arms.",
	// kISCRandom3_msg
	"ISC Commander: I do not understand the suicidal impulses of the primitive mind, but no matter.",
	// kISCRandom4_msg
	"ISC Commander: Your outnumbered and outgunned. Has your aggression blinded you?",
	// kISCRandom5_msg
	"ISC Commander: How big a fool are you?",
	// kISCRandom6_msg
	"ISC Commander: This madness must end, but not on your terms! We say no!",


	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw\n\n",

	// kDefeat_msg,
	"Defeat\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: It's been an honor to serve with you, [PLAYER_RANK].\n\n",
	
	//	kRandChat2_msg,
	"Engineer: The sooner we take out that base, the better.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly, but I doubt this battle is going to be settled with our transporters.\n\n",
	
	//	kRandChat4_msg,
	"Communications Officer: The base is issuing intercept orders to the ISC fleet.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: That's a lot of armament on that base. I wish we weren't going in alone.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: Sensors show two dreadnoughts, and two battleships in this sector. Oh boy.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//
	// kFedRace_txt
	"Federation", 
	// kKlingonRace_txt
	"Klingon", 
	// kRomulanRace_txt
	"Romulan",
	// kLyranRace_txt
	"Lyran", 
	// kHydranRace_txt
	"Hydran", 
	// kGornRace_txt
	"Gorn", 
	// kISCRace_txt
	"ISC",
	// kMirakRace_txt
	"Mirak",
	// kOrionRace_txt
	"Orion",  
	// kTholianRace_txt
	"Tholian",
	//kLDRRace_txt
	"LDR",
	//kWYNRace_txt
	"WYN",
	//kJindarianRace_txt
	"Jindarian",	 
	//kNumMsgs
	"",
};


