/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"

class tBaseVictory : public tVictoryCondition
{
public:
	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState();

	enum eTimerIDs
	{
		kRandChatID = 1000,
		kStartID,
		kEdgeCheckID,
		kScanID,
		kBlackHoleID,
		kEndTimer,
	};

	//
	//	Accessors.
	//
	bool mAbandoned();
	bool mTalkedToBlackHole();
	bool mTalkedToStar1();
	bool mTalkedToStar2();
	bool mTalkedToStar3();
	bool mTalkedToStar4();

	bool mScannedBlackHole();
	bool mScannedStar1();
	bool mScannedStar2();
	bool mScannedStar3();
	bool mScannedStar4();



	//
	//	Modifiers.
	//
	void mSetAbandoned( bool x);
	void mSetTalkedToBlackHole( bool x);
	void mSetTalkedToStar1( bool x);
	void mSetTalkedToStar2( bool x);
	void mSetTalkedToStar3( bool x);
	void mSetTalkedToStar4( bool x);

	void mSetScannedBlackHole( bool x);
	void mSetScannedStar1( bool x);
	void mSetScannedStar2( bool x);
	void mSetScannedStar3( bool x);
	void mSetScannedStar4( bool x);


private:

	//
	//	Victory attributes.
	//
	bool fAbandoned;
	bool fTalkedToBlackHole;
	bool fTalkedToStar1;
	bool fTalkedToStar2;
	bool fTalkedToStar3;
	bool fTalkedToStar4;
	bool fScannedBlackHole;
	bool fScannedStar1;
	bool fScannedStar2;
	bool fScannedStar3;
	bool fScannedStar4;

};

#endif



