/********************************************************************************************************\

	File Name:	AlienDerelict.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AlienDerelict.h"
#include "AlienDerelictBaseState.h"
#include "MissionText.h"
#include "Uni_X3M3AStar.h"

tClassAllocator<tAlienDerelict> gAlienDerelictAllocator;

void tAlienDerelict::mSetupState()
{
	mRegisterState( new tAlienDerelictBaseState() );
	mGotoState( typeid( tAlienDerelictBaseState ) );
}

void tAlienDerelict::mSetupCommState()
{
	int32 iShipID = mGetShipID();
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kPlayerTeam));

	playerTeam->mRegisterCommMessage(kCommState1, kNoStateChange, iShipID, kDerelict_Hail_btn, kNoMsg, kNoRandomMsg);

	playerTeam->mRegisterCommMessage(kCommState2, kNoStateChange, iShipID, kDerelict_Hail_btn, kNoMsg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState2, kNoStateChange, iShipID, kDerelict_Code_btn, kNoMsg, kNoRandomMsg);

	playerTeam->mRegisterCommMessage(kCommState3, kBlankCommState, iShipID, kDerelict_YthPres_btn, kNoMsg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState3, kBlankCommState, iShipID, kDerelict_KnowVic_btn, kNoMsg, kNoRandomMsg);

	playerTeam->mRegisterCommMessage(kCommState4, kNoStateChange, iShipID, kDerelict_Youth_btn, kNoMsg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState4, kNoStateChange, iShipID, kDerelict_Prestige_btn, kNoMsg, kNoRandomMsg);

	playerTeam->mRegisterCommMessage(kCommState5, kNoStateChange, iShipID, kDerelict_Knowledge_btn, kNoMsg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState5, kNoStateChange, iShipID, kDerelict_Victory_btn, kNoMsg, kNoRandomMsg);

	playerTeam->mGotoCommState(iShipID, kCommState1);
}

void tAlienDerelict::mSetupShip()
{
	mSetShipMaxSpeed(0);
	mSetShipCallbackEvents(kNotifyDamage);
}
