/********************************************************************************************************\

	File Name:	AlienDerelictBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AlienDerelictBaseState.h"
#include "PlayerTeam.h"
#include "MissionText.h"
#include "Uni_X3M3AStar.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAlienDerelictBaseState::mBeginState()
{}
void tAlienDerelictBaseState::mEndState()
{}

void tAlienDerelictBaseState::mOnDeath( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mOnCapture( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mAtDistance( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mAtDestination( tShipInfo* ship )
{}

/*
	This method handles some of the communications with the alien derelict.
	To be more specific, it handles the re-configuring of the comm panel
	for the "choice trees" as necessary.
*/

void tAlienDerelictBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	// TODO: remove this hack once the problem is fixed.

	if (ship == NULL)
	{
		tTeamInfo* teamPlayer = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kPlayerTeam));
		tShipInfo* shipPlayer= teamPlayer->mFindShipCustomID(tPlayerTeam::kPlayerShip1);
		assert(shipPlayer != NULL);
		ship = shipPlayer;
	}

	/*
		Set the comm panel to display the youth and prestige buttons or the 
		knowledge and victory
	*/

	int32 iShipID = targetShip->mGetShipID();
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kPlayerTeam));
	
	switch (buttonID)
	{
		case kDerelict_Code_btn:
			playerTeam->mGotoCommState(iShipID, tAlienDerelict::kCommState3);
			break;
		case kDerelict_YthPres_btn:
//			playerTeam->mGotoCommState(iShipID, tAlienDerelict::kCommState4);
			break;
		case kDerelict_KnowVic_btn:
//			playerTeam->mGotoCommState(iShipID, tAlienDerelict::kCommState5);
			break;
	}
}

void tAlienDerelictBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if (fChildActor->mGetCustomID() == damagedShip->mGetCustomID())
	{
		// TODO: figure out if this takes care of restoring any damage.
		damagedShip->mSetSystemHealthFromOrig(kAllShieldsHardPoint, 100.0f);
		damagedShip->mSetSystemHealthFromOrig(kHullGroupHardPoint, 100.0f);
		damagedShip->mSetShipCallbackEvents(kNotifyDamage);
	}
}

void tAlienDerelictBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAlienDerelictBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAlienDerelictBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAlienDerelictBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAlienDerelictBaseState::mOnFlashingButtonPressed()
{}
void tAlienDerelictBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAlienDerelictBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAlienDerelictBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAlienDerelictBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAlienDerelictBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAlienDerelictBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAlienDerelictBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAlienDerelictBaseState::mOnHostChanged()
{}
void tAlienDerelictBaseState::mOnTimedInterval( int32 timerID )
{}
void tAlienDerelictBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAlienDerelictBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

