/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X3M3AStar",

	//
	//	Description message
	//
	"An alien derelict at the center of a quaternary system deep in ISC space bears investigating.\n\n",

	//
	//	Briefing message
	//

	// kFederation_briefing_msg,
	"The ISC has been sending probes into [SYSTEM_NAME]. This system is something of a mystery -- it " \
	"contains four small blue pulsars in close proximity, and a mysterious derelict ship at the " \
	"center of the cluster.\n\n" \
	"We think the ISC presence may have something to do with the pulsar cluster and with the " \
	"star-speaking technology that we recently \"recovered\". The pulsars are the right age " \
	"to have developed infrastellar lifeforms, and they may be the reason for the presence of " \
	"the derelict.\n\n" \
	"In any event, if there is a secret to be learned in this system, we'd prefer that we, not " \
	"the ISC, learn it. Your primary mission is to neutralize the ISC presence in this sector. " \
	"Your secondary mission is to speak with the derelict and find out what it knows.\n\n" \
	"Our allied ship has just finished repairs, so we're assigning it to go with you " \
	"and bolster our forces. Dismissed.\n\n",

	// kKlingon_briefing_msg,
	"The ISC has been sending probes into [SYSTEM_NAME]. This system is something of a mystery -- it " \
	"contains four small blue pulsars in close proximity, and a mysterious derelict ship at the " \
	"center of the cluster.\n\n" \
	"We think the ISC presence may have something to do with the pulsar cluster and with the " \
	"star-speaking technology that we recently \"recovered\". The pulsars are the right age " \
	"to have developed infrastellar lifeforms, and they may be the reason for the presence of " \
	"the derelict.\n\n" \
	"In any event, if there is a secret to be learned in this system, we'd prefer that we, not " \
	"the ISC, learn it. Your primary mission is to neutralize the ISC presence in this sector. " \
	"Your secondary mission is to speak with the derelict and find out what it knows.\n\n" \
	"The captain of the allied ship shows promise, so we're assigning her to accompany " \
	"you and learn from your example. You will be in command. Qapla.\n\n",

	// kHydran_briefing_msg,
	"The ISC has been sending probes into [SYSTEM_NAME]. This system is something of a mystery -- it " \
	"contains four small blue pulsars in close proximity, and a mysterious derelict ship at the " \
	"center of the cluster.\n\n" \
	"We think the ISC presence may have something to do with the pulsar cluster and with the " \
	"star-speaking technology that we recently \"recovered\". The pulsars are the right age " \
	"to have developed infrastellar lifeforms, and they may be the reason for the presence of " \
	"the derelict.\n\n" \
	"In any event, if there is a secret to be learned in this system, we'd prefer that we, not " \
	"the ISC, learn it. Your primary mission is to neutralize the ISC presence in this sector. " \
	"Your secondary mission is to speak with the derelict and find out what it knows.\n\n" \
	"The allied ship has just finished an escort mission and is available, so we're " \
	"assigning her to bolster your forces. You will be in command. Make us proud, " \
	"[PLAYER_RANK]. Dismissed.\n\n",

	// kGorn_briefing_msg,
	"The ISC has been sending probes into [SYSTEM_NAME]. This system is something of a mystery -- it " \
	"contains four small blue pulsars in close proximity, and a mysterious derelict ship at the " \
	"center of the cluster.\n\n" \
	"We think the ISC presence may have something to do with the pulsar cluster and with the " \
	"star-speaking technology that we recently \"recovered\". The pulsars are the right age " \
	"to have developed infrastellar lifeforms, and they may be the reason for the presence of " \
	"the derelict.\n\n" \
	"In any event, if there is a secret to be learned in this system, we'd prefer that we, not " \
	"the ISC, learn it. Your primary mission is to neutralize the ISC presence in this sector. " \
	"Your secondary mission is to speak with the derelict and find out what it knows.\n\n" \
	"A ship belonging to the Mistress of Fertility has asked to accompany you on this mission, " \
	"and we have granted her request. You will be in command. May you crush the shells of your enemy.\n\n",

	//
	//	Starting message
	//
	
	//kFederation_start_msg,
	"[PLAYER_NAME]: Captain's Log, [STARDATE]. The ISC has been delving into a lot of strange " \
	"corners lately, but few are as strange as the [SYSTEM_NAME], home of an ancient derelict " \
	"ship whose mysteries have never been solved. Our goal is not only to defeat the ISC, but " \
	"to learn the secrets of this great vessel.\n\n",
	//kKlingon_start_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. The ISC plague continues to infest even the most " \
	"bizarre places of the quadrant. This time, their target is [SYSTEM_NAME], home of a great " \
	"pyramid whose origins are unknown. Our goals are simple: destroy the ISC and communicate " \
	"with the pyramid. Communications is not my forte, but I'm more than happy to teach the ISC " \
	"a lesson.\n\n",
	//kHydran_start_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. Our opponent is once again the ISC, who " \
	"are now examining the star cluster of [SYSTEM_NAME], home of an old alien derelict that " \
	"is sacred to the cult of the Four Triangles. No one has ever been able to contact this " \
	"vessel. Our primary mission is to destroy the ISC in this system, but our secondary " \
	"mission is to find a way to contact the derelict and finally learn its secrets.\n\n",
	//kGorn_start_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. Again, the ISC trespasses where they do not " \
	"belong. Now they are examining [SYSTEM_NAME], where a star cluster hides an old alien " \
	"derelict, with which no one has spoken. Our primary mission is to destroy the ISC in " \
	"this system, but our secondary mission is to find a way to contact the derelict and " \
	"learn its secrets.\n\n",

	//
	//	Debriefing messages
	//
	
	//
	//	Comm buttons
	//
	//kEnemy_Hail_btn,
	"HAIL",
	//kEnemy_Surrender_btn,
	"DEMAND SURRENDER",
	//kStar_Hail_btn,
	"HAIL",
	//kDerelict_Hail_btn,
	"HAIL",
	//kDerelict_Code_btn,
	"TRANSMIT CODE",
	//kDerelict_YthPres_btn,
	"PRESTIGE",
	//kDerelict_KnowVic_btn,
	"VICTORY",
	//kDerelict_Youth_btn,
	"REQUEST YOUTH",
	//kDerelict_Prestige_btn,
	"REQUEST PRESTIGE",
	//kDerelict_Knowledge_btn,
	"REQUEST KNOWLEDGE",
	//kDerelict_Victory_btn,
	"REQUEST VICTORY",

	//
	//	Comm messages
	//

	//kEnemy_Already_Surrendered_msg,
	"ISC Captain: You've beaten us. Now bother someone else.\n\n",
	//kNothing_To_Talk_About_msg,
	"Security Officer: Nothing really to talk about.\n\n",
	//kEnemy_Hail_Random1_msg,
	"ISC Captain: This is a scientific mission. Your interference is a violation of universally " \
	"accepted civilized behavior.\n\n",
	//kEnemy_Hail_Random2_msg,
	"ISC Captain: Well, well, it's the [PLAYER_FACTION], once again turning a voyage of " \
	"discovery into a vulgar brawl.\n\n",
	//kEnemy_Hail_Random3_msg,
	"ISC Captain: Is fighting the only thing you know? What a shallow being you are.\n\n",
	//kPulsar_Interference_msg,
	"Communications Officer: Interference from the pulsars is making communications impossible. " \
	"We need to get closer.\n\n",

	//kDone_Enough_msg,
	"ISC Captain: Haven't you done enough already?\n\n",
	//kEnemy_Surrenders_msg,
	"ISC Captain: Very well. We yield.\n\n",
	//kEnemy_No_Surrender_Random1_msg,
	"ISC Captain: How dare you interrupt a scientific mission!\n\n",
	//kEnemy_No_Surrender_Random2_msg,
	"ISC Captain: Never!\n\n",
	//kEnemy_No_Surrender_Random3_msg,
	"ISC Captain: Don't the people in this quadrant at least claim to have a non-interference " \
	"directive? Well, you're interfering.\n\n",

	//kStar_Hail1_msg,
	"Star: (a crackling sound, repeated at three intervals)\n[3]" \
	"Science Officer: The universal translator says that the crackling sound represents the " \
	"angle of a triangle. Approximately... fifty four degrees. Interesting. That is an angle " \
	"often employed in the construction of ancient pyramids. There are some other symbols as " \
	"well; something indicating conjunction.\n\n",
	//kStar_Hail2_msg,
	"Star: (a second crackling sound similar to that heard before)\n[3]" \
	"Science Officer: This message seems to be a fragment of a longer message. And it fits " \
	"together with the one which we gathered at the other star.\n\n",
	//kStar_Hail3_msg,
	"Star: (a third crackling sound similar to that heard before)\n[3]" \
	"Science Officer: Another compatible message, [PLAYER_RANK].\n\n",
	//kStar_Hail4_msg,
	"Star: (a fourth crackling sound much like that heard before)\n[3]" \
	"Science Officer: The messages from all four stars seem to fit together to form a pyramid -- and " \
	"something that indicates opening the pyramid. Captain, I believe that it is a code of some kind.\n\n",
	//kStar_Same_Sound_msg,
	"Science Officer: The universal translator confirms it to be the exact same sound we heard " \
	"earlier from this star. Either the civilization in the star is inhumanly precise, or it's " \
	"a recorded message.\n\n",

	//kDerelict_Choice_Made_msg,
	"Derelict: The choice has been made. I can learn no more from you.\n\n",
	//kDerelict_Hail_msg,
	"Derelict: The door is closed.\n[1]" \
	"[PLAYER_NAME]: What?\n[1]" \
	"Communications Officer: At least it spoke to us.\n\n",
	//kDerelict_Hail_Suggest_Code_msg,
	"Derelict: The door is closed.\n[1]" \
	"Communications Officer: What about that code we got from talking with the stars?\n\n",
	//kDerelict_Transmit_Code_msg,
	"Derelict: It is rare to meet those who risk so much to fight among the stars. These " \
	"thoughts I would know. These desires I would save. What desire is a gift? Prestige and honor? Victory? Make your choice.\n[7]" \
	"[PLAYER_NAME]: What will it cost me?\n[2]" \
	"Derelict: From your choice, I will know you better. If that is a price, that is the cost.\n\n",

	//kDerelict_Chose_Youth_msg,
	"Derelict: The choice is made. Your body will revert to its appearance as it was at the " \
	"threshold of manhood. It will neither age nor grow sick. But cheating death, beyond these " \
	"factors, is up to you.\n[5]" \
	"Medical Officer: Hmmm... Captain, would you mind if I performed a few tests on you?\n\n",
	//kDerelict_Chose_Prestige_msg,
	"Derelict: The choice is made. Your family will gain in glory and honor, and you will " \
	"as well. Now go.\n\n",
	//kDerelict_Chose_Knowledge_msg,
	"Derelict: The choice is made. You become more knowledgeable with each mission you lead. Now go.\n\n",
	//kDerelict_Chose_Victory_msg,
	"Derelict: The choice is made. All of your enemies in this system have been destroyed.\n\n",
	//kDerelict_Already_Victorious_msg,
	"Derelict: Had you any enemies remaining in this system, I would destroy them. Since you "\
	"do not, you must choose something else.\n\n",

	//
	//	Victory rating
	//

	//	kAstoundingVictory_msg,
	"An astounding victory cannot occur. You are not reading this. This is not happening.\n\n",

	// kVictoryYouth_msg,
	"This was a very interesting mission indeed. So I'm standing in the presence of an " \
	"immortal? How... interesting.\n\n" \
	"And congratulations on your success. Hopefully we'll be able to send you on more " \
	"than a skirmish against the ISC next time.\n\n",

	// kVictoryYouthKlingon_msg,
	"This was a very interesting mission indeed. So I'm standing in the presence of an " \
	"immortal? There are warrior cults who would say you should have asked for glorious " \
	"death in battle. It was a most regrettable oversight, but I will not fault your " \
	"choice. Age is an affront to the Klingon body. You are honing yourself into a fine " \
	"weapon against the ISC. And you will be unleashed very soon.\n\n",

	// kVictoryKnowledge_msg,
	"This was a very interesting mission indeed. I understand that the intelligence level " \
	"of your entire crew was raised by the exposure to the derelict. Let's hope it " \
	"translates into future victories.\n\n",

	// kVictoryPrestige_msg,
	"This was a very interesting mission indeed. You have solved a mystery that has gone " \
	"unsolved since the first time [PLAYER_RACE_PLURAL] took to the stars. People notice " \
	"such things.\n\n",

	// kVictoryVictory_msg,
	"This was a very interesting mission indeed. You showed true martial spirit; you " \
	"defeated your enemy and showed the ISC you were not to be trifled with.\n\n",

	//	kVictory_msg,
	"Well done, [PLAYER_NAME].\n\n" \
	"Dismissed.\n\n",

	//	kDraw_msg,
	"You succeeded in making contact with the artifact; unfortunately you were less " \
	"successful at driving away the ISC. This means we have a draw; you gained knowledge " \
	"of the derelict, but so did they.\n\n" \
	"I hate draws almost as much as I hate defeat.\n\n" \
	"Dismissed.\n\n",

	//	kDefeat_msg,
	"You managed to drive out the ISC, but you failed to make contact with the artifact. " \
	"This was not a major failure, but I can't help but be disappointed. Maybe one day, someone " \
	"else will succeed where you failed.\n\n" \
	"Dismissed.\n\n",

	//	kDevastatingDefeat_msg,
	"You failed to stop the ISC or to make contact with the artifact. Failing to meet the " \
	"objectives means a complete mission failure.\n\n" \
	"Dismissed.\n\n",

	//	kLeftEarly_msg,
	"Disconnect.",

	//
	//	Random chatter
	//
	//	kRandChat1_msg,
	"Helm: The gravity wells of those pulsars are a problem, but I'll manage, Captain.\n\n",
	//	kRandChat2_msg,
	"Engineer: I sure would like to see the specs on that alien derelict.\n\n",
	//	kRandChat3_msg,
	"Security Officer: All quiet here, Captain.\n\n",
	//	kRandChat4_msg,
	"Navigation: The gravimetric stress in this system is incredible. Those pulsars "\
	"are bending the fabric of space to an extreme degree...\n\n",
	//	kRandChat5_msg,
	"Weapons Officer: I wonder if our weapons can crack that derelict open? Then " \
	"we'd really get some data.\n\n",
	//	kRandChat6_msg,
	"Science Officer: A stellar formation such as this is incredibly unlikely. The odds " \
	"are... well, if I were Vulcan then I'm sure I'd give them to you.\n\n",

	//
	//	Titles (or names) of ships and objects
	//
	//kAlliedShipName,
	"Allied Ship",
	//kEnemyShipClass,
	"I-CA",
	//kEnemyShipName1,	// TODO: change these silly ships names to something more sensible.
	"ISC Mystic",
	//kEnemyShipName2,
	"ISC Shepherd",
	//kEnemyShipName3,
	"ISC Enigma",
	//kStar1Class,		// TODO: change the star classes appropriately.
	"PL1",
	//kStar2Class,
	"PL2",
	//kStar3Class,
	"PL3",
	//kStar4Class,
	"PL4",
	//kStar1Name,		// TODO: change the star names to something more meaningful.
	"Star #1",
	//kStar2Name,
	"Star #3",
	//kStar3Name,
	"Star #3",
	//kStar4Name,
	"Star #4",
	//kAlienDerelictClass,	// TODO: change the alien derelict class appropriately.
	"N-D6",
	//kAlienDerelictName,
	"Alien Derelict",

	//
	//	Event dialog
	//

	//k1st_Objective_Complete_msg,
	"Science Officer: All ISC ships have been defeated. Primary mission objective accomplished.\n\n",
	//k2nd_Objective_Complete_msg,
	"Science Officer: We've made contact with the alien derelict. Secondary mission objective accomplished.\n\n",
	//kAll_Objectives_Complete_msg,
	"Science Officer: All mission objectives accomplished. Mission complete.\n\n",
	//kDerelict_Scan_Result_msg,
	"Science Officer: The pyramid-shaped derelict has a shell of dwarf star matter. Basic " \
	"elements compressed into a surface far denser than anything our technology can produce. " \
	"As to whether anything is inside, that's anyone's guess. For all we know, this could " \
	"be a shaped, white dwarf.\n\n",
	//kStar_Scan_Result_msg,
	"Science Officer: A blue-white dwarf star. It's hydrogen fuel has largely burned up, " \
	"transformed by fusion to heavier elements.\n\n",
	//kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Wishing On A Star",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",
};
