//	<Name>	Actor.h
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( Actor_h )
#define Actor_h

#include <map>
#include <tstring.h>
#include <typeinfo.h>
#include "scriptstructs.h"
#include "EventMgr.h"
#include "DynamicAllocator.h"

class tState;
class tShipInfo;
class tMissionInfo;

class tActor : public tAllocatedClass
{
public:

	enum //Constants
	{
		kNoStateChange = -1,
		kNoRandomMsg = -1,
		kNoMsg = -1,
	};

	tActor( void );
	~tActor( void );

	virtual void	mSetupState( void );
	virtual void	mSetupCommState( void );

	virtual void	mRegisterState( tState* State );

	virtual tState*	mGetState( iStateID StateID ) const;
	virtual void	mGotoState( const type_info& StateTypeID );
	
	iActorID		mGetActorID( void ); 
	virtual void	mHandleShipEvent( tShipInfo* Ship, const tEventMgr::tEventInfo& EventInfo );

	virtual void	mSetTimedInterval( eTimerIntervalTypes Type, int32 TimerID, float Interval, iStateID StateID = kInvalidStateID );

protected:

	enum 
	{
		kMaxStates = tEventMgr::kMaxActors
	};

	void mEndCurState( void );

	typedef std::map< tString, tState* >		tStateMap; 
	typedef std::vector< tEventMgr::tTimerID >	iTimers;

	friend		tEventMgr;
	iActorID	fActorID;
	 
	tState*		fCurState;
	iTimers		fCurTimers;
	tStateMap	fStateMap;
	tState*		fStateIDLookup[kMaxStates];
	iStateID	fNextStateID;

	int32			fEventID;
	int32			fEventItem0;
	int32			fEventItem1;
	int32			fEventItem2;
	int32			fEventItem3;
	tMissionInfo*	fMissionInfo;
};

#endif


//	8Nov99	zdrummond	Added Comment Header and Footer's
//	3Jul00	dsuleski	kNoMsg added for start messages in comm buttons (analogous to kNoRandomMsg)
//	8Jul00	dsuleski	Documentation update