//	<Name>	ChildActorState.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( ChildActorState_h )
#define ChildActorState_h

#include "State.h"
#include "sfcAssert.h"

//This is a slighty advanced form of the state. It is not nessisary to use, but can be helpfull.
//Every state stores the actor that it is registerd to. But if you know, that this state will only be
//registered to ONE class of actor, you can use this template version of tState. What this will do is convert
//and store the child version of fActor in fChildActor, you can then, in your state directly talk to the state 
//your registered to.

template< class tChildActor >
class tChildActorState : public tState
{
public:
	tChildActorState();

protected:
	virtual void mSetup( tActor* actor, iStateID stateID );

	tChildActor* fChildActor;
};

template< class tChildActor >
tChildActorState<tChildActor>::tChildActorState<tChildActor>() :
	fChildActor( NULL )
{}

template< class tChildActor >
void tChildActorState<tChildActor>::mSetup( tActor* actor, iStateID stateID )
{
	tState::mSetup( actor, stateID );

	fChildActor = dynamic_cast<tChildActor*>( fActor );
	Assert( fChildActor );
	//If this assert fails, this state is not being registerd to the same class that tChildActor represents
}

#endif


// 1Feb00	zdrummond	Added Comment Header and Footer's