//	<Name>	ChildActorVictoryState.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( ChildActorVictoryState_h )
#define ChildActorVictoryState_h

#include "VictoryState.h"
#include "sfcAssert.h"

//This is a slighty advanced form of the state. It is not nessisary to use, but can be helpfull.
//Every state stores the actor that it is registerd to. But if you know, that this state will only be
//registered to ONE class of actor, you can use this template version of tState. What this will do is convert
//and store the child version of fActor in fChildActor, you can then, in your state directly talk to the state 
//your registered to.

template< class tChildActor >
class tChildActorVictoryState : public tVictoryState
{
public:
	tChildActorVictoryState( int32 astoundingVictory = 0, int32 victory = 0, 
							 int32 draw = 0, int32 defeat = 0, int32 devastatingDefeat = 0, int32 unknown = 0 );

protected:
	virtual void mSetup( tActor* actor, iStateID stateID );

	tChildActor* fChildActor;
};

template< class tChildActor >
tChildActorVictoryState<tChildActor>::tChildActorVictoryState<tChildActor>( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat, int32 unknown ) :
	tVictoryState( astoundingVictory, victory, draw, defeat, devastatingDefeat, unknown ),
	fChildActor( NULL )
{}

template< class tChildActor >
void tChildActorVictoryState<tChildActor>::mSetup( tActor* actor, iStateID stateID )
{
	tState::mSetup( actor, stateID );

	fChildActor = dynamic_cast<tChildActor*>( fActor );
	Assert( fChildActor );
	//If this assert fails, this state is not being registerd to the same class that tChildActor represents
}

#endif


// 1Feb00	zdrummond	Added Comment Header and Footer's