#include "scriptstructs.h"
#include "tmissionmap.h"
// include this file after all other includes

enum eDeepScanFlags
{
	kOutOfRange_ScanOff,
	kOutOfRange_ScanOn,
	kEnteringRange_ScanOff,
	kEnteringRange_ScanOn_TimerStarted,
	kInRange_ScanOff_TimerStopped,
	kInRange_ScanOff,
	kInRange_ScanOn_TimerStarted,
	kInRange_ScanOn,
	kLeavingRange_ScanOn_TimerStopped,
	kLeavingRange_ScanOff,
};

class tMissionInfo;
class tShipInfo;

class tDeepScanTracker
{
public:
	tDeepScanTracker(void);

	void			mSetTimer( tMissionInfo* missionInfo, tShipInfo* ship, eTimerIntervalTypes timerMode, int32 timerID, int32 secondsInterval );		// must be called first
	iTruth			mSetTarget (tShipInfo* Object, float Distance, int32 TurnDuration);		// returns kTrue if object added to list
	// GridX and GridY are 1 based
	iTruth			mSetLocation (int32 GridX, int32 GridY, float Distance, int32 TurnDuration);	// returns kTrue if location added to list
	tShipInfo*		mTestForDeepScan (eDeepScanFlags* Flags, tMapPoint* MapPoint = NULL);
	void			mRemoveTarget (tShipInfo* Object);				// call with NULL to remove all objects
	void			mRemoveLocation (int32 GridX, int32 GridY);		// GridX and GridY are 1 based

protected:
	enum {	kEmptySlot = 0,
			kObjectInSlot = 1,
			kLocationInSlot = 2,
			kMaxSlots = 12 };

	tMissionInfo* fMissionInfo;
	tShipInfo* fShip;

	eTimerIntervalTypes		fTimerMode;
	int32					fTimerID;
	int32					fSecondsInterval;

	int32		fSlots[kMaxSlots];
	tShipInfo*	fObjects[kMaxSlots];
	tMapPoint	fLocations[kMaxSlots];
	float		fDistance[kMaxSlots];
	int32		fDuration[kMaxSlots];

	int32			fCurrentSlotInRange;
	eDeepScanFlags	fLastResult;
};
