//	<Name>	EventMgr.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( EventMgr_h )
#define EventMgr_h

#include "scriptstructs.h"

class tActor;
struct tShipSystemsInfo;
class tShipInfo;

class tEventMgr
{
public:
	enum
	{
		kMaxActors = 64,
	};

	class tEventInfo
	{
	public:
		enum
		{
			kEventItemCount = 5,
		};

		tEventInfo( void );

		iNotifyEvents	fEvent;
		tShipInfo*		fShip;
		
		int32 fEventItem[kEventItemCount];
		float fEventItem_Float[kEventItemCount];
	};

	class tTimerID
	{
	public:

		iActorID	fActorID;
		iStateID	fStateID;
		int32		fTimerID;
	};

	tEventMgr( void );

	//
	//	If actorID is invalid, then all actors will receive the timer event
	//	If stateID is invalid, What ever state the actor is in will receive the timer event
	//
	tTimerID	mSetTimedInterval( eTimerIntervalTypes Type, int32 TimerID, float Interval, iActorID ActorID = kInvalidActorID, iStateID StateID = kInvalidStateID );
	void		mKillTimer( const tTimerID& TimerID );

	iActorID	mRegisterActor( tActor* Actor, iActorID ParentActor = kInvalidActorID );
	tActor*		mGetActor( iActorID ActorID );
	void		mRemoveActor( iActorID Actor );
	
	void	mEntityEvent( const tShipSystemsInfo& Info );
	void	mPostEvent( const tEventInfo& EventInfo );

	void	mCleanUpActors( void );

protected:
	int32	fCurActorIndex;
	tActor*	fActorLookup[kMaxActors];
};

extern tEventMgr gEventMgr;

#endif


//	9Nov99	zdrummond	Added Comment Header and Footer's
//	13Jun00	dsuleski	kMaxActors increased to 32
//	8Jul00	dsuleski	Documentation update