//	<Name>	NormalVictoryState.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( NormalVictoryState_h )
#define NormalVictoryState_h

#include "VictoryState.h"
#include "SimpleStorage.h"
#include "team.h"

class tShipInfo;
class tTeamInfo;

class tNormalVictoryState : public tVictoryState
{
public:

	tNormalVictoryState( int32 CaptureBonus = 0, int32 AstoundingVictory = 0, int32 Victory = 0, int32 Draw = 0, int32 Defeat = 0, int32 DevastatingDefeat = 0 );

	virtual eVictoryLevels	mCalcVictoryStatus( eTeamID ID );
	
	virtual void	mAddPlayerSide( eTeamID team, iTruth playerTeam = kFalse );
	virtual void	mAddEnemySide( int32 Team );

	virtual void	mOnDeath( tShipInfo* Ship );
	virtual void	mOnCapture( tShipInfo* Ship );
	virtual void	mOnDisengaged( tShipInfo* Ship );

protected:

	typedef int32								iTeamSide;
	typedef tSimpleStorage< int32, kMaxTeams >	iTeams;

	enum 
	{															
		kPlayerSide,
		kEnemySide,	
	};

	virtual void		mCheckGameStatus();
	virtual eGameStatus	mCheckForWin();
	virtual eGameStatus	mCheckForLoss();

	virtual iTeamSide		mGetSide( eTeamID team );
	virtual eVictoryLevels	mGetVictoryLevel( float PlayerScore, float EnemyScore );
	virtual float			mBalancePoints( const iTeams& PlayerTeams, const iTeams& EnemyTeams );
	
	virtual float	mCalcSideScore( const iTeams& Teams, const iTeams& EnemyTeams );
	virtual float	mPointsScoredAgainstTeam( tTeamInfo* Team );
	virtual float	mShipDestroyedValue( tShipInfo* Ship );
	virtual float	mShipDamagedValue( tShipInfo* Ship );
	virtual float	mShipDisengagedValue( tShipInfo* Ship );
	virtual float	mShipCapturedValue( tShipInfo* Ship );
 	
	int32	fPlayerTeamID;
	iTeams	fPlayerSide;
	iTeams	fEnemySide;

	int32	fEnemyCount;
	int32	fPlayerCount;
	int32	fCaptureBonus;
};


#endif


//	15Nov99	zdrummond	Added Comment Header and Footer's
//	8Jul00	dsuleski	Documentation update