//	<Name>	SimpleStorage.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( SimpleStorage_h )
#define SimpleStorage_h

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

template< class tStorageType, int32 kStorangeSize >
class tSimpleStorage
{
public:
	tSimpleStorage();
	iTruth mAdd( const tStorageType& value );
	//Warning, this does not call the destructor on the object removed
	//from the list
	void mRemoveLast();
	//SLOW: Should not be used unless requred! NOTE: Used the operator= of tStorageType. Make sure its right
	void mRemove( int32 index );
	//Emptys list
	void mClear();

	tStorageType* mGetArray();
	const tStorageType* mGetArray() const;
	int32 mGetSize() const;

	tStorageType& operator[]( int32 index );
	const tStorageType& operator[]( int32 index ) const;
protected:
	tStorageType fStorage[kStorangeSize];
	int32 fStorageSize;
};

//Implementaion
template< class tStorageType, int32 kStorangeSize >
tSimpleStorage<tStorageType, kStorangeSize>::tSimpleStorage<tStorageType, kStorangeSize>()
	: fStorageSize(0)
{}

template< class tStorageType, int32 kStorangeSize >
iTruth tSimpleStorage<tStorageType, kStorangeSize>::mAdd( const tStorageType& value )
{
	if( fStorageSize < kStorangeSize )
	{
		fStorage[fStorageSize++] = value;
		return kTrue;
	}
	else
	{
		return kFalse;
	}
}

template< class tStorageType, int32 kStorangeSize >
void tSimpleStorage<tStorageType, kStorangeSize>::mRemoveLast()
{
	if( --fStorageSize < 0 )
	{
		fStorageSize = 0;
	}
}

template< class tStorageType, int32 kStorangeSize >
void tSimpleStorage<tStorageType, kStorangeSize>::mRemove( int32 index )
{
	for( int32 i = index + 1; i < fStorageSize; i++ )
	{
		fStorage[i-1] = fStorage[i];		
	}

	fStorageSize--;
}

template< class tStorageType, int32 kStorangeSize >
void tSimpleStorage<tStorageType, kStorangeSize>::mClear()
{
	fStorageSize = 0;
}

template< class tStorageType, int32 kStorangeSize >
const tStorageType* tSimpleStorage<tStorageType, kStorangeSize>::mGetArray() const
{
	return fStorage;
}

template< class tStorageType, int32 kStorangeSize >
tStorageType* tSimpleStorage<tStorageType, kStorangeSize>::mGetArray() 
{
	return fStorage;
}

template< class tStorageType, int32 kStorangeSize >
tStorageType& tSimpleStorage<tStorageType, kStorangeSize>::operator[]( int32 index )
{
	return fStorage[index];
}

template< class tStorageType, int32 kStorangeSize >
const tStorageType& tSimpleStorage<tStorageType, kStorangeSize>::operator[]( int32 index ) const
{
	return fStorage[index];
}

template< class tStorageType, int32 kStorangeSize >
int32 tSimpleStorage<tStorageType, kStorangeSize>::mGetSize() const
{
	return fStorageSize;
}



#endif

//	15Nov99	zdrummond	Added Comment Header and Footer's
//	8Jul00	dsuleski	Documentation update