//	<Name>	VictoryCondition.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( VictoryCondition_h )
#define VictoryCondition_h

#include "Actor.h"
#include "Team.h"
#include "SimpleStorage.h"
#include "EventMgr.h"
#include "ScriptStructs.h"

class tMissionInfo;
class tVictoryState;
class tTeamInfo;

class tVictoryCondition	: public tActor
{
public:

	tVictoryCondition();
	tVictoryCondition( tTeamInfo* Team );
	tVictoryCondition( int32 AstoundingVictory, int32 Victory, int32 Draw, int32 Defeat, int32 DevastatingDefeat, int32 UnknownVictoryPoints, int32 CaptureBonus = 0, tTeamInfo* Team = NULL, int32 PlayerTeamID = kNoTeam, int32 EnemyTeamID = kNoTeam );

	virtual void	mRegisterState( tVictoryState* State );
	virtual void	mGotoState( const type_info& StateTypeID );
	
	virtual eVictoryLevels	mCalcVictoryStatus( eTeamID ID );
	virtual int32			mGetPrestigePoints( eVictoryLevels Level );
	virtual int32			mGetBonusPrestige();
	virtual int32			mLookupPrestigeValue( eVictoryLevels Level );


	virtual void		mSetupState( void );

	virtual tTeamInfo*	mGetTeam( void );

protected:

	tVictoryState*	fVictoryState;

	tTeamInfo*		fTeam;

	int32			fPlayerTeamID;
	int32			fEnemyTeamID;
	int32			fCaptureBouns;
	int32			fAstoundingVictory;
	int32			fVictory;
	int32			fDraw;
	int32			fDefeat;
	int32			fDevastatingDefeat;
	int32			fUnknownVictoryPoints;

private:

	//
	//	We replace the parent mRegisterState with our new one that only accepts tVictoryState states 
	//
	virtual void	mRegisterState( tState* State );

};

#endif


//	12Nov99	zdrummond	Added Comment Header and Footer's
//	21Apr00	dsuleski	Added default constructor which is needed for custom victory conditions
//	04Jun00	dsuleski	No longer needed the enemy/player id in the constructor
//	08Jul00	dsuleski	Documentation update