//	<Name>	VictoryState.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( VictoryState_h )
#define VictoryState_h

#include "State.h"
#include "ScriptStructs.h"

class tTeamInfo;

class tVictoryState : public tState
{
public:
	tVictoryState(	int32 AstoundingVictory = 0, int32 Victory = 0, int32 Draw = 0, int32 Defeat = 0, int32 DevastatingDefeat = 0, int32 Unknown = 0 );

	virtual eVictoryLevels	mCalcVictoryStatus( eTeamID ID ) = 0;
	virtual void			mSetTeam( tTeamInfo* Team );

	virtual int32	mGetPrestigePoints( eVictoryLevels Level );
	virtual int32	mGetBonusPrestige();
	virtual int32	mLookupPrestigeValue( eVictoryLevels Level );

	virtual void	mAddToPrestige( int32 X );
	virtual void	mAddToPrestige( eVictoryLevels Level, int32 X );
	virtual void	mAddToBonusPrestige( int32 X );

protected:

	tTeamInfo*	fTeam;

	int32		fPrestigePoints[kMaxVictoryLevels];
	int32		fBonusPrestige;
	int32		fUnknownVictoryPoints;
};

#endif


//	15Nov99	zdrummond	Added Comment Header and Footer's
//	29Apr00	dsuleski	Added mAddToBonusPrestige(...) for functionality of SFC1 API
//	5Jun00	dsuleski	Prestige points now defaulted to 0
//	8Jul00	dsuleski	Documentation update