/********************************************************************************************************\

	Mission:	<MISSION TITLE>
	Script:		"Tem_Standard"
	Descript:	<DESCRIPTION>

	Created by:		<NAME>		mm/dd/yy
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG>

\********************************************************************************************************/

#include "MissionText.h"
#include "Tem_Standard.h"


DEFINE_SCRIPT_CLASS( tTem_Standard );

tTem_Standard::tTem_Standard()
{}

/*

	HELPER NOTE:	Below set up the mission specifications for this script.  Each type of mission can require
					various fields to be set.  These types are as follows:

					kCampaignMission
						- for general Metaverse missions
					kUniqueCampaignMission
						- for "elite" Metaverse missions
						- cannot have kPrimaryOpponentTeam or kPlayableTeam
					kTutorialMission
						- the fWait field determines where this script appears in the list
					kMultiplayerMission
						- cannot have kPrimaryTeam or kPrimaryOppenentTeam

*/
void tTem_Standard::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kDescription_msg];
	Specs->fMissionType = kCampaignMission;
	Specs->fMetaLocationSpec = tMetaLocationSpec( 1, kAnyRaceHex, kAnyTerrainHex );
	Specs->fMinDate = kMinDate;
	Specs->fMaxDate = kMaxDate;
	Specs->fBandwidthPart = kAllBand;

	/*

		HELPER NOTE:	Here, you are going to specify your attributes for each team as follows:

  						const tTeamSpec& team1 = mCreateTeamSpec(	"Player Team",
																	kPlayerTeam,
																	kMaxChance,
																	kFalse,
																	kPlayableTeam,
																	kMaxChance,
																	kSpecPlayableRace,
																	kAnyRace,
																	typeid( tPlayerTeam ),
																	kNoTeamTag,
																	Messages[kMissionTitle_msg] );
						
						Specs->mSetupTeam( team1 );

	*/
}

/*

	HELPER NOTE:	Return the map index you want to use for only kUniqueCampaignMission.

*/
int32 tTem_Standard::mInitializeStart( tDynaverseScriptInfo& info )
{
	return 1;
}

/*

	HELPER NOTE:	Called when all ships have been created for the script.

*/
void tTem_Standard::mCreateExternalShips( int32 Mode )
{}

/*

	HELPER NOTE:	kCampaignMission may require an overall briefing in the future, at which point, you would
					want to return the briefing index.

*/
int32 tTem_Standard::mInitializeFinished( void )
{
	return kBriefing_msg;
}

/*

	HELPER NOTE:	Called when a new ship enters the mission while in-game.  The Ship parameter holds
					the ship information for this specified ship.

*/
void tTem_Standard::mNewInternalShip( tShipInfo* Ship )
{}

/*

	HELPER NOTE:	This is where you set up the teams' relationships and goals.  Read on and edit as
					you see necessary for this mission.

*/
void tTem_Standard::mStartMission()
{
	tScript::mStartMission();

	/*

		HELPER NOTE:	Below is the initial relationship / goal table.  Each letter has a meaning and each
						meaning has a meaning???

		Relationship Lookup
		- = kTeamSelfAware	//	use this parameter with itself
		A = kTeamAllied		//	cannot fire upon an ally
		F = kTeamFriendly
		N = kTeamNeutral
		H = kTeamHostile	//	will not fire / capture / cripple until provoked
		W = kTeamWar		//	will seek out and destroy / capture / cripple the enemy
		P = kTeamPassive

		Relationship Lookup
		- = kGoalIgnore		//	use this parameter with itself
		I = kGoalIgnore
		C = kGoalCripple
		X = kGoalCapture	//	do not have too many ships target a ship for capturing (accidently destroys it).
		D = kGoalDestroy

		Your code might look like the following:

		const int kRelationsCount = 4;
		int32 teamList[kRelationsCount] =
		{
			kPlayerTeam,
			kPlayerNPCTeam,
			kEnemyTeam,
			kNPC1Team,
		};

		std::string relationships[kRelationsCount][kRelationsCount] = 
		{
			//Plyr = kPlayerTeam,
			//PNPC = kPlayerNPCTeam,
			//Nme  = kEnemyTeam,
			//NPC1 = kNPC1Team,

			//	     Plyr  PNPC  Nme   NPC1
			/*Plyr*-/ "--", "AI", "WD", "FI",
			/*PNPC*-/ "AI", "--", "WD", "FI",
			/*Nme *-/ "WD", "WD", "--", "FI",
			/*NPC1*-/ "FI", "FI", "FI", "--",
		};
		fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);

	*/
}

/*

	HELPER NOTE:	Initialize your definitions of any drawing objects here.

*/
void tTem_Standard::mInitializeDraw( const int32 MapPicked )
{
//	gDraw.mDefineDrawObjects();
}

/*

	HELPER NOTE:	Make certain to call tScript::mASCIIOverrides() first before assigning custom values.
					Your custom values may look something like the following:

  						Map->fTacticalMapIcon['G'] = kObjectPlayerShip;

					If you wanted to make 'G' appear as an enemy starbase, you may do something like the
					following:
					
						Map->fTacticalMapIcon['G'] = kObjectEnemyBase;

*/
void tTem_Standard::mASCIIOverrides( tMapOverrides* Map )
{
	tScript::mASCIIOverrides( Map );
}

/*

	HELPER NOTE:	Fill in the briefing index for each team and race similar to the following manner:

  						fBriefingIndex[kPlayerTeam][kFederation] = kBriefingFederation_msg;
						fBriefingIndex[kPlayerTeam][kKlingon] = kBriefingKlingon_msg;

						fBriefingIndex[kEnemyTeam][kISC] = kBriefingISC_msg;

*/
void tTem_Standard::mDefineBriefings( void )
{}

/*

	HELPER NOTE:	This is where you set the ship strengths for each non-kNPCTeam.  You can have no
					more than three (3) calls for each team.  Any additional will be ignored.  Below is
					an example of what this function may look like for a kUniqueCampaignMission.

						void tTem_Standard::mDefineTeamShipStrengths( void )
						{
							mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );
							mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );
							mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );
						}

*/
void tTem_Standard::mDefineTeamShipStrengths( void )
{}