/********************************************************************************************************\

	File Name:	CommonEscortBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonEscort.h"
#include "CommonEscortBaseState.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonEscortBaseState::mBeginState()
{}
void tCommonEscortBaseState::mEndState()
{}

void tCommonEscortBaseState::mOnDeath( tShipInfo* ship )
{
	if ( !ship )
		return;

	eTeamID		teamID = ship->mGetTeam();
	tTeamInfo*	team = fMissionInfo->mGetTeamHandle( teamID );

	Assert( team );
	if ( !team )
		return;

	if ( fChildActor->mGetTeam() == teamID )
	{
		if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
		{
			team->mCreateShip(	typeid( tCommonEscort ), "T-TST2", kStartPosition_G + teamID,
								fChildActor->mGetCustomID(), 0, 0, -1, -1,
								gCustomNames[fChildActor->mGetCustomID() - kFirstShip] );
		}
	}
}
void tCommonEscortBaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonEscortBaseState::mOnDisengaged( tShipInfo* ship )
{
	if ( !ship )
		return;

	eTeamID		teamID = ship->mGetTeam();
	tTeamInfo*	team = fMissionInfo->mGetTeamHandle( teamID );

	Assert( team );
	if ( !team )
		return;

	if ( fChildActor->mGetTeam() == teamID )
	{
		if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
		{
			team->mCreateShip(	typeid( tCommonEscort ), "T-TST2", kStartPosition_G + teamID,
								fChildActor->mGetCustomID(), 0, 0, -1, -1,
								gCustomNames[fChildActor->mGetCustomID() - kFirstShip] );
		}
	}
}
void tCommonEscortBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonEscortBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonEscortBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonEscortBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonEscortBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonEscortBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonEscortBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonEscortBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonEscortBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonEscortBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEscortBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEscortBaseState::mOnFlashingButtonPressed()
{}
void tCommonEscortBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonEscortBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonEscortBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonEscortBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonEscortBaseState::mOnHostChanged()
{}
void tCommonEscortBaseState::mOnTimedInterval( int32 timerID )
{}
void tCommonEscortBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonEscortBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


