/********************************************************************************************************\

	File Name:	CommonCarrierBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonCarrier.h"
#include "CommonCarrierBaseState.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonCarrierBaseState::mBeginState()
{}
void tCommonCarrierBaseState::mEndState()
{}

void tCommonCarrierBaseState::mOnDeath( tShipInfo* ship )
{
	if ( !ship )
		return;

	eTeamID		teamID = ship->mGetTeam();
	tTeamInfo*	team = fMissionInfo->mGetTeamHandle( teamID );

	Assert( team );
	if ( !team )
		return;

	if ( fChildActor->mGetTeam() == teamID )
	{
		if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
		{
			team->mCreateShip(	typeid( tCommonCarrier ), "T-TST4", kStartPosition_G + teamID,
								fChildActor->mGetCustomID(), 0, 0, -1, -1,
								gCustomNames[fChildActor->mGetCustomID() - kFirstShip] );
		}
	}
}
void tCommonCarrierBaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonCarrierBaseState::mOnDisengaged( tShipInfo* ship )
{
	if ( !ship )
		return;

	eTeamID		teamID = ship->mGetTeam();
	tTeamInfo*	team = fMissionInfo->mGetTeamHandle( teamID );

	Assert( team );
	if ( !team )
		return;

	if ( fChildActor->mGetTeam() == teamID )
	{
		if ( fChildActor->mGetCustomID() == ship->mGetCustomID() )
		{
			team->mCreateShip(	typeid( tCommonCarrier ), "T-TST4", kStartPosition_G + teamID,
								fChildActor->mGetCustomID(), 0, 0, -1, -1,
								gCustomNames[fChildActor->mGetCustomID() - kFirstShip] );
		}
	}
}
void tCommonCarrierBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonCarrierBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonCarrierBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonCarrierBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonCarrierBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonCarrierBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonCarrierBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonCarrierBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonCarrierBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonCarrierBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonCarrierBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonCarrierBaseState::mOnFlashingButtonPressed()
{}
void tCommonCarrierBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonCarrierBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonCarrierBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tCommonCarrierBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonCarrierBaseState::mOnHostChanged()
{}
void tCommonCarrierBaseState::mOnTimedInterval( int32 timerID )
{}
void tCommonCarrierBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonCarrierBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


