//	<Name>	MissionMaps.cpp
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MissionMaps.h"

int32 TotalMaps = 3;
const char* MapTypes[] = { "Clear Map", "Asteroid Map", "Planet Map" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Clear Map",
   "// Clear Map",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|..............H.........I...............|",
   " |...............h.......i................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|.........Gg.................jJ..........|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |...............l.......k................|",
   "5|..............L.........K...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Asteroid Map",
   " +____1____2____3____4____5____6____7____8+",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   "1|....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   "2|....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   "3|....A.........H....A....I.........A.....|",
   " |....A..........h...A...i..........A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   "4|....A....Gg........A........jJ....A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..........l...A...k..........A.....|",
   "5|....A.........L....A....K.........A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   "6|....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   "7|....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   " |....A..............A..............A.....|",
   "8|....A..............A..............A.....|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Planet Map",
   " +____1____2____3____4____5____6____7____8+",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "3|..............H.........I...............|",
   " |...............h.......i................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "4|.........Gg........9........jJ..........|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |...............l.......k................|",
   "5|..............L.........K...............|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};
