/********************************************************************************************************\

	Mission:	Test Network Scenario 5
	Script:		"Tst_NetScene5"
	Descript:	Multiplayer test -- 3 carriers

	Created by:		Daniel J. Suleski	06/19/00
	Last Updated:	<LOG>


\********************************************************************************************************/
#include "MissionText.h"
#include "MissionMaps.h"
#include "Tst_NetScene5.h"
#include "CommonTeam.h"
#include "WorldConditions.h"

#include "teamtracker.h"
#include "scriptstructs.h"
DEFINE_SCRIPT_CLASS( tTst_NetScene5 );



tTst_NetScene5::tTst_NetScene5()
{}

tVictoryCondition* tTst_NetScene5::mSetupVictoryCondition()
{
	return NULL;
}

//Register all you states here. Then mGotoState on the first state to run
void tTst_NetScene5::mSetupState()
{}

//Register all you comm states here. 
void tTst_NetScene5::mSetupCommState()
{}

//---------------------------------------------------------------------------------------------
// called by script interface - 
// should return whatever team is considered to be the primary enemy
int32 tTst_NetScene5::mGetEnemyTeamID( void )
{
	return fPlayersTeam;
}

//---------------------------------------------------------------------------------------------
// returns mission specs used by Dynaverse to build campaigns
void tTst_NetScene5::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kMultiplayerMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fSectorType = kAllSectors;
	Specs->fPlayerRace = kSpecAnyRace;
	Specs->fEnemyRace = kSpecAnyRace;
	Specs->fNumShips = kMissSpecNoShip;
	Specs->fMinBPV = 0;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 9999;
	Specs->fMaxDate = 9999;
	Specs->fWait = 6;
	Specs->fMenuStates = kNoMenuButtons;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Team 1",
												kTeam1,
												0.0f,
												kTrue,
												kPlayableTeam,
												0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Team 2",
												kTeam2,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Team 3",
												kTeam3,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team4 = mCreateTeamSpec(	"Team 4",
												kTeam4,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team5 = mCreateTeamSpec(	"Team 5",
												kTeam5,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	const tTeamSpec& team6 = mCreateTeamSpec(	"Team 6",
												kTeam6,
												0.0f,
												kFalse,
												kPlayableTeam,
												0.0f,
												tTeamSpec::tStrength(	0, 0,
																		kClassFrigate,
																		kClassFrigate,
																		0, 300 ),
												kSpecAnyRace,
												kAnyRace,
												typeid( tCommonTeam ) );

	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
	Specs->mSetupTeam( team4 );
	Specs->mSetupTeam( team5 );
	Specs->mSetupTeam( team6 );
}

//---------------------------------------------------------------------------------------------
// called at the start of mission initialization - use to set prestige points 
// and override mission defaults such as:
//		allied race
//		enemy race
//		system name
// and also returns map index to use
int32 tTst_NetScene5::mInitializeStart( tDynaverseScriptInfo& info )
{
	// pick a map
	return 1;
}

//---------------------------------------------------------------------------------------------
// called to create ships before or during the mission
// Mode is user supplied value( expect for 0, which is initial setup call )
void tTst_NetScene5::mCreateExternalShips( int32 Mode )
{}

//---------------------------------------------------------------------------------------------
// called at the end of mission initialization - use to return briefing message
int32 tTst_NetScene5::mInitializeFinished( void )
{
	// return the index to the briefing message we want to use
	return( kBriefing_msg );
}

//---------------------------------------------------------------------------------------------
// called whenever a ship is created after a mission has already started
void tTst_NetScene5::mNewInternalShip( tShipInfo* Ship )
{}

//---------------------------------------------------------------------------------------------
// called at end of mission only if player is still alive
void tTst_NetScene5::mGetDebriefingList( eVictoryLevels VictoryLevel )
{}

//---------------------------------------------------------------------------------------------
// called at the end of every mission
int32 tTst_NetScene5::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}

void tTst_NetScene5::mStartMission()
{
	tScript::mStartMission();


	const int kRelationsCount = 6;
	int32 tagList[kRelationsCount] =
	{
		kTagA,
		kTagB,
		kTagC,
		kTagD,
		kTagE,
		kTagF,
	};

	std::string relationships[kRelationsCount][kRelationsCount] =
	{
		//		 A     B     C     D     E     F
		/*A   */ "AI", "WD", "WD", "WD", "WD", "WD",
		/*B   */ "WD", "AI", "WD", "WD", "WD", "WD",
		/*C   */ "WD", "WD", "AI", "WD", "WD", "WD",
		/*D   */ "WD", "WD", "WD", "AI", "WD", "WD",
		/*E   */ "WD", "WD", "WD", "WD", "AI", "WD",
		/*F   */ "WD", "WD", "WD", "WD", "WD", "AI",
	};

	fMissionInfo->mSetTagRelations( tagList, ( std::string* )relationships, kRelationsCount );
}

void tTst_NetScene5::mNewTeam( const tTeamScriptDescription& teamScriptDescription )
{
	switch ( teamScriptDescription.fTeamTag )
	{
	case kTagA:
	case kTagB:
	case kTagC:
	case kTagD:
	case kTagE:
	case kTagF:
		{
			mMission()->mSetupTeam(	teamScriptDescription.fTeam,
									teamScriptDescription.fTeamTag,
									teamScriptDescription.fRace,
									teamScriptDescription.fHumanControlled,
									typeid( tCommonTeam ) );
		}
		break;
	}
}
