/********************************************************************************************************\

	File Name:	EnemyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "EnemyTeam.h"
#include "EnemyTeamState.h"
#include "worldconditions.h"
#include "EnemyShip.h"
#include "CommonVictory.h"

tClassAllocator<tEnemyTeam> gEnemyTeamAllocator;

tEnemyTeam::tEnemyTeam()
{
	fDied = kFalse;
}

void tEnemyTeam::mSetupState()
{
	mRegisterState( new tEnemyTeamState() );
	mGotoState( typeid( tEnemyTeamState ) );
}

void tEnemyTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tEnemyTeam::mSetupCommState()
{}

void tEnemyTeam::mCreateShipsForTeam()
{
	// Was going to do this on a timer, but the introduction
	// of a human-playable team made that useless since
	// bad guys are there from the get-go

	mCreateBadGuys();
}

void tEnemyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{}


// Balance NPC enemy team for type of base
void tEnemyTeam::mCreateBadGuys()
{
	eClassTypes baseType	= gWC.mGetBaseType();
	int32 EnemyStart		= kStartPosition_L;


	switch( baseType )
	{
	case kClassBaseStation:
		{
			mCreateShip( typeid( tEnemyShip ),
						 140,
						 kClassLightCruiser,
						 0,
						 EnemyStart,
						 kEnemy1,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );

			mCreateShip( typeid( tEnemyShip ),
						 110,
						 kClassDestroyer,
						 0,
						 EnemyStart,
						 kEnemy2,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );

		}
		break;

	case kClassBattleStation:
		{
			mCreateShip( typeid( tEnemyShip ),
						 165,
						 kClassHeavyCruiser,
						 0,
						 EnemyStart,
						 kEnemy1,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );

			mCreateShip( typeid( tEnemyShip ),
						 140,
						 kClassLightCruiser,
						 0,
						 EnemyStart,
						 kEnemy2,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );

		}
		break;

	case kClassStarBase:
		{
			mCreateShip( typeid( tEnemyShip ),
						 170,
						 kClassHeavyCruiser,
						 0,
						 EnemyStart,
						 kEnemy1,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );

			mCreateShip( typeid( tEnemyShip ),
						 170,
						 kClassHeavyCruiser,
						 0,
						 EnemyStart,
						 kEnemy2,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );

			mCreateShip( typeid( tEnemyShip ),
						 140,
						 kClassLightCruiser,
						 0,
						 EnemyStart,
						 kEnemy3,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );
		}
		break;

	default:
		{
			mCreateShip( typeid( tEnemyShip ),
						 140,
						 kClassLightCruiser,
						 0,
						 EnemyStart,
						 kEnemy1,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );

			mCreateShip( typeid( tEnemyShip ),
						 110,
						 kClassDestroyer,
						 0,
						 EnemyStart,
						 kEnemy2,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );

		}
		break;
	}
}