/********************************************************************************************************\

	File Name:	EnemyTeam2.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "EnemyTeam2.h"
#include "CommonVictory.h"
#include "EnemyShip2.h"
#include "Enemy2State.h"
#include "ShipScriptDescription.h"
#include "MissionText.h"
#include "worldconditions.h"

tClassAllocator<tEnemyTeam2> gEnemyTeam2Allocator;

tEnemyTeam2::tEnemyTeam2()
{
	fDied = kFalse;
}

void tEnemyTeam2::mSetupState()
{
	mRegisterState( new tEnemy2State() );
	mGotoState( typeid( tEnemy2State ) );
}

void tEnemyTeam2::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tEnemyTeam2::mSetupCommState()
{}

void tEnemyTeam2::mCreateShipsForTeam()
{}

void tEnemyTeam2::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemyTeam2::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	switch( victoryLevel )
	{
	case kAstoundingVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kAstoundingVictory_msg );
		break;

	case kVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kVictory_msg );
		break;

	case kDraw:
		fMissionInfo->mAddToDebriefingList( fTeam, kDraw_msg );
		break;

	case kDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kDefeat_msg );
		break;	

	case kDevastatingDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kDevastatingDefeat_msg );
		break;

	default:
		fMissionInfo->mAddToDebriefingList( fTeam, kUnknown_msg );
		break;
	}

	if( gWC.mBaseDied() )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kKilledbase_msg );
	}
	else
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kBaseNotKilled_msg );
	}

}

void tEnemyTeam2::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	mCreateShip( typeid( tEnemyShip2 ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_L,
				 shipScriptDescription.fMetaDatabaseID,
				 -1, 0, 0, -1,
				 -1, 
				 shipScriptDescription.fCustomName.c_str(),
				 kDefaultShipOptions );
}

