/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

		//
	//	Mission Title
	//
	
	//	kMissionTitle_msg,
	"Met_StarbaseConstruction",

	//kTitle2
	"Bau einer Raumbasis",

	//kTitle3
	"Angriff auf Raumbasis",

	//
	//	Briefing message
	//

	//kBriefing_Fed
	"Von: Sternenflottenkommando, San Francisco, Erde\n" \
	"An:   [PLAYER_RANK] [PLAYER_NAME]\n" \
	"Betr.: Bau einer Raumbasis\n\n" \

	"Fliegen Sie sofort nach [SYSTEM_NAME], wo Sie fr die Sicherheit beim Bau " \
	"einer fast fertig gestellten neuen Raumbasis sorgen sollen.\n" \
	
	"Sie sollten wissen, dass der Geheimdienst der Sternenflotte Grund zu der Annahme hat, dass der Gegner " \
	"von der Basis erfahren hat und einen Angriff darauf starten knnte, bevor sie ihre Funktion aufnehmen kann.",

	//kBriefing_Kli
	"Von: Marinekommando des Imperiums, Klinzhai\n" \
	"An:   [PLAYER_RANK] [PLAYER_NAME]\n" \
	"Betr.: Bau einer Raumbasis\n\n" \

	"Fliegen Sie sofort nach [SYSTEM_NAME], wo Sie fr die Sicherheit beim Bau " \
	"einer fast fertig gestellten neuen Raumbasis sorgen werden.\n" \
	
	"Sie sollten wissen, dass der Geheimdienst des Imperiums Grund zu der Annahme hat, dass der Gegner " \
	"von der Basis erfahren hat und einen Angriff darauf starten knnte, bevor sie ihre Funktion aufnehmen kann.",


	//kBriefing_Rom
	"Von: Oberkommando des Imperiums\n" \
	"An:   [PLAYER_RANK] [PLAYER_NAME]\n" \
	"Betr.: Bau einer Raumbasis\n\n" \

	"Fliegen Sie sofort nach [SYSTEM_NAME], wo Sie fr die Sicherheit beim Bau " \
	"einer fast fertig gestellten neuen Raumbasis sorgen sollen.\n" \
	
	"Sie sollten wissen, dass der Geheimdienst des Imperiums Grund zu der Annahme hat, dass der Gegner " \
	"von der Basis erfahren hat und einen Angriff darauf starten knnte, bevor sie ihre Funktion aufnehmen kann.",


	//kBriefing_Other
	"Fliegen Sie sofort nach [SYSTEM_NAME], wo Sie fr die Sicherheit beim Bau " \
	"einer fast fertig gestellten neuen Raumbasis sorgen sollen.\n" \
	
	"Sie sollten wissen, dass der militrische Geheimdienst Grund zu der Annahme hat, dass der Gegner " \
	"von der Basis erfahren hat und einen Angriff darauf starten knnte, bevor sie ihre Funktion aufnehmen kann.",


	//kBriefing_Attacker
	"Der Geheimdienst hat erfahren, dass der Gegner in diesem Sektor eine neue Raumbasis baut. " \
	"Fliegen Sie sofort nach [SYSTEM_NAME] und zerstren Sie diese Basis, bevor das Gebiet befestigt werden kann.\n\n" \
	"Viel Glck.\n",



	//kCaptainsLog_msg
	"Logbuch des [PLAYER_RANK]s, Sternendatum [STARDATE]: Die [PLAYER_SHIP_NAME] berwacht zurzeit " \
	"die letzte Phase beim Bau der Raumbasis in [SYSTEM_NAME].",

	//kSitrep_msg
	"Kommunikationsoffizier: [PLAYER_RANK], Nachricht von der Basis: Alle Systeme sind einsatzbereit. Sie knnen " \
	"jederzeit ber das Flottenkontrollsystem das Kommando bernehmen.\n\n",

	//kAttackersSighted_msg
	"Wissenschaftsoffizier: [PLAYER_RANK], Sensoren zeigen mehrere gegnerische Kriegsschiffe im Anflug; sie kommen rasch nher!\n" \

	"[PLAYER_NAME]: Alle Mann auf die Kampfstationen.\n\n",	


	//kCaptainsLog_Attacker
	"Logbuch des [PLAYER_RANK]s, Sternendatum [STARDATE]. Wir sind auf dem Weg nach [SYSTEM_NAME], um eine neu gebaute gegnerische " \
	"Raumbasis zu zerstren.\n",

	//kSitrep_Attacker
	"Erster Offizier: Nhern uns der Basis, [PLAYER_RANK].",


	//
	//	Victory rating
	//

	//kAstoundingVictory_msg,
	"Groartiger Sieg\n\n",

	//kVictory_msg,
	"Sieg\n\n",
	
	//kDraw_msg,
	"Unentschieden\n\n",

	//kDefeat_msg,
	"Niederlage\n\n",

	//kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//kUnknown_msg,
	"Trennen\n\n",

	//kLostBase_msg,
	"Der Verlust dieser Basis ist ein schwerer Schlag fr uns. Wir knnen nur hoffen, dass dieser Sektor " \
	"jetzt nicht dem Gegner in die Hnde fllt.\n",

	//kSavedBase_msg
	"Gute Arbeit. Diese neue Raumbasis spielt eine wichtige Rolle beim Erhalt der Sicherheit in unserem Weltraum.\n",

	//kKilledbase_msg,
	"Gute Arbeit! Eine Raumbasis zu besiegen ist keine leichte Aufgabe. Sie haben sich eine Erholung und unseren Dank verdient.\n",

	//kBaseNotKilled_msg
	"Leider haben Sie Ihre Aufgabe, die gegnerische Raumbasis zu zerstren, nicht erfllt. Wir mssen " \
	"unsere Bemhungen zur Eroberung dieses Sektors jetzt verdoppeln.\n",
#else
	//
	//	Mission Title
	//
	
	//	kMissionTitle_msg,
	"Met_StarbaseConstruction",

	//kTitle2
	"Starbase Construction",

	//kTitle3
	"Starbase Attack",

	//
	//	Briefing message
	//

	//kBriefing_Fed
	"From: Starfleet Command, San Fransisco, Earth\n" \
	"To:   [PLAYER_RANK] [PLAYER_NAME]\n" \
	"Subj: Starbase construction\n\n" \

	"Proceed at once to [SYSTEM_NAME], where you will provide security during the final stages " \
	"of construction of a new starbase.\n" \
	
	"Be advised that Starfleet Intelligence has reason to believe that the enemy has " \
	"learned of the base, and may stage an attack before it can be brought online.",

	//kBriefing_Kli
	"From: Imperial Navy Command, Klinzhai\n" \
	"To:   [PLAYER_RANK] [PLAYER_NAME]\n" \
	"Subj: Starbase construction\n\n" \

	"Proceed at once to [SYSTEM_NAME], where you will provide security during the final stages " \
	"of construction of a new starbase.\n" \
	
	"Be advised that Imperial Intelligence has reason to believe that the enemy has " \
	"learned of the base, and may stage an attack before it can be brought online.",


	//kBriefing_Rom
	"From: Imperial Command\n" \
	"To:   [PLAYER_RANK] [PLAYER_NAME]\n" \
	"Subj: Starbase construction\n\n" \

	"Proceed at once to [SYSTEM_NAME], where you will provide security during the final stages " \
	"of construction of a new starbase.\n" \
	
	"Be advised that Imperial Intelligence has reason to believe that the enemy has " \
	"learned of the base, and may stage an attack before it can be brought online.",


	//kBriefing_Other
	"Proceed at once to [SYSTEM_NAME], where you will provide security during the final stages " \
	"of construction of a new starbase.\n" \
	
	"Be advised that Military Intelligence has reason to believe that the enemy has " \
	"learned of the base, and may stage an attack before it can be brought online.",


	//kBriefing_Attacker
	"Intelligence has learned that the enemy is building a new Starbase in this sector. " \
	"Proceed at once to [SYSTEM_NAME] and destroy this base before the are can be fortified.\n\n" \
	"Good luck.\n",



	//kCaptainsLog_msg
	"[PLAYER_RANK]'s Log, stardate [STARDATE]: [PLAYER_SHIP_NAME] is currently overseeing " \
	"the final construction stages of the starbase in [SYSTEM_NAME].",

	//kSitrep_msg
	"Communications Officer: [PLAYER_RANK], message from the base: all systems are online. You can " \
	"take command at any time by using the fleet control system.\n\n",

	//kAttackersSighted_msg
	"Science Officer: [PLAYER_RANK], sensors show multiple enemy warships inbound, closing fast!\n" \

	"[PLAYER_NAME]: All hands to battlestations.\n\n",	


	//kCaptainsLog_Attacker
	"[PLAYER_RANK]'s Log, stardate [STARDATE]. We're en route to [SYSTEM_NAME] to destroy a newly-constructed " \
	"enemy starbase.\n",

	//kSitrep_Attacker
	"First Officer: Approaching the base, [PLAYER_RANK].",


	//
	//	Victory rating
	//

	//kAstoundingVictory_msg,
	"Astounding Victory\n\n",

	//kVictory_msg,
	"Victory\n\n",
	
	//kDraw_msg,
	"Draw\n\n",

	//kDefeat_msg,
	"Defeat\n\n",

	//kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//kUnknown_msg,
	"Disconnect\n\n",

	//kLostBase_msg,
	"The loss of this base was a great defeat for us. We can only hope that this sector will not fall " \
	"to the enemy.\n",

	//kSavedBase_msg
	"Well done. This new starbase will go a long way towards preserving the security of our space.\n",

	//kKilledbase_msg,
	"Well done! Defeating a starbase is no small feat. You've earned yourself a rest, and our gratitude.\n",

	//kBaseNotKilled_msg
	"Unfortunately you failed in your mission to destroy the enemy Starbase. We will have to double our " \
	"efforts to take this sector.\n",
#endif
};

