/********************************************************************************************************\

	File Name:	PriTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PriTeam.h"
#include "PriTeamState.h"
#include "PriShip.h"
#include "ShipScriptDescription.h"
#include "worldconditions.h"
#include "CommonVictory.h"
#include "MissionText.h"

tClassAllocator<tPriTeam> gPriTeamAllocator;

tPriTeam::tPriTeam()
{
	fDied = kFalse;
	fBaseDied = kFalse;
}

void tPriTeam::mSetupState()
{
	mRegisterState( new tPriTeamState() );
	mGotoState( typeid( tPriTeamState ) );
}

void tPriTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tPriTeam::mSetupCommState()
{}

void tPriTeam::mCreateShipsForTeam()
{

}

void tPriTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPriTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	switch( victoryLevel )
	{
	case kAstoundingVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kAstoundingVictory_msg );
		break;

	case kVictory:
		fMissionInfo->mAddToDebriefingList( fTeam, kVictory_msg );
		break;

	case kDraw:
		fMissionInfo->mAddToDebriefingList( fTeam, kDraw_msg );
		break;

	case kDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kDefeat_msg );
		break;	

	case kDevastatingDefeat:
		fMissionInfo->mAddToDebriefingList( fTeam, kDevastatingDefeat_msg );
		break;

	default:
		{
			fMissionInfo->mAddToDebriefingList( fTeam, kUnknown_msg );
			return;
		}
		break;
	}

	if( fBaseDied )
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kLostBase_msg );
	}
	else
	{
		fMissionInfo->mAddToDebriefingList( fTeam, kSavedBase_msg );
	}

}

void tPriTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	if(	shipScriptDescription.fClassType == kClassBaseStation	||
		shipScriptDescription.fClassType == kClassBattleStation ||
		shipScriptDescription.fClassType == kClassStarBase
	  )
	{
	 	gWC.mSetBaseType( shipScriptDescription.fClassType );
		gWC.mSetBaseID( shipScriptDescription.fMetaDatabaseID );

		mCreateShip( typeid( tPriShip ), 
			 shipScriptDescription.fClassName.c_str(), 
			 kStartPosition_G,
			 shipScriptDescription.fMetaDatabaseID,
			 -1, 0, 0, -1,
			 kBase, 
			 shipScriptDescription.fCustomName.c_str(),
			 kDefaultShipOptions );
	}

	else
	{
		mCreateShip( typeid( tPriShip ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_G,
				 shipScriptDescription.fMetaDatabaseID,
				 -1, 0, 0, -1,
				 -1, 
				 shipScriptDescription.fCustomName.c_str(),
				 kDefaultShipOptions );
	}
}

