/********************************************************************************************************\

	File Name:	PriTeamState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PriTeamState.h"
#include "MissionText.h"
#include "Tst_ScottsTest.h"

void tPriTeamState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kLog_timer, 0.1f );
	mSetTimedInterval( kTimerTurnsSet, kSitrep_timer, 0.3f );
	mSetTimedInterval( kTimerTurnsSet, kBaseReady_timer, 0.8f );
}

void tPriTeamState::mEndState()
{}

void tPriTeamState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo* priTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPriTeam ) );
	ASSERT( priTeam );
	if( !priTeam ) return;

	switch( timerID )
	{
	case kLog_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPriTeam ), kCaptainsLog_msg, kNonCommScriptMessage );			
		}
		break;

	case kSitrep_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPriTeam ), kSitrep_msg );
		}
		break;

	case kBaseReady_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPriTeam ), kAttackersSighted_msg );
		}
		break;

	default:
		break;
	}
}

void tPriTeamState::mOnDeath( tShipInfo* ship )
{}
void tPriTeamState::mOnCapture( tShipInfo* ship )
{}
void tPriTeamState::mOnDisengaged( tShipInfo* ship )
{}
void tPriTeamState::mAtDistance( tShipInfo* ship )
{}
void tPriTeamState::mAtDestination( tShipInfo* ship )
{}
void tPriTeamState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPriTeamState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPriTeamState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPriTeamState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPriTeamState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPriTeamState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPriTeamState::mOnEndOrbit( tShipInfo* ship )
{}
void tPriTeamState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPriTeamState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPriTeamState::mOnFlashingButtonPressed()
{}
void tPriTeamState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPriTeamState::mOnChangingShip( tShipInfo* ship )
{}
void tPriTeamState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPriTeamState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPriTeamState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPriTeamState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPriTeamState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPriTeamState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPriTeamState::mOnHostChanged()
{}

void tPriTeamState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPriTeamState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

