/********************************************************************************************************\

	File Name:	PropTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PropTeam.h"
#include "PropTeamState.h"
#include "PropFreighter.h"
#include "PropPod.h"
#include "CommonVictory.h"

tClassAllocator<tPropTeam> gPropTeamAllocator;

void tPropTeam::mSetupState()
{
	mRegisterState( new tPropTeamState() );
	mGotoState( typeid( tPropTeamState ) );
}

void tPropTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommonVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tPropTeam::mSetupCommState()
{}

void tPropTeam::mCreateShipsForTeam()
{
	// freighters
	mCreateShip( typeid( tPropFreighter ),
				 150,
				 kClassFreighter,
				 0,
				 kStartPosition_I,
				 -1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tPropFreighter ),
				 150,
				 kClassFreighter,
				 0,
				 kStartPosition_I,
				 -1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tPropFreighter ),
				 150,
				 kClassFreighter,
				 0,
				 kStartPosition_I,
				 -1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

// cargo pods

	int32 totalPods = 6;
	int32 nCurrentID = kBox1;

	for( int32 curPod = 0; curPod < totalPods; curPod++ )
	{
		mCreateShip( typeid( tPropPod ),
					 "X-BOX",
					 kStartPosition_H,
					 kNoMetaShipID,
					 nCurrentID,
					 0,0,0,0,
					 NULL,
					 kDefaultShipOptions );

		nCurrentID++;
	}				
}

void tPropTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPropTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{

}

