//	<Name>	Command190VictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Command190VictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Tut_Command190.h"
#include "Command190Victory.h"
#include "MissionText.h"
#include "TargetTeam.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamLoserState.h"

              
tCommand190VictoryState::tCommand190VictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tCommand190Victory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{
	fTargetsInPlay = 3;
	fPlayerShipsInPlay = 1;
	fLoser = true;
}

void tCommand190VictoryState::mBeginState()
{

}

void tCommand190VictoryState::mEndState()
{
}

eVictoryLevels tCommand190VictoryState::mCalcVictoryStatus( eTeamID ID )
{



	if( !fLoser )
	{
		return kAstoundingVictory;
	}
	else
	{
		return kDevastatingDefeat;
	}




}
int32 tCommand190VictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = 0;

	tShipIterator ship = teamID->mGetFirstShip();
	tShipInPlayEval inPlayEval;
	ship.mAddEvaluator( &inPlayEval );
	tShipInfo* shipToCheck = *ship;


	for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship) )
	{
		teamShipsInPlay++;
	}

	return teamShipsInPlay++;


}
void tCommand190VictoryState::mCheckAllTeams( tShipInfo* ship )
{

	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTargetTeam ) );

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	


	if( ship->mGetTeam() == kTargetTeam )
	{
		fTargetsInPlay = mShipsInPlay( targetTeam );
//		fMissionInfo->mAddToBonusPrestige( 3 );
	}
	else if( ship->mGetTeam() == ( playerTeam->mGetTeam() ) )
	{
		fPlayerShipsInPlay = mShipsInPlay( playerTeam );
	}
	if( fTargetsInPlay == 0 )
	{
		mSetTimedInterval( kTimerSecondsSet, kAllTargetsDestroyedID, 5.0f );
	}
	if( fPlayerShipsInPlay == 0 )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam,  kPlayerLoses );
		fLoser = true;
	}

}
void tCommand190VictoryState::mOnDeath( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}
void tCommand190VictoryState::mOnCapture( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}

void tCommand190VictoryState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );

	if ( ( ship->mGetTeam() ) == ( playerTeam->mGetTeam() ) ) 
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam,  kPlayerLoses );
	}

}
void tCommand190VictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{
	if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamLoserState ) &&
		eventType == kStartingNewState )
	{
		fLoser = true;
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam,  kPlayerLoses );
	}
}
void tCommand190VictoryState::mOnTimedInterval( int32 timerID )
{
	if( timerID == fWinnerID )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam,  kPlayerWins );
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( 0 )//fMissionInfo->mVoiceSampleStillPlaying() != 0 )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, fWinnerID, 1.0f );
		}
	}
	else if( timerID == kAllTargetsDestroyedID )
	{
		fMissionInfo->mPlayVoiceSample( kSndTut1_Complete, kTrue );
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_Complete_msg, kScienceScriptMessage );
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
		fLoser = false;
	}

}