//	<Name>	Command190VictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( Command190VictoryState_h )
#define Command190VictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "Command190Victory.h"

class tCommand190VictoryState : public tChildActorVictoryState<tCommand190Victory>
{
public:
   enum eTimeIDs
   {
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kTookToLongID,
		kFirstBoxDestroyedID,
		fWinnerID,
		kAllTargetsDestroyedID,
   };

   tCommand190VictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );
	virtual void mOnTimedInterval( int32 timerID );

	virtual void mCheckAllTeams( tShipInfo* ship );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );

protected:

	int32 fTargetsInPlay;
	int32 fPlayerShipsInPlay;
	bool fLoser;

};

#endif

