//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "Tut_Command190.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"
#include "PlayerTeamLoserState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fTargetDamaged = false;
	fFirstTargetDestroyed = false;
	fPlayedFirstTargetMessage = false;
	fTookToLong = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 2.0f );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tShipInfo* firstTarget;

	tShipInfo* secondTarget;

	tShipInfo* thirdTarget;

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	tShipIterator ship = playerTeam->mGetFirstShip();
//	tShipInPlayEval inPlayEval;
//	ship.mAddEvaluator( &inPlayEval );
	tShipInfo* playerShip = *ship;	
	
	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTargetTeam ) );
	if( targetTeam )
	{
		ship = targetTeam->mGetFirstShip();
		firstTarget = *ship;
		++ship;
		secondTarget = *ship;
		++ship;
		thirdTarget = *ship;
	}

	if( timerID == kTookToLongID )
	{
		fTookToLong = true;
	}
	else if( timerID == kFirstBoxDestroyedID )
	{
		fFirstTargetDestroyed = true;
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				playerShip->mSetAlertStatus( kAlertRed );
				fChapter++;
			break;
			case 1:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere2_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 2:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere3_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 4.0f );
				fChapter++;
			break;
			case 3:
				fMissionInfo->mPlayVoiceSample( kSndTut1_Welcome, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_Welcome_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
				fChapter++;
			break;
			case 4:
				fMissionInfo->mPlayVoiceSample( kSndTut1_Fundamentals , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_Fundamentals_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 5:
				fMissionInfo->mPlayVoiceSample( kSndTut1_Turn , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_Turn_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 8.0f );
				fChapter++;
			break;
			case 6:
				fMissionInfo->mPlayVoiceSample( kSndTut1_TurnExplained, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_TurnExplained_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
				fChapter++;
			break;
			case 7:
				fMissionInfo->mPlayVoiceSample( kSndTut1_IntroToPhaser, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_IntroToPhaser_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
				fChapter++;
			break;
			case 8:
				fMissionInfo->mPlayVoiceSample( kSndTut1_TargetContainer , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_TargetContainer_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 17.0f );
				fChapter++;
			break;
			case 9: //NOTE Timing is critical.  If this is called before target is created will cause crash
				if ( ( ( playerShip->mGetShipTargetID() ) == ( firstTarget->mGetShipID() ) )
				|| ( ( playerShip->mGetShipTargetID() ) == ( secondTarget->mGetShipID() ) )
				|| ( ( playerShip->mGetShipTargetID() ) == ( thirdTarget->mGetShipID() ) ) )
				{
					fChapter += 3;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut1_TargetHelp, kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_TargetHelp_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
					mSetTimedInterval( kTimerTurnsSet, kTookToLongID, 1.0f );
					fChapter++;
				}
			break;
			case 10:
				if ( ( ( playerShip->mGetShipTargetID() ) == ( firstTarget->mGetShipID() ) )
				|| ( ( playerShip->mGetShipTargetID() ) == ( secondTarget->mGetShipID() ) )
				|| ( ( playerShip->mGetShipTargetID() ) == ( thirdTarget->mGetShipID() ) ) )
				{
					fChapter += 2;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else if( ! fTookToLong )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					fChapter++;
					fTookToLong = false;
				}
			break;
			case 11:
				if ( ( ( playerShip->mGetShipTargetID() ) == ( firstTarget->mGetShipID() ) )
				|| ( ( playerShip->mGetShipTargetID() ) == ( secondTarget->mGetShipID() ) )
				|| ( ( playerShip->mGetShipTargetID() ) == ( thirdTarget->mGetShipID() ) ) )
				{
					fChapter++;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
				}
			break;
			case 12:
				mSetTimedInterval( kTimerKillTimer, kTookToLongID, 0.1f );
				fMissionInfo->mPlayVoiceSample( kSndTut1_FireWeapons , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_FireWeapons_msg, kScienceScriptMessage );
				fMissionInfo->mStartFlashingButton( "PLASMA_FIRE" );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 17.0f );
				fChapter++;
			break;
			case 13:
				if( fFirstTargetDestroyed )
				{
					fChapter = 17;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut1_DestroyTargets, kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_DestroyTargets_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 17.0f );
					fChapter++;
				}
			break;
			case 14:
				if( fFirstTargetDestroyed )
				{
					fChapter = 17;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else if( fTargetDamaged )
				{
					fChapter += 3;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut1_FireHelp , kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_FireHelp_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
					mSetTimedInterval( kTimerTurnsSet, kTookToLongID, 1.0f );
					fChapter++;
				}
			break;
			case 15:
				if( fFirstTargetDestroyed )
				{
					fChapter = 17;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else if( fTargetDamaged )
				{
					fChapter += 2;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else if( ! fTookToLong )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					fChapter++;
					fTookToLong = false;
				}
			break;
			case 16:
				if( fFirstTargetDestroyed )
				{
					fChapter = 17;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else if  ( fTargetDamaged )
				{
					fChapter++;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
				}
			break;
			case 17:
				if( fFirstTargetDestroyed )
				{
					if( ! fPlayedFirstTargetMessage )
					{
						fMissionInfo->mPlayVoiceSample( kSndTut1_NeedlessDestruction , kTrue );
						fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut1_NeedlessDestruction_msg, kScienceScriptMessage );
						fPlayedFirstTargetMessage = true;
					}
				}
		}
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 1.0f );
		}
	}

	
}
void tPlayerTeamInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* targetTeam= fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTargetTeam ) );

	if ( damagedShip->mGetTeam() == targetTeam->mGetTeam() )
	{
		fTargetDamaged = true;
	}
	damagedShip->mSetShipCallbackEvents( kNotifyDamage );
}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* targetTeam= fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTargetTeam ) );

	if ( ship->mGetTeam() == targetTeam->mGetTeam() )
	{
		fTargetDamaged = true;
		if( fFirstTargetDestroyed == false )
		{
			mSetTimedInterval( kTimerSecondsSet, kFirstBoxDestroyedID, 1.0f );
		}
	}
}
