/********************************************************************************************************\

	Mission:	Command 190 Basic Controls
	Script:		"Tut_Command190"
	Descript:	Basic Controls

	Created by:		David Ferrell		04/11/2000
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG> it's big it's heavy... you know the rest

\********************************************************************************************************/

#include "Tut_Command190.h"

#include "MissionText.h"
#include "MissionMaps.h"

#include "VictoryCondition.h"
#include "PlayerTeam.h"
#include "TargetTeam.h"
#include "Command190Victory.h"

DEFINE_SCRIPT_CLASS( tTut_Command190 );

tTut_Command190::tTut_Command190()
{
}

//---------------------------------------------------------------------------------------------
// returns mission specs used by Dynaverse to build campaigns
void tTut_Command190::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kTutorialMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kShortBriefing_msg];
	Specs->fPlayerRace = kSpecFed;
	Specs->fEnemyRace = kSpecAnyRace;
	Specs->fNumShips = kMissSpecNoShip;
	Specs->fMinBPV = 0;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 0;
	Specs->fMaxDate = 99;
	Specs->fWait = kUniqueMission;
	Specs->fMenuStates = kNoMenuButtons;
	Specs->fBandwidthPart = kAllBand;
	Specs->fTutorialOrder = 1;
	Specs->fGenericFlags = kNoGenericFlags;

	// must create the teams in the script
	const tTeamSpec& team1 = mCreateTeamSpec(	"Team 1", static_cast< eTeamID>( kPlayerTeam ), 
													kMaxChance,
													kFalse,
													kPlayableTeam,
													kMaxChance,
													kSpecAnyRace,
													kAnyRace,
													typeid( tPlayerTeam ) );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Team 2", static_cast< eTeamID>( kTargetTeam ),
													kMaxChance,
													kFalse,
													kNPCTeam,
													kMaxChance,
													kSpecAnyRace,
													kAnyRace,
													typeid( tTargetTeam ) );

	//After teams are created set them up 
	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );

}

//---------------------------------------------------------------------------------------------
// called at the start of mission initialization - use to set prestige points 
// and override mission defaults such as:
//		allied race
//		enemy race
//		system name
// and also returns map index to use
int32 tTut_Command190::mInitializeStart( tDynaverseScriptInfo& info )
{
	// pick a map
	return 1;
}

void tTut_Command190::mCreateExternalShips( int32 Mode )
{}

//---------------------------------------------------------------------------------------------
// return kTrue if players ship should be created for this mission
iTruth tTut_Command190::mUsePlayerShip( tShipInGame& Ship )
{
	return kTrue;
}
//---------------------------------------------------------------------------------------------
// called at the end of mission initialization - use to return briefing message
int32 tTut_Command190::mInitializeFinished( void )
{
	return kBriefing_msg;
}

//---------------------------------------------------------------------------------------------
// called after all ships have been created and mission is ready to start.
// use to set callback events and change default ship configuration
void tTut_Command190::mStartMission( void )
{
	tScript::mStartMission();

	const int kRelationsCount = 2;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kTargetTeam,
	};


	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr = PlayersTeam,
		//Nme  = EnemyTeam,

		//	     Plyr  Nme
		/*Plyr*/ "--", "WD",
		/*Nme */ "AI", "--",
	};

	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}

//---------------------------------------------------------------------------------------------
// called whenever a ship is created after a mission has already started
void tTut_Command190::mNewInternalShip( tShipInfo* Ship )
{}


