//	<Name>	Command290VictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Command290VictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Tut_Command290.h"
#include "Command290Victory.h"
#include "MissionText.h"
#include "TargetTeam.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamLoserState.h"
#include "PlayerTeamFiredEarlyState.h"
              
tCommand290VictoryState::tCommand290VictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tCommand290Victory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{
	fTargetsInPlay = 5;
	fPlayerShipsInPlay = 1;
	fLoser = true;
}

void tCommand290VictoryState::mBeginState()
{

}

void tCommand290VictoryState::mEndState()
{
}

eVictoryLevels tCommand290VictoryState::mCalcVictoryStatus( eTeamID ID )
{

	if( !fLoser )
	{
		return kAstoundingVictory;
	}
	else
	{
		return kDevastatingDefeat;
	}

}
int32 tCommand290VictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = teamID->mShipsRemainingInPlay();

	return teamShipsInPlay;
}
void tCommand290VictoryState::mCheckAllTeams( tShipInfo* ship )
{

	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTargetTeam ) );

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );


	if( ship->mGetTeam() == kTargetTeam )
	{
		fTargetsInPlay = mShipsInPlay( targetTeam );
//		fMissionInfo->mAddToBonusPrestige( 3 );
	}
	else if( ship->mGetTeam() == ( playerTeam->mGetTeam() ) )
	{
		fPlayerShipsInPlay = mShipsInPlay( playerTeam );
	}
	if( fTargetsInPlay == 0 )
	{
		fLoser = false;
		fMissionInfo->mPlayVoiceSample( kSndTut2_Excellent, kTrue );
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut2_Excellent_msg, kScienceScriptMessage );
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
	}
	if( fPlayerShipsInPlay == 0 )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
		fLoser = true;
	}

}
void tCommand290VictoryState::mOnDeath( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}
void tCommand290VictoryState::mOnCapture( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}

void tCommand290VictoryState::mOnDisengaged( tShipInfo* ship )
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );

	if ( ( ship->mGetTeam() ) == ( playerTeam->mGetTeam() ) ) 
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
	}

}
void tCommand290VictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{
	if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamLoserState ) &&
		eventType == kStartingNewState )
	{
		fLoser = true;
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 5.0f );
	}
	else if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamFiredEarlyState ) &&
		eventType == kStartingNewState )
	{
		fLoser = true;
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 5.0f );
	}
}
void tCommand290VictoryState::mOnTimedInterval( int32 timerID )
{
	if( timerID == fWinnerID )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );
	}
	else if( timerID == fLoserID )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else if( fLoser )
		{
			mSetTimedInterval( kTimerSecondsSet, fLoserID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, fWinnerID, 1.0f );
		}
	}
}