/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//	kMissionTitle_msg,
	"Kommando 290:",

	//kShortBriefing_msg,
	"Kommando 290: Navigation fr Fortgeschrittene\n\n" \
	"Diese Simulation befasst sich mit weiteren grundlegenden Steuerungsmglichkeiten fr ein Raumschiff.\n\n" \
	"Behandelte Themen:\n\n" \
	"Alarmstufe Rot\n" \
	"Schubsteuerung\n" \
	"Staubwolken\n" \
	"Asteroidengrtel\n" \
	"Zerstren kleiner Asteroiden",

	//kBriefing_msg,
	">Behandelte Themen: Alarmstufe Rot, Schubsteuerung, Staubwolken, Asteroidengrtel und Zerstren kleiner Asteroiden.<" \
	"Kommando 290: Navigation fr Fortgeschrittene\n\n" \
	"Diese Simulation befasst sich mit weiteren grundlegenden Steuerungsmglichkeiten fr ein Raumschiff.\n\n" \
	"Behandelte Themen:\n\n" \
	"Alarmstufe Rot\n" \
	"Schubsteuerung\n" \
	"Staubwolken\n" \
	"Asteroidengrtel\n" \
	"Zerstren kleiner Asteroiden",

	//kNeversail_name,
	"U.S.S. Neversail",
	//kEarth_name,
	"Erde",

	//kWhere_msg,
	"An Bord der Neversail NCC-0001",
	//kWhere2_msg,
	"Sternenflottensimulator",
	//kWhere3_msg,
	"Utopia Planitia-Schiffswerft",

	//kTut_Scold1_msg,
	"Captain Wells: Lieutenant, wenn ich einen Befehl erteile, erwarte ich, dass er befolgt wird",
	//kTut_Scold2_msg,
	"Captain Wells: Ich habe nicht den ganzen Tag Zeit, Lieutenant ",
	//kTut_Scold3_msg,
	"Captain Wells: [Seufz]. Alles wartet auf Sie.",
	//kTut_Scold4_msg,
	"Wir sind nicht alle zum Raumschiffcaptain geboren, nicht wahr?",
	//kTut_Scold5_msg,
	"Auf dem Transportschiff 'Lusitania' ist immer eine Koje fr Sie frei, Lieutenant.",

	//kTut2_Welcome_msg,
	"Captain Wells: Willkommen beim Kommando 290: 'Navigation fr Fortgeschrittene'. Vor Ihrer Befrderung zum Lieutenant Commander mssen Sie " \
	"diesen Kurs erfolgreich absolvieren.",
	
	//kTut2_RedAlert_msg,
	"Captain Wells: In der vorherigen Simulation habe ich Ihr Schiff in den Status 'Alarmstufe Rot' gesetzt. Nun sind Sie dran. Klicken Sie " \
	"mit der Maus auf die Schaltflche 'Alarmstufe Rot'; diese befindet sich auf der Statuskontrollleiste " \
	"in der unteren rechten Ecke der Hauptanzeige. Alternativ knnen Sie die Taste 'R' drcken, um den Status 'Alarmstufe Rot' einzustellen.",

	//kTut2_RedAlertHelp_msg,
	"Captain Wells: Wechseln Sie jetzt zur Alarmstufe Rot, indem Sie die Taste 'R' drcken oder mit der linken Maustaste auf die Schaltflche 'Alarmstufe Rot' in der unteren" \
	"rechten Ecke der Hauptanzeige klicken.",

	//kTut2_Throttle_msg,
	"Captain Wells: Raumschiffe knnen in einer Vielzahl von Geschwindigkeitsbereichen fliegen. Die Schubsteuerung fr ein Raumschiff befindet sich " \
	"im unteren Bereich der Hauptanzeige.[10]Klicken Sie mit der linken Maustaste an einen beliebigen Punkt auf der Schubsteuerung, um " \
	"die gewnschte Geschwindigkeit festzulegen. Alternativ knnen Sie die Taste 'A' verwenden, um die Geschwindigkeit zu senken, und die Taste 'S', um das Schiff zu beschleunigen. Die Geschwindigkeit " \
	"wird in Einheiten von 0 bis 31 gemessen. Experimentieren Sie ruhig einmal mit der Schubsteuerung.",	

	//kTut2_ThrottleHelp_msg,
	"Captain Wells: Ein Raumschiff ist am wendigsten, wenn es sich zwischen den Sternen bewegt. Beschleunigen Sie jetzt " \
	"Ihr Schiff, indem Sie die Taste 'S' drcken oder auf die Schubsteuerung klicken.",

	//kTut2_SpeedExplained_msg,
	"Captain Wells: Es gibt viele Gelegenheiten, bei denen Sie sich nicht mit voller Geschwindigkeit fortbewegen mchten. Zum einen braucht das Schiff " \
	"lnger, um auf die Navigationsbefehle zu reagieren. Zum anderen: Je hher die Fluggeschwindigkeit, desto mehr Energie wird verbraucht. " \
	"Und die Warptriebwerke produzieren nur eine begrenzte Menge Energie fr den Energiebedarf Ihres Schiffes.",	

	//kTut2_DustClouds_msg,
	"Captain Wells: Der Weltraum ist nicht leer. Staubwolken sind eines der heimtckischsten Hindernisse, auf das Sie treffen knnen. Bei niedrigen " \
	"Geschwindigkeiten knnen die Schilde mit Leichtigkeit standhalten, wenn Sie jedoch schneller fliegen, erhht sich die Wahrscheinlichkeit, dass Ihr Schiff " \
	"von Partikeln beschdigt wird, die mit hoher Geschwindigkeit auf die Hlle auftreffen. Manchmal lohnt es sich eben, geduldig zu sein.",

	//kTut2_Asteroids_msg,
	"Captain Wells: In der Ferne gibt es drei groe Asteroiden. Die groen Asteroiden sind von einem Feld kleinerer " \
	"Asteroiden und einer Staubwolke umgeben. Navigieren Sie Ihr Schiff in Richtung der drei groen Asteroiden, um " \
	"die kleineren Asteroiden mit Ihren Phasern zu zerstren.",
	
	//kTut2_AsteroidHelp_msg,
	"Captain Wells: Bringen Sie Ihr Schiff in das Asteroidenfeld, und zerstren Sie die kleinen Asteroiden mit Ihren Phasern. Achten Sie jedoch " \
	"auf die groen Asteroiden. Hiermit zu kollidieren ist ebenso fatal wie mit Warp Neun auf einen Planeten zu treffen. Aber es ist zumindest ein schneller Tod.",

	//kTut2_DontFireBack_msg,
	"Captain Wells: Na, wo klemmt's denn, Lieutenant?  Das ist nur eine Simulation, wenn Sie die Asteroiden zerstren, knnen wir sie wieder aufbauen.",

	//kTut2_WellDone_msg,
	"Captain Wells: Gute Arbeit!  Hiermit ist Ihre bestandene Abschlussprfung einen Schritt nher gerckt.",

	//kTut2_Excellent_msg,
	"Captain Wells: Hervorragend!  Ich bin befugt, Sie zum stellvertretenden Lieutenant Commander zu ernennen. Ihre Ernennung wird nach " \
	"dem erfolgreichen Abschluss der Kurse 'Wissenschaft 310', 'Waffen 380' und 'Fortschrittliche Waffen 480' besttigt werden.",

	//kTut_FailedFiredEarly_msg,
	"Captain Wells: Sie haben Ihre Waffen abgefeuert, bevor Sie den Befehl hierzu erhielten. Hiermit sind Sie automatisch " \
	"durchgefallen. Sie mssen den Kurs wiederholen, nachdem Sie gelernt haben, sich unter Kontrolle zu halten.",

	//kPassDebrief_msg,
	"Sie haben den Kurs Kommando 290 'Navigation fr Fortgeschrittene' erfolgreich abgeschlossen. Sie werden hiermit zum stellvertretenden Lieutenant Commander befrdert. " \
	"Sie knnen sich nun zur Utopia Planitia-Schiffswerft auf dem Mars begeben, um den Kurs Wissenschaft 310: 'Forschungsstation' zu absolvieren.",
	//kFailDebrief_msg,
	"Lieutenant, Sie haben die Befehle nicht ordnungsgem befolgt. Sie mssen den Kurs Kommando 290 'Navigation fr Fortgeschrittene' wiederholen.",

	//kTut_AutomaticFailure_msg,
	"Captain Wells: Hiermit sind Sie automatisch durchgefallen. Sie mssen den Kurs wiederholen, nachdem Sie gelernt haben, " \
	"sich unter Kontrolle zu halten.",


#else		///////////////////////////////////////////////////////////////////////////////////////////

	//	kMissionTitle_msg,
	"Command 290",

	//kShortBriefing_msg,
	"Command 290: Intermediate Helm Controls\n\n" \
	"This simulation will cover additional basic controls of a starship.\n\n" \
	"Topics Covered:\n\n" \
	"Red Alert\n" \
	"Speed Throttle\n" \
	"Dust Clouds\n" \
	"Asteroid belts\n" \
	"Destroying small asteroids",

	//kBriefing_msg,
	">Topics Covered: Red Alert, Speed Throttle, Dust Clouds, Asteroid belts, and Destroying small asteroids.<" \
	"Command 290: Intermediate Helm Controls\n\n" \
	"This simulation will cover additional basic controls of a starship.\n\n" \
	"Topics Covered:\n\n" \
	"Red Alert\n" \
	"Speed Throttle\n" \
	"Dust Clouds\n" \
	"Asteroid belts\n" \
	"Destroying small asteroids",

	//kNeversail_name,
	"U.S.S. Neversail",
	//kMars_name,
	"Mars",

	//kWhere_msg,
	"Aboard the Neversail NCC-0001",
	//kWhere2_msg,
	"Starfleet Simulator",
	//kWhere3_msg,
	"Utopia Planitia Shipyard",

	//kTut_Scold1_msg,
	"Captain Wells: Lieutenant, when I give an order I expect it to be obeyed",
	//kTut_Scold2_msg,
	"Captain Wells: I don't have all day Lieutenant ",
	//kTut_Scold3_msg,
	"Captain Wells: [Sigh].  We are all waiting.",
	//kTut_Scold4_msg,
	"We weren't all born to be starship Captains, now were we?",
	//kTut_Scold5_msg,
	"There's always a berth ready for you on the transport 'Lusitania', Lieutenant.",

	//kTut2_Welcome_msg,
	"Captain Wells: Welcome to Command 290: Intermediate Helm Controls.  You must pass this course before receiving your " \
	"advancement to Lieutenant Commander.",
	
	//kTut2_RedAlert_msg,
	"Captain Wells: In the previous simulation, I set your ship to Red Alert status for you.  Now it's your turn. Use the " \
	"mouse to click on the Red Alert button; it's on the status control bar in the " \
	"lower right corner of the main display.  Alternatively, tap the R key to set Red Alert status.",

	//kTut2_RedAlertHelp_msg,
	"Captain Wells: Go to Red Alert status now by pressing the R key, or by Left-Clicking on the Red Alert button in the lower" \
	"right hand corner of the main display.",

	//kTut2_Throttle_msg,
	"Captain Wells: Starships are capable of a wide range of speeds.  The throttle control for a starship is located " \
	"at the bottom of the main display. Left-click anywhere on the throttle control to " \
	"set your speed. Alternatively, you may use the A key to decelerate and the S key to accelerate your ship. Speed " \
	"is measured from 0 to speed 31.  Experiment with the speed controls.",	

	//kTut2_ThrottleHelp_msg,
	"Captain Wells: A Starship is most capable when it is moving amongst the stars.  Please accelerate the speed " \
	"of your ship now, using the S key or the throttle control.",

	//kTut2_SpeedExplained_msg,
	"Captain Wells: There are many occasions when you do not want to be going full speed.  For one thing, the ship will " \
	"take longer to respond to your helm commands. For another: the faster you travel, the more energy gets consumed. " \
	"Warp engines produce a limited amount of power for your ship's energy needs.",	

	//kTut2_DustClouds_msg,
	"Captain Wells: Space isn't empty. Dust clouds are one of the most insidious obstacles you'll encounter. At low " \
	"speeds, your shields can easily withstand them, but as you travel faster, it becomes more likely that your ship " \
	"will take damage from particles impacting against them at great velocities. Sometimes it pays to be patient.",

	//kTut2_Asteroids_msg,
	"Captain Wells: There are three large asteroids in the distance.  Surrounding the large asteroids is a field of smaller " \
	"asteroids and a dust cloud.  Command your ship towards these three large asteroids and use your Phasers to destroy " \
	"the smaller asteroids.",
	
	//kTut2_AsteroidHelp_msg,
	"Captain Wells: Bring your ship into the asteroid field and destroy the small asteroids with your phasers.  Be careful of " \
	"the large asteroids, colliding with them is as fatal as hitting a planet at Warp Nine. At least it's a quick death.",

	//kTut2_DontFireBack_msg,
	"Captain Wells: What's keeping you Lieutenant?  This is only a simulation, if you destroy the asteroids we can rebuild them.",

	//kTut2_WellDone_msg,
	"Captain Wells: Well done!  You are one step closer to graduation.",

	//kTut2_Excellent_msg,
	"Captain Wells: Excellent!  I am authorized to promote you to Acting Lieutenant Commander.  Your commission will be " \
	"confirmed on the successful completion of Science 310, Weapons 380, and Weapons Advanced 480.",

	//kTut_FailedFiredEarly_msg,
	"Captain Wells: You fired your weapons before receiving a command to do so.  This is an automatic failure of this " \
	"course.  You will have to retake it once you have learned to control yourself.",

	//kPassDebrief_msg,
	"You have passed course: Command 290 Intermediate Helm Controls.  You are hereby promoted to Acting Lieutenant Commander.  " \
	"You may now proceed to Mars Utopia Planitia Shipyard for course: Science 310: Science Station",
	//kFailDebrief_msg,
	"Lieutenant, you have failed to follow orders.  You must repeat course: Command 290 Intermediate Helm Controls",

///*********Need to translate everything from this point on*******************

	//kTut_AutomaticFailure_msg,
	"Captain Wells: This is an automatic failure of this course.  You will have to retake it once you have learned to " \
	"control yourself.",

#endif
};


