//	<Name>	PlayerTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Tut_Command290.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"

#include "PlayerTeamInitialState.h"
#include "PlayerTeamLoserState.h"
#include "PlayerTeamFiredEarlyState.h"
#include "Command290Victory.h"
#include "MissionText.h"

tClassAllocator<tPlayerTeam> gPlayerTeamAllocator;

tPlayerTeam::tPlayerTeam()
{

}
void tPlayerTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tCommand290Victory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tPlayerTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	if( victoryLevel == kAstoundingVictory )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID) kPlayerTeam, kPassDebrief_msg );
	}
	else
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kFailDebrief_msg );
	}
}
void tPlayerTeam::mCreateShipsForTeam()
{
	mCreateShip(	typeid( tPlayerTeamShip ), "F-CFF", kStartPosition_G,
					kNoMetaShipID, -1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
}
void tPlayerTeam::mSetupState()
{
	mRegisterState( new tPlayerTeamInitialState( ) );

	mRegisterState( new tPlayerTeamLoserState( ) );
	mRegisterState( new tPlayerTeamFiredEarlyState( ) );

	mGotoState( typeid( tPlayerTeamInitialState ) );

}
void tPlayerTeam::mSetupCommState()
{

}
void tPlayerTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();

	tShipIterator ship = mGetFirstShip();

	if ( mIsTeamHumanControlled() )
	{
		ship->mSetShipPlayerControlled();
	}

}
void tPlayerTeam::mCreateNewShip( const tShipScriptDescription& ship )
{
}