//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "Tut_Command290.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"
#include "PlayerTeamLoserState.h"
#include "PlayerTeamFiredEarlyState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fTargetDamaged = false;
	fOrderedToDestroy = false;
	fTookToLong = false;
	fRebuildThemMessage = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 2.0f );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlayerTeam ) );
	tShipIterator ship = playerTeam->mGetFirstShip();
	tShipInPlayEval inPlayEval;
	ship.mAddEvaluator( &inPlayEval );
	tShipInfo* playerShip = *ship;	
	
/*	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kTargetTeam ) );
	ship = targetTeam->mGetFirstShip();
	ship.mAddEvaluator( &inPlayEval );
	tShipInfo* firstTarget = *ship;
	++ship;
	tShipInfo* secondTarget = *ship;
	++ship;
	tShipInfo* thirdTarget = *ship;	
*/	
	
	if( timerID == kTookToLongID )
	{
		fTookToLong = true;
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kWhere_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 1:
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kWhere2_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 2:
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kWhere3_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 4.0f );
				fChapter++;
			break;
			case 3:
				fMissionInfo->mPlayVoiceSample( kSndTut2_Welcome, kTrue );
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_Welcome_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				fChapter++;
			break;
			case 4:
				fMissionInfo->mPlayVoiceSample( kSndTut2_RedAlert, kTrue );
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_RedAlert_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 20.0f );
				fChapter++;
			break;
			case 5:
				if( playerShip->mGetAlertStatus() == kAlertRed )
				{
					fChapter += 3;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut2_RedAlertHelp, kTrue );
					fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_RedAlertHelp_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerTurnsSet, kTookToLongID, 1.0f );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
					fChapter++;
				}
			break;
			case 6:
				if( playerShip->mGetAlertStatus() == kAlertRed )
				{
					fChapter += 2;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else if( ! fTookToLong )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					fChapter++;
					fTookToLong = false;
				}
			break;
			case 7:
				if( playerShip->mGetAlertStatus() == kAlertRed )
				{
					fChapter++;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
				}
			break;
			case 8:
				mSetTimedInterval( kTimerKillTimer, kTookToLongID, 0.1f );
				fMissionInfo->mPlayVoiceSample( kSndTut2_Throttle, kTrue );
				fMissionInfo->mStartFlashingButton( "A4_SPEED_BAR" );
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_Throttle_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 20.0f );
				fChapter++;
			break;
			case 9:
				fMissionInfo->mPlayVoiceSample( kSndTut2_SpeedExplained, kTrue );
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_SpeedExplained_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 13.0f );
				fChapter++;
			break;
			case 10:
				fMissionInfo->mPlayVoiceSample( kSndTut2_DustClouds, kTrue );
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_DustClouds_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 17.0f );
				fChapter++;
			break;
			case 11:
				fMissionInfo->mPlayVoiceSample( kSndTut2_Asteroids, kTrue );
				fOrderedToDestroy = true;
				fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_Asteroids_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 60.0f );
				fChapter++;
			break;
			case 12:
				if( fTargetDamaged )
				{
					fChapter += 3;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 4.0f );
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut2_AsteroidHelp, kTrue );
					fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_AsteroidHelp_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 30.0f );
					mSetTimedInterval( kTimerTurnsSet, kTookToLongID, 2.5f );
					fTookToLong = false;
					fChapter++;
				}
			break;
			case 13:
				if( fTargetDamaged )
				{
					fChapter += 2;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 4.0f );
				}
				else if( ! fTookToLong && ! fRebuildThemMessage )
				{
					fMissionInfo->mPlayVoiceSample( kSndTut2_DontFireBack, kTrue );
					fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ),  kTut2_DontFireBack_msg, kScienceScriptMessage );
					fRebuildThemMessage = true;
				}
				else if( ! fTookToLong )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					fChapter++;
					fTookToLong = false;
				}
			break;
			case 14:
				if( fTargetDamaged )
				{
					fChapter++;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				}
				else
				{
					fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
				}
			break;
		}
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 1.0f );
		}
	}

	
}
void tPlayerTeamInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* targetTeam= fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTargetTeam ) );

	if( targetTeam )
	{
		if( !fOrderedToDestroy )
		{
			fMissionInfo->mPlayVoiceSample( kSndTut2_FailedFiredEarly, kTrue );
			fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ), kTut_FailedFiredEarly_msg );
			fChildActor->mGotoState( typeid( tPlayerTeamFiredEarlyState ) );
		}
		else if ( damagedShip->mGetTeam() == targetTeam->mGetTeam() )
		{
			fTargetDamaged = true;
			damagedShip->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0, kFalse );
		}
	}
}
void tPlayerTeamInitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{
	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTargetTeam ) );
	if( targetTeam )
	{
		if( tractorTarget->mGetTeam() == targetTeam->mGetTeam() ) 
		{
			fMissionInfo->mPlayVoiceSample( kSndTut2_AutomaticFailure, kTrue );
			fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ), kTut_AutomaticFailure_msg );
			fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
		}
	}
}
