//	<Name>	Command590VictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Command590VictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Tut_Command590.h"
#include "Command590Victory.h"
#include "MissionText.h"
#include "KlingonTeam.h"
#include "PlayerTeam.h"
//#include "PlayerTeamShip.h"
#include "PlayerTeamLoserState.h"
//#include "PlayerTeamFiredEarlyState.h"
#include "PlayerTeamWinnerState.h"
              
tCommand590VictoryState::tCommand590VictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tCommand590Victory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{
	fTargetsInPlay = 5;
	fPlayerShipsInPlay = 1;
	fLoser = true;
}

void tCommand590VictoryState::mBeginState()
{

}

void tCommand590VictoryState::mEndState()
{
}

eVictoryLevels tCommand590VictoryState::mCalcVictoryStatus( eTeamID ID )
{

	if( !fLoser )
	{
		return kAstoundingVictory;
	}
	else
	{
		return kDevastatingDefeat;
	}

}
int32 tCommand590VictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = teamID->mShipsRemainingInPlay();

	return teamShipsInPlay;
}
void tCommand590VictoryState::mCheckAllTeams( tShipInfo* ship )
{

	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );


	if( ship->mGetOriginalTeam() == kKlingonTeam )
	{
		fTargetsInPlay = mShipsInPlay( targetTeam );
//		fMissionInfo->mAddToBonusPrestige( 3 );
	}
	else if( ship->mGetOriginalTeam() == ( playerTeam->mGetTeam() ) )
	{
		fPlayerShipsInPlay = mShipsInPlay( playerTeam );
	}

	if( fPlayerShipsInPlay == 0 )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
		fLoser = true;
	}

}
void tCommand590VictoryState::mOnDeath( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}
void tCommand590VictoryState::mOnCapture( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}

void tCommand590VictoryState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if ( ( ship->mGetOriginalTeam() ) == ( playerTeam->mGetTeam() ) ) 
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
	}

}
void tCommand590VictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{
	if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamLoserState ) &&
		eventType == kStartingNewState )
	{
		fLoser = true;
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 5.0f );
	}
	else if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamWinnerState ) &&
		eventType == kStartingNewState )
	{
		fLoser = false;
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
	}
}
void tCommand590VictoryState::mOnTimedInterval( int32 timerID )
{
	if( timerID == fWinnerID )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );
	}
	else if( timerID == fLoserID )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( 0 )//fMissionInfo->mVoiceSampleStillPlaying() != 0 )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else if( fLoser )
		{
			mSetTimedInterval( kTimerSecondsSet, fLoserID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, fWinnerID, 1.0f );
		}
	}
}