//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "Tut_Command590.h"
#include "PlayerTeam.h"
//#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"
#include "PlayerTeamLoserState.h"
//#include "PlayerTeamFiredEarlyState.h"
#include "PlayerTeamWinnerState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fTargetDamaged = false;
	fOrderedToDestroy = false;
	fFlashingButtonPressed = false;
	fEnteredTrainingGround = false;
	fFightOver = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 2.0f );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tShipInfo* playerShip;
	tShipInfo* klingon;

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlayerTeam ) );
	if( playerTeam )
	{
		tShipIterator ship = playerTeam->mGetFirstShip();
		tShipInPlayEval inPlayEval;
		ship.mAddEvaluator( &inPlayEval );
		playerShip = *ship;	
	}
	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );
	if( targetTeam )
	{
		if ( targetTeam->mShipsRemainingInPlay() )
		{
			tShipIterator targetship = targetTeam->mGetFirstShip();
			tShipInPlayEval inPlayEval2;
			targetship.mAddEvaluator( &inPlayEval2 );
			klingon = *targetship;
		}
	}
	
	if( timerID == kCheckDistanceID ) 
	{
		if( ( playerShip->mGetTacticalDistance( klingon ) ) < 55 )
		{
			fEnteredTrainingGround = true;
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
			fChapter = 23;
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckDistanceID, 3.0f );
		}
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 1:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere2_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 2:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere3_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 4.0f );
				fChapter++;
			break;
			case 3:
				fMissionInfo->mPlayVoiceSample( kSndTut6_SeeYouAgain, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kTut6_SeeYouAgain_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 13.0f );
				fChapter++;
			break;
			case 4:
				fMissionInfo->mPlayVoiceSample( kSndTut6_Proven, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_Proven_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 8.0f );
				fChapter++;
			break;
			case 5:
				fMissionInfo->mPlayVoiceSample( kSndTut6_CommandEssex, kTrue );
				fMissionInfo->mStartFlashingButton( "A3_OFFICER_FLEET" );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_CommandEssex_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 15.0f );
				fChapter++;
			break;
			case 6:
				fMissionInfo->mPlayVoiceSample( kSndTut6_FleetControlButton, kTrue );
				fMissionInfo->mStartFlashingButton( "A3_OFFICER_FLEET" );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_FleetControlButton_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
				fChapter++;
			break;
			case 7:
				if( fFlashingButtonPressed )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					++fChapter;
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut6_StillFlashing, kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_StillFlashing_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				}
			break;
			case 8:
				if( fFlashingButtonPressed )
				{
					fMissionInfo->mPlayVoiceSample( kSndTut6_CaptainWaiting , kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_CaptainWaiting_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 22.0f );
					fChapter++;
					fFlashingButtonPressed = false;
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				}
			break;
			case 9:
				fMissionInfo->mPlayVoiceSample( kSndTut6_JumpToConn, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_JumpToConn_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 10:
				fMissionInfo->mPlayVoiceSample( kSndTut6_FormationParticipation, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_FormationParticipation_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 15.0f );
				fChapter++;
			break;
			case 11:
					fMissionInfo->mPlayVoiceSample( kSndTut6_FourNewPanels , kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_FourNewPanels_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
					fChapter++;
//					fFlashingButtonPressed = false;
			break;
			case 12:
				fMissionInfo->mPlayVoiceSample( kSndTut6_FormationControls , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_FormationControls_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 20.0f );
				fChapter++;
			break;
			case 13:
				fMissionInfo->mPlayVoiceSample( kSndTut6_DifferentFormations, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_DifferentFormations_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 14:
				fMissionInfo->mPlayVoiceSample( kSndTut6_AreaOne, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_AreaOne_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 19.0f );
				fChapter++;
			break;
			case 15:
				fMissionInfo->mPlayVoiceSample( kSndTut6_AreaTwo, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_AreaTwo_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				fChapter++;
			break;
			case 16:
				fMissionInfo->mPlayVoiceSample( kSndTut6_AreaThree, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_AreaThree_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 9.0f );
				fChapter++;
			break;
			case 17:
				fMissionInfo->mPlayVoiceSample( kSndTut6_AreaFour, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_AreaFour_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
				fChapter++;
			break;
			case 18:
				fMissionInfo->mPlayVoiceSample( kSndTut6_FormationDetail, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_FormationDetail_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 14.0f );
				fChapter++;
			break;
			case 19:
				fMissionInfo->mPlayVoiceSample( kSndTut6_ChainAnalogy, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_ChainAnalogy_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
				fChapter++;
//				klingon->mSetFinalDestination();
			break;
			case 20:
				fMissionInfo->mStartFlashingButton( "A4_FormTight" );
				fMissionInfo->mPlayVoiceSample( kSndTut6_FlashingTightButton, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_FlashingTightButton_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				fChapter++;
			break;
			case 21:
fFlashingButtonPressed = true;
				if( fFlashingButtonPressed )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.5f );
					++fChapter;
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut6_PushTheButton, kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_PushTheButton_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
					++fChapter;
				}
			break;
			case 22:
				if ( fFlashingButtonPressed )
				{
					fChapter++;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 0.5f );
					fFlashingButtonPressed = false;
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				}
			break;
			case 23:
				fMissionInfo->mPlayVoiceSample( kSndTut6_TightFormation, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_TightFormation_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
				fChapter++;
				fFlashingButtonPressed = false;
			break;
			case 24:
				fMissionInfo->mPlayVoiceSample( kSndTut6_MediumFormation, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_MediumFormation_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 9.0f );
				fChapter++;
			break;
			case 25:
				fMissionInfo->mPlayVoiceSample( kSndTut6_MediumFormationUse, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_MediumFormationUse_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 26:
				fMissionInfo->mPlayVoiceSample( kSndTut6_LooseFormation, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_LooseFormation_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 23.0f );
				fChapter++;
				fMissionInfo->mSetTeamRelations( ( targetTeam->mGetTeam() ), ( fChildActor->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kFalse );
			break;
			case 27:
				fMissionInfo->mStartFlashingButton( "A4_FireNow" );
				fMissionInfo->mPlayVoiceSample( kSndTut6_FireNOWBttn, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_FireNOWBttn_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
				fChapter++;
			break;
			case 28:
				fMissionInfo->mPlayVoiceSample( kSndTut6_WeaponsStateControl, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_WeaponsStateControl_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 8.0f );
				fChapter++;
			break;
			case 29:
				fMissionInfo->mPlayVoiceSample( kSndTut6_Special, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_Special_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 16.0f );
				fChapter++;
			break;
			case 30:
				fMissionInfo->mPlayVoiceSample( kSndTut6_Stealth, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_Stealth_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 12.0f );
				fChapter++;
			break;
			case 31:
				fMissionInfo->mPlayVoiceSample( kSndTut6_OffensiveOptions, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_OffensiveOptions_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 17.0f );
				fChapter++;
			break;
			case 32:
				fMissionInfo->mPlayVoiceSample( kSndTut6_CapturedKlingon, kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_CapturedKlingon_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 17.0f );
				fChapter++;
			break;
			case 33:
				fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( targetTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
				fChapter++;
			break;
			case 34:
				if( fFightOver )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					fChapter++;
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				}
			break;
			case 35:
				if( fFightOver )
				{
					fMissionInfo->mPlayVoiceSample( kSndTut6_WellDone, kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut6_WellDone_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
					fChapter++;
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				}
			break;
			case 36:
				fChildActor->mGotoState( typeid( tPlayerTeamWinnerState ) );
				fChapter++;
			break;

		}

	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.5f );
		}
	}

	
}
void tPlayerTeamInitialState::mOnFlashingButtonPressed()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	if( playerTeam)
	{
		tShipIterator ship = playerTeam->mGetFirstShip();
		tShipInPlayEval inPlayEval;
		ship.mAddEvaluator( &inPlayEval );
		tShipInfo* playerShip = *ship;	

		fFlashingButtonPressed = true;
		playerShip->mSetShipCallbackEvents( kNotifyFlashingButtonPressed );
	}
}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );


	tShipIterator pShip = klingonTeam->mGetFirstShip();
	tShipInfo* klingonShip = *pShip;

	if ( ( ship->mGetTeam() ) == ( klingonTeam->mGetTeam() ) ) 
	{
		int32 klingonShipsAlive = 0;
		for( klingonShip; klingonShip != NULL; klingonShip = *( ++pShip)  )
		{
			if( klingonShip->mInPlay() )
			{
				++klingonShipsAlive;
			}
		}
		if ( klingonShipsAlive == 0 )
		{
			fFightOver = true;
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
	}

}
void tPlayerTeamInitialState::mOnCapture( tShipInfo* ship )
{
	tTeamInfo* klingonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kKlingonTeam ) );


	tShipIterator pShip = klingonTeam->mGetFirstShip();
	tShipInfo* klingonShip = *pShip;

	if ( ( ship->mGetOriginalTeam() ) == ( klingonTeam->mGetTeam() ) ) 
	{
		int32 klingonShipsAlive = 0;
		for( klingonShip; klingonShip != NULL; klingonShip = *( ++pShip)  )
		{
			if( klingonShip->mInPlay() )
			{
				++klingonShipsAlive;
			}
		}
		if ( klingonShipsAlive == 0 )
		{
			fFightOver = true;
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
	}

}
void tPlayerTeamInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( ( damagedShip->mGetDamagePercent() ) > 50.0 )
	{
		fFightOver = true;
	}
	damagedShip->mSetShipCallbackEvents( kNotifyDamage );
}
void tPlayerTeamInitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{
	tTeamInfo* propTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPropTeam ) );
	if( propTeam )
	{
		if( tractorTarget->mGetTeam() == propTeam->mGetTeam() ) 
		{
			fMissionInfo->mPlayVoiceSample( kSndTut5_Failed, kTrue );
			fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ), kTut_Failed_msg );
			fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
		}
	}
}
