/********************************************************************************************************\

	Mission:	<MISSION TITLE>
	Script:		"Tut_Command590"
	Descript:	<DESCRIPTION>

	Created by:		<NAME>		mm/dd/yy
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG>

\********************************************************************************************************/

#include "MissionText.h"
#include "MissionMaps.h"
#include "PlayerTeam.h"
#include "KlingonTeam.h"
#include "PropTeam.h"
#include "Tut_Command590.h"


DEFINE_SCRIPT_CLASS( tTut_Command590 );

tTut_Command590::tTut_Command590()
{}

/*

	HELPER NOTE:	Set the mission specs here.  For the time being, every mission type must be
					kMultiplayerMission until informed otherwise.

*/
void tTut_Command590::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kTutorialMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kShortBriefing_msg];
	Specs->fPlayerRace = kSpecFed;
	Specs->fEnemyRace = kSpecAnyRace;
	Specs->fNumShips = kMissSpecNoShip;
	Specs->fMinBPV = 0;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 9999;
	Specs->fMaxDate = 9999;
	Specs->fWait = 6;
	Specs->fMenuStates = kNoMenuButtons;
	Specs->fBandwidthPart = kAllBand;
	Specs->fTutorialOrder = 6;
	Specs->fGenericFlags = kNoGenericFlags;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Player Team", static_cast< eTeamID>( kPlayerTeam ),
													kMaxChance,
													kFalse,
													kPlayableTeam,
													kMaxChance,
													kSpecFed,
													kAnyRace,
													typeid( tPlayerTeam ) );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Team 2",  static_cast< eTeamID>( kKlingonTeam ),
													kMaxChance,
													kFalse,
													kNPCTeam,
													kMaxChance,
													kSpecFed,
													kAnyRace,
													typeid( tKlingonTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Team 3",  static_cast< eTeamID>( kPropTeam ),
													kMaxChance,
													kFalse,
													kNPCTeam,
													kMaxChance,
													kSpecFed,
													kAnyRace,
													typeid( tPropTeam ) );



	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );

}

/*

	HELPER NOTE:	Return the map you want to use for single player missions.  In multiplayer missions,
					you could examine which map was picked by the player.  For example:

						if ( info.fPreferedMap == 3 )
							;	//	the 3rd map was picked

					Also note that the index into the array of maps starts at 1, NOT 0!

*/
int32 tTut_Command590::mInitializeStart( tDynaverseScriptInfo& info )
{
	return 1;
}

/*

	HELPER NOTE:	Called when the player starts the mission.  It will be further explained, if necessary,
					when it is better fleshed out.

*/
void tTut_Command590::mCreateExternalShips( int32 Mode )
{}

/*

	HELPER NOTE:	Return the briefing message index that you want to use from MissionText.h

*/
int32 tTut_Command590::mInitializeFinished( void )
{
	return kBriefing_msg;
}

/*

	HELPER NOTE:	Called when a new ship enters the mission while in-game.  The Ship parameter holds
					the ship information for this specified ship.

*/
void tTut_Command590::mNewInternalShip( tShipInfo* Ship )
{}

/*

	HELPER NOTE:	This is where you set up the teams' relationships and goals.  Read on and edit as
					you see necessary for this mission.

*/
void tTut_Command590::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 3;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kKlingonTeam,
		kPropTeam,
	};


	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr  = kPlayerTeam,
		//Klin   = kKlingonmTeam,
		//Prop  = kPropTeam,


		//			Plyr  Klin	 Nme   
		/*Plyr*/	"--", "NI", "AI",
		/*Klin*/	"AI", "--", "AI",
		/*Prop */	"AI", "AI", "--",

	};
	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}



