//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "Tut_Science310.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"
#include "PlayerTeamLoserState.h"
#include "PlayerTeamFiredEarlyState.h"
#include "PlayerTeamWinnerState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fTargetDamaged = false;
	fOrderedToDestroy = false;
	fFlashingButtonPressed = 0;
	fFiredProbeAtTarget = false;
	fDeepScanON = false;
	fTargetOneScanned = false;
	fTargetTwoScanned = false;
	fTargetThreeScanned = false;
	fTargetFourScanned = false;
	fTargetFiveScanned =false;
	fNumberOfTargetsScanned = 0;
	fSparePartsTransported = false;
	fTractoredBox = false;
	fSpecialBoxScanned = false;
	fTookToLong = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 2.0f );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tShipInfo* firstTarget;
	tShipInfo* secondTarget;
	tShipInfo* thirdTarget;
	tShipInfo* forthTarget;
	tShipInfo* fifthTarget;

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	tShipIterator ship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *ship;

	tTeamInfo* targetTeam= fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kTargetTeam ) );
	if( targetTeam )
	{
		tShipIterator targetship = targetTeam->mGetFirstShip();
		firstTarget = *targetship;
		++targetship;
		secondTarget = *targetship;
		++targetship;
		thirdTarget = *targetship;
		++targetship;
		forthTarget = *targetship;
		++targetship;
		fifthTarget = *targetship;
	}

	if( timerID == kTookToLongID )
	{
		fTookToLong = true;
	}	
	else if( timerID == kCheckScanID )
	{
		if( fDeepScanON )
		{
			if( ( firstTarget &&  playerShip->mGetShipTargetID() == firstTarget->mGetShipID() ) 
				&& !fTargetOneScanned 
				&& ( ( playerShip->mGetTacticalDistance( firstTarget ) ) < 10 ) )
			{
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kScanCompleteEmpty_msg, kScienceScriptMessage );
				fTargetOneScanned = true;
//				fMissionInfo->mAddToBonusPrestige( 1 );
				++fNumberOfTargetsScanned;
			}
			else if( ( secondTarget && playerShip->mGetShipTargetID() == secondTarget->mGetShipID() ) 
				&& !fTargetTwoScanned
				&& ( ( playerShip->mGetTacticalDistance(  secondTarget ) ) < 10 ) )
			{
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ),kScanCompleteEmpty_msg, kScienceScriptMessage );
				fTargetTwoScanned = true;
//				fMissionInfo->mAddToBonusPrestige( 1 );
				++fNumberOfTargetsScanned;
			}
			else if( ( thirdTarget && playerShip->mGetShipTargetID() == thirdTarget->mGetShipID() ) 
				&& !fTargetThreeScanned
				&& ( ( playerShip->mGetTacticalDistance( thirdTarget ) ) < 10 ) )
			{
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kScanCompleteEmpty_msg, kScienceScriptMessage );
				fTargetThreeScanned = true;
//				fMissionInfo->mAddToBonusPrestige( 1 );
				++fNumberOfTargetsScanned;
			}
			else if( ( forthTarget && playerShip->mGetShipTargetID() == forthTarget->mGetShipID() )
				&& !fTargetFourScanned
				&& ( ( playerShip->mGetTacticalDistance( forthTarget ) ) < 10 ) )		
			{
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kScanCompleteEmpty_msg, kScienceScriptMessage );
				fTargetFourScanned = true;
//				fMissionInfo->mAddToBonusPrestige( 1 );
				++fNumberOfTargetsScanned;
			}
			else if( ( fifthTarget && playerShip->mGetShipTargetID() == fifthTarget->mGetShipID() ) 
				&& !fTargetFiveScanned
				&& ( ( playerShip->mGetTacticalDistance( fifthTarget ) ) < 10 ) )		
			{
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kScanCompleteRepairParts_msg, kScienceScriptMessage );
				fTargetFiveScanned = true;
//				fMissionInfo->mAddToBonusPrestige( 1 );
				++fNumberOfTargetsScanned;
				fSpecialBoxScanned = true;
				fChapter++;
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
			}
			

		}
		if ( ! fSpecialBoxScanned )//( fNumberOfTargetsScanned == 5 )
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckScanID, 0.5f );
		}
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
				playerShip->mSetSystemHealthFromOrig( kHeavyWeapon1HardPoint, 0.0, kFalse );//Should be in mSetupShip()
				playerShip->mSetSystemHealthFromOrig( kHeavyWeapon2HardPoint, 0.0, kFalse );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kWhere_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 1:
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kWhere2_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 2:
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kWhere3_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 4.0f );
				fChapter++;
			break;
			case 3:
				fMissionInfo->mPlayVoiceSample( kSndTut3_Welcome, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_Welcome_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 4:
				fMissionInfo->mPlayVoiceSample( kSndTut3_GivenCommand, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_GivenCommand_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				fChapter++;
			break;
			case 5:
				fMissionInfo->mPlayVoiceSample( kSndTut3_Observe , kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_Observe_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 9.0f );
				fChapter++;
			break;
			case 6:
				fMissionInfo->mPlayVoiceSample( kSndTut3_TwoCourses, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_TwoCourses_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 17.0f );
				fChapter++;
			break;
			case 7:
				fMissionInfo->mPlayVoiceSample( kSndTut3_CourseA, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_CourseA_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 13.0f );
				fChapter++;
			break;
			case 8:
				fMissionInfo->mPlayVoiceSample( kSndTut3_Panel, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_Panel_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 15.0f );
				fChapter++;
			break;
			case 9:
				fMissionInfo->mPlayVoiceSample( kSndTut3_HidePanel, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_HidePanel_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 8.0f );
				fChapter++;
			break;
			case 10:
				fMissionInfo->mPlayVoiceSample( kSndTut3_Boxes, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_Boxes_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				fChapter++;
			break;
			case 11:
				fMissionInfo->mPlayVoiceSample( kSndTut3_BlinkingSciPanel, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_BlinkingSciPanel_msg, kScienceScriptMessage );
				fMissionInfo->mStartFlashingButton( "A3_OFFICER_SCIENCE" );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
				fChapter++;
			break;
			case 12:
				if( fFlashingButtonPressed == 1 )
				{
					fChapter += 3;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 4.0f );
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut3_PleaseBlinkingScience, kTrue );
					fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_PleaseBlinkingScience_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerTurnsSet, kTookToLongID, 1.0f );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
					fChapter++;
				}
			break;
			case 13:
				if( fFlashingButtonPressed == 1 )
				{
					fChapter += 2;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else if( ! fTookToLong )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					fChapter++;
					fTookToLong = false;
				}
			break;
			case 14:
				if( fFlashingButtonPressed == 1 )
				{
					fChapter++;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
				}
			break;
			case 15:
				mSetTimedInterval( kTimerKillTimer, kTookToLongID, 0.1f );
				fMissionInfo->mPlayVoiceSample( kSndTut3_Intelligence, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_Intelligence_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 19.0f );
				fChapter++;
			break;
			case 16:
				fMissionInfo->mPlayVoiceSample( kSndTut3_Probe, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_Probe_msg, kScienceScriptMessage );
				fMissionInfo->mStartFlashingButton( "A3_SCIENCE_PROBE_FIRE" );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 16.0f );
				fChapter++;
			break;
			case 17:
				if( fFiredProbeAtTarget )
				{
					fChapter += 3;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut3_ProbeHelp, kTrue );
					fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_ProbeHelp_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					mSetTimedInterval( kTimerTurnsSet, kTookToLongID, 1.0f );
					fChapter++;
				}
			break;
			case 18:
				if( fFiredProbeAtTarget )
				{
					fChapter += 2;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else if( ! fTookToLong )
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					fChapter++;
					fTookToLong = false;
				}
			break;
			case 19:
				if( fFiredProbeAtTarget )
				{
					fChapter++;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
				}
			break;
			case 20:
				mSetTimedInterval( kTimerKillTimer, kTookToLongID, 0.1f );
				fMissionInfo->mPlayVoiceSample( kSndTut3_ProbesExplained, kTrue );
				fMissionInfo->mStopFlashingButton( "A3_SCIENCE_PROBE_FIRE" );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_ProbesExplained_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 13.0f );
				fChapter++;
			break;
			case 21:
				fMissionInfo->mPlayVoiceSample( kSndTut3_DeepScanners, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_DeepScanners_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 20.0f );
				fChapter++;
			break;
			case 22:
				fMissionInfo->mPlayVoiceSample( kSndTut3_UseDeepScan, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_UseDeepScan_msg, kScienceScriptMessage );
			break;
			case 23:
				fMissionInfo->mPlayVoiceSample( kSndTut3_TransportPanel, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_TransportPanel_msg, kScienceScriptMessage );
				fMissionInfo->mStartFlashingButton( "PlayerSchem.Transporter" );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 13.0f );
				fChapter++;
			break;
			case 24:
				fMissionInfo->mPlayVoiceSample( kSndTut3_Energize, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_Energize_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerTurnsSet, kCheckVoicePlayingID, 1.3f );
				fChapter++;
			break;
			case 25:
				if( fSparePartsTransported )
				{
					fChapter += 3;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 4.0f );
				}
				else
				{
					fMissionInfo->mPlayVoiceSample( kSndTut3_TransporterHelp, kTrue );
					fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_TransporterHelp_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
					fChapter++;
				}
			break;
			case 26:
				if( fSparePartsTransported )
				{
					fChapter += 2;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
					fChapter++;
				}
			break;
			case 27:
				if( fSparePartsTransported )
				{
					fChapter++;
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				}
			break;
			case 28:
				fMissionInfo->mPlayVoiceSample( kSndTut3_DiscussTransporterMines, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_DiscussTransporterMines_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 4.0f );
				fChapter++;
			break;
			case 29:
				fMissionInfo->mPlayVoiceSample( kSndTut3_TransporterMine, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_TransporterMine_msg, kScienceScriptMessage );
				fMissionInfo->mStartFlashingButton( "TRANSPORT_BOMB" );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 14.0f );
				fChapter++;
			break;
			case 30:
				fMissionInfo->mPlayVoiceSample( kSndTut3_PlaceMine, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_PlaceMine_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				fChapter++;
			break;
			case 31:
				fMissionInfo->mStopFlashingButton( "TRANSPORT_BOMB" );
				fMissionInfo->mPlayVoiceSample( kSndTut3_MineExplained, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_MineExplained_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				fChapter++;
			break;
			case 32:
				fMissionInfo->mPlayVoiceSample( kSndTut3_TargetForTractor, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_TargetForTractor_msg, kScienceScriptMessage );
				fMissionInfo->mStartFlashingButton( "PlayerSchem.Tractor" );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 13.0f );
				fChapter++;
			break;
			case 33:
				fMissionInfo->mPlayVoiceSample( kSndTut3_EngageTractor, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_EngageTractor_msg, kScienceScriptMessage );
			break;
			case 34:
				fMissionInfo->mPlayVoiceSample( kSndTut3_PushBoxIntoAsteroid, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_PushBoxIntoAsteroid_msg, kScienceScriptMessage );
				fOrderedToDestroy = true;
			break;
			case 35:
				fMissionInfo->mPlayVoiceSample( kSndTut3_Congrats, kTrue );
				fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_Congrats_msg, kScienceScriptMessage );
				fChildActor->mGotoState( typeid( tPlayerTeamWinnerState ) );
			break;
		}

	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() != 0 )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 2.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 1.0f );
		}
	}

	
}
void tPlayerTeamInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* targetTeam= fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kTargetTeam ) );
	
	if( targetTeam )
	{
		if( !fOrderedToDestroy )
		{
			fMissionInfo->mPlayVoiceSample( kSndTut3_FailedFiredEarly, kTrue );
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_FailedFiredEarly_msg );
			fChildActor->mGotoState( typeid( tPlayerTeamFiredEarlyState ) );
		}
		else if ( damagedShip->mGetTeam() == targetTeam->mGetTeam() )
		{
			fTargetDamaged = true;
		}
	}
}
void tPlayerTeamInitialState::mOnFlashingButtonPressed()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	tShipIterator ship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *ship;

	++fFlashingButtonPressed;
	playerShip->mSetShipCallbackEvents( kNotifyFlashingButtonPressed );
}
void tPlayerTeamInitialState::mOnProbeLaunch( tShipInfo* ship )
{
	tShipInfo* firstTarget;
	tShipInfo* secondTarget;
	tShipInfo* thirdTarget;
	tShipInfo* forthTarget;
	tShipInfo* fifthTarget;
	
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	tShipIterator shipPlayers = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *shipPlayers;

	tTeamInfo* targetTeam= fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kTargetTeam ) );
	if( targetTeam )
	{
		tShipIterator targetship = targetTeam->mGetFirstShip();
		firstTarget = *targetship;
		++targetship;
		secondTarget = *targetship;
		++targetship;
		thirdTarget = *targetship;
		++targetship;
		forthTarget = *targetship;
		++targetship;
		fifthTarget = *targetship;
	}

	if( ( firstTarget && playerShip->mGetShipTargetID()  == firstTarget->mGetShipID() )
		||  ( secondTarget && playerShip->mGetShipTargetID()  == secondTarget->mGetShipID() )
		||  ( thirdTarget && playerShip->mGetShipTargetID()  == thirdTarget->mGetShipID() )
		||  ( forthTarget && playerShip->mGetShipTargetID()  == forthTarget->mGetShipID() )
		||  ( fifthTarget && playerShip->mGetShipTargetID()  == fifthTarget->mGetShipID() ) )
	{
		fFiredProbeAtTarget = true;
	}
}
void tPlayerTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kCheckScanID, 0.75f );
}
void tPlayerTeamInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	tShipIterator shipPlayers = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *shipPlayers;

	if( ( shipTo == playerShip ) && ( item == kTransSpareParts ) )
	{
		fSparePartsTransported = true;
	}
	else
	{
		playerShip->mSetShipCallbackEvents(  kNotifyTransportedItem );
	}

}
void tPlayerTeamInitialState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{

	fTractoredBox = false;

	tractoringShip->mSetShipCallbackEvents( kNotifyEndTractor );
}
void tPlayerTeamInitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{
	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTargetTeam ) );
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	tShipIterator shipPlayers = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *shipPlayers;

	tTeamInfo* propTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPropTeam ) );

	if( targetTeam )
	{
		if( tractorTarget->mGetTeam() == targetTeam->mGetTeam() )
		{
			if( fChapter == 33 )
			{
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
				fChapter++;
			}
			fTractoredBox = true;
		}
	}
	if( propTeam )
	{
		if( tractorTarget->mGetTeam() == propTeam->mGetTeam() ) 
		{
			fMissionInfo->mPlayVoiceSample( kSndTut3_AutomaticFailure, kTrue );
			fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ), kTut_AutomaticFailure_msg );
			fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
		}
	}

	playerShip->mSetShipCallbackEvents( kNotifyBeginTractor );

}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kTargetTeam ) );

	if( targetTeam )
	{
		if( !fOrderedToDestroy && ( ship->mGetTeam() == targetTeam->mGetTeam() ) )
		{
			fMissionInfo->mPlayVoiceSample( kSndTut3_FailedFiredEarly, kTrue );
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTut3_FailedFiredEarly_msg );
			fChildActor->mGotoState( typeid( tPlayerTeamFiredEarlyState ) );
		}
		else if( ( ship->mGetTeam() == targetTeam->mGetTeam() ) && fTractoredBox )
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
			fChapter++;
			fTractoredBox = false;
		}
	}
}
