//	<Name>	PlayerTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamInitialState_h )
#define PlayerTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeam.h"

class tPlayerTeamInitialState : public tChildActorState<tPlayerTeam>
{
public:
	enum eTimeIDs
	{
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kCheckScanID,
		kTookToLongID,
	};

	tPlayerTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnFlashingButtonPressed();
	virtual void mOnProbeLaunch( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );
	virtual void mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnDeath( tShipInfo* ship );

protected:

	int32 fChapter;
	bool fTargetDamaged;
	bool fOrderedToDestroy;
	int32 fFlashingButtonPressed;
	bool fFiredProbeAtTarget;
	bool fDeepScanON;
	bool fTargetOneScanned;
	bool fTargetTwoScanned;
	bool fTargetThreeScanned;
	bool fTargetFourScanned;
	bool fTargetFiveScanned;
	int32 fNumberOfTargetsScanned;
	bool fSparePartsTransported;
	bool fTractoredBox;
	bool fSpecialBoxScanned;
	bool fTookToLong;
};

#endif

