//	<Name>	PlayerTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Tut_Weapons380.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"

#include "PlayerTeamInitialState.h"
#include "PlayerTeamLoserState.h"
#include "PlayerTeamFiredEarlyState.h"
#include "PlayerTeamWinnerState.h"
#include "Weapons380Victory.h"
#include "MissionText.h"
#include "ShipScriptDescription.h"

tClassAllocator<tPlayerTeam> gPlayerTeamAllocator;

tPlayerTeam::tPlayerTeam()
{

}
void tPlayerTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tWeapons380Victory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}

void tPlayerTeam::mSetupDebriefingList( eVictoryLevels victoryLevel )
{
	if( victoryLevel == kAstoundingVictory )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID) kPlayerTeam, kPassDebrief_msg );
	}
	else
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID) kPlayerTeam, kFailDebrief_msg );
	}
}
void tPlayerTeam::mCreateShipsForTeam()
{
	mCreateShip(	typeid( tPlayerTeamShip ), "F-DD", kStartPosition_G,
					kNoMetaShipID, -1, 0, 0, -1, -1, NULL, kDefaultShipOptions );
}
void tPlayerTeam::mSetupState()
{
	mRegisterState( new tPlayerTeamInitialState( ) );

	mRegisterState( new tPlayerTeamLoserState( ) );
	mRegisterState( new tPlayerTeamFiredEarlyState( ) );
	mRegisterState( new tPlayerTeamWinnerState( ) );

	mGotoState( typeid( tPlayerTeamInitialState ) );

}
void tPlayerTeam::mSetupCommState()
{

}
void tPlayerTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();

	tShipIterator ship = mGetFirstShip();

	if ( mIsTeamHumanControlled() )
	{
		ship->mSetShipPlayerControlled();
	}

}
void tPlayerTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
/*		mCreateShip( typeid( tPlayerTeamShip ), 
				 shipScriptDescription.fClassName.c_str(), 
				 kStartPosition_G + shipScriptDescription.fTeamID,
				 -1, 0, 0, -1, -1, //Default data,so we can set the custom name
				 shipScriptDescription.fCustomName.c_str() );
*/
}