//	<Name>	PlayerTeamInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PlayerTeamInitialState_h )
#define PlayerTeamInitialState_h

#include "ChildActorState.h"
#include "teamInfo.h"
#include "PlayerTeam.h"

class tPlayerTeamInitialState : public tChildActorState<tPlayerTeam>
{
public:
	enum eTimeIDs
	{
		kDisplayMessageID,
		kCheckVoicePlayingID,
		kCheckScanID,
		kCheckDistanceID,
		kTookToLongID,
	};

	tPlayerTeamInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnFlashingButtonPressed();
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value );

protected:

	int32 fChapter;
	bool fTargetDamaged;
	bool fOrderedToDamage;
	bool fOrderedToDestroy;
	bool fFlashingButtonPressed;
	bool fEnteredTrainingGround;
	bool fTargetDestroyed;
	bool fTookToLong;
	int32 fNumberOfMines;
	bool fNumberOfMinesDecreased;
};

#endif

