/********************************************************************************************************\

	Mission:	<MISSION TITLE>
	Script:		"Tut_Weapons380"
	Descript:	<DESCRIPTION>

	Created by:		<NAME>		mm/dd/yy
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG>

\********************************************************************************************************/

#include "Tut_Weapons380.h"

#include "MissionText.h"
#include "MissionMaps.h"

#include "VictoryCondition.h"

#include "PlayerTeam.h"
#include "TargetTeam.h"
#include "PropTeam.h"
#include "Weapons380Victory.h"

DEFINE_SCRIPT_CLASS( tTut_Weapons380 );

tTut_Weapons380::tTut_Weapons380()
{
}

//---------------------------------------------------------------------------------------------
// returns mission specs used by Dynaverse to build campaigns
void tTut_Weapons380::mScriptSpecs( tMissionSpec* Specs )
{
	Specs->fMissionType = kTutorialMission;
	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kShortBriefing_msg];
	Specs->fPlayerRace = kSpecFed;
	Specs->fEnemyRace = kSpecAnyRace;
	Specs->fNumShips = kMissSpecNoShip;
	Specs->fMinBPV = 0;
	Specs->fMaxBPV = kMaxBPV;
	Specs->fMinDate = 0;
	Specs->fMaxDate = 99;
	Specs->fWait = kUniqueMission;
	Specs->fMenuStates = kNoMenuButtons;
	Specs->fBandwidthPart = kAllBand;
	Specs->fTutorialOrder = 4;
	Specs->fGenericFlags = kNoGenericFlags;

	// must create the teams in the script
	const tTeamSpec& team1 = mCreateTeamSpec(	"Team 1", static_cast< eTeamID>( kPlayerTeam ),
													kMaxChance,
													kFalse,
													kPlayableTeam,
													kMaxChance,
													kSpecAnyRace,
													kAnyRace,
													typeid( tPlayerTeam ) );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Team 2", static_cast< eTeamID>( kTargetTeam ),
													kMaxChance,
													kFalse,
													kNPCTeam,
													kMaxChance,
													kSpecAnyRace,
													kAnyRace,
													typeid( tTargetTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Team 3", static_cast< eTeamID>( kPropTeam ),
													kMaxChance,
													kFalse,
													kNPCTeam,
													kMaxChance,
													kSpecAnyRace,
													kAnyRace,
													typeid( tPropTeam ) );

	//After teams are created set them up 
	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
}

//---------------------------------------------------------------------------------------------
// called at the start of mission initialization - use to set prestige points 
// and override mission defaults such as:
//		allied race
//		enemy race
//		system name
// and also returns map index to use
int32 tTut_Weapons380::mInitializeStart( tDynaverseScriptInfo& info )
{
	// pick a map
	return 1;
}

//---------------------------------------------------------------------------------------------
// return kTrue if players ship should be created for this mission
iTruth tTut_Weapons380::mUsePlayerShip( tShipInGame& Ship )
{
	return kTrue;
}

//---------------------------------------------------------------------------------------------
// called to create ships before or during the mission
// Mode is user supplied value( expect for 0, which is initial setup call )
void tTut_Weapons380::mCreateExternalShips( int32 Mode )
{}

//---------------------------------------------------------------------------------------------
// called at the end of mission initialization - use to return briefing message
int32 tTut_Weapons380::mInitializeFinished( void )
{
	return kBriefing_msg;
}

//---------------------------------------------------------------------------------------------
// called after all ships have been created and mission is ready to start.
// use to set callback events and change default ship configuration
void tTut_Weapons380::mStartMission( void )
{
	tScript::mStartMission();

	const int kRelationsCount = 3;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kTargetTeam,
		kPropTeam,
	};


	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr	= PlayersTeam,
		//Trgt	= TargetTeam,
		//Prop	= PropTeam,

		//			Plyr	Trgt	Prop
		/*Plyr*/	"--",	"WD",	"AI",
		/*Trgt*/	"AI",	"--",	"AI",
		/*Prop*/	"AI",	"AI",	"--",
	};

	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}

//---------------------------------------------------------------------------------------------
// called whenever a ship is created after a mission has already started
void tTut_Weapons380::mNewInternalShip( tShipInfo* Ship )
{}


