//	<Name>	PlayerTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "Tut_Weapons480.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamInitialState.h"
#include "PlayerTeamLoserState.h"
//#include "PlayerTeamFiredEarlyState.h"
#include "PlayerTeamWinnerState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tPlayerTeamInitialState::tPlayerTeamInitialState( )
{
	fChapter = 0;
	fTargetDamaged = false;
	fOrderedToDestroy = false;
	fFlashingButtonPressed = false;
	fEnteredTrainingGround = false;
	fTargetDestroyed = false;
	fFightOver = false;
}

void tPlayerTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 2.0f );
}

void tPlayerTeamInitialState::mEndState()
{
}
void tPlayerTeamInitialState::mOnTimedInterval( int32 timerID )
{
	tShipInfo* playerShip;
	tShipInfo* daystrom;

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(  static_cast< eTeamID>( kPlayerTeam ) );
	if( playerTeam )
	{
		tShipIterator ship = playerTeam->mGetFirstShip();
		tShipInPlayEval inPlayEval;
		ship.mAddEvaluator( &inPlayEval );
		playerShip = *ship;	
	}
	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDaystromTeam ) );
	if( targetTeam )
	{
		if ( targetTeam->mShipsRemainingInPlay() )
		{
			tShipIterator targetship = targetTeam->mGetFirstShip();
			tShipInPlayEval inPlayEval2;
			targetship.mAddEvaluator( &inPlayEval2 );
			daystrom = *targetship;
		}
	}
	
	if( timerID == kCheckDistanceID ) 
	{
		if( ( playerShip->mGetTacticalDistance( daystrom ) ) < 55 )
		{
			fEnteredTrainingGround = true;
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
			fChapter = 23;
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckDistanceID, 3.0f );
		}
	}
	else if( timerID == kDisplayMessageID )
	{
		switch( fChapter )
		{
			case 0:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 1:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere2_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 3.0f );
				fChapter++;
			break;
			case 2:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kWhere3_msg, kNonCommScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 4.0f );
				fChapter++;
			break;
			case 3:
				fMissionInfo->mPlayVoiceSample( kSndTut5_GoodMorning , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  static_cast< eTeamID>( kTut5_GoodMorning_msg ), kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				fChapter++;
			break;
			case 4:
				fMissionInfo->mPlayVoiceSample( kSndTut5_TodaysCourse , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_TodaysCourse_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 16.0f );
				fChapter++;
			break;
			case 5:
				fMissionInfo->mPlayVoiceSample( kSndTut5_LetsStart , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_LetsStart_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				fChapter++;
			break;
			case 6:
				fMissionInfo->mPlayVoiceSample( kSndTut5_ShieldsSix , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_ShieldsSix_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 23.0f );
				fChapter++;
			break;
			case 7:
				fMissionInfo->mPlayVoiceSample( kSndTut5_ShieldNormal , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_ShieldNormal_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 22.0f );
				fMissionInfo->mStartFlashingButton( "A5_SHIELD_SELECTER" );
				fChapter++;
			break;
			case 8:
				if( fFlashingButtonPressed )
				{
					fMissionInfo->mStopFlashingButton( "A5_SHIELD_SELECTER" );
					fMissionInfo->mPlayVoiceSample( kSndTut5_ChargingAttack , kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_ChargingAttack_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
					fChapter++;
					fFlashingButtonPressed = false;
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				}
			break;
			case 9:
				fMissionInfo->mPlayVoiceSample( kSndTut5_Reinforce , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_Reinforce_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 14.0f );
				fChapter++;
			break;
			case 10:
				fMissionInfo->mPlayVoiceSample( kSndTut5_IntroECM , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_IntroECM_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 16.0f );
				fMissionInfo->mStartFlashingButton( "PlayerSchem.Sensors" );
				fChapter++;
			break;
			case 11:
				if( fFlashingButtonPressed )
				{
					fMissionInfo->mPlayVoiceSample( kSndTut5_SetECM , kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_SetECM_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 14.0f );
					fChapter++;
					fFlashingButtonPressed = false;
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				}
			break;
			case 12:
				fMissionInfo->mPlayVoiceSample( kSndTut5_ECCMIntro , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_ECCMIntro_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 13:
				fMissionInfo->mPlayVoiceSample( kSndTut5_TotalEW , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_TotalEW_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 21.0f );
				fChapter++;
			break;
			case 14:
				fMissionInfo->mPlayVoiceSample( kSndTut5_EffectiveECM , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_EffectiveECM_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 6.0f );
				fChapter++;
			break;
			case 15:
				fMissionInfo->mStartFlashingButton( "A3_HELM_ERRATIC" );
				fMissionInfo->mPlayVoiceSample( kSndTut5_IntroErraticManuv , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_IntroErracticManuv_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 16:
				if ( fFlashingButtonPressed )
				{
					fMissionInfo->mPlayVoiceSample( kSndTut5_Jink , kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_Jink_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
					fChapter++;
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				}
			break;
			case 17:
				fMissionInfo->mPlayVoiceSample( kSndTut5_EMExplained , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_EMExplained_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 22.0f );
				fChapter++;
			break;
			case 18:
				fMissionInfo->mPlayVoiceSample( kSndTut5_HETIntro , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_HETInto_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				fChapter++;
				daystrom->mSetFinalDestination();
			break;
			case 19:
				fMissionInfo->mPlayVoiceSample( kSndTut5_HETExplained , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_HetExplained_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 20:
				fMissionInfo->mPlayVoiceSample( kSndTut5_HETSparingly , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_HETSparingly_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 21.0f );
				fChapter++;
			break;
			case 21:
				fMissionInfo->mStartFlashingButton( "A3_HELM_180_HET" );
				fMissionInfo->mPlayVoiceSample( kSndTut5_HETNow , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_HETNow_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
				fChapter++;
			break;
			case 22:
				fMissionInfo->mStopFlashingButton( "A3_HELM_180_HET" );
				fMissionInfo->mStartFlashingButton( "A3_HELM_EMERGENCY" );
				fMissionInfo->mPlayVoiceSample( kSndTut5_EmergDecel , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_EmergDecel_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 15.0f );
				fChapter++;
				fFlashingButtonPressed = false;
			break;
			case 23:
				fMissionInfo->mStopFlashingButton( "A3_HELM_EMERGENCY" );
				fMissionInfo->mPlayVoiceSample( kSndTut5_MockBattle , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_MockBattle_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 14.0f );
				fChapter++;
			break;
			case 24:
				fMissionInfo->mPlayVoiceSample( kSndTut5_GoodLuck , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_GoodLuck_msg, kScienceScriptMessage );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 11.0f );
				fChapter++;
			break;
			case 25:
				daystrom->mClearCommands();
				fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( targetTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
				mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
				fChapter++;
			break;
			case 26:
				if( fFightOver )
				{
					fMissionInfo->mPlayVoiceSample( kSndTut5_GoodFight , kTrue );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_GoodFight_msg, kScienceScriptMessage );
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 7.0f );
					fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( targetTeam->mGetTeam() ), kTeamAllied, kGoalIgnore, 1.0, kTrue );
					fChapter++;
					fFlashingButtonPressed = false;
				}
				else
				{
					mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 3.0f );
				}
			break;
			case 27:
				fMissionInfo->mPlayVoiceSample( kSndTut5_Congrats , kTrue );
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_Congrats_msg, kScienceScriptMessage );
				fChildActor->mGotoState( typeid( tPlayerTeamWinnerState ) );
				fChapter++;
			break;
		}

	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( fMissionInfo->mVoiceSampleStillPlaying() )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, kDisplayMessageID, 0.5f );
		}
	}

	
}
void tPlayerTeamInitialState::mOnFlashingButtonPressed()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	if( playerTeam)
	{
		tShipIterator ship = playerTeam->mGetFirstShip();
		tShipInPlayEval inPlayEval;
		ship.mAddEvaluator( &inPlayEval );
		tShipInfo* playerShip = *ship;	

		fFlashingButtonPressed = true;
		playerShip->mSetShipCallbackEvents( kNotifyFlashingButtonPressed );
	}
}
void tPlayerTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDaystromTeam ) );

	if( ship->mGetTeam() == targetTeam->mGetTeam() )
	{
		fTargetDestroyed = true;
	}

}
void tPlayerTeamInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( ( damagedShip->mGetDamagePercent() ) > 50.0 )
	{
		fFightOver = true;
	}
	damagedShip->mSetShipCallbackEvents( kNotifyDamage );
}
void tPlayerTeamInitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{
	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDaystromTeam ) );
	tTeamInfo* propTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPropTeam ) );

	if( propTeam )
	{
		if( tractorTarget->mGetTeam() == propTeam->mGetTeam() ) 
		{
			fMissionInfo->mPlayVoiceSample( kSndTut5_Failed, kTrue );
			fMissionInfo->mDisplayMessage(  static_cast< eTeamID>( kPlayerTeam ), kTut5_Failed_msg );
			fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
		}
	}
	if( targetTeam )
	{
		tShipIterator ship = targetTeam->mGetFirstShip();
		tShipInfo* daystrom = *ship;
	
		if( tractorTarget->mGetShipID() == daystrom->mGetShipID() )
		{
			fMissionInfo->mPlayVoiceSample( kSndTut5_Failed , kTrue );
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kTut5_Failed_msg, kScienceScriptMessage );
			fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( targetTeam->mGetTeam() ), kTeamAllied, kGoalIgnore, 1.0, kTrue );
			fChildActor->mGotoState( typeid( tPlayerTeamLoserState ) );
		}
	}
}
