//	<Name>	Weapons480VictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Weapons480VictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Tut_Weapons480.h"
#include "Weapons480Victory.h"
#include "MissionText.h"
#include "DaystromTeam.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamLoserState.h"
//#include "PlayerTeamFiredEarlyState.h"
#include "PlayerTeamWinnerState.h"
              
tWeapons480VictoryState::tWeapons480VictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tWeapons480Victory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{
	fTargetsInPlay = 5;
	fPlayerShipsInPlay = 1;
	fLoser = true;
}

void tWeapons480VictoryState::mBeginState()
{

}

void tWeapons480VictoryState::mEndState()
{
}

eVictoryLevels tWeapons480VictoryState::mCalcVictoryStatus( eTeamID ID )
{

	if( !fLoser )
	{
		return kAstoundingVictory;
	}
	else
	{
		return kDevastatingDefeat;
	}

}
int32 tWeapons480VictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = teamID->mShipsRemainingInPlay();

	return teamShipsInPlay;
}
void tWeapons480VictoryState::mCheckAllTeams( tShipInfo* ship )
{

	tTeamInfo* targetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDaystromTeam ) );

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );


	if( ship->mGetTeam() == kDaystromTeam )
	{
		fTargetsInPlay = mShipsInPlay( targetTeam );
//		fMissionInfo->mAddToBonusPrestige( 3 );
	}
	else if( ship->mGetTeam() == ( playerTeam->mGetTeam() ) )
	{
		fPlayerShipsInPlay = mShipsInPlay( playerTeam );
	}

	if( fPlayerShipsInPlay == 0 )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
		fLoser = true;
	}

}
void tWeapons480VictoryState::mOnDeath( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}
void tWeapons480VictoryState::mOnCapture( tShipInfo* ship )
{
	mCheckAllTeams( ship );
}

void tWeapons480VictoryState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if ( ( ship->mGetTeam() ) == ( playerTeam->mGetTeam() ) ) 
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
	}

}
void tWeapons480VictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{
	if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamLoserState ) &&
		eventType == kStartingNewState )
	{
		fLoser = true;
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 5.0f );
	}
	else if( *actor == typeid( tPlayerTeam ) &&
		*state == typeid( tPlayerTeamWinnerState ) &&
		eventType == kStartingNewState )
	{
		fLoser = false;
		mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 10.0f );
	}
}
void tWeapons480VictoryState::mOnTimedInterval( int32 timerID )
{
	if( timerID == fWinnerID )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );
	}
	else if( timerID == fLoserID )
	{
		gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerLoses );
	}
	else if ( timerID == kCheckVoicePlayingID )
	{
		if( 0 )//fMissionInfo->mVoiceSampleStillPlaying() != 0 )//**********************check when voice samples are in
		{
			mSetTimedInterval( kTimerSecondsSet, kCheckVoicePlayingID, 1.0f );
		}
		else if( fLoser )
		{
			mSetTimedInterval( kTimerSecondsSet, fLoserID, 1.0f );
		}
		else
		{
			mSetTimedInterval( kTimerSecondsSet, fWinnerID, 1.0f );
		}
	}
}