/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"

class tBaseVictory : public tVictoryCondition
{
public:
	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState();

	enum eTimerIDs
	{
		kRandChatID = 1000,
		kCountDownID,
	};

	//
	//	Accessors.
	//
	bool mFreighterArrived();
	int32 mISCShipsDestroyed();
	bool mSurrenderAccepted();
	bool mSurrenderOffered();
	bool mSignaled();
	bool mISCTalk();

	//
	//	Modifiers.
	//
	void mSetFreighterArrived(bool x);
	void mIncISCShipsDestroyed();
	void mSetSurrenderAccepted(bool x);
	void mSetSurrenderOffered(bool x);
	void mSetSignaled(bool x);
	void mSetISCTalk(bool x);

	void mDisableWeapons();
	void CreateOrganian();

private:

	//
	//	Victory attributes.
	//
	bool fFreighterArrived;
	int32 fISCShipsDestroyed;
	bool fSurrenderAccepted;
	bool fSurrenderOffered;
	bool fSignaled;
	bool fISCTalk;
};

#endif



