/********************************************************************************************************\

	File Name:	EnemyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Uni_10Criminals.h"
#include "EnemyTeam.h"
#include "EnemyTeamBaseState.h"
#include "EnemyShip.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"


tClassAllocator<tEnemyTeam> gEnemyTeamAllocator;


void tEnemyTeam::mSetupState()
{
	mRegisterState( new tEnemyTeamBaseState() );
	mGotoState( typeid( tEnemyTeamBaseState ) );
}

void tEnemyTeam::mSetupCommState()
{}

void tEnemyTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tEnemyTeam::mCreateShipsForTeam\n");
	gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {


/*
		// So!  Based on old code, this is what I think the coder expected the fleet to be:  
		// diffLevel 2: 280 + 220 + 185 + 150 + 155 + 120 + 94 == 1204 BPV -- DNH, BCH, CA, CA, CA, CL, FF
		// diffLevel 1: 280 + 185 + 150 + 92 + 94 + 83 + 73 == 957 BPV  -- DNH, BCH, CA, DD, DD, FF, FF
		// diffLevel 0: 280 + 150 + 92 + 94 + 82 + 83 + 73 == 854 BPV  -- DNH, CA, DD, DD, FF, FF, FF
		// This will be useful: gST.mPickShip(int32 BPV, eRace race, Ship &s1, ShipList provided_sl ) 
		// -- FS, 20120929

		int32 diff2ShipBPV[7] = { 280, 220, 185, 150, 155, 120, 94 };
		int32 diff1ShipBPV[7] = { 280, 185, 150, 92, 94, 83, 73 };
		int32 diff0ShipBPV[7] = { 280, 150, 92, 94, 82, 83, 73 };
		int32 shipBPV[7];

		switch(fMissionInfo->mGetDifficultyLevel()) 
		{
		case 2:
			{
			for(int32 x=0; x<7; x++) { shipBPV[x] = diff2ShipBPV[x]; }; 
			break;
			}
		case 1:
			{
			for(int32 x=0; x<7; x++) { shipBPV[x] = diff1ShipBPV[x]; }; 
			break;
			}
		case 0:
		default:
			{
			for(int32 x=0; x<7; x++) { shipBPV[x] = diff0ShipBPV[x]; }; 
			break;
			}
		}

		for (int32 i=0; i<7; i++) 
		{
			Ship s1;
			ShipList empty_sl;
			gST.mPickShip(shipBPV[i], mGetRace(), s1, empty_sl );
			gST.mDebug_fprintf("ship %s (#%d) selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), i+1, s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			mCreateShip(
                typeid( tEnemyShip ),
                s1.shipCode.c_str(),
                kStartPosition_Z,
                kNoMetaShipID,
                (kEnemyShip1 + i),
                0, 0, -1, -1,
                NULL,
                kDefaultShipOptions );
		}
*/

        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

		ShipList DN_sl = sl;
		std::list< eEnhancedClassTypes >  shipClassTypeList;
		shipClassTypeList.push_back(kEClassDreadnought);
		fShiplistCount = DN_sl.Subset(shipClassTypeList, true);
		gST.mDebug_fprintf("subset for DN filter completed. ships: %d\n", fShiplistCount);

		ShipList DNH_sl = sl;
		{
			std::list< eEnhancedClassTypes >  shipClassTypeList;
			shipClassTypeList.push_back(kEClassHeavyDreadnought);
		    fShiplistCount = DNH_sl.Subset(shipClassTypeList, true);
		    gST.mDebug_fprintf("subset for DNH filter completed. ships: %d\n", fShiplistCount);
		}
		if (DNH_sl.size() == 0) {
			gST.mDebug_fprintf("FAIL: no DNHs. Loading up DN shiplist instead.\n");
			DNH_sl = DN_sl;
		}

		ShipList CA_sl = sl;
		{
		std::list< eEnhancedClassTypes >  shipClassTypeList;
		shipClassTypeList.push_back(kEClassHeavyCruiser);
		shipClassTypeList.push_back(kEClassNewHeavyCruiser);
		fShiplistCount = CA_sl.Subset(shipClassTypeList, true);
		gST.mDebug_fprintf("subset for CA filter completed. ships: %d\n", fShiplistCount);
		}

		ShipList BCH_sl = sl;
		{
			std::list< eEnhancedClassTypes >  shipClassTypeList;
			shipClassTypeList.push_back(kEClassHeavyBattlecruiser);
		    fShiplistCount = BCH_sl.Subset(shipClassTypeList, true);
		    gST.mDebug_fprintf("subset for BCH filter completed. ships: %d\n", fShiplistCount);
		}
		if (BCH_sl.size() == 0) {
			gST.mDebug_fprintf("FAIL: no BCHs. Loading up CA shiplist instead.\n");
			BCH_sl = CA_sl;
		}

		ShipList CL_sl = sl;
		{
		std::list< eEnhancedClassTypes >  shipClassTypeList;
		shipClassTypeList.push_back(kEClassLightCruiser);
		shipClassTypeList.push_back(kEClassWarCruiser);
		shipClassTypeList.push_back(kEClassHeavyWarDestroyer);
		shipClassTypeList.push_back(kEClassMediumCruiser);
		fShiplistCount = CL_sl.Subset(shipClassTypeList, true);
		gST.mDebug_fprintf("subset for CL filter completed. ships: %d\n", fShiplistCount);
		}

		ShipList DD_sl = sl;
		{
		std::list< eEnhancedClassTypes >  shipClassTypeList;
		shipClassTypeList.push_back(kEClassDestroyer);
		shipClassTypeList.push_back(kEClassWarDestroyer);
		fShiplistCount = DD_sl.Subset(shipClassTypeList, true);
		gST.mDebug_fprintf("subset for DD filter completed. ships: %d\n", fShiplistCount);
		}

		ShipList FF_sl = sl;
		{
		std::list< eEnhancedClassTypes >  shipClassTypeList;
		shipClassTypeList.push_back(kEClassFrigate);
		fShiplistCount = FF_sl.Subset(shipClassTypeList, true);
		gST.mDebug_fprintf("subset for FF filter completed. ships: %d\n", fShiplistCount);
		}

		ShipList diff2ShipList[7] = { DNH_sl, BCH_sl, BCH_sl, CA_sl, CA_sl, CL_sl, FF_sl };
		ShipList diff1ShipList[7] = { DNH_sl, BCH_sl, CA_sl, DD_sl, DD_sl, FF_sl, FF_sl };
		ShipList diff0ShipList[7] = { DNH_sl, CA_sl, DD_sl, DD_sl, FF_sl, FF_sl, FF_sl };
		ShipList iterShipList[7];

		switch(fMissionInfo->mGetDifficultyLevel()) 
		{
		case 2:
			{
			for(int32 x=0; x<7; x++) { iterShipList[x] = diff2ShipList[x]; }; 
			break;
			}
		case 1:
			{
			for(int32 x=0; x<7; x++) { iterShipList[x] = diff1ShipList[x]; }; 
			break;
			}
		case 0:
		default:
			{
			for(int32 x=0; x<7; x++) { iterShipList[x] = diff0ShipList[x]; }; 
			break;
			}
		}

		for (int32 i=0; i<7; i++) 
		{
			Ship s1;
			iterShipList[i].SelectRandomShip(s1);
			gST.mDebug_fprintf("ship %s (#%d) selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), i+1, s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			mCreateShip(
                typeid( tEnemyShip ),
                s1.shipCode.c_str(),
                kStartPosition_Z,
                kNoMetaShipID,
                (kEnemyShip1 + i),
                0, 0, -1, -1,
                NULL,
                kDefaultShipOptions );
		}

	} else {
		mOldCreateShipsForTeam();
	}
	gST.mDebug_fprintf("--- Finished: tEnemyTeam::mCreateShipsForTeam\n");
}



void tEnemyTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tEnemyTeam::mOldCreateShipsForTeam\n");

	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();
	// Just 2 BBs and 2 DNs is pretty tacky. The text says "two DNs and two battlecruisers", so 
	// I think I'm going to mix it up a bit.
	// This one will be a BB

	if( diffLevel == 2 )
	{
		mCreateShip( typeid( tEnemyShip ), 280, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip1, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 220, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip2, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 185, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip3, 0, 0, -1, -1, NULL, kDefaultShipOptions );
		
		mCreateShip( typeid( tEnemyShip ), 150, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip4, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 155, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip5, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 120, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip6, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 94, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip7, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( diffLevel == 1 )
	{
		mCreateShip( typeid( tEnemyShip ), 280, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip1, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 185, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip2, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 150, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip3, 0, 0, -1, -1, NULL, kDefaultShipOptions );
		
		mCreateShip( typeid( tEnemyShip ), 92, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip4, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 94, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip5, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 83, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip6, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 73, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip7, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}
	else if( diffLevel == 0 )
	{
		mCreateShip( typeid( tEnemyShip ), 280, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip1, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 150, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip2, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 92, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip3, 0, 0, -1, -1, NULL, kDefaultShipOptions );
		
		mCreateShip( typeid( tEnemyShip ), 94, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip4, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 82, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip5, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 83, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip6, 0, 0, -1, -1, NULL, kDefaultShipOptions );

		mCreateShip( typeid( tEnemyShip ), 73, kClassFrigate, kClassDreadnought, 100, kStartPosition_Z,
						kEnemyShip7, 0, 0, -1, -1, NULL, kDefaultShipOptions );
	}

	gST.mDebug_fprintf("---- Finished: tEnemyTeam::mOldCreateShipsForTeam\n");
}

void tEnemyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tEnemyTeam", shipScriptDescription );
}
