/********************************************************************************************************\

	File Name:	OrganianTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "OrganianTeam.h"
#include "OrganianTeamBaseState.h"
#include "Organia.h"
#include "Uni_10Criminals.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"


tClassAllocator<tOrganianTeam> gOrganianTeamAllocator;


void tOrganianTeam::mSetupState()
{
	mRegisterState( new tOrganianTeamBaseState() );
	mGotoState( typeid( tOrganianTeamBaseState ) );
}

void tOrganianTeam::mSetupCommState()
{}

void tOrganianTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tOrganianTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL1";
        switch (race) {
            case kFederation: worldType = "F-PL1"; break;
            case kKlingon: worldType = "K-PL1"; break;
            case kRomulan: worldType = "R-PL1"; break;
            case kGorn: worldType = "G-PL1"; break;
            case kLyran: worldType = "L-PL1"; break;
            case kHydran: worldType = "H-PL1"; break;
            case kISC: worldType = "I-PL1"; break;
            case kMirak: worldType = "Z-PL1"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Planet chosen: %s\n", p1.shipCode.c_str());

            mCreateShip(
                typeid( tOrgania ),
                p1.shipCode.c_str(),
                kStartPosition_O,
                kNoMetaShipID,
                kOrgania,
                0, 0, -1, -1,
                "Organia",
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tOrganianTeam::mCreateShipsForTeam\n");
}

void tOrganianTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tOrganianTeam::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tOrgania ), 
		"PL1" , 
		kStartPosition_O, 
		kNoMetaShipID, 
		kOrgania,
		0, 0, -1, -1, 
		"Organia", 
		kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tOrganianTeam::mOldCreateShipsForTeam\n");
}

void tOrganianTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tOrganianTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mCensusOnlyDraft( "tOrganianTeam", shipScriptDescription );
}

