/********************************************************************************************************\

	File Name:	OrganianTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrganianTeamBaseState.h"
#include "Uni_10Criminals.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tOrganianTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tOrganianTeamBaseState::mEndState()
{}

void tOrganianTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOrganianTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOrganianTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrganianTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrganianTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrganianTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrganianTeamBaseState::mOnFlashingButtonPressed()
{}
void tOrganianTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrganianTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrganianTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrganianTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrganianTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrganianTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrganianTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrganianTeamBaseState::mOnHostChanged()
{}
void tOrganianTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kOrganianTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tOrganianTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tOrganianTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tOrganianTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrganianTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

