/********************************************************************************************************\

	File Name:	FlagshipTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "FlagshipTeam.h"
#include "FlagshipTeamBaseState.h"
#include "Flagship.h"
#include "ShipList_API.h"

tClassAllocator<tFlagshipTeam> gFlagshipTeamAllocator;

void tFlagshipTeam::mSetupState()
{
	mRegisterState( new tFlagshipTeamBaseState() );
	mGotoState( typeid( tFlagshipTeamBaseState ) );
}

void tFlagshipTeam::mSetupCommState()
{}

void tFlagshipTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tFlagshipTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

        ShipList DN_sl = sl;
        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassDreadnought);
        shipClassTypeList.push_back(kEClassHeavyDreadnought);
        fShiplistCount = DN_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for DN filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(DN_sl);
        }

        if (DN_sl.size() > 0)
        {
                Ship dn1;
                DN_sl.SelectRandomShip(dn1);
                gST.mDebug_fprintf("dn1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                    dn1.shipCode.c_str(), dn1.bpv, dn1.yearFirstAvail, dn1.yearLastAvail);
                gST.mTrackOrions( dn1 );

                mCreateShip(
                    typeid( tFlagship ),
                    dn1.shipCode.c_str(),
                    kStartPosition_H,
                    kNoMetaShipID,
                    kFlagship,
                    0,0,0,0,
                    NULL,
                    kDefaultShipOptions );

        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tFlagshipTeam::mCreateShipsForTeam\n");
}


void tFlagshipTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tFlagshipTeam::mOldCreateShipsForTeam\n");

#ifdef _GERMAN
	char *shipName = "Flaggeschiff des mirakischen Admirals";
#else
	char *shipName = "Mirak Admiral's Flagship";
#endif

	mCreateShip( typeid( tFlagship ),
				 220,
				 kClassDreadnought,
				 0,
				 kStartPosition_H,
				 kFlagship,
				 0,0,0,0,
				 shipName,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tFlagshipTeam::mOldCreateShipsForTeam\n");
}

void tFlagshipTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tFlagshipTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tFlagshipTeam", shipScriptDescription );
}

