/********************************************************************************************************\

	File Name:	FlagshipTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FlagshipTeamBaseState.h"
#include "Uni_11Wedding.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tFlagshipTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tFlagshipTeamBaseState::mEndState()
{}

void tFlagshipTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFlagshipTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFlagshipTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFlagshipTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFlagshipTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFlagshipTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFlagshipTeamBaseState::mOnFlashingButtonPressed()
{}
void tFlagshipTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFlagshipTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tFlagshipTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tFlagshipTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tFlagshipTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tFlagshipTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tFlagshipTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFlagshipTeamBaseState::mOnHostChanged()
{}
void tFlagshipTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kFlagshipTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tFlagshipTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tFlagshipTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tFlagshipTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFlagshipTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

