/********************************************************************************************************\

	File Name:	MirakTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakTeamBaseState.h"
#include "Uni_11Wedding.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMirakTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tMirakTeamBaseState::mEndState()
{}

void tMirakTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tMirakTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tMirakTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMirakTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tMirakTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tMirakTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMirakTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMirakTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMirakTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMirakTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMirakTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMirakTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMirakTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakTeamBaseState::mOnFlashingButtonPressed()
{}
void tMirakTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMirakTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMirakTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMirakTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMirakTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMirakTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMirakTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMirakTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMirakTeamBaseState::mOnHostChanged()
{}
void tMirakTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kMirakTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMirakTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMirakTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMirakTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMirakTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

