/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );


	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mHasAdmiral()						{ return fHasAdmiral; }
	void	mSetHasAdmiral( iTruth x )			{ fHasAdmiral = x; }

	iTruth	mAdmiralDead()						{ return fAdmiralDead; }
	void	mSetAdmiralDead()					{ fAdmiralDead = true; }

	iTruth	mBeamedAdmiralToPlanet()			{ return fBeamedAdmiralToPlanet; }
	void	mSetBeamedAdmiralToPlanet()			{ fBeamedAdmiralToPlanet = true; }

	iTruth	mBeamedAdmiralSomewhereSilly()		{ return fBeamedAdmiralSomewhereSilly; }
	void	mSetBeamedAdmiralSomewhereSilly()	{ fBeamedAdmiralSomewhereSilly = true; }

	iTruth	mScannedPlanet()					{ return fScannedPlanet; }
	void	mSetScannedPlanet()					{ fScannedPlanet = true; }

	iTruth	mScannedFlagship()					{ return fScannedFlagship; }
	void	mSetScannedFlagship()				{ fScannedFlagship = true; }

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:

	iTruth	fHasAdmiral;
	iTruth	fAdmiralDead;
	iTruth	fBeamedAdmiralToPlanet;
	iTruth	fBeamedAdmiralSomewhereSilly;
	iTruth	fScannedPlanet;
	iTruth	fScannedFlagship;
	iTruth	fDied;
};

#endif
