/********************************************************************************************************\

	File Name:	EnemyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShip.h"
#include "EnemyShipBaseState.h"
#include "CoffinTeam.h"
#include "Uni_1Desecration.h"
#include "MissionText.h"

tClassAllocator<tEnemyShip> gEnemyShipAllocator;

void tEnemyShip::mSetupState()
{
	mRegisterState( new tEnemyShipBaseState() );
	mGotoState( typeid( tEnemyShipBaseState ) );
}

void tEnemyShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	ASSERT( playerTeam );
	if( !playerTeam ) return;

	// kCommState_1 :Player is Lyran
	if( playerTeam->mGetRace() == kLyran )
	{
		playerTeam->mRegisterCommMessage( kCommState_1,
			kNoStateChange,
			mGetShipID(),
			kButton_Hail_msg,
			kHail_Lyran_msg ) ;
		
		playerTeam->mRegisterCommMessage( kCommState_1,
			kNoStateChange,
			mGetShipID(),
			kButton_Surrender_msg,
			kSurrender_Lyran_1_msg,
			kSurrender_Lyran_2_msg );

		playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
	}

	else
	{
		// kCommState_2 : Player has not violated planet / coffin
		playerTeam->mRegisterCommMessage( kCommState_2,
										  kCommState_3,
										  mGetShipID(),
										  kButton_Hail_msg,
										  kHail_Initial_msg,
										  kNoRandomMsg );

		// kCommState_3 : Player has already been warned by Mirak to stay away
		playerTeam->mRegisterCommMessage( kCommState_3,
										  kNoStateChange,
										  mGetShipID(),
										  kButton_Hail_msg,
										  kHail_Second_msg,
										  kNoRandomMsg );

		// kCommState_4 : Player violates the Mirak's space
		playerTeam->mRegisterCommMessage( kCommState_4,
										  kNoStateChange,
										  mGetShipID(),
										  kButton_Hail_msg,
										  kHail_War_msg,
										  kNoRandomMsg );

		playerTeam->mRegisterCommMessage( kCommState_4,
										  kNoStateChange,
										  mGetShipID(),
										  kButton_Surrender_msg,
										  kSurrender_msg,
										  kSurrender_2_msg );


		playerTeam->mGotoCommState( mGetShipID(), kCommState_2 );
	}
}

void tEnemyShip::mSetupShip()
{
	int32 sX, sY, eX, eY;

	mGetGridPosition( &sX, &sY );
	eX = sX + 1;
	eY = sY + 1;

	tMapPoint wayPoints[2] = 
	{
		sX, sY,
		eX, eY,
	};

	mPatrol( 100, 2, &wayPoints[0], kMediumPriority );	
}
