/********************************************************************************************************\

	File Name:	PlayerShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerShip.h"
#include "PlayerShipBaseState.h"
#include "Uni_1Desecration.h"

tClassAllocator<tPlayerShip> gPlayerShipAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tPlayerShip::mSetupState()
{
	mRegisterState( new tPlayerShipBaseState() );
	mGotoState( typeid( tPlayerShipBaseState ) );
}


void tPlayerShip::mSetupCommState()
{}

void tPlayerShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyTransportedItem );

	// Track distance to planet
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>(kPlanetTeam) );
	if( !planetTeam )
		return;

	if( mGetRace() != kLyran )
	{
		int32 gridX, gridY;
		tShipIterator	planet = planetTeam->mGetFirstShip();
		if ( *planet != NULL )
		{
			planet->mGetGridPosition( &gridX, &gridY );
			mTrackTacticalDistance( 50.0f, gridX, gridY );
		}
	}
}
