/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	int32 mGetAsteroidsScanned();
	void mSetScanRangeNoticeGiven();

	iTruth mScanRangeNoticeGiven();
	void mSetGateTransported();

	iTruth mGateTransported();
	void mIncrementCoffinsKilled();

	int32 mGetCoffinsKilled();
	void mIncrementEnemiesKilled();

	int32 mGetEnemiesKilled();
	void mIncrementAsteroidsScanned();

	int32 mGetNumAsteroidsScanned();
	void mSetAsteroidScanned( int32 asteroid );
	iTruth mScannedAsteroid( int32 asteroid );

	iTruth	mAllEnemiesDead()		{ return fAllEnemiesDead; }
	void	mSetAllEnemiesDead()	{ fAllEnemiesDead = true; }

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );


	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	iTruth	fScannedAsteroid1;
	iTruth	fScannedAsteroid2;
	iTruth	fScannedAsteroid3;
	iTruth	fScannedAsteroid4;
	int32	fAsteroidsScanned;
	int32	fEnemiesKilled;
	int32	fCoffinsKilled;
	iTruth	fGateTransported;
	iTruth	fScanRangeNoticeGiven;
	iTruth	fAllEnemiesDead;
	iTruth	fDied;
};

#endif
