//	<Name>	ISCTeamArrivalState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISCTeamArrivalState.h"
#include "ISCTeamArrivalState.h"

#include "ScriptInterface.h"
#include "MissionInfo.h"
#include "TeamInfo.h"
#include "PlayerTeamShipInitialState.h"
#include "Uni_1Peace.h"
#include "ShipList_API.h"

void tISCTeamArrivalState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tISCTeamArrivalState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* EnemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
        if (EnemyTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (EnemyTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tISCTeamArrivalState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(EnemyTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tISCTeamArrivalState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}

void tISCTeamArrivalState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{
}

