//	<Name>	NPC1Team.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "NPC1Team.h"
#include "NPCTeamShip.h"
#include "ShipScriptDescription.h"
#include "Uni_1Peace.h"
#include "ShipList_API.h"


tClassAllocator<tNPC1Team> gNPC1TeamAllocator;

tNPC1Team::tNPC1Team() : tTeamInfo()
{}

void tNPC1Team::mSetupState()
{}

void tNPC1Team::mSetupCommState()
{}

void tNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tNPC1Team::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tNPC1Team::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}

void tNPC1Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("---- Starting: tNPC1Team::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

		int32 playerBPV = playerTeam->mGetCombatBPV();
		int32 diffLevel = fMissionInfo->mGetDifficultyLevel();

		int32 nPCBPV; 
		if( diffLevel == 0 )
		{
			nPCBPV = playerBPV * 1.5;
		}
		else if( diffLevel == 1 )
		{
			nPCBPV = playerBPV * 1.25;
		}
		else if( diffLevel == 2 )
		{
			nPCBPV = playerBPV * 1.2;
		}

		eRaceName race = mGetRace();

        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, race );
        sl = gST.stripOutRestricted( sl );
        sl = gST.stripOutSPECIAL( sl );
        ShipList ship_sl = gST.selectWarShips(sl);

		fShiplistCount = ship_sl.Subset( ship_sl.kSubsetBPV, int(nPCBPV * 0.825), int(nPCBPV * 1.075), true);
		gST.mDebug_fprintf("ship_sl subset for BPV range (%d - %d) completed. ships: %d\n",
			int(nPCBPV * 0.825), int(nPCBPV * 1.075), fShiplistCount);
		gST.listShiplistContent(ship_sl);

		if (ship_sl.size() > 0) {
            Ship s1;
            ship_sl.SelectRandomShip(s1);
            gST.mTrackOrions( s1 );
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);

            mCreateShip( 
				typeid( tNPCTeamShip ),
                s1.shipCode.c_str(),
                kStartPosition_H,
                kNoMetaShipID,
                -1,
                0, 0, -1, -1,
                NULL,
                kDefaultShipOptions );

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("---- Finished: tNPC1Team::mCreateShipsForTeam\n");
}

void tNPC1Team::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tNPC1Team::mOldCreateShipsForTeam\n");

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	int32 playerBPV = playerTeam->mGetCombatBPV();
	int32 diffLevel = fMissionInfo->mGetDifficultyLevel();

	int32 nPCBPV; 
	if( diffLevel == 0 )
	{
		nPCBPV = playerBPV * 1.5;
	}
	else if( diffLevel == 1 )
	{
		nPCBPV = playerBPV * 1.25;
	}
	else if( diffLevel == 2 )
	{
		nPCBPV = playerBPV * 1.2;
	}
	mCreateShip(
		typeid( tNPCTeamShip ), 
		nPCBPV, 
		kClassFrigate, 
		kClassHeavyBattlecruiser, 
		0, 
		kStartPosition_H,
		-1, 
		0, 0, -1, -1,
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tNPC1Team::mOldCreateShipsForTeam\n");
}



