//	<Name>	NPCTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"
#include "Uni_1Peace.h"
#include "NPCTeamShip.h"
//#include "sfcAssert.h"
#include "MissionText.h"


#include "NPCTeamShipInitialState.h"

tClassAllocator<tNPCTeamShip> gNPCTeamShipAllocator;

void tNPCTeamShip::mSetupState()
{
	mRegisterState( new tNPCTeamShipInitialState( ) );
	
	mGotoState( typeid( tNPCTeamShipInitialState ) );
}

void tNPCTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	//NPCTeam states
	switch( fRace )
	{
		case kFederation:
			playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kHailFed_msg );
		break;
		case kKlingon:
			playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kHailKli_msg );
		break;	
		case kRomulan:
			playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kHailRom_msg );
		break;
		case kLyran:
			playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kHailLyr_msg );
		break;
		case kGorn:
			playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kHailGor_msg );
		break;
		case kMirak:
			playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kHailMirak_msg );
		break;
		case kHydran: 
			playerTeam->mRegisterCommMessage( kHailCommState, kBlankCommState, mGetShipID(), kHail_btn, kHailHyd_msg );
		break;
	}

	playerTeam->mRegisterCommMessage(kFiredUponCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailButAttacked );

	switch( fRace )
	{
		case kFederation:
			playerTeam->mRegisterCommMessage( kResponseCommState, kBlankCommState, mGetShipID(), kHail_btn, kResponseFed_msg );
		break;
		case kKlingon:
			playerTeam->mRegisterCommMessage( kResponseCommState, kBlankCommState, mGetShipID(), kHail_btn, kResponseKli_msg );
		break;	
		case kRomulan:
			playerTeam->mRegisterCommMessage( kResponseCommState, kBlankCommState, mGetShipID(), kHail_btn, kResponseRom_msg );
		break;
		case kLyran:
			playerTeam->mRegisterCommMessage( kResponseCommState, kBlankCommState, mGetShipID(), kHail_btn, kResponseLyr_msg );
		break;
		case kGorn:
			playerTeam->mRegisterCommMessage( kResponseCommState, kBlankCommState, mGetShipID(), kHail_btn, kResponseGor_msg );
		break;
		case kMirak:
			playerTeam->mRegisterCommMessage( kResponseCommState, kBlankCommState, mGetShipID(), kHail_btn, kResponseMirak_msg );
		break;
		case kHydran: 
			playerTeam->mRegisterCommMessage( kResponseCommState, kBlankCommState, mGetShipID(), kHail_btn, kResponseHyd_msg );
		break;
	}
		switch( fRace )
	{
		case kFederation:
			playerTeam->mRegisterCommMessage( kFightingCommState, kBlankCommState, mGetShipID(), kHail_btn, kFightingFed_msg );
		break;
		case kKlingon:
			playerTeam->mRegisterCommMessage( kFightingCommState, kBlankCommState, mGetShipID(), kHail_btn, kFightingKli_msg );
		break;	
		case kRomulan:
			playerTeam->mRegisterCommMessage( kFightingCommState, kBlankCommState, mGetShipID(), kHail_btn, kFightingRom_msg );
		break;
		case kLyran:
			playerTeam->mRegisterCommMessage( kFightingCommState, kBlankCommState, mGetShipID(), kHail_btn, kFightingLyr_msg );
		break;
		case kGorn:
			playerTeam->mRegisterCommMessage( kFightingCommState, kBlankCommState, mGetShipID(), kHail_btn, kFightingGor_msg );
		break;
		case kMirak:
			playerTeam->mRegisterCommMessage( kFightingCommState, kBlankCommState, mGetShipID(), kHail_btn, kFightingMirak_msg );
		break;
		case kHydran: 
			playerTeam->mRegisterCommMessage( kFightingCommState, kBlankCommState, mGetShipID(), kHail_btn, kFightingHyd_msg );
		break;
	}
		playerTeam->mGotoCommState( mGetShipID(), kHailCommState );
}

void tNPCTeamShip::mSetupShip()
{
	mSetFinalDestination();
	mSetShipCallbackEvents(  kNotifyDamage );
}
