//	<Name>	NPCTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_1Peace.h"
#include "ShipInfo.h"
#include "NPCTeamShip.h"
#include "NPCTeamShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"


tNPCTeamShipInitialState::tNPCTeamShipInitialState( )
{
}

void tNPCTeamShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tNPCTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tNPCTeamShipInitialState::mBeginState\n");
}

void tNPCTeamShipInitialState::mEndState()
{
}

void tNPCTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tNPCTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tNPCTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tNPCTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	if (damagedShip->mGetTeam() == fChildActor->mGetTeam())
	{
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tNPCTeamShip::kFiredUponCommState );
	}
}
