//	<Name>	OrganianTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "OrganianTeam.h"
#include "OrganianPlanet.h"
#include "OrganianTeamInitialState.h"
#include "MissionText.h"
#include "ShipScriptDescription.h"
#include "Uni_1Peace.h"
#include "ShipList_API.h"

tClassAllocator<tOrganianTeam> gOrganianTeamAllocator;

tOrganianTeam::tOrganianTeam() : tTeamInfo()
{
}

void tOrganianTeam::mSetupState()
{
	mRegisterState( new tOrganianTeamInitialState() );
	mGotoState( typeid( tOrganianTeamInitialState ) );	
}

void tOrganianTeam::mSetupCommState()
{}

void tOrganianTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tOrganianTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tOrganianTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}

void tOrganianTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tOrganianTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

	if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        // Green Colony World.
        std::string worldType = "PL1";
        switch (race) {
            case kFederation: worldType = "F-PL1"; break;
            case kKlingon: worldType = "K-PL1"; break;
            case kRomulan: worldType = "R-PL1"; break;
            case kGorn: worldType = "G-PL1"; break;
            case kLyran: worldType = "L-PL1"; break;
            case kHydran: worldType = "H-PL1"; break;
            case kISC: worldType = "I-PL1"; break;
            case kMirak: worldType = "Z-PL1"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            mCreateShip(
                typeid( tOrganianPlanet ),
                p1.shipCode.c_str(),
                kStartPosition_Z,
                kNoMetaShipID,
                -1,
                0, 0, -1, -1,
                "Organia",
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tOrganianTeam::mCreateShipsForTeam\n");
}

void tOrganianTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tOrganianTeam::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tOrganianPlanet ), 
		"PL1", 
		kStartPosition_Z,
		kNoMetaShipID, 
		-1, 
		0, 0, -1, -1, 
		"Organia", 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tOrganianTeam::mOldCreateShipsForTeam\n");
}
