//	<Name>	PeaceVictoryState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "PeaceVictoryState.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "Uni_1Peace.h"
#include "PeaceVictory.h"
#include "MissionText.h"
#include "PlayerTeamShipSurrenderedState.h"
#include "PlayerTeamShipOrgArriveState.h"
                               
tPeaceVictoryState::tPeaceVictoryState( tTeamInfo* team, int32 playerTeamID, int32 enemeyTeamID, int32 captureBouns,
												 int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat ) :
	tChildActorVictoryState<tPeaceVictory>( astoundingVictory, victory, draw, defeat, devastatingDefeat )
{
	iSCDestroyed = 0;
	fPlayerShipsInPlay;
}

void tPeaceVictoryState::mBeginState()
{

}

void tPeaceVictoryState::mEndState()
{
}

eVictoryLevels tPeaceVictoryState::mCalcVictoryStatus( eTeamID ID )
{
	int32 iSCDestroyed = fChildActor->mGetISCDestroyed();
	int32 iSCCaptured  = fChildActor->mGetISCCaptured();
	bool  playerDestroyed = fChildActor->mGetPlayerDestroyed();

	if( !( fChildActor->mGetDiplomatTrans() ) || ( playerDestroyed ) )
	{
		return kDevastatingDefeat;
	}
	if( fChildActor->mGetPlayerSurrendered() )
	{
		return kDefeat;
	}
    else if( ( iSCCaptured > 0 )  && ( !( playerDestroyed ) ) )
	{
		return kAstoundingVictory;
	}
	else if ( ( iSCDestroyed > 1) && ( !( playerDestroyed ) ) )
	{
		return kVictory;
	}
	else 
	{
		return kDraw;
	}

}
int32 tPeaceVictoryState::mShipsInPlay( tTeamInfo* teamID )
{
	int32 teamShipsInPlay = teamID->mShipsRemainingInPlay();

	return teamShipsInPlay;
}
void tPeaceVictoryState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tShipIterator pShip = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *pShip;


	if( ship->mGetTeam() == kEnemyTeam )
	{
		fChildActor->mSetISCDestroyed();
		if ( ( ( fChildActor->mGetISCDestroyed() ) + ( fChildActor->mGetISCCaptured() ) ) > 1 )
		{
			gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerWins );
		}
	}
	else if ( ( ship->mGetTeam() ) == ( playerTeam->mGetTeam() ) ) 
	{
		int32 playerShipsAlive = 0;
		for( playerShip; playerShip != NULL; playerShip = *( ++pShip) )
		{
			if ( playerShip->mInPlay() )
			{
				++playerShipsAlive;
			}
		}
		if ( playerShipsAlive == 0 )
		{
			gScriptInterface.mSetGameStatus( (eTeamID)kPlayerTeam, kPlayerDestroyed );
		}
	}

}

void tPeaceVictoryState::mOnCapture( tShipInfo* ship )
{
	if ( ship->mGetOriginalTeam() == kEnemyTeam )
	{
		fChildActor->mSetISCCaptured();
		if ( ( ( fChildActor->mGetISCDestroyed() ) + ( fChildActor->mGetISCCaptured() ) ) > 1 )
		{
			gScriptInterface.mSetGameStatus( (eTeamID) kPlayerTeam, kPlayerWins );
		}
	}
}

void tPeaceVictoryState::mOnDisengaged( tShipInfo* ship )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	fPlayerShipsInPlay = mShipsInPlay( playerTeam );

	if( fPlayerShipsInPlay < 1 )
	{
		if ( ( ship->mGetTeam() ) == ( playerTeam->mGetTeam() ) )
		{
			gScriptInterface.mSetGameStatus( (eTeamID) kPlayerTeam, kPlayerLoses );
		}
	}
}
void tPeaceVictoryState::mOnStateChange( tActor* actor, tState* state, eStateEvent eventType )
{
	//If the player surrenders he loses
	if( ( *actor == typeid( tPlayerTeam ) )
		&& ( *state == typeid( tPlayerTeamShipSurrenderedState ) )
		&& ( eventType == kStartingNewState ) )
	{
		fChildActor->mSetPlayerSurrendered( true );
		gScriptInterface.mSetGameStatus( (eTeamID) kPlayerTeam, kPlayerLoses );			
	}
	else if( (*actor == typeid( tPlayerTeam ) ) //Diplomat arrives
		&& (*state == typeid( tPlayerTeamShipOrgArriveState ) )
		&& ( eventType == kStartingNewState ) )
	{
		fChildActor->mSetDiplomatTrans( true );
	}
}