//	<Name>	PlayerTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_1Peace.h"
#include "ShipInfo.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamShipInitialState.h"
#include "PlayerTeamShipOrgArriveState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"


tPlayerTeamShipInitialState::tPlayerTeamShipInitialState( )
{
	randomMessage = 0;
	fChatter = true;
}

void tPlayerTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );		// Set timer for Starting Msg
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tPlayerTeamShipInitialState::mEndState()
{
}
void tPlayerTeamShipInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* organianTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kOrganianTeam ) );
	tShipIterator ship = organianTeam->mGetFirstShip();
	tShipInfo* organianPlanet = *ship;
	ship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *ship;

	if ( ( item == kTransDiplomat ) && ( shipTo == organianPlanet ) )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kDiplomat_Disturb_msg );
		mSetTimedInterval( kTimerSecondsSet, kDiploTransID, 5.0f );
		organianPlanet->mRemoveItemFromStores( kTransDiplomat, 1 );
		fChatter = false;
	}
	shipFrom->mSetShipCallbackEvents( kNotifyTransportedItem );  //from players ship TO another
	shipTo->mSetShipCallbackEvents( kNotifyTransportedItem );
}

void tPlayerTeamShipInitialState::mOnTimedInterval( int32 timerID )	// Display Chatter Messages in sequence
{
	int32 dice = fMissionInfo->mRandomInt32( 0, 7);

	if ( ( timerID == kChatterID) && ( fChatter ) )
	{
		switch( randomMessage )
		{
			case 0:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHelmChatter_msg );
			break;
			case 1:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEngineerChatter_msg );
			break;
			case 2:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kSecurityChatter_msg );
			break;		
			case 3:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kNavigationChatter_msg );
			break;	
			case 4:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kWeaponsChatter_msg );
			break;
			case 5:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kCommunicationsChatter_msg );
			break;
		}
		randomMessage++;
		if ( randomMessage < 5 )
		{
			mSetTimedInterval( kTimerSecondsSet, kChatterID, (18.0f + dice) );
		}
	}
	else if ( timerID == kDiploTransID )
	{
		fChildActor->mGotoState( typeid( tPlayerTeamShipOrgArriveState ) );
	}
	else if ( timerID == kStartingID )
	{
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
		PlayerRace = playerTeam->mGetRace();

			switch( PlayerRace )										// Display Mission Start Message
			{
				case kFederation:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kFedStarting_msg, kNonCommScriptMessage );
				break;
				case kKlingon:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kKliStarting_msg, kNonCommScriptMessage );
				break;
				case kRomulan:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kRomStarting_msg, kNonCommScriptMessage );
				break;
				case kLyran:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kLyrStarting_msg, kNonCommScriptMessage );
				break;
				case kGorn:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kGorStarting_msg, kNonCommScriptMessage );
				break;
				case kMirak:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMirakStarting_msg, kNonCommScriptMessage );
				break;
				case kHydran:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHydStarting_msg, kNonCommScriptMessage );
				break;
			}
		mSetTimedInterval( kTimerSecondsSet, kChatterID, 20.0f );		// Set timer for 1st Chatter
	} 
	
	if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* PlayerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
        if (PlayerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (PlayerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tPlayerTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(PlayerTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tPlayerTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }

}
//	