//	<Name>	PlayerTeamShipOrgArriveState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_1Peace.h"
#include "ShipInfo.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamShipOrgArriveState.h"
#include "PlayerTeamShipSurrenderedState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "TeamInfo.h"
#include "NPCTeamShip.h"
#include "ISCTeam.h"
#include "PeaceVictory.h"
#include "ISCTeamShips.h"

tPlayerTeamShipOrgArriveState::tPlayerTeamShipOrgArriveState( )
{
}

void tPlayerTeamShipOrgArriveState::mBeginState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
    PlayerRace = playerTeam->mGetRace();

	fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kOrgArrival_msg );
   	mSetTimedInterval( kTimerSecondsSet, kOrgArrivalID, 4.0f );
}

void tPlayerTeamShipOrgArriveState::mEndState()
{
}

void tPlayerTeamShipOrgArriveState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* npc1Team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >(  kNPC1Team ) );
	tTeamInfo* npc2Team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >(  kNPC2Team ) );
	tTeamInfo* npc3Team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >(  kNPC3Team ) );
	tTeamInfo* iSCTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >(  kEnemyTeam ) );
	tShipIterator ship = iSCTeam->mGetFirstShip();
	tShipInfo* isc1Ship = *ship;
	++ship;
	tShipInfo* isc2Ship = *ship;
	ship = npc1Team->mGetFirstShip();
	tShipInfo* npc1ship = *ship;
	ship = npc2Team->mGetFirstShip();
	tShipInfo* npc2ship = *ship;
	ship = npc3Team->mGetFirstShip();
	tShipInfo* npc3ship = *ship;

	if ( timerID == kOrgArrivalID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kOrganian1_msg );
		mSetTimedInterval( kTimerSecondsSet, kOrganian1ID, 15.0f );
	}
	if ( timerID == kOrganian1ID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kOrganian2_msg );			//Display 2nd part of Organian MSG
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kOrganian3_msg );			//Needed for long message	
		mSetTimedInterval( kTimerSecondsSet, kOrganian2ID, 10.0f );
	}
	if ( timerID == kOrganian2ID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kISCUltimatum_msg );//Display ISC Ultimatum
		mSetTimedInterval( kTimerTurnsSet, kTimersUpID, 1.2f );

		// Set What are you going to do Comm States for NPC's
		if( npc1ship )
		{
			playerTeam->mGotoCommState( npc1ship->mGetShipID(), tNPCTeamShip::kResponseCommState );
		}
		// Set What are you going to do Comm States for NPC's
		if( npc2ship )
		{
			playerTeam->mGotoCommState( npc2ship->mGetShipID(), tNPCTeamShip::kResponseCommState );
		}
		// Set What are you going to do Comm States for NPC's
		if( npc3ship )
		{
			playerTeam->mGotoCommState( npc3ship->mGetShipID(), tNPCTeamShip::kResponseCommState );
		}
		tTeamInfo* iSCTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kEnemyTeam ) );	// Set Surrender MSG Comm State - ISC

		playerTeam->mGotoCommState( isc1Ship->mGetShipID(), tISCTeamShips::kSurrenderCommState );
		playerTeam->mGotoCommState( isc2Ship->mGetShipID(), tISCTeamShips::kSurrenderCommState );

	}
	if ( timerID == kTimersUpID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kRefuseUlt_msg );

		npc1Team->mClearCommands();
		npc2Team->mClearCommands();
		npc3Team->mClearCommands();
		// Set all ISC Conditions to AT WAR DESTROY
		fMissionInfo->mSetTeamRelations( ( fChildActor->mGetTeam() ), ( iSCTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( ( npc1Team->mGetTeam() ), ( iSCTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( ( npc2Team->mGetTeam() ), ( iSCTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( ( npc3Team->mGetTeam() ), ( iSCTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );

		if( isc1Ship )
		{
			playerTeam->mGotoCommState( isc1Ship->mGetShipID(), tISCTeamShips::kISCHailRefusedCommState );
		}
		if( isc2Ship )
		{
			playerTeam->mGotoCommState( isc2Ship->mGetShipID(), tISCTeamShips::kISCHailRefusedCommState );
		}

		// Set What are you going to do Comm States for NPC's
		if( npc1ship )
		{
			playerTeam->mGotoCommState( npc1ship->mGetShipID(), tNPCTeamShip::kFightingCommState );
		}
		// Set What are you going to do Comm States for NPC's
		if( npc2ship )
		{
			playerTeam->mGotoCommState( npc2ship->mGetShipID(), tNPCTeamShip::kFightingCommState );
		}
		// Set What are you going to do Comm States for NPC's
		if( npc3ship )
		{
			playerTeam->mGotoCommState( npc3ship->mGetShipID(), tNPCTeamShip::kFightingCommState );
		}

	}
}
void tPlayerTeamShipOrgArriveState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{
}	
void tPlayerTeamShipOrgArriveState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	if( buttonID == kSurrender_btn )
	{
		fChildActor->mGotoState( typeid( tPlayerTeamShipSurrenderedState ) );	
	}
}