/********************************************************************************************************\

	File Name:	AllyShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyShipBaseState.h"
#include "MissionText.h"
#include "Uni_2Dance.h"

void tAllyShipBaseState::mBeginState()
{
	fChildActor->mDisableShip();
	mSetTimedInterval( kTimerSecondsSet, kRange_timer, 2.0f );
}

void tAllyShipBaseState::mEndState()
{}

void tAllyShipBaseState::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kRange_timer:
		{
			mSetTimedInterval( kTimerSecondsSet, kRange_timer, 2.0f );

			tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
			if( !playerTeam )
				return;

			tShipIterator playerShips = playerTeam->mGetFirstShip();
			tShipInfo* ship1 = *playerShips;
			playerShips++;
			tShipInfo* ship2 = *playerShips;
			playerShips++;
			tShipInfo* ship3 = *playerShips;

			int32 ActionRange = 7;

			if( ( ship1 ) && ( fChildActor->mGetTacticalDistance( ship1 ) < ActionRange ) )
			{
				fChildActor->mDropShields();
			}
			if( ( ship2 ) && ( fChildActor->mGetTacticalDistance( ship2 ) < ActionRange ) )
			{
				fChildActor->mDropShields();
			}
			if( ( ship3 ) && ( fChildActor->mGetTacticalDistance( ship3 ) < ActionRange ) )
			{
				fChildActor->mDropShields();
			}
		}
		break;

	default:
		break;
	}
}

void tAllyShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAllyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tAllyShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAllyShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAllyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAllyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAllyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyShipBaseState::mOnFlashingButtonPressed()
{}
void tAllyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAllyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAllyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAllyShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAllyShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAllyShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAllyShipBaseState::mOnHostChanged()
{}

void tAllyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAllyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

