/********************************************************************************************************\

	File Name:	DilithiumTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "DilithiumTeam.h"
#include "DilithiumTeamBaseState.h"
#include "DilithiumShip.h"
#include "MissionText.h"
#include "Uni_2Dance.h"
#include "ShipList_API.h"

tClassAllocator<tDilithiumTeam> gDilithiumTeamAllocator;

void tDilithiumTeam::mSetupState()
{
	mRegisterState( new tDilithiumTeamBaseState() );
	mGotoState( typeid( tDilithiumTeamBaseState ) );
}

void tDilithiumTeam::mSetupCommState()
{}

void tDilithiumTeam::mCreateShipsForTeam()
{
	// Don't mess with this. --FS, 20121015
	char *szShipName	= "X-BOX";
	char *szInitialName = "Cargo Container";

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	ASSERT( playerTeam );
	if( !playerTeam ) return;

	switch( playerTeam->mGetRace() )
	{
	case kKlingon:
		szShipName = "K-BOX";
		break;

	case kLyran:
		szShipName = "L-BOX";
		break;

	case kHydran:
		szShipName = "H-BOX";
		break;

	default:
		break;
	}

	mCreateShip( typeid( tDilithiumShip ),
				 szShipName,
				 kStartPosition_L,
				 kNoMetaShipID,
				 kDBox1,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDilithiumShip ),
				 szShipName,
				 kStartPosition_N,
				 kNoMetaShipID,
				 kDBox2,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDilithiumShip ),
				 szShipName,
				 kStartPosition_P,
				 kNoMetaShipID,
				 kDBox3,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDilithiumShip ),
				 szShipName,
				 kStartPosition_R,
				 kNoMetaShipID,
				 kDBox4,
				 0,0,0,0,
				 szInitialName,
				 kDefaultShipOptions );
}

void tDilithiumTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tDilithiumTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tDilithiumTeam", shipScriptDescription );
}


