/********************************************************************************************************\

	File Name:	DilithiumTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DilithiumTeamBaseState.h"
#include "Uni_2Dance.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDilithiumTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tDilithiumTeamBaseState::mEndState()
{}

void tDilithiumTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDilithiumTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDilithiumTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDilithiumTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDilithiumTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDilithiumTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDilithiumTeamBaseState::mOnFlashingButtonPressed()
{}
void tDilithiumTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDilithiumTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDilithiumTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDilithiumTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDilithiumTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDilithiumTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDilithiumTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDilithiumTeamBaseState::mOnHostChanged()
{}
void tDilithiumTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDilithiumTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tDilithiumTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tDilithiumTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tDilithiumTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDilithiumTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

