/********************************************************************************************************\

	File Name:	MineTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MineTeam.h"
#include "MineTeamBaseState.h"
#include "MineShip.h"
#include "Uni_2Dance.h"
#include "ShipList_API.h"

tClassAllocator<tMineTeam> gMineTeamAllocator;

void tMineTeam::mSetupState()
{
	mRegisterState( new tMineTeamBaseState() );
	mGotoState( typeid( tMineTeamBaseState ) );
}

void tMineTeam::mSetupCommState()
{}

void tMineTeam::mCreateShipsForTeam()
{
    // Don't mess with this. --FS, 20121015
    char *szShipName    = "X-BOX";
    char *szInitialName = "Cargo Container";

    tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
    ASSERT( playerTeam );
    if( !playerTeam ) return;

    switch( playerTeam->mGetRace() )
    {
    case kKlingon:
        szShipName = "K-BOX";
        break;

    case kLyran:
        szShipName = "L-BOX";
        break;

    case kHydran:
        szShipName = "H-BOX";
        break;

    default:
        break;
    }

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_M,
				 kNoMetaShipID,
				 kMBox1,
				 0,0,0,0,
				 "Cargo Container",
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_O,
				 kNoMetaShipID,
				 kMBox2,
				 0,0,0,0,
				 "Cargo Container",
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_Q,
				 kNoMetaShipID,
				 kMBox3,
				 0,0,0,0,
				 "Cargo Container",
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_S,
				 kNoMetaShipID,
				 kMBox4,
				 0,0,0,0,
				 "Cargo Container",
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_T,
				 kNoMetaShipID,
				 kMBox5,
				 0,0,0,0,
				 "Cargo Container",
				 kDefaultShipOptions );

	mCreateShip( typeid( tMineShip ),
				 szShipName,
				 kStartPosition_U,
				 kNoMetaShipID,
				 kMBox6,
				 0,0,0,0,
				 "Cargo Container",
				 kDefaultShipOptions );
}

void tMineTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tMineTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tMineTeam", shipScriptDescription );
}

