/********************************************************************************************************\

	File Name:	MineTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MineTeamBaseState.h"
#include "Uni_2Dance.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMineTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tMineTeamBaseState::mEndState()
{}

void tMineTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tMineTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tMineTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMineTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tMineTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tMineTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMineTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMineTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMineTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMineTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMineTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMineTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMineTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMineTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMineTeamBaseState::mOnFlashingButtonPressed()
{}
void tMineTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMineTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMineTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMineTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMineTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMineTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMineTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMineTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMineTeamBaseState::mOnHostChanged()
{}
void tMineTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kMineTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMineTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMineTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMineTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMineTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

