/********************************************************************************************************\

	File Name:	PulsarTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PulsarTeamBaseState.h"
#include "Uni_2Dance.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPulsarTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tPulsarTeamBaseState::mEndState()
{}

void tPulsarTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPulsarTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPulsarTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPulsarTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPulsarTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPulsarTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPulsarTeamBaseState::mOnFlashingButtonPressed()
{}
void tPulsarTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPulsarTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPulsarTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPulsarTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPulsarTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPulsarTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPulsarTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPulsarTeamBaseState::mOnHostChanged()
{}
void tPulsarTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPulsarTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tPulsarTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tPulsarTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tPulsarTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPulsarTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

