//	<Name>	DefPlatformTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "DefPlatformTeam.h"
#include "DefPlatformTeamShip.h"
#include "Uni_2Promises.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"

tClassAllocator<tDefPlatformTeam> gDefPlatformTeamAllocator;

void tDefPlatformTeam::mSetupState()
{}

void tDefPlatformTeam::mSetupCommState()
{}

void tDefPlatformTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tDefPlatformTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tDefPlatformTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}

void tDefPlatformTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tDefPlatformTeam::mCreateShipsForTeam\n");
	gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        // Defense platforms
        std::list< eEnhancedClassTypes >  DEFClassTypeList;
        DEFClassTypeList.push_back(kEClassPlatform);
        fShiplistCount = sl.Subset(DEFClassTypeList, true);
        gST.mDebug_fprintf("subset for Platform class filter completed. ships: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  DEFRolesList;
        DEFRolesList.push_back(kLocalDefense);
        fShiplistCount = sl.Subset(DEFRolesList, true);
        gST.mDebug_fprintf("subset for Local Defense eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

		if (sl.size() > 0) {
			Ship s1;
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			mCreateShip(
				typeid( tDefPlatformTeamShip ), 
				s1.shipCode.c_str(), 
				kStartPosition_U,
				kNoMetaShipID, 
				-1, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );
		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tDefPlatformTeam::mCreateShipsForTeam\n");
}

void tDefPlatformTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tDefPlatformTeam::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tDefPlatformTeamShip ), 
		"I-DEF", 
		kStartPosition_U,
		kNoMetaShipID, 
		-1, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tDefPlatformTeam::mOldCreateShipsForTeam\n");
}


