//	<Name>	EnemyTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ScriptInterface.h"

#include "EnemyTeamShip.h"
#include "EnemyTeam.h"
#include "MissionText.h"
#include "EnemyTeamShipInitialState.h"
#include "Uni_2Promises.h"

tClassAllocator<tEnemyTeamShip> gEnemyTeamShipAllocator;

void tEnemyTeamShip::mSetupState()
{
	mRegisterState( new tEnemyTeamShipInitialState( ) );

	mGotoState( typeid( tEnemyTeamShipInitialState ) );
}

void tEnemyTeamShip::mSetupCommState()
{
	eRaceName  playerRace;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
    playerRace = playerTeam->mGetRace();

	if ( playerRace == kFederation )
	{
		playerTeam->mRegisterCommMessage( kHailCommState, kPeaceOrPleaseCommState, mGetShipID(), kHail_btn, kHailOne_msg, kHailThree_msg );
		playerTeam->mRegisterCommMessage( kPeaceOrPleaseCommState, kPeaceCommState, mGetShipID(), kPeace_btn, kPeaceOffer_msg );
  		playerTeam->mRegisterCommMessage( kPeaceOrPleaseCommState, kNoStateChange, mGetShipID(), kPlease_btn, kPlease_msg );
	}
	else
	{
		playerTeam->mRegisterCommMessage( kHailCommState, kNoStateChange, fShipID, kHail_btn, kHailOne_msg, kHailThree_msg );
	}

	playerTeam->mRegisterCommMessage( kNoResponseCommState, kNoStateChange, fShipID, kHail_btn, kNoResponse_msg );
	
	playerTeam->mGotoCommState( mGetShipID(), kHailCommState );

}

void tEnemyTeamShip::mSetupShip()
{
	mSetShipCallbackEvents(  kNotifyDamage );
}
