//	<Name>	EnemyTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_2Promises.h"
#include "ShipInfo.h"
#include "EnemyTeamShip.h"
#include "EnemyTeamShipInitialState.h"
#include "DefPlatformTeamShip.h"
//#include "PlayerTeamShip.h"
//#include "PlayerTeamShipPriObjCompState.h"
#include "MissionText.h"
//#include "ScriptInterface.h"
#include "ShipList_API.h"


tEnemyTeamShipInitialState::tEnemyTeamShipInitialState( )
{}

void tEnemyTeamShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tEnemyTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tEnemyTeamShipInitialState::mBeginState\n");
}

void tEnemyTeamShipInitialState::mEndState()
{}

void tEnemyTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( damagedShip->mGetShipID() == fChildActor->mGetShipID() )
	{
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

//		fChildActor->mGotoCommState( tEnemyTeamShip::kNoResponseCommState );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kMineControllerTeam ), playerTeam->mGetTeam(), kTeamHostile, kGoalIgnore, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kDefPlatformTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );

		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kEnemyTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalDestroy, 1.0, kFalse );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kMineControllerTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamHostile, kGoalIgnore, 1.0, kFalse );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kDefPlatformTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalDestroy, 1.0, kFalse );

		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kEnemyTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kMineControllerTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kDefPlatformTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
	}
}
void tEnemyTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{
}
void tEnemyTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kCheckPlanetDistanceID )
	{
		int32 rangeThisInterval = 0;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
		tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlanetTeam ) );
		tShipIterator ship = planetTeam->mGetFirstShip();	
		tShipInfo* planet = *ship;
		ship = playerTeam->mGetFirstShip();
		tShipInfo* playerShip = *ship;

		rangeThisInterval = planet->mGetTacticalDistance( playerShip );

		if ( rangeThisInterval < 10 )
		{
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kMineControllerTeam ), playerTeam->mGetTeam(), kTeamHostile, kGoalIgnore, 1.0, kTrue );
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kDefPlatformTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );

			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kEnemyTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalDestroy, 1.0, kFalse );
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kMineControllerTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamHostile, kGoalIgnore, 1.0, kFalse );
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kDefPlatformTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamAtWar, kGoalDestroy, 1.0, kFalse );

			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kEnemyTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kMineControllerTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );
			fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kFreighterTeam ), static_cast< eTeamID >( kDefPlatformTeam ), kTeamAtWar, kGoalIgnore, 1.0, kFalse );

			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kFailedToComply_msg );
		}
		else
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckPlanetDistanceID, 0.5f );
		}
	}

	if (timerID == kUpgradeFightersID) {
	#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tEnemyTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tEnemyTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
	#endif
	}
}

void tEnemyTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* defPlatformTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kDefPlatformTeam ) );
	tShipIterator pship = defPlatformTeam->mGetFirstShip();
	tDefPlatformTeamShip* defPlatShip = ( tDefPlatformTeamShip* )*pship;
//	defPlatShip = (tDefPlatformTeamShip*)defPlatformTeam->mGetFirstShip();
	pship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *pship;

	//If the Fed offers peace, the ISC goes to Yellow alert
	if( buttonID == kPeace_btn )
	{
		fChildActor->mClearCommands();
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kEnemyTeam ), playerTeam->mGetTeam(), kTeamHostile, kGoalIgnore, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kMineControllerTeam ), playerTeam->mGetTeam(), kTeamHostile, kGoalIgnore, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kDefPlatformTeam ), playerTeam->mGetTeam(), kTeamHostile, kGoalIgnore, 1.0, kTrue );

		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kEnemyTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamHostile, kGoalIgnore, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kMineControllerTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamHostile, kGoalIgnore, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kDefPlatformTeam ), static_cast< eTeamID >( kFreighterTeam ), kTeamHostile, kGoalIgnore, 1.0, kTrue );
		fChildActor->mSetFinalDestination( 16, 15 );

		mSetTimedInterval( kTimerTurnsSet, kCheckPlanetDistanceID, 0.5f );
		defPlatShip->mSetDiplomacyStarted( true );
	}
}
