//	<Name>	FreighterTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "MissionText.h"
#include "Uni_2Promises.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipInitialState.h"

tClassAllocator<tFreighterTeamShip> gFreighterTeamShipAllocator;

void tFreighterTeamShip::mSetupState()
{
	mRegisterState( new tFreighterTeamShipInitialState( ) );

	mGotoState( typeid( tFreighterTeamShipInitialState ) );
}

void tFreighterTeamShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );

	//FreighterTeamCommState
	//Beginning state - Course for Planet choose disengage or other attack
	playerTeam->mRegisterCommMessage( kDisengageorAttackCommState, kDisengageCommState, mGetShipID(), kDisengage_btn, kOrderDisengage_msg );
	playerTeam->mRegisterCommMessage( kDisengageorAttackCommState, kAttackCourseCommState, mGetShipID(), kSetAttackCourse_btn, kAwaitingCourse_msg );
	// While on course for planet, choose next attack course defense platform or mine controller
	playerTeam->mRegisterCommMessage( kAttackCourseCommState, kDefPlatformCommState, mGetShipID(), kSetDefPlatCourse_btn, kSetCourseDefPlat_msg );
	playerTeam->mRegisterCommMessage( kAttackCourseCommState, kMineControllerCommState, mGetShipID(), kSetMineContCourse_btn, kSetCourseMineCont_msg );
	//While heading for defense platform choose disengage or other attack
	playerTeam->mRegisterCommMessage( kDefPlatformCommState, kDisengageCommState, mGetShipID(), kDisengage_btn, kOrderDisengage_msg );
	playerTeam->mRegisterCommMessage( kDefPlatformCommState, kDefPlatAttackCourseCommState, mGetShipID(), kSetAttackCourse_btn, kAwaitingCourse_msg );
	//While on course for defense platform choose either planet or Mine controller attack
	playerTeam->mRegisterCommMessage( kDefPlatAttackCourseCommState, kDisengageorAttackCommState, mGetShipID(), kSetPlanetCourse_btn, kSetCoursePlanet_msg );
	playerTeam->mRegisterCommMessage( kDefPlatAttackCourseCommState, kMineControllerCommState, mGetShipID(), kSetMineContCourse_btn, kSetCourseMineCont_msg );
	//While on course for mine contoller - choose either disengage or new attack.
	playerTeam->mRegisterCommMessage( kMineControllerCommState, kDisengageCommState, mGetShipID(), kDisengage_btn, kOrderDisengage_msg );
	playerTeam->mRegisterCommMessage( kMineControllerCommState, kMineControllerAttackCourseCommState, mGetShipID(), kSetAttackCourse_btn, kAwaitingCourse_msg );
	//While on course for mine controller either Planet or Defense Platform attack
	playerTeam->mRegisterCommMessage( kMineControllerAttackCourseCommState, kDisengageorAttackCommState, mGetShipID(), kSetPlanetCourse_btn, kSetCoursePlanet_msg );
	playerTeam->mRegisterCommMessage( kMineControllerAttackCourseCommState, kDefPlatformCommState, mGetShipID(), kSetDefPlatCourse_btn, kSetCourseDefPlat_msg );
	//While disengaging choose to goto planet or other attack
	playerTeam->mRegisterCommMessage( kDisengageCommState, kDisengageorAttackCommState, mGetShipID(), kSetPlanetCourse_btn, kSetCoursePlanet_msg );
	playerTeam->mRegisterCommMessage( kDisengageCommState, kAttackCourseCommState, mGetShipID(), kSetAttackCourse_btn, kAwaitingCourse_msg );

	playerTeam->mGotoCommState( mGetShipID(), kDisengageorAttackCommState );

}
void tFreighterTeamShip::mSetupShip()
{
	mSetShipMaxSpeed( 0 );
	mSetFinalDestination( 16, 15 );
}

