//	<Name>	MineControllerTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "MineControllerTeam.h"
#include "MineControllerTeamShip.h"
#include "Uni_2Promises.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"

tClassAllocator<tMineControllerTeam> gMineControllerTeamAllocator;

tMineControllerTeam::tMineControllerTeam() : tTeamInfo()
{}

void tMineControllerTeam::mSetupState()
{}

void tMineControllerTeam::mSetupCommState()
{}

void tMineControllerTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tMineControllerTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

   // don't actually draft it. We're just collecting era data!
    gST.mDebug_fprintf("We don't actually draft ship %s. We're just collecting data!\n",
        shipScriptDescription.fClassName.c_str());

    gST.mDebug_fprintf("--- Finished: tMineControllerTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}

void tMineControllerTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tMineControllerTeam::mCreateShipsForTeam\n");
	gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

        ShipList freighter_sl = sl;

		std::list< eEnhancedClassTypes >  freighterClassList;
        freighterClassList.push_back(kEClassSmallFreighter);
        freighterClassList.push_back(kEClassLargeFreighter);
        freighterClassList.push_back(kEClassPriorityTransport);
		fShiplistCount = freighter_sl.Subset(freighterClassList, true);
        gST.mDebug_fprintf("subset for ship classes filter completed. ships: %d\n", fShiplistCount);

		// it's at times like this that I get to be a bit evil. ;) -- FS
		std::list< eEnhancedRoles >  freighterRolesList;
		switch (fMissionInfo->mGetDifficultyLevel()) {
		case 2:
			gST.mDebug_fprintf("Difficulty Hard/Admiral. Selecting QShips\n");
			freighterRolesList.push_back(kQship);
			break;
		case 1:
		case 0:
		default:
			gST.mDebug_fprintf("Difficulty Hard/Admiral. Selecting Cargo freighters\n");
			freighterRolesList.push_back(kCargo);
			break;
		}
		fShiplistCount = freighter_sl.Subset(freighterRolesList);
        gST.mDebug_fprintf("freighter roles subset: %d\n", fShiplistCount);
		gST.listShiplistContent(freighter_sl);

		if (freighter_sl.size() > 0) {
			Ship s1;
			freighter_sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			mCreateShip(
				typeid( tMineControllerTeamShip ), 
				s1.shipCode.c_str(),
				kStartPosition_V,
				kNoMetaShipID, 
				-1, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );
		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tMineControllerTeam::mCreateShipsForTeam\n");
}



void tMineControllerTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tMineControllerTeam::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tMineControllerTeamShip ), 
		"I-FSPh", 
		kStartPosition_V,
		kNoMetaShipID, 
		-1, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tMineControllerTeam::mOldCreateShipsForTeam\n");
}



