//	<Name>	PlanetInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_2Promises.h"
#include "ShipInfo.h"
#include "Planet.h"
#include "PlanetInitialState.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamShipPriObjCompState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"


tPlanetInitialState::tPlanetInitialState( )
{}

void tPlanetInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tPlanetInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tPlanetInitialState::mBeginState\n");
}

void tPlanetInitialState::mEndState()
{}

void tPlanetInitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{
	if( (*actor == typeid( tPlayerTeamShip ) ) &&  // Check to see if Primary Objective is Complete
		(*stateID == typeid(tPlayerTeamShipPriObjCompState) ) && 
		(eventType == kStartingNewState ) )
	{
//		fChildActor->mGotoCommState( tPlanet::kHailOKCommState );
	}
}

void tPlanetInitialState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
	#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tPlanetInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tPlanetInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
	#endif
	}
}
