//	<Name>	PlayerTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_2Promises.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamShipPriObjCompState.h"
#include "PlayerTeamShipInitialState.h"
#include "PromisesVictory.h"
#include "MissionText.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"


tClassAllocator<tPlayerTeam> gPlayerTeamAllocator;


void tPlayerTeam::mSetupVictoryCondition()
{
	fVictoryCondition = new tPromisesVictory( this );
	gEventMgr.mRegisterActor( fVictoryCondition );
}
void tPlayerTeam::mSetupDebriefingList( eVictoryLevels VictoryLevel )
{
	eRaceName  playerRace;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
    playerRace = playerTeam->mGetRace();



	// return the index to the debreifing message we want to use
	switch( playerRace )
	{
		case kFederation:
			if( VictoryLevel == kAstoundingVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kFedAstoundingVictory_msg );
			}
			else if ( VictoryLevel == kVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kFedVictory_msg );
			}
		break;
		case kKlingon:
			if( VictoryLevel == kAstoundingVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kKliAstoundingVictory_msg );
			}
			else if ( VictoryLevel == kVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kKliVictory_msg );
			}
		break;
		case kRomulan:
			if( VictoryLevel == kAstoundingVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kRomAstoundingVictory_msg );
			}
			else if ( VictoryLevel == kVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kRomVictory_msg );
			}
		break;
		case kLyran:
			if( VictoryLevel == kAstoundingVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kLyrAstoundingVictory_msg );
			}
			else if ( VictoryLevel == kVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kLyrVictory_msg );
			}
		break;
		case kGorn:
			if( VictoryLevel == kAstoundingVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kGorAstoundingVictory_msg );
			}
			else if ( VictoryLevel == kVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kGorVictory_msg );
			}
		break;
		case kMirak:
			if( VictoryLevel == kAstoundingVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kMirakAstoundingVictory_msg );
			}
			else if ( VictoryLevel == kVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kMirakVictory_msg );
			}
		break;
		case kHydran:
			if( VictoryLevel == kAstoundingVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kHydAstoundingVictory_msg );
			}
			else if ( VictoryLevel == kVictory )
			{
				fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kHydVictory_msg );
			}
		break;
	}//end switch
			
	if( VictoryLevel == kDevastatingDefeat )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kDevastatingDefeat_msg );
	}
	else if( VictoryLevel == kUnknownVictoryLevel )
	{
		fMissionInfo->mAddToDebriefingList( (eTeamID)kPlayerTeam, kLeftEarly_msg );
	}
}
void tPlayerTeam::mCreateShipsForTeam( int count, tShipInGame* ships[] )
{
//	for( int i = 0; i < count; i++ )
//	{
//		mCreateShip( typeid( tPlayerTeamShip ), *(ships[i]) );
//	}
}
void tPlayerTeam::mSetupState()
{
	mRegisterState( new tPlayerTeamShipInitialState( ) );
	mRegisterState( new tPlayerTeamShipPriObjCompState( ) );

	mGotoState( typeid( tPlayerTeamShipInitialState ) );

}
void tPlayerTeam::mSetupCommState()
{
}
void tPlayerTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();

	tShipIterator ship = mGetFirstShip();

	Assert( *ship != NULL );
	if ( *ship != NULL )
	{
		if ( mIsTeamHumanControlled() )
		{
			ship->mSetShipPlayerControlled();
		}
	}
}
void tPlayerTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mDebug_fprintf("--- Entering: tPlayerTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
    gST.mInitializeSL();
    gST.mDraftedShipCensus( shipScriptDescription.fClassName.c_str() );

    // Hack that enforces AIs to NOT be a Meta ship, and thus get era drones!
    int32 MetaID = shipScriptDescription.fMetaDatabaseID;
#ifdef ERA_BASED_DRONE_SPEEDS
    if ((! mIsTeamHumanControlled()) && (fMissionInfo->mGetDifficultyLevel() >= 1)) {
        gST.mDebug_fprintf("Setting drones to era-correct speed. Team %d\n", mGetTeam());
        MetaID = kNoMetaShipID;
    }
#endif

	mCreateShip( typeid( tPlayerTeamShip ), 
		 shipScriptDescription.fClassName.c_str(), 
		 kStartPosition_G,
		 MetaID,
		 -1, 
		 0, 0, -1, -1, //Default data,so we can set the custom name
		 shipScriptDescription.fCustomName.c_str(),
		 static_cast< eShipOptions >( kDefaultShipOptions | kCanBeCarrier ) );

    gST.mDebug_fprintf("--- Finished: tPlayerTeam::mCreateNewShip: %s\n",
        shipScriptDescription.fClassName.c_str());
}

void tPlayerTeam::mScheduleNextMission( tVictoryCondition* VictoryCondition )
{
	eRaceName playerRace = mGetRace();
	
	fMissionScheduler.fVictoryLevel = VictoryCondition->mCalcVictoryStatus( mGetTeam() );
	fMissionScheduler.fPrestige = VictoryCondition->mGetPrestigePoints( fMissionScheduler.fVictoryLevel );
	fMissionScheduler.fBonusPrestige = VictoryCondition->mGetBonusPrestige();
	fMissionScheduler.fNextMissionScore = 250;

#ifdef SLTOOLSDEBUGOUT
	gST.mDebug_fprintf("--- Scheduling next mission.\n---Bypassing randomizer and going to Uni_X3M1ATemple because debugging is on.\n");
	fMissionScheduler.fNextMissionTitle = "Uni_X3M1ATemple";
#else
	switch( playerRace )
	{
		case kFederation:
		case kGorn:
		case kHydran:
		case kKlingon:
			{

				switch( fMissionInfo->mRandomInt32( 1, 20 ) )
				{
				case 1: case 2: case 3: case 4: case 5:
					fMissionScheduler.fNextMissionTitle = "Uni_X3M1ATemple";
					break;
				default:
					fMissionScheduler.fNextMissionTitle = "Uni_3IronCage";
					break;
				}
			}
			break;
		default:
				fMissionScheduler.fNextMissionTitle = "Uni_3IronCage";
		break;
	}
#endif

	switch ( fMissionScheduler.fVictoryLevel )
	{
	case kAstoundingVictory:
	case kVictory:
		fMissionScheduler.fMedal = kMedalSpecialOne;
		break;
	}
}
/*
	kFederation = 0, 
	kKlingon,
	kRomulan,
	kLyran,
	kHydran,
	kGorn,
	kISC,
	kMirak,
*/