//	<Name>	PlayerTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_2Promises.h"
#include "ShipInfo.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamShipInitialState.h"
#include "PlayerTeamShipPriObjCompState.h"

#include "MissionText.h"
#include "ScriptInterface.h"


tPlayerTeamShipInitialState::tPlayerTeamShipInitialState( )
{
	fSentMedSupplies = false;
	fGotSickPeople = false;
	randomMessage = 0;
	fChatter = true;
}

void tPlayerTeamShipInitialState::mBeginState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
    PlayerRace = playerTeam->mGetRace();

	mSetTimedInterval( kTimerSecondsSet, kStartingMsgID, 4.0f );		// Set timer for starting MSG

}

void tPlayerTeamShipInitialState::mEndState()
{
}
void tPlayerTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
	if( ship->mGetTeam() == kFreighterTeam )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kDoomed_msg );
	}
}
void tPlayerTeamShipInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* planetTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlanetTeam ) );
	tShipIterator ship = planetTeam->mGetFirstShip();
	tShipInfo* planet = *ship;
	ship = playerTeam->mGetFirstShip();
	tShipInfo* playerShip = *ship;


	// Check for Transport of Med supplies to the Planet
	ship = playerTeam->mGetFirstShip();
	playerShip = *ship;
	for( playerShip; playerShip != NULL; playerShip = *( ++ship) )
	{
		if ( ( shipFrom == playerShip ) && ( item == kTransMedicalSupplies ) && ( shipTo == planet ) )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kTransMedSupplies_msg, kScienceScriptMessage );
			fSentMedSupplies = true;
			planet->mRemoveItemFromStores( kTransMedicalSupplies, 1 );//mAccessSupplies(kSetTransporterItemCount, kTransMedicalSupplies, 0);
		}
	}// end for playership

	//Check for Transport of Sick Personnel from the planet to the players ship
	ship = playerTeam->mGetFirstShip();
	playerShip = *ship;
	for( playerShip; playerShip != NULL; playerShip = *( ++ship) )
	{
		if ( ( shipTo == playerShip ) && ( shipFrom == planet ) && ( item == kTransInjuredDude ) ) //***Needs  bob to be SICK Personnel
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kTransSickPersonel_msg, kScienceScriptMessage );
			fGotSickPeople = true;
			shipFrom->mRemoveItemFromStores( kTransInjuredDude, 1); //*****Needs to be Sick Personnel
		}
	}// end for playership

	if ( fGotSickPeople && fSentMedSupplies )
	{
		fChildActor->mGotoState( typeid( tPlayerTeamShipPriObjCompState ) ); // if Primary objectives complete goto new state
	}
	shipTo->mSetShipCallbackEvents( kNotifyTransportedItem );
	shipFrom->mSetShipCallbackEvents( kNotifyTransportedItem );
}
void tPlayerTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if ( timerID == kStartingMsgID )
	{
		switch( PlayerRace )										// Display Mission Start Message
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kFedStarting_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kKliStarting_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kRomStarting_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kLyrStarting_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kGorStarting_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kMirakStarting_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kHydStarting_msg, kNonCommScriptMessage );
			break;
		}
		mSetTimedInterval( kTimerSecondsSet, kFreighterWaitingID, 10.0f );		// Set timer for Freighter Warning MSG
	}
	if ( timerID == kFreighterWaitingID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kFreighterWaiting_msg );					// Warns player to form up
	}
}
