//	<Name>	PromisesVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( PromisesVictoryState_h )
#define PromisesVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "PromisesVictory.h"

class tPromisesVictoryState : public tChildActorVictoryState<tPromisesVictory>
{
public:

   tPromisesVictoryState( tTeamInfo* team, int32 playerTeamID, int32 enemeyTeamID, int32 captureBouns,
							int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );

protected:
	
	bool fiSCOneDestroyed;
	bool fiSCTwoDestroyed;
	bool fiSCOneCaptured;
	bool fiSCTwoCaptured; 
	bool fMineControllerCaptured;
	bool fMineControllerDestroyed;
	bool fDefensePlatformDestroyed;
	bool fDefensePlatformCaptured;
	int32	fPlayerShipInPlay;
};

#endif

