//	<Name>	BaseVictory.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"

#include "BaseVictory.h"
#include "BaseVictoryState.h"
#include "ScriptInterface.h"
#include "TeamInfo.h"
#include "Uni_3IronCage.h"

tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

tBaseVictory::tBaseVictory( ) :
	fPrisonersRetrieved( false ),
	fPrisonersRescued( false ),
	fPrisonersReachPlanet( false ),
	fPrisonShipDestroyed( false ),
	fSuppliesRetrieved( false ),
	fSuppliesRescued( false ),
	fSupplyShipDestroyed( false ),
	fISCCLShipsDestroyed( 0 ),
	fISCDefensePlatformsDestroyed( 0 )
{}

tBaseVictory::tBaseVictory( tTeamInfo* team ) :
	fPrisonersRetrieved( false ),
	fPrisonersRescued( false ),
	fPrisonersReachPlanet( false ),
	fPrisonShipDestroyed( false ),
	fSuppliesRetrieved( false ),
	fSuppliesRescued( false ),
	fSupplyShipDestroyed( false ),
	fISCCLShipsDestroyed( 0 ),
	fISCDefensePlatformsDestroyed( 0 )
{}

void tBaseVictory::mSetupState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;
	eRaceName	playerRace = playerTeam->mGetRace();

	switch ( playerRace )
	{
	case kFederation:
	case kMirak:
		{
			tBaseVictoryState* baseVictoryState = new tBaseVictoryState( playerTeam, 0, 300 , 225 , 75 , 0 , -75 );
			mRegisterState( baseVictoryState );
		}
		break;

	case kKlingon:
	case kLyran:
	case kGorn:
		{
			tBaseVictoryState* baseVictoryState = new tBaseVictoryState( playerTeam, 0, 300 , 225 , 75 , 0 , -75 );
			mRegisterState( baseVictoryState );
		}
		break;

	case kRomulan:
	case kHydran:
		{
			tBaseVictoryState* baseVictoryState = new tBaseVictoryState( playerTeam, 0, 300 , 225 , 75 , 0 , -75 );
			mRegisterState( baseVictoryState );
		}
		break;
	}
	mGotoState( typeid( tBaseVictoryState ) );	
	mSetTimedInterval( kTimerSecondsSet, kRandChatID, 20.0f );
}

//
//	Accessors.
//
bool tBaseVictory::mPrisonersRetrieved( void )
{
	return fPrisonersRetrieved;
}
bool tBaseVictory::mPrisonersRescued( void )
{
	return fPrisonersRescued;
}
bool tBaseVictory::mPrisonersReachPlanet( void )
{
	return fPrisonersReachPlanet;
}
bool tBaseVictory::mPrisonShipDestroyed( void )
{
	return fPrisonShipDestroyed;
}
bool tBaseVictory::mSuppliesRetrieved( void )
{
	return fSuppliesRetrieved;
}
bool tBaseVictory::mSuppliesRescued( void )
{
	return fSuppliesRescued;
}
bool tBaseVictory::mSupplyShipDestroyed( void )
{
	return fSupplyShipDestroyed;
}
int32 tBaseVictory::mISCCLShipsDestroyed( void )
{
	return fISCCLShipsDestroyed;
}
int32 tBaseVictory::mISCDefensePlatformsDestroyed( void )
{
	return fISCDefensePlatformsDestroyed;
}

//
//	Modifiers.
//
void tBaseVictory::mSetPrisonersRetrieved( bool x )
{
	fPrisonersRetrieved = x;
}
void tBaseVictory::mSetPrisonersRescued( bool x )
{
	fPrisonersRescued = x;
}
void tBaseVictory::mSetPrisonersReachPlanet( bool x )
{
	fPrisonersReachPlanet = x;
}
void tBaseVictory::mSetPrisonShipDestroyed( bool x )
{
	fPrisonShipDestroyed = x;
}
void tBaseVictory::mSetSuppliesRetrieved( bool x )
{
	fSuppliesRetrieved = x;
}
void tBaseVictory::mSetSuppliesRescued( bool x )
{
	fSuppliesRescued = x;
}
void tBaseVictory::mSetSupplyShipDestroyed( bool x )
{
	fSupplyShipDestroyed = x;
}
void tBaseVictory::mIncreaseISCCLShipsDestroyed( void )
{
	fISCCLShipsDestroyed++;
}
void tBaseVictory::mIncreaseISCDefensePlatformsDestroyed( void )
{
	fISCDefensePlatformsDestroyed++;
}