//	<Name>	BaseVictory.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"

class tBaseVictory : public tVictoryCondition
{
public:
	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState();

	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	bool	mPrisonersRetrieved( void );
	bool	mPrisonersRescued( void );
	bool	mPrisonersReachPlanet( void );
	bool	mPrisonShipDestroyed( void );
	bool	mSuppliesRetrieved( void );
	bool	mSuppliesRescued( void );
	bool	mSupplyShipDestroyed( void );
	int32	mISCCLShipsDestroyed( void );
	int32	mISCDefensePlatformsDestroyed( void );

	//
	//	Modifiers.
	//
	void	mSetPrisonersRetrieved( bool x );
	void	mSetPrisonersRescued( bool x );
	void	mSetPrisonersReachPlanet( bool x );
	void	mSetPrisonShipDestroyed( bool x );
	void	mSetSuppliesRetrieved( bool x );
	void	mSetSuppliesRescued( bool x );
	void	mSetSupplyShipDestroyed( bool x );
	void	mIncreaseISCCLShipsDestroyed( void );
	void	mIncreaseISCDefensePlatformsDestroyed( void );

private:

	//
	//	Victory attributes.
	//
	bool	fPrisonersRetrieved;
	bool	fPrisonersRescued;
	bool	fPrisonersReachPlanet;
	bool	fPrisonShipDestroyed;
	bool	fSuppliesRetrieved;
	bool	fSuppliesRescued;
	bool	fSupplyShipDestroyed;
	int32	fISCCLShipsDestroyed;
	int32	fISCDefensePlatformsDestroyed;
};

#endif

