//	<Name>	ISCDefensePlatformBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ISCDefensePlatformBaseState.h"
#include "ScriptInterface.h"
#include "TeamInfo.h"
#include "Uni_3IronCage.h"

/*

	Purpose:	1 of the defense platforms has been destroyed.  So increase the count in the victory
				condition and if this was one of the player team's objectives, inform the player so
				and end the mission if so needed.

*/
void tISCDefensePlatformBaseState::mOnDeath( tShipInfo* ship )
{
	if ( !ship )
		return;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;
    eRaceName	playerRace = playerTeam->mGetRace();

	switch ( playerRace )
	{
	case kFederation:
	case kKlingon:
	case kLyran:
	case kGorn:
	case kMirak:
		{
			/***
			
				The player really has no reason to destroy these platforms.  So just inform the player
				that this is so and give encouragement towards their objectives.

			***/
		}
		break;

	case kRomulan:
	case kHydran:
		{
			/***

				If this is the second platform to be destroyed, then the secondary objective has been
				accomplished.  If the primary objective has also been accomplished, then end the mission.

			***/
		}
		break;
	}
}