//	<Name>	ISCFreighter.cpp
//
//
//	<Info>	DESCRIPTION
//


#include "ISCFreighter.h"
#include "ISCFreighterBaseState.h"
#include "ISCTeam.h"
#include "MissionText.h"
#include "NPC1Team.h"
#include "Uni_3IronCage.h"

bool tISCFreighter::sIsPrisonShip = true;

tClassAllocator<tISCFreighter> gISCFreighterAllocator;

tISCFreighter::tISCFreighter( ) : fIsPrisonShip( sIsPrisonShip ), fIsTractored( false )
{
	//
	//	Set the first freighter in the chain to be the prison ship in the above initialization list.  The
	//	other freighter, therefore, must be the ISC supply ship.
	//
	sIsPrisonShip = false;
}

void tISCFreighter::mSetupState()
{
	mRegisterState( new tISCFreighterBaseState() );

	mGotoState( typeid( tISCFreighterBaseState ) );
}

void tISCFreighter::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;
	
	//
	//	If the prisoners are still onboard the freighter, then these messages will be called.
	//
	playerTeam->mRegisterCommMessage( kDemand1CommState , kNoStateChange, mGetShipID() , k_HAIL_Freighter_btn , k_HAIL_Freighter1_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kDemand1CommState , kNoStateChange, mGetShipID() , k_DEMANDSURRENDER_Freighter_btn , k_DEMANDSURRENDER_Freighter1_msg , kNoRandomMsg );

	//
	//	Otherwise, if the prosoners have already been freed, then these messages will be called.
	//
	playerTeam->mRegisterCommMessage( kDemand2CommState , kNoStateChange, mGetShipID() , k_HAIL_Freighter_btn , k_HAIL_Freighter2_msg , kNoRandomMsg);
	playerTeam->mRegisterCommMessage( kDemand2CommState , kNoStateChange, mGetShipID() , k_DEMANDSURRENDER_Freighter_btn , k_DEMANDSURRENDER_Freighter2_msg , kNoRandomMsg );
	
	playerTeam->mGotoCommState( mGetShipID(), kDemand1CommState );
}

void tISCFreighter::mSetupShip()
{
	int32		gridX = 0 , gridY = 0;
	tTeamInfo*	planetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kNPC1Team ) );
	Assert( planetTeam );
	if ( !planetTeam )
		return;
	tShipInfo*	planet = planetTeam->mFindShipCustomID( tNPC1Team::kPlanet );
	
	//
	//	Make the freighters move towards the planet.
	//
	if ( planet )
	{
		planet->mGetGridPosition( &gridX , &gridY );
		mSetFinalDestination( gridX , gridY );
		mTrackTacticalDistance( 20.0 , gridX , gridY );
	}
	mSetShipMaxSpeed( 7 );
}

/*

	LIST OF MESSAGE TYPES -- ADD THESE IF YOU WANT TO FILTER THE COMM MESSAGES

	kEngineerScriptMessage,
	kMissionScriptMessage, -- default
	kScienceScriptMessage,
	kFleetScriptMessage,
	kNonCommScriptMessage, -- not in comm window / top left

	LIST OF ENDING MESSAGES
	kNoRandomMsg

*/

bool tISCFreighter::mIsPrisonShip( void )
{
	return fIsPrisonShip;
}

bool tISCFreighter::mIsTractored( void )
{
	return fIsTractored;
}
void tISCFreighter::mSetIsTractored( bool x )
{
	fIsTractored = x;
}