//	<Name>	ISCLightCruiserCLBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "FreighterTeam.h"
#include "ISCLightCruiserCLBaseState.h"
#include "ISCTeam.h"
#include "ScriptInterface.h"
#include "TeamInfo.h"
#include "Uni_3IronCage.h"

void tISCLightCruiserCLBaseState::mBeginState()
{
	int32 prisonShipID = -1;
	tTeamInfo* prisonTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kISCTeam ) );
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( prisonTeam && playerTeam );
	if ( ( !prisonTeam ) || ( !playerTeam ) )
		return;

	for ( tShipIterator tempShip = prisonTeam->mGetFirstShip(); *tempShip != NULL; tempShip++ )
	{
		if ( tempShip->mGetCustomID() == tFreighterTeam::kPrisonFreighter )
			prisonShipID = tempShip->mGetShipID();
	}

	//
	//	This ship should escort freighters.
	//
	if ( fChildActor->mGetCustomID() == tISCTeam::kISCCL1 )
	{
		fChildActor->mDefendEntity( fMissionInfo->mFindShipID( prisonShipID ), 100.0, 50.0, kMediumPriority );
	}

	//
	//	This ship should distract the player.
	//
	else if ( fChildActor->mGetCustomID() == tISCTeam::kISCCL2 )
	{
		fChildActor->mFollowEntity( *( playerTeam->mGetFirstShip() ), kMediumPriority );
	}
}

void tISCLightCruiserCLBaseState::mEndState()
{}