/********************************************************************************************************\

	File Name:	Freighter.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Freighter.h"
#include "FreighterBaseState.h"
#include "MissionText.h"
#include "Uni_3Tug.h"

tClassAllocator<tFreighter> gFreighterAllocator;

void tFreighter::mSetupState()
{
	mRegisterState( new tFreighterBaseState() );
	mGotoState( typeid( tFreighterBaseState ) );
}

void tFreighter::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kCommState_2,
									  mGetShipID(),
									  kButton_Hail,
									  kHailFreighter_msg );

	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_DemandLogs,
									  kDemandLogs_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tFreighter::mSetupShip()
{
	mChangeName( kFreighterName );

	mSetSystemHealthFromOrig( kTractorHardPoint, 0.0f );
	mRemoveItemFromStores( kSpareParts, 6 );
}
