/********************************************************************************************************\

	File Name:	KlingonShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "KlingonShip.h"
#include "KlingonShipBaseState.h"
#include "MissionText.h"
#include "Uni_3Tug.h"

tClassAllocator<tKlingonShip> gKlingonShipAllocator;

void tKlingonShip::mSetupState()
{
	mRegisterState( new tKlingonShipBaseState() );
	mGotoState( typeid( tKlingonShipBaseState ) );
}

void tKlingonShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	ASSERT( playerTeam );
	if( !playerTeam ) return;

	playerTeam->mRegisterCommMessage( kState1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailOther_msg );

	playerTeam->mGotoCommState( mGetShipID(), kState1 );
}

void tKlingonShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyBeginTractor );
	mSetShipCallbackEvents( kNotifyEndTractor );
}
