/********************************************************************************************************\

	File Name:	LyranShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranShip.h"
#include "LyranShipBaseState.h"
#include "MissionText.h"
#include "Uni_3Tug.h"

tClassAllocator<tLyranShip> gLyranShipAllocator;

void tLyranShip::mSetupState()
{
	mRegisterState( new tLyranShipBaseState() );
	mGotoState( typeid( tLyranShipBaseState ) );
}

void tLyranShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	ASSERT( playerTeam );
	if( !playerTeam ) return;

	playerTeam->mRegisterCommMessage( kState1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailOther_msg );

	playerTeam->mGotoCommState( mGetShipID(), kState1 );
}

void tLyranShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyBeginTractor );
	mSetShipCallbackEvents( kNotifyEndTractor );
}
