/********************************************************************************************************\

	File Name:	Uni_4Playtime.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Uni_4Playtime_h )
#define Uni_4Playtime_h

#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kMonsterTeam,
	kPlanetTeam,
	kAsteroidTeam,
	kDraft1Team,
    kDraft2Team,
};

class tVictoryCondition;

class tUni_4Playtime : public tScript
{
public:

	tUni_4Playtime();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mGetDebriefingList( eVictoryLevels VictoryLevel );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual int32	mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info );
	virtual int32	mGetEnemyTeamID();
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mDefineTeamShipStrengths( void );
	virtual void	mDefineBriefings( void );
};

#endif


