//	<Name>	FreighterTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//


#include "Uni_4Resolve.h"
#include "ShipInfo.h"
#include "ScriptInterface.h"

#include "MissionText.h"
#include "FreighterTeamShip.h"
#include "FreighterTeamShipInitialState.h"


tFreighterTeamShipInitialState::tFreighterTeamShipInitialState( )
{
}

void tFreighterTeamShipInitialState::mBeginState()
{
}

void tFreighterTeamShipInitialState::mEndState()
{
}
void tFreighterTeamShipInitialState::mDoesShipBlowUP( tTeamInfo* teamID )
{
	tShipIterator ship = teamID->mGetFirstShip();
	tShipInfo* shipToCheck = *ship;

	int32 range;
	for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship ) )
	{
		range = fChildActor->mGetTacticalDistance( shipToCheck );
		if ( range < 15 )
		{
			shipToCheck->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0f, kFalse );//Destroy Ship
		}
		else if ( range < 22 )//*******************************************************************************8
		{

			shipToCheck->mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.1f, kFalse );
			shipToCheck->mSetSystemHealthFromOrig( kAPRPowerHardPoint, 0.3f, kFalse );
			shipToCheck->mSetSystemHealthFromOrig( kTractorHardPoint, 0.1f, kFalse );
		}
		else if( range < 30 )//**********************************************************************************
		{

			shipToCheck->mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.3f, kFalse );
			shipToCheck->mSetSystemHealthFromOrig( kAPRPowerHardPoint, 0.5f, kFalse );
			shipToCheck->mSetSystemHealthFromOrig( kTractorHardPoint, 0.3f, kFalse );
		}
	}

}
void tFreighterTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{
}
void tFreighterTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tTeamInfo* mainDryDockTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kMainDryDockTeam ) );
	tTeamInfo* legendaryCaptainTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kLegendaryCaptainTeam ) );
	tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kEnemyTeam ) );
	
	//If ordered the Freighter Blows up it's anti-matter bombs and destroys all ships in 15 range
	if( buttonID == kDestruct_btn )
	{
		mDoesShipBlowUP( playerTeam );
		mDoesShipBlowUP( mainDryDockTeam );
		mDoesShipBlowUP( legendaryCaptainTeam );
		mDoesShipBlowUP( enemyTeam );

		fChildActor->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0, kFalse );//Destroy Ship
	}
}
