/********************************************************************************************************\

	File Name:	LegendaryCaptainTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "LegendaryCaptainTeamBaseState.h"
#include "Uni_4Resolve.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tLegendaryCaptainTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tLegendaryCaptainTeamBaseState::mEndState()
{}

void tLegendaryCaptainTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tLegendaryCaptainTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tLegendaryCaptainTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tLegendaryCaptainTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tLegendaryCaptainTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLegendaryCaptainTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLegendaryCaptainTeamBaseState::mOnFlashingButtonPressed()
{}
void tLegendaryCaptainTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tLegendaryCaptainTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tLegendaryCaptainTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tLegendaryCaptainTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tLegendaryCaptainTeamBaseState::mOnHostChanged()
{}
void tLegendaryCaptainTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* LegendaryCaptainTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kLegendaryCaptainTeam ) );
        if (LegendaryCaptainTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (LegendaryCaptainTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tLegendaryCaptainTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(LegendaryCaptainTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tLegendaryCaptainTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tLegendaryCaptainTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tLegendaryCaptainTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


