//	<Name>	MainDryDockTeam.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "tclient.h"
#include "MainDryDockTeam.h"
#include "MainDryDockTeamShip.h"
#include "ShipList_API.h"
#include "MainDryDockTeamBaseState.h"

tClassAllocator<tMainDryDockTeam> gMainDryDockTeamAllocator;

void tMainDryDockTeam::mSetupState()
{
	mRegisterState( new tMainDryDockTeamBaseState() );
    mGotoState( typeid( tMainDryDockTeamBaseState ) );
}

void tMainDryDockTeam::mSetupCommState()
{
}

void tMainDryDockTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tMainDryDockTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        // FRDs
        std::list< eEnhancedClassTypes >  FRDClassTypeList;
        FRDClassTypeList.push_back(kEClassFleetRepairDock);
        fShiplistCount = sl.Subset(FRDClassTypeList, true);
        gST.mDebug_fprintf("subset for FRD class filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        Ship s1, s2, s3, s4;
        if (sl.size() > 0) {
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            sl.SelectRandomShip(s2);
            gST.mDebug_fprintf("s2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s2.shipCode.c_str(), s2.bpv, s2.yearFirstAvail, s2.yearLastAvail);
            gST.mTrackOrions( s2 );

            sl.SelectRandomShip(s3);
            gST.mDebug_fprintf("s3 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s3.shipCode.c_str(), s3.bpv, s3.yearFirstAvail, s3.yearLastAvail);
            gST.mTrackOrions( s3 );

            sl.SelectRandomShip(s4);
            gST.mDebug_fprintf("s4 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s4.shipCode.c_str(), s4.bpv, s4.yearFirstAvail, s4.yearLastAvail);
            gST.mTrackOrions( s4 );

			mCreateShip(
				typeid( tMainDryDockTeamShip ), 
				s1.shipCode.c_str(), 
				kStartPosition_V,
				kNoMetaShipID, 
				kDryDockVID, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );

			mCreateShip(
				typeid( tMainDryDockTeamShip ), 
				s2.shipCode.c_str(), 
				kStartPosition_W,
				kNoMetaShipID, 
				kDryDockWID, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );

			mCreateShip(
				typeid( tMainDryDockTeamShip ), 
				s3.shipCode.c_str(), 
				kStartPosition_X,
				kNoMetaShipID, 
				kDryDockXID, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );

			mCreateShip(
				typeid( tMainDryDockTeamShip ), 
				s4.shipCode.c_str(), 
				kStartPosition_Y,
				kNoMetaShipID, 
				kDryDockYID, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );

        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tMainDryDockTeam::mCreateShipsForTeam\n");
}

void tMainDryDockTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tMainDryDockTeam::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tMainDryDockTeamShip ), 
		"I-FRD", 
		kStartPosition_V,
		kNoMetaShipID, 
		kDryDockVID, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	mCreateShip(
		typeid( tMainDryDockTeamShip ), 
		"I-FRD", 
		kStartPosition_W,
		kNoMetaShipID, 
		kDryDockWID, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	mCreateShip(
		typeid( tMainDryDockTeamShip ), 
		"I-FRD", 
		kStartPosition_X,
		kNoMetaShipID, 
		kDryDockXID, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	mCreateShip(
		typeid( tMainDryDockTeamShip ), 
		"I-FRD", 
		kStartPosition_Y,
		kNoMetaShipID, 
		kDryDockYID, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tMainDryDockTeam::mOldCreateShipsForTeam\n");
}

void tMainDryDockTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tMainDryDockTeam", shipScriptDescription );
}

