/********************************************************************************************************\

	File Name:	MainDryDockTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "MainDryDockTeamBaseState.h"
#include "Uni_4Resolve.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMainDryDockTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tMainDryDockTeamBaseState::mEndState()
{}

void tMainDryDockTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMainDryDockTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMainDryDockTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMainDryDockTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMainDryDockTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMainDryDockTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMainDryDockTeamBaseState::mOnFlashingButtonPressed()
{}
void tMainDryDockTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMainDryDockTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMainDryDockTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tMainDryDockTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMainDryDockTeamBaseState::mOnHostChanged()
{}
void tMainDryDockTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* MainDryDockTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kMainDryDockTeam ) );
        if (MainDryDockTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (MainDryDockTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMainDryDockTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(MainDryDockTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMainDryDockTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMainDryDockTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMainDryDockTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


