/********************************************************************************************************\

	File Name:	AllyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AllyShip.h"
#include "AllyTeam.h"
#include "ShipList_API.h"
#include "AllyTeamBaseState.h"


tClassAllocator<tAllyTeam> gPlayerNPCTeamAllocator;


void tAllyTeam::mSetupState()
{
	mRegisterState( new tAllyTeamBaseState() );
	mGotoState( typeid( tAllyTeamBaseState ) );
}

void tAllyTeam::mSetupCommState()
{}

void tAllyTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("---- Starting: tAllyTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutRestricted( sl );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.selectWarShipRoles( sl );

        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassMediumMonster);
        for (int32 i = kEClassHeavyCruiser; i <= kEClassHeavyBattlecruiser; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for ship classes filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        if (sl.size() > 0) {
            Ship s1;
            sl.SelectRandomShip(s1);
            gST.mTrackOrions( s1 );
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);

            mCreateShip(
                typeid( tAllyShip ),
                s1.shipCode.c_str(),
                kStartPosition_H,
                kNoMetaShipID,
                kAllyShip1,
                0, 0, -1, -1,
                NULL,
                kDefaultShipOptions );

        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("---- Finished: tAllyTeam::mCreateShipsForTeam\n");
}


void tAllyTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tAllyTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tAllyShip ),
		kMaxBPV,
		kClassNewHeavyCruiser,
		kClassHeavyBattlecruiser,
		0,
		kStartPosition_H,
		kAllyShip1,
		0, 0, -1, -1,
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tAllyTeam::mOldCreateShipsForTeam\n");
}


void tAllyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAllyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tAllyTeam", shipScriptDescription );
}