/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/
	bool	mReachedOrgania( void );
	bool	mAllyBetrayed( void );
	bool	mAttackedAlly( void );
	int32	mISCShipsDestroyed( void );
	int32	mISCDefensePlatformsDestroyed( void );
	bool	mFirstOfferMade( void );
	bool	mFirstOfferISC( void );
	bool	mSecondOfferMade( void );
	bool	mSecondOfferISC( void );

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/
	void	mSetReachedOrgania( bool x );
	void	mSetAllyBetrayed( bool x );
	void	mSetAttackedAlly( bool x );
	void	mIncreaseISCShipsDestroyed( void );
	void	mIncreaseISCDefensePlatformsDestroyed( void );
	void	mSetFirstOfferMade( bool x );
	void	mSetFirstOfferISC( bool x );
	void	mSetSecondOfferMade( bool x );
	void	mSetSecondOfferISC( bool x );

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	bool	fReachedOrgania;
	bool	fAllyBetrayed;
	bool	fAttackedAlly;
	int32	fISCShipsDestroyed;
	int32	fISCDefensePlatformsDestroyed;
	bool	fFirstOfferMade;
	bool	fFirstOfferISC;
	bool	fSecondOfferMade;
	bool	fSecondOfferISC;
};

#endif



