/********************************************************************************************************\

	File Name:	NPC1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "NPC1Team.h"
#include "NPC1TeamBaseState.h"
#include "Organia.h"
#include "ShipList_API.h"

tClassAllocator<tNPC1Team> gNPC1TeamAllocator;


void tNPC1Team::mSetupState()
{
	mRegisterState( new tNPC1TeamBaseState() );
	mGotoState( typeid( tNPC1TeamBaseState ) );
}

void tNPC1Team::mSetupCommState()
{}

void tNPC1Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tNPC1Team::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        // Green Colony World.
        std::string worldType = "PL1";
        switch (race) {
            case kFederation: worldType = "F-PL1"; break;
            case kKlingon: worldType = "K-PL1"; break;
            case kRomulan: worldType = "R-PL1"; break;
            case kGorn: worldType = "G-PL1"; break;
            case kLyran: worldType = "L-PL1"; break;
            case kHydran: worldType = "H-PL1"; break;
            case kISC: worldType = "I-PL1"; break;
            case kMirak: worldType = "Z-PL1"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            mCreateShip(
                typeid( tOrgania ),
                p1.shipCode.c_str(),
                kStartPosition_J,
                kNoMetaShipID,
                kOrgania,
                0, 0, -1, -1,
                "Organia",
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tNPC1Team::mCreateShipsForTeam\n");
}

void tNPC1Team::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tNPC1Team::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tOrgania ), 
		"PL1", 
		kStartPosition_J, 
		kNoMetaShipID, 
		kOrgania,
		0, 0, -1, -1, 
		"Organia", 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tNPC1Team::mOldCreateShipsForTeam\n");
}

void tNPC1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tNPC1Team", shipScriptDescription );
}