/********************************************************************************************************\

	File Name:	OrganiaBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyTeam.h"
#include "MissionText.h"
#include "Organia.h"
#include "OrganiaBaseState.h"
#include "Uni_5Accuse.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tOrganiaBaseState::mBeginState()
{}
void tOrganiaBaseState::mEndState()
{}

void tOrganiaBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrganiaBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrganiaBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOrganiaBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOrganiaBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if ( !ship )
		return;

	if ( ship->mGetShipTargetID() == fChildActor->mGetShipID() )
	{
		if( deepScanOn)
		{
			fScanning = true;
			mSetTimedInterval( kTimerTurnsSet, tOrgania::kScanID, 0.75f );
		}
		else
		{
			fScanning = false;
			mSetTimedInterval( kTimerKillTimer, tOrgania::kScanID, 0.0f );
		}
	}
}
void tOrganiaBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrganiaBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrganiaBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrganiaBaseState::mOnFlashingButtonPressed()
{}
void tOrganiaBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrganiaBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrganiaBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tOrganiaBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrganiaBaseState::mOnHostChanged()
{}
void tOrganiaBaseState::mOnTimedInterval( int32 timerID )
{
	switch ( timerID )
	{
	case tOrgania::kScanID:
		{
			//
			//	Tell the player that there are jamming mechanisms installed on these defense platforms.
			//
			tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kEnemyTeam ) );
			if ( fScanning )
			{
				if ( enemyTeam )
				{
					tShipIterator platform1 = enemyTeam->mGetFirstShip();
					tShipIterator platform2 = enemyTeam->mGetFirstShip();
					tShipCustomIDEval x( tEnemyTeam::kISCDefensePlatform1 ), y( tEnemyTeam::kISCDefensePlatform2 );
					tShipInPlayEval p, q;
					platform1.mAddEvaluator( &x );
					platform1.mAddEvaluator( &p );
					platform2.mAddEvaluator( &y );
					platform2.mAddEvaluator( &q );

					if ( ( *platform1 != NULL ) && ( *platform2 != NULL ) )
						fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kOrgania2Scan_msg );
					else if ( ( *platform1 == NULL ) && ( *platform2 == NULL ) )
						fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kOrgania0Scan_msg );
					else
						fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kOrgania1Scan_msg );
				}
				else
				{
					fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kOrgania1Scan_msg );
				}
			}
		}
		break;
	}
}
void tOrganiaBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrganiaBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


