/********************************************************************************************************\

	File Name:	HydranMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "HydranMoon.h"
#include "HydranMoonBaseState.h"
#include "PlayerTeam.h"
#include "Uni_5BFunny2.h"
#include "MissionText.h"

tClassAllocator<tHydranMoon> gHydranMoonAllocator;


void tHydranMoon::mSetupState()
{
	mRegisterState( new tHydranMoonBaseState() );
	mGotoState( typeid( tHydranMoonBaseState ) );
}

void tHydranMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;
	
	if( playerTeam->mGetRace() == kHydran )
	{
		playerTeam->mRegisterCommMessage( kFirstState,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail_msg,
									  kHail_OwnRace_msg,
									  kNoRandomMsg );

		playerTeam->mGotoCommState( mGetShipID(), kFirstState );
	}

	else
	{
		playerTeam->mRegisterCommMessage( kFirstState,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail_msg,
									  kHail_Hydran_msg,
									  kNoRandomMsg );

		playerTeam->mGotoCommState( mGetShipID(), kFirstState );
	}
}

void tHydranMoon::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}
