/********************************************************************************************************\

	File Name:	KlingonMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "KlingonMoon.h"
#include "KlingonMoonBaseState.h"
#include "PlayerTeam.h"
#include "Uni_5BFunny2.h"
#include "MissionText.h"

tClassAllocator<tKlingonMoon> gKlingonMoonAllocator;



void tKlingonMoon::mSetupState()
{
	mRegisterState( new tKlingonMoonBaseState() );
	mGotoState( typeid( tKlingonMoonBaseState ) );
}

void tKlingonMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;
	
	if( playerTeam->mGetRace() == kKlingon )
	{
		playerTeam->mRegisterCommMessage( kFirstState,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail_msg,
									  kHail_OwnRace_msg,
									  kNoRandomMsg );

		playerTeam->mGotoCommState( mGetShipID(), kFirstState );
	}

	else
	{
		playerTeam->mRegisterCommMessage( kFirstState,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail_msg,
									  kHail_Klingon_msg,
									  kNoRandomMsg );

		playerTeam->mGotoCommState( mGetShipID(), kFirstState );
	}
}

void tKlingonMoon::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}
