/********************************************************************************************************\

	File Name:	LyranMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LyranMoon.h"
#include "LyranMoonBaseState.h"
#include "PlayerTeam.h"
#include "Uni_5BFunny2.h"
#include "MissionText.h"

tClassAllocator<tLyranMoon> gLyranMoonAllocator;



void tLyranMoon::mSetupState()
{
	mRegisterState( new tLyranMoonBaseState() );
	mGotoState( typeid( tLyranMoonBaseState ) );
}

void tLyranMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;
	
	if( playerTeam->mGetRace() == kLyran )
	{
		playerTeam->mRegisterCommMessage( kFirstState,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail_msg,
									  kHail_OwnRace_msg,
									  kNoRandomMsg );

		playerTeam->mGotoCommState( mGetShipID(), kFirstState );
	}

	else
	{
		playerTeam->mRegisterCommMessage( kFirstState,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail_msg,
									  kHail_Lyran_msg,
									  kNoRandomMsg );

		playerTeam->mGotoCommState( mGetShipID(), kFirstState );
	}
}

void tLyranMoon::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}
