/********************************************************************************************************\

	File Name:	MirakMoon.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakMoon.h"
#include "MirakMoonBaseState.h"
#include "PlayerTeam.h"
#include "Uni_5BFunny2.h"
#include "MissionText.h"

tClassAllocator<tMirakMoon> gMirakMoonAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tMirakMoon::mSetupState()
{
	mRegisterState( new tMirakMoonBaseState() );
	mGotoState( typeid( tMirakMoonBaseState ) );
}

void tMirakMoon::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;
	
	if( playerTeam->mGetRace() == kLyran )
	{
		playerTeam->mRegisterCommMessage( kFirstState,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail_msg,
									  kHail_MirakAsLyan_msg,
									  kNoRandomMsg );

		playerTeam->mGotoCommState( mGetShipID(), kFirstState );
	}

	else
	{
			playerTeam->mRegisterCommMessage( kFirstState,
											kNoStateChange,
											mGetShipID(),
											kButton_Hail_msg,
											kHail_Mirak_msg,
											kNoRandomMsg );
			
			playerTeam->mGotoCommState( mGetShipID(), kFirstState );
	}	
}

void tMirakMoon::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}
