/********************************************************************************************************\

	File Name:	PlanetShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlanetShip.h"
#include "PlanetShipBaseState.h"
#include "PlayerTeam.h"
#include "Uni_5BFunny2.h"
#include "MissionText.h"

tClassAllocator<tPlanetShip> gPlanetShipAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tPlanetShip::mSetupState()
{
	mRegisterState( new tPlanetShipBaseState() );
	mGotoState( typeid( tPlanetShipBaseState ) );
}

void tPlanetShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage( kFirstState,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail_msg,
									  kHail_Planet_msg,
									  kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kFirstState );
}

void tPlanetShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}
