/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:
	void mSetBeamedToOwnMoon();
	iTruth mBeamedToOwnMoon();
	void mSetAttackedMoon();
	void mSetAttackedPlanet();
	void mSetScannedPlanet();
	void mSetScannedMoon(int32 moon);
	iTruth mAttackedPlanet();
	iTruth mAttackedMoon();
	iTruth mScannedPlanet();
	iTruth mScannedMoon(int32 x);
	void mSetDiplomatDelivered(int32 Destination);
	int32 mGetDiplomatDestination();
	iTruth mDiplomatDelivered();

	tPlayerTeam();
	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	enum eDestinationIDs
	{
		kDestLyran,
		kDestKlingon,
		kDestHydran,
		kDestMirak,
		kDestPlanet,
	};

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	iTruth	fDiplomatDelivered;
	iTruth	fDiplomatDelivered_Lyran;
	iTruth	fDiplomatDelivered_Klingon;
	iTruth	fDiplomatDelivered_Hydran;
	iTruth	fDiplomatDelivered_Mirak;
	int32	fDiplomatDestination;
	iTruth	fScannedMoon1;
	iTruth	fScannedMoon2;
	iTruth	fScannedMoon3;
	iTruth	fScannedMoon4;
	iTruth	fScannedPlanet;
	iTruth	fAttackedPlanet;
	iTruth	fAttackedMoon;
	iTruth	fBeamedToOwnMoon;
	iTruth	fDied;
};

#endif
