/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	enum eTimerIDs
	{
		kRandChatID = 1000,
		kReinforcementsTimerID,
		kShip1CanRepairTimerID,
		kShip2CanRepairTimerID,
		kShip3CanRepairTimerID,
		kStarbaseCanRepairTimerID,
		kStarbaseRescueHostagesTimerID,
	};

	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/
	bool	mVictimsExtracted( void );
	bool	mVictimsRescued( void );
	bool	mBoom( void );
	bool	mISCBoarded( void );
	int32	mISCKilled( void );

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/
	void	mSetVictimsExtracted( bool x );
	void	mSetVictimsRescued( bool x );
	void	mSetBoom( bool x );
	void	mSetISCBoarded( bool x );
	void	mIncreaseISCKilled( void );

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	bool	fVictimsExtracted;
	bool	fVictimsRescued;
	bool	fBoom;
	bool	fISCBoarded;
	int32	fISCKilled;

};

#endif



