//	<Name>	Cruiser.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Cruiser.h"
#include "CruiserBaseState.h"
#include "MissionText.h"
#include "TeamInfo.h"
#include "Uni_6Immunity.h"

tClassAllocator<tCruiser> gCruiserAllocator;

tCruiser::tCruiser() : fHasEngineers( false ), fHasRescueTeam( false )
{}

void tCruiser::mSetupState()
{
	mRegisterState( new tCruiserBaseState() );
	mGotoState( typeid( tCruiserBaseState ) );
}
void tCruiser::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(), k_HAIL_btn, k_HAIL_msg, kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}
void tCruiser::mSetupShip()
{
	int32 x = 0, y = 0;
	fMissionInfo->mGetGridPosition( 'H', &x, &y );
	mSetFinalDestination( x, y );
}


bool tCruiser::mHasEngineers( void )
{
	return fHasEngineers;
}
bool tCruiser::mHasRescueTeam( void )
{
	return fHasRescueTeam;
}
void tCruiser::mSetHasEngineers( bool x )
{
	fHasEngineers = x;
}
void tCruiser::mSetHasRescueTeam( bool x )
{
	fHasRescueTeam = x;
}