//	<Name>	DamagedShip1.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "DamagedShip1.h"
#include "DamagedShip1BaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Uni_6Immunity.h"

tClassAllocator<tDamagedShip1> gDamagedShip11Allocator;

tDamagedShip1::tDamagedShip1(): fCanRepair( false ), fNumScrews( 0 ),
								fHasHostages( false ), fHasRescueTeam( false ), fHasEngineers( false )
{}
void tDamagedShip1::mSetupState()
{
	mRegisterState( new tDamagedShip1BaseState() );
	mGotoState( typeid( tDamagedShip1BaseState ) );
}
void tDamagedShip1::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_HAIL_btn, k_HAIL_msg, kNoRandomMsg );
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_DROPSHIELDS_Ship1_btn, kNoMsg, kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}
void tDamagedShip1::mSetupShip()
{
	//
	//	Take away its repair supplies and damage the starbase.
	//
	mSetNumScrews( mDamageShip() );

	mSetShipCallbackEvents( kNotifyTransportedItem );
}

/*

	Purpose:	Will damage said ship considerably.  Will also not allow the ship to move.  Also, the
				ship's repair screws will be eliminated, but counted first and returned.

*/
int32 tDamagedShip1::mDamageShip()
{
	int32	numScrews = 25;

	//
	//	Have the ship just sit there.
	//
	mSetShipMaxSpeed( 0 );

	//
	//	Damage the internals and shields of the ship.
	//
	mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
	mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.0f );

	//
	//	Get the number of screws on the ship, then get rid of all the screws.
	//
	mRemoveItemFromStores( kTransSpareParts, numScrews );

	return numScrews;
}
/*

	Purpose:	Will bring a ship back up to 50%.

*/
void tDamagedShip1::mRepairShip()
{
	//
	//	Set the ship's max speed.
	//
	mSetShipMaxSpeed( fMissionInfo->mRandomInt32( 7, 15 ) );

	//
	//	Repair the engines, weapons, and shields to 100%.
	//
	mSetSystemHealthFromOrig( kAllShieldsHardPoint, 1.0f, kTrue );
	mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 1.0f, kTrue );
}

bool tDamagedShip1::mCanRepair( void )
{
	return fCanRepair;
}
int32 tDamagedShip1::mNumScrews( void )
{
	return fNumScrews;
}
bool tDamagedShip1::mHasHostages( void )
{
	return fHasHostages;
}
bool tDamagedShip1::mHasRescueTeam( void )
{
	return fHasRescueTeam;
}
bool tDamagedShip1::mHasEngineers( void )
{
	return fHasEngineers;
}
void tDamagedShip1::mSetCanRepair( bool x )
{
	fCanRepair = x;
}
void tDamagedShip1::mSetNumScrews( int32 x )
{
	fNumScrews = x;
}
void tDamagedShip1::mSetHasHostages( bool x )
{
	fHasHostages = x;
}
void tDamagedShip1::mSetHasRescueTeam( bool x )
{
	fHasRescueTeam = x;
}
void tDamagedShip1::mSetHasEngineers( bool x )
{
	fHasEngineers = x;
}