/********************************************************************************************************\

	File Name:	DamagedShip1BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DamagedShip1BaseState.h"
#include "MissionText.h"
#include "NPC1Team.h"
#include "PlayerNPCTeam.h"
#include "PlayerShip.h"
#include "ScriptInterface.h"
#include "Starbase.h"
#include "Uni_6Immunity.h"
#include "ShipList_API.h"
#include "PlayerTeam.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDamagedShip1BaseState::mBeginState()
{}
void tDamagedShip1BaseState::mEndState()
{}

void tDamagedShip1BaseState::mOnDeath( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mOnCapture( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mAtDistance( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mAtDestination( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	if ( targetShip->mGetShipID() == fChildActor->mGetShipID() )
	{
		switch ( buttonID )
		{
		case k_DROPSHIELDS_Ship1_btn:
			{
				fChildActor->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
			}
			break;
		}
	}
}
void tDamagedShip1BaseState::mOnDamage( tShipInfo* DamagedShip1, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDamagedShip1BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDamagedShip1BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDamagedShip1BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDamagedShip1BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDamagedShip1BaseState::mOnFlashingButtonPressed()
{}
void tDamagedShip1BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{
	tPlayerTeam* playerTeam = static_cast< tPlayerTeam* >( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;
	tShipIterator	playerShip = playerTeam->mGetFirstShip();
	tShipInPlayEval	x;
	playerShip.mAddEvaluator( &x );

	//
	//	If the player is placing something on a ship.
	//
	if ( ( shipFrom->mGetTeam() == kPlayerTeam ) &&
		 ( fChildActor->mGetTeam() == shipTo->mGetTeam() ) )
	{
		switch ( shipTo->mGetCustomID() )
		{
		case tPlayerNPCTeam::kDamagedShip1:
			{
				switch ( item )
				{
				case kTransEngineers:
					{
						gST.mDebug_fprintf("ship1: engineers! from shipID %d to shipID %d\n", 
										shipFrom->mGetCustomID(), shipTo->mGetCustomID());

						fChildActor->mRemoveItemFromStores( kTransEngineers, 1 );
						if ( !fChildActor->mCanRepair() )
						{
							if (! playerTeam->mHasSeenMessage( kEvent6_2_msg )) {
								fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent6_2_msg );
							}
							fChildActor->mSetTimedInterval( kTimerTurnsSet, tDamagedShip1::kDamagedShip1RepairTimerID, 1.0f );
							( static_cast< tStarbase* >( shipTo ) )->mSetHasEngineers( true );
							( static_cast< tPlayerShip* >( shipFrom ) )->mSetHasEngineers( false );
						}
						else
						{
							if (! playerTeam->mHasSeenMessage( kEvent6_1_msg )) {
								fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent6_1_msg );
							}
							shipFrom->mAddItemToStores( kTransporterItem, kTransEngineers, 1 );
						}
					}
					break;

				case kTransMarineDude:
					{
						gST.mDebug_fprintf("ship1: marines! from shipID %d to shipID %d\n", 
										shipFrom->mGetCustomID(), shipTo->mGetCustomID());

						fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kCustom1_msg );
						shipTo->mRemoveItemFromStores( kTransMarineDude, 1 );
						shipFrom->mAddItemToStores( kTransporterItem, kTransMarineDude, 1 );
					}
					break;
				}
			}
			break;
		}
	}
	//
	//	If the player is removing something from a ship.
	//
	else if ( ( shipTo->mGetTeam() == kPlayerTeam ) &&
			  ( fChildActor->mGetTeam() == shipFrom->mGetTeam() ) )
	{
		switch ( shipFrom->mGetCustomID() )
		{
		case tPlayerNPCTeam::kDamagedShip1:
			{
				switch ( item )
				{
				case kTransEngineers:
					{
						gST.mDebug_fprintf("ship1: returning engineers! from shipID %d to shipID %d\n", 
										shipFrom->mGetCustomID(), shipTo->mGetCustomID());

						if (! playerTeam->mHasSeenMessage( kEvent8_1_msg )) {
							fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent8_1_msg );
						}
						fChildActor->mSetCanRepair( true );
						fChildActor->mRepairShip();
						( static_cast< tPlayerShip* >( shipTo ) )->mSetHasEngineers( true );
						( static_cast< tStarbase* >( shipFrom ) )->mSetHasEngineers( false );
					}
					break;

				case kTransMarineDude:
					{
						gST.mDebug_fprintf("ship1: returning marines! from shipID %d to shipID %d\n", 
										shipFrom->mGetCustomID(), shipTo->mGetCustomID());
					}
					break;
				}
			}
			break;
		}
	}
}
void tDamagedShip1BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDamagedShip1BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tDamagedShip1BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDamagedShip1BaseState::mOnHostChanged()
{}
void tDamagedShip1BaseState::mOnTimedInterval( int32 timerID )
{
	tPlayerTeam* playerTeam = static_cast< tPlayerTeam* >( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	switch ( timerID )
	{
	case tDamagedShip1::kDamagedShip1NoShieldTimerID:
		{
			if ( !fChildActor->mCanRepair() )
			{
				fChildActor->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
			}
		}
		break;

	case tDamagedShip1::kDamagedShip1RepairTimerID:
		{
#if 0
//			fChildActor->mAddItemToStores( kTransporterItem, kTransSpareParts, fChildActor->mNumScrews() );
#endif
			gST.mDebug_fprintf("---- tDamagedShip1BaseState::mOnTimedInterval -- timerID = tDamagedShip1::kDamagedShip1RepairTimerID\n");
			fChildActor->mAddItemToStores( kTransporterItem, kTransEngineers, 1 );
			if (! playerTeam->mHasSeenMessage( kEvent7_1_msg )) {
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent7_1_msg );
			}
		}
		break;
	}
}
void tDamagedShip1BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDamagedShip1BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


