/********************************************************************************************************\

	File Name:	DamagedShip2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DamagedShip2BaseState.h"
#include "MissionText.h"
#include "NPC1Team.h"
#include "PlayerNPCTeam.h"
#include "PlayerShip.h"
#include "PlayerTeam.h"
#include "ScriptInterface.h"
#include "Starbase.h"
#include "Uni_6Immunity.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDamagedShip2BaseState::mBeginState()
{}
void tDamagedShip2BaseState::mEndState()
{}

void tDamagedShip2BaseState::mOnDeath( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mOnCapture( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mAtDistance( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mAtDestination( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	if ( targetShip->mGetShipID() == fChildActor->mGetShipID() )
	{
		switch ( buttonID )
		{
		case k_DROPSHIELDS_Ship2_btn:
			{
				fChildActor->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
			}
			break;
		}
	}
}
void tDamagedShip2BaseState::mOnDamage( tShipInfo* DamagedShip2, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDamagedShip2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDamagedShip2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDamagedShip2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDamagedShip2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDamagedShip2BaseState::mOnFlashingButtonPressed()
{}
void tDamagedShip2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{
	if ( ( !shipTo ) || ( !shipFrom ) )
		return;
	tPlayerTeam* playerTeam = static_cast< tPlayerTeam* >( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;
	tShipIterator	playerShip = playerTeam->mGetFirstShip();
	tShipInPlayEval	x;
	playerShip.mAddEvaluator( &x );

	//
	//	If the player is placing something on a ship.
	//
	if ( fChildActor->mGetTeam() == shipTo->mGetTeam() )
	{
		switch ( shipFrom->mGetCustomID() )
		{
		case tPlayerTeam::kPlayerShip1:
		case tPlayerTeam::kPlayerShip2:
		case tPlayerTeam::kPlayerShip3:
			{
				switch ( shipTo->mGetCustomID() )
				{
				case tPlayerNPCTeam::kDamagedShip2:
					{
						switch ( item )
						{
						case kTransEngineers:
							{
								fChildActor->mRemoveItemFromStores( kTransEngineers, 1 );
								if ( !fChildActor->mCanRepair() )
								{
									if (! playerTeam->mHasSeenMessage( kEvent9_2_msg )) {
										fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent9_2_msg );
									}
									fChildActor->mSetTimedInterval( kTimerTurnsSet, tDamagedShip2::kDamagedShip2RepairTimerID, 1.0f );
									( static_cast< tStarbase* >( shipTo ) )->mSetHasEngineers( true );
									( static_cast< tPlayerShip* >( shipFrom ) )->mSetHasEngineers( false );
								}
								else
								{
									if (! playerTeam->mHasSeenMessage( kEvent9_1_msg )) {
										fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent9_1_msg );
									}
									shipFrom->mAddItemToStores( kTransporterItem, kTransEngineers, 1 );
								}
							}
							break;

						case kTransMarineDude:
							{
								fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kCustom1_msg );
								shipTo->mRemoveItemFromStores( kTransMarineDude, 1 );
								shipFrom->mAddItemToStores( kTransporterItem, kTransMarineDude, 1 );
							}
							break;
						}
					}
					break;
				}
			}
			break;
		}
	}
	//
	//	If the player is removing something from a ship.
	//
	else if ( fChildActor->mGetTeam() == shipFrom->mGetTeam() )
	{
		switch ( shipTo->mGetCustomID() )
		{
		case tPlayerTeam::kPlayerShip1:
		case tPlayerTeam::kPlayerShip2:
		case tPlayerTeam::kPlayerShip3:
			{
				switch ( shipFrom->mGetCustomID() )
				{
				case tPlayerNPCTeam::kDamagedShip2:
					{
						switch ( item )
						{
						case kTransEngineers:
							{
								if (! playerTeam->mHasSeenMessage( kEvent11_1_msg )) {
									fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent11_1_msg );
								}
								fChildActor->mSetCanRepair( true );
								fChildActor->mRepairShip();
								( static_cast< tPlayerShip* >( shipTo ) )->mSetHasEngineers( true );
								( static_cast< tStarbase* >( shipFrom ) )->mSetHasEngineers( false );
							}
							break;

						case kTransMarineDude:
							{}
							break;
						}
					}
					break;
				}
			}
			break;
		}
	}
}
void tDamagedShip2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDamagedShip2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tDamagedShip2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDamagedShip2BaseState::mOnHostChanged()
{}
void tDamagedShip2BaseState::mOnTimedInterval( int32 timerID )
{
	tPlayerTeam* playerTeam = static_cast< tPlayerTeam* >( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	switch ( timerID )
	{
	case tDamagedShip2::kDamagedShip2NoShieldTimerID:
		{
			if ( !fChildActor->mCanRepair() )
			{
				fChildActor->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
			}
		}
		break;

	case tDamagedShip2::kDamagedShip2RepairTimerID:
		{
#if 0
//			fChildActor->mAddItemToStores( kTransporterItem, kTransSpareParts, fChildActor->mNumScrews() );
#endif
			gST.mDebug_fprintf("---- tDamagedShip2BaseState::mOnTimedInterval -- timerID = tDamagedShip2::kDamagedShip2RepairTimerID\n");
			fChildActor->mAddItemToStores( kTransporterItem, kTransEngineers, 1 );
			if (! playerTeam->mHasSeenMessage( kEvent10_1_msg )) {
				fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam ), kEvent10_1_msg );
			}
		}
		break;
	}
}
void tDamagedShip2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDamagedShip2BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


