/********************************************************************************************************\

	File Name:	NPC1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "DamagedShip1.h"
#include "DamagedShip2.h"
#include "DamagedShip3.h"
#include "NPC1Team.h"
#include "NPC1TeamBaseState.h"
#include "ScriptInterface.h"
#include "Starbase.h"
#include "ShipList_API.h"


tClassAllocator<tNPC1Team> gNPC1TeamAllocator;

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tNPC1Team::mSetupState()
{
	mRegisterState( new tNPC1TeamBaseState() );
	mGotoState( typeid( tNPC1TeamBaseState ) );
}

void tNPC1Team::mSetupCommState()
{}

void tNPC1Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tNPC1Team::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassStarBase);
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for SB filter completed. ships: %d\n", fShiplistCount);

        if (sl.size() > 0) {

            Ship s1;
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("ship %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            mCreateShip(
                typeid( tStarbase ),
                s1.shipCode.c_str(),
                kStartPosition_H,
                kNoMetaShipID,
                kStarbase,
                0, 0, -1, -1, 
				NULL,
                kDefaultShipOptions );

        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tNPC1Team::mCreateShipsForTeam\n");
}

void tNPC1Team::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tNPC1Team::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tStarbase ), 
		"F-SB+", 
		kStartPosition_H, 
		kNoMetaShipID, 
		kStarbase,
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tNPC1Team::mOldCreateShipsForTeam\n");
}

void tNPC1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tNPC1Team", shipScriptDescription );
}
