/********************************************************************************************************\

	File Name:	Freighter.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Freighter.h"
#include "FreighterBaseState.h"
#include "Uni_6Wheel.h"
#include "MissionText.h"

tClassAllocator<tFreighter> gFreighterAllocator;

void tFreighter::mSetupState()
{
	mRegisterState( new tFreighterBaseState() );
	mGotoState( typeid( tFreighterBaseState ) );
}

void tFreighter::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );

}

void tFreighter::mSetupShip()
{
	mSetShipMaxSpeed( 12 );

	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;

	tShipIterator planetI = planetTeam->mGetFirstShip();
	tShipInfo* planet = *planetI;
	if( !planet )
		return;

	int32 planetX, planetY;
	planet->mGetGridPosition( &planetX, &planetY );
	planetY -=3;

	mSetFinalDestination( planetX, planetY );
}

