/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mHailedFreighter()			{ return fHailedFreighter; }
	void	mSetHailedFreighter()		{ fHailedFreighter = true; }

	iTruth	mScannedFreighter()			{ return fScannedFreighter; }
	void	mSetScannedFreighter()		{ fScannedFreighter = true; }

	iTruth	mGotExplanation()			{ return fGotExplanation; }
	void	mSetGotExplanation()		{ fGotExplanation = true; }

	iTruth	mMadeAlliance()				{ return fMadeAlliance; }
	void	mSetMadeAlliance()			{ fMadeAlliance = true; }

	iTruth	mCappedPlanet()				{ return fCappedPlanet; }
	void	mSetCappedPlanet()			{ fCappedPlanet = true; }

	iTruth	mScannedPlanet()			{ return fScannedPlanet; }
	void	mSetScannedPlanet()			{ fScannedPlanet = true; }

	iTruth	mWheelTeamArrived()			{ return fWheelTeamArrived; }
	void	mSetWheelTeamArrived()		{ fWheelTeamArrived = true; }

	iTruth	mFreighterDead()			{ return fFreighterDead; }
	void	mSetFreighterDead()			{ fFreighterDead = true; }

	iTruth	mEnemyTeamDead()			{ return fEnemyTeamDead; }
	void	mSetEnemyTeamDead()			{ fEnemyTeamDead = true; }

	iTruth	mScanRangeNotice()			{ return fScanRangeNotice; }
	void	mSetScanRangeNotice()		{ fScanRangeNotice = true; }

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

protected:
	iTruth	fHailedFreighter;
	iTruth	fScannedFreighter;
	iTruth	fGotExplanation;
	iTruth	fMadeAlliance;
	iTruth	fCappedPlanet;
	iTruth	fScannedPlanet;
	iTruth	fWheelTeamArrived;
	iTruth	fFreighterDead;
	iTruth	fEnemyTeamDead;
	iTruth	fScanRangeNotice;
	iTruth	fDied;
};

#endif
