//	<Name>	AllianceListeningPost.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "AllianceListeningPost.h"
#include "AllianceListeningPostBaseState.h"
#include "MissionText.h"
#include "Uni_7BattleGrave.h"

tClassAllocator<tAllianceListeningPost> gAllianceListeningPostAllocator;

void tAllianceListeningPost::mSetupState()
{
	mRegisterState( new tAllianceListeningPostBaseState() );
	mGotoState( typeid( tAllianceListeningPostBaseState ) );
}
void tAllianceListeningPost::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_REQUESTTRANSPORT_RelayStationForReal_btn, k_REQUESTTRANSPORT_RelayStation1_msg );
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStation_btn, k_REQUESTCRUISER_RelayStation1_msg );

	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_REQUESTTRANSPORT_RelayStationForReal_btn, k_REQUESTTRANSPORT_RelayStation1_msg );
	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStationForReal_btn, k_REQUESTCRUISER_RelayStation2_msg );

	playerTeam->mRegisterCommMessage(	kCommState3, kNoStateChange, mGetShipID(),
										k_REQUESTTRANSPORT_RelayStationForReal_btn, k_REQUESTTRANSPORT_RelayStation1_msg );
	playerTeam->mRegisterCommMessage(	kCommState3, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStation_btn, k_REQUESTCRUISER_RelayStation3_msg );

	playerTeam->mRegisterCommMessage(	kCommState4, kNoStateChange, mGetShipID(),
										k_REQUESTTRANSPORT_RelayStation_btn, k_REQUESTTRANSPORT_RelayStation2_msg );
	playerTeam->mRegisterCommMessage(	kCommState4, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStation_btn, k_REQUESTCRUISER_RelayStation1_msg );

	playerTeam->mRegisterCommMessage(	kCommState5, kNoStateChange, mGetShipID(),
										k_REQUESTTRANSPORT_RelayStation_btn, k_REQUESTTRANSPORT_RelayStation2_msg );
	playerTeam->mRegisterCommMessage(	kCommState5, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStationForReal_btn, k_REQUESTCRUISER_RelayStation2_msg );

	playerTeam->mRegisterCommMessage(	kCommState6, kNoStateChange, mGetShipID(),
										k_REQUESTTRANSPORT_RelayStation_btn, k_REQUESTTRANSPORT_RelayStation2_msg );
	playerTeam->mRegisterCommMessage(	kCommState6, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStation_btn, k_REQUESTCRUISER_RelayStation3_msg );

	playerTeam->mRegisterCommMessage(	kCommState7, kNoStateChange, mGetShipID(),
										k_MOREMARINES_RelayStation_btn, k_MOREMARINES_RelayStation1_msg );
	playerTeam->mRegisterCommMessage(	kCommState7, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStation_btn, k_REQUESTCRUISER_RelayStation1_msg );

	playerTeam->mRegisterCommMessage(	kCommState8, kNoStateChange, mGetShipID(),
										k_MOREMARINES_RelayStation_btn, k_MOREMARINES_RelayStation1_msg );
	playerTeam->mRegisterCommMessage(	kCommState8, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStationForReal_btn, k_REQUESTCRUISER_RelayStation2_msg );

	playerTeam->mRegisterCommMessage(	kCommState9, kNoStateChange, mGetShipID(),
										k_MOREMARINES_RelayStation_btn, k_MOREMARINES_RelayStation1_msg );
	playerTeam->mRegisterCommMessage(	kCommState9, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStation_btn, k_REQUESTCRUISER_RelayStation3_msg );

	playerTeam->mRegisterCommMessage(	kCommState10, kNoStateChange, mGetShipID(),
										k_MOREMARINES_RelayStation_btn, k_MOREMARINES_RelayStation2_msg );
	playerTeam->mRegisterCommMessage(	kCommState10, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStation_btn, k_REQUESTCRUISER_RelayStation1_msg );

	playerTeam->mRegisterCommMessage(	kCommState11, kNoStateChange, mGetShipID(),
										k_MOREMARINES_RelayStation_btn, k_MOREMARINES_RelayStation2_msg );
	playerTeam->mRegisterCommMessage(	kCommState11, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStationForReal_btn, k_REQUESTCRUISER_RelayStation2_msg );

	playerTeam->mRegisterCommMessage(	kCommState12, kNoStateChange, mGetShipID(),
										k_MOREMARINES_RelayStation_btn, k_MOREMARINES_RelayStation2_msg );
	playerTeam->mRegisterCommMessage(	kCommState12, kNoStateChange, mGetShipID(),
										k_REQUESTCRUISER_RelayStation_btn, k_REQUESTCRUISER_RelayStation3_msg );

	playerTeam->mRegisterCommMessage(	kCommState13_sd, kNoStateChange, mGetShipID(),
										k_SELFDESTRUCTBASE_RelayStation_btn, k_SELFDESTRUCTBASE_RelayStation1_msg );



	playerTeam->mGotoCommState( mGetShipID(), kCommState12 );
}
void tAllianceListeningPost::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}


/*

	Purpose:	Since the comm state of the alliance listening post changes so often, it makes sense to
				place its functionality out of the way of other files, but grouped together with its class.

*/
void tAllianceListeningPost::mChangeCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	//
	//	Change the alliance listening post to the proper comm state.
	//
	if (	( gBaseVictory->mBase1Captured() && !gBaseVictory->mBase1PrisonersRescued() ) ||
			( gBaseVictory->mBase2Captured() && !gBaseVictory->mBase2PrisonersRescued() ) ||
			( gBaseVictory->mBase3Captured() && !gBaseVictory->mBase3PrisonersRescued() )	)
	{
		if ( gBaseVictory->mAllianceShipsDestroyed() == 10 )
		{
			if ( gBaseVictory->mTransportAvailable() )
				playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
			else
				playerTeam->mGotoCommState( mGetShipID(), kCommState4 );
		}
		else if ( gBaseVictory->mAllianceWave() < 2 )
		{
			if ( gBaseVictory->mTransportAvailable() )
				playerTeam->mGotoCommState( mGetShipID(), kCommState2 );
			else
				playerTeam->mGotoCommState( mGetShipID(), kCommState5 );
		}
		else
		{
			if ( gBaseVictory->mTransportAvailable() )
				playerTeam->mGotoCommState( mGetShipID(), kCommState3 );
			else
				playerTeam->mGotoCommState( mGetShipID(), kCommState6 );
		}
	}
	else if (	
			( gBaseVictory->mBase1Captured() && gBaseVictory->mBase1PrisonersRescued() ) &&
			( gBaseVictory->mBase2Captured() && gBaseVictory->mBase2PrisonersRescued() ) &&
			( gBaseVictory->mBase3Captured() && gBaseVictory->mBase3PrisonersRescued() )	
			)
	{
		playerTeam->mGotoCommState( mGetShipID(), kCommState13_sd );
	} else
	{
		if ( gBaseVictory->mAllianceShipsDestroyed() == 10 )
		{
			if ( gBaseVictory->mTransportAvailable() )
				playerTeam->mGotoCommState( mGetShipID(), kCommState7 );
			else
				playerTeam->mGotoCommState( mGetShipID(), kCommState10 );
		}
		else if ( gBaseVictory->mAllianceWave() < 2 )
		{
			if ( gBaseVictory->mTransportAvailable() )
				playerTeam->mGotoCommState( mGetShipID(), kCommState8 );
			else
				playerTeam->mGotoCommState( mGetShipID(), kCommState11 );
		}
		else
		{
			if ( gBaseVictory->mTransportAvailable() )
				playerTeam->mGotoCommState( mGetShipID(), kCommState9 );
			else
				playerTeam->mGotoCommState( mGetShipID(), kCommState12 );
		}
	}
}