/********************************************************************************************************\

	File Name:	BaseStation3BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BaseStation3BaseState.h"
#include "Uni_7BattleGrave.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tBaseStation3BaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tBaseStation3ShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tBaseStation3ShipBaseState::mBeginState\n");
}
void tBaseStation3BaseState::mEndState()
{}

void tBaseStation3BaseState::mOnDeath( tShipInfo* ship )
{}
void tBaseStation3BaseState::mOnCapture( tShipInfo* ship )
{}
void tBaseStation3BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tBaseStation3BaseState::mAtDistance( tShipInfo* ship )
{}
void tBaseStation3BaseState::mAtDestination( tShipInfo* ship )
{}
void tBaseStation3BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tBaseStation3BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tBaseStation3BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBaseStation3BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBaseStation3BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBaseStation3BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBaseStation3BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tBaseStation3BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseStation3BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseStation3BaseState::mOnFlashingButtonPressed()
{}
void tBaseStation3BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBaseStation3BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tBaseStation3BaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tBaseStation3BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBaseStation3BaseState::mOnHostChanged()
{}
void tBaseStation3BaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tBaseStation3ShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tBaseStation3ShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tBaseStation3BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBaseStation3BaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


