/********************************************************************************************************\

	File Name:	BaseStationBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BaseStationBaseState.h"
#include "Uni_7BattleGrave.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tBaseStationBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tBaseStationShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tBaseStationShipBaseState::mBeginState\n");
}
void tBaseStationBaseState::mEndState()
{}

void tBaseStationBaseState::mOnDeath( tShipInfo* ship )
{}
void tBaseStationBaseState::mOnCapture( tShipInfo* ship )
{}
void tBaseStationBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tBaseStationBaseState::mAtDistance( tShipInfo* ship )
{}
void tBaseStationBaseState::mAtDestination( tShipInfo* ship )
{}
void tBaseStationBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tBaseStationBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tBaseStationBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBaseStationBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBaseStationBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBaseStationBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBaseStationBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tBaseStationBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseStationBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseStationBaseState::mOnFlashingButtonPressed()
{}
void tBaseStationBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBaseStationBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tBaseStationBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tBaseStationBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBaseStationBaseState::mOnHostChanged()
{}
void tBaseStationBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tBaseStationShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tBaseStationShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tBaseStationBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBaseStationBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


