/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"


tClassAllocator<tBaseVictory> gBaseVictoryAllocator;


/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tBaseVictory::tBaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tBaseVictory::tBaseVictory( ) : fCBCaptured( false ), fTransportAvailable( true ),
								fBase1Captured( false ), fBase1Destroyed( false ),
								fBase1PrisonersDead( false ), fBase1PrisonersLoaded( false ),
								fBase1PrisonersRescued( false ), fBase2Captured( false ),
								fBase2Destroyed( false ), fBase2PrisonersDead( false ),
								fBase2PrisonersLoaded( false ), fBase2PrisonersRescued( false ),
								fBase3Captured( false ), fBase3Destroyed( false ),
								fBase3PrisonersDead( false ), fBase3PrisonersLoaded( false ),
								fBase3PrisonersRescued( false ), fISCListeningPostDestroyed( false ),
								fAllianceListeningPostAttacked( false ), fAllianceListeningPostDestroyed( false ),
								fAllianceShipsDestroyed( 0 ), fISCShipsDestroyed( 0 ),
								fAllianceWave( 2 ), fEnemyWave( 2 ),
								fRequest1( 0 ), fRequest2( 0 ),
								fCBDestroyed( false )
{}
tBaseVictory::tBaseVictory( tTeamInfo* team ) : tVictoryCondition( team ),
												fCBCaptured( false ), fTransportAvailable( true ),
												fBase1Captured( false ), fBase1Destroyed( false ),
												fBase1PrisonersDead( false ), fBase1PrisonersLoaded( false ),
												fBase1PrisonersRescued( false ), fBase2Captured( false ),
												fBase2Destroyed( false ), fBase2PrisonersDead( false ),
												fBase2PrisonersLoaded( false ), fBase2PrisonersRescued( false ),
												fBase3Captured( false ), fBase3Destroyed( false ),
												fBase3PrisonersDead( false ), fBase3PrisonersLoaded( false ),
												fBase3PrisonersRescued( false ), fISCListeningPostDestroyed( false ),
												fAllianceListeningPostAttacked( false ), fAllianceListeningPostDestroyed( false ),
												fAllianceShipsDestroyed( 0 ), fISCShipsDestroyed( 0 ),
												fAllianceWave( 2 ), fEnemyWave( 2 ),
												fRequest1( 0 ), fRequest2( 0 ),
												fCBDestroyed( false )
{}

/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tBaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tBaseVictory::mSetupState()
{
	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( 300, 225, 75, 0, -75 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );	

	mSetTimedInterval( kTimerSecondsSet, kRandChatID, 20.0f );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives.

	bool
	tBaseVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tBaseVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/
//
//	Accessors.
//

bool tBaseVictory::mCBCaptured( void )
{
	return fCBCaptured;
}
bool tBaseVictory::mCBDestroyed( void )
{
	return fCBDestroyed;
}
bool tBaseVictory::mTransportAvailable( void )
{
	return fTransportAvailable;
}
bool tBaseVictory::mBase1Captured( void )
{
	return fBase1Captured;
}
bool tBaseVictory::mBase1Destroyed( void )
{
	return fBase1Destroyed;
}
bool tBaseVictory::mBase1PrisonersDead( void )
{
	return fBase1PrisonersDead;
}
bool tBaseVictory::mBase1PrisonersLoaded( void )
{
	return fBase1PrisonersLoaded;
}
bool tBaseVictory::mBase1PrisonersRescued( void )
{
	return fBase1PrisonersRescued;
}
bool tBaseVictory::mBase2Captured( void )
{
	return fBase2Captured;
}
bool tBaseVictory::mBase2Destroyed( void )
{
	return fBase2Destroyed;
}
bool tBaseVictory::mBase2PrisonersDead( void )
{
	return fBase2PrisonersDead;
}
bool tBaseVictory::mBase2PrisonersLoaded( void )
{
	return fBase2PrisonersLoaded;
}
bool tBaseVictory::mBase2PrisonersRescued( void )
{
	return fBase2PrisonersRescued;
}
bool tBaseVictory::mBase3Captured( void )
{
	return fBase3Captured;
}
bool tBaseVictory::mBase3Destroyed( void )
{
	return fBase3Destroyed;
}
bool tBaseVictory::mBase3PrisonersDead( void )
{
	return fBase3PrisonersDead;
}
bool tBaseVictory::mBase3PrisonersLoaded( void )
{
	return fBase3PrisonersLoaded;
}
bool tBaseVictory::mBase3PrisonersRescued( void )
{
	return fBase3PrisonersRescued;
}
bool tBaseVictory::mISCListeningPostDestroyed( void )
{
	return fISCListeningPostDestroyed;
}
bool tBaseVictory::mAllianceListeningPostAttacked( void )
{
	return fAllianceListeningPostAttacked;
}
bool tBaseVictory::mAllianceListeningPostDestroyed( void )
{
	return fAllianceListeningPostDestroyed;
}
int32 tBaseVictory::mAllianceShipsDestroyed( void )
{
	return fAllianceShipsDestroyed;
}
int32 tBaseVictory::mISCShipsDestroyed( void )
{
	return fISCShipsDestroyed;
}
int32 tBaseVictory::mAllianceWave( void )
{
	return fAllianceWave;
}
int32 tBaseVictory::mEnemyWave( void )
{
	return fEnemyWave;
}
int32 tBaseVictory::mRequest1( void )
{
	return fRequest1;
}
int32 tBaseVictory::mRequest2( void )
{
	return fRequest2;
}

//
//	Modifiers.
//
void tBaseVictory::mSetCBCaptured( bool x )
{
	fCBCaptured = x;
}
void tBaseVictory::mSetCBDestroyed( bool x )
{
	fCBDestroyed = x;
}
void tBaseVictory::mSetTransportAvailable( bool x )
{
	fTransportAvailable = x;
}
void tBaseVictory::mSetBase1Captured( bool x )
{
	fBase1Captured = x;
}
void tBaseVictory::mSetBase1Destroyed( bool x )
{
	fBase1Destroyed = x;
}
void tBaseVictory::mSetBase1PrisonersDead( bool x )
{
	fBase1PrisonersDead = x;
}
void tBaseVictory::mSetBase1PrisonersLoaded( bool x )
{
	fBase1PrisonersLoaded = x;
}
void tBaseVictory::mSetBase1PrisonersRescued( bool x )
{
	fBase1PrisonersRescued = x;
}
void tBaseVictory::mSetBase2Captured( bool x )
{
	fBase2Captured = x;
}
void tBaseVictory::mSetBase2Destroyed( bool x )
{
	fBase2Destroyed = x;
}
void tBaseVictory::mSetBase2PrisonersDead( bool x )
{
	fBase2PrisonersDead = x;
}
void tBaseVictory::mSetBase2PrisonersLoaded( bool x )
{
	fBase2PrisonersLoaded = x;
}
void tBaseVictory::mSetBase2PrisonersRescued( bool x )
{
	fBase2PrisonersRescued = x;
}
void tBaseVictory::mSetBase3Captured( bool x )
{
	fBase3Captured = x;
}
void tBaseVictory::mSetBase3Destroyed( bool x )
{
	fBase3Destroyed = x;
}
void tBaseVictory::mSetBase3PrisonersDead( bool x )
{
	fBase3PrisonersDead = x;
}
void tBaseVictory::mSetBase3PrisonersLoaded( bool x )
{
	fBase3PrisonersLoaded = x;
}
void tBaseVictory::mSetBase3PrisonersRescued( bool x )
{
	fBase3PrisonersRescued = x;
}
void tBaseVictory::mSetISCListeningPostDestroyed( bool x )
{
	fISCListeningPostDestroyed = x;
}
void tBaseVictory::mSetAllianceListeningPostAttacked( bool x )
{
	fAllianceListeningPostAttacked = x;
}
void tBaseVictory::mSetAllianceListeningPostDestroyed( bool x )
{
	fAllianceListeningPostDestroyed = x;
}
void tBaseVictory::mIncreaseAllianceShipsDestroyed( void )
{
	fAllianceShipsDestroyed++;
}
void tBaseVictory::mIncreaseISCShipsDestroyed( void )
{
	fISCShipsDestroyed++;
}
void tBaseVictory::mIncreaseAllianceWave( void )
{
	fAllianceWave++;
	fAllianceWave %= 3;
}
void tBaseVictory::mDecreaseAllianceWave( void )
{
	fAllianceWave += 3;
	fAllianceWave--;
	fAllianceWave %= 3;
}
void tBaseVictory::mIncreaseEnemyWave( void )
{
	fEnemyWave++;
	fEnemyWave %= 3;
}
void tBaseVictory::mDecreaseEnemyWave( void )
{
	fEnemyWave += 3;
	fEnemyWave--;
	fEnemyWave %= 3;
}
void tBaseVictory::mIncreaseRequest1( void )
{
	fRequest1++;
}
void tBaseVictory::mIncreaseRequest2( void )
{
	fRequest2++;
}
