/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/
	bool	mCBCaptured( void );
	bool	mCBDestroyed( void );
	bool	mTransportAvailable( void );
	bool	mBase1Captured( void );
	bool	mBase1Destroyed( void );
	bool	mBase1PrisonersDead( void );
	bool	mBase1PrisonersLoaded( void );
	bool	mBase1PrisonersRescued( void );
	bool	mBase2Captured( void );
	bool	mBase2Destroyed( void );
	bool	mBase2PrisonersDead( void );
	bool	mBase2PrisonersLoaded( void );
	bool	mBase2PrisonersRescued( void );
	bool	mBase3Captured( void );
	bool	mBase3Destroyed( void );
	bool	mBase3PrisonersDead( void );
	bool	mBase3PrisonersLoaded( void );
	bool	mBase3PrisonersRescued( void );
	bool	mISCListeningPostDestroyed( void );
	bool	mAllianceListeningPostAttacked( void );
	bool	mAllianceListeningPostDestroyed( void );
	int32	mAllianceShipsDestroyed( void );
	int32	mISCShipsDestroyed( void );
	int32	mAllianceWave( void );
	int32	mEnemyWave( void );
	int32	mRequest1( void );
	int32	mRequest2( void );

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/
	void	mSetCBCaptured( bool x );
	void	mSetCBDestroyed( bool x );
	void	mSetTransportAvailable( bool x );
	void	mSetBase1Captured( bool x );
	void	mSetBase1Destroyed( bool x );
	void	mSetBase1PrisonersDead( bool x );
	void	mSetBase1PrisonersLoaded( bool x );
	void	mSetBase1PrisonersRescued( bool x );
	void	mSetBase2Captured( bool x );
	void	mSetBase2Destroyed( bool x );
	void	mSetBase2PrisonersDead( bool x );
	void	mSetBase2PrisonersLoaded( bool x );
	void	mSetBase2PrisonersRescued( bool x );
	void	mSetBase3Captured( bool x );
	void	mSetBase3Destroyed( bool x );
	void	mSetBase3PrisonersDead( bool x );
	void	mSetBase3PrisonersLoaded( bool x );
	void	mSetBase3PrisonersRescued( bool x );
	void	mSetISCListeningPostDestroyed( bool x );
	void	mSetAllianceListeningPostAttacked( bool x );
	void	mSetAllianceListeningPostDestroyed( bool x );
	void	mSetAllianceShipsDestroyed( void );
	void	mIncreaseAllianceShipsDestroyed( void );
	void	mIncreaseISCShipsDestroyed( void );
	void	mIncreaseAllianceWave( void );
	void	mDecreaseAllianceWave( void );
	void	mIncreaseEnemyWave( void );
	void	mDecreaseEnemyWave( void );
	void	mIncreaseRequest1( void );
	void	mIncreaseRequest2( void );

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	bool	fCBCaptured;
	bool	fCBDestroyed;
	bool	fTransportAvailable;
	bool	fBase1Captured;
	bool	fBase1Destroyed;
	bool	fBase1PrisonersDead;
	bool	fBase1PrisonersLoaded;
	bool	fBase1PrisonersRescued;
	bool	fBase2Captured;
	bool	fBase2Destroyed;
	bool	fBase2PrisonersDead;
	bool	fBase2PrisonersLoaded;
	bool	fBase2PrisonersRescued;
	bool	fBase3Captured;
	bool	fBase3Destroyed;
	bool	fBase3PrisonersDead;
	bool	fBase3PrisonersLoaded;
	bool	fBase3PrisonersRescued;
	bool	fISCListeningPostDestroyed;
	bool	fAllianceListeningPostAttacked;
	bool	fAllianceListeningPostDestroyed;
	int32	fAllianceShipsDestroyed;
	int32	fISCShipsDestroyed;
	int32	fAllianceWave;
	int32	fEnemyWave;
	int32	fRequest1;
	int32	fRequest2;
};

#endif



