/********************************************************************************************************\

	File Name:	Enemy5Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Enemy5Team.h"
#include "Enemy5TeamBaseState.h"
#include "ListeningPost.h"
#include "ShipList_API.h"


tClassAllocator<tEnemy5Team> gEnemy5TeamAllocator;


void tEnemy5Team::mSetupState()
{
	mRegisterState( new tEnemy5TeamBaseState() );
	mGotoState( typeid( tEnemy5TeamBaseState ) );
}

void tEnemy5Team::mSetupCommState()
{}

void tEnemy5Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tEnemy5Team::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        // Listening Post
        std::list< eEnhancedClassTypes >  LPClassTypeList;
        LPClassTypeList.push_back(kEClassListeningPost);
        fShiplistCount = sl.Subset(LPClassTypeList, true);
        gST.mDebug_fprintf("subset for Platform class filter completed. ships: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  LPRolesList;
        LPRolesList.push_back(kListeningPost);
        fShiplistCount = sl.Subset(LPRolesList, true);
        gST.mDebug_fprintf("subset for ListeningPost eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        if (sl.size() > 0) {
            Ship lp1;
            sl.SelectRandomShip(lp1);
            gST.mDebug_fprintf("lp1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                lp1.shipCode.c_str(), lp1.bpv, lp1.yearFirstAvail, lp1.yearLastAvail);
            gST.mTrackOrions( lp1 );

			mCreateShip(	
				typeid( tListeningPost ), 
				lp1.shipCode.c_str(), 
				kStartPosition_T, 
				kNoMetaShipID,
				kListeningPostShip, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tEnemy5Team::mCreateShipsForTeam\n");
}

void tEnemy5Team::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tEnemy5Team::mOldCreateShipsForTeam\n");

	mCreateShip(	
		typeid( tListeningPost ), 
		"O-LP", 
		kStartPosition_T, 
		kNoMetaShipID,
		kListeningPostShip, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tEnemy5Team::mOldCreateShipsForTeam\n");
}


void tEnemy5Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemy5Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tEnemy5Team", shipScriptDescription );
}
