/********************************************************************************************************\

	File Name:	Enemy6Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Enemy6Team.h"
#include "Enemy6TeamBaseState.h"
#include "ISCCB.h"
#include "ShipList_API.h"


tClassAllocator<tEnemy6Team> gEnemy6TeamAllocator;


void tEnemy6Team::mSetupState()
{
	mRegisterState( new tEnemy6TeamBaseState() );
	mGotoState( typeid( tEnemy6TeamBaseState ) );
}

void tEnemy6Team::mSetupCommState()
{}
void tEnemy6Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tEnemy6Team::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        // sl = gST.selectWarShipRoles( sl );

		// CA-BCH
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        for (int32 i = kEClassHeavyCruiser; i <= kEClassHeavyBattlecruiser; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for CA-BCH filter completed. ships: %d\n", fShiplistCount);

		// Leader only.
		std::list< eEnhancedRoles >  leaderRolesList;
        leaderRolesList.push_back(kLeader);
        fShiplistCount = sl.Subset(leaderRolesList, true);
        gST.mDebug_fprintf("subset for Leader eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

		// CA Leader ship coming up!
		if (sl.size() > 0)
		{
			Ship s1, s2;
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			mCreateShip(	
				typeid( tISCCB ), 
				s1.shipCode.c_str(), 
				kStartPosition_Z, 
				kNoMetaShipID,
				kFlagship, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );
			} else {
				mOldCreateShipsForTeam();
			}
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tEnemy6Team::mCreateShipsForTeam\n");
}

void tEnemy6Team::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tEnemy6Team::mOldCreateShipsForTeam\n");

	mCreateShip(	
		typeid( tISCCB ), 
		"I-CC", 
		kStartPosition_Z, 
		kNoMetaShipID,
		kFlagship, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tEnemy6Team::mOldCreateShipsForTeam\n");
}

void tEnemy6Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemy6Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tEnemy6Team", shipScriptDescription );
}
