/********************************************************************************************************\

	File Name:	ISCCBBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ISCCBBaseState.h"
#include "Uni_7BattleGrave.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tISCCBBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tISCCBBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tISCCBBaseState::mBeginState\n");
}
void tISCCBBaseState::mEndState()
{}

void tISCCBBaseState::mOnDeath( tShipInfo* ship )
{}
void tISCCBBaseState::mOnCapture( tShipInfo* ship )
{}
void tISCCBBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tISCCBBaseState::mAtDistance( tShipInfo* ship )
{}
void tISCCBBaseState::mAtDestination( tShipInfo* ship )
{}
void tISCCBBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tISCCBBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tISCCBBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tISCCBBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tISCCBBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tISCCBBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tISCCBBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tISCCBBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCCBBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCCBBaseState::mOnFlashingButtonPressed()
{}
void tISCCBBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tISCCBBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tISCCBBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tISCCBBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tISCCBBaseState::mOnHostChanged()
{}
void tISCCBBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tISCCBBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tISCCBBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tISCCBBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tISCCBBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


