/********************************************************************************************************\

	File Name:	ListeningPostBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ListeningPostBaseState.h"
#include "Uni_7BattleGrave.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tListeningPostBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tListeningPostBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tListeningPostBaseState::mBeginState\n");
}
void tListeningPostBaseState::mEndState()
{}

void tListeningPostBaseState::mOnDeath( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnCapture( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tListeningPostBaseState::mAtDistance( tShipInfo* ship )
{}
void tListeningPostBaseState::mAtDestination( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tListeningPostBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tListeningPostBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tListeningPostBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tListeningPostBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tListeningPostBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tListeningPostBaseState::mOnFlashingButtonPressed()
{}
void tListeningPostBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tListeningPostBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tListeningPostBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tListeningPostBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tListeningPostBaseState::mOnHostChanged()
{}
void tListeningPostBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tListeningPostBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tListeningPostBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tListeningPostBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tListeningPostBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


