/********************************************************************************************************\

	File Name:	NPC1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "NPC1Team.h"
#include "NPC1TeamBaseState.h"
#include "ShipList_API.h"
#include "PlayerTeam.h"
#include "Uni_7BattleGrave.h"
#include "Transport.h"


tClassAllocator<tNPC1Team> gNPC1TeamAllocator;

void tNPC1Team::mSetupState()
{
	mRegisterState( new tNPC1TeamBaseState() );
	mGotoState( typeid( tNPC1TeamBaseState ) );
}

void tNPC1Team::mSetupCommState()
{}

void tNPC1Team::mCreateShipsForTeam()
{}

void tNPC1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tNPC1Team", shipScriptDescription );
}

void tNPC1Team::mCreateTransport()
{
    gST.mDebug_fprintf("--- Entering: tNPC1Team::mCreateTransport\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

        ShipList freighter_sl = sl;

        std::list< eEnhancedClassTypes >  freighterClassList;
		freighterClassList.push_back(kEClassLargeFreighter);
        freighterClassList.push_back(kEClassPriorityTransport);
        fShiplistCount = freighter_sl.Subset(freighterClassList);
        gST.mDebug_fprintf("freighter class subset: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  freighterRolesList;
        freighterRolesList.push_back(kCargo);
        fShiplistCount = freighter_sl.Subset(freighterRolesList);
        gST.mDebug_fprintf("freighter roles subset: %d\n", fShiplistCount);
        gST.listShiplistContent(freighter_sl);

        if (freighter_sl.size() > 0) {
			Ship s1;
			freighter_sl.SelectRandomShip(s1);
			gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
				s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
			gST.mTrackOrions( s1 );

			mCreateShip(	
				typeid( tTransport ), 
				s1.shipCode.c_str(), 
				kStartPosition_K, 
				kNoMetaShipID,
				kTransport, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );
		} else {
			mOldCreateTransport();
		}
	} else {
		mOldCreateTransport();
	}
	gST.mDebug_fprintf("--- Entering: tNPC1Team::mCreateTransport\n");
}

void tNPC1Team::mOldCreateTransport()
{
	gST.mDebug_fprintf("---- Starting: tNPC1Team::mOldCreateTransport\n");

	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( ! playerTeam )
		return;

	std::string transport_shipType = "F-FLDr";

	switch ( playerTeam->mGetRace() )
	{
	case kFederation:
		transport_shipType = "F-FLDr";
		break;
	case kKlingon:
		transport_shipType = "K-FLDr";
		break;
	case kRomulan:
		transport_shipType = "R-FLPL";
		break;
	case kLyran:
		transport_shipType = "L-FLDs";
		break;
	case kGorn:
		transport_shipType = "G-FLPL";
		break;
	case kHydran:
		transport_shipType = "H-FLFu";
		break;
	case kMirak:
		transport_shipType = "Z-FLDr";
		break;
	}

	mCreateShip(	
		typeid( tTransport ), 
		transport_shipType.c_str(), 
		kStartPosition_K, 
		kNoMetaShipID,
		kTransport, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tNPC1Team::mOldCreateTransport\n");
}