/********************************************************************************************************\

	File Name:	NPC2Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AllianceListeningPost.h"
#include "NPC2Team.h"
#include "NPC2TeamBaseState.h"
#include "ScriptInterface.h"
#include "Uni_7BattleGrave.h"
#include "ShipList_API.h"


tClassAllocator<tNPC2Team> gNPC2TeamAllocator;

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tNPC2Team::mSetupState()
{
	mRegisterState( new tNPC2TeamBaseState() );
	mGotoState( typeid( tNPC2TeamBaseState ) );
}

void tNPC2Team::mSetupCommState()
{}

void tNPC2Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tNPC2Team::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        // Listening Post
        std::list< eEnhancedClassTypes >  LPClassTypeList;
        LPClassTypeList.push_back(kEClassListeningPost);
        fShiplistCount = sl.Subset(LPClassTypeList, true);
        gST.mDebug_fprintf("subset for Platform class filter completed. ships: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  LPRolesList;
        LPRolesList.push_back(kListeningPost);
        fShiplistCount = sl.Subset(LPRolesList, true);
        gST.mDebug_fprintf("subset for ListeningPost eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        if (sl.size() > 0) {
            Ship lp1;
            sl.SelectRandomShip(lp1);
            gST.mDebug_fprintf("lp1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                lp1.shipCode.c_str(), lp1.bpv, lp1.yearFirstAvail, lp1.yearLastAvail);
            gST.mTrackOrions( lp1 );

			mCreateShip(	
				typeid( tAllianceListeningPost ), 
				lp1.shipCode.c_str(), 
				kStartPosition_J, 
				kNoMetaShipID,
				kAllianceListeningPost, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tNPC2Team::mCreateShipsForTeam\n");
}

void tNPC2Team::mOldCreateShipsForTeam()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	// why is this here?
	Sleep(100);

	std::string LP_shipType = "F-LP";
	switch ( playerTeam->mGetRace() )
	{
	case kFederation:
		LP_shipType = "F-LP"; break;
	case kKlingon:
		LP_shipType = "K-LP"; break;
	case kRomulan:
		LP_shipType = "R-LP"; break;
	case kLyran:
		LP_shipType = "L-LP"; break;
	case kGorn:
		LP_shipType = "G-LP"; break;
	case kHydran:
		LP_shipType = "H-LP"; break;
	case kMirak:
		LP_shipType = "Z-LP"; break;
	case kISC:  // just in case
		LP_shipType = "I-LP"; break;
	}

	mCreateShip(	
		typeid( tAllianceListeningPost ), 
		LP_shipType.c_str(), 
		kStartPosition_J, 
		kNoMetaShipID,
		kAllianceListeningPost, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );
}


void tNPC2Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tNPC2Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tNPC2Team", shipScriptDescription );
}
