//	<Name>	Transport.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "MissionText.h"
#include "TeamInfo.h"
#include "Transport.h"
#include "TransportBaseState.h"
#include "Uni_7BattleGrave.h"

tClassAllocator<tTransport> gTransportAllocator;

tTransport::tTransport() : fSaving1( false ), fSaving2( false ), fSaving3( false )
{}

void tTransport::mSetupState()
{
	mRegisterState( new tTransportBaseState() );
	mGotoState( typeid( tTransportBaseState ) );
}
void tTransport::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_GOTOSTATION_Transport_btn, k_GOTOSTATION_Transport1_msg );

	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_GOTOSTATION_Transport_btn, k_GOTOSTATION_Transport2_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}
void tTransport::mSetupShip()
{
	mSetShipMaxSpeed( 15 );
}


bool tTransport::mSaving1( void )
{
	return fSaving1;
}
bool tTransport::mSaving2( void )
{
	return fSaving2;
}
bool tTransport::mSaving3( void )
{
	return fSaving3;
}
void tTransport::mSetSaving1( bool x )
{
	fSaving1 = x;
}
void tTransport::mSetSaving2( bool x )
{
	fSaving2 = x;
}
void tTransport::mSetSaving3( bool x )
{
	fSaving3 = x;
}