/********************************************************************************************************\

	File Name:	EnemyShip1.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShip1.h"
#include "EnemyShip1BaseState.h"
#include "MissionText.h"
#include "Uni_7Gates.h"
#include "PlayerTeam.h"

tClassAllocator<tEnemyShip1> gEnemyShip1Allocator;

void tEnemyShip1::mSetupState()
{
	mRegisterState( new tEnemyShip1BaseState() );
	mGotoState( typeid( tEnemyShip1BaseState ) );
}

void tEnemyShip1::mSetupCommState()
{
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_3,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kNoMsg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_3,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_WeSurrender,
									  kNoMsg,
									  kNoRandomMsg );

	switch( playerTeam->mGetCurrentCommState() )
	{
	case 1:
		playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
		break;

	case 2:
		playerTeam->mGotoCommState( mGetShipID(), kCommState_2 );
		break;

	case 3:
		playerTeam->mGotoCommState( mGetShipID(), kCommState_3 );
		break;

	default:
		break;
	}
}

void tEnemyShip1::mSetupShip()
{}
