/********************************************************************************************************\

	File Name:	EnemyShip2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShip2BaseState.h"
#include "ShipList_API.h"
#include "CommonDefs.h"


void tEnemyShip2BaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tEnemyShip2BaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tEnemyShip2BaseState::mBeginState\n");
}
void tEnemyShip2BaseState::mEndState()
{}

void tEnemyShip2BaseState::mOnDeath( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyShip2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyShip2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyShip2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyShip2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShip2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyShip2BaseState::mOnFlashingButtonPressed()
{}
void tEnemyShip2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyShip2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tEnemyShip2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tEnemyShip2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tEnemyShip2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tEnemyShip2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tEnemyShip2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tEnemyShip2BaseState::mOnHostChanged()
{}
void tEnemyShip2BaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tEnemyShip2BaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = CD.mCustomUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished:tEnemyShip2BaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tEnemyShip2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyShip2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

