//	<Name>	AllyShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "AllyShip.h"
#include "AllyShipBaseState.h"
#include "MissionText.h"
#include "Uni_8Hammer.h"

tClassAllocator<tAllyShip> gAllyShipAllocator;

void tAllyShip::mSetupState()
{
	mRegisterState( new tAllyShipBaseState() );
	mGotoState( typeid( tAllyShipBaseState ) );
}
void tAllyShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally1_msg );
	playerTeam->mRegisterCommMessage(	kCommState1, kNoStateChange, mGetShipID(),
										k_DEFENDMEFORREAL_Ally_btn, k_DEFENDME_Ally1_msg );

	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally2_msg );
	playerTeam->mRegisterCommMessage(	kCommState2, kNoStateChange, mGetShipID(),
										k_DEFENDMEFORREAL_Ally_btn, k_DEFENDME_Ally1_msg );

	playerTeam->mRegisterCommMessage(	kCommState3, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally3_msg );
	playerTeam->mRegisterCommMessage(	kCommState3, kNoStateChange, mGetShipID(),
										k_DEFENDMEFORREAL_Ally_btn, k_DEFENDME_Ally1_msg );

	playerTeam->mRegisterCommMessage(	kCommState4, kNoStateChange, mGetShipID(),
										k_HAIL_Ally_btn, k_HAIL_Ally4_msg );
	playerTeam->mRegisterCommMessage(	kCommState4, kNoStateChange, mGetShipID(),
										k_DEFENDME_Ally_btn, k_DEFENDME_Ally2_msg );

	playerTeam->mRegisterCommMessage(	kCommState5, kNoStateChange, mGetShipID(),
										k_ATTACKPLANET_Ally_btn, k_ATTACKPLANET_Ally1_msg );
	playerTeam->mRegisterCommMessage(	kCommState5, kNoStateChange, mGetShipID(),
										k_CAPTUREPLANET_Ally_btn, k_CAPTUREPLANET_Ally1_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}
void tAllyShip::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	int32	gridX, gridY;
	tTeamInfo*		planetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kEnemyTeam ) );
	Assert( planetTeam );
	if ( !planetTeam )
		return;
	tShipIterator	planet = planetTeam->mGetFirstShip();
	if ( *planet != NULL )
	{
		planet->mGetGridPosition( &gridX, &gridY );
		mTrackTacticalDistance( 60.0f, gridX, gridY );
	}
}


/*

	Purpose:	Changes the comm state of the allied ships according to the damage taken so far.

*/
void tAllyShip::mChangeCommState()
{
	float	hullDamage = mGetDamagePercent();
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	Assert( playerTeam );
	if ( !playerTeam )
		return;

	if ( gBaseVictory->mISCShipsDestroyed() < 10 )
	{
		if ( hullDamage == 0.0f )
			playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
		else if ( hullDamage < 30.0f )
			playerTeam->mGotoCommState( mGetShipID(), kCommState2 );
		else if ( hullDamage < 60.0f )
			playerTeam->mGotoCommState( mGetShipID(), kCommState3 );
		else
			playerTeam->mGotoCommState( mGetShipID(), kCommState4 );
	}
	else
	{
		playerTeam->mGotoCommState( mGetShipID(), kCommState5 );
	}
}