/********************************************************************************************************\

	File Name:	AllyShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyShipBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Uni_8Hammer.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAllyShipBaseState::mBeginState()
{}
void tAllyShipBaseState::mEndState()
{}

void tAllyShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAllyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tAllyShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	if ( !targetShip )
		return;
	tTeamInfo*	planetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kEnemyTeam ) );
	Assert( planetTeam );
	if ( !planetTeam )
		return;
	tShipIterator	planet = planetTeam->mGetFirstShip();

	if ( fChildActor->mGetCustomID() == targetShip->mGetCustomID() )
	{
		switch ( buttonID )
		{
		case k_DEFENDMEFORREAL_Ally_btn:
			{
				tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
				Assert( team );
				if ( !team )
					return;

				fChildActor->mDefendEntity( team->mCurrentlyControlledShip(), 50.0f, 10.0f, kAbsolutePriority );
			}
			break;

		case k_ATTACKPLANET_Ally_btn:
			{
				if ( *planet != NULL )
				{
					fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kPlayerNPCTeam ), static_cast< eTeamID >( kEnemyTeam ), kTeamAtWar, kGoalDestroy, 1.0 );
					fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kPlayerNPCTeam ), static_cast< eTeamID >( kEnemy2Team ), kTeamNeutral, kGoalIgnore, 1.0 );
					fChildActor->mSetShipTarget( *planet, kAbsolutePriority );
				}
			}
			break;

		case k_CAPTUREPLANET_Ally_btn:
			{
				if ( *planet != NULL )
				{
					fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kPlayerNPCTeam ), static_cast< eTeamID >( kEnemyTeam ), kTeamAtWar, kGoalCapture, 1.0 );
					fMissionInfo->mSetTeamRelations( static_cast< eTeamID >( kPlayerNPCTeam ), static_cast< eTeamID >( kEnemy2Team ), kTeamNeutral, kGoalIgnore, 1.0 );
					fChildActor->mSetShipTarget( *planet, kAbsolutePriority );
				}
			}
			break;
		}
	}
}
void tAllyShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if ( ( !damagedShip ) || ( !hostileShip ) )
		return;

	if ( fChildActor->mGetCustomID() == damagedShip->mGetCustomID() )
	{
		fChildActor->mChangeCommState();
		fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	}
}
void tAllyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAllyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAllyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyShipBaseState::mOnFlashingButtonPressed()
{}
void tAllyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAllyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAllyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tAllyShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAllyShipBaseState::mOnHostChanged()
{}
void tAllyShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tAllyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAllyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


