/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"


tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  For example:

	tBaseVictory::tBaseVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tBaseVictory::tBaseVictory() :	fPlanetCaptured( false ), fPlanetDestroyed( false ),
								fAllyShipsDestroyed( 0 ), fISCShipsDestroyed( 0 ),
								fISCWave( 0 ), fWarningApproach( false )
{}
tBaseVictory::tBaseVictory( tTeamInfo* team ) :	fPlanetCaptured( false ), fPlanetDestroyed( false ),
												fAllyShipsDestroyed( 0 ), fISCShipsDestroyed( 0 ),
												fISCWave( 0 ), fWarningApproach( false )
{}
/*

	HELPER NOTE:	Really, the only item in this function that you could change are the values passed into
					the tBaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.

*/
void tBaseVictory::mSetupState()
{
	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( 300, 225, 75, 0, -75 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );

	mSetTimedInterval( kTimerSecondsSet, kRandChatID, 20.0f );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives.

	bool
	tBaseVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tBaseVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/
//
//	Accessors.
//
bool tBaseVictory::mWarningApproach( void )
{
	return fWarningApproach;
}
bool tBaseVictory::mPlanetCaptured( void )
{
	return fPlanetCaptured;
}
bool tBaseVictory::mPlanetDestroyed( void )
{
	return fPlanetDestroyed;
}
int32 tBaseVictory::mAllyShipsDestroyed( void )
{
	return fAllyShipsDestroyed;
}
int32 tBaseVictory::mISCShipsDestroyed( void )
{
	return fISCShipsDestroyed;
}
int32 tBaseVictory::mISCWave( void )
{
	return fISCWave;
}

//
//	Modifiers.
//
void tBaseVictory::mSetWarningApproach( bool x )
{
	fWarningApproach = x;
}
void tBaseVictory::mSetPlanetCaptured( bool x )
{
	fPlanetCaptured = x;
}
void tBaseVictory::mSetPlanetDestroyed( bool x )
{
	fPlanetDestroyed = x;
}
void tBaseVictory::mIncreaseAllyShipsDestroyed( void )
{
	fAllyShipsDestroyed++;
}
void tBaseVictory::mIncreaseISCShipsDestroyed( void )
{
	fISCShipsDestroyed++;
}
void tBaseVictory::mIncreaseISCWave( void )
{
	fISCWave++;
}

