/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"


/*

	HELPER NOTE:	Inside the C-style comments, you will find an example of the accessor, modifier, and
					attributes for the victory condition objectives.  In this example, the player must
					become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );

	enum eTimerIDs
	{
		kRandChatID = 1000,
	};

	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/
	bool	mWarningApproach( void );
	bool	mPlanetCaptured( void );
	bool	mPlanetDestroyed( void );
	int32	mAllyShipsDestroyed( void );
	int32	mISCShipsDestroyed( void );
	int32	mISCWave( void );

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/
	void	mSetWarningApproach( bool x );
	void	mSetPlanetCaptured( bool x );
	void	mSetPlanetDestroyed( bool x );
	void	mIncreaseAllyShipsDestroyed( void );
	void	mIncreaseISCShipsDestroyed( void );
	void	mIncreaseISCWave( void );

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	bool	fWarningApproach;
	bool	fPlanetCaptured;
	bool	fPlanetDestroyed;
	int32	fAllyShipsDestroyed;
	int32	fISCShipsDestroyed;
	int32	fISCWave;
};

#endif



