/********************************************************************************************************\

	File Name:	EnemyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "EnemyTeam.h"
#include "EnemyTeamBaseState.h"
#include "Planet.h"
#include "ShipList_API.h"


tClassAllocator<tEnemyTeam> gEnemyTeamAllocator;

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tEnemyTeam::mSetupState()
{
	mRegisterState( new tEnemyTeamBaseState() );
	mGotoState( typeid( tEnemyTeamBaseState ) );
}

void tEnemyTeam::mSetupCommState()
{}

void tEnemyTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tEnemyTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL5";
        switch (race) {
            case kFederation: worldType = "F-PL5"; break;
            case kKlingon: worldType = "K-PL5"; break;
            case kRomulan: worldType = "R-PL5"; break;
            case kGorn: worldType = "G-PL5"; break;
            case kLyran: worldType = "L-PL5"; break;
            case kHydran: worldType = "H-PL5"; break;
            case kISC: worldType = "I-PL5"; break;
            case kMirak: worldType = "Z-PL5"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Planet chosen: %s\n", p1.shipCode.c_str());

			mCreateShip(
				typeid( tPlanet ), 
				p1.shipCode.c_str(), 
				kStartPosition_Z, 
				kNoMetaShipID,
				kPlanet, 
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tEnemyTeam::mCreateShipsForTeam\n");
}

void tEnemyTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tEnemyTeam::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tPlanet ), 
		"PL5", 
		kStartPosition_Z, 
		kNoMetaShipID,
		kPlanet, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tEnemyTeam::mOldCreateShipsForTeam\n");
}

void tEnemyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tEnemyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tEnemyTeam", shipScriptDescription );
}
