/********************************************************************************************************\

	File Name:	ISCCruiserBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ISCCruiserBaseState.h"
#include "ShipList_API.h"
#include "Uni_8Hammer.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tISCCruiserBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tAllianceListeningPostShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tAllianceListeningPostShipBaseState::mBeginState\n");
}
void tISCCruiserBaseState::mEndState()
{}

void tISCCruiserBaseState::mOnDeath( tShipInfo* ship )
{}
void tISCCruiserBaseState::mOnCapture( tShipInfo* ship )
{}
void tISCCruiserBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tISCCruiserBaseState::mAtDistance( tShipInfo* ship )
{}
void tISCCruiserBaseState::mAtDestination( tShipInfo* ship )
{}
void tISCCruiserBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tISCCruiserBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tISCCruiserBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tISCCruiserBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tISCCruiserBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tISCCruiserBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tISCCruiserBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tISCCruiserBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCCruiserBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCCruiserBaseState::mOnFlashingButtonPressed()
{}
void tISCCruiserBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tISCCruiserBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tISCCruiserBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tISCCruiserBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tISCCruiserBaseState::mOnHostChanged()
{}
void tISCCruiserBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) 
    {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tAllianceListeningPostBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tAllianceListeningPostBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tISCCruiserBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tISCCruiserBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}


