/********************************************************************************************************\

	File Name:	BaseShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BaseShipBaseState.h"
#include "MissionText.h"
#include "Uni_8Massacre.h"
#include "ShipList_API.h"


tBaseShipBaseState::tBaseShipBaseState()
{
	fPlayedBaseMsg = false;
	fPlayedCriticalMsg = false;
}

void tBaseShipBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tBaseShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tBaseShipBaseState::mBeginState\n");


	fChildActor->mSetShipCallbackEvents( kNotifyDamage );
}

void tBaseShipBaseState::mEndState()
{}

void tBaseShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( !damagedShip ) return;

	fChildActor->mSetShipCallbackEvents( kNotifyDamage );

	if( ( fChildActor->mGetDamagePercent() >= 20.0f ) && ( !fPlayedBaseMsg ) )
	{
		fPlayedBaseMsg = true;
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>(kPlayerTeam), kBaseTakingFire_msg );
	}

	if( ( fChildActor->mGetDamagePercent() >= 40.0f ) && ( !fPlayedCriticalMsg ) )
	{
		fPlayedCriticalMsg = true;
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kBaseTakingHeavy_msg );
	}
}

void tBaseShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{
		
}

void tBaseShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tBaseShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tBaseShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tBaseShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tBaseShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tBaseShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}

void tBaseShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBaseShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBaseShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBaseShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBaseShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tBaseShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBaseShipBaseState::mOnFlashingButtonPressed()
{}
void tBaseShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBaseShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tBaseShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tBaseShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}

void tBaseShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tBaseShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tBaseShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBaseShipBaseState::mOnHostChanged()
{}
void tBaseShipBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tBaseShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tBaseShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tBaseShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBaseShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

