/********************************************************************************************************\

	File Name:	FreighterShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FreighterShipBaseState.h"
#include "Uni_8Massacre.h"
#include "MissionText.h"
#include "ShipList_API.h"

void tFreighterShipBaseState::mBeginState()
{
	fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );

	gST.mDebug_fprintf("--- Starting: tFreighterShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tFreighterShipBaseState::mBeginState\n");
}

void tFreighterShipBaseState::mAtDestination( tShipInfo* ship )
{
}

void tFreighterShipBaseState::mEndState()
{}

void tFreighterShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tFreighterShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tFreighterShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tFreighterShipBaseState::mAtDistance( tShipInfo* ship )
{}

void tFreighterShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFreighterShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFreighterShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFreighterShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFreighterShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFreighterShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFreighterShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tFreighterShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFreighterShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFreighterShipBaseState::mOnFlashingButtonPressed()
{}
void tFreighterShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFreighterShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tFreighterShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tFreighterShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tFreighterShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tFreighterShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tFreighterShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tFreighterShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFreighterShipBaseState::mOnHostChanged()
{}
void tFreighterShipBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tFreighterShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tFreighterShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tFreighterShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFreighterShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

