/********************************************************************************************************\

	File Name:	FreighterTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "FreighterTeam.h"
#include "FreighterTeamBaseState.h"
#include "Uni_8Massacre.h"
#include "MissionText.h"
#include "FreighterShip.h"
#include "ShipList_API.h"

tClassAllocator<tFreighterTeam> gFreighterTeamAllocator;

void tFreighterTeam::mSetupState()
{
	mRegisterState( new tFreighterTeamBaseState() );
	mGotoState( typeid( tFreighterTeamBaseState ) );
}

void tFreighterTeam::mSetupCommState()
{}

void tFreighterTeam::mCreateShipsForTeam()
{}

void tFreighterTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tFreighterTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tFreighterTeam", shipScriptDescription );
}

void tFreighterTeam::mCreateFreighter()
{
	gST.mDebug_fprintf("--- Entering: tFreighterTeam::mCreateFreighter\n");

    gST.mInitializeSL();
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
        if( !playerTeam )
                return;

        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

		ShipList freighter_sl = sl;
		{
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassLargeFreighter);
        fShiplistCount = freighter_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for Freighter classes filter completed. ships: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  cargoRolesList;
        cargoRolesList.push_back(kCargo);
        fShiplistCount = freighter_sl.Subset(cargoRolesList);
        gST.mDebug_fprintf("subset for cargo eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(freighter_sl);
        }

		if ( freighter_sl.size() > 0 ) 
		{
            Ship freighter1;
            freighter_sl.SelectRandomShip(freighter1);
            gST.mDebug_fprintf("freighter1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                freighter1.shipCode.c_str(), freighter1.bpv, freighter1.yearFirstAvail, freighter1.yearLastAvail);
            gST.mTrackOrions( freighter1 );

            mCreateShip(
                typeid( tFreighterShip ),
                freighter1.shipCode.c_str(),
				kStartPosition_I,
				kNoMetaShipID,
				kFreighter1,
				0,0,0,0,
				NULL,
				kDefaultShipOptions );
		} else {
			mOldCreateFreighter();
		}
	} else {
		mOldCreateFreighter();
	}

	gST.mDebug_fprintf("--- Finished: tFreighterTeam::mCreateFreighter\n");
}

void tFreighterTeam::mOldCreateFreighter()
{
	gST.mDebug_fprintf("--- Entering: tFreighterTeam::mOldCreateFreighter\n");

	char *szShipString;
	switch( mGetRace() )
	{
	case kLyran:
		szShipString = "L-FLPh";
		break;

	case kKlingon:
		szShipString = "K-FLPh";
		break;

	case kHydran:
		szShipString = "H-FLPh";
		break;

	default:
		szShipString = "F-FLPh";
		break;
	}

	mCreateShip( typeid( tFreighterShip ),
				 szShipString,
				 kStartPosition_I,
				 kNoMetaShipID,
				 kFreighter1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tFreighterTeam::mOldCreateFreighter\n");
}
