/********************************************************************************************************\

	File Name:	FriendlyShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FriendlyShipBaseState.h"
#include "ShipList_API.h"


void tFriendlyShipBaseState::mBeginState()
{
	fChildActor->mSetShipThrust( 20 );

	gST.mDebug_fprintf("--- Starting: tFriendlyShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tFriendlyShipBaseState::mBeginState\n");
}

void tFriendlyShipBaseState::mEndState()
{}

void tFriendlyShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFriendlyShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFriendlyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFriendlyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFriendlyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFriendlyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFriendlyShipBaseState::mOnFlashingButtonPressed()
{}
void tFriendlyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFriendlyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tFriendlyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tFriendlyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tFriendlyShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tFriendlyShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tFriendlyShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFriendlyShipBaseState::mOnHostChanged()
{}
void tFriendlyShipBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tFriendlyShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tFriendlyShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tFriendlyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFriendlyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

