/********************************************************************************************************\

	File Name:	InvasionShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "InvasionShipBaseState.h"
#include "Uni_8Massacre.h"
#include "MissionText.h"
#include "InvasionTeam.h"
#include "ShipList_API.h"

void tInvasionShipBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tInvasionShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tInvasionShipBaseState::mBeginState\n");
}

void tInvasionShipBaseState::mEndState()
{}

void tInvasionShipBaseState::mAtDestination( tShipInfo* ship )
{}

void tInvasionShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tInvasionShipBaseState::mAtDistance( tShipInfo* ship )
{}

void tInvasionShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tInvasionShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tInvasionShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tInvasionShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tInvasionShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tInvasionShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tInvasionShipBaseState::mOnFlashingButtonPressed()
{}
void tInvasionShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tInvasionShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tInvasionShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tInvasionShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tInvasionShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tInvasionShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tInvasionShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tInvasionShipBaseState::mOnHostChanged()
{}
void tInvasionShipBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tInvasionShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tInvasionShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tInvasionShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tInvasionShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

