/********************************************************************************************************\

	File Name:	InvasionTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "InvasionTeam.h"
#include "InvasionTeamBaseState.h"
#include "InvasionShip.h"
#include "ShipList_API.h"

tClassAllocator<tInvasionTeam> gInvasionTeamAllocator;

void tInvasionTeam::mSetupState()
{
	mRegisterState( new tInvasionTeamBaseState() );
	mGotoState( typeid( tInvasionTeamBaseState ) );
}

void tInvasionTeam::mSetupCommState()
{}

void tInvasionTeam::mCreateShipsForTeam()
{}

void tInvasionTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tInvasionTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tInvasionTeam", shipScriptDescription );
}

void tInvasionTeam::mCreateInvasionForce()
{
	gST.mDebug_fprintf("--- Entering: tInvasionTeam::mCreateInvasionForce\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    {
    // crap. We need to strip out WYN ships because we're choosing SPECIALs.  FS, 20121018
    std::list< eEnhancedRoles >  WYNList;
    WYNList.push_back(kRoleWYN);
    int32 fShiplistCount = gST.narrowed_sl.Subset(WYNList, false);
    gST.mDebug_fprintf("stripping out WYN ships completed. ships: %d\n", fShiplistCount);
    }

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        std::string InvasionShip1Type = gST.mImprovedHardcodedShip( "Z-MCG", mGetRace(), kEClassLightCruiser, kEClassHeavyWarDestroyer, kCommando, false );

        mCreateShip( typeid( tInvasionShip ),
                     InvasionShip1Type.c_str(),
					 kStartPosition_H,
					 kNoMetaShipID,
					 kInvasion1,
					 0,0,0,0,
					 NULL,
					 kDefaultShipOptions );
    } else {
        mOldCreateInvasionForce();
    }

	gST.mDebug_fprintf("--- Finished: tInvasionTeam::mCreateInvasionForce\n");
}

void tInvasionTeam::mOldCreateInvasionForce()
{
	gST.mDebug_fprintf("--- Finished: tInvasionTeam::mOldCreateInvasionForce\n");

	mCreateShip( typeid( tInvasionShip ),
				 "Z-MCG",
				 kStartPosition_H,
				 kNoMetaShipID,
				 kInvasion1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tInvasionTeam::mOldCreateInvasionForce\n");
}
