/********************************************************************************************************\

	File Name:	MirakShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakShipBaseState.h"
#include "ShipList_API.h"


void tMirakShipBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tMirakShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tMirakShipBaseState::mBeginState\n");
}
void tMirakShipBaseState::mEndState()
{}

void tMirakShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMirakShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tMirakShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMirakShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMirakShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMirakShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMirakShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakShipBaseState::mOnFlashingButtonPressed()
{}
void tMirakShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMirakShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMirakShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMirakShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMirakShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMirakShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMirakShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMirakShipBaseState::mOnHostChanged()
{}
void tMirakShipBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMirakShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMirakShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMirakShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMirakShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

