/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth mInvasionForceDestroyed();
	iTruth mPlanetInvaded();
	iTruth mTransportEscaped();
	iTruth mBaseDestroyed();
	iTruth mTransportDestroyed();
	iTruth mTransportLaunched();
	iTruth	mKilledEnemyBeforeLaunch();
	iTruth	mBaseCaptured();
	iTruth	mKilledAllEnemies();

	void mSetInvasionForceDestroyed();
	void mSetTransportEscaped();
	void mSetBaseDestroyed();
	void mSetTransportDestroyed();
	void mSetTransportLaunched();
	void mSetPlanetInvaded();
	void mSetKilledEnemyBeforeLaunch();
	void mSetBaseCaptured();
	void mSetKilledAllEnemies();

	iTruth	mDied()							{ return fDied; }
	void	mSetDied()						{ fDied = true; }

	iTruth	mEnemiesArrived()				{ return fEnemyReinforcementsArrived; }
	void	mSetEnemiesArrived()			{ fEnemyReinforcementsArrived = true; }

protected:

	iTruth	fTransportLaunched;
	iTruth	fTransportDestroyed;
	iTruth	fTransportEscaped;
	iTruth	fBaseDestroyed;
	iTruth	fPlanetInvaded;
	iTruth	fInvasionForceDestroyed;
	iTruth	fKilledEnemyBeforeLaunch;
	iTruth	fBaseCaptured;
	iTruth	fDied;
	iTruth	fEnemyReinforcementsArrived;
	iTruth  fKilledAllEnemies;
};

#endif
