/********************************************************************************************************\

	File Name:	EnemyStarbaseBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyStarbaseBaseState.h"
#include "EnemyTeam.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tEnemyStarbaseBaseState::mBeginState()
{}
void tEnemyStarbaseBaseState::mEndState()
{}

void tEnemyStarbaseBaseState::mOnDeath( tShipInfo* ship )
{
	if ( !ship )
		return;
	if( ship->mGetCustomID() == tEnemyTeam::kEnemyStarBase)
	{
		tTeamInfo* team = fMissionInfo->mGetTeamHandle( ship->mGetTeam() );
		if ( team )
		{
			team->mSetTimedInterval(kTimerKillTimer, tEnemyTeam::kShieldTimerID, 0 );
		}
		// do whatever for starbase destruction
	
	}
}
void tEnemyStarbaseBaseState::mOnCapture( tShipInfo* ship )
{}
void tEnemyStarbaseBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tEnemyStarbaseBaseState::mAtDistance( tShipInfo* ship )
{}
void tEnemyStarbaseBaseState::mAtDestination( tShipInfo* ship )
{}
void tEnemyStarbaseBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tEnemyStarbaseBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tEnemyStarbaseBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tEnemyStarbaseBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tEnemyStarbaseBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tEnemyStarbaseBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tEnemyStarbaseBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tEnemyStarbaseBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyStarbaseBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tEnemyStarbaseBaseState::mOnFlashingButtonPressed()
{}
void tEnemyStarbaseBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tEnemyStarbaseBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tEnemyStarbaseBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tEnemyStarbaseBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tEnemyStarbaseBaseState::mOnHostChanged()
{}
void tEnemyStarbaseBaseState::mOnTimedInterval( int32 timerID )
{}
void tEnemyStarbaseBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tEnemyStarbaseBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

