/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
#ifdef _GERMAN

	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_9A1Tyr",

	// *******************
	// Briefing Messages
	// *******************
	"Einsatzbesprechung: Greifen Sie mit der Hilfe von vier alliierten Schiffen eine wichtige ISK-Raumstation an, und zerstren Sie sie." \
	"Um ihnen Befehle zu geben, verwenden Sie die Kommunikationskonsole.",

	// kFedBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie befinden sich im Heimatsektor des ISKs. Wir " \
	"freuen uns, dass Sie uns bei dem Kampf untersttzen knnen.\n\n" \
	"Krieg ist ein unglaublich komplizierter Weg, um " \
	"zu einem einfachen Ende zu gelangen. Aber die Komplikationen sind " \
	"beseitigt, was bleibt, ist einfach. Sie haben eine einfache " \
	"Aufgabe. Im Rahmen der Operation 'Tyr' werden Sie " \
	"dem ISK mit einem schnellen Hieb die Hand abschlagen. Ihr " \
	"Primrziel ist die ISK-Raumbasis. Zerstren Sie sie.\n\n" \
	"Das ISK zieht seine Truppen zusammen, " \
	"und macht ein eindrucksvolles Arsenal an Verteidigungsmanahmen bereit." \
	"Aber Sie werden sich diesem Kampf nicht allein stellen mssen. " \
	"Arbeiten Sie mit unseren Verbndeten zusammen. Sie haben den Oberbefehl ber " \
	"diese Operation.\n\n" \
	"Wenn sie abgeschlossen ist, haben wir dem ISK hoffentlich " \
	"seine wohlverdiente Lektion in Bescheidenheit erteilt und sind " \
	"in der Lage, friedliche Beziehungen zu ihm aufzubauen. Diese " \
	"Offensive hat einen entscheidenden Vorteil - sie hat die " \
	"galaktischen Mchte in einer Weise geeint, die zuvor niemals denkbar zu sein schien. " \
	"Es wre schn, wenn diese Allianz Bestand htte.\n\n"  \
	"Es hngt nun alles von Ihnen ab. Viel Glck. Wegtreten.\n\n",


	// kKlingonBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie befinden sich im Heimatsektor des ISKs. Jetzt werden wir ihnen die Rechnung prsentieren.\n\n" \
	"Mit der Operation 'Tyr' verfolgen wir das Ziel, die wichtigsten ISK-Basen " \
	"kampfunfhig zu machen und ihrem Befriedungsprogramm den Rest zu geben. "\
	"Ihr Primrziel ist die ISK-Raumbasis. Sie wissen, was " \
	"Sie zu tun haben. Ich erwarte eine spektakulre Zerstrung, " \
	"sogar nach Ihren hohen Standards.\n\n " \
	"Das ISK zieht seine Truppen zusammen, und die Raumbasis " \
	"wird bis aufs Messer verteidigt. Aber Sie werden sich diesem Kampf nicht allein " \
	"stellen mssen. Arbeiten Sie mit unseren Verbndeten zusammen. Sie haben den Oberbefehl ber " \
	"diese Operation.\n\n" \
	"Wenn sie vorbei ist, wird auch das ISK auf der langen Liste der " \
	"Vlker stehen, die vom klingonischen Imperium gedemtigt wurden. Ich kann es kaum erwarten.\n\n" \
	"Es hngt nun alles von Ihnen ab. Viel Glck. Wegtreten.\n\n",

	// kRomulanBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie befinden sich im Heimatsektor des ISKs. Operation 'Tyr' " \
	"kann nun beginnen.\n\n" \
	"Operation 'Tyr' ist eine gemeinsame Offensive von " \
	"fnf alliierten Streitkrften. Ihr Primrziel ist die ISK-Raumbasis " \
	"in [SYSTEM_NAME]. Legen Sie sie in Schutt und Asche.\n\n" \
	"Das ISK zieht seine Truppen zusammen und verfgt " \
	"ber ein eindrucksvolles Arsenal an Verteidigungseinrichtungen. Aber ich erwarte Siege, " \
	"keine Entschuldigungen.\n\n" \
	"Wenn diese Operation abgeschlossen ist, wird die Kontrolle des ISKs ber den " \
	"Sektor ein Ende haben, und die restlichen Flottenverbnde werden " \
	"ohne eine zentrale Befehlsleitstelle agieren mssen. Es sollte uns gelingen, " \
	"den Sektor schnell von ihnen zu befreien.\n\n" \
	"Es hngt nun alles von Ihnen ab. Viel Glck. Wegtreten.\n\n",

	// kLyranBriefing_msg
	">Zerstren Sie die ISK-Raumstation<"
	"Sie befinden sich im Heimatsektor des ISKs. Operation 'Tyr' kann nun beginnen.\n\n" \
	"Unser Primrziel ist die ISK-Raumbasis in [SYSTEM_NAME]. " \
	"Legen Sie sie in Schutt und Asche.\n\n" \
	"Das ISK zieht seine Truppen zusammen und verfgt " \
	"ber ein eindrucksvolles Arsenal an Verteidigungseinrichtungen. Aber ich bin berzeugt, " \
	"dass Sie Erfolg haben werden. Das Oberhaupt Ihres Clans hat uns versichert, dass " \
	"Sie nicht versagen werden. Mgen die Glcksgtter Ihres Hauses " \
	"mit Ihnen sein.\n\n" \
	"Wenn diese Operation abgeschlossen ist, wird die Kontrolle des ISKs ber " \
	"den Sektor ein Ende haben, und die restlichen Flottenverbnde werden " \
	"ohne eine zentrale Befehlsleitstelle agieren mssen. " \
	"Ein Sieg innerhalb weniger Wochen ist uns sicher.\n\n" \
	"Es hngt nun alles von Dir ab. Viel Glck. Wegtreten.\n\n",

	// kHydranBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie befinden sich im Heimatsektor des ISKs. Sehr gut.\n\n" \
	"Operation 'Tyr' ist eine gemeinsame Offensive von " \
	"fnf alliierten Streitkrften. Ihr Primrziel ist die " \
	"ISK-Raumbasis in [SYSTEM_NAME]. Zerstren Sie sie, und " \
	"Sie knnten uns keine grere Freude bereiten.\n\n" \
	"Das ISK zieht seine Truppen zusammen und " \
	"verfgt ber ein eindrucksvolles Arsenal an Verteidigungseinrichtungen. Aber auch Ihnen " \
	"steht eine groe Flotte zur Seite. Es sollte ein " \
	"guter Kampf werden, bei dem alles zermalmt wird.\n\n" \
	"Wenn diese Operation abgeschlossen ist, wird die Kontrolle des ISKs ber " \
	"den Sektor ein Ende haben, und die restlichen Flottenverbnde werden " \
	"ohne eine zentrale Befehlsleitstelle " \
	"agieren mssen. Das bedeutet, Sie knnen " \
	"sich in nchster Zukunft auf ein paar wirklich spektakulre " \
	"Siegesfeiern einstellen.\n\n" \
	"Sie sind das dritte Standbein dieser Offensive. " \
	"Knicken Sie nicht ein, und zgern Sie nicht. Wegtreten.\n\n",

	// kGornBriefing_msg
	">Zerstren Sie ISK-Raumstation<" \
	"Sie befinden sich im Heimatsektor des ISKs. Operation 'Tyr' kann nun beginnen.\n\n" \
	"Ihr Primrziel ist die ISK-Raumbasis in [SYSTEM_NAME]. " \
	"Legen Sie sie in Schutt und Asche.\n\n" \
	"Das ISK zieht seine Truppen zusammen und verfgt ber ein eindrucksvolles " \
	"Arsenal an Verteidigungseinrichtungen. Aber der Tag, an dem ein Gorn nicht " \
	"seine Beute macht gegen einen Gegner, der mit dem Rcken " \
	"zur Wand steht, wird niemals kommen (es erwhne bitte niemand diesen einen Fderationscaptain).\n\n" \
	"Wenn diese Operation abgeschlossen ist, wird die Kontrolle des ISKs ber den Sektor " \
	"ein Ende haben, und die restlichen Flottenverbnde werden " \
	"ohne eine zentrale Befehlsleitstelle agieren mssen. Dann werden die Gorn " \
	"die Allianz fhren, wenn das Fleisch von ihren Knochen gepickt und " \
	"ihre Eier in den Staub getreten werden.\n\n" \
	"Es hngt nun alles von Ihnen ab. Viel Glck. Wegtreten.\n\n",

	// kISCBriefing_msg placeholder
	"///Platzhalter fr ISK-Einsatzbesprechung",

	// kMirakBriefing_msg
	">Zerstren Sie die ISK-Raumstation<" \
	"Sie befinden sich im Heimatsektor des ISKs. Nun werden wir ihnen zeigen, " \
	"wie sehr wir ihre Einmischung in galaktische " \
	"Angelegenheiten zu schtzen wussten.\n\n Operation 'Tyr' ist eine gemeinsame Offensive von "\
	"fnf alliierten Streitkrften. Ihr Primrziel ist die ISK-Raumbasis in " \
	"[SYSTEM_NAME]. Lassen Sie sie in Flammen aufgehen. Machen Sie sie dem Erdboden gleich.\n\n" \
	"Das ISK zieht seine Truppen zusammen und verfgt " \
	"ber ein eindrucksvolles Arsenal an Verteidigungseinrichtungen. Aber ich erwarte Siege, " \
	"und keine Entschuldigungen.\n\nWenn diese Operation abgeschlossen ist, wird die Kontrolle des ISKs ber " \
	"den Sektor ein Ende haben, und die " \
	"restlichen Flottenverbnde werden ohne eine zentrale " \
	"Befehlsleitstelle agieren mssen. Dann sollte es uns mglich sein, den Sektor schnell von ihnen zu befreien.\n\n" \
	"Dies war eine lange Jagd, und wir haben zu viel " \
	"in die Beute investiert. Nun aber ist ein Ende in Sicht, " \
	"und wir knnen uns wieder unserem Rachefeldzug gegen die Lyraner widmen. " \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"///Default Start Message: ///Report if this shows up.\n\n",
	// kFedStart_msg
	"[PLAYER_NAME]: Logbuch des Captains, Sternendatum [STARDATE]. " \
	"Jetzt erfolgt der entscheidende Schlag.\n\n[2]" \
	"Wenn wir die ISK-Basis zerstren knnen, zerstren wir damit " \
	"auch die Organisation des ISKs und sind in der Lage, diesen Krieg " \
	"zu beenden. Wenn wir versagen, wird das ISK seine Streitkrfte  " \
	"erneut konsolidieren, und es wird beinahe unmglich sein, sie zurckzudrngen.\n\n[4] " \
	"Diese Gelegenheit wird so schnell nicht wieder kommen, daher bin ich " \
	"fest entschlossen, sie zu nutzen.\n\n",

	//	kKlingonStart_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Die Bedrohung durch das ISK " \
	"wird bald ein Ende finden. Ich muss lediglich " \
	"ihre Raumbasis zerstren, und der Sieg wird fast sicher unser sein.\n\n[2]" \
	"Es war ein langer und harter Krieg, aber ein solcher Kampf lsst " \
	"den Siegestrank nur um so ser schmecken.\n\n",

	//	kRomulanStart_msg,
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. " \
	"Das romulanische Imperium steht kurz vor dem Sieg. Nach einem so " \
	"langen und harten Krieg kann ich mich eines gewissen Hochgefhls nicht erwehren.\n\n", 

	//	kLyranStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. " \
	"Unser Ziel ist die Zerstrung der wichtigsten ISK-Raumstation in [SYSTEM_NAME].\n\n[2]" \
	"Mit deren Vernichtung ist auch die zentrale Befehlsleitstelle des ISKs " \
	"zerschlagen, und wir sind in der Lage, sie aus dem Quadranten zu jagen.\n\n",

	//	kHydranStart_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Unser Ziel ist die " \
	"Zerstrung der wichtigsten ISK-Raumstation in [SYSTEM_NAME]. " \
	"Mit deren Vernichtung ist auch die zentrale Befehlsleitstelle des ISKs " \
	"zerschlagen, und wir werden ihnen die Demtigungen zurckzahlen knnen, die sie " \
	"dem hydranischen Volk zugefgt haben.\n\n",

	//	kGornStart_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Unsere Mission besteht darin, " \
	"die wichtigste ISK-Raumstation in [SYSTEM_NAME] zu zerstren. Mit deren " \
	"Vernichtung ist auch die zentrale Befehlsleitstelle des ISKs zerschlagen, und " \
	"die Allianz wird leichtes Spiel mit ihnen haben.\n\n",

	//	kISCStart_msg,		// placeholder
	"",
	//	kMirakStart_msg
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Unser Ziel ist die " \
	"Zerstrung der wichtigsten ISK-Raumstation in [SYSTEM_NAME]. " \
	"Mit deren Vernichtung ist auch die zentrale Befehlsleitstelle des ISKs " \
	"zerschlagen, und wir werden das ISK bis zur Erschpfung hetzen und ihre Schdel als Trophen nach Hause tragen.",


	//
	//	Debriefing messages
	//
	
	// kDebBaseDestroyedTrue_msg
	"Gute Arbeit. Die ISK-Basis wurde zerstrt. Viele Schiffe ihrer " \
	"Befriedungsflotte ziehen sich bereits in den vom ISK " \
	"kontrollierten Raum hinter der Grenze zum Gebiet der Romulaner und Gorn zurck. Mglicherweise mssen wir " \
	"in naher Zukunft einen Bestrafungsfeldzug starten. " \
	"Aber darber wird die Allianz noch entscheiden mssen.\n\n" \
	"Unser nchster Schritt besteht darin, uns einig zu werden, was wir mit den " \
	"Frsprechern des ISKs, den Organiern, tun werden. Es ist noch nicht vorbei.\n\n",

	// kDebBaseDestroyedFalse_msg
	"Die ISK-Basis steht noch und wird verstrkt. " \
	"Die Alliierten zgern, wenn es um eine neue Offensive " \
	"im [SYSTEM_NAME]-System geht. Wir wrden weitere Angriffe befrworten, " \
	"aber Sie wren auf sich allein gestellt. Das kme wahrscheinlich einem Selbstmord gleich.\n\n",

	// kDebDismissed_msg
	"Wegtreten.\n\n",
	//
	//	Comm buttons
	//
	// kHailAlly_btn
	"RUFEN",
	// kRequestAssistance_btn
	"MICH UNTERSTTZEN",
	// kDefendMe_btn
	"MICH VERTEIDIGEN",
	// kAttackMyTarget_btn,
	"MEIN ZIEL ANGREIFEN",

	// kDemandSurrender_btn
	"KAPITULATION FORDERN",
	// kSetAsTarget_btn
	"ALLIIERTES ZIEL ERFASSEN",
	// kLowerShields_btn
	"SCHILDE SENKEN",
	//
	//	Comm messages
	//
	// kCommDummy_msg
	"",
	// kCommUtility_msg
	"///Un-intialized Utility Message",
	// kNoAnswer_msg
	"Kommunikationsoffizier: Sie antworten nicht auf unsere Rufe.",

	// kISCRandom1_msg
	"Commander des ISK: Primitivlingen habe ich nichts zu sagen.",
	// kISCRandom2_msg
	"Commander des ISK: Sie werden den Traum vom Frieden nicht mit Waffengewalt besiegen.",
	// kISCRandom3_msg
	"Commander des ISK: Sie wollen Zerstrung? Bastard, dann sollen Sie sie haben!",
	// kISCRandom4_msg
	"Commander des ISK: Sagen Sie Ihrem Befehlshaber, Ihrer Crew und Ihrer Brut, dass das ISK nicht vor Primitivlingen kapituliert!",
	// kISCRandom5_msg
	"Commander des ISK: Ich werde nicht zusehen, wie Sie Ihr Gemetzel abhalten!",
	// kISCRandom6_msg
	"Commander des ISK: Dieser Wahnsinn muss ein Ende finden, aber nicht zu Ihren Bedingungen! Wir sagen Nein!",


	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden\n\n",

	// kDefeat_msg,
	"Niederlage\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Wir sind da. Wir greifen wirklich die ISK-Basis an.\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur: Je schneller wir diese Basis ausheben knnen, desto besser.\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Ich habe die Entertrupps in stndiger Bereitschaft gehalten, aber ich bezweifle, dass diese Schlacht mit unseren Transportern geschlagen werden kann.\n\n",
	
	//	kRandChat4_msg,
	"Kommunikationsoffizier: Alles ruhig da drauen. Sie wissen, dass wir kommen.\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Diese Raumbasis ist schwer bewaffnet. Vielleicht sollten wir erst unsere Verbndeten vorschicken, um sie weichzuklopfen.\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Die Sensoren registrieren einen Dreadnought und ein Schlachtschiff in diesem Sektor. Das sieht nicht gut aus.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//
	// kFedRace_txt
	"Fderation", 
	// kKlingonRace_txt
	"Klingonen", 
	// kRomulanRace_txt
	"Romulaner",
	// kLyranRace_txt
	"Lyraner", 
	// kHydranRace_txt
	"Hydraner", 
	// kGornRace_txt
	"Gorn", 
	// kISCRace_txt
	"ISK",
	// kMirakRace_txt
	"Miraker",
	// kOrionRace_txt
	"Orionen",  
	// kTholianRace_txt
	"Tholianer",
	//kLDRRace_txt
	"LDR",
	//kWYNRace_txt
	"WYN",
	//kJindarianRace_txt
	"Jindarianer",	 

//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Operation Tyr",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,
	"Mission eingebt",

#else		////////////////////////////////////////////////////////////////////////////////////////////
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_9A1Tyr",

	// *******************
	// Briefing Messages
	// *******************
	"Briefing: Attack and destroy a key ISC Starbase, with the help of four allied vessels." \
	"Issue commands to them using the comm panel.",

	// kFedBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. We're " \
	"glad you could join the fight.\n\n" \
	"War is an incredibly complicated way to " \
	"reach a simple end. The complications are " \
	"over, leaving simplicity. Yours is a simple " \
	"task. In Operation Tyr, you will cut off the " \
	"hand of the ISC with one swift stroke. Your " \
	"primary target is the ISC starbase. Destroy it.\n\n" \
	"The ISC is scrambling its reinforcements, " \
	"and it's readying an impressive array of defenses." \
	"But you won't be entering this fight alone. " \
	"Use your allies well. You're in command of " \
	"the operation.\n\n" \
	"Hopefully when this is over, we'll have taught " \
	"the ISC a well-deserved lesson in humility and be " \
	"ready to begin peaceful relations with them. This " \
	"offensive has had one benefit - it's united the " \
	"galactic powers in a way they've never been before. " \
	"It'd be nice if that alliance lasted.\n\n"  \
	"Everything rest on your shoulders. Good luck.\n\nDismissed.\n\n",


	// kKlingonBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Now they will pay.\n\n" \
	"In Operation Tyr, we aim to destroy the major ISC bases " \
	"of operation and cripple their pacification program. "\
	"Your primary target is the ISC starbase. You know what " \
	"to do. I expect the destruction to be spectacular, " \
	"even by your high standards.\n\n " \
	"The ISC is scrambling its reinforcements, and the base " \
	"is heavily defended. But you won't be entering this " \
	"fight alone. Use your allies well. You're in command " \
	"of the operation.\n\n" \
	"When this is over, the ISC will join a long list of " \
	"races humbled by the Klingon empire. I can hardly wait.\n\n" \
	"Everything rests on your shoulders. Good luck.\n\nDismissed.\n\n",

	// kRomulanBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Operation Tyr " \
	"can now begin.\n\n" \
	"In Operation Tyr is an alliance offensive involving " \
	"five allied forces. Its primary target is the ISC starbase " \
	"in [SYSTEM_NAME]. Destroy it completely.\n\n" \
	"The ISC is scrambling its reinforcements, and has " \
	"an impressive array of defenses. But I expect victory, " \
	"not excuses.\n\n" \
	"When this operation is complete, ISC control over the " \
	"sector will be broken and their remaining fleets will " \
	"be fighting without a central command. We should be able " \
	"to mop them up quickly.\n\n" \
	"Everything rests on your shoulders. Good luck.\n\nDismissed.\n\n",

	// kLyranBriefing_msg
	">Destroy the ISC starbase<"
	"You've entered the ISC home sector. Operation Tyr can now begin.\n\n" \
	"Our primary target is the ISC starbase in [SYSTEM_NAME]. " \
	"Destroy it completely.\n\n" \
	"The ISC is scrambling its reinforcements, and has an " \
	"impressive array of defenses. But I am confident of " \
	"your success. Your clan leader has assured us that " \
	"you will not fail. The fortunes of your house will " \
	"ride with you.\n\n" \
	"When this operation is complete, ISC control over " \
	"the sector will be broken and their remaining fleets " \
	"will be fighting without a central command. " \
	"Victory will be certain within weeks.\n\n" \
	"Everything rests on your shoulders. Good luck.\n\nDismissed.\n\n",

	// kHydranBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Very good.\n\n" \
	"Operation Tyr is an alliance offensive involving " \
	"five allied forces. Its primary target is the " \
	"ISC starbase in [SYSTEM_NAME]. Destroy it, and " \
	"we'll be very happy.\n\n" \
	"The ISC is scrambling its reinforcements, and " \
	"has an impressive array of defenses. But you " \
	"also have a very large fleet. It should be a " \
	"smashing good fight.\n\n" \
	"When this operation is complete, ISC control " \
	"over the sector will be broken and their " \
	"remaining fleets will be fighting without " \
	"a central command. That means you can expect to " \
	"attend some rather spectacular victory parties " \
	"in the near future.\n\n" \
	"You are the third leg on which this offensive stands. " \
	"Do not bend or falter. Dismissed.\n\n",

	// kGornBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Operation Tyr can now begin.\n\n" \
	"Your primary target is the ISC starbase in [SYSTEM_NAME]. " \
	"Destroy it completely.\n\n" \
	"The ISC is scrambling its reinforcements, and has an impressive " \
	"array of defenses. But the day will never come when a Gorn can't " \
	"get a kill against an opponent who's back is against " \
	"the wall (nobody mention that one Federation captain, please.)\n\n" \
	"When this operation is complete, ISC control over the sector " \
	"will be broken and their remaining fleets will be fighting " \
	"without a central command. The Gorn will then lead the " \
	"alliance in picking the flesh from their bones and " \
	"trampling their eggs underfoot.\n\n" \
	"Everything rests on your shoulders. Good luck.\n\nDismissed.\n\n",

	// kISCBriefing_msg placeholder
	"ISC Briefing Placeholder",

	// kMirakBriefing_msg
	">Destroy the ISC starbase<" \
	"You've entered the ISC home sector. Now we shall show them " \
	"how much we've appreciated their involvement in galactic " \
	"affairs.\n\nOperation Tyr is an offensive involving five "\
	"allied forces. Its primary target is the ISC starbase in " \
	"[SYSTEM_NAME]. Let it burn. Destroy it utterly.\n\n" \
	"The ISC is scrambling its reinforcements, and has " \
	"an impressive array of defenses. But I expect victory, " \
	"not excuses.\n\nWhen this operation is complete, ISC " \
	"control over the sector will be broken and their " \
	"remaining fleets will be fighting without a central " \
	"command. We should be able to mop them up quickly.\n\n" \
	"This has been a long hunt, and we've spent too much of " \
	"it as prey. However, we can now look forward to its end, " \
	"and a return to our war of vengeance against the Lyrans. " \
	"Dismissed.\n\n",

	//
	//	Starting message
	//
	
	//	kStart_msg,
	"Default Start Message: Report if this shows up.\n\n",
	// kFedStart_msg
	"[PLAYER_NAME]: Captain's log, Stardate [STARDATE]. " \
	"This is the big one.\n\n[2]" \
	"If we destroy the ISC base, the ISC will become " \
	"disorganized and we'll be able to bring this war " \
	"to an end. If we fail, the ISC will consolidate  " \
	"their forces and become nearly impossible to dislodge.\n\n[4] " \
	"The window of opportunity is narrow, but I'm " \
	"determined to take advantage of it.\n\n",

	//	kKlingonStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. The ISC threat " \
	"is nearly at an end. All I need to do is to destroy their " \
	"starbase, and our victory will almost be assured.\n\n[2]" \
	"It has been a long, hard war, but such struggle makes the " \
	"victory wine more potent.\n\n",

	//	kRomulanStart_msg,
	"[PLAYER_NAME]: Record of the Romulan Star Empire, [STARDATE]. " \
	"The Romulan empire stands on the brink of victory. After so " \
	"long and hard a war, I cannot help but feel a certain exhilaration.\n\n", 

	//	kLyranStart_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire, [STARDATE]. " \
	"Our goal is the destruction of the key ISC space station in [SYSTEM_NAME].\n\n[2]" \
	"When this is eliminated, the ISC central command will be " \
	"broken, and we will be able to drive them from the quadrant.\n\n",

	//	kHydranStart_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. Our goal is the " \
	"destruction of the key ISC space station in [SYSTEM_NAME]. " \
	"When this is eliminated, the ISC central command will be broken, " \
	"and then we'll be able to answer the indignities they've inflicted " \
	"on the Hydran people.\n\n",

	//	kGornStart_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. Our mission is to " \
	"destroy the key ISC space station in [SYSTEM_NAME]. When this is " \
	"eliminated, ISC's central command will be shattered, and the " \
	"alliance will deal with them with a free and easy hand.\n\n",

	//	kISCStart_msg,		// placeholder
	"",
	//	kMirakStart_msg
	"[PLAYER_NAME]: Hunt record, [STARDATE]. Our goal is the " \
	"destruction of the key ISC space station in [SYSTEM_NAME]. " \
	"When this is eliminated, the ISC central command will be " \
	"broken, and we will hunt down the ISC and take them as trophies.",


	//
	//	Debriefing messages
	//
	
	// kDebBaseDestroyedTrue_msg
	"Well done. The ISC base has been destroyed. Many of their " \
	"pacification fleets are already withdrawing back to ISC " \
	"controlled space beyond the Romulan-Gorn border. We may " \
	"have to launch a punitive invasion in the future; " \
	"the Alliance has yet to decide.\n\n" \
	"Our next step is to determine what we'll do with the ISC's " \
	"sponsors, the Organians. It's not over yet.\n\n",

	// kDebBaseDestroyedFalse_msg
	"The ISC base still stands, and it's being reinforced. " \
	"The allies are reluctant to commit to a new offensive " \
	"in the [SYSTEM_NAME] system. We would welcome further attacks, " \
	"but you'd be on your own. It'd probably be suicide.\n\n",

	// kDebDismissed_msg
	"Dismissed.\n\n",
	//
	//	Comm buttons
	//
	// kHailAlly_btn
	"HAIL",
	// kRequestAssistance_btn
	"ASSIST ME",
	// kDefendMe_btn
	"DEFEND ME",
	// kAttackMyTarget_btn,
	"ATTACK MY TARGET",

	// kDemandSurrender_btn
	"DEMAND SURRENDER",
	// kSetAsTarget_btn
	"SET ALLY TARGET",
	// kLowerShields_btn
	"LOWER SHIELDS",
	//
	//	Comm messages
	//
	// kCommDummy_msg
	"",
	// kCommUtility_msg
	"Un-intialized Utility Message",
	// kNoAnswer_msg
	"Communications Officer: They're not answering our hails.",

	// kISCRandom1_msg
	"ISC Commander: I have nothing to say to primitives.",
	// kISCRandom2_msg
	"ISC Commander: You will not defeat the dream of peace through force of arms.",
	// kISCRandom3_msg
	"ISC Commander: You want destruction? Damn you, we'll give it to you!",
	// kISCRandom4_msg
	"ISC Commander: Tell your command, your crew, and your offspring that the ISC does not surrender to primitives!",
	// kISCRandom5_msg
	"ISC Commander: I will not stand down while you do your butcher's work!",
	// kISCRandom6_msg
	"ISC Commander: This madness must end, but not on your terms! We say no!",


	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: We're here. We're really attacking the ISC base.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: The sooner we take out that base, the better.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: I have the boarding parties drilling constantly, but I doubt this battle is going to be settled with our transporters.\n\n",
	
	//	kRandChat4_msg,
	"Communications Officer: Things are quiet. They know we're coming.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: That's a lot of armament on that base. Maybe we should send our allies in first to soften it up.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: Sensors show a dreadnought and a battleship in this sector. Not good.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	//
	//	Custom messages
	//
	// kFedRace_txt
	"Federation", 
	// kKlingonRace_txt
	"Klingon", 
	// kRomulanRace_txt
	"Romulan",
	// kLyranRace_txt
	"Lyran", 
	// kHydranRace_txt
	"Hydran", 
	// kGornRace_txt
	"Gorn", 
	// kISCRace_txt
	"ISC",
	// kMirakRace_txt
	"Mirak",
	// kOrionRace_txt
	"Orion",  
	// kTholianRace_txt
	"Tholian",
	//kLDRRace_txt
	"LDR",
	//kWYNRace_txt
	"WYN",
	//kJindarianRace_txt
	"Jindarian",	 

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Operation Tyr",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
#endif
};


