/********************************************************************************************************\

	File Name:	PlayerNPC1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "Uni_9A1Tyr.h"
#include "PlayerNPC1Team.h"
#include "PlayerNPC1TeamBaseState.h"
#include "PlayerNPC1TeamAllyAttackedState.h"
#include "PlayerNPC1Ship.h"
#include "ShipScriptDescription.h"
#include "ShipList_API.h"


tClassAllocator<tPlayerNPC1Team> gPlayerNPC1TeamAllocator;

/*

	HELPER NOTE:	If you create any new states on the team level, you must register them here first.

*/
void tPlayerNPC1Team::mSetupState()
{
	mSetAllyAttacked(false);
	mRegisterState( new tPlayerNPC1TeamBaseState() );
	mRegisterState( new tPlayerNPC1TeamAllyAttackedState() );
	mGotoState( typeid( tPlayerNPC1TeamBaseState ) );
}

void tPlayerNPC1Team::mSetupCommState()
{}

void tPlayerNPC1Team::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tPlayerNPC1Team::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
		int32 playerBPV = playerTeam->mGetCombatBPV();

        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
		if ( playerBPV < 250 )
		{
			shipClassTypeList.push_back(kEClassDreadnought);
			shipClassTypeList.push_back(kEClassHeavyDreadnought);
		} else {
			shipClassTypeList.push_back(kEClassHeavyCruiser);
			shipClassTypeList.push_back(kEClassNewHeavyCruiser);
		}
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for hull classes filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent( sl );
        }

        if (sl.size() > 0)
        {
            Ship ship1;
            sl.SelectRandomShip(ship1);
            gST.mDebug_fprintf("ship1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                ship1.shipCode.c_str(), ship1.bpv, ship1.yearFirstAvail, ship1.yearLastAvail);
            gST.mTrackOrions( ship1 );

			mCreateShip( typeid( tPlayerNPC1Ship ),
				ship1.shipCode.c_str(),
				kStartPosition_G + mGetTeam(), 
				kNoMetaShipID, 
				kPlayerNPC1Ship1,
				0, 0, -1, -1, 
				NULL, 
				kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tPlayerNPC1Team::mCreateShipsForTeam\n");
}

void tPlayerNPC1Team::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tPlayerNPC1Team::mOldCreateShipsForTeam\n");

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	int32 playerBPV = playerTeam->mGetCombatBPV();
	if( playerBPV < 250 )
	{
		mCreateShip(	typeid( tPlayerNPC1Ship ),
						kMaxBPV,
						kClassDreadnought,
						0,
						kStartPosition_G + mGetTeam(),
						kPlayerNPC1Ship1,
						0, 0, -1, -1, NULL,
						kDefaultShipOptions );
	}
	else
	{
		mCreateShip(	typeid( tPlayerNPC1Ship ),
						kMaxBPV,
						kClassHeavyCruiser,
						0,
						kStartPosition_G + mGetTeam(),
						kPlayerNPC1Ship1,
						0, 0, -1, -1, NULL,
						kDefaultShipOptions );
	}

	gST.mDebug_fprintf("--- Finished: tPlayerNPC1Team::mOldCreateShipsForTeam\n");
}

void tPlayerNPC1Team::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlayerNPC1Team::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tPlayerNPC1Team", shipScriptDescription );
}

bool tPlayerNPC1Team::mAllyAttacked(void)
{
	return fAllyAttacked;
}
void tPlayerNPC1Team::mSetAllyAttacked(bool x)
{
	if(x)
	{
		mGotoState( typeid( tPlayerNPC1TeamAllyAttackedState ) );
	}
	fAllyAttacked = x;
}
