/********************************************************************************************************\

	File Name:	PlayerNPC3Ship.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerNPC3Ship.h"
#include "PlayerNPC3ShipBaseState.h"
#include "PlayerNPC3Team.h"
#include "MissionText.h"
#include "Uni_9A1Tyr.h"


tClassAllocator<tPlayerNPC3Ship> gPlayerNPC3ShipAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tPlayerNPC3Ship::mSetupState()
{
	mRegisterState( new tPlayerNPC3ShipBaseState() );
	mGotoState( typeid( tPlayerNPC3ShipBaseState ) );
}

void tPlayerNPC3Ship::mSetupCommState()
{
	tTeamInfo * team = fMissionInfo->mGetTeamHandle( (eTeamID) kPlayerTeam );
	Assert( team);
	if(!team)
		return;
	//**********************************************************
	//** Note the use of the kCommDummy_msg here. 
	//** I need to update the contents of the message
	//** before it is displayed. However, mOnCommButtonPressed
	//** is called AFTER it's displayed. So, kCommDummy_msg will 
	//** display a blank message, after which I can update and 
	//** display the real message.
	//**********************************************************
	team->mRegisterCommMessage( tUni_9A1Tyr::kCommState1 , kNoStateChange , mGetShipID() , kHailAlly_btn , kCommDummy_msg, kNoRandomMsg );
	team->mRegisterCommMessage( tUni_9A1Tyr::kCommState1 , kNoStateChange , mGetShipID() , kRequestAssistance_btn , kCommDummy_msg, kNoRandomMsg );
	team->mRegisterCommMessage( tUni_9A1Tyr::kCommState2 , kNoStateChange , mGetShipID() , kAttackMyTarget_btn , kCommDummy_msg, kNoRandomMsg );
	team->mRegisterCommMessage( tUni_9A1Tyr::kCommState2 , kNoStateChange , mGetShipID() , kDefendMe_btn , kCommDummy_msg, kNoRandomMsg );
	team->mRegisterCommMessage( tUni_9A1Tyr::kCommState3 , kNoStateChange , mGetShipID() , kHailAlly_btn , kNoAnswer_msg, kNoRandomMsg );
	team->mRegisterCommMessage( tUni_9A1Tyr::kCommState3 , kNoStateChange , mGetShipID() , kRequestAssistance_btn , kCommDummy_msg, kNoRandomMsg );

	team->mGotoCommState( mGetShipID(), tUni_9A1Tyr::kCommState1 );

}

void tPlayerNPC3Ship::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );
}
