/********************************************************************************************************\

	File Name:	PlayerNPC3TeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerNPC3TeamBaseState.h"
#include "PlayerNPC3Team.h"
#include "PlayerTeam.h"
#include "Uni_9A1Tyr.h"
#include "MissionText.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerNPC3TeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tPlayerNPC3TeamBaseState::mEndState()
{}

void tPlayerNPC3TeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	char msg[1024];
	float dmgperc = 100.0;
	eRaceName race;
//	char allyname[50];
	tPlayerTeam * PlayerTeam;


	if( targetShip->mGetTeam() == fChildActor->mGetTeam() )
	{

//	switch( targetShip->mGetCustomID() )
//	{
//	case tPlayerNPC3Team::kPlayerNPC3Ship1:
//	case tPlayerNPC3Team::kPlayerNPC3Ship2:
//	case tPlayerNPC3Team::kPlayerNPC3Ship3:

		
		dmgperc = targetShip->mGetDamagePercent();
		race = fMissionInfo->mGetTeamHandle(targetShip->mGetTeam())->mGetRace();
		PlayerTeam = (tPlayerTeam *) fMissionInfo->mGetTeamHandle( (eTeamID) kPlayerTeam);
		Assert(PlayerTeam);
		if(!PlayerTeam)
			return;

		switch(buttonID)
		{
		case kHailAlly_btn:
			if( dmgperc <= 30.0)
			{
				
				sprintf(msg, "%s captain: Hull Integrity is at %.0f %%. We're in good shape so far.\n\n",Messages[kFedRace_txt + race].c_str() ,  (100 - dmgperc));
				
				break;
			}
			else if( dmgperc <= 60.0 )
			{
				sprintf(msg, "%s captain: This is not my day. But I'm not ready to burn yet!\n\n", Messages[kFedRace_txt + race].c_str());
				break;
			}
			else
			{
				sprintf(msg, "%s captain: Mayday! Requesting assistance!\n\n", Messages[kFedRace_txt + race].c_str());
				break;
			}
		case kRequestAssistance_btn:
	// Took the messages out. It just seemed too busy.
	//		if(dmgperc <= 69.0)
	//		{
	//			sprintf(msg, "%s captain: Acknowledged. What sort of assistance do you require, [PLAYER_SHIP_NAME]?\n\n", Messages[kFedRace_txt + race].c_str());
	//		}
	//		else
	//		{
	//			sprintf(msg, "%s captain: We were about to ask you for help. Maybe two wounded vets can still teach these dogs a lesson.\n\n", Messages[kFedRace_txt + race].c_str());
	//		}
			PlayerTeam->mGotoCommState(targetShip->mGetShipID(),tUni_9A1Tyr::kCommState2 );
			return;
			break;
		case kDefendMe_btn:
			if(dmgperc < 69.0)
			{
				sprintf(msg, "%s captain: Acknowledged. We'll do our best.\n\n", Messages[kFedRace_txt + race].c_str());
			}
			else
			{
				sprintf(msg, "%s captain: Affirmative. The line will be drawn here.\n\n", Messages[kFedRace_txt + race].c_str());
			}

			PlayerTeam->mGotoCommState( targetShip->mGetShipID(), tUni_9A1Tyr::kCommState1);
			targetShip->mDefendEntity(*(fMissionInfo->mGetTeamHandle( (eTeamID) kPlayerTeam)->mGetFirstShip()), 10.0, 4.0, kAbsolutePriority); 

			break;
		case kAttackMyTarget_btn:
			if(dmgperc < 69.0)
			{
				sprintf(msg, "%s captain: Acknowledged. We'll do our best.\n\n", Messages[kFedRace_txt + race].c_str());
			}
			else
			{
				sprintf(msg, "%s captain: We're almost finished, but perhaps we can muster one final attack.\n\n", Messages[kFedRace_txt + race].c_str());
			}
			PlayerTeam->mGotoCommState( targetShip->mGetShipID(), tUni_9A1Tyr::kCommState1);
			if(PlayerTeam->fAITarget != NULL)
			{
				if(PlayerTeam->fAITarget->mGetTeam() == kEnemyTeam)
				{
					targetShip->mSetShipTarget(PlayerTeam->fAITarget, kAbsolutePriority);
				}
				else
				{
					fMissionInfo->mDisplayMessage( (eTeamID) kPlayerTeam, "Science Officer: We can't assign them a friendly target, [PLAYER_RANK]\n\n");
				}
			}
			else
			{
				fMissionInfo->mDisplayMessage( (eTeamID) kPlayerTeam, "Science Officer: We must select a target first, [PLAYER_RANK]\n\n");
			}
	
		}
		
		fMissionInfo->mDisplayMessage( (eTeamID) kPlayerTeam, msg);
//		break;
	}


}
void tPlayerNPC3TeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if(!damagedShip)
		return;
	if(damagedShip->mGetTeam() == kPlayerNPC3Team )
	{
		if(!hostileShip)
			return;
		if(hostileShip->mGetTeam() == kPlayerTeam)
		{
			tPlayerNPC3Team * team = (tPlayerNPC3Team *) fMissionInfo->mGetTeamHandle(damagedShip->mGetTeam());
			team->mSetAllyAttacked(true);
		}
		damagedShip->mSetShipCallbackEvents( kNotifyDamage );
	}

}
void tPlayerNPC3TeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerNPC3TeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerNPC3TeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPC3TeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPC3TeamBaseState::mOnFlashingButtonPressed()
{}
void tPlayerNPC3TeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerNPC3TeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerNPC3TeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlayerNPC3TeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlayerNPC3TeamBaseState::mOnHostChanged()
{}
void tPlayerNPC3TeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tPlayerNPC3TeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tPlayerNPC3TeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tPlayerNPC3TeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerNPC3TeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

