/********************************************************************************************************\

	File Name:	EnemyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyShip.h"
#include "EnemyShipBaseState.h"
#include "EnemyTeam.h"
#include "MissionText.h"
#include "Uni_9C1Welcome.h"

tClassAllocator<tEnemyShip> gEnemyShipAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tEnemyShip::mSetupState()
{
	mRegisterState( new tEnemyShipBaseState() );
	mGotoState( typeid( tEnemyShipBaseState ) );
}

void tEnemyShip::mSetupCommState()
{
	tTeamInfo * PlayerTeam = fMissionInfo->mGetTeamHandle( (eTeamID) kPlayerTeam);
	Assert(PlayerTeam);
	PlayerTeam->mRegisterCommMessage( tUni_9C1Welcome::kCommState1, kNoStateChange , mGetShipID() , kHail_btn , kISCRandom1_msg, kISCRandom3_msg );
	PlayerTeam->mRegisterCommMessage( tUni_9C1Welcome::kCommState1, kNoStateChange , mGetShipID() , kDemandSurrender_btn , kISCRandom4_msg, kISCRandom6_msg );
	
	PlayerTeam->mGotoCommState(mGetShipID(), tUni_9C1Welcome::kCommState1);

}

void tEnemyShip::mSetupShip()
{}
