/********************************************************************************************************\

	File Name:	AlliedMoonBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AlliedMoonBaseState.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAlliedMoonBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tAlliedMoonBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tAlliedMoonBaseState::mBeginState\n");
}
void tAlliedMoonBaseState::mEndState()
{}

void tAlliedMoonBaseState::mOnDeath( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mOnCapture( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mAtDistance( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mAtDestination( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAlliedMoonBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAlliedMoonBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAlliedMoonBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAlliedMoonBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAlliedMoonBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAlliedMoonBaseState::mOnFlashingButtonPressed()
{}
void tAlliedMoonBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAlliedMoonBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAlliedMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAlliedMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAlliedMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAlliedMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAlliedMoonBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAlliedMoonBaseState::mOnHostChanged()
{}
void tAlliedMoonBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tAlliedMoonBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tAlliedMoonBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tAlliedMoonBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAlliedMoonBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

