/********************************************************************************************************\

	File Name:	AlliedPlanetTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AlliedPlanetTeam.h"
#include "AlliedPlanetTeamBaseState.h"
#include "AlliedMoon.h"
#include "ShipList_API.h"


tClassAllocator<tAlliedPlanetTeam> gAlliedPlanetTeamAllocator;

void tAlliedPlanetTeam::mSetupState()
{
	mRegisterState( new tAlliedPlanetTeamBaseState() );
	mGotoState( typeid( tAlliedPlanetTeamBaseState ) );
}

void tAlliedPlanetTeam::mSetupCommState()
{}

void tAlliedPlanetTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tAlliedPlanetTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL0";
        switch (race) {
            case kFederation: worldType = "F-PL0"; break;
            case kKlingon: worldType = "K-PL0"; break;
            case kRomulan: worldType = "R-PL0"; break;
            case kGorn: worldType = "G-PL0"; break;
            case kLyran: worldType = "L-PL0"; break;
            case kHydran: worldType = "H-PL0"; break;
            case kISC: worldType = "I-PL0"; break;
            case kMirak: worldType = "Z-PL0"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1, m1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Planet chosen: %s\n", p1.shipCode.c_str());
            mCreateShip(
                typeid( tAlliedMoon ),
                p1.shipCode.c_str(),
				kStartPosition_K,
				kNoMetaShipID,
				kAlliedMoon,
				0,0,0,0,
				"Allied Moon",
				kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tAlliedPlanetTeam::mCreateShipsForTeam\n");
}


void tAlliedPlanetTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tAlliedPlanetTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tAlliedMoon ),
				 "PL0",
				 kStartPosition_K,
				 kNoMetaShipID,
				 kAlliedMoon,
				 0,0,0,0,
				 "Allied Moon",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tAlliedPlanetTeam::mOldCreateShipsForTeam\n");
}

void tAlliedPlanetTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAlliedPlanetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tAlliedPlanetTeam", shipScriptDescription );
}


