/********************************************************************************************************\

	File Name:	AllyShip2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyShip2BaseState.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tAllyShip2BaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tAllyShip2BaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tAllyShip2BaseState::mBeginState\n");
}
void tAllyShip2BaseState::mEndState()
{}

void tAllyShip2BaseState::mOnDeath( tShipInfo* ship )
{}
void tAllyShip2BaseState::mOnCapture( tShipInfo* ship )
{}
void tAllyShip2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tAllyShip2BaseState::mAtDistance( tShipInfo* ship )
{}
void tAllyShip2BaseState::mAtDestination( tShipInfo* ship )
{}
void tAllyShip2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tAllyShip2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tAllyShip2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tAllyShip2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tAllyShip2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tAllyShip2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tAllyShip2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tAllyShip2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyShip2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tAllyShip2BaseState::mOnFlashingButtonPressed()
{}
void tAllyShip2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tAllyShip2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tAllyShip2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tAllyShip2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tAllyShip2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tAllyShip2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tAllyShip2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tAllyShip2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tAllyShip2BaseState::mOnHostChanged()
{}
void tAllyShip2BaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tAllyShip2BaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tAllyShip2BaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tAllyShip2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tAllyShip2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

