/********************************************************************************************************\

	File Name:	AllyTeam2.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AllyTeam2.h"
#include "AllyTeam2BaseState.h"
#include "Uni_9Edge.h"
#include "PlayerTeam.h"
#include "AllyShip2.h"
#include "ShipList_API.h"

tClassAllocator<tAllyTeam2> gAllyTeam2Allocator;

void tAllyTeam2::mSetupState()
{
	mRegisterState( new tAllyTeam2BaseState() );
	mGotoState( typeid( tAllyTeam2BaseState ) );
}

void tAllyTeam2::mSetupCommState()
{}

void tAllyTeam2::mCreateShipsForTeam()
{}

void tAllyTeam2::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAllyTeam2::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tAllyTeam2", shipScriptDescription );
}


void tAllyTeam2::mLaunchTransport()
{
    gST.mDebug_fprintf("--- Entering: tAllyTeam2::mLaunchTransport\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

        ShipList CA_sl = sl;
        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassHeavyCruiser);
        shipClassTypeList.push_back(kEClassNewHeavyCruiser);
        fShiplistCount = CA_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for CA filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(CA_sl);
        }

        ShipList BCH_sl = sl;
        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassHeavyBattlecruiser);
        fShiplistCount = BCH_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for BCH filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(BCH_sl);
        }
        if (BCH_sl.size() == 0) {
            gST.mDebug_fprintf("FAIL! Unable to select a BCH from shiplist. using CA shiplist\n");
            BCH_sl = CA_sl;
        }

		if ( (BCH_sl.size() > 0) && (CA_sl.size() > 0) ) 
		{
            Ship bch1, bch2, ca1;
            BCH_sl.SelectRandomShip(bch1);
            gST.mDebug_fprintf("bch1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                bch1.shipCode.c_str(), bch1.bpv, bch1.yearFirstAvail, bch1.yearLastAvail);
            gST.mTrackOrions( bch1 );

            BCH_sl.SelectRandomShip(bch2);
            gST.mDebug_fprintf("bch2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                bch2.shipCode.c_str(), bch2.bpv, bch2.yearFirstAvail, bch2.yearLastAvail);
            gST.mTrackOrions( bch2 );

            CA_sl.SelectRandomShip(ca1);
            gST.mDebug_fprintf("ca1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                ca1.shipCode.c_str(), ca1.bpv, ca1.yearFirstAvail, ca1.yearLastAvail);
            gST.mTrackOrions( ca1 );

            mCreateShip(
                typeid( tAllyShip2 ),
                bch1.shipCode.c_str(),
                kStartPosition_P,
                kNoMetaShipID,
                kAlly_2_1,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tAllyShip2 ),
                bch2.shipCode.c_str(),
                kStartPosition_P,
                kNoMetaShipID,
                kAlly_2_2,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tAllyShip2 ),
                ca1.shipCode.c_str(),
                kStartPosition_P,
                kNoMetaShipID,
                kAlly_2_3,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

		} else {
			mOldLaunchTransport();
		}
	} else {
		mOldLaunchTransport();
	}
	gST.mDebug_fprintf("--- Entering: tAllyTeam2::mLaunchTransport\n");
}

void tAllyTeam2::mOldLaunchTransport()
{
	gST.mDebug_fprintf("--- Starting: tAllyTeam2::mOldLaunchTransport\n");

	mCreateShip( typeid( tAllyShip2 ),
			     400,
				 kClassHeavyBattlecruiser,
				 0,
				 kStartPosition_P,
				 kAlly_2_1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tAllyShip2 ),
			     400,
				 kClassHeavyBattlecruiser,
				 0,
				 kStartPosition_P,
				 kAlly_2_2,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tAllyShip2 ),
			     400,
				 kClassHeavyCruiser,
				 0,
				 kStartPosition_P,
				 kAlly_2_3,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- finished: tAllyTeam2::mOldLaunchTransport\n");
}
