/********************************************************************************************************\

	File Name:	LPTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "LPTeam.h"
#include "LPTeamBaseState.h"
#include "LPShip.h"
#include "ShipList_API.h"


tClassAllocator<tLPTeam> gLPTeamAllocator;

void tLPTeam::mSetupState()
{
	mRegisterState( new tLPTeamBaseState() );
	mGotoState( typeid( tLPTeamBaseState ) );
}

void tLPTeam::mSetupCommState()
{}

void tLPTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tLPTeam::mCreateShipsForTeam\n");
	gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        // Listening Post
        std::list< eEnhancedClassTypes >  LPClassTypeList;
        LPClassTypeList.push_back(kEClassListeningPost);
        fShiplistCount = sl.Subset(LPClassTypeList, true);
        gST.mDebug_fprintf("subset for Platform class filter completed. ships: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  LPRolesList;
        LPRolesList.push_back(kListeningPost);
        fShiplistCount = sl.Subset(LPRolesList, true);
        gST.mDebug_fprintf("subset for LPTeam eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        if (sl.size() > 0) {
            Ship lp1, lp2;
            sl.SelectRandomShip(lp1);
            gST.mDebug_fprintf("lp1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                lp1.shipCode.c_str(), lp1.bpv, lp1.yearFirstAvail, lp1.yearLastAvail);
            gST.mTrackOrions( lp1 );

            sl.SelectRandomShip(lp2);
            gST.mDebug_fprintf("lp2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                lp2.shipCode.c_str(), lp2.bpv, lp2.yearFirstAvail, lp2.yearLastAvail);
            gST.mTrackOrions( lp2 );

            mCreateShip(
                typeid( tLPTeam ),
                lp1.shipCode.c_str(),
                kStartPosition_N,
                kNoMetaShipID,
                kLP1,
                0,0,0,0,
                "Mirak Listening Post",
                kDefaultShipOptions );

            mCreateShip(
                typeid( tLPTeam ),
                lp2.shipCode.c_str(),
                kStartPosition_O,
                kNoMetaShipID,
                kLP2,
                0,0,0,0,
                "Mirak Listening Post",
                kDefaultShipOptions );

        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tLPTeam::mCreateShipsForTeam\n");
}

void tLPTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tLPTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tLPShip ),
				 "Z-LP",
				 kStartPosition_N,
				 kNoMetaShipID,
				 kLP1,
				 0,0,0,0,
				 "Mirak Listening Post",
				 kDefaultShipOptions );

	mCreateShip( typeid( tLPShip ),
				 "Z-LP",
				 kStartPosition_O,
				 kNoMetaShipID,
				 kLP2,
				 0,0,0,0,
				 "Mirak Listening Post",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tLPTeam::mOldCreateShipsForTeam\n");
}

void tLPTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tLPTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tLPTeam", shipScriptDescription );
}

