/********************************************************************************************************\

	File Name:	MirakPlanetBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakPlanetBaseState.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMirakPlanetBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tMirakPlanetBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tMirakPlanetBaseState::mBeginState\n");
}
void tMirakPlanetBaseState::mEndState()
{}

void tMirakPlanetBaseState::mOnDeath( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mOnCapture( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mAtDistance( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mAtDestination( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMirakPlanetBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMirakPlanetBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMirakPlanetBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMirakPlanetBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakPlanetBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakPlanetBaseState::mOnFlashingButtonPressed()
{}
void tMirakPlanetBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMirakPlanetBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMirakPlanetBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMirakPlanetBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMirakPlanetBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMirakPlanetBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMirakPlanetBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMirakPlanetBaseState::mOnHostChanged()
{}
void tMirakPlanetBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMirakPlanetBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMirakPlanetBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMirakPlanetBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMirakPlanetBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

