/********************************************************************************************************\

	File Name:	MirakPlanetTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MirakPlanetTeam.h"
#include "MirakPlanetTeamBaseState.h"
#include "MirakPlanet.h"
#include "ShipList_API.h"


tClassAllocator<tMirakPlanetTeam> gMirakPlanetTeamAllocator;

void tMirakPlanetTeam::mSetupState()
{
	mRegisterState( new tMirakPlanetTeamBaseState() );
	mGotoState( typeid( tMirakPlanetTeamBaseState ) );
}

void tMirakPlanetTeam::mSetupCommState()
{}

void tMirakPlanetTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tMirakPlanetTeam::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        eRaceName race = mGetRace();

        ShipList sl = gST.narrowed_sl;
        std::string worldType = "PL1";
        switch (race) {
            case kFederation: worldType = "F-PL1"; break;
            case kKlingon: worldType = "K-PL1"; break;
            case kRomulan: worldType = "R-PL1"; break;
            case kGorn: worldType = "G-PL1"; break;
            case kLyran: worldType = "L-PL1"; break;
            case kHydran: worldType = "H-PL1"; break;
            case kISC: worldType = "I-PL1"; break;
            case kMirak: worldType = "Z-PL1"; break;

            default: break;
        }

        // And now to decide if we want to use shiplist API results or not
        Ship p1, m1;
        if (sl.Find(worldType, p1)) {
            gST.mDebug_fprintf("Planet chosen: %s\n", p1.shipCode.c_str());
            mCreateShip(
                typeid( tMirakPlanet ),
                p1.shipCode.c_str(),
                kStartPosition_J,
                kNoMetaShipID,
                kMirakPlanet,
                0,0,0,0,
                "Claw's Edge",
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tMirakPlanetTeam::mCreateShipsForTeam\n");
}


void tMirakPlanetTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tMirakPlanetTeam::mCreateShipsForTeam\n");

	mCreateShip( typeid( tMirakPlanet ),
				 "PL1",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kMirakPlanet,
				 0,0,0,0,
				 "Claw's Edge",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tMirakPlanetTeam::mCreateShipsForTeam\n");
}

void tMirakPlanetTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tMirakPlanetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tMirakPlanetTeam", shipScriptDescription );
}

