/********************************************************************************************************\

	File Name:	MirakShip1BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MirakShip1BaseState.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMirakShip1BaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tMirakShip1BaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tMirakShip1BaseState::mBeginState\n");
}
void tMirakShip1BaseState::mEndState()
{}

void tMirakShip1BaseState::mOnDeath( tShipInfo* ship )
{}
void tMirakShip1BaseState::mOnCapture( tShipInfo* ship )
{}
void tMirakShip1BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMirakShip1BaseState::mAtDistance( tShipInfo* ship )
{}
void tMirakShip1BaseState::mAtDestination( tShipInfo* ship )
{}
void tMirakShip1BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMirakShip1BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMirakShip1BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMirakShip1BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMirakShip1BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMirakShip1BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMirakShip1BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMirakShip1BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakShip1BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMirakShip1BaseState::mOnFlashingButtonPressed()
{}
void tMirakShip1BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMirakShip1BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMirakShip1BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMirakShip1BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMirakShip1BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMirakShip1BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMirakShip1BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMirakShip1BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMirakShip1BaseState::mOnHostChanged()
{}
void tMirakShip1BaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMirakShip1BaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMirakShip1BaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMirakShip1BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMirakShip1BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

