/********************************************************************************************************\

	File Name:	MirakTeam1.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MirakTeam1.h"
#include "MirakTeam1BaseState.h"
#include "MirakShip1.h"
#include "Uni_9Edge.h"
#include "ShipList_API.h"


tClassAllocator<tMirakTeam1> gMirakTeam1Allocator;

void tMirakTeam1::mSetupState()
{
	mRegisterState( new tMirakTeam1BaseState() );
	mGotoState( typeid( tMirakTeam1BaseState ) );
}

void tMirakTeam1::mSetupCommState()
{}

void tMirakTeam1::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tMirakTeam1::mCreateShipsForTeam\n");
    gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

        ShipList CA_sl = sl;
        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassHeavyCruiser);
        shipClassTypeList.push_back(kEClassNewHeavyCruiser);
        fShiplistCount = CA_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for CA filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(CA_sl);
        }

        ShipList BCH_sl = sl;
        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassHeavyBattlecruiser);
        fShiplistCount = BCH_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for BCH filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(BCH_sl);
        }
        if (BCH_sl.size() == 0) {
            gST.mDebug_fprintf("FAIL! Unable to select a BCH from shiplist. using CA shiplist\n");
            BCH_sl = CA_sl;
        }

        ShipList CL_sl = sl;
        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        for (int32 i = kEClassLightCruiser; i <= kEClassHeavyWarDestroyer; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = CL_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for CL filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(CL_sl);
        }

        ShipList CM_sl = sl;
        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        for (int32 i = kEClassHeavyWarDestroyer; i <= kEClassMediumCruiser; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = CM_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for CM filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(CM_sl);
        }
        if (CM_sl.size() == 0) {
            gST.mDebug_fprintf("FAIL! Unable to select a CM from shiplist. using CL shiplist\n");
            CM_sl = CL_sl;
        }

        ShipList DD_sl = sl;
        {
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassDestroyer);
        shipClassTypeList.push_back(kEClassWarDestroyer);
        fShiplistCount = DD_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for DD filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(DD_sl);
        }

		if (
            (BCH_sl.size() > 0) &&
            (CA_sl.size() > 0) &&
			(CM_sl.size() > 0) &&
            (DD_sl.size() > 0)
        ) {
            Ship bch1, ca1, cm1, cm2, dd1, dd2;
            BCH_sl.SelectRandomShip(bch1);
            gST.mDebug_fprintf("bch1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                bch1.shipCode.c_str(), bch1.bpv, bch1.yearFirstAvail, bch1.yearLastAvail);
            gST.mTrackOrions( bch1 );

            CA_sl.SelectRandomShip(ca1);
            gST.mDebug_fprintf("ca1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                ca1.shipCode.c_str(), ca1.bpv, ca1.yearFirstAvail, ca1.yearLastAvail);
            gST.mTrackOrions( ca1 );

            CM_sl.SelectRandomShip(cm1);
            gST.mDebug_fprintf("cm1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                cm1.shipCode.c_str(), cm1.bpv, cm1.yearFirstAvail, cm1.yearLastAvail);
            gST.mTrackOrions( cm1 );

            CM_sl.SelectRandomShip(cm2);
            gST.mDebug_fprintf("cm2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                cm2.shipCode.c_str(), cm2.bpv, cm2.yearFirstAvail, cm2.yearLastAvail);
            gST.mTrackOrions( cm2 );

            DD_sl.SelectRandomShip(dd1);
            gST.mDebug_fprintf("dd1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                dd1.shipCode.c_str(), dd1.bpv, dd1.yearFirstAvail, dd1.yearLastAvail);
            gST.mTrackOrions( dd1 );

            DD_sl.SelectRandomShip(dd2);
            gST.mDebug_fprintf("dd2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                dd2.shipCode.c_str(), dd2.bpv, dd2.yearFirstAvail, dd2.yearLastAvail);
            gST.mTrackOrions( dd2 );

            mCreateShip(
                typeid( tMirakShip1 ),
                bch1.shipCode.c_str(),
                kStartPosition_L,
                kNoMetaShipID,
                kMirak_1_1,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tMirakShip1 ),
                ca1.shipCode.c_str(),
                kStartPosition_L,
                kNoMetaShipID,
                kMirak_1_2,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tMirakShip1 ),
                cm1.shipCode.c_str(),
                kStartPosition_L,
                kNoMetaShipID,
                kMirak_1_3,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tMirakShip1 ),
                cm2.shipCode.c_str(),
                kStartPosition_L,
                kNoMetaShipID,
                kMirak_1_4,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tMirakShip1 ),
                dd1.shipCode.c_str(),
                kStartPosition_L,
                kNoMetaShipID,
                kMirak_1_5,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

			mCreateShip(
                typeid( tMirakShip1 ),
                dd2.shipCode.c_str(),
                kStartPosition_L,
                kNoMetaShipID,
                kMirak_1_6,
                0,0,0,0,
                NULL,
                kDefaultShipOptions );

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("--- Finished: tMirakTeam1::mCreateShipsForTeam\n");
}

void tMirakTeam1::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tMirakTeam1::mOldCreateShipsForTeam\n");

	// BCH, CA, CM/CL, CM/CL, DD, DD
	mCreateShip( typeid( tMirakShip1 ),
				 400,
				 kClassHeavyBattlecruiser,
				 0,
				 kStartPosition_L,
				 kMirak_1_1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMirakShip1 ),
				 400,
				 kClassHeavyCruiser,
				 0,
				 kStartPosition_L,
				 kMirak_1_2,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMirakShip1 ),
				 400,
				 kClassLightCruiser,
				 0,
				 kStartPosition_L,
				 kMirak_1_3,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMirakShip1 ),
				 400,
				 kClassLightCruiser,
				 0,
				 kStartPosition_L,
				 kMirak_1_4,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMirakShip1 ),
				 400,
				 kClassDestroyer,
				 0,
				 kStartPosition_L,
				 kMirak_1_5,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tMirakShip1 ),
				 400,
				 kClassDestroyer,
				 0,
				 kStartPosition_L,
				 kMirak_1_6,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tMirakTeam1::mOldCreateShipsForTeam\n");
}

void tMirakTeam1::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tMirakTeam1::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tMirakTeam1", shipScriptDescription );
}

