/********************************************************************************************************\

	File Name:	PlayerTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerTeamBaseState.h"
#include "MissionText.h"
#include "Uni_9Edge.h"
#include "AllyTeam2.h"
#include "AlliedMoon.h"

void tPlayerTeamBaseState::mBeginState()
{}
void tPlayerTeamBaseState::mEndState()
{}

void tPlayerTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
#ifdef DEBUGOUT
	FILE *fp = fopen("C:\\edge.txt", "a");
	fprintf(fp, "Button pressed.\n");
	fflush(fp);
#endif

	/* The following doesn't work: ship = NULL for some reason.
	 * Work-around follows.
	 *
	if( !ship ) return;
	ship->mSetShipCallbackEvents( kNotifyCommButtonPress );
	 */

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
	if( !playerTeam )
		return;

	// The following will work better
	// API bug: the following probable won't work if hailing moon from captured ship
	tShipInfo* playerShip = playerTeam->mCurrentlyControlledShip();
	if (!playerShip)
		return;

	playerShip->mSetShipCallbackEvents( kNotifyCommButtonPress );

#ifdef DEBUGOUT
	fprintf(fp, "playerTeam loaded\n");
	fflush(fp);
#endif

	switch( buttonID )
	{
	case kButton_CallTransport:
		{
			tTeamInfo* moonTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAlliedPlanetTeam ) );
			if( !moonTeam )
				return;
#ifdef DEBUGOUT
			fprintf(fp, "Moon team loaded.\n");
			fflush(fp);
#endif

			tShipInfo* moon = moonTeam->mGetThisShip(1);
			if ( !moon )
				return;
#ifdef DEBUGOUT
			fprintf(fp, "Moon ship loaded.\n");
			fflush(fp);
#endif

			tAllyTeam2* allyTeam2 = dynamic_cast<tAllyTeam2*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAllyTeam2 ) ) );
			if( !allyTeam2 )
				return;
#ifdef DEBUGOUT
			fprintf(fp, "AllyTeam2 loaded.\n");
			fflush(fp);
#endif
			
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>(kPlayerTeam), kCallTransport_msg );
			allyTeam2->mLaunchTransport();
			moon->mClearAllCommButtons();

#ifdef DEBUGOUT
			fprintf(fp, "allyTeam2 called.\n");
			fflush(fp);
#endif
		}
	}
#ifdef DEBUGOUT
	fclose(fp);
#endif
}

void tPlayerTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mAtDestination( tShipInfo* ship )
{}


void tPlayerTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerTeamBaseState::mOnFlashingButtonPressed()
{}
void tPlayerTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPlayerTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPlayerTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPlayerTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPlayerTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPlayerTeamBaseState::mOnHostChanged()
{}
void tPlayerTeamBaseState::mOnTimedInterval( int32 timerID )
{}
void tPlayerTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}



