/********************************************************************************************************\

	File Name:	FreighterTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FreighterTeamBaseState.h"
#include "Uni_X1M1ASmuggler.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tFreighterTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tFreighterTeamBaseState::mEndState()
{}

void tFreighterTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFreighterTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFreighterTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFreighterTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFreighterTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFreighterTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFreighterTeamBaseState::mOnFlashingButtonPressed()
{}
void tFreighterTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFreighterTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tFreighterTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tFreighterTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tFreighterTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tFreighterTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tFreighterTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFreighterTeamBaseState::mOnHostChanged()
{}
void tFreighterTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* EnemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kFreighterTeam ) );
        if (EnemyTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (EnemyTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tFreighterTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(EnemyTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tFreighterTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tFreighterTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFreighterTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

