/********************************************************************************************************\

	File Name:	OrionShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionShipBaseState.h"
#include "Uni_X1M1ASmuggler.h"
#include "ShipList_API.h"

void tOrionShipBaseState::mBeginState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	tShipIterator playerShipsI = playerTeam->mGetFirstShip();
	if( !*playerShipsI )
		return;

	fChildActor->mSetShipTarget( *playerShipsI, kAbsolutePriority );

    gST.mDebug_fprintf("--- Starting: tOrionShipBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tOrionShipBaseState::mBeginState\n");
}

void tOrionShipBaseState::mEndState()
{}

void tOrionShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrionShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrionShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOrionShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOrionShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrionShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrionShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionShipBaseState::mOnFlashingButtonPressed()
{}
void tOrionShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrionShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrionShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrionShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrionShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrionShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrionShipBaseState::mOnHostChanged()
{}
void tOrionShipBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tNPCTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tNPCTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tOrionShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrionShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

