/********************************************************************************************************\

	File Name:	PlanetTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlanetTeam.h"
#include "PlanetTeamBaseState.h"
#include "Planet.h"
#include "Uni_X1M1ASmuggler.h"
#include "ShipList_API.h"

tClassAllocator<tPlanetTeam> gPlanetTeamAllocator;

void tPlanetTeam::mSetupState()
{
	mRegisterState( new tPlanetTeamBaseState() );
	mGotoState( typeid( tPlanetTeamBaseState ) );
}

void tPlanetTeam::mSetupCommState()
{}

// Best not mess with SBS choices, OP+ or not. -- FS
void tPlanetTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Entering: tPlanetTeam::mCreateShipsForTeam\n");

	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	char *szBaseString;

	switch( playerTeam->mGetRace() )
	{
	case kFederation:
		szBaseString = "F-SBS"; 
		break;

	case kRomulan:
		szBaseString = "R-SBS";
		break;

	case kHydran:
		szBaseString = "H-SBS";
		break;

	case kGorn:
		szBaseString = "G-SBS";
		break;

	default:
		szBaseString = "F-SBS";
		break;
	}

	mCreateShip( typeid( tPlanet ),
				 szBaseString,
				 kStartPosition_Z,
				 kNoMetaShipID,
				 kPlanet,
				 0,0,0,0,
				 "Space Station K-8",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tPlanetTeam::mCreateShipsForTeam\n");
}

void tPlanetTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlanetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tPlanetTeam", shipScriptDescription );
}

