/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mCappedSmuggler1()			{ return fCappedSmuggler1; }
	iTruth	mKilledSmuggler1()			{ return fKilledSmuggler1; }
	iTruth	mSmuggler1GotAway()			{ return fSmuggler1GotAway; }
	iTruth	mScannedSmuggler1()			{ return fScannedSmuggler1; }
	iTruth	mTractoredSmuggler1()		{ return fTractoredSmuggler1; }
	void	mSetCappedSmuggler1()		{ fCappedSmuggler1 = true; }
	void	mSetKilledSmuggler1()		{ fKilledSmuggler1 = true; }
	void	mSetSmuggler1GotAway()		{ fSmuggler1GotAway = true; }
	void	mSetScannedSmuggler1()		{ fScannedSmuggler1 = true; }
	void	mSetTractoredSmuggler1()	{ fTractoredSmuggler1 = true; }

	iTruth	mCappedSmuggler2()			{ return fCappedSmuggler2; }
	iTruth	mKilledSmuggler2()			{ return fKilledSmuggler2; }
	iTruth	mSmuggler2GotAway()			{ return fSmuggler2GotAway; }
	iTruth	mScannedSmuggler2()			{ return fScannedSmuggler2; }
	iTruth	mTractoredSmuggler2()		{ return fTractoredSmuggler2; }
	void	mSetCappedSmuggler2()		{ fCappedSmuggler2 = true; }
	void	mSetKilledSmuggler2()		{ fKilledSmuggler2 = true; }
	void	mSetSmuggler2GotAway()		{ fSmuggler2GotAway = true; }
	void	mSetScannedSmuggler2()		{ fScannedSmuggler2 = true; }
	void	mSetTractoredSmuggler2()	{ fTractoredSmuggler2 = true; }

	iTruth	mCappedFreighter()			{ return fCappedFreighter; }
	iTruth	mScannedFreighter()			{ return fScannedFreighter; }
	iTruth	mFiredOnFreigher()			{ return fFiredOnFreighter; }
	void	mSetCappedFreighter()		{ fCappedFreighter = true; }
	void	mSetScannedFreighter()		{ fScannedFreighter = true; }
	void	mSetFiredOnFreighter()		{ fFiredOnFreighter = true; }

	iTruth	mNotifiedScanRange()		{ return fNotifiedScanRange; }
	void	mSetNotifiedScanRange()		{ fNotifiedScanRange = true; }

	iTruth	mDied()						{ return fDied; }
	void	mSetDied()					{ fDied = true; }

protected:
	iTruth	fCappedSmuggler1;
	iTruth	fCappedSmuggler2;
	iTruth	fKilledSmuggler1;
	iTruth	fKilledSmuggler2;
	iTruth	fSmuggler1GotAway;
	iTruth	fSmuggler2GotAway;
	iTruth	fScannedSmuggler1;
	iTruth	fScannedSmuggler2;
	iTruth	fScannedFreighter;
	iTruth	fNotifiedScanRange;
	iTruth	fTractoredSmuggler1;
	iTruth	fTractoredSmuggler2;
	iTruth	fCappedFreighter;
	iTruth	fFiredOnFreighter;
	iTruth	fDied;
};

#endif
