/********************************************************************************************************\

	File Name:	SmugglerShip1.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "SmugglerShip1.h"
#include "SmugglerShip1BaseState.h"
#include "Uni_X1M1ASmuggler.h"
#include "MissionText.h"

tClassAllocator<tSmugglerShip1> gSmugglerShip1Allocator;

void tSmugglerShip1::mSetupState()
{
	mRegisterState( new tSmugglerShip1BaseState() );
	mGotoState( typeid( tSmugglerShip1BaseState ) );
}

void tSmugglerShip1::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;


	// State 1
	playerTeam->mRegisterCommMessage( kCommState_1,
									  kCommState_2,
									  mGetShipID(),
									  kButton_Hail,
									  kHailSmuggler1_1_msg,
									  kNoRandomMsg );

	// State 2
	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailSmuggler1_2_msg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_StandDown,
									  kStandDown_Smuggler1_msg,
									  kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tSmugglerShip1::mSetupShip()
{
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;

	tShipIterator planetI = planetTeam->mGetFirstShip();
	if( !*planetI )
		return;

	int32 nX, nY;
	planetI->mGetGridPosition( &nX, &nY );

	mSetFinalDestination( nX, nY );
	mSetShipMaxSpeed( 18 );
}
