/********************************************************************************************************\

	File Name:	SmugglerShip2.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "SmugglerShip2.h"
#include "SmugglerShip2BaseState.h"
#include "Uni_X1M1ASmuggler.h"
#include "MissionText.h"

tClassAllocator<tSmugglerShip2> gSmugglerShip2Allocator;

void tSmugglerShip2::mSetupState()
{
	mRegisterState( new tSmugglerShip2BaseState() );
	mGotoState( typeid( tSmugglerShip2BaseState ) );
}

void tSmugglerShip2::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;


	// State 1
	playerTeam->mRegisterCommMessage( kCommState_1,
									  kCommState_2,
									  mGetShipID(),
									  kButton_Hail,
									  kHailSmuggler2_1_msg,
									  kNoRandomMsg );

	// State 2
	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailSmuggler2_2_msg,
									  kNoRandomMsg );

	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_StandDown,
									  kStandDown_Smuggler2_msg,
									  kNoRandomMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tSmugglerShip2::mSetupShip()
{
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;

	tShipIterator planetI = planetTeam->mGetFirstShip();
	if( !*planetI )
		return;

	int32 nX, nY;
	planetI->mGetGridPosition( &nX, &nY );

	mSetFinalDestination( nX, nY );
	mSetShipMaxSpeed( 18 );

	mSetShipCallbackEvents( kNotifyDamage );
}
