/********************************************************************************************************\

	File Name:	SmugglerTeam1BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "SmugglerTeam1BaseState.h"
#include "Uni_X1M1ASmuggler.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tSmugglerTeam1BaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tSmugglerTeam1BaseState::mEndState()
{}

void tSmugglerTeam1BaseState::mOnDeath( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mOnCapture( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mAtDistance( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mAtDestination( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tSmugglerTeam1BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tSmugglerTeam1BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tSmugglerTeam1BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tSmugglerTeam1BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSmugglerTeam1BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSmugglerTeam1BaseState::mOnFlashingButtonPressed()
{}
void tSmugglerTeam1BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tSmugglerTeam1BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tSmugglerTeam1BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tSmugglerTeam1BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tSmugglerTeam1BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tSmugglerTeam1BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tSmugglerTeam1BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tSmugglerTeam1BaseState::mOnHostChanged()
{}
void tSmugglerTeam1BaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* EnemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kSmugglerTeam1 ) );
        if (EnemyTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (EnemyTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tSmugglerTeam1BaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(EnemyTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tSmugglerTeam1BaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tSmugglerTeam1BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tSmugglerTeam1BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

