/********************************************************************************************************\

	File Name:	SmugglerTeam2.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "SmugglerTeam2.h"
#include "SmugglerTeam2BaseState.h"
#include "SmugglerShip2.h"
#include "ShipList_API.h"


tClassAllocator<tSmugglerTeam2> gSmugglerTeam2Allocator;

tSmugglerTeam2::tSmugglerTeam2()
{
	fCalledOrions = false;
}

void tSmugglerTeam2::mSetupState()
{
	mRegisterState( new tSmugglerTeam2BaseState() );
	mGotoState( typeid( tSmugglerTeam2BaseState ) );
}

void tSmugglerTeam2::mSetupCommState()
{}
void tSmugglerTeam2::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tSmugglerTeam2::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

        ShipList freighter_sl = sl;
		int32 missionDifficulty = fMissionInfo->mGetDifficultyLevel();

        std::list< eEnhancedClassTypes >  freighterClassList;
		switch(missionDifficulty) {
		case 2:
		case 1:
			freighterClassList.push_back(kEClassPriorityTransport);
			freighterClassList.push_back(kEClassSmallFreighter);
			freighterClassList.push_back(kEClassLargeFreighter);
			break;
		case 0:
		default:
			freighterClassList.push_back(kEClassPriorityTransport);
			freighterClassList.push_back(kEClassSmallFreighter);
			break;
		}
        fShiplistCount = freighter_sl.Subset(freighterClassList);
        gST.mDebug_fprintf("freighter class subset: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  freighterRolesList;
		switch(missionDifficulty) {
		case 2:
			freighterRolesList.push_back(kQship);
			break;
		case 1:
		case 0:
		default:
			freighterRolesList.push_back(kCargo);
			break;
		}
        fShiplistCount = freighter_sl.Subset(freighterRolesList);
        gST.mDebug_fprintf("freighter roles subset: %d\n", fShiplistCount);
        gST.listShiplistContent(freighter_sl);

        if (freighter_sl.size() > 0) {
            Ship s1;
            freighter_sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            mCreateShip(
                typeid( tSmugglerShip2 ),
                s1.shipCode.c_str(),
                kStartPosition_J,
                kNoMetaShipID,
                kSmuggler2,
                0, 0, 0, 0,
                NULL,
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tSmugglerTeam2::mCreateShipsForTeam\n");
}

void tSmugglerTeam2::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tSmugglerTeam2::mOldCreateShipsForTeam\n");
/*
	mCreateShip( typeid( tSmugglerShip2 ),
				 "F-FQL",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kSmuggler2,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );
*/	
	mCreateShip( typeid( tSmugglerShip2 ),
				 180,
				 kClassFreighter,
				 0,
				 kStartPosition_J,
				 kSmuggler2,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tSmugglerTeam2::mOldCreateShipsForTeam\n");
}

void tSmugglerTeam2::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tSmugglerTeam2::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tSmugglerTeam2", shipScriptDescription );
}

