/********************************************************************************************************\

	File Name:	SmugglerTeam2BaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "SmugglerTeam2BaseState.h"
#include "Uni_X1M1ASmuggler.h"
#include "OrionTeam.h"
#include "ShipList_API.h"

void tSmugglerTeam2BaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tSmugglerTeam2BaseState::mEndState()
{}

void tSmugglerTeam2BaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( ( !damagedShip ) || ( !hostileShip ) )
		return;

	if( ( damagedShip->mGetTeam() != kSmugglerTeam2 ) || ( hostileShip->mGetTeam() != kPlayerTeam ) )
		return;

	if( !fChildActor->mCalledOrions() )
	{
		tOrionTeam* orionTeam = dynamic_cast<tOrionTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kOrionTeam ) ) );
		if( !orionTeam )
				return;

		orionTeam->mCreateOrions();
		fChildActor->mSetCalledOrions();
	}
}

void tSmugglerTeam2BaseState::mOnDeath( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mOnCapture( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mOnDisengaged( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mAtDistance( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mAtDestination( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}

void tSmugglerTeam2BaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tSmugglerTeam2BaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tSmugglerTeam2BaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSmugglerTeam2BaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSmugglerTeam2BaseState::mOnFlashingButtonPressed()
{}
void tSmugglerTeam2BaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tSmugglerTeam2BaseState::mOnChangingShip( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tSmugglerTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tSmugglerTeam2BaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tSmugglerTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tSmugglerTeam2BaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tSmugglerTeam2BaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tSmugglerTeam2BaseState::mOnHostChanged()
{}
void tSmugglerTeam2BaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* EnemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kSmugglerTeam2 ) );
        if (EnemyTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (EnemyTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tSmugglerTeam2BaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(EnemyTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tSmugglerTeam2BaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tSmugglerTeam2BaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tSmugglerTeam2BaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

