/********************************************************************************************************\

	Mission:	<MISSION TITLE>
	Script:		"Uni_X1M1ASmuggler"
	Descript:	<DESCRIPTION>

	Created by:		<NAME>		mm/dd/yy
	Last Updated:	<INITIALS>	mm/dd/yy
					<LOG>

\********************************************************************************************************/

#include "MissionText.h"
#include "MissionMaps.h"
#include "Uni_X1M1ASmuggler.h"
#include "PlayerTeam.h"
#include "FreighterTeam.h"
#include "PlanetTeam.h"
#include "SmugglerTeam1.h"
#include "SmugglerTeam2.h"
#include "OrionTeam.h"
#include "ShipList_API.h"


DEFINE_SCRIPT_CLASS( tUni_X1M1ASmuggler );

tUni_X1M1ASmuggler::tUni_X1M1ASmuggler()
{}

int32 tUni_X1M1ASmuggler::mGetEnemyTeamID( void )
{
	return kTeam1;
}

void tUni_X1M1ASmuggler::mScriptSpecs( tMissionSpec* Specs )
{
	gST.mOpenDebugFile();

	Specs->fMissionTitle = Messages[kMissionTitle_msg];
	Specs->fMissionDescription = Messages[kBriefing_msg];
	Specs->fMissionType = kUniqueCampaignMission;
	Specs->fMetaLocationSpec = tMetaLocationSpec( 0, kAnyRaceHex, kAnyTerrainHex );
	Specs->fMinDate = kMinDate;
	Specs->fMaxDate = kMaxDate;
	Specs->fBandwidthPart = kAllBand;
	Specs->fGenericFlags = kStopMetaMovement;

	const tTeamSpec& team1 = mCreateTeamSpec(	"Player Team",
												static_cast< eTeamID >( kPlayerTeam ),
												kMaxChance,
												kTrue,
												kPrimaryTeam,
												kMaxChance,
												kSpecFed | kSpecRomulan | kSpecHydran | kSpecGorn,
												kAnyRace,
												typeid( tPlayerTeam ),
												kNoTeamTag,
												Messages[kTitle2] );

	const tTeamSpec& team2 = mCreateTeamSpec(	"Planet Team",
												static_cast< eTeamID >( kPlanetTeam ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecFed | kSpecKling | kSpecRomulan | kSpecLyran | kSpecGorn | kSpecHydran | kSpecMirak | kSpecISC, // kSpecPlayableRace
												kAnyRace,
												typeid( tPlanetTeam ) );

	const tTeamSpec& team3 = mCreateTeamSpec(	"Freighter Team",
												static_cast< eTeamID >( kFreighterTeam ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecFed | kSpecKling | kSpecRomulan | kSpecLyran | kSpecGorn | kSpecHydran | kSpecMirak, // kSpecPlayableRace && ~kSpecISC
												kSameAs | kPlayerTeam,
												typeid( tFreighterTeam ) );

	const tTeamSpec& team4 = mCreateTeamSpec(	"Smuggler Team 1",
												static_cast< eTeamID >( kSmugglerTeam1 ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecFed | kSpecKling | kSpecRomulan | kSpecLyran | kSpecGorn | kSpecHydran | kSpecMirak, // kSpecPlayableRace && ~kSpecISC,
												kSameAs | kPlayerTeam,
												typeid( tSmugglerTeam1 ) );

	const tTeamSpec& team5 = mCreateTeamSpec(	"Smuggler Team 2",
												static_cast< eTeamID >( kSmugglerTeam2 ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecFed | kSpecKling | kSpecRomulan | kSpecLyran | kSpecGorn | kSpecHydran | kSpecMirak, // kSpecPlayableRace && ~kSpecISC,
												kSameAs | kPlayerTeam,
												typeid( tSmugglerTeam2 ) );

	const tTeamSpec& team6 = mCreateTeamSpec(	"Orion Team",
												static_cast< eTeamID >( kOrionTeam ),
												kMaxChance,
												kTrue,
												kPlayableTeam,
												kMaxChance,
												kSpecOrion,
												kAnyRace,
												typeid( tOrionTeam ) );

	Specs->mSetupTeam( team1 );
	Specs->mSetupTeam( team2 );
	Specs->mSetupTeam( team3 );
	Specs->mSetupTeam( team4 );
	Specs->mSetupTeam( team5 );
	Specs->mSetupTeam( team6 );
}

int32 tUni_X1M1ASmuggler::mInitializeStart( tDynaverseScriptInfo& info )
{
	return 1;
}

void tUni_X1M1ASmuggler::mCreateExternalShips( int32 Mode )
{}

int32 tUni_X1M1ASmuggler::mInitializeFinished( void )
{
	return kBriefing_msg;
}

void tUni_X1M1ASmuggler::mNewInternalShip( tShipInfo* Ship )
{}

void tUni_X1M1ASmuggler::mGetDebriefingList( eVictoryLevels VictoryLevel )
{}

int32 tUni_X1M1ASmuggler::mGetTechnicalSuccessLevel( tDynaverseScriptInfo& info )
{
	return 0;
}

void tUni_X1M1ASmuggler::mStartMission()
{
	tScript::mStartMission();

	const int kRelationsCount = 6;
	int32 teamList[kRelationsCount] =
	{
		kPlayerTeam,
		kPlanetTeam,
		kFreighterTeam,
		kSmugglerTeam1,
		kSmugglerTeam2,
		kOrionTeam,
	};


	/*

		HELPER NOTE:	Below is the initial relationship / goal table.  Each letter has a meaning and each
						meaning has a meaning???

		Relationship Lookup
		- = kTeamSelfAware	//	use this parameter with itself
		A = kTeamAllied		//	cannot fire upon an ally
		F = kTeamFriendly
		N = kTeamNeutral
		H = kTeamHostile	//	will not fire / capture / cripple until provoked
		W = kTeamWar		//	will seek out and destroy / capture / cripple the enemy
		P = kTeamPassive

		Relationship Lookup
		- = kGoalIgnore		//	use this parameter with itself
		I = kGoalIgnore
		C = kGoalCripple
		X = kGoalCapture	//	do not have too many ships target a ship for capturing (accidently destroys it).
		D = kGoalDestroy

	*/
	std::string relationships[kRelationsCount][kRelationsCount] = 
	{
		//Plyr = kPlayerTeam,
		//Plan = kPlanetTeam,
		//Frt  = kFreighterTeam,
		//Smu1 = kSmugglerTeam1,
		//Smu2 = kSmugglerTeam2,
		//Orin = kOrionTeam,

		//	     Plyr  Plan  Frt   Smu1  Smu2  Orin
		/*Plyr*/ "--", "NI", "NI", "HI", "HI", "WD",
		/*Plan*/ "NI", "--", "NI", "NI", "NI", "NI",
		/*Frt*/  "NI", "NI", "--", "NI", "NI", "NI",
		/*Smu1*/ "HI", "NI", "HI", "--", "NI", "NI",
		/*Smu2*/ "HI", "NI", "HI", "NI", "--", "AI",
		/*Orin*/ "WD", "NI", "NI", "NI", "AI", "--",
	};
	fMissionInfo->mSetTeamRelations( teamList, (std::string*)relationships, kRelationsCount);
}

tMapTerrain tUni_X1M1ASmuggler::mAssignMapTerrainTypes( int32 Map )
{
	switch ( Map )
	{
	case 0:
		{
			return tMapTerrain( kTerrainSpace, kPlanetHomeWorld, kBaseStarbase );
		}
		break;
	default:
		{}
		break;
	}
	return tMapTerrain();
}

void tUni_X1M1ASmuggler::mDefineTeamShipStrengths( void )
{
	mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );
	mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );
	mSetTeamShipStrength( kPlayerTeam, kClassFrigate, kClassBattleship, kMinBPV, kMaxBPV );
}

void tUni_X1M1ASmuggler::mDefineBriefings( void )
{
	for( int32 nRace = kFederation; nRace < kMirak + 1; nRace++ )
	{
		fBriefingIndex[kPlayerTeam][nRace] = kBriefing_msg;
	}
}