/********************************************************************************************************\

	File Name:	DefenseShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefenseShip.h"
#include "DefenseShipBaseState.h"
#include "Uni_X1M1FInsurrection.h"
#include "MissionText.h"

tClassAllocator<tDefenseShip> gDefenseShipAllocator;

void tDefenseShip::mSetupState()
{
	mRegisterState( new tDefenseShipBaseState() );
	mGotoState( typeid( tDefenseShipBaseState ) );
}

void tDefenseShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	// State 1
	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailRebel_1_msg );

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Surrender,
									  kSurrenderRebel_1_msg );

	// State 2
	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailRebel_2_msg );

	playerTeam->mRegisterCommMessage( kCommState_2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Surrender,
									  kNoMsg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );

}

void tDefenseShip::mSetupShip()
{
	
}
