/********************************************************************************************************\

	File Name:	DefenseTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "DefenseTeam.h"
#include "DefenseTeamBaseState.h"
#include "DefenseShip.h"
#include "Uni_X1M1FInsurrection.h"
#include "ShipList_API.h"


tClassAllocator<tDefenseTeam> gDefenseTeamAllocator;

void tDefenseTeam::mSetupState()
{
	mRegisterState( new tDefenseTeamBaseState() );
	mGotoState( typeid( tDefenseTeamBaseState ) );
}

void tDefenseTeam::mSetupCommState()
{}

void tDefenseTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tDefenseTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

        ShipList freighter_sl = sl;

        std::list< eEnhancedClassTypes >  freighterClassList;
        freighterClassList.push_back(kEClassLargeFreighter);
        fShiplistCount = freighter_sl.Subset(freighterClassList);
        gST.mDebug_fprintf("freighter class subset: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  freighterRolesList;
        freighterRolesList.push_back(kCargo);
		freighterRolesList.push_back(kQship);
        fShiplistCount = freighter_sl.Subset(freighterRolesList);
        gST.mDebug_fprintf("freighter roles subset: %d\n", fShiplistCount);
        gST.listShiplistContent(freighter_sl);

        if (freighter_sl.size() > 0) {
#ifdef _GERMAN
			char *shipName = "Rebellenschiff";
#else
			char *shipName = "Rebel Ship";
#endif

            Ship s1, s2, s3, s4;
            freighter_sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			freighter_sl.SelectRandomShip(s2);
            gST.mDebug_fprintf("s2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s2.shipCode.c_str(), s2.bpv, s2.yearFirstAvail, s2.yearLastAvail);
            gST.mTrackOrions( s2 );

			freighter_sl.SelectRandomShip(s3);
            gST.mDebug_fprintf("s3 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s3.shipCode.c_str(), s3.bpv, s3.yearFirstAvail, s3.yearLastAvail);
            gST.mTrackOrions( s3 );

			freighter_sl.SelectRandomShip(s4);
            gST.mDebug_fprintf("s4 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s4.shipCode.c_str(), s4.bpv, s4.yearFirstAvail, s4.yearLastAvail);
            gST.mTrackOrions( s4 );

            mCreateShip(
                typeid( tDefenseShip ),
                s1.shipCode.c_str(),
                kStartPosition_I,
                kNoMetaShipID,
                kDefense1,
                0, 0, 0, 0,
                shipName,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tDefenseShip ),
                s2.shipCode.c_str(),
                kStartPosition_I,
                kNoMetaShipID,
                kDefense2,
                0, 0, 0, 0,
                shipName,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tDefenseShip ),
                s3.shipCode.c_str(),
                kStartPosition_J,
                kNoMetaShipID,
                kDefense3,
                0, 0, 0, 0,
                shipName,
                kDefaultShipOptions );

            mCreateShip(
                typeid( tDefenseShip ),
                s4.shipCode.c_str(),
                kStartPosition_J,
                kNoMetaShipID,
                kDefense4,
                0, 0, 0, 0,
                shipName,
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tDefenseTeam::mCreateShipsForTeam\n");
}

void tDefenseTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tDefenseTeam::mOldCreateShipsForTeam\n");

#ifdef _GERMAN
	char *shipName = "Rebellenschiff";
#else
	char *shipName = "Rebel Ship";
#endif

	mCreateShip( typeid( tDefenseShip ),
				 160,
				 kClassFreighter,
				 0,
				 kStartPosition_I,
				 kDefense1,
				 0,0,0,0,
				 shipName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDefenseShip ),
				 160,
				 kClassFreighter,
				 0,
				 kStartPosition_I,
				 kDefense2,
				 0,0,0,0,
				 shipName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDefenseShip ),
				 160,
				 kClassFreighter,
				 0,
				 kStartPosition_J,
				 kDefense3,
				 0,0,0,0,
				 shipName,
				 kDefaultShipOptions );

	mCreateShip( typeid( tDefenseShip ),
				 160,
				 kClassFreighter,
				 0,
				 kStartPosition_J,
				 kDefense4,
				 0,0,0,0,
				 shipName,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tDefenseTeam::mOldCreateShipsForTeam\n");
}

void tDefenseTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tDefenseTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tDefenseTeam", shipScriptDescription );
}

void tDefenseTeam::mGotoSurrenderReady()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	tShipIterator myShips = mGetFirstShip();

	while( *myShips )
	{
		playerTeam->mGotoCommState( myShips->mGetShipID(), tDefenseShip::kCommState_2 );
		myShips++;
	}
}
