/********************************************************************************************************\

	File Name:	DefenseTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefenseTeamBaseState.h"
#include "Uni_X1M1FInsurrection.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDefenseTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tDefenseTeamBaseState::mEndState()
{}

void tDefenseTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefenseTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefenseTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefenseTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefenseTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenseTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefenseTeamBaseState::mOnFlashingButtonPressed()
{}
void tDefenseTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefenseTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefenseTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefenseTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefenseTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefenseTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefenseTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDefenseTeamBaseState::mOnHostChanged()
{}
void tDefenseTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* EnemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefenseTeam ) );
        if (EnemyTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (EnemyTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tDefenseTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(EnemyTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tDefenseTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tDefenseTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefenseTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

