/********************************************************************************************************\

	File Name:	LeaderTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "LeaderTeam.h"
#include "LeaderTeamBaseState.h"
#include "LeaderShip.h"
#include "ShipList_API.h"


tClassAllocator<tLeaderTeam> gLeaderTeamAllocator;

void tLeaderTeam::mSetupState()
{
	mRegisterState( new tLeaderTeamBaseState() );
	mGotoState( typeid( tLeaderTeamBaseState ) );
}

void tLeaderTeam::mSetupCommState()
{}

void tLeaderTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tLeaderTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassSmallMonster);
        for (int32 i = kEClassDestroyer; i <= kEClassWarDestroyer; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for ship classes filter completed. ships: %d\n", fShiplistCount);
		gST.listShiplistContent(sl);

        if (sl.size() > 0) {
#ifdef _GERMAN
			char *shipName = "Flaggeschiff der Rebellen";
#else
			char *shipName = "Rebel Flagship";
#endif

            Ship s1;
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            mCreateShip(
                typeid( tLeaderShip ),
                s1.shipCode.c_str(),
                kStartPosition_K,
                kNoMetaShipID,
                kLeader,
                0, 0, 0, 0,
                shipName,
                kDefaultShipOptions );

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("---- Finished: tLeaderTeam::mCreateShipsForTeam\n");
}

void tLeaderTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tLeaderTeam::mOldCreateShipsForTeam\n");

#ifdef _GERMAN
	char *shipName = "Flaggeschiff der Rebellen";
#else
	char *shipName = "Rebel Flagship";
#endif

	mCreateShip( typeid( tLeaderShip ),
				 110,
				 kClassDestroyer,
				 0,
				 kStartPosition_K,
				 kLeader,
				 0,0,0,0,
				 shipName,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tLeaderTeam::mOldCreateShipsForTeam\n");
}

void tLeaderTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tLeaderTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tLeaderTeam", shipScriptDescription );
}

