/********************************************************************************************************\

	File Name:	LeaderTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "LeaderTeamBaseState.h"
#include "Uni_X1M1FInsurrection.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tLeaderTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tLeaderTeamBaseState::mEndState()
{}

void tLeaderTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tLeaderTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tLeaderTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tLeaderTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tLeaderTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLeaderTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tLeaderTeamBaseState::mOnFlashingButtonPressed()
{}
void tLeaderTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tLeaderTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tLeaderTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tLeaderTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tLeaderTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tLeaderTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tLeaderTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tLeaderTeamBaseState::mOnHostChanged()
{}
void tLeaderTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* EnemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kLeaderTeam ) );
        if (EnemyTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (EnemyTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tLeaderTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(EnemyTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tLeaderTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tLeaderTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tLeaderTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

