/********************************************************************************************************\

	File Name:	TransportBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "TransportBaseState.h"
#include "Uni_X1M1FInsurrection.h"
#include "MissionText.h"
#include "PlayerTeam.h"

void tTransportBaseState::mBeginState()
{}
void tTransportBaseState::mEndState()
{}

void tTransportBaseState::mAtDestination( tShipInfo* ship )
{
	if( !ship )
		return;

	if( ship->mGetTeam() != kTransportTeam )
		return;

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
	if( !playerTeam )
			return;

	tTeamInfo* leaderTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kLeaderTeam ) );
	if( !leaderTeam )
			return;

	tTeamInfo* defenseTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kDefenseTeam ) );
	if( !defenseTeam )
			return;

	if( ( leaderTeam->mShipsRemainingInPlay() ) && ( defenseTeam->mShipsRemainingInPlay() ) )
	{
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTransportAtPlanet_Both_msg );
	}

	else if( ( leaderTeam->mShipsRemainingInPlay() ) && ( !defenseTeam->mShipsRemainingInPlay() ) )
	{
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTransportAtPlanet_Leader_msg );
	}

	else if( ( !leaderTeam->mShipsRemainingInPlay() ) && ( defenseTeam->mShipsRemainingInPlay() ) )
	{
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTransportAtPlanet_Defense_msg );
	}

	else if( ( !leaderTeam->mShipsRemainingInPlay() ) && ( !defenseTeam->mShipsRemainingInPlay() ) )
	{
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kTransportAtPlanet_None_msg );
	}

	playerTeam->mSetTransportAtPlanet();
	gScriptInterface.mSetGameStatus( static_cast<eTeamID>( kPlayerTeam ), kPlayerWins );
}

void tTransportBaseState::mOnDeath( tShipInfo* ship )
{}
void tTransportBaseState::mOnCapture( tShipInfo* ship )
{}
void tTransportBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTransportBaseState::mAtDistance( tShipInfo* ship )
{}

void tTransportBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTransportBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTransportBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTransportBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTransportBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTransportBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTransportBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTransportBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransportBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransportBaseState::mOnFlashingButtonPressed()
{}
void tTransportBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTransportBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTransportBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTransportBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTransportBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTransportBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTransportBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTransportBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTransportBaseState::mOnHostChanged()
{}
void tTransportBaseState::mOnTimedInterval( int32 timerID )
{}
void tTransportBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTransportBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

