/********************************************************************************************************\

	File Name:	TransportTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "TransportTeam.h"
#include "TransportTeamBaseState.h"
#include "Transport.h"
#include "ShipList_API.h"


tClassAllocator<tTransportTeam> gTransportTeamAllocator;

void tTransportTeam::mSetupState()
{
	mRegisterState( new tTransportTeamBaseState() );
	mGotoState( typeid( tTransportTeamBaseState ) );
}

void tTransportTeam::mSetupCommState()
{}

void tTransportTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tTransportTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        ShipList freighter_sl = sl;
        std::list< eEnhancedClassTypes >  freighterClassList;
        freighterClassList.push_back(kEClassLargeFreighter);
        fShiplistCount = freighter_sl.Subset(freighterClassList);
        gST.mDebug_fprintf("freighter class subset: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  freighterRolesList;
        freighterRolesList.push_back(kCommando);
        fShiplistCount = freighter_sl.Subset(freighterRolesList);
        gST.mDebug_fprintf("freighter roles subset: %d\n", fShiplistCount);
        gST.listShiplistContent(freighter_sl);

		if (freighter_sl.size() == 0) {
			// FAILED TO GET A COMMANDO FREIGHTER --FS
			gST.mDebug_fprintf("Failed to get a commando freighter! Let's do this again for a cargo freighter.\n");
			sl = gST.stripOutSPECIAL( sl );
			sl = gST.stripOutRestricted( sl );
			freighter_sl = sl;

			std::list< eEnhancedClassTypes >  freighterClassList;
			freighterClassList.push_back(kEClassLargeFreighter);
			fShiplistCount = freighter_sl.Subset(freighterClassList);
			gST.mDebug_fprintf("freighter class subset: %d\n", fShiplistCount);

			std::list< eEnhancedRoles >  freighterRolesList;
			freighterRolesList.push_back(kCargo);
			fShiplistCount = freighter_sl.Subset(freighterRolesList);
			gST.mDebug_fprintf("freighter roles subset: %d\n", fShiplistCount);
			gST.listShiplistContent(freighter_sl);
		}

        if (freighter_sl.size() > 0) {
#ifdef _GERMAN
			char *shipName = "Transporterschiff";
#else
			char *shipName = "Troop Transport";
#endif

            Ship s1;
            freighter_sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            mCreateShip(
                typeid( tTransport ),
                s1.shipCode.c_str(),
                kStartPosition_H,
                kNoMetaShipID,
                kTransport,
                0, 0, 0, 0,
                shipName,
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tTransportTeam::mCreateShipsForTeam\n");
}

void tTransportTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tTransportTeam::mOldCreateShipsForTeam\n");

#ifdef _GERMAN
	char *shipName = "Transporterschiff";
#else
	char *shipName = "Troop Transport";
#endif

	mCreateShip( typeid( tTransport ),
				 180,
				 kClassFreighter,
				 0,
				 kStartPosition_H,
				 kTransport,
				 0,0,0,0,
				 shipName,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Entering: tTransportTeam::mOldCreateShipsForTeam\n");
}

void tTransportTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tTransportTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tTransportTeam", shipScriptDescription );
}

