/********************************************************************************************************\

	File Name:	AllyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyShip.h"
#include "AllyShipBaseState.h"
#include "Uni_X1M2Trial.h"
#include "TransportTeam.h"

tClassAllocator<tAllyShip> gAllyShipAllocator;

void tAllyShip::mSetupState()
{
	mRegisterState( new tAllyShipBaseState() );
	mGotoState( typeid( tAllyShipBaseState ) );
}

void tAllyShip::mSetupCommState()
{}

void tAllyShip::mSetupShip()
{
	tTeamInfo* transportTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kTransportTeam ) );
	if( !transportTeam )
			return;

	tShipIterator transportI = transportTeam->mGetFirstShip();
	if( !*transportI )
		return;

	// defend the transport
	mDefendEntity( *transportI, 30.0f, 2.0f, kAbsolutePriority );


	// hack to make this work: same heading, same max speed
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;

	tShipIterator planetI = planetTeam->mGetFirstShip();
	if( !*planetI )
		return;

	// workaround bug where defender ships park themselves and stop helping
	int32 nX, nY;
	planetI->mGetGridPosition( &nX, &nY );

	mSetFinalDestination( nX, nY );	
	mSetShipMaxSpeed( 16 );
	mSetShipThrust(16);
	mSetShipAIControlled(kTrue);
}
