/********************************************************************************************************\

	File Name:	AllyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AllyTeam.h"
#include "AllyTeamBaseState.h"
#include "AllyShip.h"
#include "ShipList_API.h"
#include "OrionTeam.h"
#include "Uni_X1M2Trial.h"

tClassAllocator<tAllyTeam> gAllyTeamAllocator;

void tAllyTeam::mSetupState()
{
	mRegisterState( new tAllyTeamBaseState() );
	mGotoState( typeid( tAllyTeamBaseState ) );
}

void tAllyTeam::mClearDefenseCommands()
{
	gST.mDebug_fprintf("--- Entering tAllyTeam::mClearDefenseCommands\n");

	tShipIterator tsi = mGetFirstShip();
	for (;;)
	{
		Ship aShip;
		tShipInfo *si = *tsi;
		if (!si)
			break;

		si->mSetShipMaxSpeed( 31 );
		si->mClearCommands();
		si->mSetShipAIControlled(kTrue);

		tsi++;
	}

	tOrionTeam* orionTeam = dynamic_cast<tOrionTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kOrionTeam ) ) );
	if( !orionTeam )
		return;

	// Attack! AI defense is stupid. :) --FS
	fMissionInfo->mSetTeamRelations( ( mGetTeam() ), ( orionTeam->mGetTeam() ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );

	gST.mDebug_fprintf("--- Finished: tAllyTeam::mClearDefenseCommands\n");
}

void tAllyTeam::mSetupCommState()
{}

void tAllyTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tAllyTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
		sl = gST.selectWarShipRoles( sl );

        ShipList ship_sl = sl;
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassSmallMonster);
        for (int32 i = kEClassFrigate; i <= kEClassWarDestroyer; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = ship_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for ship classes filter completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(ship_sl);

        if (ship_sl.size() > 0) {
			for (int32 i = kAlly1; i <= kAlly4; i++) {
				Ship s1;
				ship_sl.SelectRandomShip(s1);
				gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
					s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
				gST.mTrackOrions( s1 );

				int32 startPosition = kStartPosition_H;
				if (i % 2 == 0) {
					startPosition = kStartPosition_I;
				}
				mCreateShip(
					typeid( tAllyShip ),
					s1.shipCode.c_str(),
					startPosition,
					kNoMetaShipID,
					i,
					0, 0, 0, 0,
					"Escort Ship",
					kDefaultShipOptions );
			}
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tAllyTeam::mCreateShipsForTeam\n");
}

void tAllyTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tAllyTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tAllyShip ),
				 80,
				 kClassFrigate,
				 0,
				 kStartPosition_I,
				 kAlly1,
				 0,0,0,0,
				 "Escort Ship",
				 kDefaultShipOptions );

	mCreateShip( typeid( tAllyShip ),
				 80,
				 kClassFrigate,
				 0,
				 kStartPosition_H,
				 kAlly2,
				 0,0,0,0,
				 "Escort Ship",
				 kDefaultShipOptions );

	mCreateShip( typeid( tAllyShip ),
				 80,
				 kClassFrigate,
				 0,
				 kStartPosition_I,
				 kAlly3,
				 0,0,0,0,
				 "Escort Ship",
				 kDefaultShipOptions );

	mCreateShip( typeid( tAllyShip ),
				 80,
				 kClassFrigate,
				 0,
				 kStartPosition_H,
				 kAlly4,
				 0,0,0,0,
				 "Escort Ship",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tAllyTeam::mOldCreateShipsForTeam\n");
}

void tAllyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAllyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tAllyTeam", shipScriptDescription );
}

