/********************************************************************************************************\

	File Name:	PlanetTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlanetTeam.h"
#include "PlanetTeamBaseState.h"
#include "Planet.h"
#include "Uni_X1M2Trial.h"
#include "ShipList_API.h"


tClassAllocator<tPlanetTeam> gPlanetTeamAllocator;

void tPlanetTeam::mSetupState()
{
	mRegisterState( new tPlanetTeamBaseState() );
	mGotoState( typeid( tPlanetTeamBaseState ) );
}

void tPlanetTeam::mSetupCommState()
{}

void tPlanetTeam::mCreateShipsForTeam()
{
	// Not changing this, even for OP+ enhancements: --FS
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	ASSERT( playerTeam );
	if( !playerTeam ) return;

	char *szBaseName = "F-SBS";

	switch( playerTeam->mGetRace() )
	{
	case kFederation:
		szBaseName = "F-SBS";
		break;

	case kRomulan:
		szBaseName = "R-SBS";
		break;

	case kHydran:
		szBaseName = "H-SBS";
		break;

	case kGorn:
		szBaseName = "G-SBS";
		break;

	default:
		break;
	}

	mCreateShip( typeid( tPlanet ),
				 szBaseName,
				 kStartPosition_Z,
				 kNoMetaShipID,
				 kPlanet,
				 0,0,0,0,
				 "Penal Colony",
				 kDefaultShipOptions );
}

void tPlanetTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlanetTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tPlanetTeam", shipScriptDescription );
}

