/********************************************************************************************************\

	File Name:	Transport.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Transport.h"
#include "TransportBaseState.h"
#include "Uni_X1M2trial.h"
#include "PlanetTeam.h"

tClassAllocator<tTransport> gTransportAllocator;

void tTransport::mSetupState()
{
	mRegisterState( new tTransportBaseState() );
	mGotoState( typeid( tTransportBaseState ) );
}

void tTransport::mSetupCommState()
{}

void tTransport::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyAtDestination );
	mSetShipMaxSpeed( 16 );

	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;

	tShipIterator planetI = planetTeam->mGetFirstShip();
	if( !*planetI )
		return;

	int32 nX, nY;
	planetI->mGetGridPosition( &nX, &nY );

	mSetFinalDestination( nX, nY );	
}
