/********************************************************************************************************\

	File Name:	EnemyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "EnemyTeam.h"
#include "EnemyTeamShip.h"
#include "ShipList_API.h"
#include "EnemyTeamBaseState.h"


tClassAllocator<tEnemyTeam> gPlayerNPCTeamAllocator;


void tEnemyTeam::mSetupState()
{
	mRegisterState( new tEnemyTeamBaseState() );
    mGotoState( typeid( tEnemyTeamBaseState ) );
}

void tEnemyTeam::mSetupCommState()
{

}

void tEnemyTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tEnemyTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

        ShipList freighter_sl = sl;
        std::list< eEnhancedClassTypes >  freighterClassList;
        freighterClassList.push_back(kEClassPriorityTransport);
		freighterClassList.push_back(kEClassSmallFreighter);
        freighterClassList.push_back(kEClassLargeFreighter);
        fShiplistCount = freighter_sl.Subset(freighterClassList);
        gST.mDebug_fprintf("freighter class subset: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  freighterRolesList;
        freighterRolesList.push_back(kCargo);
        fShiplistCount = freighter_sl.Subset(freighterRolesList);
        gST.mDebug_fprintf("freighter roles subset: %d\n", fShiplistCount);
        gST.listShiplistContent(freighter_sl);


        if (freighter_sl.size() > 0) {
            Ship s1;
            freighter_sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            mCreateShip(
                typeid(tEnemyTeamShip),
                s1.shipCode.c_str(),
                kStartPosition_M,
                kNoMetaShipID,
                -1,
                0, 0, -1, -1,
                NULL,
                static_cast<eShipOptions>( kStartPositionCanBeOffset ) );

        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tEnemyTeam::mCreateShipsForTeam\n");
}


void tEnemyTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tEnemyTeam::mOldCreateShipsForTeam\n");

	mCreateShip(	
		typeid( tEnemyTeamShip ), 
		kMaxBPV, 
		kClassFreighter, 
		30, 
		kStartPosition_M,
		-1, 
		0, 0, -1, -1, 
		NULL, 
		static_cast<eShipOptions>( kStartPositionCanBeOffset ) );

	gST.mDebug_fprintf("---- Finished: tEnemyTeam::mOldCreateShipsForTeam\n");
}

void tEnemyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mCensusOnlyDraft( "tEnemyTeam", shipScriptDescription );
}
