//	<Name>	InterceptorVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( InterceptorVictoryState_h )
#define InterceptorVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "InterceptorVictory.h"

class tInterceptorVictoryState : public tChildActorVictoryState<tInterceptorVictory>
{
public:
   enum eTimeIDs
   {
		fDescrambledID,
		fGameOverID,
   };

   tInterceptorVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnTimedInterval( int32 timerID );

	virtual void mCheckAllTeams( tShipInfo* ship );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );

protected:

	int32 fEnemyShipsInPlay;
	int32 fPlayerShipsInPlay;
	bool fFreighterDestroyed;
	bool fDestroyedByHole;
	bool fGotInfo;

};

#endif

