//	<Name>	BaseTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_X2M2Reclamation.h"
#include "tclient.h"
#include "BaseTeam.h"
#include "BaseTeamShip.h"
#include "MissionText.h"
#include "ShipList_API.h"

tClassAllocator<tBaseTeam> gBaseTeamAllocator;

void tBaseTeam::mSetupState()
{
}

void tBaseTeam::mSetupCommState()
{
}

void tBaseTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tBaseTeam::mCreateShipsForTeam\n");

    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassBaseStation);
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for basestation filter completed. ships: %d\n", fShiplistCount);

		std::list< eEnhancedRoles >  baseRolesList;
        baseRolesList.push_back(kBase);
        fShiplistCount = sl.Subset(baseRolesList);
        gST.mDebug_fprintf("base role subset: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        if (sl.size() > 0) {
            Ship s1;
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("ship %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            mCreateShip(
                typeid( tBaseTeamShip ),
                s1.shipCode.c_str(),
                kStartPosition_Z,
                kNoMetaShipID,
                kBaseStation,
                0, 0, -1, -1,
                NULL,
                kDefaultShipOptions );

        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tBaseTeam::mCreateShipsForTeam\n");
}



void tBaseTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tBaseTeam::mOldCreateShipsForTeam\n");

	mCreateShip(
		typeid( tBaseTeamShip ), 
		0, 
		kClassBaseStation, 
		0, 
		kStartPosition_Z,
		kBaseStation, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tBaseTeam::mOldCreateShipsForTeam\n");
}

void tBaseTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mCensusOnlyDraft( "tBaseTeam", shipScriptDescription );
}

