//	<Name>	BaseTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//


#include "Uni_X2M2Reclamation.h"
//#include "ShipInfo.h"
//#include "ScriptInterface.h"

#include "MissionText.h"
#include "BaseTeamShip.h"
#include "BaseTeamShipInitialState.h"
#include "EnemyTeam.h"
#include "EnemyTeamShip.h"
#include "PlayerTeam.h"
#include "BaseTeam.h"
#include "ShipList_API.h"


tBaseTeamShipInitialState::tBaseTeamShipInitialState( )
{
	fDetected = false;
	fTraitor = false;
}

void tBaseTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );

    gST.mDebug_fprintf("--- Starting: tBaseTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tBaseTeamShipInitialState::mBeginState\n");
}

void tBaseTeamShipInitialState::mEndState()
{
}
void tBaseTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	int32 rangeThisInterval = 0;
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	Assert( playerTeam );
//	tShipInfo* playerShip;
	tEnemyTeam* enemyTeam = dynamic_cast<tEnemyTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) ) );
	Assert( enemyTeam );
	tTeamInfo* baseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );
	tShipIterator ship = baseTeam->mGetFirstShip();
	tShipInfo* base = *ship;
	ship = playerTeam->mGetFirstShip();
	tShipInfo* shipToCheck = *ship;

	if( timerID == kCheckDistanceID )
	{
		for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship ) )
		{
			fDetected = enemyTeam->mGetPlayerShipDetected();

			rangeThisInterval = fChildActor->mGetTacticalDistance( shipToCheck );

			if( !fDetected && ( rangeThisInterval < 12 ) && !( playerTeam->mGetSentCode() ) && shipToCheck->mInPlay() )
			{
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kDetectedByStation_msg, kScienceScriptMessage );
				enemyTeam->mSetPlayerShipDetected( true );


				tShipIterator enemyship = enemyTeam->mGetFirstShip();
				tShipInfo* currentEnemyShip = *enemyship;

				for( currentEnemyShip; currentEnemyShip != NULL; currentEnemyShip = *( ++enemyship ) )
				{
					playerTeam->mGotoCommState( currentEnemyShip->mGetShipID(), tEnemyTeamShip::kHailDetectedCommState );
				}
				playerTeam->mGotoCommState(  base->mGetShipID(), tBaseTeamShip::kHailDetectedCommState );
				mSetTimedInterval( kTimerSecondsSet, kDetectedID, 6.0f );
				fDetected = true;
			}

		}// end for playerShip
		if( !fDetected )
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
		}
	}//timerID = kCheckDistanceID
	else if( timerID == kDetectedID )
	{
		enemyTeam->mClearCommands();
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kBaseTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
	}

    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tCruiserBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tCruiserBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tBaseTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tEnemyTeam* enemyTeam = dynamic_cast<tEnemyTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) ) );
	Assert( enemyTeam );
	tTeamInfo* baseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );
	tShipIterator ship = baseTeam->mGetFirstShip();
	tShipInfo* base = *ship;
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );

	if( damagedShip->mGetShipID() == fChildActor->mGetShipID() )
	{
		enemyTeam->mClearCommands();
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kBaseTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );

		tShipIterator enemyship = enemyTeam->mGetFirstShip();
		tShipInfo* currentEnemyShip = *enemyship;

		for( currentEnemyShip; currentEnemyShip != NULL; currentEnemyShip = *( ++enemyship ) )
		{
			playerTeam->mGotoCommState( currentEnemyShip->mGetShipID(), tEnemyTeamShip::kHailDetectedCommState );
		}
		playerTeam->mGotoCommState( base->mGetShipID(), tBaseTeamShip::kHailDetectedCommState );

		if( ( playerTeam->mGetSentCode() ) && !fTraitor )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kTraitor_msg );
			fTraitor = true;
		}

	}
}


void tBaseTeamShipInitialState::mOnCapture( tShipInfo* ship )
{
	tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
	tTeamInfo* baseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );
	tShipIterator pship = baseTeam->mGetFirstShip();
	tShipInfo* base = *pship;
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );

	if ( ship->mGetOriginalTeam() == kBaseTeam )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kBaseTeam ),  kCapturedBase_msg );
		if( base )
		{
			fChildActor->mAddItemToStores( kTransporterItem, kTransDiplomat, 1);
			playerTeam->mGotoCommState(  ship->mGetShipID(), tBaseTeamShip::kBaseCapturedCommState );
		}
	}
}

void tBaseTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
    if ((fChildActor->mGetShipID() == targetShip->mGetShipID()) && ( targetShip->mGetCustomID() == tBaseTeam::kBaseStation ))
    {
        switch ( buttonID )
        {
        case kBaseShieldsDown_btn:
            {
                fChildActor->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f );
            }
            break;
        }
    }
}
