//	<Name>	BuoyTeam.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_X2M2Reclamation.h"
#include "tclient.h"
#include "BuoyTeam.h"
#include "BuoyTeamShip.h"
#include "ShipList_API.h"

tClassAllocator<tBuoyTeam> gBuoyTeamAllocator;

void tBuoyTeam::mSetupState()
{
}

void tBuoyTeam::mSetupCommState()
{
}

void tBuoyTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Starting: tBuoyTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        // Defense platforms
        std::list< eEnhancedClassTypes >  LPClassTypeList;
        LPClassTypeList.push_back(kEClassListeningPost);
        fShiplistCount = sl.Subset(LPClassTypeList, true);
        gST.mDebug_fprintf("subset for Platform class filter completed. ships: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  LPRolesList;
        LPRolesList.push_back(kListeningPost);
        fShiplistCount = sl.Subset(LPRolesList, true);
        gST.mDebug_fprintf("subset for ListeningPost eEnhancedRoles completed. ships: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);

        if (sl.size() > 0) {
            Ship s1;
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            mCreateShip(
                typeid( tBuoyTeamShip ),
                s1.shipCode.c_str(),
                kStartPosition_Y,
                kNoMetaShipID,
                kBuoy,
                0, 0, -1, -1,
                NULL,
                kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }

    gST.mDebug_fprintf("--- Finished: tBuoyTeam::mCreateShipsForTeam\n");
}


void tBuoyTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tBuoyTeam::mOldCreateShipsForTeam\n");

	eRaceName  playerRace;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	playerRace = playerTeam->mGetRace();

	// create the appropriate buoy based on player race
	std::string buoyPlatform = "K-LP";
	switch( playerRace )
	{
		case kKlingon:
			buoyPlatform = "K-LP"; break;
		case kLyran:
			buoyPlatform = "L-LP"; break;
		case kGorn:
			buoyPlatform = "G-LP"; break;
		case kMirak:
			buoyPlatform = "Z-LP"; break;
	}

	mCreateShip(
		typeid( tBuoyTeamShip ), 
		buoyPlatform.c_str(), 
		kStartPosition_Y,
		kNoMetaShipID, 
		kBuoy, 
		0, 0, -1, -1, 
		NULL, 
		kDefaultShipOptions );

	gST.mDebug_fprintf("--- Finished: tBuoyTeam::mOldCreateShipsForTeam\n");
}

void tBuoyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
    gST.mCensusOnlyDraft( "tBuoyTeam", shipScriptDescription );
}
