/********************************************************************************************************\

	File Name:	BuoyTeamShipInitialState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BuoyTeamShipInitialState.h"
#include "Uni_X2M2Reclamation.h"
#include "ShipList_API.h"

void tBuoyTeamShipInitialState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tBuoyTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tBuoyTeamShipInitialState::mBeginState\n");
}
void tBuoyTeamShipInitialState::mEndState()
{}

void tBuoyTeamShipInitialState::mOnDeath( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mOnCapture( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mOnDisengaged( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mAtDistance( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mAtDestination( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}

void tBuoyTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tBuoyTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tBuoyTeamShipInitialState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tBuoyTeamShipInitialState::mOnProbeLaunch( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mOnBeginOrbit( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mOnEndOrbit( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBuoyTeamShipInitialState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tBuoyTeamShipInitialState::mOnFlashingButtonPressed()
{}
void tBuoyTeamShipInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tBuoyTeamShipInitialState::mOnChangingShip( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mOnSpecialTransport( tShipInfo* ship )
{}
void tBuoyTeamShipInitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tBuoyTeamShipInitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tBuoyTeamShipInitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tBuoyTeamShipInitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tBuoyTeamShipInitialState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tBuoyTeamShipInitialState::mOnHostChanged()
{}
void tBuoyTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tNPCTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tNPCTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tBuoyTeamShipInitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tBuoyTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}


