//	<Name>	EnemyTeamShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_X2M2Reclamation.h"
#include "EnemyTeamShip.h"
#include "MissionText.h"
#include "TeamInfo.h"
#include "EnemyTeamShipInitialState.h"

tClassAllocator<tEnemyTeamShip> gEnemyTeamShipAllocator;

void tEnemyTeamShip::mSetupState()
{
	mRegisterState( new tEnemyTeamShipInitialState( ) );

	mGotoState( typeid( tEnemyTeamShipInitialState ) );
}

void tEnemyTeamShip::mSetupCommState()
{
	eRaceName  playerRace;
	tTeamInfo* playerTeam =  fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	playerRace = playerTeam->mGetRace();


	playerTeam->mRegisterCommMessage( kHailWithOutCodeCommState, kNoStateChange, mGetShipID() , kHail_btn, kHailShip_msg );

	playerTeam->mRegisterCommMessage( kHailDetectedCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailShipDetected_msg );

	playerTeam->mRegisterCommMessage( kHailWithCodeCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailShipWithCode_msg );

	switch( playerRace )
	{
		case kKlingon:
			playerTeam->mRegisterCommMessage( kLegendSpeaksCommState, kBlankCommState, mGetShipID() , kLegendHails_btn, kMurvisSpeech_msg );
		break;
		case kLyran:
			playerTeam->mRegisterCommMessage( kLegendSpeaksCommState, kBlankCommState, mGetShipID() , kLegendHails_btn, kLoronyhiSpeech_msg );
		break;
		case kGorn:
			playerTeam->mRegisterCommMessage( kLegendSpeaksCommState, kBlankCommState, mGetShipID() , kLegendHails_btn, kSelotSpeech_msg );
		break;
		case kMirak:
			playerTeam->mRegisterCommMessage( kLegendSpeaksCommState, kBlankCommState, mGetShipID() , kLegendHails_btn, kClawSpeech_msg );
		break;
	}
	
	playerTeam->mGotoCommState( mGetShipID(), kHailWithOutCodeCommState );
}
void tEnemyTeamShip::mSetupShip()
{
	tMapPoint wayPoints_1[6] =
	{
		12,	3,
		16,	5,
		16,	11,
		12,	13,
		8,	11,
		8,	5,
	 };
	mPatrol( 22, 6, &wayPoints_1[0], kHighPriority );

	mSetShipCallbackEvents( kNotifyDamage );
}
