//	<Name>	EnemyTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//


#include "Uni_X2M2Reclamation.h"
//#include "ShipInfo.h"
//#include "ScriptInterface.h"

#include "MissionText.h"
#include "EnemyTeamShip.h"
#include "EnemyTeamShipInitialState.h"
#include "EnemyTeam.h"
#include "EnemyTeamShip.h"
#include "PlayerTeam.h"
#include "BaseTeam.h"
#include "ShipList_API.h"


tEnemyTeamShipInitialState::tEnemyTeamShipInitialState( )
{
	fDetected = false;
}

void tEnemyTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 1.0f );

    gST.mDebug_fprintf("--- Starting: tEnemyTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tEnemyTeamShipInitialState::mBeginState\n");
}

void tEnemyTeamShipInitialState::mEndState()
{
}
void tEnemyTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	int32 rangeThisInterval = 0;
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );
	tEnemyTeam* enemyTeam = dynamic_cast<tEnemyTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) ) );
	Assert( enemyTeam );
	tTeamInfo* baseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );

	tShipIterator ship = playerTeam->mGetFirstShip();
	tShipInfo* shipToCheck = *ship;

	fDetected = enemyTeam->mGetPlayerShipDetected();

	if( ( timerID == kCheckDistanceID ) && ( !fDetected ) )
	{
		for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship ) )
		{
			rangeThisInterval = fChildActor->mGetTacticalDistance( shipToCheck );

			if ( ( rangeThisInterval < 8 ) && ( shipToCheck->mInPlay() ) ) 
			{
				if( !( playerTeam->mGetSentCode() )  && !( playerTeam->mGetLegendRescued() ) )
				{
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kDetected_msg, kScienceScriptMessage );
					enemyTeam->mSetPlayerShipDetected( true );
					mSetTimedInterval( kTimerSecondsSet, kDetectedID, 6.0f );

					tShipIterator enemyship = enemyTeam->mGetFirstShip();
					tShipInfo* currentEnemyShip = *enemyship;

					if( !( playerTeam->mGetLegendRescued() ) )
					{
						for( currentEnemyShip; currentEnemyShip != NULL; currentEnemyShip = *( ++enemyship ) )
						{
							playerTeam->mGotoCommState( currentEnemyShip->mGetShipID(), tEnemyTeamShip::kHailDetectedCommState );
						}

						playerTeam->mGotoCommState( baseTeam->mGetTeam(), tBaseTeam::kHailDetectedCommState );
						fDetected = true;
					}
				}
			}
		}// end for playerShip
		if ( ! fDetected )
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
		}
	}//timerID = kCheckDistanceID

	else if( timerID == kDetectedID )
	{
		enemyTeam->mClearCommands();
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kBaseTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
	}

    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tCruiserBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tCruiserBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tEnemyTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tEnemyTeam* enemyTeam = dynamic_cast<tEnemyTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) ) );
	Assert( enemyTeam );
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );
	tTeamInfo* baseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );


	if( ( damagedShip->mGetShipID() == fChildActor->mGetShipID() ) && !( playerTeam->mGetLegendRescued() ) )
	{
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
		enemyTeam->mClearCommands();
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kBaseTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );


		tShipIterator enemyship = enemyTeam->mGetFirstShip();
		tShipInfo* currentEnemyShip = *enemyship;

		for( currentEnemyShip; currentEnemyShip != NULL; currentEnemyShip = *( ++enemyship ) )
		{
			playerTeam->mGotoCommState( currentEnemyShip->mGetShipID(), tEnemyTeamShip::kHailDetectedCommState );
		}
		playerTeam->mGotoCommState( baseTeam->mGetTeam(), tBaseTeam::kHailDetectedCommState );
	}
}
void tEnemyTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{
	tTeamInfo* baseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );
	tEnemyTeam* enemyTeam = dynamic_cast<tEnemyTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) ) );
	Assert( enemyTeam );
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );


	 if( *actor == typeid( tEnemyTeam ) &&
		state == ( tEnemyTeamShip::kLegendSpeaksCommState ) &&
		eventType == kEndingState )
	{
		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
	}
}
