//	<Name>	EnemyVisitorShip.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_X2M2Reclamation.h"
#include "EnemyVisitorShip.h"
#include "EnemyVisitorShipInitialState.h"

#include "MissionText.h"

tClassAllocator<tEnemyVisitorShip> gEnemyVisitorShipAllocator;

void tEnemyVisitorShip::mSetupState()
{
	mRegisterState( new tEnemyVisitorShipInitialState( ) );

	mGotoState( typeid( tEnemyVisitorShipInitialState ) );
}

void tEnemyVisitorShip::mSetupCommState()
{
	eRaceName  playerRace;
	tTeamInfo* playerTeam =  fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) );
	playerRace = playerTeam->mGetRace();


	playerTeam->mRegisterCommMessage( kHailWithOutCodeCommState, kNoStateChange, mGetShipID() , kHail_btn, kHailShip_msg );

	playerTeam->mRegisterCommMessage( kHailDetectedCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailShipDetected_msg );

	playerTeam->mRegisterCommMessage( kHailWithCodeCommState, kNoStateChange, mGetShipID(), kHail_btn, kHailShipWithCode_msg );

	switch( playerRace )
	{
		case kKlingon:
			playerTeam->mRegisterCommMessage( kLegendSpeaksCommState, kBlankCommState, mGetShipID() , kLegendHails_btn, kMurvisSpeech_msg );
		break;
		case kLyran:
			playerTeam->mRegisterCommMessage( kLegendSpeaksCommState, kBlankCommState, mGetShipID() , kLegendHails_btn, kLoronyhiSpeech_msg );
		break;
		case kGorn:
			playerTeam->mRegisterCommMessage( kLegendSpeaksCommState, kBlankCommState, mGetShipID() , kLegendHails_btn, kSelotSpeech_msg );
		break;
		case kMirak:
			playerTeam->mRegisterCommMessage( kLegendSpeaksCommState, kBlankCommState, mGetShipID() , kLegendHails_btn, kClawSpeech_msg );
		break;
	}
	
	playerTeam->mGotoCommState( mGetShipID(), kHailWithOutCodeCommState );
}
void tEnemyVisitorShip::mSetupShip()
{
	mSetFinalDestination();
	mSetShipCallbackEvents( kNotifyAtDestination );
	mSetShipCallbackEvents( kNotifyDamage );
}

