//	<Name>	EnemyVisitorShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//


#include "Uni_X2M2Reclamation.h"
//#include "ShipInfo.h"
//#include "ScriptInterface.h"

#include "MissionText.h"
#include "EnemyVisitorShip.h"
#include "EnemyVisitorShipInitialState.h"
#include "EnemyTeam.h"
#include "ShipList_API.h"


tEnemyVisitorShipInitialState::tEnemyVisitorShipInitialState( )
{
	fDetected = false;
}

void tEnemyVisitorShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 1.0f );

    gST.mDebug_fprintf("--- Starting: tEnemyVisitorShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tEnemyVisitorShipInitialState::mBeginState\n");
}

void tEnemyVisitorShipInitialState::mEndState()
{
}
void tEnemyVisitorShipInitialState::mAtDestination( tShipInfo* ship )
{
	if( ship->mGetActorID() == fChildActor->mGetActorID() )
	{
		fChildActor->mDisengage( kByMapEdge, kAbsolutePriority );
	}
}
void tEnemyVisitorShipInitialState::mOnTimedInterval( int32 timerID )
{
	int32 rangeThisInterval = 0;
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
	tEnemyTeam* enemyTeam = dynamic_cast<tEnemyTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) ) );
	Assert( playerTeam );
	tShipIterator ship = playerTeam->mGetFirstShip();
	tShipInfo* shipToCheck = *ship;

	fDetected = enemyTeam->mGetPlayerShipDetected();

	if( ( timerID == kCheckDistanceID ) &&  !fDetected ) 
	{
		for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship ) )
		{
			rangeThisInterval = fChildActor->mGetTacticalDistance( shipToCheck );

			if( ( rangeThisInterval < 8 ) && ( shipToCheck->mInPlay() ) )
			{
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ), kDetected_msg, kScienceScriptMessage );
				enemyTeam->mSetPlayerShipDetected( true );
				mSetTimedInterval( kTimerSecondsSet, kDetectedID, 6.0f );
			}

		}// end for playerShip
		if( !fDetected )
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
		}
	}//timerID = kCheckDistanceID
	else if( timerID == kDetectedID )
	{
		enemyTeam->mClearCommands();
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kBaseTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
	}

    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tCruiserBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tCruiserBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tEnemyVisitorShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );

	if( damagedShip->mGetShipID() == fChildActor->mGetShipID() )
	{
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) );
		enemyTeam->mClearCommands();
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kEnemyTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kBaseTeam ), playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
	}
}
