/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------


std::string Messages[] =
{
	// kMissionTitle_msg,
	"Uni_X2M2Reclamation",

	//kShortBriefing_msg,
	"We are about to engage in a very risky ground offensive against the ISC. Our best hope " \
	"is to retrieve our ground commander who is being held prisoner by a rogue faction in our government." \
	"You will take your ship, go to the space station, board it, retrieve the commander, and escape. However, this " \
	"plan is risky, and if you can figure out a better way to handle it, we will not disapprove provided " \
	"the final result is favorable.\n\n" \
	"Dismissed.",

	// kKliBriefing_msg,
	"The Klingon Empire is about to engage in a very risky ground offensive against the ISC. Our best hope " \
	"of success is the Force Leader Murvis, once a master planner of Klingon Marine forces.\n\n" \
	"Unfortunately, Murvis is a prisoner of House Darz'hok, who captured him twenty years ago in a house " \
	"dispute. House Darz'hok claims he is long dead, but we know otherwise. Yet we cannot openly accuse " \
	"that house of lying, so the only option available is to send a ship to retrieve him from his prison.\n\n" \
	"You will take your ship, go to the space station, capture it, retrieve Murvis, and escape. However, this " \
	"plan is risky, and if you can figure out a better way to handle it, we will not disapprove provided the " \
	"final result is favorable.\n\n" \
	"Qapla.",
	//kLyrBriefing_msg,
	"The Lyran Empire is about to engage in a very risky ground offensive against the ISC. Our best hope " \
	"of success is Loronyhi, the most decorated Stalker in the history of the empire.\n\n" \
	"Unfortunately, Loronyhi is a prisoner of the Transcendent Eye clan, who captured her eighteen years ago. " \
	"The Transcendent Eyes claim she is long dead, but we know otherwise. Yet we cannot openly accuse that " \
	"clan of lying, so the only option available is to send a ship to retrieve her from their prison.\n\n" \
	"You will take your ship, go to the space station, capture it, retrieve Loronyhi, and escape. However, this " \
	"plan is risky, and if you can figure out a better way to handle it, we will not disapprove provided " \
	"the final result is favorable.\n\n" \
	"May you honor your Clan.  Dismissed.",
	//kGorBriefing_msg,
	"The Gorn Confederation is about to engage in a very risky ground offensive against the ISC. Our best " \
	"hope of success is Selot Rex, a master of ground combat.\n\n" \
	"Unfortunately, Selot is a prisoner of the Gidanian Yellow-Blues, who captured him eighteen years " \
	"ago. The Gidanians claim he is long dead, but we know otherwise. Yet we cannot openly accuse that " \
	"clan of lying, so the only option available is to send a ship to retrieve him from their prison.\n\n" \
	"You will take your ship, go to the space station, capture it, retrieve Selot, and escape. However, we admit " \
	"this plan is risky, and if you can figure out a better way to handle it, we will not disapprove provided " \
	"the final result is favorable.\n\n" \
	"Good luck. Fight hard.  Dismissed.",
	//kMirakBriefing_msg,
	"The Mirak are about to engage in a very risky ground offensive against the ISC. Our best hope of success " \
	"is Claw of Summer, who needs no introduction. I'm sure you all studied his stratagems prior to your " \
	"commissions.\n\n"
	"We thought Claw of Summer was dead, but apparently we were mistaken. Nineteen years ago the government " \
	"in sector [SYSTEM_NAME], who were rebelling against us at the time, imprisoned Claw of Summer.  They soon rejoined " \
	"the Mirak, but were too embarrassed to admit they had imprisoned such a great Mirak, so they have hidden " \
	"him ever since. We cannot shame them by openly accusing them of this crime, so our only option available " \
	"is to send a ship to retrieve him from their prison.\n\n" \
	"You will take your ship, go to the space station, capture it, retrieve Claw of Summer, and escape. However, we " \
	"admit this plan is risky, and if you can figure out a better way to handle it, we will not disapprove " \
	"provided the final result is favorable.\n\n" \
	"Good luck. Dismissed.",

	//kKliStart_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. Murvis is one of the greatest Klingon warriors of all time, a master of " \
	"ground combat. It will be a great honor to release him from the captivity of petty politics.",
	//kLyrStart1_msg,
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire, [STARDATE]. Loronyhi is one of the greatest " \
	"Lyran warriors in history, a master of ground combat. It is shocking to think that the duke has allowed " \
	"her captivity for so long, but we will release her.",
	//kGorStart1_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE].  Selot is the one we think of when we measure courage and " \
	"greatness in a Gorn soldier. It is a curse on us all that he has been disgraced for so long.  We shall " \
	"rectify this, or die.",
	//kMirakStart1_msg,
	"[PLAYER_NAME]: Hunt record, [STARDATE]. Claw of Summer is well-named; had he not fallen into " \
	"disgrace, we would never have had the problems that we experienced in our war against " \
	"the matriarchs. But now those days are behind us, and it is time to use our greatest weapon once again. Anyone who " \
	"opposes this noble aim shall die throatless, drowning in a pit of their own blood.",

	//kHail_btn,
	"Hail",
	//kLegendHails_btn,
	"Hail",
	//kTransCode_btn,
	"Trasmit Code",
	//kBaseShieldsDown_btn,
	"Shields Down",
	//kBaseShieldsDown_msg
	"Tactical: Ordering the captured base to drop its shields.",
	//kHailShip_msg,
	"[PLAYER_RACE] Captain: Who is this? You're not authorized to be in this sector!",
	//kHailShipDetected_msg,
	"[PLAYER_RACE] Captain: There is an agreement to respect this stronghold. We'll kill you and gut your " \
	"family for this intrusion.",
	//kHailShipWithCode_msg,	
	"[PLAYER_RACE] Captain: We have received your code. Make your delivery and get out.",
	//kCodeReceived_msg,
	"Base Commander: Affirmative, we have received and verified your code transmission.  You may proceed to the " \
	"base to make your delivery.",
	//kHailBase_msg,
	"Base Commander: Identify yourself?  Intruders will not be tolerated.",	
	//kHailBaseDetected_msg,
	"Base Commander: You have intruded in our space and shall pay with your lives.",
	//kHailBaseWithCode_msg,
	"Base Commander: Proceed with your delivery.  Then leave the system.",

	//kScannedBuoy_msg,
	"Science: An unmanned communications relay. I doubt it stores useful information, but if we " \
	"sent over a science team, we might be able to listen in on enemy transmission and learn some useful information.",
	//kScienceTeamArrive_msg,
	"Communications: The science team has arrived on the communications relay.  Our technicians are patching us " \
	"into all broadcasts.  We should remain within a distance of 50,000km.",

	//kFirstRandomMessage1_msg,
	"Communications: I'm receiving a transmission. Someone wants a case of Romulan ale.",
	//kFirstRandomMessage2_msg,
	"Communications: I'm receiving a transmission. They're looking for the location of a sensor anomaly.",
	//kFirstRandomMessage3_msg,
	"Communications: I'm receiving a transmission. They're betting on some vole-fighting contest.",
	//kSecondRandomMessage1_msg,
	"Communications Officer: I'm receiving a transmission. The Captain of one of the patrol ships sounds very bored.",
	//kSecondRandomMessage2_msg,
	"Communications Officer: I'm receiving a transmission. One of the first officers of a patrol ship has been " \
	"thrown in the brig for drunkenness.",
	//kSecondRandomMessage3_msg,
	"Communications Officer: I'm receiving a transmission. They report a glitch at the communications relay, and " \
	"are wondering if anyone's checked it lately.",
	//kScrambled_msg,
	"Communications: I'm reading a transmission from the relay, but it's garbled. We need to get closer.",
	//kGotCode_msg,
	"Communications Officer: I'm receiving a transmission. A ship has just broadcasted the station's access " \
	"code. All we need to do is hail the station and transmit it.",

	//kDetected_msg,
	"Science: One of the enemy cruisers is conducting a sensor sweep of our ship. It's moving to " \
	"an intercept course. I think we've been discovered.",
	//kDetectedByStation_msg,
	"Science: The space station is conducting a sensor sweep of our ship. It's sending out a distress " \
	"signal. We've been discovered.",

	//kTraitor_msg,
	"Base Commander: TRAITOR!  You shall die the death of a coward!",

	//kGotLegend_msg,
	"Security: The Legend has been transported back to our ship.  The Legend will arrive on the bridge " \
	"momentarily.  I advise we depart the system immediately.",

	//kCapturedBase_msg,
	"Security: The base has been captured and The Legend has been found. We need to beam The Legend back to our ship.",

	//kScanInconclusive_msg
	"Science: The scan was inconclusive.",

	//kKliIfIMayAddressTheCaptains_msg,
	"Murvis: [PLAYER_RANK], I believe I may be able to help with these rogue 'captains'.  If you will hail " \
	"them, I will end this matter.",
	//kLyrIfIMayAddressTheCaptains_msg,
	"Loronyhi: I would speak with these renegade starship commanders.  If you would hail them " \
	"I have a message for them.  I think you will enjoy it [PLAYER_RANK].",
	//kGorIfIMayAddressTheCaptains_msg,
	"Selot: [PLAYER_RANK] if you allow me, I may be able to resolve our hostile cruiser problem.  Hail them and I " \
	"would speak with them.",
	//kMirakIfIMayAddressTheCaptains_msg,
	"Claw of Summer: I would speak with these renegades [PLAYER_RANK].  Hail them and I will put an end to " \
	"their foolish actions.",

	//kMurvisSpeech_msg,
	"Murvis: The Dahar Discipline encourages many talents. I am a warrior, and a chef.  All of you 'fine' Captains in this " \
	"system have enjoyed my cuisine on many occasions.  One thing that any good chef knows is his ingredients. " \
	"The more exotic the ingredient, the more interesting the dish. Exotic ingredients also have one other use" \
	"...making poisons. One of which you have been consuming for the last two years. Unless you stand down " \
	"now, you will all be dead within six months.",
	//kLoronyhiSpeech_msg,
	"Loronyhi: I am Loronyhi, and I forsook my clan to be a Brown Stalker.[9]In case you don't know what that " \
	"means, it means that every master Stalker in the empire is my sister. When I send a message of distress, they " \
	"are honor-bound to answer.  I just sent that message. Unless you stand down, every master Stalker in the " \
	"empire will track you down and deliver to you and your families a most painful death. It is your choice.",
	//kSelotSpeech_msg,
	"Selot: I am Selot, General of the King's Guard of Gihdahr. Now that I am free.[9]I am authorizing a commission " \
	"for any pilot who stands down now, to join the Royal Guard and take their place among the Gorn elite. And, " \
	"given the deflation of Gorn currency over the last twenty years, the starting salary I'm authorized to give " \
	"you will make you far richer than I was when I received my commission.",
	//kClawSpeech_msg,
	"Claw of Summer: I am Claw of Summer, who wrestled the Patriarch when we were both young and won the right to " \
	"ask any favor of my cousin, when he took the throne.  That time has come.  I have sent a message requesting the " \
	"right of Duel against any Captain who refuses to stand down.  I am sure you all wish the honor of killing me " \
	"so, beam aboard and face the one once known as the Death That Walks.",

	//kStandingDown_msg,
	"Communications: All captains have just sent messages indicating that they are standing down. Mission " \
	"accomplished.",


	//kKliAstoundingVictory_msg,
	"Astounding Victory!\n\n" \
	"The High Council is impressed with your ingenuity.  The use of the enemies own relay against them showed you " \
	"have true Klin.  You have returned Thought Master Murvis to the Klingons. This is excellent " \
	"news. You have done extraordinarily well. Now the true war begins. Your next assignment is to go to the " \
	"invasion site and ensure that what you have done today is not a vain victory.\n\n" \
	"Dismissed.",
	//kKliVictory_msg,
	"Victory!\n\n" \
	"Thought Master Murvis has returned to the Klingon fold. This is excellent news. You have done " \
	"extraordinarily well. Now the true war begins. Your next assignment is to go to the invasion site and " \
	"ensure that what you have done today is not a vain victory.\n\n" \
	"Dismissed.",
	//kKliDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You were supposed to rescue Murvis, but failed. I'm afraid that's going to make our ground invasion a " \
	"lot more difficult. But the battle is still on.\n\n" \
	"Dismissed.",

	//kLyrAstoundingVictory_msg,
	"Astounding Victory!\n\n" \
	"The Duke is impressed with your ingenuity.  The enemies own communications buoy became a noose around their " \
	"necks.  You have returned Loronyhi the Brown Stalker to the Lyrans. This is excellent " \
	"news. You have done extraordinarily well. Now the true war begins. Your next assignment is to go to the " \
	"invasion site and ensure that what you have done today is not a vain victory.\n\n" \
	"Dismissed.",
	//kLyrVictory_msg,
	"Victory!\n\n" \
	"Loronyhi the Brown Stalker has returned to the Lyran fold. This is excellent news. You have done " \
	"extraordinarily well. Now the true war begins. Your next assignment is to go to the invasion site and " \
	"ensure that what you have done today is not a vain victory.\n\n" \
	"Dismissed.",
	//kLyrDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"You were supposed to rescue Loronyhi, but your claws hold nothing, and your head is stooped in failure. " \
	"I'm afraid that's going to make our invasion a lot more difficult. But that battle must be fought.\n\n" \
	"Dismissed.",
	//kGorAstoundingVictory_msg,
	"Astounding Victory!\n\n" \
	"You have brought honor to the Gorn people.  The use of the enemies own relay against them was " \
	"brilliant.  You have returned Selot Rex to the Gorns. This is excellent " \
	"news. You have done extraordinarily well. Now the true war begins. Your next assignment is to go to the " \
	"invasion site and ensure that what you have done today is not a vain victory.\n\n" \
	"Dismissed.",
	//kGorVictory_msg,
	"Victory!\n\n" \
	"Selot Rex has returned to the Gorn fold. This is excellent news. You have done " \
	"extraordinarily well. Now the true war begins. Your next assignment is to go to the invasion site and " \
	"ensure that what you have done today is not a vain victory.\n\n" \
	"Dismissed.",
	//kGorDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"I expected to see General Selot standing beside you. Your loneliness speaks louder than any words you could " \
	"mutter. Alone you are now, and alone you shall be: when you fight in the upcoming invasion to protect the " \
	"lands of the Green and Yellow-Golds..\n\n" \
	"Go now.",

	//kMirakAstoundingVictory_msg,
	"Astounding Victory!\n\n" \
	"The Hunt leaders are impressed with your ingenuity.  You impaled the enemies on their own communications buoy. " \
	"You have returned Claw of Summer to the Mirak. This is excellent " \
	"news. You have done extraordinarily well. Now the true war begins. Your next assignment is to go to the " \
	"invasion site and ensure that what you have done today is not a vain victory.\n\n" \
	"Dismissed.",
	//kMirakVictory_msg,
	"Victory!\n\n" \
	"Claw of Summer has returned to the Mirak fold. This is excellent news. You have done " \
	"extraordinarily well. Now the true war begins. Your next assignment is to go to the invasion site and " \
	"ensure that what you have done today is not a vain victory.\n\n" \
	"Dismissed.",
	//kMirakDevastatingDefeat_msg,
	"Devastating Defeat\n\n" \
	"Greatness should inspire greatness; no greater honor could we have given you than to charge you with the " \
	"rescue of the Claw of Summer; instead, you bear the Touch of Winter. How dare you fail us! Now you must " \
	"go to the site of our invasion and witness the deaths your failure has brought today. Perhaps we will " \
	"triumph, but the ground shall be bloody.\n\n" \
	"Go and live with your failure, if you can.",

//***********Need to Translate from this point on***************************

	//kLeftEarly_msg,
	"Forfeit",

	//kPlayerTeam1Title_msg,
	"Reclamation",

	//kScanning_msg,
	"Science Officer: Beginning scan...",

	//kStart2_msg,  Changed four enemy cruisers to three enemy cruisers
	"Communications: I am receiving a message from the station. All intruders in this system will be " \
	"destroyed without any further warning.\n" \
	"Science: There are three enemy cruisers, as well as the base station. The farther we stay away from " \
	"them, the longer we will go undetected. There is also an unmanned communications relay nearby.",
};
