//	<Name>	PlayerTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Uni_X2M2Reclamation.h"
#include "ShipInfo.h"
#include "PlayerTeam.h"
#include "PlayerTeamShip.h"
#include "PlayerTeamShipInitialState.h"
#include "BaseTeamShip.h"
#include "EnemyTeam.h"
#include "EnemyTeamShip.h"
#include "EnemyTeamShip.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "PlayerTeamShipGameOverState.h"
#include "BaseTeam.h"
#include "ShipList_API.h"


tPlayerTeamShipInitialState::tPlayerTeamShipInitialState( )
{
	fBuoyScanned = false;
	fDeepScanON = false;
	fAllEnemiesDead = false;
}

void tPlayerTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 4.0f );
}

void tPlayerTeamShipInitialState::mEndState()
{
}
void tPlayerTeamShipInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{
	tTeamInfo* baseTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );
	tShipIterator ship = baseTeam->mGetFirstShip();
	tShipInfo* base = *ship;
	tTeamInfo* buoyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBuoyTeam ) );
	ship = buoyTeam->mGetFirstShip();
	tShipInfo* buoy = *ship;
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	Assert( playerTeam );


	if ( ( shipTo->mGetShipID() == ( fChildActor->mGetShipID() ) ) && ( item == kTransDiplomat ) && ( shipFrom->mGetCustomID() == tBaseTeam::kBaseStation ) )
	{
		gST.mDebug_fprintf("Legend transported from base to player ship\n"); 
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kGotLegend_msg );
		playerTeam->mSetLegendRescued( true );
		mSetTimedInterval( kTimerTurnsSet, kGotLegend, 0.5f );
	}
	else if ( ( shipFrom->mGetShipID() == ( fChildActor->mGetShipID() ) ) && ( item == kTransScientists ) && ( shipTo == buoy ) )
	{
		mSetTimedInterval( kTimerTurnsSet, kScienceTeamArriveID, 0.3f );
	}
	shipFrom->mSetShipCallbackEvents( kNotifyTransportedItem );  //from players ship TO another
}

void tPlayerTeamShipInitialState::mOnTimedInterval( int32 timerID )	// Display Chatter Messages in sequence
{
	eRaceName  playerRace;
	int32 rangeToBuoyOneThisInterval = 100;
	tTeamInfo* baseTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );
	tShipIterator ship = baseTeam->mGetFirstShip();
	tShipInfo* base = *ship;
	tTeamInfo* buoyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBuoyTeam ) );
	ship = buoyTeam->mGetFirstShip();
	tShipInfo* buoy = *ship;
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );
	tEnemyTeam* enemyTeam = dynamic_cast<tEnemyTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) ) );
	Assert( enemyTeam );

	fBuoyScanned = playerTeam->mGetBuoyScanned();
	rangeToBuoyOneThisInterval = fChildActor->mGetTacticalDistance( buoy );
	playerRace = playerTeam->mGetRace();

	if ( timerID == kDeepScanONID && fDeepScanON )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kScanning_msg );
		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.25f );
	}
	if (( timerID == kScienceTeamArriveID ) && (! playerTeam->mGetScientistsArrived()))
	{
		playerTeam->mSetScientistsArrived( true );
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kScienceTeamArrive_msg );
		mSetTimedInterval( kTimerTurnsSet, kFirstSnoopedMessageID, 0.3f );
	}
	else if( ( timerID == kFirstSnoopedMessageID ) ||
			( timerID == kSecondSnoopedMessageID ) ||
			( timerID == kGotCodeID ) )
	{
		if( rangeToBuoyOneThisInterval < 5 ) 
		{
			if( timerID == kFirstSnoopedMessageID )
			{
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  fMissionInfo->mRandomInt32( kFirstRandomMessage1_msg, kFirstRandomMessage3_msg ) );
				mSetTimedInterval( kTimerTurnsSet, kSecondSnoopedMessageID, 0.5f );
			}
			else if( timerID == kSecondSnoopedMessageID )
			{
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  fMissionInfo->mRandomInt32( kSecondRandomMessage1_msg, kSecondRandomMessage3_msg ) );
				mSetTimedInterval( kTimerTurnsSet, kGotCodeID, 0.4f );
			}
			else if( timerID == kGotCodeID )
			{	
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kGotCode_msg );
				playerTeam->mGotoCommState( base->mGetShipID(), tBaseTeamShip::kTransmitCodeCommState );
//				playerTeam->mSetGotCode( true );
			}
		}
		else if ( rangeToBuoyOneThisInterval < 15 )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kScrambled_msg );
			if( timerID == kFirstSnoopedMessageID )
			{
				mSetTimedInterval( kTimerTurnsSet, kFirstSnoopedMessageID, 0.3f );
			}
			else if( timerID == kSecondSnoopedMessageID )
			{
				mSetTimedInterval( kTimerTurnsSet, kSecondSnoopedMessageID, 0.5f );
			}
			else if( timerID == kGotCodeID )
			{	
				mSetTimedInterval( kTimerTurnsSet, kGotCodeID, 0.4f );
			}
		}
	}
	else if( timerID == kCheckDistanceID )
	{
	
		if( ( buoy ) && !fBuoyScanned && ( rangeToBuoyOneThisInterval < 10 ) && ( fDeepScanON ) && ( ( fChildActor->mGetShipTargetID() ) == buoy->mGetShipID() ) )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kScannedBuoy_msg, kScienceScriptMessage );
			playerTeam->mSetBuoyScanned( true );
			fChildActor->mAddItemToStores( kTransporterItem, kTransScientists, 1);
		}
		else
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 1.0f );
		}
	}
	else if( timerID == kGotLegend )
	{
		if ( fAllEnemiesDead )
		{
			fChildActor->mGotoState( typeid(tPlayerTeamShipGameOverState) );
		}
		else
		{
			switch( playerRace )
			{
				case kKlingon:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kKliIfIMayAddressTheCaptains_msg );
				break;
				case kLyran:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kLyrIfIMayAddressTheCaptains_msg );
				break;
				case kGorn:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kGorIfIMayAddressTheCaptains_msg );
				break;
				case kMirak:
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kMirakIfIMayAddressTheCaptains_msg );
				break;
			}//end switch

			tShipIterator enemyship = enemyTeam->mGetFirstShip();
			tShipInfo* currentEnemyShip = *enemyship;

			for( currentEnemyShip; currentEnemyShip != NULL; currentEnemyShip = *( ++enemyship ) )
			{
				playerTeam->mGotoCommState(  currentEnemyShip->mGetShipID(), tEnemyTeamShip::kLegendSpeaksCommState );
			}
		}
	}
	else if( timerID == kCaptainsSurrender )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kPlayerTeam ),  kStandingDown_msg );
		mSetTimedInterval( kTimerTurnsSet, kGameWon, 0.5f );
	}
	else if( timerID == kGameWon )
	{
		fChildActor->mGotoState( typeid(tPlayerTeamShipGameOverState) );
	}
}

void tPlayerTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );

	if( ship->mGetOriginalTeam() == kEnemyTeam )
	{
		if( ( enemyTeam->mShipsRemainingInPlay() ) < 1 )
		{
			fAllEnemiesDead = true;
			if( playerTeam->mGetLegendRescued() )
			{
				fChildActor->mGotoState( typeid(tPlayerTeamShipGameOverState) );
			}
		}
	}
}

void tPlayerTeamShipInitialState::mOnCapture( tShipInfo* ship )
{
	tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) );
	tTeamInfo* baseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );
	tShipIterator pship = baseTeam->mGetFirstShip();
	tShipInfo* base = *pship;
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID >( kPlayerTeam ) ) );
	Assert( playerTeam );

	if( ship->mGetOriginalTeam() == kEnemyTeam )
	{
		if( ( enemyTeam->mShipsRemainingInPlay() ) < 1 )
		{
			fAllEnemiesDead = true;
			if( playerTeam->mGetLegendRescued() )
			{
				fChildActor->mGotoState( typeid(tPlayerTeamShipGameOverState) );
			}
		}
	}
}

void tPlayerTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
		mSetTimedInterval( kTimerTurnsSet, kDeepScanONID, 0.75f );
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
}

void tPlayerTeamShipInitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* baseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam ) );
	tEnemyTeam* enemyTeam = dynamic_cast<tEnemyTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kEnemyTeam ) ) );
	Assert( enemyTeam );
	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam ) ) );
	Assert( playerTeam );

	if( buttonID == kTransCode_btn )
	{
		playerTeam->mSetSentCode( true );

		tShipIterator enemyship = enemyTeam->mGetFirstShip();
		tShipInfo* currentEnemyShip = *enemyship;

		for( currentEnemyShip; currentEnemyShip != NULL; currentEnemyShip = *( ++enemyship ) )
		{
			playerTeam->mGotoCommState( currentEnemyShip->mGetShipID(), tEnemyTeamShip::kHailWithCodeCommState );
		}
	}
	else if ( buttonID == kLegendHails_btn )
	{
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kEnemyTeam ), playerTeam->mGetTeam(), kTeamNeutral, kGoalIgnore, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kBaseTeam ), static_cast< eTeamID>( kEnemyTeam ), kTeamNeutral, kGoalIgnore, 1.0, kTrue );
		mSetTimedInterval( kTimerTurnsSet, kCaptainsSurrender, 1.0f );
	}
}