/********************************************************************************************************\

	File Name:	AllyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "AllyShip.h"
#include "AllyShipBaseState.h"
#include "Uni_X2M3Apes.h"
#include "PlanetTeam.h"
#include "MissionText.h"

tClassAllocator<tAllyShip> gAllyShipAllocator;

void tAllyShip::mSetupState()
{
	mRegisterState( new tAllyShipBaseState() );
	mGotoState( typeid( tAllyShipBaseState ) );
}

void tAllyShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailAlly_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tAllyShip::mSetupShip()
{
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;
	tShipInfo* planet = planetTeam->mFindShipCustomID( tPlanetTeam::kPlanet );
	if( !planet )
		return;
	
	mSetShipTarget( planet, kAbsolutePriority );
}
