/********************************************************************************************************\

	File Name:	ISCTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "ISCTeamBaseState.h"
#include "Uni_X2M3Apes.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tISCTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tISCTeamBaseState::mEndState()
{}

void tISCTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tISCTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tISCTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tISCTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tISCTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tISCTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tISCTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tISCTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tISCTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tISCTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tISCTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tISCTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tISCTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tISCTeamBaseState::mOnFlashingButtonPressed()
{}
void tISCTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tISCTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tISCTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tISCTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tISCTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tISCTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tISCTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tISCTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tISCTeamBaseState::mOnHostChanged()
{}
void tISCTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kISCTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tISCTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tISCTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tISCTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tISCTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

