/********************************************************************************************************\

	File Name:	InvasionShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "InvasionShip.h"
#include "InvasionShipBaseState.h"
#include "Uni_X2M3Apes.h"
#include "PlanetTeam.h"
#include "MissionText.h"

tClassAllocator<tInvasionShip> gInvasionShipAllocator;

void tInvasionShip::mSetupState()
{
	mRegisterState( new tInvasionShipBaseState() );
	mGotoState( typeid( tInvasionShipBaseState ) );
}

void tInvasionShip::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	playerTeam->mRegisterCommMessage( kCommState_1,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailInvader_msg );

	playerTeam->mGotoCommState( mGetShipID(), kCommState_1 );
}

void tInvasionShip::mSetupShip()
{
	tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
	if( !planetTeam )
			return;
	tShipInfo* planet = planetTeam->mFindShipCustomID( tPlanetTeam::kPlanet );
	if( !planet )
		return;
	
	mSetShipTarget( planet, kAbsolutePriority );
}
