/********************************************************************************************************\

	File Name:	InvasionTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "InvasionTeam.h"
#include "InvasionTeamBaseState.h"
#include "InvasionShip.h"
#include "ShipList_API.h"


tClassAllocator<tInvasionTeam> gInvasionTeamAllocator;

void tInvasionTeam::mSetupState()
{
	mRegisterState( new tInvasionTeamBaseState() );
	mGotoState( typeid( tInvasionTeamBaseState ) );
}

void tInvasionTeam::mSetupCommState()
{}

void tInvasionTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tInvasionTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        std::list< eEnhancedClassTypes >  shipClassTypeList;
		// Monsters, in case of Mods..
        shipClassTypeList.push_back(kEClassSmallMonster);
        shipClassTypeList.push_back(kEClassMediumMonster);
		// Yes! The Commando Tugs! Go with a Light tug for this one.
        shipClassTypeList.push_back(kEClassLightTug);
		// normal ship classes .. avoid the really small and the really big
        for (int32 i = kEClassLightCruiser; i <= kEClassHeavyCruiser; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for ship classes filter completed. ships: %d\n", fShiplistCount);

        std::list< eEnhancedRoles >  commandoRolesList;
        commandoRolesList.push_back(kCommando);
        fShiplistCount = sl.Subset(commandoRolesList);
        gST.mDebug_fprintf("Commando roles subset: %d\n", fShiplistCount);
        gST.listShiplistContent(sl);


        if (sl.size() > 0) {
            Ship s1;
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

            Ship s2;
            sl.SelectRandomShip(s2);
            gST.mDebug_fprintf("s2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s2.shipCode.c_str(), s2.bpv, s2.yearFirstAvail, s2.yearLastAvail);
            gST.mTrackOrions( s2 );

			mCreateShip( typeid( tInvasionShip ),
						 s1.shipCode.c_str(),
						 kStartPosition_J,
						 kNoMetaShipID,
						 kInvasion1,
						 0,0,0,0,
						 "Invasion Ship",
						 kDefaultShipOptions );

			mCreateShip( typeid( tInvasionShip ),
						 s2.shipCode.c_str(),
						 kStartPosition_J,
						 kNoMetaShipID,
						 kInvasion2,
						 0,0,0,0,
						 "Invasion Ship",
						 kDefaultShipOptions );
        } else {
            mOldCreateShipsForTeam();
        }
    } else {
        mOldCreateShipsForTeam();
    }
    gST.mDebug_fprintf("--- Finished: tInvasionTeam::mCreateShipsForTeam\n");
}

void tInvasionTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tInvasionTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tInvasionShip ),
				 "I-CLG",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kInvasion1,
				 0,0,0,0,
				 "Invasion Ship",
				 kDefaultShipOptions );

	mCreateShip( typeid( tInvasionShip ),
				 "I-CLG",
				 kStartPosition_J,
				 kNoMetaShipID,
				 kInvasion2,
				 0,0,0,0,
				 "Invasion Ship",
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tInvasionTeam::mOldCreateShipsForTeam\n");
}

void tInvasionTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tInvasionTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tInvasionTeam", shipScriptDescription );
}

