/********************************************************************************************************\

	File Name:	InvasionTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "InvasionTeamBaseState.h"
#include "Uni_X2M3Apes.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tInvasionTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tInvasionTeamBaseState::mEndState()
{}

void tInvasionTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tInvasionTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tInvasionTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tInvasionTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tInvasionTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tInvasionTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tInvasionTeamBaseState::mOnFlashingButtonPressed()
{}
void tInvasionTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tInvasionTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tInvasionTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tInvasionTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tInvasionTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tInvasionTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tInvasionTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tInvasionTeamBaseState::mOnHostChanged()
{}
void tInvasionTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kInvasionTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tInvasionTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tInvasionTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tInvasionTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tInvasionTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

