/********************************************************************************************************\

	File Name:	MissionText.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"


//-------------------------------------------------------
//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//
//-------------------------------------------------------

#if defined ( _GERMAN )

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X3M1ATemple",

	//
	//	Briefing messages
	//

	//kMissionDescription,
	"Dr. Servrin verfgt ber geheime Informationen. Das ISK mchte diese Informationen in die Hand bekommen. Daher mssen wir uns diese Informationen beschaffen und verhindern, dass sie ihnen in die Hnde fallen.\n\n",

	// kFederation_briefing_msg,
	"Diese nchste Mission mutet mglicherweise etwas bizarr an, aber Starfleet besteht darauf, " \
	"dass Sie sie bernehmen.\n\n" \
	"Dr. Sevrin Jr., ein Historiker der Fderation und Verfechter der " \
	"Ziele des ISKs zur galaktischen Befriedung, hat ein Transportschiff von " \
	"Raumbasis 18 gestohlen. Wir glauben, dass er plant, sich mit dem ISK in " \
	"[SYSTEM_NAME] zu treffen, um ihnen Geheiminformationen zu bergeben, die seine Gruppe, die Eden- " \
	"Gesellschaft, entdeckt hat.\n\n" \
	"Wir haben keine Ahnung, was Sevrin entdeckt hat, aber wir mssen es unbedingt wissen. Sie " \
	"werden sich nach [SYSTEM_NAME] begeben. Dieses System ist von schweren Staubwolken verhangen und verfgt ber einen merkwrdigen blauen " \
	"Pulsar - die Emissionen des Pulsars ermglichen eine Verwendung des Kommunikationssystems nur " \
	"ber Reichweiten von 50.000 Kilometern, wodurch er zu einer idealen Methode zum " \
	"Sichern einer bertragung wird. Sie werden smtliche ISK-Schiffe vernichten, bevor " \
	"sie Kontakt zu Sevrin herstellen knnen, dann Sevrins Schiff entern und " \
	"ihn gefangen nehmen.\n\n" \
	"Der nchste Befehl von Starfleet ist eigentlich der merkwrdigere. Sie sollen herausfinden, was " \
	"Sevrin entdeckt hat, und entsprechend vorgehen. Das ist alles, was mir mitgeteilt wurde. " \
	"Merkwrdig.\n\n" \
	"Wegtreten.\n\n",

	// kKlingon_briefing_msg,
	"Sie haben ein seltenes Privileg. Es geschieht nicht alle Tage, dass Sie mit einer " \
	"Mission fr die Priester von Kahless beauftragt werden.\n\n" \
	"Die Priester hatten eine Vision. In dieser Vision sahen sie eine irdische Krhe und einen " \
	"rigillianischen Sperbergeier beim Liebesspiel, gebadet in pulsierendem " \
	"blauen Licht, und nach ihrer Vereinigung tranken sie das Blut von " \
	"Klingonen. Sie interpretieren die Vision in der Weise, dass die Fderation sich mit " \
	"dem ISK in [SYSTEM_NAME] trifft, das einen blauen Pulsar aufweist.\n\n" \
	"Die Emissionen des Pulsars ermglichen eine Verwendung des Kommunikationssystems nur ber Reichweiten von " \
	"50.000 Kilometern, was eine ideale Mglichkeit zum Sichern einer " \
	"bertragung darstellt. Ihre Mission sieht nun folgendermaen aus: Sie werden smtliche ISK- " \
	"Schiffe vernichten, bevor sie Kontakt zur Fderation herstellen knnen, anschlieend " \
	"entern Sie das Schiff der Fderation und bringen in Erfahrung, warum sie " \
	"in Gesprche mit dem ISK eintreten.\n\n" \
	"Die Priester von Kahless sagten noch etwas, was wir nicht verstehen. Wenn ihr " \
	"die Krhe einmal gepackt habt, msst ihr ihre Sprache lernen und in der " \
	"Sprache der Krhe zum Licht sprechen, bevor ihr das System " \
	"verlasst. uerst mysteris!\n\n" \
	"Qapla'. Sie werden es brauchen.\n\n",

	// kHydran_briefing_msg,
	"Der Kult der Transzendenten Sonne hat es geschafft, unser kriegerisches " \
	"Vorgehen mit einem dringenden Auftrag zu unterbrechen.\n\n" \
	"Sie glauben, dass ein Wissenschaftler der Fderation das Geheimnis der " \
	"sich berhrenden Sterne entdeckt hat, und sie mchten es von ihnen erfahren. Unglcklicherweise " \
	"untersttzt dieser Wissenschaftler die Befriedungsziele des ISKs und hat " \
	"sich auf eine Mission nach [SYSTEM_NAME] begeben, um ihnen das Geheimnis auszuhndigen.\n\n" \
	"Emissionen von einem Pulsar ermglichen jedoch eine Verwendung des Kommunikationssystems nur ber Reichweiten von " \
	"50.000 Kilometern, was eine ideale Mglichkeit zum Sichern einer " \
	"bertragung darstellt. Ihre Mission sieht nun folgendermaen aus: Sie werden smtliche ISK- " \
	"Schiffe vernichten, bevor sie Kontakt zu dem Wissenschaftler herstellen knnen, anschlieend " \
	"werden Sie das Schiff der Fderation entern und das Geheimnis der sich berhrenden " \
	"Sterne in Erfahrung bringen. Nachdem Sie das Geheimnis kennen, mchte die Transzendente Sonne, dass Sie " \
	"das Geheimnis zur Anwendung bringen und prfen, dass es sich wirklich um die eine wahre Sternenberhrung handelt.\n\n" \
	"Klingt nicht sonderlich schwierig. Wegtreten.\n\n",

	// kGorn_briefing_msg,
	"Unsere Spione haben uns informiert, dass ein Wissenschaftler der Fderation, der ber Geheiminformationen verfgt, " \
	"sich mit dem ISK in [SYSTEM_NAME] treffen mchte. Ihre Mission besteht darin zu verhindern, " \
	"dass dieses Treffen stattfindet. Sie werden das ISK-Schiff zerstren und dann " \
	"das Schiff der Fderation entern, um die Geheiminformationen in Erfahrung zu bringen. Unsere Quellen " \
	"geben an, dass es sich um auerordentlich wichtige Informationen handelt, daher mchten wir, " \
	"dass Sie deren Wahrheitsgehalt berprfen, nachdem Sie die Geheiminformationen erhalten haben.\n\n" \
	"Wegtreten.\n\n",

	//
	//	Starting message
	//
	
	// kFederation_start_msg,
	"[PLAYER_NAME]: Logbuch des Captains, [STARDATE]. Wie sein Vater ist auch Dr. Sevrin ein " \
	"abtrnniger Wissenschaftler, der es darauf anlegt, die Autoritt der Fderation zu untergraben. Derartiges " \
	"Freidenkertum wird normalerweise toleriert, aber einen Transporter zu stehlen und " \
	"sich mit den Feinden der Fderation zu treffen, ist wohl kaum normal. Unsere " \
	"Mission hat den Auftrag, sich um das ISK zu kmmern und herauszufinden, welche Geheiminformationen Dr. Sevrin " \
	"mit ihnen austauschen mchte.\n\n",

	// kKlingon_start_msg,
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Wir missgnnen dem ISK smtliche Geheimnisse, sogar " \
	"die der Fderation, und sogar dann, wenn sie von den Lippen eines Wahnsinnigen kommen. " \
	"Aber die Visionen von Kahless drfen nicht auf die leichte Schulter genommen werden. Wir werden " \
	"ihnen das Geheimnis abjagen, und wir werden das ISK zerstren, das wieder einmal " \
	"seinen Fu auf verbotenen Boden zu setzen wagt.\n\n",

	// kHydran_start_msg,
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Man kann nicht alle " \
	"einhundert Millionen hydranische Religionen auf einmal glauben - das wrde sicherlich " \
	"wenig Spa machen - aber die Worte einer Religionsgemeinschaft, die so alt und so verehrungswrdig wie die " \
	"der Transzendentalen Sonne sind, knnen nur schwerlich ignoriert werden. Wir werden smtliche ISK- " \
	"Schiffe in diesem Sektor vernichten und herausfinden, was der abtrnnige Wissenschaftler " \
	"in Erfahrung gebracht hat.\n\n",

	// kGorn_start_msg,
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Das ISK ist begierig darauf, ein " \
	"Geheimnis der Fderation in Erfahrung zu bringen. Alles, was sie dabei finden werden, ist der Tod. Und bei unserer Heiligen " \
	"Mutter, wir werden herausfinden, was die Fderation wei, und wir werden uns dieses Wissen aneignen.\n\n",

	//
	//	Debriefing messages
	//

	// kDebAstoundingVictory_msg,
	"Ich gratuliere zu Ihrem Erfolg. Ich muss zugeben, dass diese Entdeckung schwer zu glauben ist, obwohl wir " \
	"wissen, dass das Universum Mysterien und Wunder birgt, die jenseits aller Vorstellungskraft liegen. Mit den Sternen sprechen? " \
	"Und dennoch war es Ihnen mglich, Sie haben etwas Groes erreicht, das in die Geschichte eingehen wird. Gibt es ein noch besseres Gefhl?\n\n" \
	"Und wenn wir Wesen finden knnen, die eine Mglichkeit gefunden haben, im Herzen eines stellaren Brennofens zu berleben, wer wei, " \
	"was sie entdeckt haben?\n\n Denn es heit, dass wir aus den Sternen geboren sind, und so sind sie unsere Brder. Wir mssen Kontakt zu ihnen aufnehmen.\n\n",

	// kDebVictory_msg,
	"Ich gratuliere zu Ihrem Erfolg. Ich muss zugeben, dass diese Entdeckung schwer zu glauben ist, obwohl wir wissen, " \
	"dass das Universum Mysterien und Wunder birgt, die jenseits aller Vorstellungskraft liegen. Mit den Sternen sprechen? Ich wnschte nur, " \
	"Sie htten die Technik ausprobiert, bevor Sie zurckgekehrt sind.\n\nWegtreten.\n\n",

	// kDebDraw_msg,
	"Sie wurden ausgesandt, um die Geheiminformationen von Dr. Sevrin an sich zu bringen und zu prfen und um gleichzeitig zu verhindern, dass sie dem ISK " \
	"in die Hnde fallen. Bei diesem sehr gemischten Ergebnis ist es schwer zu sagen, wo wir nun stehen.\n\nWegtreten.\n\n",

	// kDebDefeat_msg,
	"Die Geheiminformationen sind dem ISK in die Hnde gefallen. Das ist schlecht. Darber hinaus haben Sie bei der Aufgabe versagt, die\n\n" \
	"Schiffe des ISKs zu besiegen. Ich wei nicht, was ich dazu noch sagen soll.\n\nWegtreten.\n\n",

	// kDebDevastatingDefeat_msg,
	"Diese Mission war der wohl spektakulrste Fehlschlag, den ich je erlebt habe. Die Geheiminformationen von Dr. Sevrin sind " \
	"dem ISK in die Hnde gefallen. Wir wissen nicht, worum es sich drehte. Das ISK konnte entkommen. Ihr Schiff nicht. Muss ich noch mehr sagen?\n\nWegtreten.\n\n",
	
	//
	//	Comm buttons
	//

	// k_HAIL_ISC_btn,
	"RUFEN",
	// k_DS_ISC_btn,
	"KAPITULATION FORDERN",
	// k_HAIL_Transport_btn,
	"RUFEN",
	// k_Demand_Surrender_Transport_btn,
	"KAPITULATION FORDERN",
	// k_HAIL_Sun_btn,
	"RUFEN",

	//
	//	Comm messages
	//

	// k_Pulsar_Interference_msg,
	"Kommunikationsoffizier: Die Interferenzen des Pulsars machen jede Kommunikation unmglich. Wir mssen nher ran.\n\n",
	// k_No_Response_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",
	// k_ISC_Already_Surrendered_msg,
	"Captain des ISKs: Ihr habt uns geschlagen. Jetzt haut ab, und geht jemand anderem auf den Geist.\n\n",
	// k_ISC_Hail_Random1_msg,
	"Captain des ISKs: Dies ist ein privates Treffen. Sein Zweck ist ein rein wissenschaftlicher und kein militrischer, also macht euch davon.\n\n",
	// k_ISC_Hail_Random2_msg,
	"Captain des ISKs: Also haut jetzt endlich ab, und geht jemand anderem auf den Geist. Dies ist ein friedliches Treffen - wobei ich nicht annehme, dass Ihr wisst, was das ist.\n\n",
	// k_ISC_Hail_Random3_msg,
	"Captain des ISKs: Wenn Ihr einen Waffenstillstand ausrufen wollt, prima. Andernfalls macht euch davon.\n\n",
	// k_Nothing_To_Talk_About_msg,
	"Sicherheitsoffizier: Es gibt wirklich nichts, ber das es sich zu sprechen lohnte.\n\n",

	// k_Done_Enough_msg,
	"Captain des ISKs: Haben Sie nicht schon genug Unheil angerichtet?\n\n",
	// k_ISC_No_Surrender_Random1_msg,
	"Captain des ISKs: Wie knnen Sie es wagen, eine wissenschaftliche Zusammenkunft zu stren!\n\n",
	// k_ISC_No_Surrender_Random2_msg,
	"Captain des ISKs: Niemals!\n\n",
	// k_ISC_No_Surrender_Random3_msg,
	"Captain des ISKs: Behaupten die Vlker in diesem Quadranten nicht zumindest, einen Nichteinmischungspakt geschlossen zu haben? Wie dem auch sei, Sie mischen sich jetzt ein.\n\n",
	// k_ISC_Surrenders_msg,
	"Captain des ISKs: Na gut. Wir geben auf.\n\n",

	// k_Hail_Sevrin_After_Surrender_msg,
	"Dr. Sevrin: Sie haben unsere Kapitulation doch bereits akzeptiert. Herbert!\n\n",

	// k_Sevrin_Speech_msg,
	"Dr. Sevrin: Warum lassen Sie mich nicht in Ruhe?\n\n" \
	"[PLAYER_NAME]: Sie machen gemeinsame Sache mit dem ISK. Als ich das letzte Mal nachgefragt habe, waren sie zumindest noch die Feinde des gesamten Quadranten.\n\n" \
	"Dr. Sevrin: Und was habe ich damit zu tun? Dieser Quadrant hatte die Chance, sich mit mir zu einigen - und ich habe gewartet und gewartet und gewartet... Wussten Sie, " \
	"dass nichts so still wie ein leerer Subraumkanal ist, wenn Sie danach schreien, mit jemand zu sprechen?\n\n[8]" \
	"[PLAYER_NAME]: Geduld ist eine Tugend, Dr. Sevrin.\n\n" \
	"Dr. Sevrin: Das stimmt vielleicht, aber ich habe lange genug gewartet. Und dann habe ich mich anderweitig umgetan. Und das ISK zeigte Interesse. Ein friedliches Volk. " \
	"Im Gegensatz zu allen anderen in der Galaxis, die immer nur versucht haben, sich gegenseitig das Leben zu nehmen. Also habe ich mir ein Schiff ausgeliehen, nur fr ein Gesprch - und stellen " \
	"Sie sich vor - ich werden angegriffen. Ist das noch fair?\n\n[8]" \
	"[PLAYER_NAME]: Ob \"fair\" oder nicht, ist mir wirklich egal.\n\n" \
	"Dr. Sevrin: Was fr eine berraschung. Sie und dieser gesamte Quadrant knnen meinetwegen zur Hlle fahren. Und mit einem bisschen Glck wird das auch bald passieren.\n\n" \
	"[PLAYER_NAME]: Ihre Dramaturgie interessiert mich nicht, Dr. Sevrin, sondern nur Ihr Geheimnis.\n\n" \
	"Dr. Sevrin: Nun ja, das werde ich Ihnen zumindest nicht freiwillig aushndigen. Sie mssen schon Farbe bekennen und mein Schiff entern, um es zu bekommen.\n\n",

	// k_Hail_Sevrin_Random1_msg,
	"Dr. Sevrin: Wenn Sie wssten, was ich wei, wrden Sie es nicht wagen, mich anzugreifen.\n\n",
	// k_Hail_Sevrin_Random2_msg,
	"Dr. Sevrin: Ich bin Zivilist! Warum belstigen Sie mich?\n\n",
	// k_Hail_Sevrin_Random3_msg,
	"Dr. Sevrin: Lass mich einfach nur in Ruhe, Herbert.\n\n",

	// k_Sevrin_Already_Surrendered_msg,
	"Dr. Sevrin: Herzlichen Glckwunsch! Sie haben es geschafft, einen Frachter im Kampf zu besiegen. Bestrkt Sie das jetzt in Ihrer Mnnlichkeit? Was " \
	"werden Sie als nchstes tun, ein Quorum schlafender veldorianischer Rehe mit dem Phaser aus dem Orbit jagen?\n\n",

	// k_Sevrin_Surrenders_msg,
	"Dr. Sevrin: Wir knnen den Kampf mit einem Kriegsschiff nicht aufnehmen. Natrlich ergeben wir uns, Sie Trottel!\n\n",

	// k_Are_You_Ok_msg,
	"Kommunikationsoffizier: [PLAYER_RANK]? Sind Sie in Ordnung?\n\n",

	// k_First_Sun_Hail_msg,
	"Kommunikationsoffizier: Es ist einen Versuch wert...\n\n" \
	"Wissenschaftsoffizier: Hmm... Dieses Knistern ist nicht zu bersetzen, aber es handelt sich wahrscheinlich um einen kurzen Schmerzensschrei und ein Brennen, bevor die solare Lebensform ausgelscht wird. " \
	"Die meisten Lebensformen, die innerhalb eines Sterns entstehen, wrden ber eine auerordentlich kurze Lebensdauer verfgen. Dennoch ist die Tatsache, dass wir eine gefunden haben, die lange genug berlebt hat, um sogar diesen Grad der Kommunikation zu ermglichen ... wirklich auergewhnlich.\n\n",

	// k_1st_Objective_Complete,
	"Wissenschaftsoffizier: Ich kann es kaum glauben, aber wir haben soeben Kommunikationssignale von einem Stern aufgefangen. Primres Missionsziel erfllt.\n\n",

	// k_2nd_Objective_Complete,
	"Wissenschaftsoffizier: Alle Schiffe des ISKs wurden besiegt. Sekundres Missionsziel erfllt.\n\n",

	// k_All_Objectives_Complete,
	"Wissenschaftsoffizier: Alle Missionsziele wurden erfllt. Mission abgeschlossen.\n\n",

	// k_Before_Random_Hail_Sun_msg,
	"Kommunikationsoffizier: Das machen wir gleich noch einmal. ",

	// k_Hail_Sun_Random1_msg,
	"Ein Zerbersten, gefolgt von etwas, was sich wie ein Ploppen angehrt hat, Captain.\n\n",
	// k_Hail_Sun_Random2_msg,
	"Ein tiefes, pulsierendes Knarren, fast ein Sthnen, das langsam verklingt und dann verstummt, Captain.\n\n",
	// k_Hail_Sun_Random3_msg,
	"Ein Strom aus sechs intensiven Summgeruschen, gefolgt von einem Knistern und einem sehr lauten Plop, Captain.\n\n",

	// k_After_Random_Hail_Sun_msg,
	"Wissenschaftsoffizier: Ich bin nicht sicher, ob wir die Technik schrfer einstellen sollten oder ob dies das Beste ist, was wir kriegen knnen.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden\n\n",

	// kDefeat_msg,
	"Niederlage\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Diese Staubwolken fordern einen wirklich guten Steuermann, Captain. Gut, dass dies meine Schicht ist.\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur: Machen Sie sich keine Sorgen um diese Staubwolken, Captain. Ich hasse es, ein Raumdock aufsuchen zu mssen.\n\n ",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Sevrins Vater war einfach nur durchgedreht. Aber Sevrin Jr. ist ein Verrter am gesamten Quadranten.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: Dieses System ist navigationsmig eine Katastrophe, Punkt.\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Wissen Sie, was Energiewaffen bei Verrtern anrichten? Das gleiche, was sie auch bei jedem anderen anrichten...\n\n ",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Dieser Pulsar ist wirklich uerst bemerkenswert. Schade, dass wir nicht die Zeit haben, ihn eingehend zu studieren.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	// kSecretSecured_msg,

	"Sicherheitsoffizier: Das Transportschiff ist unser, ebenso wie die Geheiminformationen. Das ISK muss das Transportschiff schon erobern, um in seinen Besitz zu gelangen. " \
	"Es ist wirklich kaum zu glauben, Captain.\n\n" \
	"[PLAYER_NAME]: Was ist es?\n\n" \
	"Sicherheitsoffizier: Es geht um das Anpassen einer Kommunikationskonsole, um mit Wesen zu sprechen, die im Inneren von Sternen leben. " \
	"Ich habe es bereits an den Kommunikationsoffizier weitergegeben.\n\n[8]" \
	"Wissenschaftsoffizier: Das ist wirklich sehr interessant. Wenn junge Sterne also mit der Produktion von groen Mengen Kohlenstoffablagerungen " \
	"aus dem Fusionsprozess beginnen, ermglichen die Reaktionen hierin demzufolge einem winzigen Prozentsatz von " \
	"Kohlenstoff, quasi-chemische Reaktionen hnlich der Erzeugung von Proteinen zu durchlaufen, den Bausteinen des Lebens.\n\n" \
	"[PLAYER_NAME]: Die Sonne ist ein denkbar ungastlicher Kessel fr die Entwicklung von Leben, nicht wahr?\n\n[8]" \
	"Wissenschaftsoffizier: Definitiv. Aber junge Sterne produzieren so viel Kohlenstoff, dass frher oder spter irgendwelche Lebensformen entstehen werden.\n\n" \
	"[PLAYER_NAME]: Hmm. Klingt fast so wahrscheinlich wie das Vorhandensein von intelligenten Kohlevorkommen.\n\n" \
	"Kommunikationsoffizier: Nichtsdestoweniger ist meine Konsole bereit, die Technik auszuprobieren.\n\n",

	// kISCReceivedTheSecret_msg,
	"Kommunikationsoffizier: Das Transportschiff hat soeben eine maximal verschlsselte Kurzwellenbertragung an das ISK gesendet... Ich glaube, sie haben den Code.\n\n",
	// kISCCapturedTheSecret_msg,
	"Wissenschaftsoffizier: Das ISK hat das Transportschiff erobert. Captain, die Geheiminformationen sind in ihrer Hand.\n\n Wir drfen sie nicht damit davonkommen lassen, Captain.\n\n",
	// kISCDisengaging_msg,
	"Wissenschaftsoffizier: Alle ISK-Schiffe drngen danach, das System zu verlassen. Wir drfen sie nicht mit den Geheiminformationen davonkommen lassen, Captain.\n\n",
	// kTransportDisengaging_msg,
	"Wissenschaftsoffizier: Dr. Sevrins Transportschiff hat es eilig, das System zu verlassen.\n\n",

	// kTransportDestroyedSansSecret_msg,
	"Wissenschaftsoffizier: Das Transportschiff wurde zerstrt, bevor wir sein Geheimnis in Erfahrung bringen konnten.\n\n" \
	"Sicherheitsoffizier: Mission wird abgebrochen.\n\n",
	// kTransportDestroyedFederation_msg,
	"Sicherheitsoffizier: Transportschiff zerstrt. Gute Nacht, Dr. Sevrin.\n\n",
	// kTransportDestroyedNonFederation_msg,
	"Sicherheitsoffizier: Transportschiff zerstrt. Die Fderation sollte lernen, vorsichtiger zu sein.\n\n",

	// kProximityWarning_msg,
	"Kommunikationsoffizier: Captain, eines oder mehrere feindliche Schiffe werden bald in Reichweite sein, um die " \
	"Geheiminformationen von Dr. Sevrin zu bernehmen. Und wir sollten jetzt besser etwas unternehmen, wenn wir das verhindern wollen.\n\n",

	// kTransportLeftFailure_msg,
	"Wissenschaftsoffizier: Das Transportschiff hat die bersichtskarte verlassen. Wir haben es nicht geschafft, die Geheiminformationen an uns zu bringen. Mission abgebrochen.\n\n",

	// kDeepScannedTransport_msg,
	"Wissenschaftsoffizier: Obwohl der Transporter ber die in der Fderation standardmige Bewaffnung verfgt, registrieren die Sensoren nur eine minimale Crew " \
	"an Bord. Ich schlage vor, wir befehlen Dr. Sevrin, sich zu ergeben.\n\n",

	// kDeepScannedSun_msg,
	"Wissenschaftsoffizier: Ein ungewhnlicher blau-weier Pulsar. Sein Wasserstofftreibstoff ist beinah aufgebraucht, transformiert durch "
	"die Fusion zu schwereren Elementen... und es ist eine ungewhnliche Menge schwerer Elemente vorhanden.\n\n",

	// kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//
	//	Custom messages
	//

	//
	//	Internal strings
	//

	// kSunClass,
	"PL1", // TODO: change this to the class for a "blue pulsar"
	// kSunName,
	"Pulsar",
	// kEnemyShipClass,
	"I-CL",
	// kEnemyShipName1,
	"ISK Foley",
	// kEnemyShipName2,
	"ISK Cardinal",
	// kEnemyShipName3,
	"ISK Brightlight",
	// kTransportClass,
	"F-FLPh",
	// kTransportName,
	"Dr. Sevrin",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Tempel im Himmel",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",

	//	kDisconnect_msg,
	"Mission eingebt\n\n",
};

#else

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X3M1ATemple",

	//
	//	Briefing messages
	//

	//kMissionDescription,
	"Dr. Sevrin has a secret. The ISC wants it. We need to get it and keep it from them.",

	// kFederation_briefing_msg,
	"This next mission may seem downright bizarre, but Starfleet insists " \
	"that you take care of it.\n\n" \
	"Dr. Sevrin Jr., a Federation historian who is sympathetic with the " \
	"ISC goal of galactic pacification, has stolen a transport from " \
	"Starbase 18. We believe his goal is to rendezvous with the ISC in " \
	"[SYSTEM_NAME] and give them a secret that his group, the Eden " \
	"Society, has uncovered.\n\n" \
	"We have no idea what Sevrin's uncovered, and we want to know. You " \
	"will head to [SYSTEM_NAME]. It has heavy dust clouds and an odd blue " \
	"pulsar - emissions from the pulsar make communications usable only " \
	"at ranges of 50,000 kilometers, which make it an ideal way to " \
	"safeguard a transmission. You will eliminate any ISC ships before " \
	"they can make contact with Sevrin, then board Sevrin's ship and " \
	"arrest him.\n\n" \
	"Starfleet's other order is the odd one. You must find out what " \
	"Sevrin has discovered, and act on it. That's all I've been told. " \
	"Odd.\n\n" \
	"Dismissed.",

	// kKlingon_briefing_msg,
	"Imperial Intelligence informs us that the Federation is " \
	"meeting with the ISC in sector [SYSTEM_NAME], which has a blue pulsar.\n\n" \
	"Emissions from the pulsar make communications usable only at ranges " \
	"of 50,000 kilometers, which make it an ideal way to safeguard a " \
	"transmission. Your mission is as follows: you will eliminate any ISC " \
	"ships before they can make contact with the Federation, and then you " \
	"will board the Federation ship and learn why it wishes to talk with " \
	"the ISC.\n\n" \
	"Qapla.",

	// kHydran_briefing_msg,
	"The cult of the Transcendant Sun has managed to interrupt our war " \
	"efforts with an urgent request.\n\n" \
	"They believe a Federation scientist has discovered the secret of " \
	"Touching Stars, and wish us to learn it from them. Unfortunately, " \
	"that scientist supports the ISC goal of pacification, and has " \
	"embarked on a mission to [SYSTEM_NAME] to give it to them.\n\n" \
	"Emissions from the pulsar make communications usable only at ranges " \
	"of 50,000 kilometers, which make it an ideal way to safeguard a " \
	"transmission. Your mission is as follows: you will eliminate any ISC " \
	"ships before they can make contact with the scientist, and then you " \
	"will board the Federation ship and learn the secret of Touching " \
	"Stars. Once you have found the secret, the Transcendant Sun wishes " \
	"you to use the Secret and verify it is the one True Startouch.\n\n" \
	"Sounds easy to me. Dismissed.",

	// kGorn_briefing_msg,
	"Our spies inform us that a Federation scientist is having a secret " \
	"meeting with the ISC in [SYSTEM_NAME]. Your mission is to prevent " \
	"that meeting from taking place. You will destroy the ISC, and you " \
	"will board the Federation ship and learn its secrets. Our sources " \
	"tell us that the information is critically important, so once you've " \
	"discovered the information, we want you to test it.\n\n" \
	"Dismissed.",

	//
	//	Starting message
	//
	
	// kFederation_start_msg,
	"[PLAYER_NAME]: Captain's Log, [STARDATE]. Like his father, Dr. Sevrin is a " \
	"rogue scientist, bent on circumventing Federation authority. Such " \
	"independence is normally tolerated, but stealing a transport and " \
	"meeting with the enemies of the Federation is hardly normal. Our " \
	"mission is to deal with the ISC and discover what secret Sevrin is " \
	"willing to trade with them.",

	// kKlingon_start_msg,
	"[PLAYER_NAME]: War Record, [STARDATE]. We begrudge the ISC all secrets, even " \
	"the Federation's.  " \
	"We will discover their secret, and we will destroy the ISC who once again " \
	"trespass where they do not belong.",

	// kHydran_start_msg,
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. One cannot believe all one " \
	"hundred million Hydran religions at once - that would be no fun at " \
	"all - but the words of an order as ancient and as revered as the " \
	"Transcendent Sun are difficult to ignore. We will eliminate the ISC " \
	"presence in this sector, and discover what the rogue scientist has " \
	"learned.",

	// kGorn_start_msg,
	"[PLAYER_NAME]: Commander's log, [STARDATE]. The ISC wish to trade for a " \
	"Federation secret. All they will find is death. And by our Holy " \
	"Mother, we will take what the Federation knows and make it our own.",

	//
	//	Debriefing messages
	//

	// kDebAstoundingVictory_msg,
	"Congratulations on your success. I must admit, this discovery is hard to believe, although we " \
	"know the universe contains mysteries and wonders we can scarcely imagine. Talking with stars? " \
	"And yet you did it, you succeeded in a great, historic achievement. What better feeling could there be?\n\n" \
	"And, if we can find ones who have found a way to survive in the heart of a stellar furnace, who knows " \
	"what they have discovered?\n\n" \
	"For it is said that from the stars we were born, and thus they are our brothers. We must speak with them.\n\n" \
	"Dismissed.",

	// kDebVictory_msg,
	"Congratulations on your success. I must admit this discovery is hard to believe, although we know " \
	"the universe contains mysteries and wonders we can scarcely imagine. Talking with stars? I only wish " \
	"you had experimented with the technique before you returned.\n\n" \
	"Dismissed.",

	// kDebDraw_msg,
	"You were sent to retrieve and verify the secret from Dr. Sevrin, preventing the ISC from obtaining it " \
	"in the process. Given the mixed outcome, it's hard to say where we stand.\n\n" \
	"Dismissed.",

	// kDebDefeat_msg,
	"The ISC got the secret. That's bad. Furthermore, you also failed in your duty to " \
	"defeat the ISC ships. I can't think of anything else to say.\n\n"
	"Dismissed.",

	// kDebDevastatingDefeat_msg,
	"This mission was one of the most spectacular failures I've ever witnessed. The ISC got the information " \
	"from Dr. Sevrin. We did not. The ISC escaped. Your ship did not. Need I say more?\n\n" \
	"Dismissed.",
	
	//
	//	Comm buttons
	//

	// k_HAIL_ISC_btn,
	"HAIL",
	// k_DS_ISC_btn,
	"DEMAND SURRENDER",
	// k_HAIL_Transport_btn,
	"HAIL",
	// k_Demand_Surrender_Transport_btn,
	"DEMAND SURRENDER",
	// k_HAIL_Sun_btn,
	"HAIL",

	//
	//	Comm messages
	//

	// k_Pulsar_Interference_msg,
	"Communications Officer: Interference from the pulsar is making communications impossible. We need to get closer.",
	// k_No_Response_msg,
	"Communications Officer: No response.",
	// k_ISC_Already_Surrendered_msg,
	"ISC Captain: You've beaten us. Now bother someone else.",
	// k_ISC_Hail_Random1_msg,
	"ISC Captain: This is a private meeting. Its purpose is scientific, not military, so go away.",
	// k_ISC_Hail_Random2_msg,
	"ISC Captain: Oh, go bother someone else. This is a peaceful meeting--not that you'd understand that.",
	// k_ISC_Hail_Random3_msg,
	"ISC Captain: If you want to call a truce, fine. Otherwise, go away.",
	// k_Nothing_To_Talk_About_msg,
	"Security Officer: Nothing really to talk about.",

	// k_Done_Enough_msg,
	"ISC Captain: Haven't you done enough already?",
	// k_ISC_No_Surrender_Random1_msg,
	"ISC Captain: How dare you interrupt a scientific gathering!",
	// k_ISC_No_Surrender_Random2_msg,
	"ISC Captain: Never!",
	// k_ISC_No_Surrender_Random3_msg,
	"ISC Captain: Don't the people in this quadrant at least claim to have a non-interference directive? Well, you're interfering.",
	// k_ISC_Surrenders_msg,
	"ISC Captain: Very well. We yield.",

	// k_Hail_Sevrin_After_Surrender_msg,
	"Dr. Sevrin: You have already accepted our surrender.",

	// k_Sevrin_Speech_msg,
	"Dr. Sevrin: Why are you bothering me?\n" \
	"[PLAYER_NAME]: You're consorting with the ISC. Last time I checked, they were the enemies of the entire quadrant.[6]" \
	"Dr. Sevrin: So what? This quadrant had its chance to bargain with me - and I waited, and I waited... Did you know, " \
	"nothing is as quiet as an empty subspace channel when you're screaming for someone to talk with you?[9]" \
	"[PLAYER_NAME]: Patience is a virtue, Dr. Sevrin.\n" \
	"Dr. Sevrin: Perhaps so, but I wasn't going to wait. I looked elsewhere. The ISC expressed interest. A peaceful race. " \
	"Unlike everyone else in the galaxy, who have been trying to kill each other. So I borrowed a ship - just to talk, mind " \
	"you - and I get attacked. Is that fair?[9]" \
	"[PLAYER_NAME]: I don't care about 'fair'.\n" \
	"Dr. Sevrin: What a surprise. You and this entire quadrant can go to hell. With any luck, you soon will.\n" \
	"[PLAYER_NAME]: I'm not interested in your dramatics, Dr. Sevrin, only your secret.\n" \
	"Dr. Sevrin: Well I'm not giving it to you willingly. You'll have to show your true colors and board my ship to get it.",

	// k_Hail_Sevrin_Random1_msg,
	"Dr. Sevrin: If you knew what I know, you wouldn't dare attack me.",
	// k_Hail_Sevrin_Random2_msg,
	"Dr. Sevrin: I'm a civilian! Why are you bothering me!",
	// k_Hail_Sevrin_Random3_msg,
	"Dr. Sevrin: Just leave me in peace.",

	// k_Sevrin_Already_Surrendered_msg,
	"Dr. Sevrin: Congratulations! You've managed to beat a freighter in combat. Does that make you feel more manly? What " \
	"will you do next, phaser a quorum of sleeping Veldorian deer from orbit?",

	// k_Sevrin_Surrenders_msg,
	"Dr. Sevrin: We can't fight a warship. Of course we surrender, you idiot!",

	// k_Are_You_Ok_msg,
	"Communications Officer: [PLAYER_RANK]? Are you okay?",

	// k_First_Sun_Hail_msg,
	"Science Officer: Hmm... That crackling sound is untranslatable, but it is probably a brief exclamation of pain and " 
	"burning before the solar lifeform is extinguished.  Most life forms created within a star would have an " \
	"extraordinarily brief lifespan. Still, the fact we found one that survived long enough to allow even this " \
	"level of communication... it's extraordinary.",

	// k_1st_Objective_Complete,
	"Science Officer: I can hardly believe it, but we just received a communication from a star. Primary mission " \
	"objective accomplished.",

	// k_2nd_Objective_Complete,
	"Science Officer: All ISC ships have been defeated. Secondary mission objective accomplished.",

	// k_All_Objectives_Complete,
	"Science Officer: All mission objectives accomplished. Mission complete.",

	// k_Before_Random_Hail_Sun_msg,
	"Communications Officer: Let's do this again. ",

	// k_Hail_Sun_Random1_msg,
	"A crunching sound, followed by what sounds like a pop, Captain.\n",
	// k_Hail_Sun_Random2_msg,
	"A low throbbing creak, almost a moan, that slowly fades and falls silent, Captain.[9]",
	// k_Hail_Sun_Random3_msg,
	"A stream of six intense buzzing sounds, followed by a crackle and a very loud pop, Captain.",

	// k_After_Random_Hail_Sun_msg,
	"Science Officer: I'm not sure whether we need to hone the technology, or if this will be the best we get.",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory\n\n",

	// kVictory_msg,
	"Victory\n\n",

	// kDraw_msg,
	"Draw\n\n",

	// kDefeat_msg,
	"Defeat\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: Those dust clouds will take some pretty fancy piloting, Captain. Good thing I'm on duty.",
	
	//	kRandChat2_msg,
	"Engineer: Take it easy with those dust clouds, Captain. I hate spacedock.",
		
	//	kRandChat3_msg,
	"Security Officer: Sevrin's father was just a nut. Sevrin Jr. is a traitor to the entire quadrant.",
	
	//	kRandChat4_msg,
	"Navigation: This system is a navigational hazard, period.",
		
	//	kRandChat5_msg,
	"Weapons Officer: Know what energy weapons do to traitors? Same thing they do to everybody else...",
	
	//	kRandChat6_msg,
	"Science Officer: That pulsar is most remarkable. It's a pity we haven't the time to study it thoroughly.",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	// kSecretSecured_msg,

	"Security Officer: The transport is ours as is the secret. The ISC will have to capture the transport to get it. " \
	"It's rather unbelievable, Captain.\n" \
	"[PLAYER_NAME]: What is it?[9]" \
	"Security Officer: Adjusting a communications console to talk with beings living inside stars. " \
	"I've sent it to the communications officer.[8]" \
	"Science Officer: This is actually very interesting. According to this, when late term stars begin to produce " \
	"large carbon deposits from the fusion process, the reactions therein allow a minute percentage of the " \
	"carbon to undergo quasi-chemical reactions similar to the creation of proteins, the building blocks of life.[9]" \
	"[PLAYER_NAME]: A sun is a rather inhospitable cauldron for life to develop, isn't it?[5]" \
	"Science Officer: Definitely. But late term stars produce so much carbon that sooner or later, some lifeform is " \
	"going to get created.\n" \
	"[PLAYER_NAME]: Hmm. Sounds about as possible as intelligent coal deposits.\n" \
	"Communications Officer: Nevertheless, my console is ready to try the technique.",

	// kISCReceivedTheSecret_msg,
	"Communications Officer: The transport just sent a heavily encrypted narrow-band transmission to the ISC... I think " \
	"they have the code.",
	// kISCCapturedTheSecret_msg,
	"Science Officer: The ISC have captured the transport. Captain, they have the secret. They must not return home " \
	"with it, Captain.",
	// kISCDisengaging_msg,
	"Science Officer: The ISC ships are scrambling to leave the system. They must not return home with the secret, Captain.",
	// kTransportDisengaging_msg,
	"Science Officer: Dr. Sevrin's transport is scrambling to leave the system.",

	// kTransportDestroyedSansSecret_msg,
	"Science Officer: The transport has been destroyed before we learned its secret.\n" \
	"Security Officer: Aborting mission.",
	// kTransportDestroyedFederation_msg,
	"Security Officer: Transport destroyed. Good night, Dr. Sevrin.",
	// kTransportDestroyedNonFederation_msg,
	"Security Officer: Transport destroyed. The Federation should learn to be more careful.",

	// kProximityWarning_msg,
	"Communications Officer: Captain, one or more of the enemy ships will soon be in range to receive the " \
	"secret from Dr. Sevrin. We'd better do something if we're to keep them from getting it.",

	// kTransportLeftFailure_msg,
	"Science Officer: The transport has left the map. We've failed to obtain the secret. Mission aborted.",

	// kDeepScannedTransport_msg,
	"Science Officer: Although the transport has standard Federation weaponry, sensors show only a skeleton crew " \
	"aboard. I suggest we order Dr. Sevrin to stand down.",

	// kDeepScannedSun_msg,
	"Science Officer: An unusual blue-white pulsar. It's hydrogen fuel has largely burned up, transformed by "
	"fusion to heavier elements... and an unusual amount of heavy elements at that.",

	// kScanning_msg,
	"Science Officer: Scanning...",

	//
	//	Custom messages
	//

	//
	//	Internal strings
	//

	// kSunClass,
	"PL1", // TODO: change this to the class for a "blue pulsar"
	// kSunName,
	"Pulsar",
	// kEnemyShipClass,
	"I-CL",
	// kEnemyShipName1,
	"ISC Foley",
	// kEnemyShipName2,
	"ISC Cardinal",
	// kEnemyShipName3,
	"ISC Brightlight",
	// kTransportClass,
	"F-FLPh",
	// kTransportName,
	"Dr. Sevrin",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Temple In The Sky",

	//	kPlayerTeamBriefing_msg,
	"Test",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
};

#endif