/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing messages
	//
	kMissionDescription,
	kFederation_briefing_msg,
	kKlingon_briefing_msg,
	kHydran_briefing_msg,
	kGorn_briefing_msg,

	//
	//	Starting message
	//
	kFederation_start_msg,
	kKlingon_start_msg,
	kHydran_start_msg,
	kGorn_start_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//

	k_HAIL_ISC_btn,
	k_DS_ISC_btn,
	k_HAIL_Transport_btn,
	k_Demand_Surrender_Transport_btn,
	k_HAIL_Sun_btn,

	//
	//	Comm messages
	//

	k_Pulsar_Interference_msg,
	k_No_Response_msg,
	k_ISC_Already_Surrendered_msg,
	k_ISC_Hail_Random1_msg,
	k_ISC_Hail_Random2_msg,
	k_ISC_Hail_Random3_msg,
	k_Nothing_To_Talk_About_msg,
	k_Done_Enough_msg,
	k_ISC_No_Surrender_Random1_msg,
	k_ISC_No_Surrender_Random2_msg,
	k_ISC_No_Surrender_Random3_msg,
	k_ISC_Surrenders_msg,
	k_Hail_Sevrin_After_Surrender_msg,
	k_Sevrin_Speech_msg,
	k_Hail_Sevrin_Random1_msg,
	k_Hail_Sevrin_Random2_msg,
	k_Hail_Sevrin_Random3_msg,
	k_Sevrin_Already_Surrendered_msg,
	k_Sevrin_Surrenders_msg,
	k_Are_You_Ok_msg,
	k_First_Sun_Hail_msg,
	k_1st_Objective_Complete,
	k_2nd_Objective_Complete,
	k_All_Objectives_Complete,
	k_Before_Random_Hail_Sun_msg,
	k_Hail_Sun_Random1_msg,
	k_Hail_Sun_Random2_msg,
	k_Hail_Sun_Random3_msg,
	k_After_Random_Hail_Sun_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//
	kSecretSecured_msg,
	kISCReceivedTheSecret_msg,
	kISCCapturedTheSecret_msg,
	kISCDisengaging_msg,
	kTransportDisengaging_msg,
	kTransportDestroyedSansSecret_msg,
	kTransportDestroyedFederation_msg,
	kTransportDestroyedNonFederation_msg,
	kProximityWarning_msg,
	kTransportLeftFailure_msg,
	kDeepScannedTransport_msg,
	kDeepScannedSun_msg,
	kScanning_msg,

	//
	//	Custom messages
	//


	//
	//	Internal strings
	//

	kSunClass,
	kSunName,

	kEnemyShipClass,
	kEnemyShipName1,
	kEnemyShipName2,
	kEnemyShipName3,

	kTransportClass,
	kTransportName,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning2_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif
