/********************************************************************************************************\

	File Name:	SunShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Uni_X3M1ATemple.h"
#include "MissionText.h"
#include "SunShip.h"
#include "SunShipBaseState.h"


tClassAllocator<tSunShip> gSunShipAllocator;

void tSunShip::mSetupState()
{
	mRegisterState( new tSunShipBaseState() );
	mGotoState( typeid( tSunShipBaseState ) );
}

/*
	This method sets up the comm states for the sun. Rather than
	use the older comm states, it is easier to leverage version 3 of the
	SFC2 API and configure both buttons simply to generate events without
	displaying any text. The handling may then be done elsewhere.
*/

void tSunShip::mSetupCommState()
{
	int32 iShipID = mGetShipID();
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kPlayerTeam));
	playerTeam->mRegisterCommMessage(kCommState1, kNoStateChange, iShipID, k_HAIL_Sun_btn, kNoMsg, kNoRandomMsg);
	playerTeam->mGotoCommState(iShipID, kCommState1);
}

/*

	HELPER NOTE:	This function is called once immediately after the ship has been created (perhaps with a
					call to mCreateShip()).  Anyway, in the body of this function, you can setup events that
					you wish to receive that normally are not on by default, change maximum ship speed, change
					the name of the ship, etc.  Below is a list of those events that need to be setup and
					those that do not.

Event							How to setup													Automatic

mAtDestination					tShipInfo::mSetFinalDestination									No
mAtDistance						tShipInfo::mTrackTacticalDistance								No
mOnAlertStatusChange			tShipInfo::mSetShipCallbackEvents( kNotifyAlertStatusChange )	No
mOnBeginOrbit					tShipInfo::mSetShipCallbackEvents( kNotifyBeginOrbit )			No
mOnBeginTractor					tShipInfo::mSetShipCallbackEvents( kNotifyBeginTractor )		No
mOnCapture						On by default													Yes
mOnChangingShip					On by default													Yes
mOnCommButtonPress				Setup a Comm Button State										Yes
mOnCommStateChange				Always happens when a comm state changes						Yes
mOnDamage						tShipInfo::mSetShipCallbackEvents( kNotifyDamage )				No
mOnDeath						On by default													Yes
mOnDeepScan						tShipInfo::mSetShipCallbackEvents( kNotifyDeepScan )			No
mOnDisengaged					On by default													Yes
mOnEndOrbit						tShipInfo::mSetShipCallbackEvents( kNotifyEndOrbit )			No
mOnEndTractor					tShipInfo::mTractorEntity										No
mOnFlashingButtonPressed		tMissionInfo::mStartFlashingButton								No
mOnHostChanged					On by default													Yes
mOnPlayerLeaving				On by default													Yes
mOnProbeLaunch					tShipInfo::mSetShipCallbackEvents( kNotifyProbeLaunch )			No
mOnSpecialTransport				tShipInfo::mSetShipCallbackEvents( kNotifySpecialTransport )	No
mOnStateChange					Always happens when a state changes								Yes
mOnTimedInterval				tEventMgr::mSetTimedInterval									No
mOnTransportedItem				tShipInfo::mSetShipCallbackEvents( kNotifyTransportedItem )		No


	//
	//	Changes the name of the ship, planet, object, etc.  The constant passed into this function should
	//	be declared in MissionText.h and the text for the object should correspond in MissionText.cpp.
	//
	mChangeName( kShipBS_nam );

	//
	//	Sets the maximum speed of the object if you so wish to limit it.
	//
	mSetShipMaxSpeed( 5 );

	//
	//	The following will set up events that normally are not on by default as described above.
	//
	mTrackTacticalDistance( 20.0, 5, 5 );

*/
void tSunShip::mSetupShip()
{}
