/********************************************************************************************************\

	File Name:	SunTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "SunTeamBaseState.h"
#include "ShipList_API.h"
#include "Uni_X3M1ATemple.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tSunTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tSunTeamBaseState::mEndState()
{}

void tSunTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tSunTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tSunTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tSunTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tSunTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tSunTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tSunTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSunTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tSunTeamBaseState::mOnFlashingButtonPressed()
{}
void tSunTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tSunTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tSunTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tSunTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tSunTeamBaseState::mOnHostChanged()
{}
void tSunTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		// I dunno why N-PULS should have fighters.. but if someone modded it to have some, why not!
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kSunTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tSunTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		int32 BPVinc = gST.mUpgradeFightersForTeam(playerTeam);
		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tSunTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

void tSunTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tSunTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

