/********************************************************************************************************\

	File Name:	Transport.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Constants.h"
#include "Uni_X3M1ATemple.h"
#include "MissionText.h"
#include "Transport.h"
#include "TransportBaseState.h"

tClassAllocator<tTransport> gNPC1TransportAllocator;

void tTransport::mSetupState()
{
	mRegisterState( new tTransportBaseState() );
	mGotoState( typeid( tTransportBaseState ) );
}

/*
	This method sets up the comm states for the transport. Rather than
	use the older comm states, it is easier to leverage version 3 of the
	SFC2 API and configure both buttons simply to generate events without
	displaying any text. The handling may then be done elsewhere.
*/

void tTransport::mSetupCommState()
{
	int32 iShipID = mGetShipID();
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kPlayerTeam));
	playerTeam->mRegisterCommMessage(kCommState1, kBlankCommState, iShipID, k_HAIL_Transport_btn, kNoMsg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState1, kSurrenderStateCommState, iShipID, k_Demand_Surrender_Transport_btn, kNoMsg, kNoRandomMsg);

	playerTeam->mRegisterCommMessage( kSurrenderStateCommState, kSurrenderStateCommState, iShipID, k_Demand_Surrender_Transport_btn, k_Sevrin_Already_Surrendered_msg, k_Sevrin_Surrenders_msg );	
	
	playerTeam->mGotoCommState(iShipID, kCommState1);
}

void tTransport::mSetupShip()
{
	// Head for the rendezvous point with the ISC vessel.

	int32 iEndX = mGetEndX(), iEndY = mGetEndY();
	mSetFinalDestination(iEndX, iEndY);
	mSetShipMaxSpeed(MAX_TRANSPORT_SPEED);
}
