/********************************************************************************************************\

	File Name:	NPC1TransportBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Transport.h"
#include "TransportBaseState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "Uni_X3M1ATemple.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTransportBaseState::mBeginState()
{}
void tTransportBaseState::mEndState()
{}

void tTransportBaseState::mOnDeath( tShipInfo* ship )
{}
void tTransportBaseState::mOnCapture( tShipInfo* ship )
{}
void tTransportBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTransportBaseState::mAtDistance( tShipInfo* ship )
{}
void tTransportBaseState::mAtDestination( tShipInfo* ship )
{}
void tTransportBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>( kPlayerTeam) );

	if( buttonID == k_Demand_Surrender_Transport_btn )
	{
		fChildActor->mSetSystemHealthFromCurr( kAllShieldsHardPoint, 100.0f );
	}
	else if( buttonID == k_HAIL_Transport_btn )
	{
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tTransport::kBlankCommState );
		this->mSetTimedInterval( kTimerSecondsSet, kOKToHailID, 30.0f );
	}
}
void tTransportBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTransportBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTransportBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTransportBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTransportBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTransportBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTransportBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransportBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTransportBaseState::mOnFlashingButtonPressed()
{}
void tTransportBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTransportBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTransportBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tTransportBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tTransportBaseState::mOnHostChanged()
{}
void tTransportBaseState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>( kPlayerTeam) );

	if( timerID == kOKToHailID )
	{
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tTransport::kSurrenderStateCommState );
	}

}
void tTransportBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTransportBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

