/********************************************************************************************************\

	File Name:	NPC1TransportBaseState.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( NPC1TransportBaseState_h )
#define NPC1TransportBaseState_h

#include "ChildActorState.h"
#include "Transport.h"


class tTransportBaseState : public tChildActorState<tTransport>
{
public:

	//
	//	Serialization events
	//
	virtual void mBeginState();
	virtual void mEndState();

	//
	//	Ship events
	//
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mAtDistance( tShipInfo* ship );
	virtual void mAtDestination( tShipInfo* ship );
	virtual void mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );
	virtual void mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus );
	virtual void mOnProbeLaunch( tShipInfo* ship );
	virtual void mOnBeginOrbit( tShipInfo* ship );
	virtual void mOnEndOrbit( tShipInfo* ship );
	virtual void mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip );
	virtual void mOnFlashingButtonPressed();
	virtual void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );
	virtual void mOnChangingShip( tShipInfo* ship );
	virtual void mOnSpecialTransport( tShipInfo* ship );

	//
	//	System events
	//
	virtual void mOnPlayerLeaving( int playerNumber );
	virtual void mOnHostChanged();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType );
	virtual void mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType );

	enum eTimerIDs
	{
		kCheckSecretTransmission = 1001,
		kScanTimer,
		kPrimaryObjectiveCompleteID,
		kCheckEndID,
		kRandChatID,
		kOKToHailID,
	};
};

#endif



