/********************************************************************************************************\

	File Name:	NPC1Team.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionText.h"
#include "TransportTeam.h"
#include "TransportTeamBaseState.h"
#include "Transport.h"
#include "ShipList_API.h"

tClassAllocator<tTransportTeam> gNPC1TeamAllocator;

void tTransportTeam::mSetupState()
{
	mRegisterState( new tTransportTeamBaseState() );
	mGotoState( typeid( tTransportTeamBaseState ) );
}

void tTransportTeam::mSetupCommState()
{}

void tTransportTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tTransportTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );

		// we want a large cargo freighter
        std::list< eEnhancedClassTypes >  freighterClassList;
        freighterClassList.push_back(kEClassLargeFreighter);
        freighterClassList.push_back(kEClassLargeAuxiliary);
		fShiplistCount = sl.Subset(freighterClassList);
        gST.mDebug_fprintf("freighter class subset: %d\n", fShiplistCount);

		std::list< eEnhancedRoles >  freighterRolesList;
		freighterRolesList.push_back(kCargo);
		fShiplistCount = sl.Subset(freighterRolesList);
		gST.listShiplistContent(sl);

		if (sl.size() > 0) {
            Ship s1;
            sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			mCreateShip( 
				typeid(tTransport),
				s1.shipCode.c_str(), 
				kStartPosition_I, 
				kNoMetaShipID,
				kSevrinTransportID, 
				0, 0, -1, -1, 
				Messages[kTransportName].c_str(), 
				kNoShipOptions);

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}
	gST.mDebug_fprintf("--- Finished: tTransportTeam::mCreateShipsForTeam\n");
}

void tTransportTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Entering: tTransportTeam::mOldCreateShipsForTeam\n");

	mCreateShip( 
		typeid(tTransport),
		"F-FLPh", 
		kStartPosition_I, 
		kNoMetaShipID,
		kSevrinTransportID, 
		0, 0, -1, -1, 
		Messages[kTransportName].c_str(), 
		kNoShipOptions);

	gST.mDebug_fprintf("---- Finished: tTransportTeam::mOldCreateShipsForTeam\n");
}

void tTransportTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tTransportTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tTransportTeam", shipScriptDescription );
}
