/*
	MissionText.cpp

	This module contains the definitions for the text messages that
	appear during the mission.
*/

#include "tclient.h"
#include "MissionText.h"

//
// do not translate text between brackets ([]).
// do not translate strings that end with '.scr'
//

#if defined ( _GERMAN )

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X4M1AThief",

	//
	//	Briefing message
	//

	// kBriefing_Federation_msg,
	">Stehlen Sie wenigstens 3 Transportschiffe, und zerstren Sie alle gegnerischen Schiffe.<" \
	"Es ist offensichtlich, dass wir uns fr einen Feldzug gegen das ISK vorbereiten mssen.\n\n" \
	"Das ISK hat mehrere Frachtschiffe nach [SYSTEM_NAME] gebracht. Sie sind augenblicklich " \
	"unbemannt, sitzen bewegungslos im Raum und warten darauf, dass ihre Besatzungen eintreffen. " \
	"Es wurden nur einige wenige Verteidigungsplattformen und (vielleicht) ein einziger Zerstrer vor Ort gelassen, um " \
	"sie zu bewachen. Ihre Primrmission ist einfach - entern Sie die Frachter, und bringen Sie sie " \
	"aus dem System. Drei der Frachter wren bereits eine gute Ausbeute.\n\n" \
	"Ihr sekundres Ziel besteht darin, den Zerstrer zu eliminieren. Ich mchte, dass das ISK auch weiterhin nur " \
	"Vermutungen anstellen kann, wer oder was ihm diesen Schlag versetzt hat. Nachdem Sie das Schiff zerstrt haben, beamen Sie irgendwelche Orionen-Trmmer " \
	"in das System. Ihr Wissenschaftsoffizier kann das automatisch fr Sie erledigen. Es wre " \
	"nett, wenn man das ISK und die Piraten aufeinander hetzen knnte.\n\n" \
	"Wegtreten.\n\n",

	// kBriefing_Klingon_msg,
	">Stehlen Sie wenigstens 3 Transportschiffe, und zerstren Sie alle gegnerischen Schiffe.<" \
	"Das ISK mchte einen galaktischen Frieden durchsetzen. Das kann natrlich nicht toleriert werden.\n\nDas " \
	"ISK hat mehrere Frachtschiffe nach [SYSTEM_NAME] gebracht. Im Augenblick sind sie noch unbemannt, " \
	"sitzen bewegungslos im Raum und warten darauf, dass ihre Besatzungen eintreffen. Es wurden nur einige wenige " \
	"Verteidigungsplattformen und (vielleicht) ein einziger Zerstrer vor Ort gelassen, um sie zu beschtzen. Ihre " \
	"Primrmission ist einfach - entern Sie die Frachter, und bringen Sie sie aus dem System. Drei " \
	"Frachter wren schon eine gute Ausbeute.\n\nIhr Sekundrziel besteht darin, den Zerstrer " \
	"zu eliminieren. Wir mchten das ISK im Dunklen lassen, wer oder was den Schlag gefhrt hat. Nachdem Sie den Zerstrer  " \
	"vernichtet haben, beamen Sie einige Orionen-Trmmer in das System. Ihr Wissenschaftsoffizier kann das automatisch fr Sie " \
	"erledigen. Das ISK und die Piraten haben es verdient, sich gegenseitig an die Kehle zu gehen.\n\nWegtreten.\n\n",

	// kBriefing_Romulan_msg,
	">Stehlen Sie wenigstens 3 Transportschiffe, und zerstren Sie alle gegnerischen Schiffe.<" \
	"Der Feldzug des ISKs ist ein Affront gegenber der romulanischen Souvernitt und kann so nicht stehen bleiben." \
	"Das ISK hat mehrere Frachtschiffe nach [SYSTEM_NAME] gebracht. Sie sind augenblicklich " \
	"unbemannt, sitzen bewegungslos im Raum und warten darauf, dass ihre Besatzungen eintreffen. " \
	"Es wurden nur einige wenige Verteidigungsplattformen und (vielleicht) ein einziger Zerstrer vor Ort gelassen, um " \
	"sie zu bewachen. Ihre Primrmission ist einfach - entern Sie die Frachter, und bringen Sie sie " \
	"aus dem System. Drei der Frachter wren bereits eine gute Ausbeute.\n\n" \
	"Ihr sekundres Ziel besteht darin, den Zerstrer zu eliminieren. Wir mchten, dass das ISK auch weiterhin nur " \
	"Vermutungen anstellen kann, wer oder was ihm diesen Schlag versetzt hat. Nachdem Sie das Schiff zerstrt haben, beamen Sie irgendwelche Orionen-Trmmer " \
	"in das System. Ihr Wissenschaftsoffizier kann das automatisch fr Sie erledigen. " \
	"Das ISK und die Piraten haben es verdient, sich gegenseitig an die Kehle zu gehen.\n\nWegtreten.\n\n",

	// kBriefing_Lyran_msg,
	">Stehlen Sie wenigstens 3 Transportschiffe, und zerstren Sie alle gegnerischen Schiffe.<" \
	"Der Feldzug des ISKs muss verhindert werden - aber wir brauchen zuvor bessere Informationen, wenn irgendeine Hoffnung auf Sieg bestehen soll.\n\n"\
	"Das ISK hat mehrere Frachtschiffe nach [SYSTEM_NAME] gebracht. Sie sind augenblicklich " \
	"unbemannt, sitzen bewegungslos im Raum und warten darauf, dass ihre Besatzungen eintreffen. " \
	"Es wurden nur einige wenige Verteidigungsplattformen und (vielleicht) ein einziger Zerstrer vor Ort gelassen, um " \
	"sie zu bewachen. Ihre Primrmission ist einfach - entern Sie die Frachter, und bringen Sie sie " \
	"aus dem System. Drei der Frachter wren bereits eine gute Ausbeute.\n\n" \
	"Ihr sekundres Ziel besteht darin, den Zerstrer zu eliminieren. Wir mchten, dass das ISK auch weiterhin nur " \
	"Vermutungen anstellen kann, wer oder was ihm diesen Schlag versetzt hat. Nachdem Sie das Schiff zerstrt haben, beamen Sie irgendwelche Orionen-Trmmer " \
	"in das System. Ihr Wissenschaftsoffizier kann das automatisch fr Sie erledigen. " \
	"Das ISK und die Piraten haben es verdient, sich gegenseitig an die Kehle zu gehen.\n\nWegtreten.\n\n",

	// kBriefing_Hydran_msg,
	">Stehlen Sie wenigstens 3 Transportschiffe, und zerstren Sie alle gegnerischen Schiffe.<" \
	"Die Einmischungen des ISKs sind ein Skandal, ein regelrechter Skandal! Und obwohl wir Hydraner " \
	"das Herumschnffeln und das Ausspionieren unserer Gegner ablehnen, bleibt uns manchmal dennoch keine Wahl.\n\n" \
	"Das ISK hat mehrere Frachtschiffe nach [SYSTEM_NAME] gebracht. Sie sind augenblicklich " \
	"unbemannt, sitzen bewegungslos im Raum und warten darauf, dass ihre Besatzungen eintreffen. " \
	"Es wurden nur einige wenige Verteidigungsplattformen und (vielleicht) ein einziger Zerstrer vor Ort gelassen, um " \
	"sie zu bewachen. Ihre Primrmission ist einfach - entern Sie die Frachter, und bringen Sie sie " \
	"aus dem System. Drei der Frachter wren bereits eine gute Ausbeute.\n\n" \
	"Ihr sekundres Ziel besteht darin, den Zerstrer zu eliminieren. Wir mchten, dass das ISK auch weiterhin nur " \
	"Vermutungen anstellen kann, wer oder was ihm diesen Schlag versetzt hat. Nachdem Sie das Schiff zerstrt haben, beamen Sie irgendwelche Orionen-Trmmer " \
	"in das System. Ihr Wissenschaftsoffizier kann das automatisch fr Sie erledigen. " \
	"Das ISK und die Piraten haben es verdient, sich gegenseitig an die Kehle zu gehen.\n\n" \
	"Ich wei, dass das ein schmutziger Job ist, aber er wurde uns aufgezwungen.\n\nWegtreten.\n\n",

	// kBriefing_Gorn_msg,
	">Stehlen Sie wenigstens 3 Transportschiffe, und zerstren Sie alle gegnerischen Schiffe.<" \
	"Der ISK-Feldzug muss verhindert werden. Diese nchste Mission ist ein erster Schritt zur Erreichung dieses Ziels.\n\n" \
	"Das ISK hat mehrere Frachtschiffe nach [SYSTEM_NAME] gebracht. Sie sind augenblicklich " \
	"unbemannt, sitzen bewegungslos im Raum und warten darauf, dass ihre Besatzungen eintreffen. " \
	"Es wurden nur einige wenige Verteidigungsplattformen und (vielleicht) ein einziger Zerstrer vor Ort gelassen, um " \
	"sie zu bewachen. Ihre Primrmission ist einfach - entern Sie die Frachter, und bringen Sie sie " \
	"aus dem System. Drei der Frachter wren bereits eine gute Ausbeute.\n\n" \
	"Ihr sekundres Ziel besteht darin, den Zerstrer zu eliminieren. Wir mchten, dass das ISK auch weiterhin nur " \
	"Vermutungen anstellen kann, wer oder was ihm diesen Schlag versetzt hat. Nachdem Sie das Schiff zerstrt haben, beamen Sie irgendwelche Orionen-Trmmer " \
	"in das System. Ihr Wissenschaftsoffizier kann das automatisch fr Sie erledigen. " \
	"Das ISK und die Piraten haben es verdient, sich gegenseitig an die Kehle zu gehen.\n\nWegtreten.\n\n",

	// kBriefing_Mirak_msg,
	">Stehlen Sie wenigstens 3 Transportschiffe, und zerstren Sie alle gegnerischen Schiffe.<" \
	"Das ISK ist ein neuer und schrecklicher Feind. Aber jubelt, meine Brder, denn wir haben gute Neuigkeiten. " \
	"Und nun werden wir ein wenig unsere Klauen zeigen.\n\n" \
	"Das ISK hat mehrere Frachtschiffe nach [SYSTEM_NAME] gebracht. Sie sind augenblicklich " \
	"unbemannt, sitzen bewegungslos im Raum und warten darauf, dass ihre Besatzungen eintreffen. " \
	"Es wurden nur einige wenige Verteidigungsplattformen und (vielleicht) ein einziger Zerstrer vor Ort gelassen, um " \
	"sie zu bewachen. Ihre Primrmission ist einfach - entern Sie die Frachter, und bringen Sie sie " \
	"aus dem System. Drei der Frachter wren bereits eine gute Ausbeute.\n\n" \
	"Ihr sekundres Ziel besteht darin, den Zerstrer zu eliminieren. Wir mchten, dass das ISK auch weiterhin nur " \
	"Vermutungen anstellen kann, wer oder was ihm diesen Schlag versetzt hat. Nachdem Sie das Schiff zerstrt haben, beamen Sie irgendwelche Orionen-Trmmer " \
	"in das System. Ihr Wissenschaftsoffizier kann das automatisch fr Sie erledigen. " \
	"Das ISK und die Piraten haben es verdient, sich gegenseitig an die Kehle zu gehen.\n\nWegtreten.\n\n",

	//
	// Description message
	//
	
	"Nach Informationen unseres Geheimdienstes besitzt das ISK wichtige technologische Daten. " \
	"Diese Daten brauchen wir, daher werden Sie sie besorgen mssen.\n\n",

	//
	//	Starting message
	//
	
	// kStart_Federation_msg,
	"[PLAYER_NAME]: Logbuch des Captains, [STARDATE]. Fr die Vorbereitungen auf einen mglichen Krieg gegen das ISK bentigen " \
	"wir Muster ihrer Technologie. Und nun sind vier ISK-Frachter an einem nur minimal " \
	"verteidigten Treffpunkt angekommen. Unsere Mission ist es, den einzigen ISK-Verteidiger zu zerstren, " \
	"mit unseren Entertrupps die Frachter in unseren Besitz zu bringen und sie aus dem System " \
	"verschwinden zu lassen.\n\n",

	// kStart_Klingon_msg
	"[PLAYER_NAME]: Kriegsbericht, [STARDATE]. Fr die Vorbereitungen auf einen mglichen Krieg gegen das ISK bentigen " \
	"wir Muster ihrer Technologie. Und nun sind vier ISK-Frachter an einem nur minimal " \
	"verteidigten Treffpunkt angekommen. Unsere Mission ist es, den einzigen ISK-Verteidiger zu zerstren, mit unseren Entertrupps " \
	"die Frachter in unseren Besitz zu bringen und sie aus dem System verschwinden zu lassen. Es bereitet " \
	"meinem Herzen Freude, ihrem Befriedungsprogramm ein Hindernis in den Weg zu legen.\n\n",

	// kStart_Romulan_msg
	"[PLAYER_NAME]: Bericht des romulanischen Imperiums, [STARDATE]. Fr die Vorbereitungen auf einen mglichen " \
	"Krieg gegen das ISK bentigen wir Muster ihrer Technologie. Und nun sind vier ISK-Frachter an " \
	"einem nur minimal verteidigten Treffpunkt angekommen. Unsere Mission besteht darin, den " \
	"einzigen ISK-Verteidiger zu zerstren, die Frachter mit unseren Entertrupps in unseren Besitz zu bringen und " \
	"sie aus dem System verschwinden zu lassen. Spionage und Ehre sind die beiden Herzen, die den Krper " \
	"des romulanischen Imperiums am Leben halten.\n\n",

	// kStart_Lyran_msg
	"[PLAYER_NAME]: Journal des Commanders, lyranisches Imperium, [STARDATE]. Fr die Vorbereitungen " \
	"auf einen mglichen Krieg gegen das ISK bentigen wir Muster ihrer Technologie. Und nun sind vier ISK- " \
	"Frachter an einem nur minimal verteidigten Treffpunkt angekommen. Unsere Mission besteht darin, " \
	"den einzigen ISK-Verteidiger zu zerstren, die Frachter mit unseren Entertrupps in unseren Besitz zu bringen und " \
	"sie aus dem System verschwinden zu lassen. Nachdem wir das geschafft haben, werden wir die Dinge schon in den Griff kriegen.\n\n",

	// kStart_Hydran_msg
	"[PLAYER_NAME]: Journal des Commanders, [STARDATE]. Fr die Vorbereitungen auf einen mglichen Krieg gegen " \
	"das ISK bentigen wir Muster ihrer Technologie. Und nun sind vier ISK-Frachter an einem nur minimal " \
	"verteidigten Treffpunkt angekommen. Unsere Mission ist es, den einzigen ISK-Verteidiger zu zerstren, " \
	"mit unseren Entertrupps die Frachter in unseren Besitz zu bringen und sie aus dem System " \
	"verschwinden zu lassen. Spionage ist uerst geschmacklos, aber das gilt ebenso auch fr die Knechtschaft, die uns sonst erwartet.\n\n",

	// kStart_Gorn_msg
	"[PLAYER_NAME]: Logbuch des Commanders, [STARDATE]. Fr die Vorbereitungen auf einen mglichen Krieg gegen das " \
	"ISK bentigen wir Muster ihrer Technologie. Und nun sind vier ISK-Frachter an einem nur minimal " \
	"verteidigten Treffpunkt angekommen. Unsere Mission ist es, den einzigen ISK-Verteidiger zu zerstren, mit unseren Entertrupps " \
	"die Frachter in unseren Besitz zu bringen und sie aus dem System verschwinden zu lassen. Die Commander " \
	"unserer Vorhut sind enttuscht zu hren, dass sie bei der bernahme der Frachter wahrscheinlich nur auf wenig Widerstand " \
	"stoen werden.\n\n",

	// kStart_Mirak_msg
	"[PLAYER_NAME]: Jagdbericht, [STARDATE]. Fr die Vorbereitungen auf einen mglichen Krieg gegen das ISK bentigen " \
	"wir Muster ihrer Technologie. Und nun sind vier ISK-Frachter an einem nur minimal " \
	"verteidigten Treffpunkt angekommen. Unsere Mission ist es, den einzigen ISK-Verteidiger zu zerstren, mit unseren Entertrupps " \
	"die Frachter in unseren Besitz zu bringen und sie aus dem System verschwinden zu lassen. Nachdem wir " \
	"das erledigt haben, kann die Jagd wahrlich beginnen.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Herzlichen Glckwunsch. Es war Ihre Aufgabe, die drei ISK-Frachter zu erobern, und Sie haben " \
	"diese Aufgabe mehr als vorbildlich erfllt. Darber hinaus haben Sie es geschafft, das eine ISK-Schiff zu besiegen, " \
	"das die Schiffe bewachen sollte, und Sie haben erfolgreich die Beweise platziert, die allen Verdacht auf die Orionen fallen lassen. " \
	"Das nenne ich perfekte Arbeit.\n\nWir werden schon bald weitere Infiltrationsaufgaben fr Sie haben. Wegtreten.\n\n",
	
	//	kDebVictory_msg,
	"Herzlichen Glckwunsch. Es war Ihre Aufgabe, die drei ISK-Frachter zu erobern, und Sie haben es geschafft. " \
	"Darber hinaus ist es Ihnen gelungen, das eine ISK-Schiff zu besiegen, das die Frachter bewachen sollte, und " \
	"sie haben erfolgreich die Beweise platziert, die allen Verdacht auf die Orionen fallen lassen. Das war ausgezeichnete Arbeit.\n\n" \
	"Wir werden schon bald weitere Infiltrationsaufgaben fr Sie haben. Wegtreten.\n\n",
	
	//	kDebDraw_msg,
	"Hmm... Diese Nachricht darf doch nicht wahr sein. Wenn man das liest, entsteht der Eindruck, als msse ein Fehler vorliegen.\n\n",
	
	//	kDebDefeat_msg,
	"Sie hatten zwei Einsatzziele: (1) sollten Sie wenigstens drei ISK-Frachter erobern, und (2) " \
	"sollten Sie das eine ISK-Schiff besiegen, das sie bewacht, und den Verdacht auf die Orionen lenken, indem Sie geflschte " \
	"Beweise platzieren. Eins von beiden hat wohl nicht geklappt. Ich hoffe, wir finden eine Mglichkeit, das wieder gut zu machen.\n\nWegtreten.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"Sie hatten zwei Einsatzziele: (1) sollten Sie wenigstens drei ISK-Frachter erobern, und (2) " \
	"sollten Sie das eine ISK-Schiff besiegen, das sie bewacht, und den Verdacht auf die Orionen lenken, indem Sie geflschte " \
	"Beweise platzieren. Sie haben in beiden Fllen versagt. Wir verfgen nun nicht ber die Werkzeuge, mit denen wir Infiltrations- " \
	"operationen durchfhren knnten.\n\n Diese Mission kann nur als ein kompletter und katastrophaler Fehlschlag betrachtet werden.\n\nWegtreten.\n\n",

	//
	//	Comm buttons
	//

	//k_HAIL_Transport_btn,
	"RUFEN",
	//k_HAIL_ISC_btn,
	"RUFEN",
	//k_DS_ISC_btn,
	"KAPITULATION FORDERN",

	//
	//	Comm messages
	//

	// Transport messages.

	//k_HAIL_Transport1_msg,
	"Kommunikationsoffizier: Keine Reaktion. Wir mssen es zuerst entern.\n\n",
	//k_HAIL_Transport2_msg,
	"Captain: Wir sind in guter Verfassung und entfernen uns mit voller Kraft aus dem System.\n\n",
	//k_HAIL_Transport3_msg,
	"Captain: Wir haben was abbekommen, aber die Hlle hlt soweit noch ganz gut.\n\n",
	//k_HAIL_Transport4_msg,
	"Captain: Sie haben uns ziemlich fertig gemacht. Dieses ISK kmpft hrter als ich erwartet hatte.\n\n",
	//k_HAIL_Transport5_msg,
	"Captain: Mayday. Wir brauchen Verstrkung.\n\n",

	// ISC enemy ship messages.

	//k_HAIL_ISC1_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",
	//k_HAIL_ISC2_msg,
	"Captain des ISKs: Ihr habt uns geschlagen. Jetzt haut ab, und geht jemand anderem auf den Geist.\n\n",
	//k_HAIL_ISC3_msg,
	"Sicherheitsoffizier: Auf dem Schiff ist es ruhig, [PLAYER_RANK].\n\n",
	//k_HAIL_ISC4_msg,
	"Captain des ISKs: Nun gut. Ein Primitivling. Ein Terraner. Ein Dieb in der Nacht. Greift an, ohne provoziert worden zu sein. " \
	"Wenn je ein Beweis fr die Notwendigkeit einer neuen Ordnung in diesem Quadranten gefordert war, hier ist er.\n\n" \
	"[PLAYER_NAME]: Vielleicht bin ich ein Primitivling und ein Terraner und ein Dieb in der Nacht, aber ich bin nicht " \
	"ohne Grund hierher gekommen. Ihr habt uns hergebracht.\n\n" \
	"Captain des ISKs: Wir? Wie kommen Sie denn darauf?\n\n" \
	"[PLAYER_NAME]: Wren wir in dieses System gekommen, wenn ihr nicht zuerst hierher gekommen wret? Wie heit es " \
	"bei Starfleet so schn: \"Manchmal sind die Berechnungen gar nicht schwer. Man muss nur die Mathematik beherrschen\".\n\n",
	//k_HAIL_ISC5_msg,
	"Captain des ISKs: Nun gut. Ein Primitivling. Ein Klingone. Ein Dieb in der Nacht. Greift an, ohne provoziert worden zu sein. " \
	"Wenn je ein Beweis fr die Notwendigkeit einer neuen Ordnung in diesem Quadranten gefordert war, hier ist er.\n\n" \
	"[PLAYER_NAME]: Es ist bereits eine neue Ordnung in Sicht. Eine klingonische Ordnung. Und das ISK passt da nicht hinein.\n\n" \
	"Captain des ISKs: Das ist aber kurzsichtig.\n\n" \
	"[PLAYER_NAME]: Vielleicht knnen wir unsere Planung ja ndern. Ich bin sicher, Dein Konkordium hat hervorragende Arbeiter und Knechte. Ihr knntet von groem Nutzen fr uns sein.\n\n",
	//k_HAIL_ISC6_msg,
	"Captain des ISKs: Nun gut. Ein Primitivling. Ein Romulaner. Ein Dieb in der Nacht. Greift an, ohne provoziert worden zu sein. " \
	"Wenn je ein Beweis fr die Notwendigkeit einer neuen Ordnung in diesem Quadranten gefordert war, hier ist er.\n\n" \
	"[PLAYER_NAME]: Ich stelle mehr als nur einen Grund fr Ihren schlecht konzipierten Kreuzzug dar. Denn wenn ein Romulaner als Dieb in der Nacht kommt, rechnen Sie mit einem Dolch in Ihrem Rcken.\n\n",
	//k_HAIL_ISC7_msg,
	"Captain des ISKs: Nun gut. Ein Primitivling. Ein Lyraner. Ein Dieb in der Nacht. Greift an, ohne provoziert worden zu sein. " \
	"Wenn je ein Beweis fr die Notwendigkeit einer neuen Ordnung in diesem Quadranten gefordert war, hier ist er.\n\n" \
	"[PLAYER_NAME]: Sie knnten mich mit Ihren Worten treffen, wenn wir auch nur den geringsten Grund htten, " \
	"sie zu respektieren. Die Lyraner knnten euch respektieren, knnten euch sogar vergeben, wenn ihr nicht unseren " \
	"Krieg mit dem .... Feind unterbrochen httet. Auf Wiedersehen, ISK. Ihr werdet keine Zeit mehr haben, ein Grabmal zu errichten.\n\n",
	//k_HAIL_ISC8_msg,
	"Captain des ISKs: Nun gut. Ein Primitivling. Ein Gorn. Ein Dieb in der Nacht. Greift an, ohne provoziert worden zu sein. " \
	"Wenn je ein Beweis fr die Notwendigkeit einer neuen Ordnung in diesem Quadranten gefordert war, hier ist er.\n\n" \
	"[PLAYER_NAME]: Ihr Ton ist beleidigender als Ihre Worte, Sie sind ein hochnsiger Gnaaruram. " \
	"Vielleicht werden Sie sich entschuldigen, bevor Sie sterben.\n\n",
	//k_HAIL_ISC9_msg,
	"Captain des ISKs: Nun gut. Ein Primitivling. Ein Hydraner. Ein Dieb in der Nacht. Greift an, ohne provoziert worden zu sein. " \
	"Wenn je ein Beweis fr die Notwendigkeit einer neuen Ordnung in diesem Quadranten gefordert war, hier ist er.\n\n" \
	"[PLAYER_NAME]: Oh doch, wir wurden provoziert. Artikel 12 der Galaktischen Konventionen sagt klar und deutlich...\n\n" \
	"Captain des ISKs: Wir haben diese Konventionen nicht unterzeichnet.\n\n" \
	"[PLAYER_NAME]: ... das Eindringen von Auenseitern in ein Terrtorium, das einem der Vertragsunterzeichner gehrt, ist ein Akt " \
	"des Krieges und kann als solcher verfolgt werden. Sie wollen doch als so zivilisiert gelten, wie kommt es, dass Sie das nicht kennen?\n\n",
	//k_HAIL_ISC10_msg,
	"Captain des ISKs: Nun gut. Ein Primitivling. Ein Miraker. Ein Dieb in der Nacht. Greift an, ohne provoziert worden zu sein. " \
	"Wenn je ein Beweis fr die Notwendigkeit einer neuen Ordnung in diesem Quadranten gefordert war, hier ist er.\n\n" \
	"[PLAYER_NAME]: Wenn wir uns Ihnen wie Diebe nhern, haben wir keine andere Wahl als Ihnen unseren " \
	"zutiefst empfundenen Wunsch nach Verzeihung anzubieten. Der einzige Weg, wie ein Sohn der Miraker eine derartige Feigheit " \
	"wieder wettmachen kann, ist, Ihnen in einem ehrlichen Kampf gegenberzustehen, Sie zu verwunden und zu tten. Das ist das mindeste, " \
	"was wir tun knnen, um Wiedergutmachung fr unseren Versto zu leisten." \
	"Captain des ISKs: H?\n\n", 
	//k_HAIL_ISC11_msg,
	"Captain des ISKs: Sie dringen widerrechtlich in das Territorium des ISKs ein. Ich wrde vorschlagen, Sie verschwinden, bevor wir Sie aus dem Weltraum blasen.\n\n",
	//k_HAIL_ISC12_msg,
	"Captain des ISKs: Fremdes Raumschiff, Sie wurden als Eindringling identifiziert. Verlassen Sie das System unverzglich, oder Sie werden zerstrt.\n\n",
	//k_HAIL_ISC13_msg,
	"Captain des ISKs: Sie mischen sich in Angelegenheiten des ISKs ein, ohne hierzu provoziert worden zu sein. Dies kann nicht toleriert werden.\n\n",

	//k_DS_ISC1_msg,
	"Kommunikationsoffizier: Keine Reaktion.\n\n",
	//k_DS_ISC2_msg,
	"Captain des ISKs: Haben Sie nicht schon genug Unheil angerichtet?\n\n",
	//k_DS_ISC3_msg,
	"Sicherheitsoffizier: Es gibt wirklich nichts, ber das es sich zu sprechen lohnte.\n\n",
	//k_DS_ISC4_msg,
	"Captain des ISKs: Ergeben? Das ist aber mal eine interessante Wahnvorstellung.\n\n",
	//k_DS_ISC5_msg,
	"Captain des ISKs: Niemals!\n\n",
	//k_DS_ISC6_msg,
	"Captain des ISKs: Ergeben? Sind Sie jetzt vollkommen bergeschnappt?\n\n",
	//k_DS_ISC7_msg,
	"Captain des ISKs: Na gut. Wir geben auf.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Groartiger Sieg!\n\n",

	// kVictory_msg,
	"Sieg!\n\n",

	// kDraw_msg,
	"Unentschieden\n\n",

	// kDefeat_msg,
	"Niederlage\n\n",

	// kDevastatingDefeat_msg,
	"Vernichtende Niederlage\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Steuermann: Wir knnen die schweren Waffen dieser Verteidigungsplattformen ganz einfach ausmanvrieren.\n\n",
	
	//	kRandChat2_msg,
	"Ingenieur: Trmmer von Orionenschiffen in allen Frachttransportern bereit.\n\n",
		
	//	kRandChat3_msg,
	"Sicherheitsoffizier: Die Entertrupps sind gedrillt und bereit fr den Transport.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: Absetzvektoren fr alle Transporter programmiert.\n\n",
		
	//	kRandChat5_msg,
	"Waffenoffizier: Diese Verteidigungsplattformen haben einige gewaltige Kanonen, aber nebenbei, wir auch.\n\n",
	
	//	kRandChat6_msg,
	"Wissenschaftsoffizier: Maschinenraum meldet: Bereit zum Abwerfen der Trmmer.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	// kTransportCaptured
	"Sicherheitsoffizier: Wir haben den Frachter unter unserer Kontrolle. Wir schicken ihn aus dem System.\n\n",

	// kTransportDisengaged
	"Wissenschaftsoffizier: Einer der Frachter hat soeben das System verlassen.\n\n",

	// kEnemyShipDestroyed
	"Erster Offizier: Das ISK-Schiff wurde zerstrt.\n" \
	"Wissenschaftsoffizier: Wir werfen jetzt die Orionen-Trmmer ab. Es sollte berzeugend aussehen.",

	// kEnemyShipCaptured
	"Erster Offizier: Das ISK-Schiff wurde erobert.\n" \
	"Sicherheitsoffizier: Die Entertrupps haben Kurs auf den nchsten Stern gesetzt, um das Schiff verschwinden zu lassen.\n" \
	"Wissenschaftsoffizier: In der Zwischenzeit werfen wir die Orionen-Trmmer ab. Es sollte berzeugend aussehen.",

	// kEnemyShipSurrendered
	"Erster Offizier: Das ISK-Schiff hat kapituliert.\n" \
	"Sicherheitsoffizier: Wir nehmen die Crew gefangen und setzen im Schiff Kurs auf den nchsten Stern, um es verschwinden zu lassen.\n" \
	"Wissenschaftsoffizier: In der Zwischenzeit werfen wir die Orionen-Trmmer ab. Es sollte berzeugend aussehen.",

	// kSecondObjectiveCompleted
	"Erster Offizier: Sekundres Missionsziel erfllt.\n\n",

	// kSecondObjectiveThroughSurrender,
	"Erster Offizier: Mit ihrer Kapitulation ist das sekundre Missionsziel ebenfalls erfllt.\n\n",

	// kAllObjectivesCompleted
	"Erster Offizier: Alle Missionsziele wurden erfllt.\n\n",

	// kDoneAllWeCan
	"Wissenschaftsoffizier: Wir haben hier alles getan, was wir konnten.\n\n",

	//kAttackedAfterSurrender
	"Captain des ISKs: Sie sind wirklich Primitivlinge. Sie greifen nicht nur an, ohne provoziert worden zu sein, " \
	"Sie setzen sich auch ber unsere Kapitulation hinweg, die in gutem Glauben angeboten wurde! Sie, [PLAYER_NAME], sind ein Lgner " \
	"und ein Dieb, und ich werde alles daransetzen, um Sie vollstndig zu vernichten.\n\n " \
	"Wissenschaftsoffizier: Das Schiff greift wieder an, [PLAYER_RANK]. Wir mssen es zerstren. Es ist eine Schande.\n\n",

	//
	//	Internal strings
	//

	// kEnemyShipName,
	"ISK Protector",
	// kEnemyShipClass,
	"I-DD",
	// kEnemyPlatformName
	"ISK-Verteidigungsplattform",
	// kEnemyPlatformClass,
	"I-DEF",
	// kTransportNameFormat,
	"ISK-Transportschiff #%i",
	// kTransportClass,
	"I-FSPh",

//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"Ein Dieb in der Nacht",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Wissenschaftsoffizier: Wir scannen...\n\n",
};

#else

std::string Messages[] =
{
	//
	//	Mission Title
	//

	// kMissionTitle_msg,
	"Uni_X4M1AThief",

	//
	//	Briefing message
	//

	// kBriefing_Federation_msg,
	">Steal at least 3 transports and destroy any enemy ships.<" \
	"It's obvious that we need to prepare for a campaign against the ISC.\n\n" \
	"The ISC has transported several freighters to [SYSTEM_NAME]. They're currently " \
	"unmanned, sitting dead in space and waiting for their full complement to arrive. " \
	"Only a few defense platforms and (maybe) a single ship have been left to " \
	"guard them. Your primary mission is simple - board the freighters and take them " \
	"out of the system. Three freighters would be considered a good target number.\n\n" \
	"Your secondary goal is to eliminate the ship. We'd like to keep the ISC " \
	"guessing as to what hit them. Once you've destroyed it, beam some Orion wreckage " \
	"into the system. Your science officer can handle this automatically. It would be " \
	"nice to set the ISC and the pirates at each others' throats.\n\n" \
	"Dismissed.\n\n",

	// kBriefing_Klingon_msg,
	">Steal at least 3 transports and destroy any enemy ships.<" \
	"The ISC wishes to bring about galactic peace. This is, of course, intolerable.\n\nThe " \
	"ISC has transported several freighters to [SYSTEM_NAME]. They're currently unmanned, " \
	"sitting dead in space and waiting for their full complement to arrive. Only a few " \
	"defense platforms and (maybe) a single ship have been left to guard them. Your " \
	"primary mission is simple - board the freighters and take them out of the system. Three " \
	"freighters would be considered a good target number.\n\nYour secondary goal is to eliminate " \
	"the ship. We would like to keep the ISC guessing as to what hit them. Once you've " \
	"destroyed it, beam some Orion wreckage into the system. Your science officer can handle " \
	"this automatically. The ISC and the pirates deserve to be at each others' throats.\n\nDismissed.\n\n",

	// kBriefing_Romulan_msg,
	">Steal at least 3 transports and destroy any enemy ships.<" \
	"The ISC campaign is an affront to Romulan sovereignty, and will not be permitted to stand.\n\n" \
	"The ISC has transported several freighters to [SYSTEM_NAME]. They're currently " \
	"unmanned, sitting dead in space and waiting for their full complement to arrive. " \
	"Only a few defense platforms and (maybe) a single ship have been left to " \
	"guard them. Your primary mission is simple - board the freighters and take them " \
	"out of the system. Three freighters would be considered a good target number.\n\n" \
	"Your secondary goal is to eliminate the ship. We'd like to keep the ISC " \
	"guessing as to what hit them. Once you've destroyed it, beam some Orion wreckage " \
	"into the system. Your science officer can handle this automatically. " \
	"The ISC and the pirates deserve to be at each others' throats.\n\nDismissed.\n\n",

	// kBriefing_Lyran_msg,
	">Steal at least 3 transports and destroy any enemy ships.<" \
	"The ISC campaign must be thwarted - but we must improve our intelligence if we are to have any hope of victory.\n\n"\
	"The ISC has transported several freighters to [SYSTEM_NAME]. They're currently " \
	"unmanned, sitting dead in space and waiting for their full complement to arrive. " \
	"Only a few defense platforms and (maybe) a single ship have been left to " \
	"guard them. Your primary mission is simple - board the freighters and take them " \
	"out of the system. Three freighters would be considered a good target number.\n\n" \
	"Your secondary goal is to eliminate the ship. We'd like to keep the ISC " \
	"guessing as to what hit them. Once you've destroyed it, beam some Orion wreckage " \
	"into the system. Your science officer can handle this automatically. " \
	"The ISC and the pirates deserve to be at each others' throats.\n\nDismissed.\n\n",

	// kBriefing_Hydran_msg,
	">Steal at least 3 transports and destroy any enemy ships.<" \
	"The ISC interference is an outrage, a complete outrage! And while we Hydrans " \
	"disapprove of sneaking around and spying on our enemies, sometimes, we are left with no choice.\n\n" \
	"The ISC has transported several freighters to [SYSTEM_NAME]. They're currently " \
	"unmanned, sitting dead in space and waiting for their full complement to arrive. " \
	"Only a few defense platforms and (maybe) a single ship have been left to " \
	"guard them. Your primary mission is simple - board the freighters and take them " \
	"out of the system. Three freighters would be considered a good target number.\n\n" \
	"Your secondary goal is to eliminate the ship. We'd like to keep the ISC " \
	"guessing as to what hit them. Once you've destroyed it, beam some Orion wreckage " \
	"into the system. Your science officer can handle this automatically. " \
	"The ISC and the pirates deserve to be at each others' throats.\n\n" \
	"I know this is a dirty job, but they pushed us into it.\n\nDismissed.\n\n",

	// kBriefing_Gorn_msg,
	">Steal at least 3 transports and destroy any enemy ships.<" \
	"The ISC campaign must be thwarted. This next mission is a first step to that goal.\n\n" \
	"The ISC has transported several freighters to [SYSTEM_NAME]. They're currently " \
	"unmanned, sitting dead in space and waiting for their full complement to arrive. " \
	"Only a few defense platforms and (maybe) a single ship have been left to " \
	"guard them. Your primary mission is simple - board the freighters and take them " \
	"out of the system. Three freighters would be considered a good target number.\n\n" \
	"Your secondary goal is to eliminate the ship. We'd like to keep the ISC " \
	"guessing as to what hit them. Once you've destroyed it, beam some Orion wreckage " \
	"into the system. Your science officer can handle this automatically. " \
	"The ISC and the pirates deserve to be at each others' throats.\n\nDismissed.\n\n",

	// kBriefing_Mirak_msg,
	">Steal at least 3 transports and destroy any enemy ships.<" \
	"The ISC is a new and terrible enemy. Rejoice, my brothers, for this is good news. " \
	"And now we shall bare our claws a little.\n\n" \
	"The ISC has transported several freighters to [SYSTEM_NAME]. They're currently " \
	"unmanned, sitting dead in space and waiting for their full complement to arrive. " \
	"Only a few defense platforms and (maybe) a single ship have been left to " \
	"guard them. Your primary mission is simple - board the freighters and take them " \
	"out of the system. Three freighters would be considered a good target number.\n\n" \
	"Your secondary goal is to eliminate the ship. We'd like to keep the ISC " \
	"guessing as to what hit them. Once you've destroyed it, beam some Orion wreckage " \
	"into the system. Your science officer can handle this automatically. " \
	"The ISC and the pirates deserve to be at each others' throats.\n\nDismissed.\n\n",

	//
	// Description message
	//
	
	"Intelligence indicates that the ISC possesses important technological data. " \
	"We need it, so you're going to have to go get it.\n\n",

	//
	//	Starting message
	//
	
	// kStart_Federation_msg,
	"[PLAYER_NAME]: Captain's Log, [STARDATE]. In preparing for a possible war against the ISC, we " \
	"need samples of their technology. Four ISC freighters have arrived at a minimally " \
	"defended rendezvous point. Our mission is to destroy the lone ISC defender, take " \
	"possession of the freighters with our boarding parties, and remove them from " \
	"the system.\n\n",

	// kStart_Klingon_msg
	"[PLAYER_NAME]: War Record, [STARDATE]. In preparing for a possible war against the ISC, " \
	"we need samples of their technology. Four ISC freighters have arrived at a minimally " \
	"defended rendezvous point. Our mission is to destroy the lone ISC defender, take possession " \
	"of the freighters with our boarding parties, and remove them from the system. It will do " \
	"my heart good to provide an obstacle to their pacification program.\n\n",

	// kStart_Romulan_msg
	"[PLAYER_NAME]: Record of the Romulan Star Empire, [STARDATE]. In preparing for a possible " \
	"war against the ISC, we need samples of their technology. Four ISC freighters have " \
	"arrived at a minimally defended rendezvous point. Our mission is to destroy the " \
	"lone ISC defender, take possession of the freighters with our boarding parties, and " \
	"remove them from the system. Espionage and honor are the two hearts that keep the body " \
	"of the Romulan Empire working.\n\n",

	// kStart_Lyran_msg
	"[PLAYER_NAME]: Commander's journal, Lyran Star Empire, [STARDATE]. In preparing " \
	"for a possible war against the ISC, we need samples of their technology. Four ISC " \
	"freighters have arrived at a minimally defended rendezvous point. Our mission is to " \
	"destroy the lone ISC defender, take possession of the freighters with our boarding " \
	"parties, and remove them from the system. Once we have done this, it will be on to better things.\n\n",

	// kStart_Hydran_msg
	"[PLAYER_NAME]: Commander's journal, [STARDATE]. In preparing for a possible war against " \
	"the ISC, we need samples of their technology. Four ISC freighters have arrived at a " \
	"minimally defended rendezvous point. Our mission is to destroy the lone ISC defender, " \
	"take possession of the freighters with our boarding parties, and remove them from the " \
	"system. Espionage is very distasteful, but so is becoming enslaved to another master.\n\n",

	// kStart_Gorn_msg
	"[PLAYER_NAME]: Commander's log, [STARDATE]. In preparing for a possible war against the " \
	"ISC, we need samples of their technology. Four ISC freighters have arrived at a minimally " \
	"defended rendezvous point. Our mission is to destroy the lone ISC defender, take possession " \
	"of the freighters with our boarding parties, and remove them from the system. Our " \
	"Vanguard commanders are disappointed to hear that they will likely have little resistance " \
	"taking the freighters.\n\n",

	// kStart_Mirak_msg
	"[PLAYER_NAME]: Hunt record, [STARDATE]. In preparing for a possible war against the ISC, " \
	"we need samples of their technology. Four ISC freighters have arrived at a minimally " \
	"defended rendezvous point. Our mission is to destroy the lone ISC defender, take possession " \
	"of the freighters with our boarding parties, and remove them from the system. Once we have " \
	"done this, the hunt can truly begin.\n\n",

	//
	//	Debriefing messages
	//
	
	//	kDebAstoundingVictory_msg,
	"Congratulations. You were asked to capture three ISC freighters and you went " \
	"above and beyond the call. In addition, you managed to defeat the one ISC vessel " \
	"guarding the ships and successfully planted evidence to incriminate the Orions. " \
	"That was flawless work.\n\nWe are going to have other infiltration assignments for you soon. Dismissed.\n\n",
	
	//	kDebVictory_msg,
	"Congratulations. You were asked to capture at least three ISC freighters and you complied. " \
	"In addition, you managed to defeat the one ISC vessel guarding the ships and " \
	"successfully planted evidence to incriminate the Orions. That was very nice work.\n\n" \
	"We are going to have other infiltration assignments for you soon. Dismissed.\n\n",
	
	//	kDebDraw_msg,
	"Hmm... This message should not be possible. If you're reading this, there's been a mistake.\n\n",
	
	//	kDebDefeat_msg,
	"You were given two objectives: (1) capture at least three ISC freighters, and (2) " \
	"defeat the one ISC vessel guarding them, incriminating the Orions by planting false " \
	"debris. One out of two doesn't cut it. I hope we can find some way to compensate.\n\nDismissed.\n\n",
	
	//	kDebDevastatingDefeat_msg,
	"You were given two objectives: (1) capture at least three ISC freighters, and (2) " \
	"defeat the one ISC vessel guarding them, incriminating the Orions by planting false " \
	"debris. You failed on both counts. We have no tools now with which to conduct infiltration " \
	"operations. This mission must be considered a complete and utter failure.\n\nDismissed.\n\n",

	//
	//	Comm buttons
	//

	//k_HAIL_Transport_btn,
	"HAIL",
	//k_HAIL_ISC_btn,
	"HAIL",
	//k_DS_ISC_btn,
	"DEMAND SURRENDER",

	//
	//	Comm messages
	//

	// Transport messages.

	//k_HAIL_Transport1_msg,
	"Communications Officer: No response. We need to board her first.\n\n",
	//k_HAIL_Transport2_msg,
	"Captain: We're in good shape and heading out of the system under full power.\n\n",
	//k_HAIL_Transport3_msg,
	"Captain: We've taken damage, but our hull is holding up pretty well so far.\n\n",
	//k_HAIL_Transport4_msg,
	"Captain: We've been beat up pretty badly. The ISC fights harder than I suspected.\n\n",
	//k_HAIL_Transport5_msg,
	"Captain: Mayday. Requesting assistance.\n\n",

	// ISC enemy ship messages.

	//k_HAIL_ISC1_msg,
	"Communications Officer: No response.\n\n",
	//k_HAIL_ISC2_msg,
	"ISC Captain: You've beaten us. Now bother someone else.\n\n",
	//k_HAIL_ISC3_msg,
	"Security Officer: The ship is quiet, [PLAYER_RANK].\n\n",
	//k_HAIL_ISC4_msg,
	"ISC Captain: Well. A primitive. A Terran. A thief in the night. Attacking without provocation. " \
	"If proof was ever required for the need for a new order in this quadrant, you are it.\n[5]" \
	"[PLAYER_NAME]: I may be a primitive, and a Terran, and a thief in the night, but I did not " \
	"come here without just cause. You brought us here.\n[5]" \
	"ISC Captain: Us? How do you figure that?\n[2]" \
	"[PLAYER_NAME]: Would we have come to this system if you hadn't arrived here first? As they " \
	"say in Starfleet 'Sometimes the calculations aren't very hard. Do the math.'\n\n",
	//k_HAIL_ISC5_msg,
	"ISC Captain: Well. A primitive. A Klingon. A thief in the night. Attacking without provocation. " \
	"If proof was ever required for the need for a new order in this quadrant, you are it.\n[5]" \
	"[PLAYER_NAME]: There is already a new order coming. A Klingon order. And the ISC does not figure into it.\n[4]" \
	"ISC Captain: That is short-sighted.\n[2]" \
	"[PLAYER_NAME]: Perhaps we can modify our design. I am certain your Concordium contains excellent workers and thralls. You could be very useful to us.\n\n",
	//k_HAIL_ISC6_msg,
	"ISC Captain: Well. A primitive. A Romulan. A thief in the night. Attacking without provocation. " \
	"If proof was ever required for the need for a new order in this quadrant, you are it.\n[5]" \
	"[PLAYER_NAME]: I exemplify more than just the reason for your misbegotten crusade. For when a Romulan comes as a thief in the night, expect a dagger in your back.\n\n",
	//k_HAIL_ISC7_msg,
	"ISC Captain: Well. A primitive. A Lyran. A thief in the night. Attacking without provocation. " \
	"If proof was ever required for the need for a new order in this quadrant, you are it.\n[5]" \
	"[PLAYER_NAME]: You would wound me with your words, if we had even the slightest reason to " \
	"respect them. The Lyrans could respect you, even forgive you, had you not interrupted our " \
	"war with the... enemy. Goodbye ISC. You shall not have time for an epitaph.\n\n",
	//k_HAIL_ISC8_msg,
	"ISC Captain: Well. A primitive. A Gorn. A thief in the night. Attacking without provocation. " \
	"If proof was ever required for the need for a new order in this quadrant, you are it.\n[5]" \
	"[PLAYER_NAME]: Your tone is more offensive than your words, you haughty gnaaruram. " \
	"Perhaps you will apologize before you die.\n\n",
	//k_HAIL_ISC9_msg,
	"ISC Captain: Well. A primitive. A Hydran. A thief in the night. Attacking without provocation. " \
	"If proof was ever required for the need for a new order in this quadrant, you are it.\n[5]" \
	"[PLAYER_NAME]: There is provocation. Article 12 of the Galactic Convention clearly states...\n\n" \
	"ISC Captain: We did not sign this convention.\n[5]" \
	"[PLAYER_NAME]: ...intrusion by outsiders on territory belonging to treaty signees is an act " \
	"of war and may be prosecuted as such. You're supposed to be civilized, how could you not know this?\n\n",
	//k_HAIL_ISC10_msg,
	"ISC Captain: Well. A primitive. A Mirak. A thief in the night. Attacking without provocation. " \
	"If proof was ever required for the need for a new order in this quadrant, you are it.\n[5]" \
	"[PLAYER_NAME]: If we approach you like thieves, we have no choice but to offer you our " \
	"deepest apologies. The only way a son of Mirak can possibly atone for such " \
	"cowardice is to face you in honest combat, bloodying and killing you. It is the least " \
	"we can do to make amends for our transgression.\n[7]" \
	"ISC Captain: Huh?\n\n", 
	//k_HAIL_ISC11_msg,
	"ISC Captain: You are intruding in ISC territory. I would suggest you depart before we remove you from space.\n\n",
	//k_HAIL_ISC12_msg,
	"ISC Captain: Alien craft, you have been identified as an intruder. Leave this system at once or be destroyed.\n\n",
	//k_HAIL_ISC13_msg,
	"ISC Captain: You are intruding in ISC affairs without provocation. This will not be tolerated.\n\n",

	//k_DS_ISC1_msg,
	"Communications Officer: No response.\n\n",
	//k_DS_ISC2_msg,
	"ISC Captain: Haven't you done enough already?\n\n",
	//k_DS_ISC3_msg,
	"Security Officer: Nothing really to talk about.\n\n",
	//k_DS_ISC4_msg,
	"ISC Captain: Surrender? That's an interesting delusion.\n\n",
	//k_DS_ISC5_msg,
	"ISC Captain: Never!\n\n",
	//k_DS_ISC6_msg,
	"ISC Captain: Surrender? Are you mad?\n\n",
	//k_DS_ISC7_msg,
	"ISC Captain: Very well. We yield.\n\n",

	//
	//	Victory rating
	//

	// kAstoundingVictory_msg,
	"Astounding Victory!\n\n",

	// kVictory_msg,
	"Victory!\n\n",

	// kDraw_msg,
	"Draw.\n\n",

	// kDefeat_msg,
	"Defeat!\n\n",

	// kDevastatingDefeat_msg,
	"Devastating Defeat!\n\n",

	//
	//	Random chatter
	//

	//	kRandChat1_msg,
	"Helm: We can easily outmaneuver those defensive platform heavy weapons.\n\n",
	
	//	kRandChat2_msg,
	"Engineer: Orion ship debris ready in all cargo transporters.\n\n",
		
	//	kRandChat3_msg,
	"Security Officer: Boarding parties are drilled and ready for transport.\n\n",
	
	//	kRandChat4_msg,
	"Navigation: Disengage vectors plotted for all transports.\n\n",
		
	//	kRandChat5_msg,
	"Weapons Officer: Those defense platforms have some big guns, but then so do we.\n\n",
	
	//	kRandChat6_msg,
	"Science Officer: Engineering reports ready to jettison debris.\n\n",

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	// kTransportCaptured
	"Security Officer: We have control of the freighter. We're sending it out of the system.\n\n",

	// kTransportDisengaged
	"Science Officer: One of the freighters has just left the system.\n\n",

	// kEnemyShipDestroyed
	"First Officer: The ISC ship has been destroyed.\n[2]" \
	"Science Officer: We're jettisoning the Orion debris. It should look convincing.",

	// kEnemyShipCaptured
	"First Officer: The ISC ship has been captured.\n[2]" \
	"Security Officer: The boarding parties have locked her helm on course for scuttling in the nearest star.\n[2]" \
	"Science Officer: In the meanwhile, we're jettisoning the Orion debris. It should look convincing.",

	// kEnemyShipSurrendered
	"First Officer: The ISC ship has surrendered.\n[2]" \
	"Security Officer: We'll take the crew prisoner and lock her helm on course for scuttling in the nearest star.\n[3]" \
	"Science Officer: In the meanwhile, we're jettisoning the Orion debris. It should look convincing.",

	// kSecondObjectiveCompleted
	"First Officer: Secondary mission objective accomplished.\n\n",

	// kSecondObjectiveThroughSurrender,
	"First Officer: The surrender will satisfy the secondary mission objective.\n\n",

	// kAllObjectivesCompleted
	"First Officer: All mission objectives accomplished.\n\n",

	// kDoneAllWeCan
	"Science Officer: We've done all we can here.\n\n",

	//kAttackedAfterSurrender
	"ISC Captain: Indeed you are a primitive. Not only do you attack without provocation, " \
	"but you also violate our surrender offered in good faith! You, [PLAYER_NAME], are a liar " \
	"as well as a thief, and I will do my best to destroy you completely.\n[7]" \
	"Science Officer: The ship is attacking again, [PLAYER_RANK]. We'll have to destroy her. A pity.\n\n",

	//
	//	Internal strings
	//

	// kEnemyShipName,
	"ISC Protector",
	// kEnemyShipClass,
	"I-DD",
	// kEnemyPlatformName
	"ISC Defense Platform",
	// kEnemyPlatformClass,
	"I-DEF",
	// kTransportNameFormat,
	"ISC Transport #%i",
	// kTransportClass,
	"I-FSPh",

	//
	//	Not localized as of 10/8/00
	//
	
	//	kPlayerTeamTitle_msg,
	"A Thief In The Night",

	//	kPlayerTeamBriefing_msg,
	"",

	//
	//	Not localized as of 10/17/00
	//

	//	kScanning_msg,
	"Science Officer: Scanning...\n\n",

	//
	//	Not localized as of 11/5/00
	//

	//	kDisconnect_msg,
	"Forfeit",
};

#endif