/*
	MissionText.h

	This module contains the declarations for the text messages that
	appear during the mission.
*/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kBriefing_Federation_msg,
	kBriefing_Klingon_msg,
	kBriefing_Romulan_msg,
	kBriefing_Lyran_msg,
	kBriefing_Hydran_msg,
	kBriefing_Gorn_msg,
	kBriefing_Mirak_msg,

	//
	// Description message
	//

	kDescription_msg,

	//
	//	Starting message
	//
	kStart_Federation_msg,
	kStart_Klingon_msg,
	kStart_Romulan_msg,
	kStart_Lyran_msg,
	kStart_Hydran_msg,
	kStart_Gorn_msg,
	kStart_Mirak_msg,

	//
	//	Debriefing messages
	//
	kDebAstoundingVictory_msg,
	kDebVictory_msg,
	kDebDraw_msg,
	kDebDefeat_msg,
	kDebDevastatingDefeat_msg,

	//
	//	Comm buttons
	//

	k_HAIL_Transport_btn, 
	k_HAIL_ISC_btn,
	k_DS_ISC_btn,

	//
	//	Comm messages
	//

	k_HAIL_Transport1_msg,
	k_HAIL_Transport2_msg,
	k_HAIL_Transport3_msg,
	k_HAIL_Transport4_msg,
	k_HAIL_Transport5_msg,

	k_HAIL_ISC1_msg,
	k_HAIL_ISC2_msg,
	k_HAIL_ISC3_msg,
	k_HAIL_ISC4_msg,
	k_HAIL_ISC5_msg,
	k_HAIL_ISC6_msg,
	k_HAIL_ISC7_msg,
	k_HAIL_ISC8_msg,
	k_HAIL_ISC9_msg,
	k_HAIL_ISC10_msg,
	k_HAIL_ISC11_msg,
	k_HAIL_ISC12_msg,
	k_HAIL_ISC13_msg,

	k_DS_ISC1_msg,
	k_DS_ISC2_msg,
	k_DS_ISC3_msg,
	k_DS_ISC4_msg,
	k_DS_ISC5_msg,
	k_DS_ISC6_msg,
	k_DS_ISC7_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//

	//
	//	Event dialog
	//

	kTransportCaptured,
	kTransportDisengaged,
	kEnemyShipDestroyed,
	kEnemyShipCaptured,
	kEnemyShipSurrendered,
	kSecondObjectiveCompleted,
	kSecondObjectiveThroughSurrender,
	kAllObjectivesCompleted,
	kDoneAllWeCan,
	kAttackedAfterSurrender,

	//
	//	Internal strings
	//

	kEnemyShipName,
	kEnemyShipClass,
	kEnemyPlatformName,
	kEnemyPlatformClass,
	kTransportNameFormat,
	kTransportClass,

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif
