/*
	Transport.h

	This module contains the declaration for the tTransport class, whose
	contributions are limited essentially to defining the valid transport
	comm states and configuring the transports at start of mission.
*/

#if !defined( Transport_h )
#define Transport_h

#include "ShipInfo.h"

class tTransport : public tShipInfo
{
public:
	virtual	void mSetupState();
	virtual void mSetupCommState();
	virtual void mSetupShip();

	// Comm state IDs for the transports.
	enum eCommStates
	{
		// Transport hasn't yet been captured.
		kCommState1,
		// Transport captured; hull at 100%.
		kCommState2,
		// Transport captured; hull at >70%.
		kCommState3,
		// Transport captured; hull at >40%.
		kCommState4,
		// Transport captured; hull at <= 40%.
		kCommState5,

		kBlankCommState,
	};
};

#endif
