/*
	Uni_X4M1AThief.h

	This module contains the declaration of the tUni_X4M1AThief class,
	which is the main class for the script.
*/

#if !defined( Uni_X4M1AThief_h )
#define Uni_X4M1AThief_h

#include "ScriptInterface.h"

// The following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)

enum eTeamTypes
{
	kPlayerTeam = kTeam1,
	kTransportTeam,
	kEnemyTeam,
	kDraft1Team,
	kDraft2Team,
	kDraft3Team
};

class tVictoryCondition;

/*
	The main class for the script. It provides the backbone, so to speak,
	of the script framework.
*/

class tUni_X4M1AThief : public tScript
{
public:

	tUni_X4M1AThief();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );
};

#endif
