/********************************************************************************************************\

	File Name:	BaseVictory.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( BaseVictory_h )
#define BaseVictory_h

#include "VictoryCondition.h"
#include "Uni_X4M2ACuckoo.h"

/*

	HELPER NOTE:
	Inside the C-style comments, you will find an example of 
	the accessor, modifier, and attributes for the victory 
	condition objectives.  In this example, the player must
	become BSed to achieve the primary objective.

*/
class tBaseVictory : public tVictoryCondition
{
public:

	tBaseVictory( );
	tBaseVictory( tTeamInfo* team );
	void mSetupState( );
    eVictoryLevels mCalcVictoryStatus();	
	/*

		HELPER NOTE:	If you want random chatter, do not remove kRandChatID

	*/

	//	Timer Intervals



	
	
	//
	//	Accessors.
	//
	/*

		bool mBSed( void );

	*/
	float mDetectionRadius();
	bool mDetected( void);
	bool mCruiserDisabled(void);
	bool mFreighterDestroyed(void);
	bool mCruiserDestroyed(void);
	bool mFreighterBoarded(void);
	bool mOperationComplete(void);
	int32 mOperationsTimer(void);
	bool mTeamLifted(void);
	bool mInDustCloud(void);
	bool mAtMapEdge(void);

	//
	//	Modifiers.
	//
	/*

		void mSetBSed( bool x );

	*/
	void mSetDetected(bool x);
	void mSetCruiserDisabled(bool x);
	void mSetFreighterBoarded(bool x);
	void mSetFreighterDestroyed(bool x);
	void mSetCruiserDestroyed(bool x);
	void mSetOperationComplete(bool x);
	void mIncOperationsTimer(void);
	void mSetTeamLifted(bool x);
	void mSetInDustCloud(bool x);
	void mSetAtMapEdge(bool x);

private:

	//
	//	Victory attributes.
	//
	/*

		bool fBSed;

	*/
	float fDetectionRadius;
	bool fDetected;
	bool fCruiserDisabled;
	bool fFreighterDestroyed;
	bool fCruiserDestroyed;
	bool fFreighterBoarded;
	bool fOperationComplete;
	int32 fOperationsTimer;
	bool fTeamLifted;
	bool fInDustCloud;
	bool fAtMapEdge;
};

#endif



