/********************************************************************************************************\

	File Name:	Freighter.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Freighter.h"
#include "FreighterBaseState.h"
#include "FreighterTeam.h"
#include "Uni_X4M2ACuckoo.h"
#include "MissionText.h"

tClassAllocator<tFreighter> gFreighterAllocator;

/*

	HELPER NOTE:
	If you create any new states on the ship level,
	you must register them here first.

*/
void tFreighter::mSetupState()
{
	mRegisterState( new tFreighterBaseState() );
	mGotoState( typeid( tFreighterBaseState ) );
}

void tFreighter::mSetupCommState()
{
	tTeamInfo * playerTeam = fMissionInfo->mGetTeamHandle(static_cast< eTeamID >( kPlayerTeam ));
	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , kHailFreighter_btn , kNoResponseFreighter_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState2 , kNoStateChange , mGetShipID() , kHailFreighter_btn , kLookingForEquipment_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState3 , kNoStateChange , mGetShipID() , kHailFreighter_btn , kMakingAdjustments_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState4 , kNoStateChange , mGetShipID() , kHailFreighter_btn , kGetUsOuttaHere_msg , kNoRandomMsg );
	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );

}

void tFreighter::mSetupShip()
{
	mSetShipThrust( 10 );
	mSetShipMaxSpeed(10);
	mSetFinalDestination(40,15);
	mSetShipCallbackEvents( kNotifyTransportedItem );
	mSetShipCallbackEvents( kNotifySpecialTransport );
	
}
