/********************************************************************************************************\

	File Name:	ISCLightCruiser.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "EnemyTeam.h"
#include "FreighterTeam.h"

#include "Uni_X4M2ACuckoo.h"
#include "ISCLightCruiser.h"
#include "ISCLightCruiserBaseState.h"
#include "BaseVictory.h"
#include "MissionText.h"

tClassAllocator<tISCLightCruiser> gISCLightCruiserAllocator;

/*

	HELPER NOTE:	If you create any new states on the ship level, you must register them here first.

*/
void tISCLightCruiser::mSetupState()
{
	mRegisterState( new tISCLightCruiserBaseState() );
	mGotoState( typeid( tISCLightCruiserBaseState ) );
}


void tISCLightCruiser::mSetupCommState()
{
	tTeamInfo * playerTeam = fMissionInfo->mGetTeamHandle(static_cast< eTeamID >( kPlayerTeam ));
	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , kHailISC_btn , kNoResponseISC_msg , kNoRandomMsg );
	playerTeam->mRegisterCommMessage( kCommState1 , kNoStateChange , mGetShipID() , kDemandSurrender_btn , kNoResponseISC_msg , kNoRandomMsg );
	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}


void tISCLightCruiser::mSetupShip()
{
	mSetTimedInterval( kTimerSecondsSet, kDistChkID, 20 );
	mSetShipThrust(15);
	mSetShipCallbackEvents( kNotifyDamage );
	
}
