/********************************************************************************************************\

	File Name:	PlayerDecoyShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerDecoyShipBaseState.h"
#include "PlayerTeam.h"
#include "Uni_X4M2ACuckoo.h"
/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerDecoyShipBaseState::mBeginState()
{}
void tPlayerDecoyShipBaseState::mEndState()
{}

void tPlayerDecoyShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerDecoyShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerDecoyShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerDecoyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerDecoyShipBaseState::mAtDestination( tShipInfo* ship )
{
	
#ifdef robotdecoy

	static int32 leg = 0;
	tMapPoint points[4] = 
	{
		{23, 23},
		{16, 23},
		{16, 20},
		{23, 20}
	};

	switch(leg)
	{
	case 0:
		//fMissionInfo->mDebugMessage("Decoy at leg 1");
		ship->mSetFinalDestination(20, 25);
		ship->mSetShipThrust(15);
		ship->mSetShipMaxSpeed(15);
		leg++;
		break;
	case 1:
		
		ship->mClearCommands();
		ship->mSetShipThrust(15);
		// ship->mSetShipAIControlled(kTrue);
		break;
		leg++;
	case 2:
		// out of the cloud and disengaging
		ship->mClearCommands();
		ship->mSetShipThrust(30);
		ship->mSetShipMaxSpeed(31);
		ship->mDisengage(kByMapEdge, kAbsolutePriority);
		break;
	}
#endif
}
void tPlayerDecoyShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	if( targetShip->mGetCustomID() == kPlayerShip4)
	{
		targetShip->mClearCommands();
		targetShip->mSetShipThrust(20);
		targetShip->mSetShipMaxSpeed(20);
		targetShip->mSetFinalDestination(20, 28);
		targetShip->mClearAllCommButtons();
	}
}
void tPlayerDecoyShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerDecoyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerDecoyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerDecoyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerDecoyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerDecoyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerDecoyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerDecoyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerDecoyShipBaseState::mOnFlashingButtonPressed()
{}
void tPlayerDecoyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerDecoyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerDecoyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlayerDecoyShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlayerDecoyShipBaseState::mOnHostChanged()
{}
void tPlayerDecoyShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tPlayerDecoyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerDecoyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

