/********************************************************************************************************\

	File Name:	PlayerNPCTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "PlayerNPCTeam.h"
#include "PlayerNPCTeamBaseState.h"
#include "PlayerDecoyShip.h"
#include "Uni_X4M2ACuckoo.h"
#include "ShipList_API.h"


tClassAllocator<tPlayerNPCTeam> gPlayerNPCTeamAllocator;

void tPlayerNPCTeam::mSetupState()
{
	mRegisterState( new tPlayerNPCTeamBaseState() );
	mGotoState( typeid( tPlayerNPCTeamBaseState ) );
}

void tPlayerNPCTeam::mSetupCommState()
{}

void tPlayerNPCTeam::mCreateShipsForTeam()
{
	gST.mDebug_fprintf("--- Starting: tPlayerNPCTeam::mCreateShipsForTeam\n");
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;
        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );

        ShipList ship_sl = sl;
        ship_sl = gST.stripOutRestricted( ship_sl );
        ship_sl = gST.stripOutSPECIAL( ship_sl );
        ship_sl = gST.selectWarShipRoles(ship_sl);

		// The mission description is very clear: It's a destroyer. --FS
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        for (int32 i = kEClassDestroyer; i <= kEClassWarDestroyer; i++) {
            shipClassTypeList.push_back(static_cast<eEnhancedClassTypes>(i));
        }
        fShiplistCount = ship_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for ship classes filter completed. ships: %d\n", fShiplistCount);

        if (ship_sl.size() > 0) {
            // Create ship
            Ship ship1;
            ship_sl.SelectRandomShip(ship1);
            gST.mDebug_fprintf("ship1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                ship1.shipCode.c_str(), ship1.bpv, ship1.yearFirstAvail, ship1.yearLastAvail);
            gST.mTrackOrions( ship1 );

            mCreateShip(
                typeid( tPlayerDecoyShip ),
                ship1.shipCode.c_str(),
                kStartPosition_K,
                kNoMetaShipID,
                kPlayerShip4,
                0, 0, -1, -1,
                NULL,
                kDefaultShipOptions );

		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}

	gST.mDebug_fprintf("---- Finished: tPlayerNPCTeam::mCreateShipsForTeam\n");
}

void tPlayerNPCTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tPlayerNPCTeam::mOldCreateShipsForTeam\n");

	// *** Creates the decoy destroyer
	mCreateShip(	
		typeid( tPlayerDecoyShip ),
		kMaxBPV,
		kClassDestroyer,
		100,
		kStartPosition_K,
		kPlayerShip4,
		0, 0, -1, -1, 
		NULL,
		kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tPlayerNPCTeam::mOldCreateShipsForTeam\n");

}

void tPlayerNPCTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tPlayerNPCTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tPlayerNPCTeam", shipScriptDescription );
}

