/********************************************************************************************************\

	File Name:	PlayerNPCTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerNPCTeamBaseState.h"
#include "ShipList_API.h"
#include "Uni_X4M2ACuckoo.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerNPCTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tPlayerNPCTeamBaseState::mEndState()
{}

void tPlayerNPCTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlayerNPCTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerNPCTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerNPCTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerNPCTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPCTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerNPCTeamBaseState::mOnFlashingButtonPressed()
{}
void tPlayerNPCTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerNPCTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerNPCTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}

void tPlayerNPCTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlayerNPCTeamBaseState::mOnHostChanged()
{}
void tPlayerNPCTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerNPCTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}
void tPlayerNPCTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* EnemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerNPCTeam ) );
        if (EnemyTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (EnemyTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tPlayerNPCTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(EnemyTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tPlayerNPCTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}

