/********************************************************************************************************\

	File Name:	PlayerShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerShipBaseState.h"
#include "PlayerTeam.h"
#include "Uni_X4M2ACuckoo.h"
#include "MissionText.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tPlayerShipBaseState::mBeginState()
{}
void tPlayerShipBaseState::mEndState()
{}

void tPlayerShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tPlayerShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tPlayerShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tPlayerShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tPlayerShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerShipBaseState::mOnFlashingButtonPressed()
{}
void tPlayerShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlayerShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tPlayerShipBaseState::mOnHostChanged()
{}
void tPlayerShipBaseState::mOnTimedInterval( int32 timerID )
{
	static bool Start = false;
	int32 X = 0;
	int32 Y = 0;

	tTeamInfo * FreighterTeam = fMissionInfo->mGetTeamHandle(static_cast< eTeamID >( kFreighterTeam));
	Assert(FreighterTeam);
	tPlayerTeam * PlayerTeam = (tPlayerTeam *)fMissionInfo->mGetTeamHandle(static_cast< eTeamID >( kPlayerTeam));
	Assert(PlayerTeam);
	tShipIterator playership = PlayerTeam->mGetFirstShip();	
	Assert(*playership != NULL);
	
	switch(timerID)
	{
	case kMapEdgeID:

		if( Start = false)
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID >( kPlayerTeam), PlayerTeam->fStartMsg );
			Start = true;
		}
		playership = PlayerTeam->mGetFirstShip();
		playership->mGetGridPosition(&X, &Y);
		if(AtEdgeOfMap(X, Y))
		{
			if(! PlayerTeam->mVictoryCondition()->mAtMapEdge())
			{
				PlayerTeam->mVictoryCondition()->mSetAtMapEdge(true);
			}
		}
		else
		{
			PlayerTeam->mVictoryCondition()->mSetAtMapEdge(false);
		}
		break;
	}
	mSetTimedInterval(	kTimerSecondsSet, timerID, 5);
	
	
}
void tPlayerShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}

bool tPlayerShipBaseState::AtEdgeOfMap(int32 X, int32 Y)
{
	int32 GridX;
	int32 GridY;
	gScriptInterface.mGetMapDimensions( &GridX, &GridY);
	if( (X < 2 || X > (GridX - 1)) || (Y < 2 || Y > (GridY - 1)))
	{
		return true;
	}
	else
	{
		return false;
	}
}