//	<Name>	FleetShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "FleetShip.h"

#include "FleetShipBaseState.h"

#include "TeamInfo.h"
#include "ScriptInterface.h"
#include "MissionText.h"
#include "Uni_X4M3ADoors.h"

tClassAllocator<tFleetShip> gFleetShipAllocator;

void tFleetShip::mSetupState()
{
	mRegisterState( new tFleetShipBaseState() );

	mGotoState( typeid( tFleetShipBaseState ) );
}

void tFleetShip::mSetupCommState()
{
	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>(kPlayerTeam) );
	if (!playerTeam)
		return;

	eRaceName	playerRace = playerTeam->mGetRace();

	// State One: Hailing.
	playerTeam->mRegisterCommMessage(kCommState1, kCommState2, mGetShipID(), kHail_btn, kHailFleet1_msg, kHailFleet3_msg);

	// State Two: After Hail, Rat out or Demand Surrender...
	playerTeam->mRegisterCommMessage(kCommState2, kCommState1, mGetShipID(), kDemandSurrender_btn, kNoResponse_msg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState2, kCommState1, mGetShipID(), kRatOutTraitor_btn, kRat1_msg, kRat3_msg);

	// Set initial CommState
	playerTeam->mGotoCommState( mGetShipID(), kCommState1 );
}

void tFleetShip::mSetupShip()
{
}