/********************************************************************************************************\

	File Name:	FleetTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "FleetTeamBaseState.h"
#include "Uni_X4M3ADoors.h"
#include "BaseVictory.h"
#include "TraitorTeam.h"
#include "MissionText.h"
#include "FleetTeam.h"
#include "FleetTeamExistsState.h"
#include "TraitorTeamShowState.h"
#include "EventMgr.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tFleetTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tFleetTeamBaseState::mEndState()
{}

void tFleetTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tFleetTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tFleetTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tFleetTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tFleetTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tFleetTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tFleetTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tFleetTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tFleetTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tFleetTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tFleetTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tFleetTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tFleetTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFleetTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tFleetTeamBaseState::mOnFlashingButtonPressed()
{}
void tFleetTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tFleetTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tFleetTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tFleetTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tFleetTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tFleetTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tFleetTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tFleetTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tFleetTeamBaseState::mOnHostChanged()
{}
void tFleetTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* FleetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kFleetTeam ) );
        if (FleetTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (FleetTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tFleetTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(FleetTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tFleetTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tFleetTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tFleetTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}