/********************************************************************************************************\

	File Name:	MissionText.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( MissionText_h )
#define MissionText_h

#include "tstring.h"


enum TextMessages
{
	//
	//	Mission Title
	//
	kMissionTitle_msg,

	//
	//	Briefing message
	//
	kDescription_msg,
	kFBriefing_msg,
	kKBriefing_msg,
	kRBriefing_msg,
	kLBriefing_msg,
	kHBriefing_msg,
	kGBriefing_msg,
	kMBriefing_msg,

	//
	//	Debriefing messages
	//
	kFH_NoOffer_msg,									// (defeat)
	kFH_Accepted_msg,									// (devastating defeat)
	kFH_RefusedNoCode_msg,						// (victory)
	kFH_Code_msg,											// (astounding victory)
	kFH_NoResponseToOfferNoCode_msg,	// (draw)

	// non-Fed/Hydran Victory Messages.
	kNoOffer_msg,											// (draw)
	kRefusedNoCode_msg,								// (devastating defeat)
	kAccepted_msg,										// (astounding victory)
	kCode_msg,												// (victory)
	kNoResponseToOfferNoCode_msg,			// (defeat)

	//
	//	Comm buttons
	//
	kHail_btn,
	kAccept_btn,
	kReject_btn,
	kDemandSurrender_btn,
	kRatOutTraitor_btn,
	kHail_CS2_btn,		// Specific "Hail" buttons for Comm State handling.
	kHail_CS3_btn,
	kAboutOffer_btn,
	kRespond_btn,
	kRequestInfo_btn,
	kRepeat_btn,
	kMoreInfo_btn,


	//
	//	Comm messages
	//
	kBlank_msg,
	kNoResponseDistance_msg,
	kNoResponse_msg,
	
	kContact_msg,
	kGloryContact_msg,
	
	kDetails_msg,
	
	kAboutOffer_msg,
	kRequestInfo_msg,

	kRepeatOffer_msg,
	kMoreInfo_msg,
	
	kGetOut_msg,

	kOfferRepsonse_msg,

	// Accept Responses
	kFAccept_msg,
	kKAccept_msg,
	kRAccept_msg,
	kLAccept_msg,
	kHAccept_msg,
	kGAccept_msg,
	kMAccept_msg,

	// Reject Responses.
	kFReject_msg,
	kKReject_msg,
	kRReject_msg,
	kLReject_msg,
	kHReject_msg,
	kGReject_msg,
	kMReject_msg,
	
	kTraitorSurrenderResponse_msg,
	
	kHailFleet1_msg,
	kHailFleet2_msg,
	kHailFleet3_msg,
	
	kRat1_msg,
	kRat2_msg,
	kRat3_msg,
	kRat_Response_msg,

	//
	//	Victory rating
	//
	kAstoundingVictory_msg,
	kVictory_msg,
	kDraw_msg,
	kDefeat_msg,
	kDevastatingDefeat_msg,

	//
	//	Random chatter
	//
	kRandChat1_msg,
	kRandChat2_msg,
	kRandChat3_msg,
	kRandChat4_msg,
	kRandChat5_msg,
	kRandChat6_msg,

	//
	//	Titles (or names) of ships and objects
	//
	kPlanet_name,
	kTraitorShip1_name,
	kTraitorShip2_name,
	kTraitorShip3_name,
	kTraitorShip4_name,
	kTraitorShip5_name,

	//
	//	Event dialog
	//

	//
	//	Event 1: Starting messages
	//
	kFStart_msg,
	kKStart_msg,
	kRStart_msg,
	kLStart_msg,
	kHStart_msg,
	kGStart_msg,
	kMStart_msg,

	//
	// Event 2 Boarding The Traitor
	//
	kCaptureNoOffer_msg,
	kCapture_msg,
	kCaptureAccepted_msg,

	// 
	// Event 3 Killing The Defector
	//
	kDestroyedNoCodes_msg,
	kDestroyedNoDecisionWithCodesNoFleet_msg,
	kDestroyedAgreed_msg,
	kCapturedTraitorDestroyed_msg,
	kDestroyedOther_msg,

	//
	// Event 4 The Fleet Arrives
	//
	kFleetArrives_msg,
	kFleetArrivesAgreed_msg,
	kFleetArrivesHaveCodes_msg,
	kTooLate_msg,

	//
	// Event 5 Attacking the Defectors Ship
	//
	// No messages.

	//
	// Event 6 Destroying a (not the traitor) ISC ship
	//
	kDestroyedFleetShip_msg,
	kCapturedFleetShip_msg,
	kFleetDestroyed_msg,
	kFleetDestroyedTraitor_msg,

	//
	// Event 7 ISC Reached Planet
	//
	kTraitorAtPlanet_msg,
	kBothAtPlanet_msg,

	//
	// Event 8 You Reached Planet
	//

	kReachedPlanetFirst_msg,
	kReachedPlanet_msg,

	//
	// Event 9: Approaching The Edge of the Map
	//

	kLeavingSystem_msg,
	kCapturedTraitorLeftSystem_msg,

	//
	// Event 10: Reaching The Edge of the Map
	//
	
	kLeftSystem_msg,

	//
	//	Custom messages
	//

	//
	//	Not localized as of 10/8/00
	//
	kPlayerTeamTitle_msg,
	kPlayerTeamBriefing_msg,

	//
	//	Not localized as of 10/17/00
	//
	kStart_msg,
	kStartFederation_msg,
	kStartKlingon_msg,
	kStartRomulan_msg,
	kStartLyran_msg,
	kStartGorn_msg,
	kStartHydran_msg,
	kStartMirak_msg,

	//
	//	Not localized as of 10/17/00
	//
	kScanning_msg,

	//
	//	Not localized as of 11/5/00
	//
	kDisconnect_msg,
};

extern std::string Messages[];


#endif
