//	<Name>	TraitorShip.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "TraitorTeam.h"
#include "TraitorShip.h"
#include "TraitorShipBaseState.h"
#include "Uni_X4M3ADoors.h"
#include "MissionText.h"

#include "TeamInfo.h"

tClassAllocator<tTraitorShip> gTraitorShipAllocator;

void tTraitorShip::mSetupState()
{
	mRegisterState( new tTraitorShipBaseState() );

	mGotoState( typeid( tTraitorShipBaseState ) );
}

void tTraitorShip::mSetupCommState()
{

	tTeamInfo*	playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>(kPlayerTeam) );
	Assert(playerTeam);	//	If this assert fails, then you probably created teams in the wrong order.

	eRaceName	playerRace = playerTeam->mGetRace();

	// kCommState1 is unused. (artifact from prior commstate handling theory)

	// State One - initial hail.
	playerTeam->mRegisterCommMessage(kCommState2, kNoStateChange, mGetShipID(), kHail_CS2_btn, kBlank_msg , kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState2, kNoStateChange, mGetShipID(), kDemandSurrender_btn, kNoResponse_msg, kNoRandomMsg);

	// State Three: Hailing after initial contact for details of offer.
	playerTeam->mRegisterCommMessage(kCommState3, kNoStateChange, mGetShipID(), kHail_CS3_btn, kBlank_msg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState3, kNoStateChange, mGetShipID(), kDemandSurrender_btn, kNoResponse_msg, kNoRandomMsg);

	// State Four: Hail about Offer...
	playerTeam->mRegisterCommMessage(kCommState4, kNoStateChange, mGetShipID(), kAboutOffer_btn, kBlank_msg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState4, kNoStateChange, mGetShipID(), kDemandSurrender_btn, kNoResponse_msg, kNoRandomMsg);

	// State Five: Hailing about Offer sub-menu
	playerTeam->mRegisterCommMessage(kCommState5, kNoStateChange, mGetShipID(), kRespond_btn, kBlank_msg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState5, kNoStateChange, mGetShipID(), kRequestInfo_btn, kBlank_msg, kNoRandomMsg);

	// State Six: Decision Menu
	playerTeam->mRegisterCommMessage(kCommState6, kNoStateChange, mGetShipID(), kAccept_btn, kBlank_msg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState6, kNoStateChange, mGetShipID(), kReject_btn, kBlank_msg, kNoRandomMsg);

	// State 7: Requesting Information again...
	playerTeam->mRegisterCommMessage(kCommState7, kNoStateChange, mGetShipID(), kRepeat_btn, kBlank_msg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState7, kNoStateChange, mGetShipID(), kMoreInfo_btn, kMoreInfo_msg, kNoRandomMsg);

	// State 8: Accepted Offer. (Only valid before fleet arrives)
	playerTeam->mRegisterCommMessage(kCommState8, kNoStateChange, mGetShipID(), kHail_btn, kGetOut_msg, kNoRandomMsg);

	// State 9: Rejected Offer, Attacked Traitor, or Fleet Arrived.
	playerTeam->mRegisterCommMessage(kCommState9, kNoStateChange, mGetShipID(), kHail_btn, kNoResponse_msg, kNoRandomMsg);
	playerTeam->mRegisterCommMessage(kCommState9, kNoStateChange, mGetShipID(), kDemandSurrender_btn, kTraitorSurrenderResponse_msg, kNoRandomMsg);

	// Set initial CommState
	playerTeam->mGotoCommState( mGetShipID(), kCommState2 );

}

void tTraitorShip::mSetupShip()
{
	// Set max speed, callbacks, supplies, etc...
	mChangeName(fMissionInfo->mRandomInt32(kTraitorShip1_name, kTraitorShip5_name));
}