//	<Name>	TraitorShipBaseState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "Uni_X4M3ADoors.h"
#include "TraitorShipBaseState.h"
#include "ScriptInterface.h"
#include "MissionText.h"
#include "tmissionmap.h"
#include "CommonDefs.h"
#include "PlanetTeam.h"

void tTraitorShipBaseState::mBeginState()
{
	fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	fChildActor->mTrackTacticalDistance( AT_PLANET_DISTANCE, gMapCenterX, gMapCenterY);
	fChildActor->mSetTimedInterval(kTimerTurnsSet, kInitDelay, 1.0);

	fChildActor->mSetFinalDestination(gMapCenterX, gMapCenterY);

}
void tTraitorShipBaseState::mEndState()
{}
void tTraitorShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tTraitorShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tTraitorShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTraitorShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tTraitorShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tTraitorShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTraitorShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTraitorShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTraitorShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTraitorShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTraitorShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTraitorShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTraitorShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTraitorShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTraitorShipBaseState::mOnFlashingButtonPressed()
{}
void tTraitorShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTraitorShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTraitorShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTraitorShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTraitorShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTraitorShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTraitorShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTraitorShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTraitorShipBaseState::mOnHostChanged()
{}
void tTraitorShipBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kInitDelay)
	{
		tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kPlanetTeam));
		Assert(planetTeam);

		tShipInfo* planet = planetTeam->mFindShipCustomID(tPlanetTeam::kPlanet);
		if (planet)
		{
			fChildActor->mDefendEntity(planet,20,5,kHighPriority);
		}
		else	//	Reset timer, the planet hasn't been created yet.
			fChildActor->mSetTimedInterval(kTimerTurnsSet, kInitDelay, 1.0);
	}
}
void tTraitorShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTraitorShipBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}
