/********************************************************************************************************\

	File Name:	TraitorTeamAtWarState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "TraitorTeamAtWarState.h"
#include "Uni_X4M3ADoors.h"
#include "TraitorShip.h"
#include "TraitorTeam.h"
#include "BaseVictory.h"
/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTraitorTeamAtWarState::mBeginState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>(kPlayerTeam) );
	Assert (playerTeam);
	if (!playerTeam)
		return;

	fChildActor->mClearCommands();
	fChildActor->mSetRelations( playerTeam->mGetTeam(), kTeamAtWar, kGoalDestroy, 1.0);

	// Set proper comm state.
	tShipInfo* traitorShip = fChildActor->mFindShipCustomID(tTraitorTeam::kTraitor);
	if (!traitorShip)
		return;

	//	Set Max Speed back to 31
	traitorShip->mSetShipMaxSpeed(31);

	playerTeam->mGotoCommState(traitorShip->mGetShipID(), tTraitorShip::kCommState9 );
}
void tTraitorTeamAtWarState::mEndState()
{}
void tTraitorTeamAtWarState::mOnDeath( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mOnCapture( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mOnDisengaged( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mAtDistance( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mAtDestination( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTraitorTeamAtWarState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTraitorTeamAtWarState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTraitorTeamAtWarState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTraitorTeamAtWarState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mOnEndOrbit( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTraitorTeamAtWarState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTraitorTeamAtWarState::mOnFlashingButtonPressed()
{}
void tTraitorTeamAtWarState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTraitorTeamAtWarState::mOnChangingShip( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTraitorTeamAtWarState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTraitorTeamAtWarState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTraitorTeamAtWarState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTraitorTeamAtWarState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTraitorTeamAtWarState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTraitorTeamAtWarState::mOnHostChanged()
{}
void tTraitorTeamAtWarState::mOnTimedInterval( int32 timerID )
{}
void tTraitorTeamAtWarState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTraitorTeamAtWarState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}

