/********************************************************************************************************\

	File Name:	TraitorTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "TraitorTeamBaseState.h"
#include "ShipList_API.h"
#include "Uni_X4M3ADoors.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tTraitorTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tTraitorTeamBaseState::mEndState()
{}

void tTraitorTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tTraitorTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tTraitorTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tTraitorTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tTraitorTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTraitorTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tTraitorTeamBaseState::mOnFlashingButtonPressed()
{}
void tTraitorTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tTraitorTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tTraitorTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tTraitorTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tTraitorTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tTraitorTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tTraitorTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tTraitorTeamBaseState::mOnHostChanged()
{}
void tTraitorTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TraitorTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTraitorTeam ) );
        if (TraitorTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TraitorTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tTraitorTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TraitorTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tTraitorTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tTraitorTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tTraitorTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}
