/********************************************************************************************************\

	File Name:	OrionSatBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionSatBaseState.h"
#include "ShipList_API.h"
#include "Uni_X5M1AMoon.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tOrionSatBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tOrionSatBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tOrionSatBaseState::mBeginState\n");
}
void tOrionSatBaseState::mEndState()
{}

void tOrionSatBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrionSatBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrionSatBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrionSatBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrionSatBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrionSatBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOrionSatBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOrionSatBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrionSatBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrionSatBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrionSatBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrionSatBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrionSatBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionSatBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionSatBaseState::mOnFlashingButtonPressed()
{}
void tOrionSatBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrionSatBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrionSatBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrionSatBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrionSatBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrionSatBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrionSatBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrionSatBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrionSatBaseState::mOnHostChanged()
{}
void tOrionSatBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tOrionSatBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tOrionSatBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tOrionSatBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrionSatBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

