/********************************************************************************************************\

	File Name:	OrionTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionTeamBaseState.h"
#include "MissionText.h"
#include "Uni_X5M1AMoon.h"
#include "PlayerTeam.h"


void tOrionTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kLaunch_timer, 1.0f );
}

void tOrionTeamBaseState::mEndState()
{}

void tOrionTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kLaunch_timer) 
	{
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kLaunch_msg );
		fChildActor->mLaunchShip();
	}
}

void tOrionTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( ( !damagedShip ) || ( !hostileShip ) )
		return;

	if( ( damagedShip->mGetCustomID() != tOrionTeam::kMoon ) || ( hostileShip->mGetTeam() != kPlayerTeam ) )
		return;

	if( !fChildActor->mIsVulnerable() )
	{
		tShipInfo* moon = fChildActor->mFindShipCustomID( tOrionTeam::kMoon );
		if( !moon )
			return;

		moon->mSetShipCallbackEvents( kNotifyDamage );
	}

	else
	{
		tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
		ASSERT( playerTeam );
		if( !playerTeam ) return;

		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kBaseDestroyed_msg );
		fChildActor->mDestroyBase();
		playerTeam->mSetBaseDead();
		gScriptInterface.mSetGameStatus( static_cast<eTeamID>( kPlayerTeam ), kPlayerWins );
	}
}

void tOrionTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrionTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrionTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}

void tOrionTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrionTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrionTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionTeamBaseState::mOnFlashingButtonPressed()
{}
void tOrionTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrionTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrionTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrionTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrionTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrionTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrionTeamBaseState::mOnHostChanged()
{}

void tOrionTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrionTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

