/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mScannedPlanet()					{ return fScannedPlanet; }
	void	mSetScannedPlanet()					{ fScannedPlanet = kTrue; }

	iTruth	mBaseDead()							{ return fBaseDead; }
	void	mSetBaseDead()						{ fBaseDead = kTrue; }

	iTruth	mOrionsDead()						{ return fOrionsDead; }
	void	mSetOrionsDead()					{ fOrionsDead = kTrue; }

	int32	mSatsKilled()						{ return fSatsKilled; }
	void	mIncSatsKilled()					{ fSatsKilled++; }

	iTruth	mDied()						{ return fDied; }
	void	mSetDied()					{ fDied = kTrue; }

protected:
	iTruth	fScannedPlanet;
	iTruth	fBaseDead;
	iTruth	fOrionsDead;
	int32	fSatsKilled;
	iTruth	fDied;
};

#endif
