/********************************************************************************************************\

	File Name:	DefsatBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefsatBaseState.h"
#include "ShipList_API.h"
#include "Uni_X5M1FPyre.h"



/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDefsatBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tDefsatBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tDefsatBaseState::mBeginState\n");
}

void tDefsatBaseState::mEndState()
{}

void tDefsatBaseState::mOnDeath( tShipInfo* ship )
{}
void tDefsatBaseState::mOnCapture( tShipInfo* ship )
{}
void tDefsatBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tDefsatBaseState::mAtDistance( tShipInfo* ship )
{}
void tDefsatBaseState::mAtDestination( tShipInfo* ship )
{}
void tDefsatBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefsatBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefsatBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefsatBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefsatBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefsatBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefsatBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefsatBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefsatBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefsatBaseState::mOnFlashingButtonPressed()
{}
void tDefsatBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefsatBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tDefsatBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefsatBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefsatBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefsatBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefsatBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefsatBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDefsatBaseState::mOnHostChanged()
{}
void tDefsatBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tDefsatBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tDefsatBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tDefsatBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefsatBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

