/********************************************************************************************************\

	File Name:	MoonBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MoonBaseState.h"
#include "ShipList_API.h"
#include "Uni_X5M1FPyre.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tMoonBaseState::mBeginState()
{
    gST.mDebug_fprintf("--- Starting: tMoonBaseState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tMoonBaseState::mBeginState\n");
}
void tMoonBaseState::mEndState()
{}

void tMoonBaseState::mOnDeath( tShipInfo* ship )
{}
void tMoonBaseState::mOnCapture( tShipInfo* ship )
{}
void tMoonBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tMoonBaseState::mAtDistance( tShipInfo* ship )
{}
void tMoonBaseState::mAtDestination( tShipInfo* ship )
{}
void tMoonBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tMoonBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tMoonBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tMoonBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tMoonBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tMoonBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tMoonBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tMoonBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMoonBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tMoonBaseState::mOnFlashingButtonPressed()
{}
void tMoonBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tMoonBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tMoonBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tMoonBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tMoonBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tMoonBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tMoonBaseState::mOnHostChanged()
{}
void tMoonBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tMoonBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tMoonBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tMoonBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tMoonBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

