/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};


	iTruth	mScannedPlanet()					{ return fScannedPlanet; }
	void	mSetScannedPlanet()					{ fScannedPlanet = true; }

	iTruth	mKilledBase()						{ return fKilledBase; }
	void	mSetKilledBase()					{ fKilledBase = true; }

	iTruth	mScanRangeNotice()					{ return fScanRangeNotice; }
	void	mSetScanRangeNotice()				{ fScanRangeNotice = true; }

	int32	mGroup1ShipsKilled()				{ return fGroup1ShipsKilled; }
	void	mIncGroup1ShipsKilled()				{ fGroup1ShipsKilled++; }

	int32	mGroup2ShipsKilled()				{ return fGroup2ShipsKilled; }
	void	mIncGroup2ShipsKilled()				{ fGroup2ShipsKilled++; }

	int32	mSatsKilled()						{ return fSatsKilled; }
	void	mIncSatsKilled()					{ fSatsKilled++; }

	iTruth	mDied()						{ return fDied; }
	void	mSetDied()					{ fDied = true; }

protected:

	iTruth	fScannedPlanet;
	iTruth	fKilledBase;
	iTruth	fScanRangeNotice;
	int32	fGroup1ShipsKilled;
	int32	fGroup2ShipsKilled;
	int32	fSatsKilled;
	iTruth	fDied;
};

#endif
