/********************************************************************************************************\

	File Name:	AllyTeam.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "AllyTeam.h"
#include "AllyTeamBaseState.h"
#include "AllyShip.h"
#include "ShipList_API.h"

tClassAllocator<tAllyTeam> gAllyTeamAllocator;

void tAllyTeam::mSetupState()
{
	mRegisterState( new tAllyTeamBaseState() );
	mGotoState( typeid( tAllyTeamBaseState ) );
}

void tAllyTeam::mSetupCommState()
{}

void tAllyTeam::mCreateShipsForTeam()
{
    gST.mDebug_fprintf("--- Entering: tAllyTeam::mCreateShipsForTeam\n");
	gST.mInitializeSL();  // just to be safe
    gST.mCompleteNarrowedList();

    if ((gST.narrowed_sl.size() > 0) && (gST.narrowed_sl.mIsEnhancedShiplist())) {
        int32 fShiplistCount;

        ShipList sl = gST.mFilterShipListToSingleRace( gST.narrowed_sl, mGetRace() );
        sl = gST.stripOutSPECIAL( sl );
        sl = gST.stripOutRestricted( sl );
        sl = gST.selectWarShipRoles( sl );

		// Frigates
		ShipList FF_sl = sl;
		{
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassFrigate);
        fShiplistCount = FF_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for FF classes filter completed. ships: %d\n", fShiplistCount);
		}

		// Light Cruiser
		ShipList DD_sl = sl;
		{
        std::list< eEnhancedClassTypes >  shipClassTypeList;
        shipClassTypeList.push_back(kEClassSmallMonster);
        shipClassTypeList.push_back(kEClassDestroyer);
		shipClassTypeList.push_back(kEClassWarDestroyer);
        fShiplistCount = DD_sl.Subset(shipClassTypeList, true);
        gST.mDebug_fprintf("subset for DD classes filter completed. ships: %d\n", fShiplistCount);
		}

		if ( (FF_sl.size() > 0) && (DD_sl.size() > 0) ) {
			Ship s1, s2;

			DD_sl.SelectRandomShip(s1);
            gST.mDebug_fprintf("DD s1 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s1.shipCode.c_str(), s1.bpv, s1.yearFirstAvail, s1.yearLastAvail);
            gST.mTrackOrions( s1 );

			FF_sl.SelectRandomShip(s2);
            gST.mDebug_fprintf("FF s2 %s selected. BPV: %d  YFA: %d  YLA %d\n",
                s2.shipCode.c_str(), s2.bpv, s2.yearFirstAvail, s2.yearLastAvail);
            gST.mTrackOrions( s2 );


			mCreateShip( typeid( tAllyShip ),
						 s1.shipCode.c_str(),
						 kStartPosition_I,
						 kNoMetaShipID,
						 kAlly1,
						 0,0,0,0,
						 "Orion Flagship",
						 kDefaultShipOptions );

			mCreateShip( typeid( tAllyShip ),
						 s2.shipCode.c_str(),
						 kStartPosition_I,
						 kNoMetaShipID,
						 kAlly2,
						 0,0,0,0,
						 NULL,
						 kDefaultShipOptions );
		} else {
			mOldCreateShipsForTeam();
		}
	} else {
		mOldCreateShipsForTeam();
	}
	gST.mDebug_fprintf("--- Finished: tAllyTeam::mCreateShipsForTeam\n");
}

void tAllyTeam::mOldCreateShipsForTeam()
{
	gST.mDebug_fprintf("---- Starting: tAllyTeam::mOldCreateShipsForTeam\n");

	mCreateShip( typeid( tAllyShip ),
				 140,
				 kClassDestroyer,
				 0,
				 kStartPosition_I,
				 kAlly1,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	mCreateShip( typeid( tAllyShip ),
				 120,
				 kClassFrigate,
				 0,
				 kStartPosition_I,
				 kAlly2,
				 0,0,0,0,
				 NULL,
				 kDefaultShipOptions );

	gST.mDebug_fprintf("---- Finished: tAllyTeam::mOldCreateShipsForTeam\n");
}

void tAllyTeam::mTeamSetupComplete()
{
	tTeamInfo::mTeamSetupComplete();
}

void tAllyTeam::mCreateNewShip( const tShipScriptDescription& shipScriptDescription )
{
	gST.mCensusOnlyDraft( "tAllyTeam", shipScriptDescription );
}

