/********************************************************************************************************\

	File Name:	OrionFlagship.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionFlagship.h"
#include "OrionFlagshipBaseState.h"
#include "Uni_X5M2Sake.h"
#include "MissionText.h"

tClassAllocator<tOrionFlagship> gOrionFlagshipAllocator;

void tOrionFlagship::mSetupState()
{
	mRegisterState( new tOrionFlagshipBaseState() );
	mGotoState( typeid( tOrionFlagshipBaseState ) );
}

void tOrionFlagship::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;


	// Initial hail
	playerTeam->mRegisterCommMessage( kStateBeforeScan,
									  kStateBeforeScan2,
									  mGetShipID(),
									  kButton_Hail,
									  kHailOrionBeforeScan_msg );

	// Second hail before scanning
	playerTeam->mRegisterCommMessage( kStateBeforeScan2,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailOrionBeforeScan2_msg );


	// Hail after scanning
	playerTeam->mRegisterCommMessage( kStateAfterScan_msg,
									  kStateYesNo,
									  mGetShipID(),
									  kButton_Hail,
									  kHailOrionAfterScan_msg );

	// Yes or No
	playerTeam->mRegisterCommMessage( kStateYesNo,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Yes,
									  kYesOrion_msg );

	playerTeam->mRegisterCommMessage( kStateYesNo,
									  kStateWar,
									  mGetShipID(),
									  kButton_No,
									  kNoOrion_msg );


	// If damage has occurred and the Orions go to war
	playerTeam->mRegisterCommMessage( kStateWar,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailOrionAtWar_msg,
									  kHailOrionAtWar2_msg );



	playerTeam->mGotoCommState( mGetShipID(), kStateBeforeScan );
}

void tOrionFlagship::mSetupShip()
{}
