/********************************************************************************************************\

	File Name:	OrionFlagshipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionFlagshipBaseState.h"
#include "Uni_X5M2Sake.h"
#include "PlayerTeam.h"
#include "Planet.h"
#include "OrionFlagship.h"
#include "MissionText.h"

void tOrionFlagshipBaseState::mBeginState()
{}
void tOrionFlagshipBaseState::mEndState()
{}

void tOrionFlagshipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( ( !damagedShip ) || ( !hostileShip ) )
		return;

	if( hostileShip->mGetTeam() != kPlayerTeam )
		return;

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
	if( !playerTeam )
		return;
	
	if( !playerTeam->mAttackedOrions() )
	{
		playerTeam->mSetAttackedOrions();
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kOrionsGoToWar_msg );
	

		tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
		if( !planetTeam )
				return;

		tShipIterator planet = planetTeam->mGetFirstShip();
		if( !planet )
			return;

		playerTeam->mSetAttackedOrions();
		playerTeam->mGotoCommState( fChildActor->mGetShipID(), tOrionFlagship::kStateWar );
		playerTeam->mGotoCommState( planet->mGetShipID(), tPlanet::kStateWar );
	}
}

void tOrionFlagshipBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}

void tOrionFlagshipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrionFlagshipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrionFlagshipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionFlagshipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionFlagshipBaseState::mOnFlashingButtonPressed()
{}
void tOrionFlagshipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrionFlagshipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrionFlagshipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrionFlagshipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrionFlagshipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrionFlagshipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrionFlagshipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrionFlagshipBaseState::mOnHostChanged()
{}
void tOrionFlagshipBaseState::mOnTimedInterval( int32 timerID )
{}
void tOrionFlagshipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrionFlagshipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

