/********************************************************************************************************\

	File Name:	OrionShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionShipBaseState.h"
#include "Uni_X5M2Sake.h"
#include "PlayerTeam.h"
#include "OrionFlagship.h"
#include "Planet.h"
#include "OrionTeam.h"
#include "MissionText.h"

void tOrionShipBaseState::mBeginState()
{}
void tOrionShipBaseState::mEndState()
{}

void tOrionShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	if( ( !damagedShip ) || ( !hostileShip ) )
		return;

	if( damagedShip->mGetTeam() != kOrionTeam )
		return;

	tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
	if( !playerTeam )
			return;

	if( !playerTeam->mAttackedOrions() )
	{
		playerTeam->mSetAttackedOrions();
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kOrionsGoToWar_msg );

		tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
		if( !planetTeam )
			return;

		tTeamInfo* orionTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kOrionTeam ) );
		if( !orionTeam )
			return;

		tShipInfo* flagship = orionTeam->mFindShipCustomID( tOrionTeam::kOrionFlagship );
		tShipIterator planet = planetTeam->mGetFirstShip();
		
		playerTeam->mGotoCommState( flagship->mGetShipID(), tOrionFlagship::kStateWar );
		playerTeam->mGotoCommState( planet->mGetShipID(), tPlanet::kStateWar );
	}
}

void tOrionShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrionShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrionShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}

void tOrionShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrionShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrionShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionShipBaseState::mOnFlashingButtonPressed()
{}
void tOrionShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrionShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrionShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrionShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrionShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrionShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrionShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrionShipBaseState::mOnHostChanged()
{}
void tOrionShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tOrionShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrionShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

