/********************************************************************************************************\

	File Name:	OrionTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OrionTeamBaseState.h"
#include "Uni_X5M2Sake.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tOrionTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tOrionTeamBaseState::mEndState()
{}

void tOrionTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOrionTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tOrionTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOrionTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOrionTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOrionTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOrionTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOrionTeamBaseState::mOnFlashingButtonPressed()
{}
void tOrionTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOrionTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOrionTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOrionTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOrionTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOrionTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOrionTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOrionTeamBaseState::mOnHostChanged()
{}
void tOrionTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* TheTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kOrionTeam ) );
        if (TheTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (TheTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tOrionTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        int32 BPVinc = gST.mUpgradeFightersForTeam(TheTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tOrionTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tOrionTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOrionTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

