/********************************************************************************************************\

	File Name:	Planet.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Planet.h"
#include "PlanetBaseState.h"
#include "Uni_X5M2Sake.h"
#include "MissionText.h"

tClassAllocator<tPlanet> gPlanetAllocator;

void tPlanet::mSetupState()
{
	mRegisterState( new tPlanetBaseState() );
	mGotoState( typeid( tPlanetBaseState ) );
}

void tPlanet::mSetupCommState()
{
	tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) );
	if( !playerTeam )
			return;

	// Before scanning Orion
	playerTeam->mRegisterCommMessage( kStateBeforeScan,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailPlanetBeforeScan_msg );

	// After scanning Orion
	playerTeam->mRegisterCommMessage( kStateAfterScan,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailPlanetAfterScan_msg );

	// After going to war with Orions
	playerTeam->mRegisterCommMessage( kStateWar,
									  kNoStateChange,
									  mGetShipID(),
									  kButton_Hail,
									  kHailPlanetWar_msg );


	playerTeam->mGotoCommState( mGetShipID(), kStateBeforeScan );
}

void tPlanet::mSetupShip()
{}
