/********************************************************************************************************\

	File Name:	PlayerTeam.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( PlayerTeam_h )
#define PlayerTeam_h

#include "TeamInfo.h"


class tPlayerTeam : public tTeamInfo
{
public:

	tPlayerTeam();

	virtual void mSetupVictoryCondition();
	virtual void mSetupDebriefingList( eVictoryLevels victoryLevel );

	virtual void mSetupState();
	virtual void mSetupCommState();
	virtual void mCreateShipsForTeam();
	virtual void mTeamSetupComplete();

	virtual void mCreateNewShip( const tShipScriptDescription& shipScriptDescription );
	virtual void mScheduleNextMission( tVictoryCondition* VictoryCondition );

	enum eCustomIDs
	{
		kPlayerShip1 = 100,
		kPlayerShip2,
		kPlayerShip3,
	};

	iTruth	mResolvedPeacefully()			{ return fResolvedPeacefully; }
	iTruth	mOrionsDead()					{ return fOrionsDead; }
	iTruth	mFlagshipDead()					{ return fFlagshipDead; }
	iTruth	mFlagshipCapped()				{ return fFlagshipCapped; }
	iTruth	mAlliesDead()					{ return fAlliesDead; }
	iTruth	mAttackedOrions()				{ return fAttackedOrions; }
	iTruth	mScannedOrion()					{ return fScannedOrion; }

	void	mSetResolvedPeacefully()		{ fResolvedPeacefully = true; }
	void	mSetOrionsDead()				{ fOrionsDead = true; }
	void	mSetFlagshipDead()				{ fFlagshipDead = true; }
	void	mSetFlagshipCapped()			{ fFlagshipCapped = true; }
	void	mSetAlliesDead()				{ fAlliesDead = true; }
	void	mSetAttackedOrions()			{ fAttackedOrions = true; }
	void	mSetScannedOrion()				{ fScannedOrion = true; }

	iTruth	mDied()						{ return fDied; }
	void	mSetDied()					{ fDied = true; }

protected:

	iTruth	fResolvedPeacefully;
	iTruth	fOrionsDead;
	iTruth	fFlagshipDead;
	iTruth	fFlagshipCapped;
	iTruth	fAlliesDead;
	iTruth	fAttackedOrions;
	iTruth	fScannedOrion;

	// Comms sequence
	iTruth	fPlanet1;
	iTruth	fPlanet2;
	iTruth	fPlanet3;

	iTruth	fOrion1;
	iTruth	fOrion2;
	iTruth	fOrion3;

	iTruth	fDied;
};

#endif
