/********************************************************************************************************\

	File Name:	PlayerTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "PlayerTeamBaseState.h"
#include "Uni_X5M2Sake.h"
#include "MissionText.h"

void tPlayerTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kLog_timer, 0.1f );
	mSetTimedInterval( kTimerTurnsSet, kSitrep_timer, 0.3f );
}

void tPlayerTeamBaseState::mEndState()
{}

void tPlayerTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
		fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kScanning_msg );
}

void tPlayerTeamBaseState::mOnTimedInterval( int32 timerID )
{
	switch( timerID )
	{
	case kLog_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kCaptainsLog_msg, kNonCommScriptMessage );
		}
		break;

	case kSitrep_timer:
		{
			fMissionInfo->mDisplayMessage( static_cast<eTeamID>( kPlayerTeam ), kSitrep_msg );
		}
		break;

	default:
		break;
	}
}

void tPlayerTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
	if( !targetShip )
		return;

	switch( buttonID )
	{
		//???????????????????
	case kButton_Permission2:
		{
			gScriptInterface.mSetGameStatus( static_cast<eTeamID>( kPlayerTeam ), kPlayerWins );
		}
		break;

	case kButton_Yes:
		{
			tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
			if( !playerTeam )
					return;

			tTeamInfo* orionTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kOrionTeam ) );
			if( !orionTeam )
					return;
			
			tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
			if( !planetTeam )
					return;

			tTeamInfo* allyTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAllyTeam ) );
			if( !allyTeam )
					return;


			playerTeam->mSetRelations( static_cast<eTeamID>( kOrionTeam ), kTeamAllied, kGoalIgnore, 1.0f );
			orionTeam->mSetRelations( static_cast<eTeamID>( kPlayerTeam ), kTeamAllied, kGoalIgnore, 1.0f );

			allyTeam->mSetRelations( static_cast<eTeamID>( kOrionTeam ), kTeamAllied, kGoalIgnore, 1.0f );
			orionTeam->mSetRelations( static_cast<eTeamID>( kAllyTeam ), kTeamAllied, kGoalIgnore, 1.0f );

			planetTeam->mSetRelations( static_cast<eTeamID>( kOrionTeam ), kTeamAllied, kGoalIgnore, 1.0f );
			orionTeam->mSetRelations( static_cast<eTeamID>( kPlanetTeam ), kTeamAllied, kGoalIgnore, 1.0f );

			playerTeam->mSetResolvedPeacefully();
			gScriptInterface.mSetGameStatus( static_cast<eTeamID>( kPlayerTeam ), kPlayerWins );
		}
		break;

	case kButton_No:
		{
			tPlayerTeam* playerTeam = dynamic_cast<tPlayerTeam*>( fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlayerTeam ) ) );
			if( !playerTeam )
					return;

			tTeamInfo* orionTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kOrionTeam ) );
			if( !orionTeam )
					return;
			
			tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kPlanetTeam ) );
			if( !planetTeam )
					return;

			tTeamInfo* allyTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kAllyTeam ) );
			if( !allyTeam )
					return;


			playerTeam->mSetAttackedOrions();
			

			playerTeam->mSetRelations( static_cast<eTeamID>( kOrionTeam ), kTeamAtWar, kGoalDestroy, 1.0f );
			orionTeam->mSetRelations( static_cast<eTeamID>( kPlayerTeam ), kTeamAtWar, kGoalDestroy, 1.0f );

			allyTeam->mSetRelations( static_cast<eTeamID>( kOrionTeam ), kTeamAtWar, kGoalDestroy, 1.0f );
			orionTeam->mSetRelations( static_cast<eTeamID>( kAllyTeam ), kTeamAtWar, kGoalDestroy, 1.0f );

			planetTeam->mSetRelations( static_cast<eTeamID>( kOrionTeam ), kTeamAtWar, kGoalDestroy, 1.0f );
			orionTeam->mSetRelations( static_cast<eTeamID>( kPlanetTeam ), kTeamAtWar, kGoalDestroy, 1.0f );
		}
		break;

	default:
		break;
	}
}

void tPlayerTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mAtDestination( tShipInfo* ship )
{}

void tPlayerTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}

void tPlayerTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tPlayerTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tPlayerTeamBaseState::mOnFlashingButtonPressed()
{}
void tPlayerTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tPlayerTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tPlayerTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tPlayerTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tPlayerTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tPlayerTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
												eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tPlayerTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tPlayerTeamBaseState::mOnHostChanged()
{}

void tPlayerTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tPlayerTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, int32 buttonID, eStateEvent eventType )
{}



