//	<Name>	DynaverseScriptInfo.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( DynaverseScriptInfo_h )
#define DynaverseScriptInfo_h

#include "scriptstructs.h"
#include "TeamScriptDescription.h"

class tDynaverseScriptInfo
{
public:
	tDynaverseScriptInfo();

	//----------------------------------------
	// members filled in by External sources
	//----------------------------------------
	class tMissionDate
	{
	public:
		int32u		fDay;
		int32u		fYear;
	};

	std::string			fMissionName;
	eSectorName			fMissionLocation;
	tMissionDate		fMissionDate;
	eMissionTypes		fMissionType;
	int32				fCampaignYear;

	eTeamID				fPlayerTeam;
	eRaceName			fPlayerRace;
	eRaceName			fAlliedRaces[kNumberOfRaces + 1];
	eRaceName			fEnemyRaces[kNumberOfRaces + 1];
	eRaceName			fPreviousAlliedRace;
	eRaceName			fPreviousEnemyRace;
	eVictoryLevels		fPreviousVictoryLevel;
	eSystems			fPreviousSystem;

	int32				fPlayerFleetSize;
	const type_info*	fPlayerShipInfoClass[3];
	tShipInGame			fPlayerFleet[3];
	iMapPosition		fPlayerFleetPosOffset;

	eSystems			fSystemNames[kMaxSystems + 1];

	int32				fPreferedMap;
	tTeamScriptDescription fTeams[kMaxTeams];

	iTruth				fHosting;

	eGameStatus			fCampaignStatus;

	int32				fScriptValues[kMaxScriptValues];

	//----------------------------------------
	// members filled in by script
	//----------------------------------------

	int32				fTotalShipsInGame;
	tShipInGame			fAllShips[60];

	eRaceName			fAlliedRace;
	eRaceName			fEnemyRace;
	int32				fEnemyPrimaryShipIndex;
	int32				fTaggedShipID;			// used by kTagShipRace, kTagShipHull, kTagShipClass...
	int32				fEndGamePauseTime;

	std::string			fMapName;
	std::string			fMissionTitle;
	int32				fMapPicked;
	eSystems			fSystemName;
	eMenuButtonStates	fMenuStates;
	int32				fTechnicalSuccess;
};

#endif


// 16Mar00	zdrummond	Added Comment Header and Footer's