//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.


#if !defined( FunctionWrapper_h )
#define FunctionWrapper_h

//
// Function wrapper degines
// For reporting the callstack, when an error occurs in release
//

#if RELEASE_FINAL
#	define _FUNCTION_WRAPPER 1
#else
#	define _FUNCTION_WRAPPER 0
#endif

#include <string>

namespace nFunctionWrapper
{
std::string GetExceptionCallstack();
void ClearExceptionCallstack();
}

#if !_FUNCTION_WRAPPER 
	#define _func_start( functionName )			{ 
	#define _func_end							}
#else
	#include <vector>
	namespace nFunctionWrapper
	{
		typedef std::vector< std::string > iStrings;
		extern iStrings gFatalExceptionCallstack;
	}
	#define _func_start( functionName )		{static const char __FUNC_NAME__[] = #functionName; try{
	#define _func_end						} catch(...){ nFunctionWrapper::gFatalExceptionCallstack.push_back( __FUNC_NAME__); throw; }}
#endif



#endif // !defined( FunctionWrapper_h )