//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if ! defined ( MAP_CONSTANTS_H )
#define MAP_CONSTANTS_H

typedef int32 iTerrainTypes;
enum eTerrainTypes
{
	kTerrainSpace1			= 1 << 0,
	kTerrainSpace2			= 1 << 1,
	kTerrainSpace3			= 1 << 2,
	kTerrainSpace4			= 1 << 3,
	kTerrainSpace5			= 1 << 4,
	kTerrainSpace6			= 1 << 5,
	kTerrainAsteroids1		= 1 << 6,
	kTerrainAsteroids2		= 1 << 7,
	kTerrainAsteroids3		= 1 << 8,
	kTerrainAsteroids4		= 1 << 9,
	kTerrainAsteroids5		= 1 << 10,
	kTerrainAsteroids6		= 1 << 11,
	kTerrainNebula1			= 1 << 12,
	kTerrainNebula2			= 1 << 13,
	kTerrainNebula3			= 1 << 14,
	kTerrainNebula4			= 1 << 15,
	kTerrainNebula5			= 1 << 16,
	kTerrainNebula6			= 1 << 17,
	kTerrainBlackHole1		= 1 << 18,
	kTerrainBlackHole2		= 1 << 19,
	kTerrainBlackHole3		= 1 << 20,
	kTerrainBlackHole4		= 1 << 21,
	kTerrainBlackHole5		= 1 << 22,
	kTerrainBlackHole6		= 1 << 23,
	kTerrainDustclouds		= 1 << 24,
	kTerrainShippingLane	= 1 << 25,
	kTerrainNone			= 1 << 26,
	
	kTerrainFirstTerrain	= kTerrainSpace1,
	kTerrainLastTerrain		= kTerrainShippingLane << 1,

	kTerrainSpace			= kTerrainSpace1 | kTerrainSpace2 | kTerrainSpace3 |
							  kTerrainSpace4 | kTerrainSpace5 | kTerrainSpace6,
	
	kTerrainAsteroids		= kTerrainAsteroids1 | kTerrainAsteroids2 | kTerrainAsteroids3 |
							  kTerrainAsteroids4 | kTerrainAsteroids5 | kTerrainAsteroids6,
	
	kTerrainNebula			= kTerrainNebula1 | kTerrainNebula2 | kTerrainNebula3 |
							  kTerrainNebula4 | kTerrainNebula5 | kTerrainNebula6,

	kTerrainBlackholes		= kTerrainBlackHole1 | kTerrainBlackHole2 | 
							  kTerrainBlackHole3 | kTerrainBlackHole4 | 
							  kTerrainBlackHole5 | kTerrainBlackHole6,

	kTerrainAnyTerrain		= kTerrainSpace | kTerrainAsteroids | kTerrainNebula | kTerrainBlackholes |
							  kTerrainDustclouds | kTerrainShippingLane,
};

typedef int32 iPlanetTypes;
enum ePlanetTypes
{
	kPlanetNone				= 0,
	kPlanetHomeWorld1		= 1 << 0,
	kPlanetHomeWorld2		= 1 << 1,
	kPlanetHomeWorld3		= 1 << 2,
	kPlanetCoreWorld1		= 1 << 3,
	kPlanetCoreWorld2		= 1 << 4,
	kPlanetCoreWorld3		= 1 << 5,
	kPlanetColony1			= 1 << 6,
	kPlanetColony2			= 1 << 7,
	kPlanetColony3			= 1 << 8,
	kPlanetAsteroidBase1	= 1 << 9,
	kPlanetAsteroidBase2	= 1 << 10,
	kPlanetAsteroidBase3	= 1 << 11,
	kPlanetFirstPlanet		= kPlanetHomeWorld1,
	kPlanetLastPlanet		= kPlanetAsteroidBase3 << 1,

	kPlanetHomeWorld		= kPlanetHomeWorld1 | kPlanetHomeWorld2 | kPlanetHomeWorld3,
	kPlanetCoreWorld		= kPlanetCoreWorld1 | kPlanetCoreWorld2 | kPlanetCoreWorld3,
	kPlanetColony			= kPlanetColony1 | kPlanetColony2 | kPlanetColony3,
	kPlanetAsteroidBase		= kPlanetAsteroidBase1 | kPlanetAsteroidBase2 | kPlanetAsteroidBase3,

	kPlanetAnyPlanet		= kPlanetHomeWorld | kPlanetCoreWorld | kPlanetColony | kPlanetAsteroidBase,
};

typedef int32 iBaseTypes;
enum eBaseTypes
{
	kBaseNone				= 0,
	kBaseStarbase			= 1 << 0,
	kBaseBattleStation		= 1 << 1,
	kBaseBaseStation		= 1 << 2,
	kBaseWeaponsPlatform	= 1 << 3,
	kBaseListeningPost		= 1 << 4,
	kBaseFirstBase			= kBaseStarbase,
	kBaseLastBase			= kBaseListeningPost << 1,

	kBaseAnyBase			= kBaseStarbase | kBaseBattleStation | kBaseBaseStation |
							  kBaseWeaponsPlatform | kBaseListeningPost,
};

#endif