//	<Name>	MapObject.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( MapObject_h )
#define MapObject_h

#include <BaseTypes.h>

#if !defined( USE_PCH )

#include <string>
#include <vector>

#endif


enum eMapObjectType
{
	//WARNING!: This has a one to one match up with states\MapDisplay.h
	kObjectEmptySpace,           
	kObjectNebula,         
	kObjectBlackHole,
	kObjectFissure,
	kObjectOrganian,
	kObjectPulsar,
	kObjectWormHole,
	kObjectSun,            
	kObjectPlanet,         
	kObjectAsteroid,       
	kObjectDustCloud,      
	kObjectCorpse,      
	kObjectEnemyBase,      
	kObjectPlayerBase,     
	kObjectEnemyShip,   
	kObjectAlliedShip,  
	kObjectPlayerShip,  
	kObjectShipStart, 
	kObjectShipEnd,
	kObjectOffMapEdge,
	kObjectAssigned,
	kObjectIonStorm,
	kMaxObjects
};

class tMapObjectPoint
{
public:
	tMapObjectPoint();
	tMapObjectPoint( int32 x, int32 y );

	int32 fX;
	int32 fY;
};

class tMapObjectType
{
public:
	tMapObjectType();
	tMapObjectType( eMapObjectType objectType, int32 subType, eMapObjectType mapIcon, std::string specRecord = "" );

	bool operator==( const tMapObjectType& type ); 

	eMapObjectType		fObjectType;
	int32				fSubType; //Which one of the sub-types the object actualy is (sometimes know as index)
	eMapObjectType		fTacticalMapIcon;
	std::string			fSpecRecord;
};
	

class tMapObject
{
public:
	tMapObject(); 
	tMapObject( eMapObjectType Type, int32 GridX, int32 GridY, bool Visible, int32 subType, eMapObjectType mapIcon, std::string specRecord = "" );
	virtual ~tMapObject();

	tMapObjectType		fType;
	tMapObjectPoint		fGridPos;
	bool				fVisible;
};
typedef std::vector<tMapObject> tMapItemList;



#endif


// 23Mar00	zdrummond	Added Comment Header and Footer's