//	<Name>	ScriptEntry.h
//
//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
//
//	<Info>	DESCRIPTION
//
#pragma once

#ifndef scriptentry_h
#define scriptentry_h


#include "scriptsdata.h"


class tDynaverseScriptInfo;
class tTeamScriptDescription;
class tShipScriptDescription;
//-------------------------------------------------------
// interface specific routines
class tScriptEntry
{
protected:

	typedef void  WINAPI cbCreateShip (tCreateShipInfo& info);
	typedef void  WINAPI cbEntityMgr (tShipSystemsInfo& info);
	typedef void  WINAPI cbMessages ( eTeamID msgForTeam, const char* message, eScriptMessageTypes type, int32 ShipID);
	typedef int32 WINAPI cbRandom (int32 lo, int32 hi) const;
	typedef void  WINAPI cbPrimitive ( int32 ID, tScript3DPrimitive& Primitive, eScriptPrimitiveAction Action );

public:
	virtual void		mCreateScript() = 0;
	virtual void		mInitialize (tDynaverseScriptInfo& info) = 0;
	virtual void		mBeginMission() = 0;
#if 1	///DANHM -- this block was changed to reflect host migration
	virtual void		mScriptStartMission( void ) = 0;
	virtual void		mSetNewHost( void ) = 0;
#endif
	virtual iTruth		mSaveEntityID( eTeamID Team, int32 CallbackIndex, int32 EntityID, iAllocatorID allocID ) = 0;
	virtual void		mEntityEvent(tShipSystemsInfo& info) = 0;
	virtual void		mInitMapForRead (void) = 0;
	virtual const char* mGetNextMapLine (void) = 0;
	virtual std::string& mBriefingText (void) = 0;
	virtual const tMissionSpec* mGetScriptSpecs( void ) = 0; 
	virtual iTruth		mValidateVersion( float Version ) = 0;
	virtual eTeamRelationship mGetTeamRelations (eTeamID Team1, eTeamID Team2) = 0;
	virtual void		mEntityMgrCallback (cbEntityMgr* func) = 0;
	virtual void		mCreateShipCallback (cbCreateShip* func) = 0;
	virtual void		mMessageCallback (cbMessages* func) = 0;
	virtual void		mRandomCallback (cbRandom* func) = 0;
	virtual void		mPrimitiveCallback( cbPrimitive* func ) = 0;
	virtual void		mNewTeam( const tTeamScriptDescription& teamScriptDescription ) = 0;
	virtual void		mNewShip( const tShipScriptDescription& shipScriptDescription ) = 0;
};

#endif		// #ifndef scriptentry_h

//	21Oct98		dboulanger	created
//	05Nov98		dboulanger	added new debriefing and prestige functions
//	11Nov98		dboulanger	revised mSaveEntityID struct
//	12Nov98		dboulanger	added return value for mSetEntityID
//	19Nov98		dboulanger	added call to reset map for reading
//	20Nov98		dboulanger	added call to return success level
//	04Dec98		dboulanger	added function to get team relationships from script
//	04Jan99		dboulanger	added extra param to cbMessages
//	06Jan99		dboulanger	added career totals call
//	01Feb99		dboulanger	removed career totals call
//	04Feb99		dboulanger	added param to mGetPrestigePoints
//	01Jun99		dboulanger	added tDynaverseScriptInfo struct to mGetTechnicalSuccess
//	8Jul00		dsuleski	Documentation update
//	25Jul00		dsuleski	Added primitive callback
