// ScriptMapData.h: interface for the tScriptMapData class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#if !defined(AFX_SCRIPTMAPDATA_H__0C0A27E1_00C0_11D4_BABB_0050DACFBB08__INCLUDED_)
#define AFX_SCRIPTMAPDATA_H__0C0A27E1_00C0_11D4_BABB_0050DACFBB08__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <BaseTypes.h>
#include <MapConstants.h>
#include "MapObject.h"

enum eMapObjects
{
	kNumMapObjects = 80,	//	CHANGE THIS WHEN UPDATING THIS ENUM!!!


	kMapObject_Start1 = 'G',
	kMapObject_Start2 = 'H',
	kMapObject_Start3 = 'I',
	kMapObject_Start4 = 'J',
	kMapObject_Start5 = 'K',
	kMapObject_Start6 = 'L',
	kMapObject_Start7 = 'M',
	kMapObject_Start8 = 'N',
	kMapObject_Start9 = 'O',
	kMapObject_Start10 = 'P',
	kMapObject_Start11 = 'Q',
	kMapObject_Start12 = 'R',
	kMapObject_Start13 = 'S',
	kMapObject_Start14 = 'T',
	kMapObject_Start15 = 'U',
	kMapObject_Start16 = 'V',
	kMapObject_Start17 = 'W',
	kMapObject_Start18 = 'X',
	kMapObject_Start19 = 'Y',
	kMapObject_Start20 = 'Z',

	kMapObject_End1 = 'g',
	kMapObject_End2 = 'h',
	kMapObject_End3 = 'i',
	kMapObject_End4 = 'j',
	kMapObject_End5 = 'k',
	kMapObject_End6 = 'l',
	kMapObject_End7 = 'm',
	kMapObject_End8 = 'n',
	kMapObject_End9 = 'o',
	kMapObject_End10 = 'p',
	kMapObject_End11 = 'q',
	kMapObject_End12 = 'r',
	kMapObject_End13 = 's',
	kMapObject_End14 = 't',
	kMapObject_End15 = 'u',
	kMapObject_End16 = 'v',
	kMapObject_End17 = 'w',
	kMapObject_End18 = 'x',
	kMapObject_End19 = 'y',
	kMapObject_End20 = 'z',

	kMapObject_Assigned0 = '0',
	kMapObject_Assigned1 = '1',
	kMapObject_Assigned2 = '2',
	kMapObject_Assigned3 = '3',
	kMapObject_Assigned4 = '4',
	kMapObject_Assigned5 = '5',
	kMapObject_Assigned6 = '6',
	kMapObject_Assigned7 = '7',
	kMapObject_Assigned8 = '8',
	kMapObject_Assigned9 = '9',	

	kMapObject_Moon = '@',
	kMapObject_Sun1 = '(',
	kMapObject_Sun2 = ')',
	kMapObject_Sun3 = '!',

	kMapObject_SmallAsteroid = '[',
	kMapObject_LargeAsteroid = ']',
	kMapObject_IceAsteroid = '*',

	kMapObject_BlackHole1 = ':',
	kMapObject_BlackHole2 = ',',

	kMapObject_Nebula1 = '&',
	kMapObject_Nebula2 = '?',

	kMapObject_DustCloud1 = '<',
	kMapObject_DustCloud2 = '>',

	kMapObject_WormHole = '%',
	kMapObject_Fissure = '$',
	kMapObject_Organian = '^',
	kMapObject_Corpse = '#',
	kMapObject_Pulsar = '~',

	kMapObject_IonStorm = '{',

	//
	//	Alternate ASCII icons.
	//
	kMapObjectAlt_SmallAsteroid = 'a',
	kMapObjectAlt_LargeAsteroid = 'A',
	kMapObjectAlt_BlackHole1 = 'b',
	kMapObjectAlt_BlackHole2 = 'B',
	kMapObjectAlt_Nebula1 = 'c',
	kMapObjectAlt_Nebula2 = 'C',
	kMapObjectAlt_DustCloud1 = 'd',
	kMapObjectAlt_DustCloud2 = 'D',
	kMapObjectAlt_Fissure = 'e',
	kMapObjectAlt_Wormhole = 'E',
	kMapObjectAlt_Organian = 'f'
};

class tMapOverrides
{
public:

	tMapOverrides( void );
	operator=( tMapOverrides rhs );

public:

	std::map<char, eMapObjectType>	fTacticalMapIcon;	//	tactical screen display
	std::map<char, std::string>		fModelFilename;		//	in-game model filename

};

class tMapTerrain
{
public:
	
	tMapTerrain( iTerrainTypes TerrainType = kTerrainAnyTerrain,
				 iPlanetTypes PlanetType = kPlanetAnyPlanet,
				 iBaseTypes BaseType = kBaseAnyBase );
	tMapTerrain( const tMapTerrain& rhs );
	operator=( tMapTerrain rhs );

// accessors
public:

	iTerrainTypes	mGetTerrainType( void ) {_func_start( tMapTerrain::mGetTerrainType ); return fTerrainType; _func_end;}
	iPlanetTypes	mGetPlanetType( void )	{_func_start( tMapTerrain::mGetPlanetType ); return fPlanetType; _func_end;}
	iBaseTypes		mGetBaseType( void )	{_func_start( tMapTerrain::mGetBaseType ); return fBaseType; _func_end;}

private:

	iTerrainTypes	fTerrainType;
	iPlanetTypes	fPlanetType;
	iBaseTypes		fBaseType;

};
typedef std::vector< tMapTerrain > tMapTerrainList;

class tScriptMapData  
{
public:
	tScriptMapData( const char* mapName, const char* mapLines[], tMapOverrides* mapOverrides = NULL );
	tScriptMapData();

	void mLoadMap( const char* mapName, const char* mapLines[], tMapOverrides* mapOverrides = NULL );
	
	const std::string& mGetMapName() const;
	tMapObjectPoint mGetMapDimension() const;
	const tMapItemList& mGetItemList() const;
	static eMapObjectType mGetMapItemType( char id, int* subType );

	//Operators
	int32 operator==( const std::string& mapName );

protected:
	int32 mFindMapStart( const char* mapName ) const;
	
	tMapObjectPoint mFindMapDimension( int32 startLine ) const;

	tMapObjectPoint fMapDimension;
	tMapItemList fMapItemList;

	std::string fMapName;

private:
	//Is only valid during a load
	const char** fMapLines;
};
typedef std::vector<tScriptMapData> tScriptMapList;


#endif // !defined(AFX_SCRIPTMAPDATA_H__0C0A27E1_00C0_11D4_BABB_0050DACFBB08__INCLUDED_)



//	13Jul00	dsuleski	Added a character map for easy access to icon changes in the script ASCII maps
//	04Oct00	dsuleski	tMapTerrain struct created for script meta location hex

