//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
#pragma once

#if !defined( TeamData_h )
#define TeamData_h

#include <BaseTypes.h>
#include "race.h"

// these two enums are also used in script modules
enum eTeamID {	kNoTeam = -1,
				kTeam1 = 0,
				kTeam2,
				kTeam3,
				kTeam4,
				kTeam5,
				kTeam6,
				kTeam7,
				kTeam8,
				kTeam9,
				kTeam10,
				kTeam11,
				kTeam12,
				kTeam13,
				kTeam14,
				kTeam15,
				kTeam16,
				kTeam17,
				kTeam18,
				kTeam19,
				kTeam20,
				kMaxTeams,
				kForceToInt32 = 0xFFFFFFFF};

enum eTeamRelationship
{
	kUnknownRelationship	= 0,	
	kTeamSelfAware			= 1,	// '-' this is the relationship of a team to itself
	kTeamAllied				= 2,	// 'A'
	kTeamFriendly			= 3,	// 'F'
	kTeamNeutral			= 4,	// 'N'
	kTeamHostile			= 5,	// 'H'
	kTeamAtWar				= 6,	// 'W'
	kTeamPassive			= 7		// 'P' this is the relationship of a terrain feature (sun, asteroid, etc...) to a team
};


enum eTeamColor {	kFederationPrime = kFederation, kKlingonPrime = kKlingon,
					kRomulanPrime= kRomulan,	kLyranPrime = kLyran,
					kHydranPrime= kHydran,kGornPrime= kGorn,
					kOrionPrimary = kOrion,	kOtherPrime,
					kFederationAlt = kFederation + kOtherPrime , kKlingonAlt = kKlingon + kOtherPrime,
					kRomulanAlt= kRomulan + kOtherPrime,kLyranAlt= kLyran + kOtherPrime,
					kHydranAlt= kHydran + kOtherPrime,kGornAlt = kGorn + kOtherPrime,
					kOrionAlt= kOrion + kOtherPrime,kOtherAlt };

enum eTeamDamagetypes
{
	kDamageTypeBPVLose,
	kDamageTypeInternal,
	kDamageTypeShields,
	kDamageTypeCombinedInternalAndShields,
};

enum eTeamTag
{
	kNoTeamTag = -1,
	kTagA,
	kTagB,
	kTagC,
	kTagD,
	kTagE,
	kTagF,

	kMaxHumanActiveTags,

	kTagG = kMaxHumanActiveTags,
	kTagH,
	kTagI,
	kTagJ,
	kTagK,
	kTagL,
	kTagM,
	kTagN,
	kTagO,
	kTagP,
	kTagQ,
	kTagR,
	kTagS,
	kTagT,
	kTagU,
	kTagV,
	kTagW,
	kTagX,
	kTagY,
	kTagZ,

	kMaxTags
};

#endif


//	26Jun00		dsuleski	Inserted additional tags.  "Whirly" refers to the 6 main tags just as used
//							for the whirly races (i.e. playable).