//	<Name>	eshiptypes.h
//
//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
//
//	<Info>	enums for ship types
#pragma once

#ifndef eshiptypes_h
#define eshiptypes_h
#include "shipclasses.h"
	// Ships

// if you change the enum -- make sure to update entity_strings.cpp and tactical.txt(in QSIsourceassets)
// And of course shadowdata.cpp, which is a cool new redundant feature I just found!
// There is no one to one relationship between eHullType and eClassTypes
// eHullType should only be used to classify what UI it should be grouped with in the selection screens.
	enum eHullType {
		kUndefinedHull	= -1,
		kUndefinedShip	= -1,
		kNoHullType = -1,
		kFF,
		kDD,
		kCL,
		kCA,
		kDN,
		kF,
		kSB,
		kBS,
		kBT,
		kHullAsteroidBase,
		kHullListeningPost,
		kHullDefensePlatform,
		kHullStarDock,
		kHullAstroMiner,			// start of monster hulls
		kHullSunGlider,
		kHullDoomsdayMachine,
		kHullLivingCage,
		kHullM_Eater,
		kHullSpaceShell,
		kHullIntruder,				// end of monster hulls
		kBox,
		kMineHull,
		kFighter,
		kShuttle,
		kNumberOfShipHullTypes,

				//  The following are used to index into the list of hull schematic names
				//  in schematicpanel.cpp		
		kHullPlanet = kNumberOfShipHullTypes,
		kHullMoon,
		kHullStar,
		kHullAsteroid,
		kHullPlasmaTorpedo,
		kHullDrones,
		kHullBodies,
		kHullFissure,
		kHullBlackHole,
		kHullWormHole,
		kHullFedShuttle,
		kHullKlingShuttle,
		kHullRomShuttle,
		kHullLyranShuttle,
		kHullHydranShuttle,
		kHullGornShuttle,
		kHullISCShuttle,
		kHullMirakShuttle,
		kHullOrionShuttle,
		kUnknownHull,
		kNumTotalHulls,
		_eHullTypePadToLong = 0xFFFFFFFF
	};

	extern const char *gHullTypes[kNumTotalHulls];


	// if you change the enum -- make sure to update entitystrings.cpp
	enum eTurnMode{
		kNoTurnMode = -1,
		kTurnModeAA = 0,
		kTurnModeA,
		kTurnModeB,
		kTurnModeC,
		kTurnModeD,
		kTurnModeE,
		kTurnModeF,
		kTurnModeG, // Rotateing bases
		kTurnModeH, // Planets
		kNumberOfTurnModes
	};

	extern const char *gTurnModes[kNumberOfTurnModes];

	//	must match 1 to 1 with the eClassTypes
	extern const char *gShipClassTypes[kMaxClasses + 1];

	// if you change the enum -- make sure to update entitystrings.cpp
	enum eSpecialRole
	{
		kNoSpecialRole = -1,
		kSpecialRoleC,
		kSpecialRoleD,
		kSpecialRoleK,
		kSpecialRoleKM,
		kSpecialRoleM,
		kSpecialRoleS,
		kSpecialRoleR,
		kSpecialRoleNT,
		kNumberOfSpecialRoles
	};

	extern const char *gSpecialRoles[kNumberOfSpecialRoles];

#endif
//	<History>
//	12May98	sroney		Started.
//	22May98	sroney		Converge with ship_entity version of enum, change to eHullType
//	19Jun98	sroney		Add planet and star hull types
//	26Jun98	mhertogh	Converter all references from ShipType to HullType.
//	26Jun98	mhertogh	Added eTurnMode enums.
//	30Jun98	oschlunk	Added eSpecialRole and strings associated with
//	24Aug98	rliu		Changed kHullPlanet = kNumHullTypes to kHullPlanet = kNumberOfHullTypes
//	17Sep98	sroney		Set kHullPlanet = kNumShipHullTypes (Had been set incorrectly)
//  03Mar99 dboulanger	added monsters to hull type enum
//	09Jun99	mhertogh	Added kFighterType.