//	<Name> randomnums.h
//
//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
//
//	<Info>random number stuff...
//
#pragma once

#ifndef randomnums_h
#define randomnums_h

#include "tcrandsequence.h"


extern tCRandomSequence *theMainRandomNumberGenerator;
extern tCRandomSequence gMainSeedGenerator;

#define GetRandomInteger(a) theMainRandomNumberGenerator->mGetRandomInteger(a)
#define GetRandomDouble() theMainRandomNumberGenerator->mGetRandomDouble() 
#define GetRandomFloat() theMainRandomNumberGenerator->mGetRandomFloat()
#define GetLargestValue() theMainRandomNumberGenerator->mGetLargestValue()
#define SetSeed(a)	 theMainRandomNumberGenerator->mSetSeed((a))
#define GetCurrentSeed() theMainRandomNumberGenerator->mGetLastValueGenerated()
#define GetRandomSeed() (((gMainSeedGenerator.mQuickGet()<<16)+gMainSeedGenerator.mQuickGet())&0x7FFFFFFF)
#define RollOneDie() ( 1 + theMainRandomNumberGenerator->mGetRandomInteger(6))
#define RollTwoDie() ( 2 + theMainRandomNumberGenerator->mGetRandomInteger(6) + theMainRandomNumberGenerator->mGetRandomInteger(6))

// returns random number between given values
#define GetRandomIntegerRange(lo, hi) (theMainRandomNumberGenerator->mGetRandomInteger(((hi) - (lo)) + 1) + (lo))

#define GetRandomDynaverseInteger(a) theMainRandomNumberGenerator->mGetRandomInteger(a)
#define SetDynaverseSeed(a)	 /*theMainRandomNumberGenerator->mSetSeed((a))*/
#define GetCurrentDynaverseSeed() theMainRandomNumberGenerator->mGetLastValueGenerated()


inline float GetChanceOfSuccessOnTwoDice( int8u numberToRollUnder )
{
	_func_start( GetChanceOfSuccessOnTwoDice );
	static const float probabilityTable[11] = { 0.0278f, 0.0834f, 0.1667f, 0.2778f, 0.4167f, 0.5834f,  0.7223f, 0.8334f, 0.9167f, 0.9723f, 1.0f };

	//Assert that numberToRollUnder is a valid number to roll on two dice
	if( numberToRollUnder < 2 )
		return 0.0f;
	
	if( numberToRollUnder > 12 )
		return 1.0f;

	//Contvert to array index
	numberToRollUnder -= 2; 
	return probabilityTable[ numberToRollUnder ];
	_func_end;
}
	
#endif


//	15Jul98	oschlunk	started
//	26Aug98	sroney		Dynaverse integration
//	02Oct98 dboulanger	added routine to get number between hi/lo range
//	14Oct98 dboulanger	fixed GetRandomIntegerRange to include hi number
//	21Oct98	zdrummond	Added a routine to get the chance of rolling under a number on 2D6

