//	<Name>	scriptsdata.h
//
//
//	<Info>	DESCRIPTION
//
#pragma once

#if !defined( scriptsdata_h )
#define scriptsdata_h

#include "ShipClasses.h"

const int ScriptVersion = 57;

// ID info
typedef int32 iActorID;
typedef int32 iStateID;

enum
{
	kInvalidActorID = -1,
	kInvalidStateID = -1,
	kNoAllocatorID = -2,
};

const float	kMinChance			=	0.0f;
const float	kMaxChance			=	1.0f;

const int32 kPriMinShips		=	1;
const int32 kPriMaxShips		=	3;
const int32 kPOMinShips			=	1;
const int32 kPOMaxShips			=	3;
const int32 kPlayMinShips		=	1;
const int32	kPlayMaxShips		=	3;
const int32 kNPCNoShips			=	0;
const int32 kMinNonNPCShips		=	kPriMinShips;
const int32 kMaxNonNPCShips		=	kPriMaxShips;

const int32	kMinBPV				=	0;
const int32 kMaxBPV				=	32767;
const int32 kMaxCPUTeams		=	5;
const int32 kMaxScriptValues	=	16;

const int32 kMinDate			=	0;
const int32	kMaxDate			=	60;


	// events game notifies script of
typedef int32 iNotifyEvents;
enum
{
	kNotifyOff						=	0,

	kNotifyAtDeath					=	1 << 0,
	kNotifyOnCapture				=	1 << 1,
	kNotifyDisengaged				=	1 << 2,
	kNotifyAtDistance				=	1 << 3,
	kNotifyAtDestination			=	1 << 4,
	kNotifyAtTimedInterval			=	1 << 5,
	kNotifyCommButtonPress			=	1 << 6,
	kNotifyDamage					=	1 << 7,		//	*	// sent along with an eDamageToShip value
	kNotifyDeepScan					=	1 << 8,		//	*
	kNotifyAlertStatusChange		=	1 << 9,		//	*
	kNotifyProbeLaunch				=	1 << 10,	//	*
	kNotifyBeginOrbit				=	1 << 11,	//	*
	kNotifyEndOrbit					=	1 << 12,	//	*
	kNotifyBeginTractor				=	1 << 13,	//	*
	kNotifyEndTractor				=	1 << 14,
	kNotifyFlashingButtonPressed	=	1 << 15,
	kNotifyTransportedItem			=	1 << 16,
	kNotifyChangingShip				=	1 << 17,	//	*
	kNotifySpecialTransport			=	1 << 18,	//	*
	kNotifyPlayerLeaving			=	1 << 19,
	kNotifyHostChanged				=	1 << 20,
	kNotifyCommStateChanged			=	1 << 21,
	kNotifyStateChanged				=	1 << 22,
	kNotifyShipStoresUpdate			=	1 << 23,
	kNotifyShipSystemUpdate			=	1 << 24,
	kNotifyStoreAmount				=	1 << 25,
	kNotifyNewTeam					=	1 << 26,
};
enum
{
	kNotifyDefaultEvents = ( kNotifyAtDeath + kNotifyOnCapture + kNotifyDisengaged + kNotifyChangingShip ),
	kNotifyAlwaysOnEvents = ( kNotifyOnCapture + kNotifyChangingShip ),
};

// '*' denotes that this constant can be used with tShipInfo::mSetShipCallbackEvents(...) via a script

enum eShipUpdateType
{
	kShipCurrentValue,
	kShipCurrentPercent,
	kShipMaxValue,
	kShipMaxPercent,
};

enum eDamageToShip
{
	kDamageByWeaponOrDebris,
	kDamageByProbe,
	kDamageByMine,
	kDamageWeaponByMarines,
	kDamageSystemByMarines,
};

	// events script notifies game of
typedef int32 iCallbackEvents;
enum
{
	kGetTacticalDistance		=	1 << 0,
	kAddToCareerTotal			=	1 << 1,
	kSetCommButton				=	1 << 2,
	kPlaySound					=	1 << 3,
	kGetPlayerRank				=	1 << 4,
	kGetAlertStatus				=	1 << 5,
	kCreateMapEntry				=	1 << 6,
	kGetMapEntryPosition		=	1 << 7,
	kGetShipPosition			=	1 << 8,
	kSetTimedInterval			=	1 << 9,
	kTrackDistanceFromTarget	=	1 << 10,
	kGetINIFileEntry			=	1 << 11,
	kIssueAICommand				=	1 << 12,
	kSetFinalDestination		=	1 << 13,
	kSetPlayerControlledShip	=	1 << 14,
	kSetNewThrust				=	1 << 15,
	kSetNewEvents				=	1 << 16,
	kGetRaceRelationship		=	1 << 17,
	kSetTeamRelation			=	1 << 18,
	kGetShipClassName			=	1 << 19,
	kGetShipTargetID			=	1 << 20,
	kSetObjectName				=	1 << 21,
	kGetShipDamagePercent		=	1 << 22,
	kScheduleMission			=	1 << 23,
	kStartFlashingButton		=	1 << 24,
	kGetSetOfficerRank			=	1 << 25,
	kAccessShip					=	1 << 26,
	kShipTargetingStatus		=	1 << 27,
	kDynaverseAdjustments		=	1 << 28,
	kPlayerEvent				=	1 << 29,
	kMissionOver				=	1 << 30,
	kOther						=	1 << 31,	//	see iOtherCallbackEvents if this bit is set
};

typedef int32 iOtherCallbackEvents;
enum
{
	kRemoveTargets				=	1 << 0,
	kRequestCampaignTitle		=	1 << 1,
	kMissionResults				=	1 << 2,
	kScriptStartMission			=	1 << 3,
	kRequestHexType				=	1 << 4,
	kRequestGameType			=	1 << 5,
	kGetEra						=	1 << 6,
	kGetShipSpeed				=	1 << 7,
	kSetShipSpeedImmediate		=	1 << 8,
	kSetWeaponState				=	1 << 9,
	kDamageRandomInternals		=	1 << 10,
};

enum eShipTargetingStatus
{
	kMakeShipTargetable,
	kMakeShipAbleToTarget,	
};

enum ePlayerEvent
{
	kResetDebriefing,
	kAddToDebriefing,
	kPlayerStatusChange,
};

//Modifier on kAccessShip 
enum eAccessShip
{
	kAccessShipSystems,
	kAccessShipStores,
	kAccessShipStores_Transporter,
	kSetShuttlebay,
	kSetFighterbay,
};

enum eAccesShipSystems_Action
{
	kDamageSystem,
	kHealSystem,
	kSetPercentageFromOrig,
	kSetPercentageFromCurr,
	kGetHealthOfSystem,
	kGetMaxHealthOfSystem,
	
	kGetPercentAtMarkOriginal_Trigger,
	kClearPreviousSysTriggers,
};

enum eAccessShipStores_Action
{
	kRemoveItemFromStores,
	kAddItemToStores,
	kSetItemInStores,
	
	kGetAmountOfStore,
	kGetMaxAmountOfStore,
	kGetAmountAtMark_Trigger,
	
	kClearPreviousStoresTriggers,
};

enum eAccessShipStores_ItemTypes
{ 
	kInvalidType = -1,		
	kMissilesTypeI,
	kMissilesTypeIV,

	kSpareParts,
	kMarines,
	kSmall_Mines,
	kLarge_Mines,

	kTransporterItem,
	
	_kPadding = 0xFF,
};

// These are bitwise values
// No matter what, assume sub type is in effect.
// Anything that has no comparison can always assumed to have a sub type of standard.
enum eAccessShipStores_SubTypes
{
	// Mandatory
	kStandard	= 1 << 0,  // Sometimes known as small
	kBig		= 1 << 1,
	// Speed modifiers
	kSpeed_Med	= 1 << 2,
	kSpeed_Fast	= 1 << 3,
	
	_kPaddingX = 0xFF,
};

//AINOTE I would like to move this into an AI namespace.. will worry about that latter
enum eAICommands
{
	kAITargetObject,
	kAIClearCommands,
	kAIDisengage,
	kAIPatrol,
	kAIDefendObject,
	kAIMoveObject,
	kAIFollowObject,
	kAIFireProbe,
	kAIChangeOfficerState,	// uses values from eAIOfficers below
	kAICloakShip,
};

// must match eOfficer enum in aiCaptian.h
enum eAIOfficers
{
	kECMOfficer = 0,

	kECCMOfficer,
	kTractorOfficer,
	kRepairOfficer,
	kSeekingWeaponDefenseOfficer,
	kHitAndRunOfficer,
	kTBombOfficer,
	kHETOfficer,
	kCloakOfficer,
	kFighterOfficer,
	kPlanetKillerOfficer,
	kShieldReinforcementOfficer,
	kShuttleOfficer
};


enum eAIPriority
{ 
	kNeverPriority = 0,
	kVeryLowPriority = 1,
	kLowPriority= 3,
	kMediumPriority = 5,
	kHighPriority = 7,
	kVeryHighPriority = 9,
	kAbsolutePriority = 10,
};

// must match one-to-one with enum eTransporterMission in transporter.h
enum eScriptTransportMission
{
	kTransNoMission = 0,
	kTransAwayTeam,
	kTransBoardingParty,
	kTransHitAndRun,
	kTransSendBomb,
	kTransRetrieve,
	kTransSendItem,
	kTransMoveCaptain
};
// must match one-to-one with enum eTransporterItem in transporter.h
enum eScriptTransportItems
{
	kTransNothing = 0,			//kNothing
	kTransGornEgg,
	kTransSpareParts,
	kTransCaptain,
	kTransBlueStar,
	kTransDilithiumCrystals,
	kTransGravTank,
	kTransMarineDude,
	kTransHarryMudd,
	kTransInfiltrator,
	kTransNovaMine,
	kTransRomulanAle,
	kTransTribbles,
	kTransAlienArtifact,
	kTransCaptainDude,
	kTransWeaponSchematic,
	kTransMedicalSupplies,
	kTransAwayTeamItem,
	kTransDiplomat,
	kTransInjuredDude,
	kTransMedicineJar,
	kTransScientists,
	kTransLifePodDude,
	kTransDeathPlague,
	kTransBlackBox,
	kTransPsionicDisruptor,
	kTransIonicProjector,
	kTransEngineers,
	kTransPrisoner,
};

enum eAlertLevels
{
	kAlertGreen,
	kAlertYellow,
	kAlertRed,
};

enum eTimerIntervalTypes
{
	kTimerEndGamePause,			// use this to adjust the amount of seconds to pause before leaving the tactical game
	kTimerCountdownSet,			// use this to display a countdown timer on the tactical screen
	kTimerCountdownAdjust,		// use this to modify the countdown timer

	kTimerTurnsSet,				// use thses to setup a timer callback using game turn time
	
	kTimerSecondsSet,				// use these to setup a timer callback using seconds

	kTimerKillTimer,
};

enum eOfficerTypes
{
	kWeaponsOfficer,
	kEngineeringOfficer,
	kScienceOfficer,
	kCommOfficer,
	kHelmOfficer,
	kSecurityOfficer,
	kCaptainOfficer,
	kMaxOfficers
};

enum eOfficerRank
{
	kUnknownRank = 0,
	kRookie = 1,
	kJunior,
	kSenior,
	kVeteran,
	kLegendary,
	kMaxOfficerRank
};

enum eScriptMessageTypes
{ 
	kEngineerScriptMessage,
	kMissionScriptMessage,
	kScienceScriptMessage,
	kFleetScriptMessage,
	kNonCommScriptMessage,
};

enum eGameStatus
{
	kGameInProgress		=	0x00000000,			// must be first

	// player wins mission events
	kEnemyCaptured		=	0x00000001,
	kEnemyDestroyed		=	0x00000002,
	kEnemyDisengaged	=	0x00000004,
	kPlayerWins			=	0x00000008,
	kWinMission			= 	(kEnemyCaptured | kEnemyDestroyed | kEnemyDisengaged | kPlayerWins), 

	// player loses mission events
	kPlayerDisengaged	=	0x00000100,
	kAllyDestroyed		=	0x00000200,
	kAllyCaptured		=	0x00000400,
	kAllyDisengaged		=	0x00000800,
	kPlayerLoses		=	0x00001000,
	
	// player kicked from mission events
	kMissionFailed		=	0x00010000,
	kPlayerDestroyed	=	0x00020000,
	kPlayerCaptured		=	0x00040000,

	kLoseMission		= 	kPlayerDisengaged | kAllyDestroyed | kAllyCaptured | kAllyDisengaged |
							kPlayerLoses | kMissionFailed | kPlayerDestroyed | kPlayerCaptured,

	kLeftEarly			=	0x00080000,

	// extra flags to tack on to status above
	kExpellFromElite	=	0x40000000,
	kCampaignCompleted	=	0x80000000,
};


enum eTargetGoals
{
	kGoalIgnore,	//'I' or '-'
	kGoalCripple,	//'C'
	kGoalCapture,	//'X'
	kGoalDestroy,	//'D'
};

// if adding or deleting from this list be sure to change dynaverse.txt also
// and rebuild a new strings.txt file
enum eSystems
{
	kFirstSystem,
	kSecondSystem,
	kThirdSystem,
	kFourthSystem,
	kFifthSystem,
	kSixthSystem,
	kSeventhSystem,
	kEighthSystem,
	kNinthSystem,
	kTenthSystem,
	kMaxSystems
};

typedef int32 eMenuButtonStates;
enum 
{
	kNoMenuButtons				=	0x00000000, 
	kEnableSupplyDock			=	0x00000001,
	kDisableCustomSkirmish		=	0x00000002,
	kDisableAI					=	0x00000004,
	kDisableTagA				=	0x00000008,
	kDisableTagB				=	0x00000010,
	kDisableTagC				=	0x00000020,
	kDisableTagD				=	0x00000040,
	kDisableTagE				=	0x00000080,
	kDisableTagF				=	0x00000100,

	kDisableAllTags				=	(kDisableTagA | kDisableTagB | kDisableTagC | kDisableTagD | kDisableTagE | kDisableTagF),
	kDisableAll					=	(kDisableCustomSkirmish | kDisableAI | kDisableAllTags),
};

//-------------------------------------------------------
// available victory levels
enum eVictoryLevels
{
	kUnknownVictoryLevel = -1,

	kAstoundingVictory = 0,
	kVictory,
	kDraw,
	kDefeat,
	kDevastatingDefeat,

	kMaxVictoryLevels,
	kBonusPrestige,
};

// must match eTableType in raceenum.h
enum eDynaverseTableType
{
	kAdjustEconomy,
	kAdjustGovStability,
	kAdjustFirstPolicy,
	kAdjustSecondPolicy,
	kAdjustPiratePolicy,
	kAdjustForeignRelation,
	kAdjustWarProgression,
};

//-------------------------------------------------------
// Career event types
enum eCareerEvents
{
	kDestroyed,
	kCaptured,
	kCrippled,
	kDefended,
	kMaxEvents
};

//-------------------------------------------------------
// used to place ships on the map
typedef int32 iMapPosition;
enum
{
	kStartPosition_G,
	kFirstStartPosition = kStartPosition_G,
	kStartPosition_H,
	kStartPosition_I,
	kStartPosition_J,
	kStartPosition_K,
	kStartPosition_L,
	kStartPosition_M,
	kStartPosition_N,
	kStartPosition_O,

	kStartPosition_P,
	kStartPosition_Q,
	kStartPosition_R,

	kStartPosition_S,
	kStartPosition_T,
	kStartPosition_U,
	kStartPosition_V,
	kStartPosition_W,

	kStartPosition_X,
	kStartPosition_Y,
	kStartPosition_Z,

	kLastStartPosition = kStartPosition_Z,
	kMaxStartPositions = kLastStartPosition - kFirstStartPosition + 1,
	kStartPosition_Specified = kLastStartPosition + 1,
};

//
//	The following are options that can be bitwise ORed together.
//
enum eShipOptions
{
	kNoShipOptions				=	0x00000000,

	kStartPositionCanBeOffset	=	1 << 0,
		kStartPositionOffsetMask	=	0x000000F0,		//	can specify which position -- if none, then randomly chosen
		kStartPositionBitAlignment	=	4,
		kNumStartPositionOffsets	=	8,
		kStartPositionOffsetE		=	1 << kStartPositionBitAlignment,
		kStartPositionOffsetW		=	2 << kStartPositionBitAlignment,
		kStartPositionOffsetSE		=	3 << kStartPositionBitAlignment,
		kStartPositionOffsetSW		=	4 << kStartPositionBitAlignment,
		kStartPositionOffsetS		=	5 << kStartPositionBitAlignment,
		kStartPositionOffsetN		=	6 << kStartPositionBitAlignment,
		kStartPositionOffsetNE		=	7 << kStartPositionBitAlignment,
		kStartPositionOffsetNW		=	8 << kStartPositionBitAlignment,
		kStartPositionOffsetOrigin	=	9 << kStartPositionBitAlignment,
		//	can go no greater than 15 << kStartPositionBitAlignment

	kCanAddToFleetUponCapture	=	1 << 12,

	kDeathUponCapture			=	1 << 13,
	kDeathUponDisengage			=	1 << 14,
	
	kCanBeRestricted			=	1 << 15,
	kCanBeCarrier				=	1 << 16,
	kCanBeEscort				=	1 << 17,
	kCanBeSublight				=	1 << 18,
	kCanBeScout					=	1 << 19,
	kCanBeMarine				=	1 << 20,
	kCanBeTournament			=	1 << 21,
	kCanBeSmallQShip			=	1 << 22,
	kCanBeLargeQShip			=	1 << 23,

	kPlaceHolderForNextConstant		=	1 << 24,

	kDefaultShipOptions = ( kCanAddToFleetUponCapture | kStartPositionCanBeOffset ),
};

//
//	The following are options that describe the type of polygone and points to be drawn.
//
enum eScriptPrimitiveFlags
{
	kWireframe		=	1 << 0,
	kSolid			=	1 << 1,

	kSingleSide		=	1 << 2,
	kDoubleSide		=	1 << 3,

	kCW				=	1 << 4,		//	clockwise
	kCCW			=	1 << 5,		//	counter-clockwise

	kBlend			=	1 << 6,
	kNoBlend		=	1 << 7,

	kPoints			=	1 << 8,
	kLines			=	1 << 9,
	kLineLoop		=	1 << 10,
	kTriangles		=	1 << 11,
	kQuads			=	1 << 12,
	kPolygon		=	1 << 13,

	kOn				=	1 << 14,
	kOff			=	1 << 15,

	kDefaultScriptPrimitiveFlags = ( kSolid | kDoubleSide | kCW | kBlend | kTriangles | kOn ),
};

enum eScriptPrimitiveAction
{
	kCreatePrimitive,	//	adds a new primitive to the local list
	kKillPrimitive,		//	deletes a primitive from the local list

	kDisplayPrimitive,	//	renders a primitive from the local list
	kErasePrimitive,	//	ignores rendering for a primitive from the local list
};

#endif


//	14Mar00	zdrummond	Added Comment Header and Footer's
//	11Jul00	dsuleski	eBandwidthPart
//	19Jul00	dsuleski	New ship options enum
//	25Jul00	dsuleski	New polygon options enum
//	02Oct00	dsuleski	Primitives now have the option of being rendered