//	<Name>	sysbaseenums.h
//
//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.
//
//	<Info>	Enums for all of the systems within systembase.
//
#pragma once

#ifndef	systembaseenums_h
#define	systembaseenums_h	1


#define kDistancePerHex 10
#define kDistancePerHexInv .1	// this should be 1.0/kDistancePerHex

typedef int32 iShieldFaceing;
enum 
{
		kNoShieldFace				= 0,
		kForeShieldFace			= 1,
		kRightForeShieldFace		= 2,
		kRightAftShieldFace		= 4,
		kAftShieldFace				= 8,
		kLeftAftShieldFace		= 16,
		kLeftForeShieldFace		= 32,
		kAllShieldFaces			= 63,
		kWeakestShieldFace		= 64,
};

enum eShieldIndex
{
		kForeShieldIndex = 0,
		kLeftForeShieldIndex,
		kLeftAftShieldIndex,
		kAftShieldIndex,
		kRightAftShieldIndex,
		kRightForeShieldIndex,
		kShieldIndexCount,
		kNoShield
};




// These systems must maintain a one two one relationship between itself and fA7SysImages,fA3SysImages and fA5SysImages in shadowdat.cpp
// Also strings in gWeaponTypeNames in systembase.cpp
// These are the specific system types and not to be used to map to the ships systems.

enum eShipSystemType
{ 
	kNoShipSystemType = -1,
	kNoWeaponType = -1,
	kShipSystemWeaponMinValue = 0,
	kShipSystemPhoton = 0,
	kShipSystemHeavyWeaponMinValue = kShipSystemPhoton,
	kShipSystemHeavyWeaponNonDroneMinValue = kShipSystemPhoton,
	kShipSystemPhotonFighter,
	kShipSystemHeavyPhoton,
	kShipSystemDisruptor1,
	kShipSystemDisruptor2,
	kShipSystemDisruptor3,
	kShipSystemDisruptor4,
	kShipSystemDisruptorFighter,
	kShipSystemHeavyDisruptor,
	kShipSystemFusion,
	kShipSystemFusionFighter,
	kShipSystemHellbore,
	kShipSystemHellboreFighter,
	kShipSystemPlasmaR,
	kShipSystemPlasmaS,
	kShipSystemPlasmaG,
	kShipSystemPlasmaF,
	kShipSystemPlasmaI,
	kShipSystemPlasmaD,
	kShipSystemPlasmaX,	// "Fast" torpedo
	kShipSystemPlasmaE,	// "Engine Drain" torpedo
	kShipSystemHeavyWeaponPlasmaMinValue = kShipSystemPlasmaR,
	kShipSystemHeavyWeaponPlasmaMaxValue = kShipSystemPlasmaE,
	kShipSystemESG,
	kShipSystemESGLance,
	kShipSystemPPD,
	kShipSystemMauler,
	kShipSystemPhaserA,
	kShipSystemPhaserB,
	kShipSystemTRBeam,
	kShipSystemShuttleWeapon,
	kShipSystemFighterSystem,
	kShipSystemHeavyWeaponNonDroneMaxValue = kShipSystemFighterSystem,
	kShipSystemDroneRackA,
	kShipSystemHeavyWeaponDroneMinValue = kShipSystemDroneRackA,
	kShipSystemDroneRackB,
	kShipSystemDroneRackC,
	kShipSystemDroneRackD,
	kShipSystemDroneRackE,
	kShipSystemDroneRackF,
	kShipSystemDroneRackG,
	kShipSystemDroneRackH,
	kShipSystemDroneFighter1,
	kShipSystemDroneFighter4,
	kShipSystemDroneRackMIRV,
	kShipSystemHeavyWeaponDroneMaxValue = kShipSystemDroneRackMIRV,
	kShipSystemOptional,
	kShipSystemOptionalW,
	kShipSystemHeavyWeaponMaxValue = kShipSystemOptionalW,
	kShipSystemPhaser1,
	kShipSystemPhaserMinValue = kShipSystemPhaser1,
	kShipSystemPhaser2,
	kShipSystemPhaser3,
	kShipSystemPhaserG,
	kShipSystemPhaserG2,
	kShipSystemPhaser4,
	kShipSystemPhaserX,
	kShipSystemPhaserMaxValue = kShipSystemPhaserX,
	kShipSystemADD6,
	kShipSystemADD12,
	kShipSystemADD30,
	kShipSystemWeaponMaxValue = kShipSystemADD30, // actually one higher than the Maximum
	kShipSystemNumberOfWeapons,
	kShipSystemShieldGenerator = kShipSystemNumberOfWeapons,
	kShipSystemForeShield,			
	kShipSystemRightForeShield,
	kShipSystemRightAftShield,	
	kShipSystemAftShield,				
	kShipSystemLeftAftShield,
	kShipSystemLeftForeShield,
	kShipSystemCloak,
	kShipSystemProbes,
	kShipSystemDrones,
	kShipSystemShuttleBay,
	kShipSystemArmor,
	kShipSystemHullGroup,
	kShipSystemForwardHull,
	kShipSystemCenterHull,
	kShipSystemAftHull,
	kShipSystemCargo,
	kShipSystemBarracks,
	kShipSystemEngineGroup,
	kShipSystemLeftWarp,
	kShipSystemRightWarp,
	kShipSystemCenterWarp,
	kShipSystemImpulse,
	kShipSystemAPR,
	kShipSystemBattery,
	kShipSystemBridgeGroup,
	kShipSystemBridge,
	kShipSystemFlagBridge,
	kShipSystemEmergencyBridge,
	kShipSystemSecurity,
	kShipSystemLab,
	kShipSystemTransporters,
	kShipSystemTractor,
	kShipSystemMechTractors,
	kShipSystemTractors,
	kShipSystemSensorGroup,
	kShipSystemSensors,
	kShipSystemScanners,
	kShipSystemSpecialSensors,
	kShipSystemDamageControlGroup,
	kShipSystemDamageControl,
	kShipSystemInternalRepair,
	kShipSystemExcessDamage,
	kShipSystemAuxilliaryControl,
	kShipSystemOfficerGroup,
	kShipSystemEngineeringOfficer,
	kShipSystemSecurityOfficer,
	kShipSystemWeaponsOfficer,
	kShipSystemHelmOfficer,
	kShipSystemCommunicationsOfficer,
	kShipSystemScienceOfficer,
	kShipSystemCaptainOfficer,

	kNumberOfShipSystemTypes
};

//WARNING: some of the enums in this file have global lists that correspond to them on a 1-1 basis -- a change to
// either an enum or a global list of strings generally must be made to another (the gloabl lists are in loader.cpp)
//e.g. -- gShipWeaponTypes corresponds to eSpecWeaponType

enum eWeaponArc
{
	kNoWeaponArc=-1,
	k1DroneReloadArc360,  // a drone with 1 reload	-- we're using the arc to give us extra info
	k2DroneReloadArc360,  // a drone with 2 reloads
	k3DroneReloadArc360,  // a drone with 3 reloads
	kWeaponArc360,
	kWeaponArc240,
	kWeaponArc210,
	kWeaponArc180,
	kWeaponArc120,
	kWeaponArcFA,
	kWeaponArcRS,
	kWeaponArcFRR,
	kWeaponArcFLL,
	kWeaponArcFH,
	kWeaponArcRH,
	kWeaponArcLS,
	kWeaponArcFX,
	kWeaponArcRX,
	kWeaponArcRRR,
	kWeaponArcLLR,
	kWeaponArcFAR,
	kWeaponArcFAL,
	kWeaponArcALL,
	kWeaponArcRW,
	kWeaponArcLW,
	kWeaponArcFHR,
	kWeaponArcFHL,
	kWeaponArcRA,
	kWeaponArcRWX,
	kWeaponArcLWX,
	kWeaponArcRP,
	kWeaponArcLP,
	kWeaponArcRAR,
	kWeaponArcRAL,
	kWeaponArcFLLX,
	kWeaponArcFRRX,
	kWeaponArcFARA,
	kWeaponArcKFX,	// Klingon boom-phaser arc
	kWeaponArcMLR,	// Mauler
	kWeaponArcESGL,	// ESG Lance
	kNumberOfWeaponArcs,
		//  These remaining items are combos, used in the Director file
		//	for the weapon arc display in the UI
	kWeaponArcRH_FAL = kNumberOfWeaponArcs,
	kWeaponArcRH_FAR,
	kWeaponArcFRR_FH,
	kWeaponArcFLL_FH,
	kWeaponArcRA_FH,
	kWeaponArcFA_RRR,
	kWeaponArcFA_LLR,
	kWeaponArcFA_RH,
	kWeaponArcFA_RA,
	kWeaponArcRS_FH,
	kWeaponArcLS_FH,
	kWeaponArcRWX_RH,
	kWeaponArcLWX_RH,
	kWeaponArcLW_RS,
	kWeaponArcRW_LS,
	kWeaponArcRAL_RH,
	kWeaponArcRAL_FH,
	kWeaponArcRAL_FA,
	kWeaponArcRAR_RH,
	kWeaponArcRAR_FH,
	kWeaponArcRAR_FA,
	kWeaponArcRAR_LW,
	kWeaponArcRAR_RW,
	kWeaponArcNone,
	kWeaponArcCombos
};

enum eSystemHardPoint
{
	kRandomInternalsHardPoint = -5,
	kAllEnginesHardPoint = -4,
	kAllShieldsHardPoint = -3,
	kAllWeaponsHardPoint = -2,
	kNoWeaponHardPoint = -1,
	kBridgeGroupHardPoint = 0,
	kBridgeHardPoint,
	kFlagBridgeHardPoint,
	kEmergencyBridgeHardPoint,
	kAuxBridgeHardPoint,
	kSensorGroupHardPoint,
	kSensorHardPoint,
	kScannerHardPoint,
	kHullGroupHardPoint,
	kForwardHullHardPoint,
	kAftHullHardPoint,
	kCenterHullHardPoint,

	kExcessDamageHardPoint,
	kTransporterHardPoint,		
	kTractorHardPoint,
	kMechTractorHardPoint,

	kShuttleBayHardPoint,
	kFighterBayHardPoint,
	kEngineGroupHardPoint,
	kRightWarpHardPoint,
	kFirstEngineHardPoint = kRightWarpHardPoint,
	kLeftWarpHardPoint,
	kCenterWarpHardPoint,
	kAPRPowerHardPoint,
	kImpulsePowerHardPoint,
	kLastEngineHardPoint = kImpulsePowerHardPoint,
	kTotalEngineHardPoints = ( kLastEngineHardPoint - kFirstEngineHardPoint ) + 1,

	kBatteryHardPoint = kLastEngineHardPoint + 1,
	kLabHardPoint,
	kBarracksHardPoint,			
	kCargoHardPoint,
	kShieldGroupHardPoint,
	kShieldOneHardPoint,
	kFirstShieldHardPoint = kShieldOneHardPoint,
	kShieldTwoHardPoint,
	kShieldThreeHardPoint,
	kShieldFourHardPoint,
	kShieldFiveHardPoint,
	kShieldSixHardPoint,
	kLastShieldHardPoint = kShieldSixHardPoint,
	kTotalShieldHardPoints = ( kLastShieldHardPoint - kFirstShieldHardPoint ) + 1,
	kArmorHardPoint = kLastShieldHardPoint + 1,
	kCloakHardPoint,
	kDamageControlGroupHardPoint,
	kDamageControlHardPoint,
	kInternalRepairHardPoint,

	kOfficerGroupHardPoint,  
	kHelmOfficerHardPoint,
	kEngineerOfficerHardPoint,
	kScienceOfficerHardPoint,
	kWeaponsOfficerHardPoint,
	kSecurityOfficerHardPoint,
	kCommOfficerHardPoint,	
	kCaptOfficerHardPoint,	
	
	kProbeHardPoint,
	kHeavyWeapon1HardPoint,
	kNewFirstHeavyWeaponHardPoint=kHeavyWeapon1HardPoint,
	kNewFirstWeaponHardPoint=kHeavyWeapon1HardPoint,

	kHeavyWeapon2HardPoint,
	kHeavyWeapon3HardPoint,
	kHeavyWeapon4HardPoint,
	kHeavyWeapon5HardPoint,
	kHeavyWeapon6HardPoint,
	kHeavyWeapon7HardPoint,
	kHeavyWeapon8HardPoint,
	kHeavyWeapon9HardPoint,
	kHeavyWeapon10HardPoint,
	kNewLastHeavyWeaponHardPoint=kHeavyWeapon10HardPoint,
	kWeapon11HardPoint,
	kNewFirstPhaserHardPoint=kWeapon11HardPoint,
	kWeapon12HardPoint,
	kWeapon13HardPoint,
	kWeapon14HardPoint,
	kWeapon15HardPoint,
	kWeapon16HardPoint,
	kWeapon17HardPoint,
	kWeapon18HardPoint,
	kWeapon19HardPoint,
	kWeapon20HardPoint,
	kWeapon21HardPoint,
	kWeapon22HardPoint,
	kWeapon23HardPoint,
	kWeapon24HardPoint,
	kWeapon25HardPoint,
	kNewLastPhaserHardPoint=kWeapon25HardPoint,
	kNewLastWeaponHardPoint=kWeapon25HardPoint,
	kNumberOfShipSystemHardPoints,

	kNewTotalWeaponHardPoints = kNewLastPhaserHardPoint - kNewFirstHeavyWeaponHardPoint + 1,
	
	// Non standard hardpoints are for damage allocation where the chart dictates a catagory rather than a true point
	kAnyWeapon_ForDamageOnly = kNumberOfShipSystemHardPoints,
	kDrone_ForDamageOnly,
	kHvyWpn_ForDamageOnly,
	kAnyWarp_ForDamageOnly,
	kPhaser_ForDamageOnly,
	kForwardHull_ForDamageOnly,
	kCenterHull_ForDamageOnly,
	kAftHull_ForDamageOnly,
	kLeftWarp_ForDamageOnly,
	kRightWarp_ForDamageOnly,
	kCenterWarp_ForDamageOnly,
	kAPR_ForDamageOnly,
	kImpulse_ForDamageOnly,
	kBridge_ForDamageOnly,
	kFlagBridge_ForDamageOnly,
	kEmergencyBridge_ForDamageOnly,
	kSensor_ForDamageOnly,
	kScanner_ForDamageOnly,
	kSpecialSensor_ForDamageOnly, // Not On Damage Chart!
	kDamageControl_ForDamageOnly,
	kInternalRepair_ForDamageOnly, // Not On Chart
	kAuxilliaryControl_ForDamageOnly,
	kTractor_ForDamageOnly,
	kNumberOfSystemDamageValues
};

// this is a value no shipsytem in theory should ever have
enum
{
	kNoShipSystemID = 0
};

enum
{
	kRepairCostPhoton = 8,
	kRepairCostHeavyPhoton=14,
	kRepairCostDisruptor1 =5,
	kRepairCostDisruptor2=7,
	kRepairCostDisruptor3=8,
	kRepairCostDisruptor4=10,
	kRepairCostHeavyDisruptor=12,
	kRepairCostFusion=6,
	kRepairCostHellbore=15,
	kRepairCostPlasmaR=20,
	kRepairCostPlasmaS=15,
	kRepairCostPlasmaG=10,
	kRepairCostPlasmaF=5,
	kRepairCostPlasmaI=5,
	kRepairCostPlasmaD=4,
	kRepairCostPlasmaX=20,
	kRepairCostPlasmaE=20,
	kRepairCostPPD=15,
	kRepairCostESG=15,
	kRepairCostESGLance=15,
	kRepairCostMauler=15,
	kRepairCostPhaserA=15,
	kRepairCostPhaserB=15,
	kRepairCostTRBeam=8,
	kRepairCostShuttleWeapon=4,
	kRepairCostST1Fighter=4,
	kRepairCostST2Fighter=4,
	kRepairCostSTHFighter=4,
	kRepairCostPhaser1=5,
	kRepairCostPhaser2=4,
	kRepairCostPhaser3=2,
	kRepairCostPhaserG=6,
	kRepairCostPhaserG2=8,
	kRepairCostPhaser4=10,
	kRepairCostPhaserX=10,
	kRepairCostDroneRackA=3,
	kRepairCostDroneRackB=3,
	kRepairCostDroneRackC=3,
	kRepairCostDroneRackD=3,
	kRepairCostDroneRackE=3,
	kRepairCostDroneRackF=3,
	kRepairCostDroneRackG=3,
	kRepairCostDroneRackH=3,
	kRepairCostDroneRackM=6,
	kRepairCostShieldGroup=0,
	kRepairCostForeShield=1,
	kRepairCostRightForeShield=1,
	kRepairCostRightAftShield=1,
	kRepairCostAftShield=1,
	kRepairCostLeftAftShield=1,
	kRepairCostLeftForeShield=1,
	kRepairCostCloak=0,
	kRepairCostProbes=3,
	kRepairCostDrones=3,
	kRepairCostADD6=3,
	kRepairCostADD12=4,
	kRepairCostADD30=10,
	kRepairCostShuttleBay=2,
	kRepairCostArmor=0,
	kRepairCostHullGroup=0,
	kRepairCostForwardHull=1,
	kRepairCostCenterHull=1,
	kRepairCostAftHull=1,
	kRepairCostCargo=1,
	kRepairCostBarracks=1,
	kRepairCostEngineGroup=0,
	kRepairCostLeftWarp=10,
	kRepairCostRightWarp=10,
	kRepairCostCenterWarp=10,
	kRepairCostImpulse=5,
	kRepairCostAPR=4,
	kRepairCostBattery=2,
	kRepairCostBridgeGroup=0,
	kRepairCostBridge=6,
	kRepairCostFlagBridge=6,
	kRepairCostEmergencyBridge=6,
	kRepairCostSecurity=6,
	kRepairCostLab=5,
	kRepairCostTransporters=3,
	kRepairCostTractor=0,
	kRepairCostMechTractors=8,
	kRepairCostTractors=3,
	kRepairCostSensorGroup=0,
	kRepairCostSensors=3,
	kRepairCostScanners=3,
	kRepairCostSpecialSensors=10,
	kRepairCostDamageControlGroup=0,
	kRepairCostDamageControl=3,
	kRepairCostInternalRepair=6,
	kRepairCostExcessDamage=0,
	kRepairCostAuxilliaryControl=6,
	kRepairCostOfficerGroup=0,
	kRepairCostEngineeringOfficer=0,
	kRepairCostSecurityOfficer=0,
	kRepairCostWeaponsOfficer=0,
	kRepairCostHelmOfficer=0,
	kRepairCostCommunicationsOfficer=0,
	kRepairCostScienceOfficer=0,
	kRepairCostCaptainOfficer=0

};


enum
{
	kPowerPriorityPhoton = 30,
	kPowerPriorityHeavyPhoton = 45,
	kPowerPriorityDisruptor1 =45,
	kPowerPriorityDisruptor2=45,
	kPowerPriorityDisruptor3=45,
	kPowerPriorityDisruptor4=45,
	kPowerPriorityHeavyDisruptor=45,
	kPowerPriorityFusion=31,
	kPowerPriorityHellbore=25,
	kPowerPriorityPlasmaR=25,
	kPowerPriorityPlasmaS=30,
	kPowerPriorityPlasmaG=35,
	kPowerPriorityPlasmaF=39,
	kPowerPriorityPlasmaI=25,
	kPowerPriorityPlasmaD=25,
	kPowerPriorityPlasmaX=25,
	kPowerPriorityPlasmaE=25,
	kPowerPriorityPPD=30,
	kPowerPriorityESG=30,
	kPowerPriorityESGLance=30,
	kPowerPriorityMauler=20,
	kPowerPriorityPhaserA=30,
	kPowerPriorityPhaserB=30,
	kPowerPriorityTRBeam=30,
	kPowerPriorityShuttleWeapon=20,
	kPowerPriorityST1Fighter=20,
	kPowerPriorityST2Fighter=20,
	kPowerPrioritySTHFighter=20,
	kPowerPriorityPhaser1=50,
	kPowerPriorityPhaser2=50,
	kPowerPriorityPhaser3=55,
	kPowerPriorityPhaserG=60,
	kPowerPriorityPhaser4=50,
	kPowerPriorityPhaserX=50,
	kPowerPriorityDroneRackA=20,
	kPowerPriorityDroneRackB=20,
	kPowerPriorityDroneRackC=20,
	kPowerPriorityDroneRackD=20,
	kPowerPriorityDroneRackE=20,
	kPowerPriorityDroneRackF=20,
	kPowerPriorityDroneRackG=20,
	kPowerPriorityDroneRackH=20,
	kPowerPriorityDroneRackM=20,
	kPowerPriorityShieldGenerator=60,
	kPowerPriorityForeShield=60,			
	kPowerPriorityRightForeShield=60,
	kPowerPriorityRightAftShield=60,	
	kPowerPriorityAftShield=60,				
	kPowerPriorityLeftAftShield=60,
	kPowerPriorityLeftForeShield=60,
	kPowerPriorityCloak=70,
	kPowerPriorityProbes=20,
	kPowerPriorityDrones=20,
	kPowerPriorityADD=20,
	kPowerPriorityShuttleBay=20,
	kPowerPriorityArmor=20,
	kPowerPriorityHullGroup=20,
	kPowerPriorityForwardHull=20,
	kPowerPriorityCenterHull=20,
	kPowerPriorityAftHull=20,
	kPowerPriorityCargo=20,
	kPowerPriorityBarracks=20,
	kPowerPriorityEngineGroup=20,
	kPowerPriorityLeftWarp=50,
	kPowerPriorityRightWarp=50,
	kPowerPriorityCenterWarp=50,
	kPowerPriorityImpulse=50,
	kPowerPriorityAPR=50,
	kPowerPriorityBattery=10,
	kPowerPriorityBridgeGroup=20,
	kPowerPriorityBridge=20,
	kPowerPriorityFlagBridge=20,
	kPowerPriorityEmergencyBridge=20,
	kPowerPrioritySecurity=20,
	kPowerPriorityLab=20,
	kPowerPriorityTransporters=20,
	kPowerPriorityTractor=20,
	kPowerPriorityMechTractors=20,
	kPowerPriorityTractors=20,
	kPowerPrioritySensorGroup=20,
	kPowerPrioritySensors=20,
	kPowerPriorityScanners=20,
	kPowerPrioritySpecialSensors=20,
	kPowerPriorityDamageControlGroup=20,
	kPowerPriorityDamageControl=20,
	kPowerPriorityInternalRepair=20,
	kPowerPriorityExcessDamage=20,
	kPowerPriorityAuxilliaryControl=20,
	kPowerPriorityOfficerGroup=20,
	kPowerPriorityEngineeringOfficer=20,
	kPowerPrioritySecurityOfficer=20,
	kPowerPriorityWeaponsOfficer=20,
	kPowerPriorityHelmOfficer=20,
	kPowerPriorityCommunicationsOfficer=20,
	kPowerPriorityScienceOfficer=20,
	kPowerPriorityCaptainOfficer=20

};
#endif

// <History>
// 6/25/98	mhertogh	Created
// 8/19/98	oschlunk	Added some 'fake' weapon arcs to deal with drones...
//	14Dec98	zdrummond	Added eShieldIndex
//	16Feb99	mhertogh	Changed a lot of the power priority stuff. (In Line with Chris Talyor of course)
//	19Feb99	mhertogh	Removed MechTractor enum
//	24Feb99	zdrummond	Rearanged the eShieldIndex
//  10May99	zdrummond	Added enum to find out if a system is a plasma.
//	22Jun99	mhertogh	Added enum for 	kWeaponArcFLLX,	and kWeaponArcFRRX, (Fed ships)
//	30Mar00	pschreiber	Added PPD
