// Primary Precompiled Header
#include "Precompiled.h"

#include "MissionMatchLocation.h"
#include <race.h>
#include <MapConstants.h>

tMetaLocationSpec::tMetaLocationSpec() :
	fRange( 0 ),
	fLocationWhoHexFlags( kAnyTerrainHex ),
	fLocationObjectFlags( kPlayerRaceHex )
{
	_func_start( tMetaLocationSpec::tMetaLocationSpec );
	_func_end;
}

tMetaLocationSpec::tMetaLocationSpec( int32 range, int32 who, int32 object ) :
	fRange( range ),
	fLocationWhoHexFlags( who ),
	fLocationObjectFlags( object )
{
	_func_start( tMetaLocationSpec::tMetaLocationSpec );
	_func_end;
}

tMetaLocationSpec::tMetaLocationSpec( const tMetaLocationSpec& aMetaLocationSpec )
{
	_func_start( tMetaLocationSpec::tMetaLocationSpec );
	*this = aMetaLocationSpec;
	_func_end;
}

tMetaLocationSpec& tMetaLocationSpec::operator= ( const tMetaLocationSpec& aMetaLocationSpec )
{
	_func_start( tMetaLocationSpec::operator = );
	if ( this != &aMetaLocationSpec )
	{
		fRange					= aMetaLocationSpec.fRange;
		fLocationWhoHexFlags	= aMetaLocationSpec.fLocationWhoHexFlags;
		fLocationObjectFlags	= aMetaLocationSpec.fLocationObjectFlags;
	}
	return *this;
	_func_end;
}

void tMetaLocationSpec::StreamOut( nDataStore::tOutput& output ) const
{
	_func_start( tMetaLocationSpec::StreamOut );
	output	<<	fRange
			<<	fLocationWhoHexFlags
			<<	fLocationObjectFlags;
	_func_end;
}

void tMetaLocationSpec::StreamIn( nDataStore::tInput& input )
{
	_func_start( tMetaLocationSpec::StreamIn );
	input	>>	fRange
			>>	fLocationWhoHexFlags
			>>	fLocationObjectFlags;
	_func_end;
}




