//	<Name>	ScriptStructs.cpp
//
//
//	<Info>	DESCRIPTION
//

// Primary Precompiled Header
#include "Precompiled.h"

#include "ScriptStructs.h"

tScript3DPoint::tScript3DPoint(	float x, float y, float z,
								float r, float g, float b ):
fX( x ), fY( y ), fZ( z ), fR( r ), fG( g ), fB( b )
{_func_start( tScript3DPoint::tScript3DPoint );_func_end;}

void tScript3DPoint::operator=( tScript3DPoint rhs )
{
	_func_start( tScript3DPoint::operator = );
	fX = rhs.fX;
	fY = rhs.fY;
	fZ = rhs.fZ;
	fR = rhs.fR;
	fG = rhs.fG;
	fB = rhs.fB;
	_func_end;
}

tScript3DPrimitive::tScript3DPrimitive(	int32 vertices, int16 anchorX, int16 anchorY,
										eScriptPrimitiveFlags flags ) :
fNumVertices( vertices ), fFlags( flags )
{
	_func_start( tScript3DPrimitive::tScript3DPrimitive );
	fAnchor.x = anchorX;
	fAnchor.y = anchorY;
	_func_end;
}

void tScript3DPrimitive::operator=( tScript3DPrimitive rhs )
{
	_func_start( tScript3DPrimitive::operator = );
	fNumVertices = rhs.fNumVertices;

	if ( fVertexList )
	{
		for ( int32 i = 0; i < rhs.fNumVertices; i++ )
		{
			fVertexList[i] = rhs.fVertexList[i];
		}
	}
	fAnchor = rhs.fAnchor;
	fNumVertices = rhs.fNumVertices;
	fFlags = rhs.fFlags;
	_func_end;
}

tShipInGame::tShipInGame() :
	fClassName( NULL ),
	fCustomName( NULL ),
	fClassType( kNoClassType ),
	fShipBPV( 0 ),
	fStartX( -1 ),
	fStartY( -1 ),
	fEndX( -1 ),
	fEndY( -1 ),
	fTeam( kNoTeam ),
	fScriptCallbackID( -1 ),
	fCreateShadowShip( kFalse ),
	fDisplayOnMap( kFalse ),
	fCustomID( -1 ),
	fShipPosition( kStartPosition_Specified ),
	fShipInfoClassID( kNoAllocatorID )
{_func_start( tShipInGame::tShipInGame );_func_end;}

void tShipInGame::mSetShipPosition( iMapPosition shipPos )
{
	_func_start( tShipInGame::mSetShipPosition );
	fShipPosition = shipPos;
	_func_end;
}

iMapPosition tShipInGame::mGetShipPosition() const
{
	_func_start( tShipInGame::mGetShipPosition );
	return fShipPosition;
	_func_end;
}


//	02Feb00	zdrummond	Added Comment Header and Footer's
//	03Oct00	dsuleski	Added tMapTerrainComponents
