//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( CleanupGlobalPointer_h )
#define CleanupGlobalPointer_h

#include <BaseTypes.h>

// CLASS PURPOSE: Deletes a global pointer, if it was allocated
template< class tClass >
class tCleanupGlobalPointer
{
public:
//Types

//Setup
	tCleanupGlobalPointer( tClass** ppGlobalPointer );
	virtual ~tCleanupGlobalPointer();

protected:
	tClass** fppGlobalPointer;

private:
//Hidden
	tCleanupGlobalPointer( const tCleanupGlobalPointer& copy );
	tCleanupGlobalPointer& operator=( const tCleanupGlobalPointer& copy );
};

template< class tClass >
tCleanupGlobalPointer<tClass>::tCleanupGlobalPointer<tClass>(  tClass** ppGlobalPointer ) :
	fppGlobalPointer( ppGlobalPointer )
{_func_start( tCleanupGlobalPointer::tCleanupGlobalPointer );_func_end;}

template< class tClass >
tCleanupGlobalPointer<tClass>::~tCleanupGlobalPointer<tClass>()
{
	_func_start( tCleanupGlobalPointer::~tCleanupGlobalPointer );
	if( *fppGlobalPointer )
	{
		delete *fppGlobalPointer;
		*fppGlobalPointer = NULL;
	}
	_func_end;
}

template< class tClass >
tCleanupGlobalPointer<tClass>::tCleanupGlobalPointer<tClass>( const tCleanupGlobalPointer& copy )
{
	_func_start( tCleanupGlobalPointer::tCleanupGlobalPointer );
	throw except::tInvalidAccess( "tCleanupGlobalPointer::tCleanupGlobalPointer", __FILE__, __LINE__ );
	_func_end;
}

template< class tClass >
tCleanupGlobalPointer<tClass>& tCleanupGlobalPointer<tClass>::operator=( const tCleanupGlobalPointer& copy )
{
	_func_start( tCleanupGlobalPointer::operator = );
	throw except::tInvalidAccess( "tCleanupGlobalPointer::operator=", __FILE__, __LINE__ );

	return *this;
	_func_end;
}


#endif


