//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( CRC32_h )
#define CRC32_h

#include <BaseTypes.h>
#include <windows.h>
#include <string>

class tCRC32
{
public:
// Types
	enum eDefs
	{
		kTableSize		= 256,
		kCRCBufferSize	= 32768,
		kDefaultSeed	= 0xFFFFFFFF
	};

// Setup	
	tCRC32();
	virtual ~tCRC32();	

// Operations
	int32u CalcFileCRC( const std::string& fileName, int32u nSeed = kDefaultSeed );
	int32u UpdateCRC( int32u crc_accum, const char *data_blk_ptr, int32 data_blk_size );

protected:
// Operations
	void GenerateCRCTable();
	

// Fields
	int32u fTable[ kTableSize ];
	static const int32 fPolynomial;
};

#endif