//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( DataStoreBuffer_h )
#define DataStoreBuffer_h

#include <BaseTypes.h>
#include <Object.h>

#if !defined( USE_PCH )

#include <vector>
#include <ostream>
#include <istream>

#endif

namespace nDataStore
{

typedef int32u iPos;

// CLASS PURPOSE: A generic storage object
class tBuffer : public tObject
{
public:
//Types
	typedef int32u iBufferSize;

//Setup
	inline tBuffer( iBufferSize initSize = 0 );
	//inline tBuffer( const tBuffer& copy );
	inline ~tBuffer();

//Operations
	inline operator const byte*() const;
	inline void Clear();

	inline void Put( byte data );
	inline void Write( const byte* data, int32u size ); 

	inline byte Get( iPos getPos ) const;
	inline void Read( byte* data, int32 size, iPos getPos ) const; 

	inline iBufferSize Size() const;

protected:
//Types
	typedef std::vector<byte> iBuffer;

	iBuffer fBuffer;
};

std::istream& operator>>( std::istream& inputStream, tBuffer& input );
std::ostream& operator<<( std::ostream& outputStream, const tBuffer& output );

}; 


#define _INLINE_DataStoreBuffer
#include "DataStoreBuffer.cpp"
#undef _INLINE_DataStoreBuffer



#endif

