//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( DatabaseID_h )
#define DatabaseID_h

//#include <BaseTypes.h>
#include <DataStore\DatastorePre.h>
#include <DataStore\Streamable.h>
#include <Thread\SingleAccessWrapper.h>

namespace nDatabase
{

// CLASS PURPOSE: An identifier for an object in a database
class tID : public nDataStore::tStreamable
{
public:
	// Types
	typedef tSingleAccessWrapper< tID >		iSAW;
	typedef std::vector< tID >				iVector;
	typedef tSingleAccessWrapper< iVector >	iVectorSAW;
	typedef std::list< tID >				tIDList;

	// Setup
	tID();
	tID( int32u objectID );
	virtual ~tID();

	// Operations
	bool IsValid() const;
	void Invalidate();

	int32u	GetObjectID() const;

	virtual	void StreamOut( nDataStore::tOutput& output ) const;
	virtual	void StreamIn( nDataStore::tInput& input );
	
	bool operator==( const tID& compare ) const;
	bool operator!=( const tID& compare ) const;
	bool operator<( const tID& compare ) const;

protected:
	// Types
	enum
	{
		kInvalidID = 0
	};

	// Fields
	int32u fObjectID;
};


extern tID gInvalidID; 

};
namespace db = nDatabase;

#endif

