//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.


#if !defined( CallStack_h )
#define CallStack_h


#include <BaseTypes.h>
#include <DataStore\Streamable.h>


////////////////////////////////////////////////////////////////////////////////
// tCallStack
// 
// CLASS PURPOSE: <FILL OUT PURPOSE HERE>
// 
////////////////////////////////////////////////////////////////////////////////


class tCallStack : public nDataStore::tStreamable
{
public:
// Types
	typedef std::vector< std::string > iStrings;

// Setup
	tCallStack( bool recordCurStack = true );
	tCallStack( const tCallStack& copy );
	tCallStack& operator=( const tCallStack& copy );
	virtual ~tCallStack();

// Operations
	static void AddSkipLinePhrase( const std::string& phrase );

	virtual	void StreamOut( nDataStore::tOutput& output ) const;
	virtual	void StreamIn( nDataStore::tInput& input );	

	// This builds a list of phrases, if any phrase is in the line of the callstack
	// it is skipped
	void AddCallstack( const tCallStack& newCallstack );
	void ClearStackInfo();
	void BuildCallStack();
	void CompactStack(); // Remove any line that contains a skip phrase

	friend std::ostream& operator<<( std::ostream& output, tCallStack& callstack );

protected:
// Types
	enum
	{
		kMaxStackTrace = 200,
	};

	class tCompactStackPred
	{
	public:
		bool operator()( const std::string& callStackLine );

		static iStrings	fSkipLinePhraseList;
	};


// Setup

// Operations

// Fields
	int32u			fCallStackSize;
	std::string		fCallStack[ kMaxStackTrace ];

private:
// Hidden
	
};

#endif // !defined( CallStack_h )