//	<Name>	BaseException.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "basetypes.h"
#include "BaseException.h"
#include <Log\LogStream.h>

#if defined( _DEBUG ) && defined( ACTIVETHREAD )
#include <Thread\Thread.h>
#endif


namespace nException
{

	tBaseException::tBaseException() throw()
	{}

	tBaseException::tBaseException( const char* pDescription, const char* pFile, int32 lineNumber ) throw() 
		: std::exception( pDescription )
		, fpFileName( pFile )
		, fLineNumber( lineNumber )	
	{
		_func_start( nException::tBaseException::tBaseException );
		
		_func_end;
	}

	tBaseException::~tBaseException() throw()
	{_func_start( nException::tBaseException::~tBaseException );_func_end;}

	
	void tBaseException::ReportHeader( const char* caughtDescription ) throw()
	{
		_func_start( nException::tBaseException::ReportHeader );
		try
		{
			logmsg::error 
				<< caughtDescription << std::endl
				<< "Exception: " << GetDescription() << " in " << std::endl 
				<< GetFile() << "(" << GetLineNumber() << ")" << std::endl 
				<< std::endl;
		}
		catch( ... )
		{
		}
		_func_end;
	}

	void tBaseException::ReportFooter() throw()
	{
		_func_start( nException::tBaseException::ReportFooter );
		try
		{
#if defined( _DEBUG ) && defined( ACTIVETHREAD )
			if( gActiveThread )
			{
				logmsg::error << gActiveThread->GetCallstack();
			}
#endif
		}
		catch( ... )
		{
		}
		_func_end;
	}

	void tBaseException::ReportException( const char* caughtDescription ) throw()
	{
		_func_start( nException::tBaseException::ReportException );
		try
		{
			ReportHeader( caughtDescription ); 
			ReportFooter();
			
			logmsg::error << logmsg::report; 
		}
		catch( ... )
		{
		}

		_func_end;
	}

	const char* tBaseException::GetDescription() throw()
	{
		_func_start( nException::tBaseException::GetDescription );
		return what();
		_func_end;
	}

	const char* tBaseException::GetFile() throw()
	{
		_func_start( nException::tBaseException::GetFile );
		return fpFileName;
		_func_end;
	}

	int32 tBaseException::GetLineNumber() throw()
	{
		_func_start( nException::tBaseException::GetLineNumber );
		return fLineNumber;
		_func_end;
	}
}

// 26Apr00	zdrummond	Added Comment Header and Footer's
