//	<Name>	Validate.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( Validate_h )
#define Validate_h

#include "BaseException.h"
#include <SuperAssert.h>

namespace nException
{
	class tValidationFailed : public tBaseException
	{
	public:
		tValidationFailed( const char* expression, const char* file, int32 lineNumber );	

		virtual void ReportException( const char* caughtDescription = NULL ) throw();
	
	protected:
		const char* fExpression;
	};
};


#define validate( expr )											\
	if( !(expr) )													\
	{																\
		Assert( false );											\
		nException::tValidationFailed failed( #expr, __FILE__, __LINE__ );	\
		failed.ReportException();											\
	}

#define validate_throw( expr, validateThrowObject )											\
	if( !(expr) )													\
	{																\
		Assert( false );											\
		throw validateThrowObject;									\
	}


#endif


// 28Apr00	zdrummond	Added Comment Header and Footer's