//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.


#if !defined( FunctionCallback_h )
#define FunctionCallback_h


#include <BaseTypes.h>


////////////////////////////////////////////////////////////////////////////////
// tFunctionCallback
// 
// CLASS PURPOSE: <FILL OUT PURPOSE HERE>
// 
////////////////////////////////////////////////////////////////////////////////

// CLASS PURPOSE: Used to a call a static function when a callback is complete
template< typename tnResult >
class tFunctionCallback : public tCallback< tnResult >
{
public:
//Types
	typedef void (*iFunction)( tnResult result ); 

//Setup
	tFunctionCallback( iFunction function );
	virtual ~tFunctionCallback();

//Operations
	virtual void Callback( tnResult result );

protected:
	iFunction fpFunction;
};

template< typename tnResult >
tFunctionCallback<tnResult>::tFunctionCallback<tnResult>( iFunction function ) :
	fpFunction( function )
{_func_start( tFunctionCallback::tFunctionCallback );_func_end;}

template< typename tnResult >
tFunctionCallback<tnResult>::~tFunctionCallback<tnResult>()
{_func_start( tFunctionCallback::~tFunctionCallback );_func_end;}

template< typename tnResult >
void tFunctionCallback<tnResult>::Callback( tnResult result )
{
	_func_start( tFunctionCallback::Callback );
	(*fpFunction)( result );	
	_func_end;
}

// Helper functions
template< typename tParam >
tFunctionCallback< tParam > CreateCallback( void ( *func )( tParam result ) )
{
	_func_start( CreateCallback );
	return tFunctionCallback( func );
	_func_end;
}


#endif // !defined( FunctionCallback_h )
