//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( MemberCallback_h )
#define MemberCallback_h

#include <BaseTypes.h>
#include <Callback.h>

// CLASS PURPOSE: Used to a call a member function when a callback is complete
template< typename tnMemberClass, typename tnResult >
class tMemberCallback : public tCallback<tnResult>
{
public:
//Types
	typedef void (tnMemberClass::*iMemberFunction)( tnResult result ); 

//Setup
	tMemberCallback( tnMemberClass* pMemberClass, iMemberFunction pMemberFunction );
	virtual ~tMemberCallback();

//Operations
	virtual void Callback( tnResult result );
	virtual void operator()( tnResult result );

protected:
	tnMemberClass* fpMemberClass;
	iMemberFunction fpMemberFunction;
};


template< typename tnMemberClass, typename tnResult >
tMemberCallback<tnMemberClass,tnResult>::tMemberCallback<tnMemberClass,tnResult>( tnMemberClass* pMemberClass, iMemberFunction pMemberFunction ) :
	fpMemberClass( pMemberClass ),
	fpMemberFunction( pMemberFunction )	
{_func_start( tMemberCallback::tMemberCallback );_func_end;}

template< typename tnMemberClass, typename tnResult >
tMemberCallback<tnMemberClass,tnResult>::~tMemberCallback<tnMemberClass,tnResult>()
{_func_start( tMemberCallback::~tMemberCallback );_func_end;}

template< typename tnMemberClass, typename tnResult >
void tMemberCallback<tnMemberClass,tnResult>::Callback( tnResult result )
{
	_func_start( tMemberCallback::Callback );
	(fpMemberClass->*fpMemberFunction)( result );	
	_func_end;
}

template< typename tnMemberClass, typename tnResult >
void tMemberCallback<tnMemberClass,tnResult>::operator()( tnResult result )
{
	_func_start( tMemberCallback::operator () );
	(fpMemberClass->*fpMemberFunction)( result );	
	_func_end;
}

// Helper functions
template< typename tParam, typename tClass >
tMemberCallback< tClass, tParam > CreateCallback( tClass* object, void (tClass::*func)( tParam result ) )
{
	_func_start( CreateCallback );
	return 	tMemberCallback< tClass, tParam >( object, func );
	_func_end;
}

#endif


