//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#include "BaseTypes.h"
#include "Object.h"


#include "Object.h"
#include <FunctionWrapper.h>


tObject::tObject() :
	fCheckingIntegrity( false )	
{_func_start( tObject::tObject );_func_end;}

tObject::~tObject()
{_func_start( tObject::~tObject );_func_end;}

bool tObject::Integrity() const
{
	_func_start( tObject::Integrity );
	if( StartIntegrityCheck() == false )
	{
		//The object is already checking it's integrity, to stop an 
		//infinte recursion from happing, we stop are check here. 
		//Since we can't check anything, and the another check is
		//already in progress, we return that the check succeeded
		return true;
	}
	
	bool result = CheckIntegrity();
	
	EndIntegrityCheck();		

	return result;
	_func_end;
}

bool tObject::StartIntegrityCheck() const
{
	_func_start( tObject::StartIntegrityCheck );
	if( fCheckingIntegrity )
	{
		return false;
	}

	fCheckingIntegrity = true;

	return true;
	_func_end;
}

bool tObject::CheckIntegrity() const
{  
	_func_start( tObject::CheckIntegrity );
	return true;
	_func_end;
}

void tObject::EndIntegrityCheck() const
{
	_func_start( tObject::EndIntegrityCheck );
	fCheckingIntegrity = false;
	_func_end;
}




tIntegrityCheck::tIntegrityCheck( const tObject* object ) :
	fObject( object )
{
	_func_start( tIntegrityCheck::tIntegrityCheck );
	fObject->Integrity();	
	_func_end;
}

tIntegrityCheck::~tIntegrityCheck()
{
	_func_start( tIntegrityCheck::~tIntegrityCheck );
	fObject->Integrity();
	_func_end;
}
