//	<Legal>	Copyright (c)  by Taldren, Inc. ALL RIGHTS RESERVED.
//	This document contains CONFIDENTIAL, PROPRIETARY, TRADE SECRET information
//	belonging to Taldren, Inc. and may not be reproduced, in whole
//	or in part, without prior written permission from Taldren, Inc.

#if !defined( Object_h )
#define Object_h


// CLASS PURPOSE Allows us to derive our classes from a know base
// With this class we can add common behavior to all our classes
class tObject
{
public:
	tObject();
	virtual ~tObject();

	bool Integrity() const;

protected:
	bool StartIntegrityCheck() const;
	virtual bool CheckIntegrity() const;
	void EndIntegrityCheck() const;

	// This is mutable because it doesn't have anything to with
	// a derived classes data, and it more important that the a 
	// a derived class does not modify it's data in it's own Integrity
	// check
	mutable bool fCheckingIntegrity;
};

// CLASS PURPOSE Allows us to derive our classes from a know base
// With this class we can add common behavior to all our classes
class tIntegrityCheck
{
public:
	tIntegrityCheck( const tObject* object );
	virtual ~tIntegrityCheck();

protected:
	const tObject* fObject;
};

#endif



